""" Cisco_IOS_XR_mpls_te_oper 

This module contains a collection of YANG definitions
for Cisco IOS\-XR mpls\-te package operational data.

This module contains definitions
for the following management objects\:
  mpls\-te\: MPLS Traffic Engineering operational data
  mpls\-lcac\-standby\: mpls lcac standby
  mpls\-lcac\: mpls lcac
  mpls\-pce\: mpls pce
  mpls\-pce\-stdby\: mpls pce stdby
  mpls\-tp\: mpls tp
  mpls\-te\-standby\: mpls te standby

Copyright (c) 2013\-2016 by Cisco Systems, Inc.
All rights reserved.

"""


import re
import collections

from enum import Enum

from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict

from ydk.errors import YPYError, YPYModelError



class AdmissionPolicyEnum(Enum):
    """
    AdmissionPolicyEnum

    Deprecated

    .. data:: reject_all = 0

    	Deprecated

    .. data:: allow_all = 1

    	Deprecated

    .. data:: reject_huge = 2

    	Deprecated

    .. data:: allow_if_room = 3

    	Deprecated

    """

    reject_all = 0

    allow_all = 1

    reject_huge = 2

    allow_if_room = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['AdmissionPolicyEnum']


class AutoBackupProtectionEnum(Enum):
    """
    AutoBackupProtectionEnum

    Auto backup protection

    .. data:: protection_none = 0

    	No Autobackup Protection

    .. data:: protection_next_hop = 1

    	NHOP Autobackup Protection

    .. data:: protection_next_next_hop = 2

    	NNHOP Autobackup Protection

    """

    protection_none = 0

    protection_next_hop = 1

    protection_next_next_hop = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['AutoBackupProtectionEnum']


class AutoBackupSrlgModeEnum(Enum):
    """
    AutoBackupSrlgModeEnum

    Auto backup srlg mode

    .. data:: srlg_not_set = 0

    	Autobackup SRLG type not set

    .. data:: srlg_strict = 1

    	Autobackup SRLG Strict

    .. data:: srlg_preferred = 2

    	Autobackup SRLG Preferred

    .. data:: srlg_weighted = 3

    	Autobackup Weighted SRLG

    """

    srlg_not_set = 0

    srlg_strict = 1

    srlg_preferred = 2

    srlg_weighted = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['AutoBackupSrlgModeEnum']


class BandwidthAccountingCollectionEnum(Enum):
    """
    BandwidthAccountingCollectionEnum

    Types of bandwidth accounting collection

    .. data:: rsvp_te = 0

    	RSVP TE

    .. data:: segment_routing = 1

    	Segment Routing

    """

    rsvp_te = 0

    segment_routing = 1


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['BandwidthAccountingCollectionEnum']


class BandwidthStateEnumEnum(Enum):
    """
    BandwidthStateEnumEnum

    Types of bandwidth states

    .. data:: bandwidth_held = 0

    	Bandwidth is held, is not guaranteed when it is

    	time to reserve

    .. data:: bandwidth_reserved = 1

    	Bandwidth is reserved and can be used for

    	forwarding

    .. data:: bandwidth_unknown = 2

    	Bandwidth is unknown

    """

    bandwidth_held = 0

    bandwidth_reserved = 1

    bandwidth_unknown = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['BandwidthStateEnumEnum']


class BandwidthTypeEnumEnum(Enum):
    """
    BandwidthTypeEnumEnum

    Types of bandwidth pools

    .. data:: pool0 = 0

    	Bandwidth from the pool0

    .. data:: pool1 = 1

    	Pool1 bandwidth

    .. data:: unknown = 2

    	Unknown Bandwidth

    """

    pool0 = 0

    pool1 = 1

    unknown = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['BandwidthTypeEnumEnum']


class BandwidthUnitEnumEnum(Enum):
    """
    BandwidthUnitEnumEnum

    Types of bandwidth units

    .. data:: kilo_bits_per_second = 0

    	kilobits per second

    .. data:: kilo_bytes_per_second = 1

    	kilobytes per second

    """

    kilo_bits_per_second = 0

    kilo_bytes_per_second = 1


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['BandwidthUnitEnumEnum']


class CtypeEnum(Enum):
    """
    CtypeEnum

    Ctype

    .. data:: ctype_null = 0

    	CTYPE NULL

    .. data:: ctype_ipv4 = 1

    	CTYPE IPV4

    .. data:: ctype_ipv4_p2p_tunnel = 7

    	CTYPE IPV4 P2P TUNNEL

    .. data:: ctype_ipv6_p2p_tunnel = 8

    	CTYPE IPV6 P2P TUNNEL

    .. data:: ctype_ipv4_uni = 9

    	CTYPE IPV4 UNI

    .. data:: ctype_ipv4_p2mp_tunnel = 13

    	CTYPE IPV4 P2MP TUNNEL

    .. data:: ctype_ipv6_p2mp_tunnel = 14

    	CTYPE IPV6 P2MP TUNNEL

    """

    ctype_null = 0

    ctype_ipv4 = 1

    ctype_ipv4_p2p_tunnel = 7

    ctype_ipv6_p2p_tunnel = 8

    ctype_ipv4_uni = 9

    ctype_ipv4_p2mp_tunnel = 13

    ctype_ipv6_p2mp_tunnel = 14


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['CtypeEnum']


class FlexLspLockoutOriginationEnum(Enum):
    """
    FlexLspLockoutOriginationEnum

    TE Flex LSP Lockout Origination

    .. data:: lockout_origination_none = 0

    	Flex LSP Lockout Origination None

    .. data:: lockout_origination_local = 1

    	Flex LSP Lockout Originated From Local

    .. data:: lockout_origination_remote = 2

    	Flex LSP Lockout Originated From Remote

    """

    lockout_origination_none = 0

    lockout_origination_local = 1

    lockout_origination_remote = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['FlexLspLockoutOriginationEnum']


class FloodingTriggerEnum(Enum):
    """
    FloodingTriggerEnum

    Types of flooding triggers

    .. data:: flooding_reason_unknown = 0

    	Not known what caused flooding

    .. data:: link_up = 1

    	TE link came Up

    .. data:: link_down = 2

    	TE link went Down

    .. data:: threshold_up = 3

    	Up threshold crossed in pool0

    .. data:: threshold_down = 4

    	Down threshold crossed in pool0

    .. data:: threshold_up_pool1 = 5

    	Up threshold crossed in pool1

    .. data:: threshold_down_pool1 = 6

    	Down threshold crossed in pool1

    .. data:: timer_expired = 7

    	Periodic timer expired

    .. data:: bandwidth_change = 8

    	Link BW changed

    .. data:: user = 9

    	User triggered flooding

    .. data:: rsvp_timeout = 10

    	RSVP timed out

    .. data:: rsvp_reconnect = 11

    	RSVP reconnected

    .. data:: te_exited = 12

    	TE-control process exited

    .. data:: srlg_change = 13

    	Link SRLG changed

    .. data:: hw_oor_green = 14

    	HW resources are green

    .. data:: hw_oor_yellow = 15

    	HW resources are yellow

    .. data:: hw_oor_red = 16

    	HW resources are red

    .. data:: hw_oor_recovery_duration_expired = 17

    	HW Resources are back to normal and the

    	transition period is over

    .. data:: lsp_oor_green = 18

    	LSP resources are green

    .. data:: lsp_oor_yellow = 19

    	LSP resources are yellow

    .. data:: lsp_oor_red = 20

    	LSP resources are red

    .. data:: lsp_oor_recovery_duration_expired = 21

    	LSP resources are back to normal and the

    	transition period is over

    .. data:: max_res_bandwidth_threshold_up = 22

    	Max reservable bandwidth up threshold crossed

    .. data:: max_res_bandwidth_threshold_down = 23

    	Max reservable bandwidth down threshold crossed

    """

    flooding_reason_unknown = 0

    link_up = 1

    link_down = 2

    threshold_up = 3

    threshold_down = 4

    threshold_up_pool1 = 5

    threshold_down_pool1 = 6

    timer_expired = 7

    bandwidth_change = 8

    user = 9

    rsvp_timeout = 10

    rsvp_reconnect = 11

    te_exited = 12

    srlg_change = 13

    hw_oor_green = 14

    hw_oor_yellow = 15

    hw_oor_red = 16

    hw_oor_recovery_duration_expired = 17

    lsp_oor_green = 18

    lsp_oor_yellow = 19

    lsp_oor_red = 20

    lsp_oor_recovery_duration_expired = 21

    max_res_bandwidth_threshold_up = 22

    max_res_bandwidth_threshold_down = 23


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['FloodingTriggerEnum']


class GmplsUniMgmtDwdmCsEnum(Enum):
    """
    GmplsUniMgmtDwdmCsEnum

    GMPLS\-UNI DWDM channel spacings

    .. data:: not_set = 0

    	Not Set

    .. data:: dwdm100g_hz = 1

    	100GHz

    .. data:: dwdm50g_hz = 2

    	50GHz

    .. data:: dwdm25g_hz = 3

    	25GHz

    .. data:: dwdm12g_hz = 4

    	12.5GHz

    """

    not_set = 0

    dwdm100g_hz = 1

    dwdm50g_hz = 2

    dwdm25g_hz = 3

    dwdm12g_hz = 4


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['GmplsUniMgmtDwdmCsEnum']


class GmplsUniMgmtWdmGridEnum(Enum):
    """
    GmplsUniMgmtWdmGridEnum

    GMPLS\-UNI WDM grid

    .. data:: not_set = 0

    	Not Set

    .. data:: dwdm = 1

    	DWDM

    .. data:: cwdm = 2

    	CWDM

    """

    not_set = 0

    dwdm = 1

    cwdm = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['GmplsUniMgmtWdmGridEnum']


class HwOorStateEnum(Enum):
    """
    HwOorStateEnum

    NPU resources states

    .. data:: oor_green = 0

    	NPU resources are in normal state

    .. data:: oor_yellow = 1

    	NPU resources are in minor state

    .. data:: oor_red = 2

    	NPU resources are in Major state

    """

    oor_green = 0

    oor_yellow = 1

    oor_red = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['HwOorStateEnum']


class IgpOspfAreaFormatEnum(Enum):
    """
    IgpOspfAreaFormatEnum

    OSPF area format

    .. data:: igp_area_format_number = 0

    	Numbered area format

    .. data:: igp_area_format_ip_addr = 1

    	IP address area format

    """

    igp_area_format_number = 0

    igp_area_format_ip_addr = 1


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['IgpOspfAreaFormatEnum']


class IgpProtocolEnum(Enum):
    """
    IgpProtocolEnum

    IGP type

    .. data:: none = 0

    	No IGP protocol specified

    .. data:: isis = 1

    	IS IS

    .. data:: ospf = 2

    	OSPF

    """

    none = 0

    isis = 1

    ospf = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['IgpProtocolEnum']


class IgpSubnetEnum(Enum):
    """
    IgpSubnetEnum

    Subnet type

    .. data:: igp_subnet_type_none = 0

    	No subnet type specified

    .. data:: p2p = 1

    	Point-to-point subnet

    .. data:: broadcast = 2

    	Broadcast subnet

    .. data:: non_broadcast_multiaccess = 3

    	Non-broadcast multi-access subnet

    .. data:: p2mp = 4

    	Point-to-multipoint subnet

    .. data:: loopback = 5

    	Loopback subnet

    """

    igp_subnet_type_none = 0

    p2p = 1

    broadcast = 2

    non_broadcast_multiaccess = 3

    p2mp = 4

    loopback = 5


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['IgpSubnetEnum']


class IgpteAaMetricModeEnum(Enum):
    """
    IgpteAaMetricModeEnum

    Autoroute\-announce metric type

    .. data:: metric_mode_none = 0

    	No metric type specified

    .. data:: relative = 1

    	Relative metric

    .. data:: absolute = 2

    	Absolute metric

    .. data:: constant = 3

    	Constant metric

    """

    metric_mode_none = 0

    relative = 1

    absolute = 2

    constant = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['IgpteAaMetricModeEnum']


class IgpteLibBwModelEnum(Enum):
    """
    IgpteLibBwModelEnum

    Bandwidth model

    .. data:: rdm = 0

    	Russian Dolls Model

    .. data:: mam = 1

    	Maximum Allocation Model

    .. data:: not_set = 2

    	No model set

    """

    rdm = 0

    mam = 1

    not_set = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['IgpteLibBwModelEnum']


class LinkDirectionEnumEnum(Enum):
    """
    LinkDirectionEnumEnum

    Link direction types

    .. data:: link_direction_up_stream = 0

    	Upstream direction, Tail to Head

    .. data:: link_direction_down_stream = 1

    	Upstream direction, Head to Tail

    .. data:: link_direction_unknown = 2

    	Unknown direction

    """

    link_direction_up_stream = 0

    link_direction_down_stream = 1

    link_direction_unknown = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['LinkDirectionEnumEnum']


class LspAdminStatusEnum(Enum):
    """
    LspAdminStatusEnum

    LSP Admin Status

    .. data:: mpls_te_lsp_admin_up = 0

    	MPLS TE lsp admin up

    .. data:: mpls_te_lsp_admin_shutdown = 1

    	MPLS TE lsp admin shutdown

    """

    mpls_te_lsp_admin_up = 0

    mpls_te_lsp_admin_shutdown = 1


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['LspAdminStatusEnum']


class LspOorStateEnum(Enum):
    """
    LspOorStateEnum

    LSP OOR states

    .. data:: lsp_oor_green = 0

    	LSP numbers are in normal state

    .. data:: lsp_oor_yellow = 1

    	LSP numbers exceed the minor threshold

    .. data:: lsp_oor_red = 2

    	LSP numbers exceed the major threshold

    """

    lsp_oor_green = 0

    lsp_oor_yellow = 1

    lsp_oor_red = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['LspOorStateEnum']


class LspOperStatusEnum(Enum):
    """
    LspOperStatusEnum

    LSP Admin Status

    .. data:: mpls_te_lsp_oper_up = 0

    	MPLS TE lsp operational up

    .. data:: mpls_te_lsp_oper_down = 1

    	MPLS TE lsp operational down

    """

    mpls_te_lsp_oper_up = 0

    mpls_te_lsp_oper_down = 1


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['LspOperStatusEnum']


class MplsLibCEnum(Enum):
    """
    MplsLibCEnum

    Mpls lib c

    .. data:: mpls_lib_c_type_null = 0

    	NULL Ctype

    .. data:: mpls_lib_c_type_ipv4 = 1

    	IPv4 UDP

    .. data:: mpls_lib_c_type_ipv4_p2p_tunnel = 7

    	IPv4 point-to-point TE tunnel

    .. data:: mpls_lib_c_type_ipv6_p2p_tunnel = 8

    	IPv6 point-to-point TE tunnel

    .. data:: mpls_lib_c_type_ipv4_uni = 9

    	IPv4 unicast

    .. data:: mpls_lib_c_type_ipv4_p2mp_tunnel = 13

    	IPv4 point-to-point TE tunnel

    .. data:: mpls_lib_c_type_ipv6_p2mp_tunnel = 14

    	IPv6 point-to-point TE tunnel

    .. data:: mpls_lib_c_type_ipv4_tp_tunnel = 15

    	IPv4 transport protocol tunnel

    .. data:: mpls_lib_c_type_ipv6_tp_tunnel = 16

    	IPv6 transport protocol tunnel

    .. data:: mpls_lib_c_type_p2p_binding_label = 17

    	P2P transport tunnel binding label

    """

    mpls_lib_c_type_null = 0

    mpls_lib_c_type_ipv4 = 1

    mpls_lib_c_type_ipv4_p2p_tunnel = 7

    mpls_lib_c_type_ipv6_p2p_tunnel = 8

    mpls_lib_c_type_ipv4_uni = 9

    mpls_lib_c_type_ipv4_p2mp_tunnel = 13

    mpls_lib_c_type_ipv6_p2mp_tunnel = 14

    mpls_lib_c_type_ipv4_tp_tunnel = 15

    mpls_lib_c_type_ipv6_tp_tunnel = 16

    mpls_lib_c_type_p2p_binding_label = 17


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsLibCEnum']


class MplsMteTunnelFailReasonEnum(Enum):
    """
    MplsMteTunnelFailReasonEnum

    Reason for tunnel being down

    .. data:: mtunnel_fail_reason_unapplicable = 0

    	None of the reasons below is valid

    .. data:: mtunnel_fail_reason_shutdown = 1

    	Tunnel interface is shutdown

    .. data:: mtunnel_fail_reason_no_destination = 2

    	No destination is configured

    .. data:: mtunnel_fail_reason_no_path_option = 3

    	No path option is configured

    .. data:: mtunnel_fail_reason_no_source = 4

    	No ip source address is configured

    .. data:: mtunnel_fail_reason_collaborator_disc = 5

    	Collaborator not connected

    .. data:: mtunnel_fail_reason_unmatched_class_type_priority = 6

    	The class type and priority do not match any of

    	the TE-classes

    .. data:: mtunnel_fail_reason_invalid_bidir_cfg = 7

    	Configured bidirectional, incomplete switching

    	capability config

    .. data:: mtunnel_fail_reason_po_switchover = 8

    	Manual path-option switchover failed due to

    	destination(s) down

    .. data:: mtunnel_fail_reason_no_tunnel_id = 9

    	No tunnel-id is configured

    .. data:: mtunnel_fail_reason_no_link = 10

    	Tunnel's egress link doesn't exist

    .. data:: mtunnel_fail_reason_link_shutdown = 11

    	Tunnel's egress link is shut down

    .. data:: mtunnel_fail_reason_link_lmp_down = 12

    	LMP is down on the tunnel's egress link

    .. data:: mtunnel_fail_reason_source_destination_same = 13

    	Tunnel source and destination addresses are the

    	same

    .. data:: mtunnel_fail_reason_otn_no_odu_level = 14

    	OTN tunnel does not have odu-level set

    .. data:: mtunnel_fail_reason_bidir_assoc_id_missing = 15

    	Bidirectional is configured without Association

    	ID

    .. data:: mtunnel_fail_reason_bfdgal_on_unidirectional = 16

    	BFD GAL mode is supported on bidirectional

    	tunnels only

    """

    mtunnel_fail_reason_unapplicable = 0

    mtunnel_fail_reason_shutdown = 1

    mtunnel_fail_reason_no_destination = 2

    mtunnel_fail_reason_no_path_option = 3

    mtunnel_fail_reason_no_source = 4

    mtunnel_fail_reason_collaborator_disc = 5

    mtunnel_fail_reason_unmatched_class_type_priority = 6

    mtunnel_fail_reason_invalid_bidir_cfg = 7

    mtunnel_fail_reason_po_switchover = 8

    mtunnel_fail_reason_no_tunnel_id = 9

    mtunnel_fail_reason_no_link = 10

    mtunnel_fail_reason_link_shutdown = 11

    mtunnel_fail_reason_link_lmp_down = 12

    mtunnel_fail_reason_source_destination_same = 13

    mtunnel_fail_reason_otn_no_odu_level = 14

    mtunnel_fail_reason_bidir_assoc_id_missing = 15

    mtunnel_fail_reason_bfdgal_on_unidirectional = 16


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsMteTunnelFailReasonEnum']


class MplsProtectionEnum(Enum):
    """
    MplsProtectionEnum

    MPLS Protection Type

    .. data:: mpls_protection_type_unprotected = 0

    	MPLS no protection is desired

    .. data:: mpls_protection_type_link = 1

    	MPLS link protection is desired

    .. data:: mpls_protection_type_link_node = 2

    	MPLS node and link protection are both desired

    """

    mpls_protection_type_unprotected = 0

    mpls_protection_type_link = 1

    mpls_protection_type_link_node = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsProtectionEnum']


class MplsTeAfiEnum(Enum):
    """
    MplsTeAfiEnum

    Mpls te afi

    .. data:: ipv4_unicast = 0

    	MPLS TE IPv4 unicast

    .. data:: ipv4_multicast = 1

    	MPLS TE IPv4 multicast

    .. data:: ipv6_unicast = 2

    	MPLS TE IPv6 unicast

    .. data:: ipv6_multicast = 3

    	MPLS TE IPv6 multicast

    """

    ipv4_unicast = 0

    ipv4_multicast = 1

    ipv6_unicast = 2

    ipv6_multicast = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeAfiEnum']


class MplsTeAttrSetEnum(Enum):
    """
    MplsTeAttrSetEnum

    Mpls te attr set

    .. data:: not_used = 0

    	Not used

    .. data:: static = 1

    	Static

    .. data:: lsp = 2

    	LSP

    .. data:: unassigned = 3

    	Unassigned

    .. data:: auto_backup = 4

    	Auto backup

    .. data:: auto_mesh = 5

    	Auto mesh

    .. data:: xro = 6

    	XRO

    .. data:: p2mp_te = 7

    	P2MP TE

    .. data:: otn_pp = 8

    	OTN Path Protection

    .. data:: p2p_te = 9

    	P2P TE

    """

    not_used = 0

    static = 1

    lsp = 2

    unassigned = 3

    auto_backup = 4

    auto_mesh = 5

    xro = 6

    p2mp_te = 7

    otn_pp = 8

    p2p_te = 9


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeAttrSetEnum']


class MplsTeBackupEnum(Enum):
    """
    MplsTeBackupEnum

    FRR backup tunnel type

    .. data:: backup_static = 0

    	Backup type is static

    .. data:: backup_auto = 1

    	Backup type is auto-tunnel

    """

    backup_static = 0

    backup_auto = 1


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeBackupEnum']


class MplsTeBackupStatusEnum(Enum):
    """
    MplsTeBackupStatusEnum

    FRR backup status

    .. data:: backup_none = 0

    	Backup not found

    .. data:: backup_unused = 1

    	Backup status undefined

    .. data:: backup_next_next_hop = 2

    	Backup is next next hop safe (node protection)

    .. data:: backup_next_hop = 3

    	Backup is next hop safe (link protection)

    .. data:: backup_next_next_hop_srlg = 4

    	Backup is next next hop and SRLG safe (node

    	protection)

    .. data:: backup_next_hop_srlg = 5

    	Backup is next hop and SRLG safe (link

    	protection)

    """

    backup_none = 0

    backup_unused = 1

    backup_next_next_hop = 2

    backup_next_hop = 3

    backup_next_next_hop_srlg = 4

    backup_next_hop_srlg = 5


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeBackupStatusEnum']


class MplsTeBackupUsageEnum(Enum):
    """
    MplsTeBackupUsageEnum

    FRR backup tunnel usage status

    .. data:: backup_not_protecting = 0

    	Backup is not protecting any LSP

    .. data:: backup_protecting = 1

    	Backup is protecting at least one LSP

    """

    backup_not_protecting = 0

    backup_protecting = 1


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeBackupUsageEnum']


class MplsTeBfdSessionDownAction1Enum(Enum):
    """
    MplsTeBfdSessionDownAction1Enum

    BFD session down action

    .. data:: reopt = 0

    	BFD session down action reoptimization

    .. data:: re_setup = 1

    	BFD session down action tear down and resetup

    """

    reopt = 0

    re_setup = 1


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeBfdSessionDownAction1Enum']


class MplsTeBwLimitEnum(Enum):
    """
    MplsTeBwLimitEnum

    Bandwidth limit type

    .. data:: bandwidth_limited = 0

    	Bandwidth is limited

    .. data:: bandwidth_unlimited = 1

    	Bandwidth is unlimited

    .. data:: bandwidth_none = 2

    	Bandwidth is None

    """

    bandwidth_limited = 0

    bandwidth_unlimited = 1

    bandwidth_none = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeBwLimitEnum']


class MplsTeBwPoolEnum(Enum):
    """
    MplsTeBwPoolEnum

    Bandwidth pool type

    .. data:: te_bandwidth_pool0 = 0

    	Bandwidth pool type is pool0

    .. data:: te_bandwidth_pool1 = 1

    	Bandwidth pool type is pool1

    .. data:: te_bandwidth_any_pool = 2

    	Bandwidth pool type is any pool

    """

    te_bandwidth_pool0 = 0

    te_bandwidth_pool1 = 1

    te_bandwidth_any_pool = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeBwPoolEnum']


class MplsTeDsteClassStatusEnum(Enum):
    """
    MplsTeDsteClassStatusEnum

    DSTE class status

    .. data:: configured = 0

    	The TE class is explicitely configured

    .. data:: default = 1

    	The TE class is a default

    .. data:: unused = 2

    	The TE class is unused due to a configuration

    	conflict

    """

    configured = 0

    default = 1

    unused = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeDsteClassStatusEnum']


class MplsTeFrrSharingEnum(Enum):
    """
    MplsTeFrrSharingEnum

    FRR sharing type

    .. data:: sharing_none = 0

    	No Fate Sharing

    .. data:: sharing_pri_oi_backup_oi_parent = 1

    	Primary Sharing outgoing interface with the

    	Parent of the backup outgoing interface

    .. data:: sharing_pri_oi_parent_backup_oi = 2

    	Primary Sharing Parent of the outgoing

    	interface with the backup outgoing interface

    .. data:: sharing_pri_oi_parent_backup_oi_parent = 3

    	Primary Sharing Parent of the outgoing

    	interface with the Parent of the backup

    	outgoing interface

    """

    sharing_none = 0

    sharing_pri_oi_backup_oi_parent = 1

    sharing_pri_oi_parent_backup_oi = 2

    sharing_pri_oi_parent_backup_oi_parent = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeFrrSharingEnum']


class MplsTeFrrStateEnum(Enum):
    """
    MplsTeFrrStateEnum

    FRR state

    .. data:: frr_inactive = 0

    	FRR state is inactive

    .. data:: frr_active = 1

    	FRR state is active

    .. data:: frr_ready = 2

    	FRR state is ready

    """

    frr_inactive = 0

    frr_active = 1

    frr_ready = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeFrrStateEnum']


class MplsTeIepHopEnum(Enum):
    """
    MplsTeIepHopEnum

    Explicit path hop type

    .. data:: iep_hop_type_unknown = 0

    	Unknown IEP hop type

    .. data:: iep_hop_type_strict_next = 1

    	Strict next IEP hop type

    .. data:: iep_hop_type_exclude = 2

    	Exclude IEP hop type

    .. data:: iep_hop_type_exclude_node = 3

    	Exclude Node IEP hop type

    .. data:: iep_hop_type_exclude_srlg = 4

    	Exclude SRLG IEP hop type

    .. data:: iep_hop_type_loose_next = 5

    	Loose next IEP hop type

    .. data:: iep_hop_type_next = 6

    	Next IEP hop type

    .. data:: iep_hop_type_share_srlg = 7

    	Weighted SRLG IEP hop type

    """

    iep_hop_type_unknown = 0

    iep_hop_type_strict_next = 1

    iep_hop_type_exclude = 2

    iep_hop_type_exclude_node = 3

    iep_hop_type_exclude_srlg = 4

    iep_hop_type_loose_next = 5

    iep_hop_type_next = 6

    iep_hop_type_share_srlg = 7


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeIepHopEnum']


class MplsTeIgpProtocolEnum(Enum):
    """
    MplsTeIgpProtocolEnum

    Mpls te igp protocol

    .. data:: none = 0

    	Not set

    .. data:: isis = 1

    	IS IS

    .. data:: ospf = 2

    	OSPF

    """

    none = 0

    isis = 1

    ospf = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeIgpProtocolEnum']


class MplsTeLoadshareEnum(Enum):
    """
    MplsTeLoadshareEnum

    load\-share type

    .. data:: loadshare_equal = 0

    	Equal load-sharing on this tunnel

    .. data:: loadshare_bandwidth_based = 1

    	Loadshare inferred from bandwidth configuration

    .. data:: loadshare_configured = 2

    	Loadshare determined from explicit

    	configuration

    """

    loadshare_equal = 0

    loadshare_bandwidth_based = 1

    loadshare_configured = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeLoadshareEnum']


class MplsTeLspEnum(Enum):
    """
    MplsTeLspEnum

    LSP Types

    .. data:: mpls_te_lsp_type_not_set = 0

    	Tunnel type not set

    .. data:: mpls_te_lsp_type_p2p = 1

    	Point-to-point packet TE tunnel

    .. data:: mpls_te_lsp_type_p2mp = 2

    	Point-to-multipoint tunnel

    .. data:: mpls_te_lsp_type_gmpls_ouni = 3

    	Bidirectional GMPLS UNI tunnel

    .. data:: mpls_te_lsp_type_gmpls_nni = 4

    	Bidirectional GMPLS NNI tunnel

    .. data:: mpls_te_lsp_type_p2p_bidir = 5

    	Bidirectional packet point-to-point tunnel

    .. data:: mpls_te_lsp_type_gmpls_tp = 6

    	Bidirectional GMPLS TP tunnel

    .. data:: mpls_te_lsp_type_gmpls_nni_otn = 7

    	Bidirectional GMPLS OTN NNI tunnel

    .. data:: mpls_te_lsp_type_segment_routing_p2p = 8

    	Point-to-point segment-routing packet TE tunnel

    """

    mpls_te_lsp_type_not_set = 0

    mpls_te_lsp_type_p2p = 1

    mpls_te_lsp_type_p2mp = 2

    mpls_te_lsp_type_gmpls_ouni = 3

    mpls_te_lsp_type_gmpls_nni = 4

    mpls_te_lsp_type_p2p_bidir = 5

    mpls_te_lsp_type_gmpls_tp = 6

    mpls_te_lsp_type_gmpls_nni_otn = 7

    mpls_te_lsp_type_segment_routing_p2p = 8


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeLspEnum']


class MplsTeLspModeEnum(Enum):
    """
    MplsTeLspModeEnum

    Mpls te lsp mode

    .. data:: mpls_te_lsp_mode_not_set = 0

    	LSP mode not set

    .. data:: mpls_te_lsp_mode_current = 1

    	Current LSP

    .. data:: mpls_te_lsp_mode_reopt = 2

    	Reoptimized LSP

    .. data:: mpls_te_lsp_mode_clean = 3

    	Cleaned LSP

    .. data:: mpls_te_lsp_mode_standby = 4

    	Standby LSP

    .. data:: mpls_te_lsp_mode_pp_clean = 5

    	Delay PP Clean LSP

    .. data:: mpls_te_lsp_mode_restore = 6

    	Restore LSP

    .. data:: mpls_te_lsp_mode_reopt_standby = 7

    	Reopt Standby LSP

    """

    mpls_te_lsp_mode_not_set = 0

    mpls_te_lsp_mode_current = 1

    mpls_te_lsp_mode_reopt = 2

    mpls_te_lsp_mode_clean = 3

    mpls_te_lsp_mode_standby = 4

    mpls_te_lsp_mode_pp_clean = 5

    mpls_te_lsp_mode_restore = 6

    mpls_te_lsp_mode_reopt_standby = 7


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeLspModeEnum']


class MplsTeLspRoleEnum(Enum):
    """
    MplsTeLspRoleEnum

    MPLS TE LSP Role

    .. data:: mpls_te_lsp_role_unknown = 0

    	MPLS TE lsp role unknown

    .. data:: mpls_te_lsp_role_head = 1

    	MPLS TE lsp role head

    .. data:: mpls_te_lsp_role_transit = 2

    	MPLS TE lsp role transit

    .. data:: mpls_te_lsp_role_tail = 3

    	MPLS TE lsp role tail

    """

    mpls_te_lsp_role_unknown = 0

    mpls_te_lsp_role_head = 1

    mpls_te_lsp_role_transit = 2

    mpls_te_lsp_role_tail = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeLspRoleEnum']


class MplsTeLspWrapStateEnum(Enum):
    """
    MplsTeLspWrapStateEnum

    LSP Wrap state

    .. data:: lsp_wrap_not_ready = 0

    	LSP Wrap state is not ready

    .. data:: lsp_wrap_active = 1

    	LSP Wrap state is active

    .. data:: lsp_wrap_ready = 2

    	LSP Wrap state is ready

    """

    lsp_wrap_not_ready = 0

    lsp_wrap_active = 1

    lsp_wrap_ready = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeLspWrapStateEnum']


class MplsTeMetricEnum(Enum):
    """
    MplsTeMetricEnum

    Metric type

    .. data:: metric_not_set = 0

    	Metric type not set

    .. data:: metric_igp = 1

    	Metric for IGP routes

    .. data:: metric_te = 2

    	Metric for MPLS traffic engineering tunnels

    .. data:: metric_delay = 3

    	Delay Metric

    """

    metric_not_set = 0

    metric_igp = 1

    metric_te = 2

    metric_delay = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeMetricEnum']


class MplsTeMetricQualifierEnum(Enum):
    """
    MplsTeMetricQualifierEnum

    Metric qualifier

    .. data:: metric_default = 0

    	Default metric

    .. data:: metric_global = 1

    	This metric was specified globally

    .. data:: metric_interface = 2

    	This metric was specified on this particular

    	tunnel

    """

    metric_default = 0

    metric_global = 1

    metric_interface = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeMetricQualifierEnum']


class MplsTeMgmtGmplsLabelEnum(Enum):
    """
    MplsTeMgmtGmplsLabelEnum

    GMPLS label type

    .. data:: not_set = 0

    	Not Set

    .. data:: fixed_wdm = 1

    	Fixed-grid WDM

    .. data:: fixed_g709otn = 2

    	Fixed-size G709 OTN

    """

    not_set = 0

    fixed_wdm = 1

    fixed_g709otn = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeMgmtGmplsLabelEnum']


class MplsTeMgmtGmplsLabelOriginEnum(Enum):
    """
    MplsTeMgmtGmplsLabelOriginEnum

    GMPLS label source

    .. data:: not_set = 0

    	Not set

    .. data:: uni_c = 1

    	UNI C

    .. data:: uni_n = 2

    	UNI N

    """

    not_set = 0

    uni_c = 1

    uni_n = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeMgmtGmplsLabelOriginEnum']


class MplsTeNextHopEnum(Enum):
    """
    MplsTeNextHopEnum

    Mpls te next hop

    .. data:: egress_resolve = 0

    	Egress Resolve

    .. data:: autoroute_dest = 1

    	Autoroute Dest

    """

    egress_resolve = 0

    autoroute_dest = 1


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeNextHopEnum']


class MplsTeNodeEnum(Enum):
    """
    MplsTeNodeEnum

    Mpls te node

    .. data:: router = 1

    	Router

    .. data:: network = 2

    	Network

    """

    router = 1

    network = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeNodeEnum']


class MplsTeP2MpTimerEnum(Enum):
    """
    MplsTeP2MpTimerEnum

    P2MP timer types

    .. data:: lmrib_restart = 0

    	P2MP Local Multicast RIB restart

    .. data:: lmrib_recovery = 1

    	P2MP LMRIB recovery

    .. data:: rsvp_restart = 2

    	P2MP RSVP restart

    .. data:: lsd_restart = 3

    	LSD restart

    .. data:: lsd_recovery = 4

    	LSD recovery

    .. data:: clear_in_progress_bandwidth = 5

    	Timer to clear the inprogress bandwidth for all

    	the nodes in the topology

    .. data:: rsi_restart = 6

    	RSI restart

    .. data:: rsi_recovery = 7

    	RSI recovery

    .. data:: ipv4_caps_replay = 8

    	Timer to timeout the replay of IPv4 Caps after

    	a TE or IM restart

    .. data:: retry_acl_registration_timer = 9

    	Timer to retry ACL registration

    .. data:: mpls_te_exit = 10

    	MPLS TE Exit

    .. data:: mpls_te_nsr_peer_restart = 11

    	MPLS TE NSR Peer Restart

    .. data:: mpls_te_issu_peer_restart = 12

    	MPLS TE ISSU Peer Restart

    .. data:: bfd_restart = 13

    	BFD restart

    .. data:: bfd_recovery = 14

    	BFD recovery

    .. data:: im_oc_restart = 15

    	IM Optical Connection restart

    .. data:: im_oc_recovery = 16

    	IM Optical Connection recovery

    .. data:: rib_restart = 17

    	RIB restart

    .. data:: rib_recovery = 18

    	RIB recovery

    .. data:: rib_next_hop_route_cleanup = 19

    	RIB next-hop route cleanup

    .. data:: rsi_srlg_producer_retry = 20

    	RSI SRLG-producer connection retry

    .. data:: eoc_reg_retry = 21

    	End-of-Config registration retry

    .. data:: fib_restart = 22

    	FIB restart

    .. data:: fib_recovery = 23

    	FIB recovery

    .. data:: fib_next_hop_route_cleanup = 24

    	FIB next-hop route cleanup

    .. data:: fib_next_hop_register_retry = 25

    	FIB next-hop register retry

    .. data:: tun_backend_scan_retry = 26

    	Tunnel Backend Scan Retry

    .. data:: tunnel_checkpoint_list_service = 27

    	Tunnel Checkpoint list service

    .. data:: tunnel_service_binding_sid_allocation_retry = 28

    	Tunnel Service Binding SID Allocation Retry

    .. data:: timer_not_used = 29

    	Do not use

    """

    lmrib_restart = 0

    lmrib_recovery = 1

    rsvp_restart = 2

    lsd_restart = 3

    lsd_recovery = 4

    clear_in_progress_bandwidth = 5

    rsi_restart = 6

    rsi_recovery = 7

    ipv4_caps_replay = 8

    retry_acl_registration_timer = 9

    mpls_te_exit = 10

    mpls_te_nsr_peer_restart = 11

    mpls_te_issu_peer_restart = 12

    bfd_restart = 13

    bfd_recovery = 14

    im_oc_restart = 15

    im_oc_recovery = 16

    rib_restart = 17

    rib_recovery = 18

    rib_next_hop_route_cleanup = 19

    rsi_srlg_producer_retry = 20

    eoc_reg_retry = 21

    fib_restart = 22

    fib_recovery = 23

    fib_next_hop_route_cleanup = 24

    fib_next_hop_register_retry = 25

    tun_backend_scan_retry = 26

    tunnel_checkpoint_list_service = 27

    tunnel_service_binding_sid_allocation_retry = 28

    timer_not_used = 29


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeP2MpTimerEnum']


class MplsTePathEnum(Enum):
    """
    MplsTePathEnum

    Mpls te path

    .. data:: not_set = 0

    	Not set

    .. data:: dynamic = 1

    	Dynamic

    .. data:: explicit_name = 3

    	Explicit name

    .. data:: explicit_id = 4

    	Explicit ID

    .. data:: no_ero = 5

    	No ERO

    .. data:: segment_routing = 6

    	Segment Routing

    """

    not_set = 0

    dynamic = 1

    explicit_name = 3

    explicit_id = 4

    no_ero = 5

    segment_routing = 6


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTePathEnum']


class MplsTePathoptionEnum(Enum):
    """
    MplsTePathoptionEnum

    Path\-option type

    .. data:: path_option_unknown = 0

    	Unknown Path Option

    .. data:: path_option_dynamic = 1

    	Dynamic Path Option

    .. data:: path_option_explicit_name = 2

    	Explicit name Path Option

    .. data:: path_option_explicit_id = 3

    	Explicit Identifier Path Option

    .. data:: path_option_pce = 4

    	PCE Path Option

    .. data:: path_option_no_ero = 5

    	No-ERO Path Option

    .. data:: path_option_segment_routing = 6

    	Segment-Routing Path Option

    """

    path_option_unknown = 0

    path_option_dynamic = 1

    path_option_explicit_name = 2

    path_option_explicit_id = 3

    path_option_pce = 4

    path_option_no_ero = 5

    path_option_segment_routing = 6


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTePathoptionEnum']


class MplsTePceFailReasonsEnum(Enum):
    """
    MplsTePceFailReasonsEnum

    PCE failure reasons

    .. data:: te_pce_fail_no_reason = 0

    	No reason

    .. data:: te_pce_fail_no_pce = 1

    	No PCE to send request

    .. data:: te_pce_fail_sub_pool = 2

    	Sub pool bandwidth tunnel

    .. data:: te_pce_fail_intra_area = 3

    	Intra Area Tunnel

    .. data:: te_pce_fail_gmpls = 4

    	GMPLS Tunnel

    .. data:: te_pce_fail_pending = 5

    	Pending request

    .. data:: te_pce_fail_oor = 6

    	OOR condition

    .. data:: te_pce_fail_bidirectional = 7

    	Bi directional

    .. data:: te_pce_fail_no_path = 8

    	No Path received from PCE

    .. data:: te_pce_fail_request_timeout = 9

    	Request Timeout

    """

    te_pce_fail_no_reason = 0

    te_pce_fail_no_pce = 1

    te_pce_fail_sub_pool = 2

    te_pce_fail_intra_area = 3

    te_pce_fail_gmpls = 4

    te_pce_fail_pending = 5

    te_pce_fail_oor = 6

    te_pce_fail_bidirectional = 7

    te_pce_fail_no_path = 8

    te_pce_fail_request_timeout = 9


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTePceFailReasonsEnum']


class MplsTeProtocolEnum(Enum):
    """
    MplsTeProtocolEnum

    MPLS TE Protocol Type

    .. data:: mpls_te_signaling_type_unknown = 0

    	MPLS TE signaling type unknown

    .. data:: mpls_te_signaling_type_rsvp = 1

    	MPLS TE signaling type RSVP

    """

    mpls_te_signaling_type_unknown = 0

    mpls_te_signaling_type_rsvp = 1


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeProtocolEnum']


class MplsTeReoptDecisionReasonEnum(Enum):
    """
    MplsTeReoptDecisionReasonEnum

    Reoptimization decision

    .. data:: decision_reason_none = 0

    	No reason

    .. data:: not_superset = 1

    	Reopt LSP not signalled because it is not a

    	superset of the current LSP

    .. data:: superset = 2

    	Reopt LSP is signalled because it is a superset

    	of the current LSP

    .. data:: lsp_frr_active = 3

    	Reopt LSP is signalled because the current LSP

    	is in FRR

    .. data:: bandwidth_change = 4

    	Reopt LSP is signalled  because there is a

    	bandwidth change

    .. data:: metric_type_change = 5

    	Reopt LSP is signalled because there is a

    	metric type change

    .. data:: better_path_option_indexes = 6

    	Reopt LSP is signalled because it has better

    	path option indexes than the current LSP

    .. data:: inter_area_preferred_path_exists = 7

    	Reopt LSP is signalled because an inter-area

    	preferred path exists

    .. data:: inter_area_preferred_tree_exists = 8

    	Reopt LSP is signalled because an inter-area

    	preferred tree exists

    .. data:: worse_path_option_indexes = 9

    	Reopt LSP is not signalled because it has worse

    	path option indexes than the current LSP

    .. data:: better_cumulative_metric = 10

    	Reopt LSP is signalled because it has better

    	path option indexes than the current LSP

    .. data:: worse_cumulative_metric = 11

    	Reopt LSP is not signalled because it has worse

    	cumulative metric than the current LSP

    .. data:: identical = 12

    	Reopt LSP is not signalled because it is

    	identical to the current LSP

    .. data:: no_s2_ls = 13

    	Reopt LSP is not signalled because it has no

    	S2Ls

    .. data:: no_current_lsp = 14

    	Reopt LSP not signalled, no current LSP

    .. data:: user_path_option_switchover = 15

    	Reopt LSP signalled due to user requested

    	path-option switchover

    .. data:: better_hops = 16

    	Reopt LSP is signalled because it has more S2Ls

    	with less hops than the current LSP

    .. data:: worse_hops = 17

    	Reopt LSP is not signalled because it has less

    	S2Ls with less hops than the current LSP

    .. data:: pce_force = 18

    	PCE based reoptimization triggered by CLI with

    	force option than the current LSP

    .. data:: affinity_changed = 19

    	Reopt LSP is signalled  because there is an

    	affinity change

    .. data:: cost_limit = 20

    	Reopt LSP is signalled  because the path cost

    	limit is crossed

    .. data:: sig_timeout = 21

    	Re-opt LSP could not be signalled within

    	signalling timeout

    .. data:: not_superset_inst_timer_expired = 22

    	Re-opt LSP is not a superset when the install

    	timer expired

    .. data:: path_verifiction_failed = 23

    	Re-opt LSP path verification failed

    .. data:: soft_preemption_recovery = 24

    	Re-opt LSP is signalled because of soft

    	preemption recovery

    .. data:: iep_changed = 25

    	Re-opt LSP is signalled because the inuse

    	explicit-path has changed

    .. data:: po_changed = 26

    	Re-opt LSP is signalled because the inuse

    	path-option has changed

    .. data:: dest_changed = 27

    	Re-opt LSP is signalled because the destination

    	has changed

    .. data:: better_igp_area = 28

    	Reopt LSP is signalled because its path was

    	calculated in a preferred IGP-area to the

    	current LSP

    .. data:: worse_igp_area = 29

    	Reopt LSP is not signalled because its path was

    	calculated in a worse IGP-area than the current

    	LSP

    .. data:: better_bandwidth_load_balancing = 30

    	Reopt LSP is signalled because it gives better

    	bandwidth load balancing than the current LSP

    .. data:: worse_bandwidth_load_balancing = 31

    	Reopt LSP is not signalled because it gives

    	worse bandwidth load balancing than the current

    	LSP

    .. data:: bfd_session_down = 32

    	Reopt LSP is signaled because BFD sesssion went

    	down

    .. data:: auto_pcc_reopt = 33

    	Re-opt LSP is signalled because it was

    	triggered by a PCE

    .. data:: sr_egress_path_changed = 34

    	Reopt LSP is signaled because the egress

    	path(s) changed

    .. data:: overload_bit_set = 35

    	Reopt LSP is signalled because the current LSP

    	uses an OL node

    .. data:: better_diversity = 36

    	Reopt LSP is signalled because it has better

    	diversity than the current LSP

    .. data:: worse_diversity = 37

    	Reopt LSP is not signalled because it has worse

    	diversity than the current lsp

    .. data:: bfd_session_type_changed = 38

    	Reopt LSP is signalled because BFD sesssion

    	tyep is changed

    .. data:: lsp_drop_mode = 39

    	Reopt LSP is signalled because current LSP is

    	in drop mode

    .. data:: strict_spf = 40

    	Reopt LSP is signalled because it uses strict

    	SPF while current doesn't

    .. data:: not_used = 41

    	Not used, must be last entry

    """

    decision_reason_none = 0

    not_superset = 1

    superset = 2

    lsp_frr_active = 3

    bandwidth_change = 4

    metric_type_change = 5

    better_path_option_indexes = 6

    inter_area_preferred_path_exists = 7

    inter_area_preferred_tree_exists = 8

    worse_path_option_indexes = 9

    better_cumulative_metric = 10

    worse_cumulative_metric = 11

    identical = 12

    no_s2_ls = 13

    no_current_lsp = 14

    user_path_option_switchover = 15

    better_hops = 16

    worse_hops = 17

    pce_force = 18

    affinity_changed = 19

    cost_limit = 20

    sig_timeout = 21

    not_superset_inst_timer_expired = 22

    path_verifiction_failed = 23

    soft_preemption_recovery = 24

    iep_changed = 25

    po_changed = 26

    dest_changed = 27

    better_igp_area = 28

    worse_igp_area = 29

    better_bandwidth_load_balancing = 30

    worse_bandwidth_load_balancing = 31

    bfd_session_down = 32

    auto_pcc_reopt = 33

    sr_egress_path_changed = 34

    overload_bit_set = 35

    better_diversity = 36

    worse_diversity = 37

    bfd_session_type_changed = 38

    lsp_drop_mode = 39

    strict_spf = 40

    not_used = 41


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeReoptDecisionReasonEnum']


class MplsTeSoftPreemptionResolutionEnum(Enum):
    """
    MplsTeSoftPreemptionResolutionEnum

    The possible ways for soft preemption to end

    .. data:: soft_preemption_resolution_none = 0

    	No Soft Preemption Resolution

    .. data:: soft_preemption_resolution_pending = 1

    	Soft Preemption has no resolution since it is

    	still pending

    .. data:: soft_preemption_resolution_reopt_completed = 2

    	The soft preempted LSP has been reoptimized

    .. data:: soft_preemption_resolution_teardown = 3

    	The soft preempted LSP has been torn

    .. data:: soft_preemption_resolution_frr_triggered = 4

    	The soft preempted LSP has been fast rerouted

    .. data:: soft_preemption_resolution_path_protetion_switchover = 5

    	The soft preempted LSP was switched with the

    	protection LSP

    """

    soft_preemption_resolution_none = 0

    soft_preemption_resolution_pending = 1

    soft_preemption_resolution_reopt_completed = 2

    soft_preemption_resolution_teardown = 3

    soft_preemption_resolution_frr_triggered = 4

    soft_preemption_resolution_path_protetion_switchover = 5


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeSoftPreemptionResolutionEnum']


class MplsTeSoftPreemptionStateEnum(Enum):
    """
    MplsTeSoftPreemptionStateEnum

    The possible states for soft preemption

    .. data:: soft_preemption_not_pending = 0

    	Soft Preemption has not been triggered and is

    	not pending

    .. data:: soft_preemption_pending = 1

    	Soft Preemption has been triggered and is

    	pending

    """

    soft_preemption_not_pending = 0

    soft_preemption_pending = 1


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeSoftPreemptionStateEnum']


class MplsTeTerminationEnum(Enum):
    """
    MplsTeTerminationEnum

    Termination type

    .. data:: none = 0

    	Local termination none

    .. data:: ether = 1

    	Local termination type Ether

    """

    none = 0

    ether = 1


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeTerminationEnum']


class MplsTeTunnelAnnounceEnum(Enum):
    """
    MplsTeTunnelAnnounceEnum

    Type of TE tunnel announcement to IGP

    .. data:: announce_type_not_set = 0

    	Tunnel announcement type not set

    .. data:: autoroute = 1

    	Autoroute-announced tunnel

    .. data:: forward_adjacency = 2

    	Forwarding-adjacency tunnel

    """

    announce_type_not_set = 0

    autoroute = 1

    forward_adjacency = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeTunnelAnnounceEnum']


class MplsTeTunnelRoleEnum(Enum):
    """
    MplsTeTunnelRoleEnum

    Mpls te tunnel role

    .. data:: tunnel_unknown = 0

    	Undefined tunnel role

    .. data:: tunnel_head = 1

    	Tunnel role is head

    .. data:: tunnel_mid = 2

    	Tunnel role is midpoint

    .. data:: tunnel_tail = 3

    	Tunnel role is tail

    """

    tunnel_unknown = 0

    tunnel_head = 1

    tunnel_mid = 2

    tunnel_tail = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeTunnelRoleEnum']


class MplsTeTunnelStateEnum(Enum):
    """
    MplsTeTunnelStateEnum

    Tunnel state

    .. data:: state_down = 0

    	Tunnel state is down

    .. data:: state_up = 1

    	Tunnel state is up

    .. data:: state_down_policy = 2

    	Tunnel state is down as it has been deactivated

    	administratively

    .. data:: state_lockout = 3

    	Tunnel state is lockout

    """

    state_down = 0

    state_up = 1

    state_down_policy = 2

    state_lockout = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeTunnelStateEnum']


class MplsTeTunnelsProcessStatusEnum(Enum):
    """
    MplsTeTunnelsProcessStatusEnum

    Mpls te tunnels process status

    .. data:: not_running = 0

    	MPLS TE process is not running

    .. data:: running = 1

    	MPLS TE process is running

    .. data:: not_registered_with_rsvp = 2

    	MPLS TE process has not registered with RSVP

    """

    not_running = 0

    running = 1

    not_registered_with_rsvp = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeTunnelsProcessStatusEnum']


class MplsTeTunnelsSignalingStatusEnum(Enum):
    """
    MplsTeTunnelsSignalingStatusEnum

    Tunnel signalling status

    .. data:: down = 0

    	The tunnel is down

    .. data:: recovering = 1

    	The tunnel is recovering

    .. data:: recovered = 2

    	The tunnel is recovered

    .. data:: connected = 3

    	The tunnel is connected

    .. data:: disabled = 4

    	The tunnel signalling is disabled

    .. data:: proceeding = 5

    	The tunnel signalling is proceeding

    .. data:: wait_bfd_session_up = 6

    	The tunnel is waiting for BFD session up

    .. data:: wait_sr_segment_path_up = 7

    	The tunnel is waiting for SR segment path

    .. data:: wait_local_label = 8

    	The tunnel is waiting for a local label

    .. data:: wait_local_label_rewrite = 9

    	The tunnel is waiting for a local label rewrite

    """

    down = 0

    recovering = 1

    recovered = 2

    connected = 3

    disabled = 4

    proceeding = 5

    wait_bfd_session_up = 6

    wait_sr_segment_path_up = 7

    wait_local_label = 8

    wait_local_label_rewrite = 9


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeTunnelsSignalingStatusEnum']


class MplsTeUniEnum(Enum):
    """
    MplsTeUniEnum

    Uni\-Type type

    .. data:: none = 0

    	Uni-Type none

    .. data:: xc = 1

    	Uni-Type type XC

    .. data:: term = 2

    	Uni-Type Termination

    """

    none = 0

    xc = 1

    term = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeUniEnum']


class MplsTpLspBfdStateEnum(Enum):
    """
    MplsTpLspBfdStateEnum

    Transport profile LSP BFD states

    .. data:: down = 0

    	BFD down

    .. data:: up = 1

    	BFD up

    """

    down = 0

    up = 1


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTpLspBfdStateEnum']


class MplsTpLspOamStateEnum(Enum):
    """
    MplsTpLspOamStateEnum

    Transport profile LSP OAM states

    .. data:: none = 0

    	No fault

    .. data:: ldi = 1

    	LDI

    .. data:: lkr = 2

    	LKR

    .. data:: ais = 3

    	AIS

    """

    none = 0

    ldi = 1

    lkr = 2

    ais = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTpLspOamStateEnum']


class MplsTpLspStateEnum(Enum):
    """
    MplsTpLspStateEnum

    Transport profile LSP states

    .. data:: down = 0

    	Down

    .. data:: up = 1

    	Up

    .. data:: active = 2

    	Up (active)

    .. data:: unknown = 3

    	Unknown

    """

    down = 0

    up = 1

    active = 2

    unknown = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTpLspStateEnum']


class MplsTpTunnelActiveLspEnum(Enum):
    """
    MplsTpTunnelActiveLspEnum

    Transport profile tunnel active LSP

    .. data:: working = 0

    	Working LSP

    .. data:: protect = 1

    	Protect LSP

    .. data:: none = 2

    	Neither working nor protection LSP is active

    """

    working = 0

    protect = 1

    none = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTpTunnelActiveLspEnum']


class MplsTpTunnelStateEnum(Enum):
    """
    MplsTpTunnelStateEnum

    Transport profile tunnel states

    .. data:: admin_down = 0

    	Tunnel is administratively down

    .. data:: admin_up = 1

    	Tunnel is administratively up

    .. data:: oper_up = 2

    	Tunnel is operationally up

    .. data:: oper_down = 3

    	Tunnel is operationally down

    """

    admin_down = 0

    admin_up = 1

    oper_up = 2

    oper_down = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTpTunnelStateEnum']


class MplsTpTunnelSwitchoverTrigEnum(Enum):
    """
    MplsTpTunnelSwitchoverTrigEnum

    Transport profile protection switchover triggers

    .. data:: none = 0

    	No Trigger

    .. data:: bfd = 1

    	Trigger is BFD

    .. data:: local_lockout = 2

    	Trigger is local lockout

    .. data:: remote_lockout = 3

    	Trigger is remote lockout

    .. data:: ais = 4

    	Trigger is AIS

    .. data:: ldi = 5

    	Trigger is LDI

    .. data:: lkr = 6

    	Trigger is LKR

    .. data:: link_down = 7

    	Trigger is due to link down event

    """

    none = 0

    bfd = 1

    local_lockout = 2

    remote_lockout = 3

    ais = 4

    ldi = 5

    lkr = 6

    link_down = 7


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTpTunnelSwitchoverTrigEnum']


class MtePathOptionEnum(Enum):
    """
    MtePathOptionEnum

    Path Option Type

    .. data:: none = 0

    	No Path Option type

    .. data:: dynamic = 1

    	Dynamic Path Option type

    .. data:: explicit = 2

    	Explicit Path Option type

    .. data:: no_ero = 3

    	No ERO Path Option type

    .. data:: segment_routing = 4

    	One SID SegmentRouting Path Option type

    .. data:: po_count = 5

    	Number of Path option types

    """

    none = 0

    dynamic = 1

    explicit = 2

    no_ero = 3

    segment_routing = 4

    po_count = 5


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MtePathOptionEnum']


class MteReoptTriggerEnum(Enum):
    """
    MteReoptTriggerEnum

    Reoptimization trigger

    .. data:: no_trigger = 0

    	No trigger

    .. data:: timer_trigger = 1

    	Timer Trigger

    .. data:: bandwidth_change_trigger = 2

    	Bandwidth Change Trigger

    .. data:: auto_bandwidth_overflow_trigger = 3

    	Auto Bandwidth Overflow Trigger

    .. data:: auto_bandwidth_underflow_trigger = 4

    	Auto Bandwidth Underflow Trigger

    .. data:: auto_bandwidth_adjustment_trigger = 5

    	Auto Bandwidth Adjustment Trigger

    .. data:: metric_type_change_trigger = 6

    	Metric Type Change Trigger

    .. data:: user_trigger = 7

    	User Trigger

    .. data:: frr_trigger = 8

    	FRR Trigger

    .. data:: remerge_error_trigger = 9

    	Remerge Error Trigger

    .. data:: preferred_path_trigger = 10

    	Reception of the preferred path exists path

    	error

    .. data:: preferred_tree_trigger = 11

    	Reception of the preferred tree exists path

    	error

    .. data:: due_to_maximum_metric = 12

    	Reoptimization triggered due to receiving an

    	LSA with MAX metric

    .. data:: path_option_switchover_trigger = 13

    	Path option switchover

    .. data:: path_protection_switchover_trigger = 14

    	Path Protection Switchover Trigger

    .. data:: iep_enable_reoptimization_trigger = 15

    	IEP Enable Reoptimization Trigger

    .. data:: affinity_path_verification_fail_trigger = 16

    	Affinity path verification failure trigger

    .. data:: cost_limit_path_verification_fail_trigger = 17

    	Cost limit path verification failure trigger

    .. data:: soft_preemption_trigger = 18

    	Soft preemption trigger

    .. data:: iep_changed = 19

    	Explicit path has changed

    .. data:: po_changed = 20

    	Path-option has changed

    .. data:: dest_changed = 21

    	Destination has changed

    .. data:: reopt_try_to_force_it = 22

    	Reoptimization with try-to-force-it option

    .. data:: topology_change_trigger = 23

    	Topology change trigger

    .. data:: reopt_link_up_event = 24

    	Topology link-up event trigger

    .. data:: bfd_session_down_trigger = 25

    	FRR enabled and BFD session down trigger

    .. data:: reverse_assoc_s2l_received_trigger = 26

    	Reverse associated S2L received trigger

    .. data:: gmpls_uni_multilayer_trigger = 27

    	Multilayer recovery for GMPLS-UNI

    .. data:: gmpls_uni_user_trigger = 28

    	User-triggered GMPLS-UNI reopt request

    .. data:: path_selection_tiebreaker_change_trigger = 29

    	Path Selection Tiebreaker Change Trigger

    .. data:: sr_egress_path_change_trigger = 30

    	Segment-Routing Egress Path Change Trigger

    .. data:: overload_bit_trigger = 31

    	Overload-bit set on current path

    .. data:: pce_trigger = 32

    	PCE Trigger

    .. data:: lockout_metric_trigger = 33

    	Reoptimization triggered due to receiving an

    	LSA with Lockout metric

    .. data:: bfd_session_config_change_trigger = 34

    	BFD session configuration change

    .. data:: higher_priority_po_change_trigger = 35

    	Higher priority path option changed

    .. data:: sr_area_spf_support_change_trigger = 36

    	Segment-Routing IGP Area SPF Support Change

    	Trigger

    .. data:: trigger_not_used = 37

    	Not used

    """

    no_trigger = 0

    timer_trigger = 1

    bandwidth_change_trigger = 2

    auto_bandwidth_overflow_trigger = 3

    auto_bandwidth_underflow_trigger = 4

    auto_bandwidth_adjustment_trigger = 5

    metric_type_change_trigger = 6

    user_trigger = 7

    frr_trigger = 8

    remerge_error_trigger = 9

    preferred_path_trigger = 10

    preferred_tree_trigger = 11

    due_to_maximum_metric = 12

    path_option_switchover_trigger = 13

    path_protection_switchover_trigger = 14

    iep_enable_reoptimization_trigger = 15

    affinity_path_verification_fail_trigger = 16

    cost_limit_path_verification_fail_trigger = 17

    soft_preemption_trigger = 18

    iep_changed = 19

    po_changed = 20

    dest_changed = 21

    reopt_try_to_force_it = 22

    topology_change_trigger = 23

    reopt_link_up_event = 24

    bfd_session_down_trigger = 25

    reverse_assoc_s2l_received_trigger = 26

    gmpls_uni_multilayer_trigger = 27

    gmpls_uni_user_trigger = 28

    path_selection_tiebreaker_change_trigger = 29

    sr_egress_path_change_trigger = 30

    overload_bit_trigger = 31

    pce_trigger = 32

    lockout_metric_trigger = 33

    bfd_session_config_change_trigger = 34

    higher_priority_po_change_trigger = 35

    sr_area_spf_support_change_trigger = 36

    trigger_not_used = 37


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MteReoptTriggerEnum']


class MteTunnelAdminStateEnum(Enum):
    """
    MteTunnelAdminStateEnum

    Tunnel admin state

    .. data:: tunnel_state_admin_unknown = 0

    	Tunnel is in unknown state

    .. data:: admin_shutdown = 1

    	Tunnel is in admin shutdown state

    .. data:: admin_up = 2

    	Tunnel is in admin up state

    """

    tunnel_state_admin_unknown = 0

    admin_shutdown = 1

    admin_up = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MteTunnelAdminStateEnum']


class MteTunnelOperStateEnum(Enum):
    """
    MteTunnelOperStateEnum

    Tunnel operational state

    .. data:: tunnel_state_oper_unknown = 0

    	Tunnel is in unknown state

    .. data:: operational_down = 1

    	Tunnel is in operational down state

    .. data:: operational_up = 2

    	Tunnel is in operational up state

    """

    tunnel_state_oper_unknown = 0

    operational_down = 1

    operational_up = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MteTunnelOperStateEnum']


class OcMplsTeLspEnum(Enum):
    """
    OcMplsTeLspEnum

    OC MPLS TE LSP Type

    .. data:: oc_mpls_te_lsp_type_not_set = 0

    	MPLS TE lsp type not set

    .. data:: oc_mpls_te_lsp_type_p2p = 1

    	MPLS TE lsp type point to point

    .. data:: oc_mpls_te_lsp_type_p2mp = 2

    	MPLS TE lsp type point to multi-point

    """

    oc_mpls_te_lsp_type_not_set = 0

    oc_mpls_te_lsp_type_p2p = 1

    oc_mpls_te_lsp_type_p2mp = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['OcMplsTeLspEnum']


class OcMplsTeMetricEnum(Enum):
    """
    OcMplsTeMetricEnum

    OC MPLS TE Metric Type

    .. data:: oc_mpls_te_metric_type_igp = 0

    	MPLS TE metric type IGP

    .. data:: oc_mpls_te_metric_type_te = 1

    	MPLS TE metric type TE

    """

    oc_mpls_te_metric_type_igp = 0

    oc_mpls_te_metric_type_te = 1


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['OcMplsTeMetricEnum']


class OcMplsTeTunnelEnum(Enum):
    """
    OcMplsTeTunnelEnum

    Oc mpls te tunnel

    .. data:: unknown = 0

    	UNKNOWN

    .. data:: p2p = 1

    	P2P

    .. data:: p2mp = 2

    	P2MP

    """

    unknown = 0

    p2p = 1

    p2mp = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['OcMplsTeTunnelEnum']


class PceLspAutorouteMetricEnum(Enum):
    """
    PceLspAutorouteMetricEnum

    Autoroute Metric Type

    .. data:: none = 0

    	None

    .. data:: relative = 1

    	Relative

    .. data:: absolute = 2

    	Absolute

    """

    none = 0

    relative = 1

    absolute = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['PceLspAutorouteMetricEnum']


class PceLspOperStateEnum(Enum):
    """
    PceLspOperStateEnum

    LSP Operational state

    .. data:: down = 0

    	Down

    .. data:: up = 1

    	Up

    .. data:: active = 2

    	Active

    .. data:: going_down = 3

    	Going down

    .. data:: going_up = 4

    	Going Up

    """

    down = 0

    up = 1

    active = 2

    going_down = 3

    going_up = 4


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['PceLspOperStateEnum']


class PceSrSidEnum(Enum):
    """
    PceSrSidEnum

    PCE SID type

    .. data:: unknown_segment_id = 0

    	Unknown type

    .. data:: ipv4_node_segment_id = 1

    	IPv4 Node ID

    .. data:: ipv4_adjacency_segment_id = 2

    	IPv4 Adjacency ID

    """

    unknown_segment_id = 0

    ipv4_node_segment_id = 1

    ipv4_adjacency_segment_id = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['PceSrSidEnum']


class PceStateEnum(Enum):
    """
    PceStateEnum

    PCE State

    .. data:: tcp_close = 0

    	TCP close

    .. data:: tcp_listen = 1

    	TCP listen

    .. data:: tcp_connect = 2

    	TCP connect

    .. data:: pcep_closed = 3

    	PCEP closed

    .. data:: pcep_opening = 4

    	PCEP opening

    .. data:: pcep_open = 5

    	PCEP open

    """

    tcp_close = 0

    tcp_listen = 1

    tcp_connect = 2

    pcep_closed = 3

    pcep_opening = 4

    pcep_open = 5


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['PceStateEnum']


class PceTunPathStateEnum(Enum):
    """
    PceTunPathStateEnum

    PCE Request State

    .. data:: state_none = 0

    	None

    .. data:: state_pending = 1

    	Request Pending

    .. data:: state_received_path = 2

    	Path Received

    .. data:: state_no_peer = 3

    	No peer to forward

    .. data:: state_pcep_down = 4

    	PCEP to the peer is down

    .. data:: state_received_no_path = 5

    	Path Received No Path

    """

    state_none = 0

    state_pending = 1

    state_received_path = 2

    state_no_peer = 3

    state_pcep_down = 4

    state_received_no_path = 5


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['PceTunPathStateEnum']


class PceTunnelStateEnum(Enum):
    """
    PceTunnelStateEnum

    PCE Tunnel State

    .. data:: tunnel_state_none = 0

    	None

    .. data:: tunnel_state_admin_down = 1

    	AdminDown

    .. data:: tunnel_state_down = 2

    	Down

    .. data:: tunnel_state_up = 3

    	Up

    """

    tunnel_state_none = 0

    tunnel_state_admin_down = 1

    tunnel_state_down = 2

    tunnel_state_up = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['PceTunnelStateEnum']


class ResourceProviderEnum(Enum):
    """
    ResourceProviderEnum

    The resource provider type

    .. data:: resource_provider_none = 0

    	Unknown

    .. data:: packet_switch_capable = 1

    	Packet Switch Capable

    .. data:: time_division_multiplex = 2

    	TDM - SONET/SDH

    .. data:: lambda_switch_capable = 3

    	Lambda Switch Capable

    .. data:: fiber_switch_capable = 4

    	Fiber Switch Capable

    .. data:: g709odu_capable = 5

    	Resource provider of type G709-ODU

    """

    resource_provider_none = 0

    packet_switch_capable = 1

    time_division_multiplex = 2

    lambda_switch_capable = 3

    fiber_switch_capable = 4

    g709odu_capable = 5


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['ResourceProviderEnum']


class RrrDsteMigrationModeEnum(Enum):
    """
    RrrDsteMigrationModeEnum

    DS\-TE migration mode

    .. data:: rrr_dste_mode_none = 0

    	No DSTE mode set

    .. data:: rrr_dste_mode_prestandard = 1

    	Pre-standard DSTE

    .. data:: rrr_dste_mode_standard = 3

    	IETF-standard DSTE

    """

    rrr_dste_mode_none = 0

    rrr_dste_mode_prestandard = 1

    rrr_dste_mode_standard = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['RrrDsteMigrationModeEnum']


class RsvpMgmtEroSubobjEnum(Enum):
    """
    RsvpMgmtEroSubobjEnum

    RSVP ERO Types

    .. data:: rsvp_mgmt_ero_type_ipv4 = 1

    	IPv4 ERO Type

    .. data:: rsvp_mgmt_ero_type_un_num = 4

    	Unnumbered ERO Type

    """

    rsvp_mgmt_ero_type_ipv4 = 1

    rsvp_mgmt_ero_type_un_num = 4


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['RsvpMgmtEroSubobjEnum']


class RsvpMgmtEroSubobjStatusEnum(Enum):
    """
    RsvpMgmtEroSubobjStatusEnum

    RSVP ERO Status

    .. data:: rsvp_mgmt_ero_status_not_available = 0

    	ERO is not available in topology

    .. data:: rsvp_mgmt_ero_status_available = 1

    	ERO is available in topology

    .. data:: rsvp_mgmt_ero_status_bw_not_available = 2

    	ERO doesn't have bw available in topology

    """

    rsvp_mgmt_ero_status_not_available = 0

    rsvp_mgmt_ero_status_available = 1

    rsvp_mgmt_ero_status_bw_not_available = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['RsvpMgmtEroSubobjStatusEnum']


class RsvpMgmtRroSubobjEnum(Enum):
    """
    RsvpMgmtRroSubobjEnum

    RSVP RRO Types

    .. data:: ipv4rro_type = 1

    	IPv4 RRO Type

    .. data:: label_rro_type = 3

    	Label RRO Type

    .. data:: unnumbered_rro_type = 4

    	Unnumbered RRO Type

    .. data:: srlg_rro_type = 34

    	SRLG RRO Type

    """

    ipv4rro_type = 1

    label_rro_type = 3

    unnumbered_rro_type = 4

    srlg_rro_type = 34


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['RsvpMgmtRroSubobjEnum']


class SignalingAgentEnumEnum(Enum):
    """
    SignalingAgentEnumEnum

    Deprecated \- Signaling Agent

    .. data:: no_signaling = 0

    	Deprecated - No signaling protocol configured

    .. data:: rsvp_signaling = 1

    	Deprecated - RSVP is the signaling protocol

    """

    no_signaling = 0

    rsvp_signaling = 1


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['SignalingAgentEnumEnum']


class TeAclEnum(Enum):
    """
    TeAclEnum

    Te acl

    .. data:: acl_type_unknown = 0

    	Unknown type of ACL

    .. data:: acl_type_access_list = 1

    	Access-list type of ACL

    .. data:: acl_type_prefix_list = 2

    	Prefix-list type of ACL

    .. data:: acl_type_unregistered = 3

    	ACL failed to register to ACL infra

    """

    acl_type_unknown = 0

    acl_type_access_list = 1

    acl_type_prefix_list = 2

    acl_type_unregistered = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeAclEnum']


class TeAddrEnum(Enum):
    """
    TeAddrEnum

    TE Address Types

    .. data:: not_set = 0

    	Address not set

    .. data:: ipv4 = 1

    	IPv4

    .. data:: ipv4_unnumbered = 2

    	IPv4 Unnumbered

    """

    not_set = 0

    ipv4 = 1

    ipv4_unnumbered = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeAddrEnum']


class TeAffinityTableEnum(Enum):
    """
    TeAffinityTableEnum

    Affinity Table IDs

    .. data:: affinity_table_mapping = 0

    	Mapping affinity table

    .. data:: affinity_table_forward_reference = 1

    	Forward reference affinity table

    .. data:: affinity_table_count = 2

    	Number of affinity tables

    """

    affinity_table_mapping = 0

    affinity_table_forward_reference = 1

    affinity_table_count = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeAffinityTableEnum']


class TeApsSncModeEnum(Enum):
    """
    TeApsSncModeEnum

    APS ANC Modes

    .. data:: snc_mode_not_set = 0

    	TE OTN Subnetwork Connection Mode Not Set

    .. data:: snc_mode_n = 1

    	TE OTN Subnetwork Connection Mode N

    .. data:: snc_mode_i = 2

    	TE OTN Subnetwork Connection Mode I

    .. data:: snc_mode_s = 3

    	TE OTN Subnetwork Connection Mode S

    """

    snc_mode_not_set = 0

    snc_mode_n = 1

    snc_mode_i = 2

    snc_mode_s = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeApsSncModeEnum']


class TeAssociationTieRoleEnum(Enum):
    """
    TeAssociationTieRoleEnum

    TE Association Tie Breaker Role

    .. data:: none = 0

    	Association Role None

    .. data:: master = 1

    	Association Role Master

    .. data:: slave = 2

    	Association Role Slave

    """

    none = 0

    master = 1

    slave = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeAssociationTieRoleEnum']


class TeAttributeSetSrPrependEnum(Enum):
    """
    TeAttributeSetSrPrependEnum

    Attribute Set SR prepend type

    .. data:: te_attribute_set_sr_prepend_not_set = 0

    	Not set

    .. data:: te_attribute_set_sr_prepend_next_label = 1

    	Next label

    .. data:: te_attribute_set_sr_prepend_bgp_nhop = 2

    	BGP NHOP

    """

    te_attribute_set_sr_prepend_not_set = 0

    te_attribute_set_sr_prepend_next_label = 1

    te_attribute_set_sr_prepend_bgp_nhop = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeAttributeSetSrPrependEnum']


class TeAutoTunExpPathHopEnum(Enum):
    """
    TeAutoTunExpPathHopEnum

    Auto tunnel hop type

    .. data:: ipv4_address_type = 0

    	IPv4 Address Type

    .. data:: mpls_label_type = 1

    	MPLS Label Type

    .. data:: ipv4_and_label_type = 2

    	IPv4 Address and MPLS Label Type

    """

    ipv4_address_type = 0

    mpls_label_type = 1

    ipv4_and_label_type = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeAutoTunExpPathHopEnum']


class TeAutobwAppRejEnum(Enum):
    """
    TeAutobwAppRejEnum

    Reason for auto\-bandwidth application rejection

    .. data:: application_allowed = 0

    	Application allowed

    .. data:: auto_bw_disabled = 1

    	Auto-bw disabled

    .. data:: tunnel_is_down = 2

    	TunnelIsDown

    .. data:: tunnel_is_frr = 3

    	TunnelIsFRRActive

    .. data:: tunnel_is_backup = 4

    	TunnelIsBackup

    .. data:: tunnel_is_lock_down = 5

    	TunnelIsLockdown

    """

    application_allowed = 0

    auto_bw_disabled = 1

    tunnel_is_down = 2

    tunnel_is_frr = 3

    tunnel_is_backup = 4

    tunnel_is_lock_down = 5


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeAutobwAppRejEnum']


class TeAutobwAppTriggerEnum(Enum):
    """
    TeAutobwAppTriggerEnum

    Auto\-bandwidth application trigger

    .. data:: application_none = 0

    	No BW Application

    .. data:: application_periodic = 1

    	BW Application Periodic

    .. data:: application_manual = 2

    	BW Application Manual

    .. data:: application_overflow = 3

    	BW Application Overflow

    .. data:: application_underflow = 4

    	BW Application Underflow

    """

    application_none = 0

    application_periodic = 1

    application_manual = 2

    application_overflow = 3

    application_underflow = 4


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeAutobwAppTriggerEnum']


class TeBfdLspSessionStateEnum(Enum):
    """
    TeBfdLspSessionStateEnum

    TE BFDOverLSP Session State

    .. data:: bfd_over_lsp_session_state_none = 0

    	BFDOverLSP session state none

    .. data:: bfd_over_lsp_session_state_created = 1

    	BFDOverLSP session state created

    .. data:: bfd_over_lsp_session_state_up = 2

    	BFDOverLSP session state up

    .. data:: bfd_over_lsp_session_state_down = 3

    	BFDOverLSP session state down

    .. data:: bfd_over_lsp_session_state_admin_down = 4

    	BFDOverLSP session state admin down

    .. data:: bfd_over_lsp_session_state_deleted = 5

    	BFDOverLSP sesssion state deleted

    .. data:: bfd_over_lsp_session_state_create_failed = 6

    	BFDOverLSP session state create failed

    """

    bfd_over_lsp_session_state_none = 0

    bfd_over_lsp_session_state_created = 1

    bfd_over_lsp_session_state_up = 2

    bfd_over_lsp_session_state_down = 3

    bfd_over_lsp_session_state_admin_down = 4

    bfd_over_lsp_session_state_deleted = 5

    bfd_over_lsp_session_state_create_failed = 6


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeBfdLspSessionStateEnum']


class TeBfdReversePathEnum(Enum):
    """
    TeBfdReversePathEnum

    BFD Reverse Path Type

    .. data:: bfd_reverse_path_none = 0

    	BFD reverse path not enabled

    .. data:: bfd_reverse_path_binding_label = 1

    	BFD reverse path binding label

    """

    bfd_reverse_path_none = 0

    bfd_reverse_path_binding_label = 1


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeBfdReversePathEnum']


class TeControllerStateEnum(Enum):
    """
    TeControllerStateEnum

    Controller States

    .. data:: notready = 0

    	Controller not ready

    .. data:: admin_down = 1

    	Controller is admin down

    .. data:: down = 2

    	Controller is operationally down

    .. data:: shutdown = 3

    	Controller is shutdown

    .. data:: error_disabled = 4

    	Controller is disabled due to error

    .. data:: up = 5

    	Controller is operationally up

    .. data:: unknown = 6

    	Controller state unknown

    """

    notready = 0

    admin_down = 1

    down = 2

    shutdown = 3

    error_disabled = 4

    up = 5

    unknown = 6


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeControllerStateEnum']


class TeDestinationStateEnum(Enum):
    """
    TeDestinationStateEnum

    P2MP destination state

    .. data:: destination_disabled = 0

    	The destination is disabled in configuration

    .. data:: destination_down = 1

    	The destination is down

    .. data:: destination_up = 2

    	The destination is up

    """

    destination_disabled = 0

    destination_down = 1

    destination_up = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeDestinationStateEnum']


class TeHopLimitIgnoreEnum(Enum):
    """
    TeHopLimitIgnoreEnum

    Te hop limit ignore

    .. data:: ignore_unknown = 0

    	Ignore for an unknown reason

    .. data:: ignore_explicit = 1

    	Ignore due to explicit path option

    .. data:: ignore_pce = 2

    	Ignore due to PCE path option

    """

    ignore_unknown = 0

    ignore_explicit = 1

    ignore_pce = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeHopLimitIgnoreEnum']


class TeMeshgroupEnum(Enum):
    """
    TeMeshgroupEnum

    Te meshgroup

    .. data:: meshgroup_type_automesh = 0

    	automesh type of Meshgroup

    .. data:: meshgroup_type_onehop = 1

    	onehop type of Meshgroup

    """

    meshgroup_type_automesh = 0

    meshgroup_type_onehop = 1


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeMeshgroupEnum']


class TeMgmtGenericFspecEnum(Enum):
    """
    TeMgmtGenericFspecEnum

    TE generic FSpec types

    .. data:: te_generic_fspec_type_g709otn = 0

    	TE G709 OTN FSpec type

    """

    te_generic_fspec_type_g709otn = 0


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeMgmtGenericFspecEnum']


class TeMgmtGenericTspecEnum(Enum):
    """
    TeMgmtGenericTspecEnum

    TE generic TSpec types

    .. data:: te_generic_tspec_type_g709otn = 0

    	TE G709 OTN TSpec type

    """

    te_generic_tspec_type_g709otn = 0


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeMgmtGenericTspecEnum']


class TeOduCapabilityEnum(Enum):
    """
    TeOduCapabilityEnum

    Te ODU Capability Types

    .. data:: not_set = 0

    	Odu capability Type Not Set

    .. data:: fixed = 1

    	Fixed ODUs

    .. data:: flex = 2

    	Flex ODUs

    """

    not_set = 0

    fixed = 1

    flex = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeOduCapabilityEnum']


class TeOduLevelEnum(Enum):
    """
    TeOduLevelEnum

    G.709 OTN ODU levels

    .. data:: te_odu_level_not_set = 0

    	Not set

    .. data:: te_odu_level_one = 1

    	ODU 1

    .. data:: te_odu_level_two = 2

    	ODU 2

    .. data:: te_odu_level_three = 3

    	ODU 3

    .. data:: te_odu_level_four = 4

    	ODU 4

    .. data:: te_odu_zero = 10

    	ODU 0

    .. data:: te_odu_level_two_e = 11

    	ODU 2E

    .. data:: te_odu_level_flex_cbr = 20

    	ODU Flex CBR

    .. data:: te_odu_level_flex_gfpf_resizeable = 21

    	ODU Flex GFP-F resizable

    .. data:: te_odu_level_flex_gfpf_non_resizable = 22

    	ODU Flex GFP-F non resizable

    .. data:: te_odu_level_one_e = 23

    	ODU 1E

    .. data:: te_odu_level_one_f = 24

    	ODU 1F

    .. data:: te_odu_level_two_f = 25

    	ODU 2F

    .. data:: te_odu_level_three_e_one = 26

    	ODU 3E1

    .. data:: te_odu_level_three_e_two = 27

    	ODU 3E2

    .. data:: te_odu_level_c_two = 38

    	ODU C2

    .. data:: te_odu_level_c_three = 39

    	ODU C3

    .. data:: te_odu_level_c_four = 40

    	ODU C4

    """

    te_odu_level_not_set = 0

    te_odu_level_one = 1

    te_odu_level_two = 2

    te_odu_level_three = 3

    te_odu_level_four = 4

    te_odu_zero = 10

    te_odu_level_two_e = 11

    te_odu_level_flex_cbr = 20

    te_odu_level_flex_gfpf_resizeable = 21

    te_odu_level_flex_gfpf_non_resizable = 22

    te_odu_level_one_e = 23

    te_odu_level_one_f = 24

    te_odu_level_two_f = 25

    te_odu_level_three_e_one = 26

    te_odu_level_three_e_two = 27

    te_odu_level_c_two = 38

    te_odu_level_c_three = 39

    te_odu_level_c_four = 40


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeOduLevelEnum']


class TeP2MpS2LDeletionCauseEnum(Enum):
    """
    TeP2MpS2LDeletionCauseEnum

    S2L Deletion location

    .. data:: no_cause = 0

    	No cause recorded

    .. data:: hpath_cr_err = 1

    	Head Path creation

    .. data:: hpath_chg_setup = 2

    	Head Path change setup

    .. data:: hpath_chg_up_err = 3

    	Head Path change while up

    .. data:: hresv_cr_err = 4

    	Head RESV creation

    .. data:: hresv_chg_err = 5

    	Head RESV change

    .. data:: hresv_chg_err_up = 6

    	Head RESV change while up

    .. data:: hlbl_avail_err = 7

    	Head Label available

    .. data:: hup_lbl_avail_err = 8

    	Head upstream Label available

    .. data:: hfrr_act_err = 9

    	Head FRR active

    .. data:: hbkup_ch_err = 10

    	Head Backup change

    .. data:: hpath_ch_frr_err = 11

    	Head Path change FRR

    .. data:: hcleanup = 12

    	Head Cleanup handling

    .. data:: hlingering_cleanup = 13

    	Head lingering cleanup

    .. data:: hpat_err = 14

    	Head Path error

    .. data:: hresv_err = 15

    	Head Resv error

    .. data:: hresv_del = 16

    	Head Resv delete

    .. data:: hrw_fail = 17

    	Head rewrite failure

    .. data:: hup_rw_fail = 18

    	Head upstream rewrite failure

    .. data:: ha_failure = 19

    	HA failure

    .. data:: rw_del = 20

    	Rewrite Delete

    .. data:: up_rw_del = 21

    	Upstream Rewrite Delete

    .. data:: mpath_cr = 22

    	Mid path creation

    .. data:: mpath_chg_setup_err = 23

    	Mid Path change setup

    .. data:: mpath_chg_up_err = 24

    	Mid Path change while up

    .. data:: mresv_cr_err = 25

    	Mid Resv creation

    .. data:: mresv_chg_err = 26

    	Mid Resv change

    .. data:: mresv_chg_err_up = 27

    	Mid Resv change while up

    .. data:: mlbl_avail_err = 28

    	Mid: cannot get local label

    .. data:: mlbl_rel_err = 29

    	Mid: cannot release local label

    .. data:: mup_lbl_avail_err = 30

    	Mid: cannot get upstream label

    .. data:: mup_lbl_rel_err = 31

    	Mid: cannot release upstream label

    .. data:: mfrr_act_err = 32

    	Mid FRR active

    .. data:: mbkup_ch_err = 33

    	Mid Backup change

    .. data:: mpath_ch_frr_err = 34

    	Mid Path change FRR

    .. data:: mresv_del = 35

    	Mid Resv Delete handling

    .. data:: mresv_err = 36

    	Mid Resv Error handling

    .. data:: mpreempt = 37

    	Mid Premption

    .. data:: mcleanup = 38

    	Mid Cleanup handling

    .. data:: mlingering_cleanup = 39

    	Mid lingering cleanup

    .. data:: mrw_fail = 40

    	mid rewrite failure

    .. data:: mup_rw_fail = 41

    	mid upstream rewrite failure

    .. data:: tpath_cr_err = 42

    	Tail Path creation

    .. data:: tpath_chg_err = 43

    	Tail Path change

    .. data:: tresv_cr_err = 44

    	Tail RESV creation

    .. data:: tlbl_avail_err = 45

    	Tail: cannot release local label

    .. data:: tcleanup = 46

    	Tail Cleanup

    .. data:: tlingering_cleanup = 47

    	Tail lingering cleanup

    .. data:: lbl_err = 48

    	Local label related error

    .. data:: qfailure = 49

    	FSM Queueing failure

    .. data:: rsvp_recovery = 50

    	RSVP Recovery

    .. data:: lsd_recovery = 51

    	LSD Recovery

    .. data:: lmrib_recovery = 52

    	LMRIB Recovery

    .. data:: te_restart = 53

    	TE Restart

    .. data:: switchover = 54

    	Switchover

    .. data:: master_te_recovery = 55

    	Master TE recovery

    .. data:: optical_r_mgr_recovery = 56

    	Optical Resource Manager Recovery

    .. data:: te_exit = 57

    	TE Exited

    .. data:: bkup_assign_fail = 58

    	RSVP Backup Assign Failed

    .. data:: bfd_fail = 59

    	BFD Session Failure

    .. data:: bfd_recovery = 60

    	BFD Recovery

    .. data:: lsp_wrap_act_err = 61

    	Mid LSP Wrap active

    .. data:: lsp_wrap_rw_err = 62

    	Mid LSP Wrap Rewrite

    .. data:: fsm_cause_must_be_last = 63

    	Not used, must be last entry

    """

    no_cause = 0

    hpath_cr_err = 1

    hpath_chg_setup = 2

    hpath_chg_up_err = 3

    hresv_cr_err = 4

    hresv_chg_err = 5

    hresv_chg_err_up = 6

    hlbl_avail_err = 7

    hup_lbl_avail_err = 8

    hfrr_act_err = 9

    hbkup_ch_err = 10

    hpath_ch_frr_err = 11

    hcleanup = 12

    hlingering_cleanup = 13

    hpat_err = 14

    hresv_err = 15

    hresv_del = 16

    hrw_fail = 17

    hup_rw_fail = 18

    ha_failure = 19

    rw_del = 20

    up_rw_del = 21

    mpath_cr = 22

    mpath_chg_setup_err = 23

    mpath_chg_up_err = 24

    mresv_cr_err = 25

    mresv_chg_err = 26

    mresv_chg_err_up = 27

    mlbl_avail_err = 28

    mlbl_rel_err = 29

    mup_lbl_avail_err = 30

    mup_lbl_rel_err = 31

    mfrr_act_err = 32

    mbkup_ch_err = 33

    mpath_ch_frr_err = 34

    mresv_del = 35

    mresv_err = 36

    mpreempt = 37

    mcleanup = 38

    mlingering_cleanup = 39

    mrw_fail = 40

    mup_rw_fail = 41

    tpath_cr_err = 42

    tpath_chg_err = 43

    tresv_cr_err = 44

    tlbl_avail_err = 45

    tcleanup = 46

    tlingering_cleanup = 47

    lbl_err = 48

    qfailure = 49

    rsvp_recovery = 50

    lsd_recovery = 51

    lmrib_recovery = 52

    te_restart = 53

    switchover = 54

    master_te_recovery = 55

    optical_r_mgr_recovery = 56

    te_exit = 57

    bkup_assign_fail = 58

    bfd_fail = 59

    bfd_recovery = 60

    lsp_wrap_act_err = 61

    lsp_wrap_rw_err = 62

    fsm_cause_must_be_last = 63


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeP2MpS2LDeletionCauseEnum']


class TeP2MpS2LDeletionSubcauseEnum(Enum):
    """
    TeP2MpS2LDeletionSubcauseEnum

    S2L deletion subcause

    .. data:: no_subcause = 0

    	No subcause recorded

    .. data:: cleanup_req = 1

    	Normal cleanup requested

    .. data:: invalid_data = 2

    	Invalid Data passed

    .. data:: fsm_inv_ctxt = 3

    	Invalid FSM context passed in

    .. data:: fsm_inv_ctxt_data = 4

    	Invalid data passed in FSM context

    .. data:: fsm_inv_role = 5

    	Failed due to Invalid Role

    .. data:: ll_failure = 6

    	Local Label get failed

    .. data:: ll_rel_fail = 7

    	Local Label release failed

    .. data:: ll_mismatch = 8

    	Local label mismatch detected

    .. data:: ll_invalid = 9

    	Local label invalid

    .. data:: ll_set_failure = 10

    	Local Label set failed

    .. data:: bad_out_label = 11

    	Bad label received from neighbor

    .. data:: sl_err = 12

    	Failed to process suggested label received from

    	neighbor

    .. data:: rl_mismatch = 13

    	Incorrect recovery label received from neighbor

    .. data:: sl_alloc_err = 14

    	Failed to allocate suggested/ acceptable label

    .. data:: upstream_downstream_label_mismatch = 15

    	Upstream label does not match downstream label

    .. data:: upstream_label_failure = 16

    	Upstream Label get failed

    .. data:: upstream_label_rel_fail = 17

    	Upstream Label release failed

    .. data:: upstream_label_mismatch = 18

    	Upstream label mismatch detected

    .. data:: upstream_label_invalid = 19

    	Upstream label invalid

    .. data:: bad_upstream_label = 20

    	Bad Upstream label

    .. data:: ul_set_failure = 21

    	Upstream Label set failed

    .. data:: gmpls_label_alloc_err = 22

    	Failed to allocate GMPLS Label

    .. data:: gmpls_label_clone_err = 23

    	Failed to clone GMPLS Label

    .. data:: rw_err = 24

    	Unable to perform RW operation

    .. data:: up_rw_err = 25

    	Unable to perform upstream RW operation

    .. data:: path_admit = 26

    	Path admission failure

    .. data:: bw = 27

    	BW allocation failure

    .. data:: admit_resv = 28

    	Reservation admission failure

    .. data:: rrrm_err = 29

    	Resource Reservation removal error

    .. data:: hardware_out_of_resources = 30

    	NPU HW-OOR

    .. data:: comp_rid = 31

    	Failure to compute RID

    .. data:: comp_lcl_rid = 32

    	Failure to compute local RID

    .. data:: comp_up_rid = 33

    	Failure to compute upstream RID

    .. data:: comp_down_rid = 34

    	Failure to compute downstream RID

    .. data:: rest_if_hop = 35

    	Failure to reset IF or HOP

    .. data:: inv_in_if = 36

    	Invalid Ingress IF

    .. data:: nh_err = 37

    	Outgoing IF or Next Hop failure

    .. data:: inv_in_ero = 38

    	Invalid incoming ERO

    .. data:: out_ero_fail = 39

    	Outcoming ERO failure

    .. data:: frr_bk_asssign = 40

    	Frr backup assignment failure

    .. data:: frr_bk_rm = 41

    	Frr backup removal failure

    .. data:: frr_bk_send = 42

    	Frr backup send to RSVP failed

    .. data:: frr_needs_del = 43

    	FRR deletion required

    .. data:: frr_reopt_lsp = 44

    	FRR not allowed on reopt LSP

    .. data:: rsvp_api_h = 45

    	RSVP API Handler Failure

    .. data:: insane_path = 46

    	Invalid Path message

    .. data:: remerge_chk_fail = 47

    	Failed in finding remerge

    .. data:: remerge_detected = 48

    	Remerge detected

    .. data:: xro = 49

    	XRO processing failed

    .. data:: resv_bw_set = 50

    	Failed to set Resv Bandwidth

    .. data:: resv_prep_fail = 51

    	Failed to prepare out Resv

    .. data:: path_ch_proc = 52

    	Failure in path change Processing

    .. data:: path_ch_frr = 53

    	Failure in path change for FRR

    .. data:: path_ch_sess_attri_fl = 54

    	Failure in path change for session attribute

    	flags

    .. data:: path_ch_bw_ch = 55

    	Failure in path change: Bandwidth change not

    	allowed

    .. data:: path_err_proc = 56

    	Failure in path Error Processing

    .. data:: path_err = 57

    	Path Error Rcvd

    .. data:: path_err_wpsr = 58

    	Path Error with PSR flag Rcvd

    .. data:: path_del = 59

    	Path Delete request

    .. data:: resv_ch_proc = 60

    	Failure in Resv change processing

    .. data:: resv_ch_rro = 61

    	Failure in Resv change RRO

    .. data:: resv_del = 62

    	Resv Delete processing

    .. data:: resv_err = 63

    	Resv Error processing

    .. data:: perr_send_fail = 64

    	Failed to send Path Error

    .. data:: perr_proc_fail = 65

    	Failed to process Path Error

    .. data:: perr_rcv = 66

    	Received Path Error

    .. data:: resv_err_rcv = 67

    	Received Resv Error

    .. data:: flowspec = 68

    	Flowspec failure

    .. data:: setup_conn_api_fail = 69

    	S2L State set API failed

    .. data:: path_not_replayed = 70

    	RSVP did not replay the path

    .. data:: resv_not_replayed = 71

    	RSVP did not replay the resv

    .. data:: rewrite_not_replayed = 72

    	LMRIB did not replay rewrite

    .. data:: label_not_replayed = 73

    	RW mgr did not replay rewrite

    .. data:: connection_not_ready = 74

    	TE connection is not ready with LSD/LMRIB/RSVP

    .. data:: master_did_not_replay = 75

    	The master TE did not replay this S2L

    .. data:: head_s2l_has_no_vif = 76

    	S2L head has no associated tunnel VIF

    .. data:: frr_assigned_s2l_has_no_backup = 77

    	FRR-assigned S2L has no backup

    .. data:: frr_assigned_s2l_has_down_backup = 78

    	FRR-assigned S2L has down backup

    .. data:: out_link_down_and_no_frr = 79

    	Outgoing link is down and there is no FRR

    .. data:: collaborator_timeout_rsvp = 80

    	RSVP connection timed out

    .. data:: collaborator_timeout_lsd = 81

    	LSD connection timed out

    .. data:: collaborator_timeout_lmrib = 82

    	LMRIB connection time dout

    .. data:: collaborator_timeout_im = 83

    	IM connection timed out

    .. data:: collaborator_timeout_error = 84

    	Error in processing connection timeout

    .. data:: topo_flush = 85

    	Topology Failure

    .. data:: area_shut = 86

    	IGP Area Shutdown

    .. data:: active_po_del = 87

    	active pathoption deleted

    .. data:: path_verify_failed = 88

    	Path verification failed

    .. data:: srlg_path_verify_failed = 89

    	Srlg Path verification failed

    .. data:: affinity_path_verify_failed = 90

    	Affinity Path verification failed

    .. data:: aff_fail_delayed_tear_timeout_failed = 91

    	Affinity Failure Delayed Tear timeout failed

    .. data:: cost_limit_verify_failed = 92

    	Cost Limit verification failed

    .. data:: path_setup_timeout = 93

    	Path Setup Timed out

    .. data:: vif_destroyed = 94

    	tunnel IF destroyed

    .. data:: vif_shut = 95

    	tunnel IF shutdown

    .. data:: lsp_shut = 96

    	LSP shutdown

    .. data:: gmpls_uni_head = 97

    	link configured to run as GMPLS-UNI head

    .. data:: head_resetup = 98

    	tunnel is to be resetup

    .. data:: none_head_resetup = 99

    	mid or tail tunnel is to be resetup

    .. data:: dest_disabled = 100

    	Destination disabled

    .. data:: iep_ch_act_po = 101

    	Explicit Path changed for inuse path-option

    .. data:: iep_ch_reopt = 102

    	Reopt LSP affected by Explicit Path change

    .. data:: iep_ch_standby = 103

    	Standby LSP affected by Explicit Path change

    .. data:: dste_mode_ch = 104

    	DSTE mode change

    .. data:: reopt_del_frr_act = 105

    	Deleting reopt LSP on FRR active

    .. data:: new_reopt_tear_old = 106

    	New Reopt is in progress, tearing old reopt LSP

    .. data:: reopt_failed_verify = 107

    	Reopt LSP failed verification

    .. data:: reopt_failed_install = 108

    	Reopt LSP failed at install time

    .. data:: reopt_failed_rw = 109

    	Rewrite failed for Reopt LSP

    .. data:: reopt_failed_not_superset = 110

    	Reopt LSP has less number of destinations Up

    	than the current LSP.

    .. data:: dclean_at_install_time = 111

    	Tear delayed clean LSP at install time

    .. data:: dclean_at_clean_timer = 112

    	Tear delayed clean LSP at cleanup timer expiry

    .. data:: dclean_at_reopt_active = 113

    	Tear delayed clean LSP at Reopt Activation

    .. data:: lcl_notif_head = 114

    	Local Link Failure

    .. data:: in_if_fail = 115

    	Failure of ingress IF

    .. data:: out_if_fail = 116

    	Failure of egress IF

    .. data:: if_fail_lc_oir = 117

    	Failure of IF on LC OIR

    .. data:: te_rid_rm = 118

    	TE RID removed

    .. data:: te_rsvp_oos_bkup = 119

    	TE and RSVP are OOS for backup assignment

    .. data:: in_if_fail_exp_null_cfg_ch = 120

    	Explicit null config changed

    .. data:: new_curr_lsp_sig = 121

    	Signaling new current LSP, cleanup old LSP

    .. data:: new_reopt_lsp_sig = 122

    	Signaling new reopt LSP, cleanup old LSP

    .. data:: new_stdby_lsp_sig = 123

    	Signaling new standby LSP, cleanup old LSP

    .. data:: new_restore_lsp_sig = 124

    	Signaling new restore LSP, cleanup old LSP

    .. data:: new_cl_pp_lsp_sig = 125

    	Signaling new clean path-protect LSP, cleanup

    	old LSP

    .. data:: chkpt_recovery_failed = 126

    	Failed to recover LSP from check-point

    .. data:: stdby_cr_failed = 127

    	Failed to create standby LSP

    .. data:: reopt_lsp_rej = 128

    	Reopt LSP is rejected

    .. data:: reopt_po_sw_failed = 129

    	Reopt Path-option switchover failed

    .. data:: failed_to_find_path = 130

    	Failed to find a Path

    .. data:: sig_rcv_fail_path_cr_ch = 131

    	Signaling API failed to proc Path change or

    	create

    .. data:: lsp_db_shut = 132

    	LSP database shutdown

    .. data:: reopt_hold_start = 133

    	Starting holddown for Reopt LSP

    .. data:: vif_lspid_mismatch = 134

    	VIF has no LSP with this ID

    .. data:: s2l_has_no_vif = 135

    	Headend S2L with no associated VIF

    .. data:: overload_reopt_timeout = 136

    	Reoptimization timeout with OL-bit set at

    	midpoint

    .. data:: hop_limit_exceeded = 137

    	Hop Limit Exceeded

    .. data:: lingering_current_lsp = 138

    	Cleanup lingering current LSP

    .. data:: lingering_standby_lsp = 139

    	Cleanup lingering standby LSP

    .. data:: lingering_restore_lsp = 140

    	Cleanup lingering restore LSP

    .. data:: double_lockout = 141

    	Double lock out on the tunnel

    .. data:: lockout_no_protection = 142

    	Lock out on the tunnel with no protection

    	available

    .. data:: lockout_cleanup = 143

    	Lock out on reopt or delayed clean lsp

    .. data:: te_ppsw_lsp_mismatch = 144

    	LSP id of the current mismatched with the PP

    	LSP id in standby

    .. data:: te_stdbyup_no_curr_lsp = 145

    	Standby LSP up but current LSP not found

    .. data:: stdby_failed_rw = 146

    	Rewrite failed for Standby LSP

    .. data:: reopt_lsp_tear_ppsw = 147

    	Reopt LSP teardown because of path protection

    	switchover

    .. data:: delay_pp_lsp_tear_ppsw = 148

    	Delay PP LSP teardown on rew results of path

    	protection switchover

    .. data:: stdby_failed_verify = 149

    	Stdby LSP failed verification

    .. data:: stdby_not_needed_due_to_restore = 150

    	Stdby is not needed since the restore LSP is

    	installed

    .. data:: restore_failed_verify = 151

    	Restore LSP failed verification

    .. data:: restore_failed_install = 152

    	Restore LSP failed at install time

    .. data:: restore_failed_rewrite = 153

    	Restore LSP failed at rewrite

    .. data:: te_ppsw_cfg_rmvd = 154

    	Path protection configuration remove under the

    	tunnel I/F

    .. data:: te_ppsw_manual_ppsw = 155

    	Manual Path protection switchover

    .. data:: te_ppsw_bidir_p_chg_ppsw = 156

    	Bidirectional Path Change protection switchover

    .. data:: te_ppsw_bidir_lockout_ppsw = 157

    	Flex LSP lockout metric protection switchover

    .. data:: dclean_at_pp_clean_timer = 158

    	Tear delayed pp clean LSP at pp cleanup timer

    	expiry

    .. data:: reopt_standby_failed = 159

    	Creating the reopt standby failed

    .. data:: standby_reoptimized = 160

    	Tear down old standby LSP because standby

    	reoptimized

    .. data:: standby_reoptimize_aborted = 161

    	Tear down new standby LSP because switchover is

    	underway

    .. data:: te_reoptup_no_curr_lsp = 162

    	Reopt LSP up but current LSP not found

    .. data:: te_reopt_curr_lsp_down = 163

    	destroying reopt as current LSP torn

    .. data:: te_cleanedt_curr_lsp_down = 164

    	Destroying cleaned as current LSP torn

    .. data:: te_delay_lsp_up = 165

    	Delay clean or pp clean LSP came up

    .. data:: no_route_due_to_affinity = 166

    	No route, no RIB due to affinity

    .. data:: no_rib_lkup_bad_ero_gmpls = 167

    	Skipping RIB Lookup, Bad GMPLS ERO

    .. data:: cleanup_lingering = 168

    	Cleanup in lingering state

    .. data:: te_s2l_del_sc_soft_preemption_timeout = 169

    	Soft preemption timed out

    .. data:: te_s2l_del_sc_soft_preempted_non_current = 170

    	The head S2L was soft preempted while it is not

    	current

    .. data:: te_s2l_del_sc_vif_sync_lsp_del = 171

    	The head S2L was deleted due to LSP deleted in

    	VIF Sync

    .. data:: rsvp_api_cleanup_req = 172

    	RSVP API cleanup requested

    .. data:: te_s2l_del_sc_frr_wrong_backup = 173

    	TE and RSVP FRR active on different backups

    .. data:: te_s2l_del_sc_bfd_session_create_failed = 174

    	The BFD session create failed

    .. data:: te_s2l_del_sc_bfd_session_bringup_timeout = 175

    	The BFD session failed to up before bringup

    	timer timeout

    .. data:: te_s2l_del_sc_bfd_session_down = 176

    	The BFD session went down

    .. data:: te_s2l_del_sc_bfd_session_not_replayed = 177

    	BFD did not replay the session

    .. data:: te_s2l_del_sc_reopt_p2mp_egress_info_fail = 178

    	P2MP egress information programming failed for

    	reoptimized LSP

    .. data:: non_curr_frr_lcl_notif_event = 179

    	FRR local notification event on non-current LSP

    .. data:: unsupported_encoding = 180

    	The encoding type is not supported

    .. data:: unsupported_gpid = 181

    	The GPID is not supported

    .. data:: unsupported_switching_type = 182

    	The switching type is not supported

    .. data:: upstream_label_change_not_permitted = 183

    	Upstream label change is not allowed

    .. data:: encoding_type_change_not_permitted = 184

    	Encoding Type change is not allowed

    .. data:: aps_protect_info_change_failed = 185

    	Failed to process APS Protect info change

    .. data:: incorrect_lsp_type = 186

    	Incorrect or unsupported connection type

    .. data:: local_hop_error = 187

    	Failed to compute local hop

    .. data:: unsupported_gmpls_attributes = 188

    	Incorrect or unsupported GMPLS attributes

    .. data:: gmpls_uni_reopt_triggered = 189

    	GMPLS-UNI reoptimization triggered from network

    .. data:: maximum_acceptable_label_retries = 190

    	Maxed out acceptable upstream label retries

    .. data:: invalid_direction = 191

    	Invalid direction for GMPLS LSP

    .. data:: invalid_rewrite_context = 192

    	Invalid RW context in callback

    .. data:: invalid_label_context = 193

    	Invalid Label context in callback

    .. data:: dwdm_capability_changed = 194

    	DWDM Capability for TE link changed

    .. data:: dwdm_capability_removed = 195

    	DWDM Capability for TE link removed

    .. data:: dwdm_wavelength_removed = 196

    	DWDM wavelength channel attribute for TE link

    	removed

    .. data:: gmpls_uni_multilayer_restoration = 197

    	GMPLS-UNI multilayer restoration

    .. data:: gmpls_uni_user_triggered_reoptimization = 198

    	User-triggered GMPLS-UNI reoptimization

    .. data:: gmpls_uni_active_path_change_triggered_reopt = 199

    	GMPLS-UNI reoptimization triggered by Active

    	Path change

    .. data:: passive_match_err = 200

    	Failed in finding a matching passive vif

    .. data:: egress_control_err = 201

    	Failed in egress control

    .. data:: egress_control_map_err = 202

    	Could not resolve egress control

    .. data:: restore_not_needed_for_current = 203

    	Restore not needed now for current LSP

    .. data:: restore_not_needed_for_standby = 204

    	Restore not needed now for standby LSP

    .. data:: restore_dp_down = 205

    	Restore down in data plane

    .. data:: current_not_needed_dp_down = 206

    	Current not needed now as down in data plane

    .. data:: bad_protct_obj = 207

    	Bad protection object

    .. data:: optical_link_down = 208

    	TE optical link down

    .. data:: optical_link_lsp_out_of_sync = 209

    	TE optical link and LSP out of sync

    .. data:: optical_link_owner_out_of_sync = 210

    	TE optical link owner type out of sync

    .. data:: optical_link_interface_handle_out_of_sync = 211

    	TE optical link interface handle out of sync

    .. data:: optical_link_hop_out_of_sync = 212

    	TE optical link next/prev hop out of sync

    .. data:: optical_link_role_out_of_sync = 213

    	TE optical link role out of sync

    .. data:: optical_link_downstream_router_id_out_of_sync = 214

    	TE optical link downstream router-ID out of

    	sync

    .. data:: optical_link_upstream_router_id_out_of_sync = 215

    	TE optical link upstream router-ID out of sync

    .. data:: optical_link_encoding_type_out_of_sync = 216

    	TE optical link encoding type out of sync

    .. data:: optical_link_switching_type_out_of_sync = 217

    	TE optical link switching type out of sync

    .. data:: optical_link_gpid_out_of_sync = 218

    	TE optical link GPID out of sync

    .. data:: egress_optical_link_not_found = 219

    	Egress optical TE link (head) not found

    .. data:: ingress_optical_link_not_found = 220

    	Ingress optical TE link (tail) not found

    .. data:: sync_dest_state = 221

    	Syncing of the destination state change

    .. data:: prot_object_err = 222

    	Protection Object Error

    .. data:: reverse_s2l_deleted = 223

    	Reverse Associated S2L Deleted

    .. data:: cancel_inprogress_by_slave = 224

    	In-progress S2L cancelled by slave

    .. data:: invalid_reverse_ero = 225

    	Bad Reverse ERO

    .. data:: reverse_lsp_not_found = 226

    	Switchover Reverse LSP Not Found

    .. data:: reverse_lsp_not_present = 227

    	Switchover Reverse LSP Not Present

    .. data:: associated_vif_down = 228

    	Associated VIF moved to Down

    .. data:: vif_sync_processing = 229

    	Tunnel interface sync processing caused

    	deletion

    .. data:: incoming_interface_lockout = 230

    	Incoming interface locked out

    .. data:: sr_egress_path_changed = 231

    	SR egress path changed on non-current S2L

    .. data:: in_if_fail_imp_null_cfg_ch = 232

    	Implicit null config changed

    .. data:: reverse_lsp_failure = 233

    	Reverse LSP Failure

    .. data:: lsp_wrap_label_error = 234

    	LSP Wrap Label Error

    .. data:: lsp_wrap_rewrite_error = 235

    	LSP Wrap Rewrite Error

    .. data:: transit_lsp_out_of_resources = 236

    	LSP OOR

    .. data:: fsm_sc_must_be_last = 237

    	Not used, must be last entry

    """

    no_subcause = 0

    cleanup_req = 1

    invalid_data = 2

    fsm_inv_ctxt = 3

    fsm_inv_ctxt_data = 4

    fsm_inv_role = 5

    ll_failure = 6

    ll_rel_fail = 7

    ll_mismatch = 8

    ll_invalid = 9

    ll_set_failure = 10

    bad_out_label = 11

    sl_err = 12

    rl_mismatch = 13

    sl_alloc_err = 14

    upstream_downstream_label_mismatch = 15

    upstream_label_failure = 16

    upstream_label_rel_fail = 17

    upstream_label_mismatch = 18

    upstream_label_invalid = 19

    bad_upstream_label = 20

    ul_set_failure = 21

    gmpls_label_alloc_err = 22

    gmpls_label_clone_err = 23

    rw_err = 24

    up_rw_err = 25

    path_admit = 26

    bw = 27

    admit_resv = 28

    rrrm_err = 29

    hardware_out_of_resources = 30

    comp_rid = 31

    comp_lcl_rid = 32

    comp_up_rid = 33

    comp_down_rid = 34

    rest_if_hop = 35

    inv_in_if = 36

    nh_err = 37

    inv_in_ero = 38

    out_ero_fail = 39

    frr_bk_asssign = 40

    frr_bk_rm = 41

    frr_bk_send = 42

    frr_needs_del = 43

    frr_reopt_lsp = 44

    rsvp_api_h = 45

    insane_path = 46

    remerge_chk_fail = 47

    remerge_detected = 48

    xro = 49

    resv_bw_set = 50

    resv_prep_fail = 51

    path_ch_proc = 52

    path_ch_frr = 53

    path_ch_sess_attri_fl = 54

    path_ch_bw_ch = 55

    path_err_proc = 56

    path_err = 57

    path_err_wpsr = 58

    path_del = 59

    resv_ch_proc = 60

    resv_ch_rro = 61

    resv_del = 62

    resv_err = 63

    perr_send_fail = 64

    perr_proc_fail = 65

    perr_rcv = 66

    resv_err_rcv = 67

    flowspec = 68

    setup_conn_api_fail = 69

    path_not_replayed = 70

    resv_not_replayed = 71

    rewrite_not_replayed = 72

    label_not_replayed = 73

    connection_not_ready = 74

    master_did_not_replay = 75

    head_s2l_has_no_vif = 76

    frr_assigned_s2l_has_no_backup = 77

    frr_assigned_s2l_has_down_backup = 78

    out_link_down_and_no_frr = 79

    collaborator_timeout_rsvp = 80

    collaborator_timeout_lsd = 81

    collaborator_timeout_lmrib = 82

    collaborator_timeout_im = 83

    collaborator_timeout_error = 84

    topo_flush = 85

    area_shut = 86

    active_po_del = 87

    path_verify_failed = 88

    srlg_path_verify_failed = 89

    affinity_path_verify_failed = 90

    aff_fail_delayed_tear_timeout_failed = 91

    cost_limit_verify_failed = 92

    path_setup_timeout = 93

    vif_destroyed = 94

    vif_shut = 95

    lsp_shut = 96

    gmpls_uni_head = 97

    head_resetup = 98

    none_head_resetup = 99

    dest_disabled = 100

    iep_ch_act_po = 101

    iep_ch_reopt = 102

    iep_ch_standby = 103

    dste_mode_ch = 104

    reopt_del_frr_act = 105

    new_reopt_tear_old = 106

    reopt_failed_verify = 107

    reopt_failed_install = 108

    reopt_failed_rw = 109

    reopt_failed_not_superset = 110

    dclean_at_install_time = 111

    dclean_at_clean_timer = 112

    dclean_at_reopt_active = 113

    lcl_notif_head = 114

    in_if_fail = 115

    out_if_fail = 116

    if_fail_lc_oir = 117

    te_rid_rm = 118

    te_rsvp_oos_bkup = 119

    in_if_fail_exp_null_cfg_ch = 120

    new_curr_lsp_sig = 121

    new_reopt_lsp_sig = 122

    new_stdby_lsp_sig = 123

    new_restore_lsp_sig = 124

    new_cl_pp_lsp_sig = 125

    chkpt_recovery_failed = 126

    stdby_cr_failed = 127

    reopt_lsp_rej = 128

    reopt_po_sw_failed = 129

    failed_to_find_path = 130

    sig_rcv_fail_path_cr_ch = 131

    lsp_db_shut = 132

    reopt_hold_start = 133

    vif_lspid_mismatch = 134

    s2l_has_no_vif = 135

    overload_reopt_timeout = 136

    hop_limit_exceeded = 137

    lingering_current_lsp = 138

    lingering_standby_lsp = 139

    lingering_restore_lsp = 140

    double_lockout = 141

    lockout_no_protection = 142

    lockout_cleanup = 143

    te_ppsw_lsp_mismatch = 144

    te_stdbyup_no_curr_lsp = 145

    stdby_failed_rw = 146

    reopt_lsp_tear_ppsw = 147

    delay_pp_lsp_tear_ppsw = 148

    stdby_failed_verify = 149

    stdby_not_needed_due_to_restore = 150

    restore_failed_verify = 151

    restore_failed_install = 152

    restore_failed_rewrite = 153

    te_ppsw_cfg_rmvd = 154

    te_ppsw_manual_ppsw = 155

    te_ppsw_bidir_p_chg_ppsw = 156

    te_ppsw_bidir_lockout_ppsw = 157

    dclean_at_pp_clean_timer = 158

    reopt_standby_failed = 159

    standby_reoptimized = 160

    standby_reoptimize_aborted = 161

    te_reoptup_no_curr_lsp = 162

    te_reopt_curr_lsp_down = 163

    te_cleanedt_curr_lsp_down = 164

    te_delay_lsp_up = 165

    no_route_due_to_affinity = 166

    no_rib_lkup_bad_ero_gmpls = 167

    cleanup_lingering = 168

    te_s2l_del_sc_soft_preemption_timeout = 169

    te_s2l_del_sc_soft_preempted_non_current = 170

    te_s2l_del_sc_vif_sync_lsp_del = 171

    rsvp_api_cleanup_req = 172

    te_s2l_del_sc_frr_wrong_backup = 173

    te_s2l_del_sc_bfd_session_create_failed = 174

    te_s2l_del_sc_bfd_session_bringup_timeout = 175

    te_s2l_del_sc_bfd_session_down = 176

    te_s2l_del_sc_bfd_session_not_replayed = 177

    te_s2l_del_sc_reopt_p2mp_egress_info_fail = 178

    non_curr_frr_lcl_notif_event = 179

    unsupported_encoding = 180

    unsupported_gpid = 181

    unsupported_switching_type = 182

    upstream_label_change_not_permitted = 183

    encoding_type_change_not_permitted = 184

    aps_protect_info_change_failed = 185

    incorrect_lsp_type = 186

    local_hop_error = 187

    unsupported_gmpls_attributes = 188

    gmpls_uni_reopt_triggered = 189

    maximum_acceptable_label_retries = 190

    invalid_direction = 191

    invalid_rewrite_context = 192

    invalid_label_context = 193

    dwdm_capability_changed = 194

    dwdm_capability_removed = 195

    dwdm_wavelength_removed = 196

    gmpls_uni_multilayer_restoration = 197

    gmpls_uni_user_triggered_reoptimization = 198

    gmpls_uni_active_path_change_triggered_reopt = 199

    passive_match_err = 200

    egress_control_err = 201

    egress_control_map_err = 202

    restore_not_needed_for_current = 203

    restore_not_needed_for_standby = 204

    restore_dp_down = 205

    current_not_needed_dp_down = 206

    bad_protct_obj = 207

    optical_link_down = 208

    optical_link_lsp_out_of_sync = 209

    optical_link_owner_out_of_sync = 210

    optical_link_interface_handle_out_of_sync = 211

    optical_link_hop_out_of_sync = 212

    optical_link_role_out_of_sync = 213

    optical_link_downstream_router_id_out_of_sync = 214

    optical_link_upstream_router_id_out_of_sync = 215

    optical_link_encoding_type_out_of_sync = 216

    optical_link_switching_type_out_of_sync = 217

    optical_link_gpid_out_of_sync = 218

    egress_optical_link_not_found = 219

    ingress_optical_link_not_found = 220

    sync_dest_state = 221

    prot_object_err = 222

    reverse_s2l_deleted = 223

    cancel_inprogress_by_slave = 224

    invalid_reverse_ero = 225

    reverse_lsp_not_found = 226

    reverse_lsp_not_present = 227

    associated_vif_down = 228

    vif_sync_processing = 229

    incoming_interface_lockout = 230

    sr_egress_path_changed = 231

    in_if_fail_imp_null_cfg_ch = 232

    reverse_lsp_failure = 233

    lsp_wrap_label_error = 234

    lsp_wrap_rewrite_error = 235

    transit_lsp_out_of_resources = 236

    fsm_sc_must_be_last = 237


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeP2MpS2LDeletionSubcauseEnum']


class TePathInvalActionEnum(Enum):
    """
    TePathInvalActionEnum

    Path selection invalidation action type

    .. data:: none = 0

    	TE path selection invalidation action none

    .. data:: tear = 1

    	TE path selection invalidation action tear

    .. data:: drop = 2

    	TE path selection invalidation action drop

    """

    none = 0

    tear = 1

    drop = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TePathInvalActionEnum']


class TePathProtProfileEnum(Enum):
    """
    TePathProtProfileEnum

    Path Protection Profile Type

    .. data:: path_prot_profile_type1_plus0 = 0

    	TE Path Option 1PLUS0

    .. data:: path_prot_profile_type1_plus_r = 1

    	TE Path Option 1PLUSR

    .. data:: path_prot_profile_type1_plus1 = 16

    	TE Path Option 1PLUS1

    .. data:: path_prot_profile_type1_plus1_plus_r = 32

    	TE Path Option 1PLUS1PLUSR

    .. data:: path_prot_profile_type_invalid = 255

    	TE Path Option Invalid

    """

    path_prot_profile_type1_plus0 = 0

    path_prot_profile_type1_plus_r = 1

    path_prot_profile_type1_plus1 = 16

    path_prot_profile_type1_plus1_plus_r = 32

    path_prot_profile_type_invalid = 255


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TePathProtProfileEnum']


class TePathSelectionTiebreakerEnum(Enum):
    """
    TePathSelectionTiebreakerEnum

    Path selection tiebreaker type

    .. data:: min_fill = 1

    	Min Fill

    .. data:: max_fill = 2

    	Max Fill

    .. data:: random = 3

    	Random

    """

    min_fill = 1

    max_fill = 2

    random = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TePathSelectionTiebreakerEnum']


class TePceDisjointEnum(Enum):
    """
    TePceDisjointEnum

    PCE Disjoint Path type

    .. data:: none = 0

    	PCE Disjoint Type none

    .. data:: link = 1

    	PCE Disjoint Type link

    .. data:: node = 2

    	PCE Disjoint Type node

    .. data:: srlg = 3

    	PCE Disjoint Type srlg

    """

    none = 0

    link = 1

    node = 2

    srlg = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TePceDisjointEnum']


class TePnrRevertOptionsEnum(Enum):
    """
    TePnrRevertOptionsEnum

    PNR Options

    .. data:: pnr_optionnot_set = 0

    	TE Protection Restore Option Not Set

    .. data:: pnr_option_revertive = 1

    	TE Protection Restore Option Revertive

    .. data:: pnr_option_non_revertive = 2

    	TE Protection Restore Option Non-revertive

    """

    pnr_optionnot_set = 0

    pnr_option_revertive = 1

    pnr_option_non_revertive = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TePnrRevertOptionsEnum']


class TePpDiversityEnum(Enum):
    """
    TePpDiversityEnum

    Diversity of Protection or Restoration Path from

    Protected Path

    .. data:: diversity_none = 0

    	Standby LSP not diverse

    .. data:: link = 1

    	Standby LSP link diverse

    .. data:: node = 2

    	Standby LSP node diverse

    .. data:: node_link = 3

    	Standby LSP node and link diverse

    .. data:: srlg = 4

    	Standby SRLG diverse

    .. data:: diversity_user = 5

    	Standby LSP using user defined explicit path

    .. data:: diversity_reverse_ero = 6

    	Standby LSP using Reverse ERO

    """

    diversity_none = 0

    link = 1

    node = 2

    node_link = 3

    srlg = 4

    diversity_user = 5

    diversity_reverse_ero = 6


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TePpDiversityEnum']


class TeProcRoleEnum(Enum):
    """
    TeProcRoleEnum

    TE Process Role

    .. data:: unknown = 0

    	Unknown

    .. data:: v1_active = 1

    	V1 Active

    .. data:: v2_active = 2

    	V2 Active

    .. data:: v1_standby = 3

    	V1 Standby

    .. data:: v2_standby = 4

    	V2 Standby

    .. data:: v1_active_post_big_bang = 5

    	V1 Active post big bang

    .. data:: v1_standby_post_big_bang = 6

    	V1 Standby post big bang

    .. data:: number_of_role = 7

    	Number of role

    """

    unknown = 0

    v1_active = 1

    v2_active = 2

    v1_standby = 3

    v2_standby = 4

    v1_active_post_big_bang = 5

    v1_standby_post_big_bang = 6

    number_of_role = 7


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeProcRoleEnum']


class TeProtectEnum(Enum):
    """
    TeProtectEnum

    Protection Types

    .. data:: protect_type1_plus1_unidir_no_aps = 4

    	Protection Type Uni-directional No APS

    .. data:: protect_type1_plus1_unidir_aps = 8

    	Protection Type Uni-directional APS

    .. data:: protect_type1_plus1_bidir_aps = 16

    	Protection Type Bi-directional APS

    .. data:: protect_type_not_set = 255

    	Protection Type Not Set

    """

    protect_type1_plus1_unidir_no_aps = 4

    protect_type1_plus1_unidir_aps = 8

    protect_type1_plus1_bidir_aps = 16

    protect_type_not_set = 255


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeProtectEnum']


class TeRestorationStyleEnum(Enum):
    """
    TeRestorationStyleEnum

    PNR Options

    .. data:: restoration_style_not_set = 0

    	TE Restoration Style Not Set

    .. data:: restoration_style_keep_failed_lsp = 1

    	TE Restoration Style is to Keep Failed Lsp

    .. data:: restoration_style_delete_failed_lsp = 2

    	TE Restoration Style is to Delete Failed Lsp

    """

    restoration_style_not_set = 0

    restoration_style_keep_failed_lsp = 1

    restoration_style_delete_failed_lsp = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeRestorationStyleEnum']


class TeRevEroRejectReasonsEnum(Enum):
    """
    TeRevEroRejectReasonsEnum

    TE Reverse ERO Reject Reasons

    .. data:: none = 0

    	None

    .. data:: bad_reverse_ero = 1

    	Bad Reverse ERO

    .. data:: tie_rejected = 2

    	Tie Rejected

    .. data:: standby_not_required = 3

    	Standby Not Required

    .. data:: admin_state = 4

    	Admin State

    .. data:: priority = 5

    	Priority

    .. data:: class_type = 6

    	Class Type

    .. data:: bad_association = 7

    	Bad Associated Tunnel

    """

    none = 0

    bad_reverse_ero = 1

    tie_rejected = 2

    standby_not_required = 3

    admin_state = 4

    priority = 5

    class_type = 6

    bad_association = 7


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeRevEroRejectReasonsEnum']


class TeS2LOutputRwExplicitNullEnum(Enum):
    """
    TeS2LOutputRwExplicitNullEnum

    Explicit\-null type

    .. data:: tes2l_output_rw_exp_null = 0

    	No explicit null imposed

    .. data:: tes2l_output_rw_exp_null_v4 = 1

    	IPv4 explicit null imposed

    .. data:: tes2l_output_rw_exp_null_v6 = 2

    	IPv6 explicit null imposed

    """

    tes2l_output_rw_exp_null = 0

    tes2l_output_rw_exp_null_v4 = 1

    tes2l_output_rw_exp_null_v6 = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeS2LOutputRwExplicitNullEnum']


class TeS2LSrPathSelectionEnum(Enum):
    """
    TeS2LSrPathSelectionEnum

    Segment\-routing path selection type

    .. data:: te_s2l_sr_path_selection_any = 0

    	TE S2L Segment-Routing Path Selection type Any

    .. data:: te_s2l_sr_path_selection_adj_unprotected = 1

    	TE S2L Segment-Routing Path Selection type

    	Adjacency Unprotected

    .. data:: te_s2l_sr_path_selection_adj_protected = 2

    	TE S2L Segment-Routing Path Selection type

    	Adjacency Protected

    """

    te_s2l_sr_path_selection_any = 0

    te_s2l_sr_path_selection_adj_unprotected = 1

    te_s2l_sr_path_selection_adj_protected = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeS2LSrPathSelectionEnum']


class TeSchFreqEnum(Enum):
    """
    TeSchFreqEnum

    Te sch freq

    .. data:: sch_freq_not_set = 0

    	Schedule reversion frequency not set

    .. data:: sch_freq_set_once = 1

    	Schedule reversion frequency set only once

    .. data:: sch_freq_set_daily = 2

    	Schedule reversion frequency set daily

    .. data:: sch_freq_set_weekly = 3

    	Schedule reversion frequency set weekly

    """

    sch_freq_not_set = 0

    sch_freq_set_once = 1

    sch_freq_set_daily = 2

    sch_freq_set_weekly = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeSchFreqEnum']


class TeServTunClientEnum(Enum):
    """
    TeServTunClientEnum

    Te serv tun client

    .. data:: te_serv_auto_tun_client_invalid = 0

    	te serv auto tun client invalid

    .. data:: te_serv_p2mp_tun_client_mvpn = 1

    	te serv p2mp tun client mvpn

    .. data:: te_serv_p2mp_tun_client_vpls = 2

    	te serv p2mp tun client vpls

    .. data:: te_serv_p2mp_tun_client_mvpn6 = 3

    	te serv p2mp tun client mvpn6

    .. data:: te_serv_p2p_tun_client_bgp = 4

    	te serv p2p tun client bgp

    .. data:: te_serv_p2p_tun_client_staticv4 = 5

    	te serv p2p tun client staticv4

    .. data:: te_serv_p2p_tun_client_staticv6 = 6

    	te serv p2p tun client staticv6

    .. data:: te_serv_p2p_tun_client_isis = 7

    	te serv p2p tun client isis

    .. data:: te_serv_p2p_tun_client_ospf = 8

    	te serv p2p tun client ospf

    .. data:: te_serv_auto_tun_client_count = 9

    	te serv auto tun client count

    """

    te_serv_auto_tun_client_invalid = 0

    te_serv_p2mp_tun_client_mvpn = 1

    te_serv_p2mp_tun_client_vpls = 2

    te_serv_p2mp_tun_client_mvpn6 = 3

    te_serv_p2p_tun_client_bgp = 4

    te_serv_p2p_tun_client_staticv4 = 5

    te_serv_p2p_tun_client_staticv6 = 6

    te_serv_p2p_tun_client_isis = 7

    te_serv_p2p_tun_client_ospf = 8

    te_serv_auto_tun_client_count = 9


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeServTunClientEnum']


class TeSigNameAppendEnum(Enum):
    """
    TeSigNameAppendEnum

    Te sig name append

    .. data:: none = 0

    	Option is Not Set for appending to

    	signalled-name

    .. data:: address = 1

    	Option is to append Address to signalled-name

    .. data:: name = 2

    	Option is to append Name to signalled-name

    """

    none = 0

    address = 1

    name = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeSigNameAppendEnum']


class TeSrSidEnum(Enum):
    """
    TeSrSidEnum

    Segment\-Routing SID types

    .. data:: srsid_not_set = 0

    	Type not set

    .. data:: srsid_node = 1

    	Segment-Routing Node

    .. data:: srsid_adj = 2

    	Segment-Routing Link

    .. data:: srsid_unknown = 3

    	Segment-Routing Unknown

    """

    srsid_not_set = 0

    srsid_node = 1

    srsid_adj = 2

    srsid_unknown = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeSrSidEnum']


class TeSrlgCollectRequestEnum(Enum):
    """
    TeSrlgCollectRequestEnum

    SRLG\-collection request machansim

    .. data:: none = 0

    	No SRLG-collection request

    .. data:: mandatory = 1

    	Mandatory SRLG-collection request

    .. data:: optional = 2

    	Optional SRLG-collection request

    """

    none = 0

    mandatory = 1

    optional = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeSrlgCollectRequestEnum']


class TeStatsSigFilterEnum(Enum):
    """
    TeStatsSigFilterEnum

    TE Signaling Filter types

    .. data:: te_stat_sig_filter_vif = 0

    	te stat sig filter vif

    .. data:: te_stat_sig_filter_lsp = 1

    	te stat sig filter lsp

    """

    te_stat_sig_filter_vif = 0

    te_stat_sig_filter_lsp = 1


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeStatsSigFilterEnum']


class TeSyncNotReadyReasonEnum(Enum):
    """
    TeSyncNotReadyReasonEnum

    Te sync not ready reason

    .. data:: idt_in_progress = 0

    	IDT in progress

    .. data:: standby_not_connected = 1

    	Standby not connected

    .. data:: collaborator_disconnected = 2

    	Collaborator disconnected

    .. data:: collaborator_timeout = 3

    	Collaborator timeout

    .. data:: unknown = 4

    	Unknown

    """

    idt_in_progress = 0

    standby_not_connected = 1

    collaborator_disconnected = 2

    collaborator_timeout = 3

    unknown = 4


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeSyncNotReadyReasonEnum']


class TeSyncPendingReasonEnum(Enum):
    """
    TeSyncPendingReasonEnum

    Te sync pending reason

    .. data:: current_lspoos = 0

    	Current LSP OOS

    .. data:: reopt_lspoos = 1

    	Reopt LSP OOS

    .. data:: standby_lspoos = 2

    	Standby LSP OOS

    .. data:: standby_reopt_lspoos = 3

    	Standby Reopt LSP OOS

    .. data:: restore_lspoos = 4

    	Restore LSP OOS

    .. data:: invalid_sync_id = 5

    	Invalid internal ID

    .. data:: null_pointer = 6

    	Null pointer

    .. data:: pending_flag = 7

    	Pending flag set

    .. data:: del_from_act_flag = 8

    	Deleted by Active set

    .. data:: oos_from_act_flag = 9

    	OOS with Active set

    .. data:: unknown = 10

    	Unknown

    """

    current_lspoos = 0

    reopt_lspoos = 1

    standby_lspoos = 2

    standby_reopt_lspoos = 3

    restore_lspoos = 4

    invalid_sync_id = 5

    null_pointer = 6

    pending_flag = 7

    del_from_act_flag = 8

    oos_from_act_flag = 9

    unknown = 10


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeSyncPendingReasonEnum']


class TeSyncStatusShowEnum(Enum):
    """
    TeSyncStatusShowEnum

    Te sync status show

    .. data:: master_sync_status_show = 0

    	Master sync status information

    .. data:: slave_sync_status_show = 1

    	Slave sync status information

    """

    master_sync_status_show = 0

    slave_sync_status_show = 1


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeSyncStatusShowEnum']


class TeTargetAddrEnum(Enum):
    """
    TeTargetAddrEnum

    TE Target Address Type

    .. data:: invalid_te_target_type = 0

    	Invalid TE Target Type

    .. data:: te_target_type_ipv4 = 1

    	TE Target IPv4 Type

    .. data:: te_target_type_label = 2

    	TE Target Label Type

    """

    invalid_te_target_type = 0

    te_target_type_ipv4 = 1

    te_target_type_label = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeTargetAddrEnum']


class TeVifBfdEncapModeEnum(Enum):
    """
    TeVifBfdEncapModeEnum

    BFD Encap Mode

    .. data:: ip = 0

    	BFD Encap Mode IP

    .. data:: gal = 1

    	BFD Encap Mode GAL

    """

    ip = 0

    gal = 1


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeVifBfdEncapModeEnum']


class TeVifBfdEnum(Enum):
    """
    TeVifBfdEnum

    BFD Type

    .. data:: bfd_disabled = 0

    	BFD Fast Detect Not Enabled

    .. data:: bfd_enabled = 1

    	Regular BFD Enabled

    .. data:: sbfd_enabled = 2

    	SBFD Enabled

    """

    bfd_disabled = 0

    bfd_enabled = 1

    sbfd_enabled = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeVifBfdEnum']


class TeXroAttributeEnum(Enum):
    """
    TeXroAttributeEnum

    XRO exclusion type

    .. data:: interface = 0

    	Exclude the interface specified

    .. data:: node = 1

    	Exclude the node specified

    .. data:: srl_gs = 2

    	Exclude all SRLGs related to the data specified

    """

    interface = 0

    node = 1

    srl_gs = 2


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeXroAttributeEnum']


class TeXroExclusionEnum(Enum):
    """
    TeXroExclusionEnum

    XRO exclusion type

    .. data:: mandatory = 0

    	Mandatory exclusion

    .. data:: best_effort = 1

    	Best-effort exclusion

    """

    mandatory = 0

    best_effort = 1


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeXroExclusionEnum']


class TeXroSubobjEnum(Enum):
    """
    TeXroSubobjEnum

    XRO sub\-object type

    .. data:: ipv4 = 1

    	IPv4 prefix

    .. data:: ipv6 = 2

    	IPv6 prefix

    .. data:: unnumbered = 6

    	Unnumbered

    .. data:: as_ = 32

    	Autonomous System

    .. data:: srlg = 34

    	SRLG

    .. data:: p2p_lsp = 36

    	P2P LSP

    """

    ipv4 = 1

    ipv6 = 2

    unnumbered = 6

    as_ = 32

    srlg = 34

    p2p_lsp = 36


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TeXroSubobjEnum']


class TpLinkStateEnum(Enum):
    """
    TpLinkStateEnum

    Transport profile link state

    .. data:: down = 0

    	TP link state is down

    .. data:: admin_down = 1

    	TP link state is administratively down

    .. data:: up = 2

    	TP link state is up

    .. data:: unknown = 3

    	TP link state is unknown

    """

    down = 0

    admin_down = 1

    up = 2

    unknown = 3


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TpLinkStateEnum']


class TpMidLspStatusEnum(Enum):
    """
    TpMidLspStatusEnum

    Transport profile mid\-point LSP states

    .. data:: up = 0

    	TP LSP Up

    .. data:: down = 1

    	TP LSP Down

    """

    up = 0

    down = 1


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TpMidLspStatusEnum']


class TunnelAttributeSetEnum(Enum):
    """
    TunnelAttributeSetEnum

    Tunnel attribute set

    .. data:: tunnel_attribute_set_none = 0

    	No Tunnel AttributeSet configured

    .. data:: tunnel_attribute_set_static = 1

    	Tunnel AttributeSet Type is Static

    .. data:: tunnel_attribute_set_path_option = 2

    	Tunnel AttributeSet Type is Path Option

    .. data:: tunnel_attribute_set_not_used = 3

    	None

    .. data:: tunnel_attribute_set_auto_backup = 4

    	Tunnel AttributeSet Type is AutoBackup

    .. data:: tunnel_attribute_set_auto_mesh = 5

    	Tunnel AttributeSet Type is AutoMesh

    .. data:: tunnel_attribute_set_xro = 6

    	Tunnel AttributeSet Type is XRO

    .. data:: tunnel_attribute_set_p2mpte = 7

    	Tunnel AttributeSet Type is P2MP TE

    .. data:: tunnel_attribute_aps_pp = 8

    	Tunnel AttributeSet Type is APS Path Protection

    .. data:: tunnel_attribute_set_p2p_te = 9

    	Tunnel AttributeSet Type is P2P TE

    """

    tunnel_attribute_set_none = 0

    tunnel_attribute_set_static = 1

    tunnel_attribute_set_path_option = 2

    tunnel_attribute_set_not_used = 3

    tunnel_attribute_set_auto_backup = 4

    tunnel_attribute_set_auto_mesh = 5

    tunnel_attribute_set_xro = 6

    tunnel_attribute_set_p2mpte = 7

    tunnel_attribute_aps_pp = 8

    tunnel_attribute_set_p2p_te = 9


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TunnelAttributeSetEnum']


class TunnelStateEnumEnum(Enum):
    """
    TunnelStateEnumEnum

    Types of tunnel admission states

    .. data:: tunnel_state_unknown = 0

    	No known state

    .. data:: new = 1

    	Tunnel is new

    .. data:: preempting = 2

    	Tunnel is being preempted

    .. data:: admitting = 3

    	Path being admitted

    .. data:: half_admitted = 4

    	Path was admitted partially and was then

    	rejected

    .. data:: admitted = 5

    	Path is already admitted successfully

    .. data:: reservation_admitting = 6

    	Reservation being admitted

    .. data:: reservation_half_admitted = 7

    	Reservation was admitted partially and was then

    	rejected

    .. data:: reservation_admitted = 8

    	Reservation is already admitted successfully

    """

    tunnel_state_unknown = 0

    new = 1

    preempting = 2

    admitting = 3

    half_admitted = 4

    admitted = 5

    reservation_admitting = 6

    reservation_half_admitted = 7

    reservation_admitted = 8


    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['TunnelStateEnumEnum']



class MplsTe(object):
    """
    MPLS Traffic Engineering operational data
    
    .. attribute:: affinity_map
    
    	Affinity name to value mapping
    	**type**\:   :py:class:`AffinityMap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AffinityMap>`
    
    .. attribute:: announce_tunnels_info
    
    	Announced tunnels (forwarding adjacency and autoroute annonce)
    	**type**\:   :py:class:`AnnounceTunnelsInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AnnounceTunnelsInfo>`
    
    .. attribute:: attribute_sets
    
    	AttributeSet information
    	**type**\:   :py:class:`AttributeSets <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets>`
    
    .. attribute:: auto_route_destination_entries
    
    	MPLS TE autoroute destination table indexed by tunnel
    	**type**\:   :py:class:`AutoRouteDestinationEntries <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoRouteDestinationEntries>`
    
    .. attribute:: auto_tunnel
    
    	Auto tunnel information
    	**type**\:   :py:class:`AutoTunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel>`
    
    .. attribute:: auto_tunnel_services
    
    	MPLS TE Auto Tunnel Services
    	**type**\:   :py:class:`AutoTunnelServices <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnelServices>`
    
    .. attribute:: bfd
    
    	MPLS TE BFD Oper Info
    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Bfd>`
    
    .. attribute:: collaborator_timers
    
    	TE Collaborator timer status
    	**type**\:   :py:class:`CollaboratorTimers <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.CollaboratorTimers>`
    
    .. attribute:: diff_serv_te_classes
    
    	The configured Diff Serv TE classes
    	**type**\:   :py:class:`DiffServTeClasses <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.DiffServTeClasses>`
    
    .. attribute:: fast_reroute
    
    	Represent all the fastreroute info in MPLS\-TE
    	**type**\:   :py:class:`FastReroute <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.FastReroute>`
    
    .. attribute:: fib_next_hop_label_routes
    
    	MPLS TE FIB nexthop label route database
    	**type**\:   :py:class:`FibNextHopLabelRoutes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.FibNextHopLabelRoutes>`
    
    .. attribute:: fib_next_hop_routes
    
    	MPLS TE FIB nexthop route database
    	**type**\:   :py:class:`FibNextHopRoutes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.FibNextHopRoutes>`
    
    .. attribute:: forwarding_adjacency_destinations
    
    	Announced Destination tunnel
    	**type**\:   :py:class:`ForwardingAdjacencyDestinations <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.ForwardingAdjacencyDestinations>`
    
    .. attribute:: hardware_out_of_resources
    
    	NPU Hardware OOR Information
    	**type**\:   :py:class:`HardwareOutOfResources <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.HardwareOutOfResources>`
    
    .. attribute:: igp_area_briefs
    
    	The set of IGP\-areas known to MPLS\-TE
    	**type**\:   :py:class:`IgpAreaBriefs <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.IgpAreaBriefs>`
    
    .. attribute:: igp_areas
    
    	The set of IGP\-areas known to MPLS\-TE
    	**type**\:   :py:class:`IgpAreas <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.IgpAreas>`
    
    .. attribute:: issu
    
    	MPLS TE ISSU information
    	**type**\:   :py:class:`Issu <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu>`
    
    .. attribute:: lsp_out_of_resources
    
    	LSP OOR information
    	**type**\:   :py:class:`LspOutOfResources <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.LspOutOfResources>`
    
    .. attribute:: maximum_tunnels
    
    	MPLS Traffic Engineering Tunnels
    	**type**\:   :py:class:`MaximumTunnels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.MaximumTunnels>`
    
    .. attribute:: next_hop_routes
    
    	MPLS TE nexthop route database
    	**type**\:   :py:class:`NextHopRoutes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.NextHopRoutes>`
    
    .. attribute:: nsr
    
    	MPLS TE NSR information
    	**type**\:   :py:class:`Nsr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr>`
    
    .. attribute:: open_config
    
    	OpenConfig MPLS TE operational data
    	**type**\:   :py:class:`OpenConfig <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.OpenConfig>`
    
    .. attribute:: p2mp
    
    	P2MP Information
    	**type**\:   :py:class:`P2Mp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp>`
    
    .. attribute:: p2p_p2mp_tunnel
    
    	P2P or P2MP tunnels
    	**type**\:   :py:class:`P2PP2MpTunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel>`
    
    .. attribute:: path_protection
    
    	MPLS TE path protection info
    	**type**\:   :py:class:`PathProtection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.PathProtection>`
    
    .. attribute:: segment_routing
    
    	The Segment Routing database in MPLS\-TE
    	**type**\:   :py:class:`SegmentRouting <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SegmentRouting>`
    
    .. attribute:: signalling_counters
    
    	TE counters
    	**type**\:   :py:class:`SignallingCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters>`
    
    .. attribute:: soft_preemption
    
    	Soft Preemption information
    	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SoftPreemption>`
    
    .. attribute:: te_mib
    
    	TE MIB information
    	**type**\:   :py:class:`TeMib <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TeMib>`
    
    .. attribute:: topology
    
    	The topology information in MPLS\-TE
    	**type**\:   :py:class:`Topology <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology>`
    
    .. attribute:: topology_briefs
    
    	MPLS\-TE topology brief table
    	**type**\:   :py:class:`TopologyBriefs <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyBriefs>`
    
    .. attribute:: topology_nodes
    
    	A node in the MPLS\-TE topology
    	**type**\:   :py:class:`TopologyNodes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyNodes>`
    
    .. attribute:: tunnels
    
    	Failure protection provided for tunnels
    	**type**\:   :py:class:`Tunnels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels>`
    
    .. attribute:: wrap_protection
    
    	Represent all the LSP Wrap Protection info in MPLS\-TE
    	**type**\:   :py:class:`WrapProtection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.WrapProtection>`
    
    

    """

    _prefix = 'mpls-te-oper'
    _revision = '2015-11-09'

    def __init__(self):
        self.affinity_map = MplsTe.AffinityMap()
        self.affinity_map.parent = self
        self.announce_tunnels_info = MplsTe.AnnounceTunnelsInfo()
        self.announce_tunnels_info.parent = self
        self.attribute_sets = MplsTe.AttributeSets()
        self.attribute_sets.parent = self
        self.auto_route_destination_entries = MplsTe.AutoRouteDestinationEntries()
        self.auto_route_destination_entries.parent = self
        self.auto_tunnel = MplsTe.AutoTunnel()
        self.auto_tunnel.parent = self
        self.auto_tunnel_services = MplsTe.AutoTunnelServices()
        self.auto_tunnel_services.parent = self
        self.bfd = MplsTe.Bfd()
        self.bfd.parent = self
        self.collaborator_timers = MplsTe.CollaboratorTimers()
        self.collaborator_timers.parent = self
        self.diff_serv_te_classes = MplsTe.DiffServTeClasses()
        self.diff_serv_te_classes.parent = self
        self.fast_reroute = MplsTe.FastReroute()
        self.fast_reroute.parent = self
        self.fib_next_hop_label_routes = MplsTe.FibNextHopLabelRoutes()
        self.fib_next_hop_label_routes.parent = self
        self.fib_next_hop_routes = MplsTe.FibNextHopRoutes()
        self.fib_next_hop_routes.parent = self
        self.forwarding_adjacency_destinations = MplsTe.ForwardingAdjacencyDestinations()
        self.forwarding_adjacency_destinations.parent = self
        self.hardware_out_of_resources = MplsTe.HardwareOutOfResources()
        self.hardware_out_of_resources.parent = self
        self.igp_area_briefs = MplsTe.IgpAreaBriefs()
        self.igp_area_briefs.parent = self
        self.igp_areas = MplsTe.IgpAreas()
        self.igp_areas.parent = self
        self.issu = MplsTe.Issu()
        self.issu.parent = self
        self.lsp_out_of_resources = MplsTe.LspOutOfResources()
        self.lsp_out_of_resources.parent = self
        self.maximum_tunnels = MplsTe.MaximumTunnels()
        self.maximum_tunnels.parent = self
        self.next_hop_routes = MplsTe.NextHopRoutes()
        self.next_hop_routes.parent = self
        self.nsr = MplsTe.Nsr()
        self.nsr.parent = self
        self.open_config = MplsTe.OpenConfig()
        self.open_config.parent = self
        self.p2mp = MplsTe.P2Mp()
        self.p2mp.parent = self
        self.p2p_p2mp_tunnel = MplsTe.P2PP2MpTunnel()
        self.p2p_p2mp_tunnel.parent = self
        self.path_protection = MplsTe.PathProtection()
        self.path_protection.parent = self
        self.segment_routing = MplsTe.SegmentRouting()
        self.segment_routing.parent = self
        self.signalling_counters = MplsTe.SignallingCounters()
        self.signalling_counters.parent = self
        self.soft_preemption = MplsTe.SoftPreemption()
        self.soft_preemption.parent = self
        self.te_mib = MplsTe.TeMib()
        self.te_mib.parent = self
        self.topology = MplsTe.Topology()
        self.topology.parent = self
        self.topology_briefs = MplsTe.TopologyBriefs()
        self.topology_briefs.parent = self
        self.topology_nodes = MplsTe.TopologyNodes()
        self.topology_nodes.parent = self
        self.tunnels = MplsTe.Tunnels()
        self.tunnels.parent = self
        self.wrap_protection = MplsTe.WrapProtection()
        self.wrap_protection.parent = self


    class SegmentRouting(object):
        """
        The Segment Routing database in MPLS\-TE
        
        .. attribute:: sr_node_infos
        
        	Segment\-Routing nodes database in MPLS\-TE
        	**type**\:   :py:class:`SrNodeInfos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SegmentRouting.SrNodeInfos>`
        
        .. attribute:: sr_prefix_infos
        
        	Segment\-Routing prefixes database in MPLS\-TE
        	**type**\:   :py:class:`SrPrefixInfos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SegmentRouting.SrPrefixInfos>`
        
        .. attribute:: srigp_area_infos
        
        	Segment\-Routing information about IGP areas
        	**type**\:   :py:class:`SrigpAreaInfos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SegmentRouting.SrigpAreaInfos>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.sr_node_infos = MplsTe.SegmentRouting.SrNodeInfos()
            self.sr_node_infos.parent = self
            self.sr_prefix_infos = MplsTe.SegmentRouting.SrPrefixInfos()
            self.sr_prefix_infos.parent = self
            self.srigp_area_infos = MplsTe.SegmentRouting.SrigpAreaInfos()
            self.srigp_area_infos.parent = self


        class SrigpAreaInfos(object):
            """
            Segment\-Routing information about IGP areas
            
            .. attribute:: srigp_area_info
            
            	A Segment\-Routing IGP area information
            	**type**\: list of    :py:class:`SrigpAreaInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SegmentRouting.SrigpAreaInfos.SrigpAreaInfo>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.srigp_area_info = YList()
                self.srigp_area_info.parent = self
                self.srigp_area_info.name = 'srigp_area_info'


            class SrigpAreaInfo(object):
                """
                A Segment\-Routing IGP area information
                
                .. attribute:: area  <key>
                
                	IGP area
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: igp_instance  <key>
                
                	IGP instance
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: protocol  <key>
                
                	IGP protocol type
                	**type**\:   :py:class:`MplsTeIgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeIgpProtocolEnum>`
                
                .. attribute:: igp_area
                
                	IGP Area ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: igp_area_format
                
                	IGP\-area format
                	**type**\:   :py:class:`IgpOspfAreaFormatEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpOspfAreaFormatEnum>`
                
                .. attribute:: igp_instance_xr
                
                	IGP Instance name
                	**type**\:  str
                
                .. attribute:: igp_type
                
                	IGP type
                	**type**\:   :py:class:`IgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpProtocolEnum>`
                
                .. attribute:: segment_routing_enabled
                
                	True if the Segment\-Routing is enabled in this area
                	**type**\:  bool
                
                .. attribute:: strict_spf_enabled
                
                	True if the strict SPF is enabled in this area
                	**type**\:  bool
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.area = None
                    self.igp_instance = None
                    self.protocol = None
                    self.igp_area = None
                    self.igp_area_format = None
                    self.igp_instance_xr = None
                    self.igp_type = None
                    self.segment_routing_enabled = None
                    self.strict_spf_enabled = None

                @property
                def _common_path(self):
                    if self.area is None:
                        raise YPYModelError('Key property area is None')
                    if self.igp_instance is None:
                        raise YPYModelError('Key property igp_instance is None')
                    if self.protocol is None:
                        raise YPYModelError('Key property protocol is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:segment-routing/Cisco-IOS-XR-mpls-te-oper:srigp-area-infos/Cisco-IOS-XR-mpls-te-oper:srigp-area-info[Cisco-IOS-XR-mpls-te-oper:area = ' + str(self.area) + '][Cisco-IOS-XR-mpls-te-oper:igp-instance = ' + str(self.igp_instance) + '][Cisco-IOS-XR-mpls-te-oper:protocol = ' + str(self.protocol) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.area is not None:
                        return True

                    if self.igp_instance is not None:
                        return True

                    if self.protocol is not None:
                        return True

                    if self.igp_area is not None:
                        return True

                    if self.igp_area_format is not None:
                        return True

                    if self.igp_instance_xr is not None:
                        return True

                    if self.igp_type is not None:
                        return True

                    if self.segment_routing_enabled is not None:
                        return True

                    if self.strict_spf_enabled is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.SegmentRouting.SrigpAreaInfos.SrigpAreaInfo']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:segment-routing/Cisco-IOS-XR-mpls-te-oper:srigp-area-infos'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.srigp_area_info is not None:
                    for child_ref in self.srigp_area_info:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.SegmentRouting.SrigpAreaInfos']['meta_info']


        class SrNodeInfos(object):
            """
            Segment\-Routing nodes database in MPLS\-TE
            
            .. attribute:: sr_node_info
            
            	A Segment\-Routing node information
            	**type**\: list of    :py:class:`SrNodeInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.sr_node_info = YList()
                self.sr_node_info.parent = self
                self.sr_node_info.name = 'sr_node_info'


            class SrNodeInfo(object):
                """
                A Segment\-Routing node information
                
                .. attribute:: area  <key>
                
                	IGP area
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: igp_instance  <key>
                
                	IGP instance
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: igp_node_id  <key>
                
                	Node's IGP ID
                	**type**\:  str
                
                .. attribute:: protocol  <key>
                
                	IGP protocol type
                	**type**\:   :py:class:`MplsTeIgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeIgpProtocolEnum>`
                
                .. attribute:: igp_area
                
                	IGP area which this node belongs to
                	**type**\:   :py:class:`IgpArea <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.IgpArea>`
                
                .. attribute:: local_node_igp_id
                
                	The local node's IGP id formatted as string
                	**type**\:  str
                
                .. attribute:: local_node_te_router_id
                
                	The local node's TE router\-id
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: node_link
                
                	This node's link information
                	**type**\: list of    :py:class:`NodeLink <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.NodeLink>`
                
                .. attribute:: sr_node_info
                
                	Segment\-Routing Node information
                	**type**\:   :py:class:`SrNodeInfo_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.SrNodeInfo_>`
                
                .. attribute:: topology_node_is_router
                
                	TRUE if this is a router node; FALSE if it's a network node
                	**type**\:  bool
                
                .. attribute:: topology_node_overloaded
                
                	Flag to indicate whether this node is overloaded
                	**type**\:  bool
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.area = None
                    self.igp_instance = None
                    self.igp_node_id = None
                    self.protocol = None
                    self.igp_area = MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.IgpArea()
                    self.igp_area.parent = self
                    self.local_node_igp_id = None
                    self.local_node_te_router_id = None
                    self.node_link = YList()
                    self.node_link.parent = self
                    self.node_link.name = 'node_link'
                    self.sr_node_info = MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.SrNodeInfo_()
                    self.sr_node_info.parent = self
                    self.topology_node_is_router = None
                    self.topology_node_overloaded = None


                class IgpArea(object):
                    """
                    IGP area which this node belongs to
                    
                    .. attribute:: igp_area
                    
                    	IGP Area ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: igp_area_format
                    
                    	IGP\-area format
                    	**type**\:   :py:class:`IgpOspfAreaFormatEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpOspfAreaFormatEnum>`
                    
                    .. attribute:: igp_instance_xr
                    
                    	IGP Instance name
                    	**type**\:  str
                    
                    .. attribute:: igp_type
                    
                    	IGP type
                    	**type**\:   :py:class:`IgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpProtocolEnum>`
                    
                    .. attribute:: segment_routing_enabled
                    
                    	True if the Segment\-Routing is enabled in this area
                    	**type**\:  bool
                    
                    .. attribute:: strict_spf_enabled
                    
                    	True if the strict SPF is enabled in this area
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.igp_area = None
                        self.igp_area_format = None
                        self.igp_instance_xr = None
                        self.igp_type = None
                        self.segment_routing_enabled = None
                        self.strict_spf_enabled = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:igp-area'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.igp_area is not None:
                            return True

                        if self.igp_area_format is not None:
                            return True

                        if self.igp_instance_xr is not None:
                            return True

                        if self.igp_type is not None:
                            return True

                        if self.segment_routing_enabled is not None:
                            return True

                        if self.strict_spf_enabled is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.IgpArea']['meta_info']


                class SrNodeInfo_(object):
                    """
                    Segment\-Routing Node information
                    
                    .. attribute:: segment_id
                    
                    	Segment\-Routing Node\-SID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: segment_id_local_absolute_value
                    
                    	Node\-SID local absolute value
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srgb_size
                    
                    	Segment\-Routing global block size
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srgb_start
                    
                    	Segment\-Routring global block start value
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.segment_id = None
                        self.segment_id_local_absolute_value = None
                        self.srgb_size = None
                        self.srgb_start = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:sr-node-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.segment_id is not None:
                            return True

                        if self.segment_id_local_absolute_value is not None:
                            return True

                        if self.srgb_size is not None:
                            return True

                        if self.srgb_start is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.SrNodeInfo_']['meta_info']


                class NodeLink(object):
                    """
                    This node's link information
                    
                    .. attribute:: adjacency_sids
                    
                    	Adjacency SIDs assigned for adjacency nodes
                    	**type**\: list of    :py:class:`AdjacencySids <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.NodeLink.AdjacencySids>`
                    
                    .. attribute:: shared_risk_link_group
                    
                    	The link's shared risk link groups
                    	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.NodeLink.SharedRiskLinkGroup>`
                    
                    .. attribute:: topology_link_extended_affinity_bit
                    
                    	The link's affinity bits (colors)
                    	**type**\:  list of int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: topology_link_fragment_id
                    
                    	Neighbor's link version counter
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: topology_link_igp_metric
                    
                    	The link's IGP metric
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: topology_link_interface_address
                    
                    	Link's local interface address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: topology_link_interface_id
                    
                    	Link's local interface ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: topology_link_neighbor_address
                    
                    	Link's neighbor interface address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: topology_link_neighbor_generation
                    
                    	Neighbor's link version counter
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: topology_link_neighbor_id
                    
                    	Link's neighbor interface ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: topology_link_neighbor_node_id
                    
                    	Node id of neighbor
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: topology_link_neighbor_system_id
                    
                    	System id of neighbor
                    	**type**\:  str
                    
                    .. attribute:: topology_link_te_metric
                    
                    	The link's TE metric
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: topology_link_type
                    
                    	Link type
                    	**type**\:   :py:class:`IgpSubnetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpSubnetEnum>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.adjacency_sids = YList()
                        self.adjacency_sids.parent = self
                        self.adjacency_sids.name = 'adjacency_sids'
                        self.shared_risk_link_group = YList()
                        self.shared_risk_link_group.parent = self
                        self.shared_risk_link_group.name = 'shared_risk_link_group'
                        self.topology_link_extended_affinity_bit = YLeafList()
                        self.topology_link_extended_affinity_bit.parent = self
                        self.topology_link_extended_affinity_bit.name = 'topology_link_extended_affinity_bit'
                        self.topology_link_fragment_id = None
                        self.topology_link_igp_metric = None
                        self.topology_link_interface_address = None
                        self.topology_link_interface_id = None
                        self.topology_link_neighbor_address = None
                        self.topology_link_neighbor_generation = None
                        self.topology_link_neighbor_id = None
                        self.topology_link_neighbor_node_id = None
                        self.topology_link_neighbor_system_id = None
                        self.topology_link_te_metric = None
                        self.topology_link_type = None


                    class SharedRiskLinkGroup(object):
                        """
                        The link's shared risk link groups
                        
                        .. attribute:: shared_risk_group
                        
                        	SRLG number
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: srlg_name
                        
                        	SRLG name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.shared_risk_group = None
                            self.srlg_name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.shared_risk_group is not None:
                                return True

                            if self.srlg_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.NodeLink.SharedRiskLinkGroup']['meta_info']


                    class AdjacencySids(object):
                        """
                        Adjacency SIDs assigned for adjacency nodes
                        
                        .. attribute:: adjacency_sid
                        
                        	The adjacency SID assigned for the topology node
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: flag_b
                        
                        	IGP Flag B
                        	**type**\:  bool
                        
                        .. attribute:: flag_f
                        
                        	IGP Flag F
                        	**type**\:  bool
                        
                        .. attribute:: flag_l
                        
                        	IGP Flag L
                        	**type**\:  bool
                        
                        .. attribute:: flag_s
                        
                        	IGP Flag S
                        	**type**\:  bool
                        
                        .. attribute:: flag_v
                        
                        	IGP Flag V
                        	**type**\:  bool
                        
                        .. attribute:: link_type
                        
                        	Link Type
                        	**type**\:   :py:class:`IgpSubnetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpSubnetEnum>`
                        
                        .. attribute:: local_addr
                        
                        	Local Address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: nbr_node_igpid
                        
                        	The neighbor node's IGP ID
                        	**type**\:  str
                        
                        .. attribute:: nbr_node_te_router_id
                        
                        	The neigbor node's TE router\-id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: remote_addr
                        
                        	Remote Address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.adjacency_sid = None
                            self.flag_b = None
                            self.flag_f = None
                            self.flag_l = None
                            self.flag_s = None
                            self.flag_v = None
                            self.link_type = None
                            self.local_addr = None
                            self.nbr_node_igpid = None
                            self.nbr_node_te_router_id = None
                            self.remote_addr = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:adjacency-sids'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.adjacency_sid is not None:
                                return True

                            if self.flag_b is not None:
                                return True

                            if self.flag_f is not None:
                                return True

                            if self.flag_l is not None:
                                return True

                            if self.flag_s is not None:
                                return True

                            if self.flag_v is not None:
                                return True

                            if self.link_type is not None:
                                return True

                            if self.local_addr is not None:
                                return True

                            if self.nbr_node_igpid is not None:
                                return True

                            if self.nbr_node_te_router_id is not None:
                                return True

                            if self.remote_addr is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.NodeLink.AdjacencySids']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:node-link'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.adjacency_sids is not None:
                            for child_ref in self.adjacency_sids:
                                if child_ref._has_data():
                                    return True

                        if self.shared_risk_link_group is not None:
                            for child_ref in self.shared_risk_link_group:
                                if child_ref._has_data():
                                    return True

                        if self.topology_link_extended_affinity_bit is not None:
                            for child in self.topology_link_extended_affinity_bit:
                                if child is not None:
                                    return True

                        if self.topology_link_fragment_id is not None:
                            return True

                        if self.topology_link_igp_metric is not None:
                            return True

                        if self.topology_link_interface_address is not None:
                            return True

                        if self.topology_link_interface_id is not None:
                            return True

                        if self.topology_link_neighbor_address is not None:
                            return True

                        if self.topology_link_neighbor_generation is not None:
                            return True

                        if self.topology_link_neighbor_id is not None:
                            return True

                        if self.topology_link_neighbor_node_id is not None:
                            return True

                        if self.topology_link_neighbor_system_id is not None:
                            return True

                        if self.topology_link_te_metric is not None:
                            return True

                        if self.topology_link_type is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.NodeLink']['meta_info']

                @property
                def _common_path(self):
                    if self.area is None:
                        raise YPYModelError('Key property area is None')
                    if self.igp_instance is None:
                        raise YPYModelError('Key property igp_instance is None')
                    if self.igp_node_id is None:
                        raise YPYModelError('Key property igp_node_id is None')
                    if self.protocol is None:
                        raise YPYModelError('Key property protocol is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:segment-routing/Cisco-IOS-XR-mpls-te-oper:sr-node-infos/Cisco-IOS-XR-mpls-te-oper:sr-node-info[Cisco-IOS-XR-mpls-te-oper:area = ' + str(self.area) + '][Cisco-IOS-XR-mpls-te-oper:igp-instance = ' + str(self.igp_instance) + '][Cisco-IOS-XR-mpls-te-oper:igp-node-id = ' + str(self.igp_node_id) + '][Cisco-IOS-XR-mpls-te-oper:protocol = ' + str(self.protocol) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.area is not None:
                        return True

                    if self.igp_instance is not None:
                        return True

                    if self.igp_node_id is not None:
                        return True

                    if self.protocol is not None:
                        return True

                    if self.igp_area is not None and self.igp_area._has_data():
                        return True

                    if self.local_node_igp_id is not None:
                        return True

                    if self.local_node_te_router_id is not None:
                        return True

                    if self.node_link is not None:
                        for child_ref in self.node_link:
                            if child_ref._has_data():
                                return True

                    if self.sr_node_info is not None and self.sr_node_info._has_data():
                        return True

                    if self.topology_node_is_router is not None:
                        return True

                    if self.topology_node_overloaded is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:segment-routing/Cisco-IOS-XR-mpls-te-oper:sr-node-infos'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.sr_node_info is not None:
                    for child_ref in self.sr_node_info:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.SegmentRouting.SrNodeInfos']['meta_info']


        class SrPrefixInfos(object):
            """
            Segment\-Routing prefixes database in MPLS\-TE
            
            .. attribute:: sr_prefix_info
            
            	A Segment\-Routing prefix information
            	**type**\: list of    :py:class:`SrPrefixInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.sr_prefix_info = YList()
                self.sr_prefix_info.parent = self
                self.sr_prefix_info.name = 'sr_prefix_info'


            class SrPrefixInfo(object):
                """
                A Segment\-Routing prefix information
                
                .. attribute:: area  <key>
                
                	IGP area
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: igp_instance  <key>
                
                	IGP instance
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: prefix  <key>
                
                	Segment\-Routing prefix
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: prefix_length  <key>
                
                	Prefix' length
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: protocol  <key>
                
                	IGP protocol type
                	**type**\:   :py:class:`MplsTeIgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeIgpProtocolEnum>`
                
                .. attribute:: advertizing_node
                
                	Advertizing nodes
                	**type**\: list of    :py:class:`AdvertizingNode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.AdvertizingNode>`
                
                .. attribute:: flag_e
                
                	Prefix\-SID subTLV E\-flag
                	**type**\:  bool
                
                .. attribute:: flag_l
                
                	Prefix\-SID subTLV L\-flag
                	**type**\:  bool
                
                .. attribute:: flag_n
                
                	Prefix\-SID subTLV N\-flag
                	**type**\:  bool
                
                .. attribute:: flag_p
                
                	Prefix\-SID subTLV P\-flag
                	**type**\:  bool
                
                .. attribute:: flag_r
                
                	Prefix\-SID subTLV R\-flag
                	**type**\:  bool
                
                .. attribute:: flag_v
                
                	Prefix\-SID subTLV V\-flag
                	**type**\:  bool
                
                .. attribute:: igp_area
                
                	An IGP area where the prefix belongs to
                	**type**\:   :py:class:`IgpArea <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.IgpArea>`
                
                .. attribute:: prefix_length_xr
                
                	Length of the prefix
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: prefix_sid
                
                	Segment\-Routing prefix SID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: prefix_strict_sid
                
                	Segment\-Routing prefix Strict SID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: prefix_xr
                
                	Prefix
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: sr_path
                
                	Segment\-Routing paths to prefix
                	**type**\: list of    :py:class:`SrPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.SrPath>`
                
                .. attribute:: strict_advertizing_node
                
                	Advertizing nodes for Strict SPF
                	**type**\: list of    :py:class:`StrictAdvertizingNode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.StrictAdvertizingNode>`
                
                .. attribute:: strict_flag_e
                
                	Prefix\-SID subTLV E\-flag for strict SID
                	**type**\:  bool
                
                .. attribute:: strict_flag_l
                
                	Prefix\-SID subTLV L\-flag for strict SID
                	**type**\:  bool
                
                .. attribute:: strict_flag_p
                
                	Prefix\-SID subTLV P\-flag for strict SID
                	**type**\:  bool
                
                .. attribute:: strict_flag_v
                
                	Prefix\-SID subTLV V\-flag for strict SID
                	**type**\:  bool
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.area = None
                    self.igp_instance = None
                    self.prefix = None
                    self.prefix_length = None
                    self.protocol = None
                    self.advertizing_node = YList()
                    self.advertizing_node.parent = self
                    self.advertizing_node.name = 'advertizing_node'
                    self.flag_e = None
                    self.flag_l = None
                    self.flag_n = None
                    self.flag_p = None
                    self.flag_r = None
                    self.flag_v = None
                    self.igp_area = MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.IgpArea()
                    self.igp_area.parent = self
                    self.prefix_length_xr = None
                    self.prefix_sid = None
                    self.prefix_strict_sid = None
                    self.prefix_xr = None
                    self.sr_path = YList()
                    self.sr_path.parent = self
                    self.sr_path.name = 'sr_path'
                    self.strict_advertizing_node = YList()
                    self.strict_advertizing_node.parent = self
                    self.strict_advertizing_node.name = 'strict_advertizing_node'
                    self.strict_flag_e = None
                    self.strict_flag_l = None
                    self.strict_flag_p = None
                    self.strict_flag_v = None


                class IgpArea(object):
                    """
                    An IGP area where the prefix belongs to
                    
                    .. attribute:: igp_area
                    
                    	IGP Area ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: igp_area_format
                    
                    	IGP\-area format
                    	**type**\:   :py:class:`IgpOspfAreaFormatEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpOspfAreaFormatEnum>`
                    
                    .. attribute:: igp_instance_xr
                    
                    	IGP Instance name
                    	**type**\:  str
                    
                    .. attribute:: igp_type
                    
                    	IGP type
                    	**type**\:   :py:class:`IgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpProtocolEnum>`
                    
                    .. attribute:: segment_routing_enabled
                    
                    	True if the Segment\-Routing is enabled in this area
                    	**type**\:  bool
                    
                    .. attribute:: strict_spf_enabled
                    
                    	True if the strict SPF is enabled in this area
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.igp_area = None
                        self.igp_area_format = None
                        self.igp_instance_xr = None
                        self.igp_type = None
                        self.segment_routing_enabled = None
                        self.strict_spf_enabled = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:igp-area'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.igp_area is not None:
                            return True

                        if self.igp_area_format is not None:
                            return True

                        if self.igp_instance_xr is not None:
                            return True

                        if self.igp_type is not None:
                            return True

                        if self.segment_routing_enabled is not None:
                            return True

                        if self.strict_spf_enabled is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.IgpArea']['meta_info']


                class SrPath(object):
                    """
                    Segment\-Routing paths to prefix
                    
                    .. attribute:: backup_path
                    
                    	Backup Segment\-Routing Path
                    	**type**\:   :py:class:`BackupPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.SrPath.BackupPath>`
                    
                    .. attribute:: has_backup_path
                    
                    	Backup Path is available
                    	**type**\:  bool
                    
                    .. attribute:: primary_path
                    
                    	Primary Segment\-Routing Path
                    	**type**\:   :py:class:`PrimaryPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.SrPath.PrimaryPath>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.backup_path = MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.SrPath.BackupPath()
                        self.backup_path.parent = self
                        self.has_backup_path = None
                        self.primary_path = MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.SrPath.PrimaryPath()
                        self.primary_path.parent = self


                    class PrimaryPath(object):
                        """
                        Primary Segment\-Routing Path
                        
                        .. attribute:: backup_path_id
                        
                        	Backup Path Identifier
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: next_hop
                        
                        	Next hop
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: outgoing_interface
                        
                        	Outgoing Interface Name
                        	**type**\:  str
                        
                        .. attribute:: outgoing_label
                        
                        	Outgoing Label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: outgoing_strict_label
                        
                        	Outgoing Label for Strict SPF
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_id
                        
                        	Path Identifier
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.backup_path_id = None
                            self.next_hop = None
                            self.outgoing_interface = None
                            self.outgoing_label = None
                            self.outgoing_strict_label = None
                            self.path_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:primary-path'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.backup_path_id is not None:
                                return True

                            if self.next_hop is not None:
                                return True

                            if self.outgoing_interface is not None:
                                return True

                            if self.outgoing_label is not None:
                                return True

                            if self.outgoing_strict_label is not None:
                                return True

                            if self.path_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.SrPath.PrimaryPath']['meta_info']


                    class BackupPath(object):
                        """
                        Backup Segment\-Routing Path
                        
                        .. attribute:: next_hop
                        
                        	Next hop
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: outgoing_interface
                        
                        	Outgoing Interface Name
                        	**type**\:  str
                        
                        .. attribute:: outgoing_labels_stack
                        
                        	Outgoing Labels Stack
                        	**type**\:  list of int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: outgoing_strict_labels_stack
                        
                        	Outgoing Labels Stack for Strict SPF
                        	**type**\:  list of int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.next_hop = None
                            self.outgoing_interface = None
                            self.outgoing_labels_stack = YLeafList()
                            self.outgoing_labels_stack.parent = self
                            self.outgoing_labels_stack.name = 'outgoing_labels_stack'
                            self.outgoing_strict_labels_stack = YLeafList()
                            self.outgoing_strict_labels_stack.parent = self
                            self.outgoing_strict_labels_stack.name = 'outgoing_strict_labels_stack'

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:backup-path'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.next_hop is not None:
                                return True

                            if self.outgoing_interface is not None:
                                return True

                            if self.outgoing_labels_stack is not None:
                                for child in self.outgoing_labels_stack:
                                    if child is not None:
                                        return True

                            if self.outgoing_strict_labels_stack is not None:
                                for child in self.outgoing_strict_labels_stack:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.SrPath.BackupPath']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:sr-path'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.backup_path is not None and self.backup_path._has_data():
                            return True

                        if self.has_backup_path is not None:
                            return True

                        if self.primary_path is not None and self.primary_path._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.SrPath']['meta_info']


                class AdvertizingNode(object):
                    """
                    Advertizing nodes
                    
                    .. attribute:: node_id
                    
                    	Node Identifier
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.node_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:advertizing-node'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.node_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.AdvertizingNode']['meta_info']


                class StrictAdvertizingNode(object):
                    """
                    Advertizing nodes for Strict SPF
                    
                    .. attribute:: node_id
                    
                    	Node Identifier
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.node_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:strict-advertizing-node'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.node_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.StrictAdvertizingNode']['meta_info']

                @property
                def _common_path(self):
                    if self.area is None:
                        raise YPYModelError('Key property area is None')
                    if self.igp_instance is None:
                        raise YPYModelError('Key property igp_instance is None')
                    if self.prefix is None:
                        raise YPYModelError('Key property prefix is None')
                    if self.prefix_length is None:
                        raise YPYModelError('Key property prefix_length is None')
                    if self.protocol is None:
                        raise YPYModelError('Key property protocol is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:segment-routing/Cisco-IOS-XR-mpls-te-oper:sr-prefix-infos/Cisco-IOS-XR-mpls-te-oper:sr-prefix-info[Cisco-IOS-XR-mpls-te-oper:area = ' + str(self.area) + '][Cisco-IOS-XR-mpls-te-oper:igp-instance = ' + str(self.igp_instance) + '][Cisco-IOS-XR-mpls-te-oper:prefix = ' + str(self.prefix) + '][Cisco-IOS-XR-mpls-te-oper:prefix-length = ' + str(self.prefix_length) + '][Cisco-IOS-XR-mpls-te-oper:protocol = ' + str(self.protocol) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.area is not None:
                        return True

                    if self.igp_instance is not None:
                        return True

                    if self.prefix is not None:
                        return True

                    if self.prefix_length is not None:
                        return True

                    if self.protocol is not None:
                        return True

                    if self.advertizing_node is not None:
                        for child_ref in self.advertizing_node:
                            if child_ref._has_data():
                                return True

                    if self.flag_e is not None:
                        return True

                    if self.flag_l is not None:
                        return True

                    if self.flag_n is not None:
                        return True

                    if self.flag_p is not None:
                        return True

                    if self.flag_r is not None:
                        return True

                    if self.flag_v is not None:
                        return True

                    if self.igp_area is not None and self.igp_area._has_data():
                        return True

                    if self.prefix_length_xr is not None:
                        return True

                    if self.prefix_sid is not None:
                        return True

                    if self.prefix_strict_sid is not None:
                        return True

                    if self.prefix_xr is not None:
                        return True

                    if self.sr_path is not None:
                        for child_ref in self.sr_path:
                            if child_ref._has_data():
                                return True

                    if self.strict_advertizing_node is not None:
                        for child_ref in self.strict_advertizing_node:
                            if child_ref._has_data():
                                return True

                    if self.strict_flag_e is not None:
                        return True

                    if self.strict_flag_l is not None:
                        return True

                    if self.strict_flag_p is not None:
                        return True

                    if self.strict_flag_v is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:segment-routing/Cisco-IOS-XR-mpls-te-oper:sr-prefix-infos'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.sr_prefix_info is not None:
                    for child_ref in self.sr_prefix_info:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.SegmentRouting.SrPrefixInfos']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:segment-routing'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.sr_node_infos is not None and self.sr_node_infos._has_data():
                return True

            if self.sr_prefix_infos is not None and self.sr_prefix_infos._has_data():
                return True

            if self.srigp_area_infos is not None and self.srigp_area_infos._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.SegmentRouting']['meta_info']


    class FibNextHopRoutes(object):
        """
        MPLS TE FIB nexthop route database
        
        .. attribute:: fib_next_hop_route
        
        	MPLS TE FIB nexthop route
        	**type**\: list of    :py:class:`FibNextHopRoute <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.FibNextHopRoutes.FibNextHopRoute>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.fib_next_hop_route = YList()
            self.fib_next_hop_route.parent = self
            self.fib_next_hop_route.name = 'fib_next_hop_route'


        class FibNextHopRoute(object):
            """
            MPLS TE FIB nexthop route
            
            .. attribute:: prefix_address  <key>
            
            	Prefix Address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: create_time
            
            	Create Time
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: expire_time
            
            	Expire Time
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: is_notified
            
            	Is Notified
            	**type**\:  bool
            
            .. attribute:: is_registered
            
            	Is Registered
            	**type**\:  bool
            
            .. attribute:: is_stale
            
            	Is Stale
            	**type**\:  bool
            
            .. attribute:: last_update_time
            
            	Last Update Time
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: last_used_time
            
            	Last Used Time
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: next_hop_path
            
            	Next Hop Paths
            	**type**\: list of    :py:class:`NextHopPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.FibNextHopRoutes.FibNextHopRoute.NextHopPath>`
            
            .. attribute:: prefix_addr
            
            	Deprecated \- replaced by TargetAddress
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: route_version
            
            	Route version
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: target_address
            
            	Next Hop Target Address
            	**type**\:   :py:class:`TargetAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.FibNextHopRoutes.FibNextHopRoute.TargetAddress>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.prefix_address = None
                self.create_time = None
                self.expire_time = None
                self.is_notified = None
                self.is_registered = None
                self.is_stale = None
                self.last_update_time = None
                self.last_used_time = None
                self.next_hop_path = YList()
                self.next_hop_path.parent = self
                self.next_hop_path.name = 'next_hop_path'
                self.prefix_addr = None
                self.route_version = None
                self.target_address = MplsTe.FibNextHopRoutes.FibNextHopRoute.TargetAddress()
                self.target_address.parent = self


            class TargetAddress(object):
                """
                Next Hop Target Address
                
                .. attribute:: ip_address
                
                	IPv4 Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: label
                
                	MPLS Label
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: type
                
                	type
                	**type**\:   :py:class:`TeTargetAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeTargetAddrEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ip_address = None
                    self.label = None
                    self.type = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:target-address'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ip_address is not None:
                        return True

                    if self.label is not None:
                        return True

                    if self.type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.FibNextHopRoutes.FibNextHopRoute.TargetAddress']['meta_info']


            class NextHopPath(object):
                """
                Next Hop Paths
                
                .. attribute:: backup_path_id
                
                	Backup Path Identifier
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: interface
                
                	Outgoing Interface
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: label_stack
                
                	Outgoing Label Stack
                	**type**\:  list of int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_address
                
                	Next Hop Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: path_id
                
                	Path ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: pure_backup
                
                	Pure Backup
                	**type**\:  bool
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.backup_path_id = None
                    self.interface = None
                    self.label_stack = YLeafList()
                    self.label_stack.parent = self
                    self.label_stack.name = 'label_stack'
                    self.next_hop_address = None
                    self.path_id = None
                    self.pure_backup = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.backup_path_id is not None:
                        return True

                    if self.interface is not None:
                        return True

                    if self.label_stack is not None:
                        for child in self.label_stack:
                            if child is not None:
                                return True

                    if self.next_hop_address is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.pure_backup is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.FibNextHopRoutes.FibNextHopRoute.NextHopPath']['meta_info']

            @property
            def _common_path(self):
                if self.prefix_address is None:
                    raise YPYModelError('Key property prefix_address is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:fib-next-hop-routes/Cisco-IOS-XR-mpls-te-oper:fib-next-hop-route[Cisco-IOS-XR-mpls-te-oper:prefix-address = ' + str(self.prefix_address) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.prefix_address is not None:
                    return True

                if self.create_time is not None:
                    return True

                if self.expire_time is not None:
                    return True

                if self.is_notified is not None:
                    return True

                if self.is_registered is not None:
                    return True

                if self.is_stale is not None:
                    return True

                if self.last_update_time is not None:
                    return True

                if self.last_used_time is not None:
                    return True

                if self.next_hop_path is not None:
                    for child_ref in self.next_hop_path:
                        if child_ref._has_data():
                            return True

                if self.prefix_addr is not None:
                    return True

                if self.route_version is not None:
                    return True

                if self.target_address is not None and self.target_address._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.FibNextHopRoutes.FibNextHopRoute']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:fib-next-hop-routes'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.fib_next_hop_route is not None:
                for child_ref in self.fib_next_hop_route:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.FibNextHopRoutes']['meta_info']


    class NextHopRoutes(object):
        """
        MPLS TE nexthop route database
        
        .. attribute:: next_hop_route
        
        	MPLS TE nexthop route
        	**type**\: list of    :py:class:`NextHopRoute <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.NextHopRoutes.NextHopRoute>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.next_hop_route = YList()
            self.next_hop_route.parent = self
            self.next_hop_route.name = 'next_hop_route'


        class NextHopRoute(object):
            """
            MPLS TE nexthop route
            
            .. attribute:: active_route
            
            	active route
            	**type**\:   :py:class:`ActiveRoute <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.NextHopRoutes.NextHopRoute.ActiveRoute>`
            
            .. attribute:: backup_route
            
            	backup route
            	**type**\:   :py:class:`BackupRoute <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.NextHopRoutes.NextHopRoute.BackupRoute>`
            
            .. attribute:: create_time
            
            	CreateTime
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: exact_match
            
            	ExactMatch
            	**type**\:  bool
            
            .. attribute:: expire_time
            
            	ExpireTime
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: installed_tunnel_path_num
            
            	InstalledTunnelPathNum
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: last_used_time
            
            	LastUsedTime
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: next_hop_type
            
            	Next\-hop Route Type
            	**type**\:   :py:class:`MplsTeNextHopEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeNextHopEnum>`
            
            .. attribute:: prefix_address
            
            	Prefix Address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: prefix_address_xr
            
            	prefix address xr
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: prefix_length
            
            	Prefix Length
            	**type**\:  int
            
            	**range:** 0..32
            
            .. attribute:: prefix_length_xr
            
            	prefix length xr
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: tunnel_path
            
            	tunnel path
            	**type**\: list of    :py:class:`TunnelPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.NextHopRoutes.NextHopRoute.TunnelPath>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.active_route = MplsTe.NextHopRoutes.NextHopRoute.ActiveRoute()
                self.active_route.parent = self
                self.backup_route = MplsTe.NextHopRoutes.NextHopRoute.BackupRoute()
                self.backup_route.parent = self
                self.create_time = None
                self.exact_match = None
                self.expire_time = None
                self.installed_tunnel_path_num = None
                self.last_used_time = None
                self.next_hop_type = None
                self.prefix_address = None
                self.prefix_address_xr = None
                self.prefix_length = None
                self.prefix_length_xr = None
                self.tunnel_path = YList()
                self.tunnel_path.parent = self
                self.tunnel_path.name = 'tunnel_path'


            class ActiveRoute(object):
                """
                active route
                
                .. attribute:: is_connected
                
                	IsConnected
                	**type**\:  bool
                
                .. attribute:: is_default
                
                	IsDefault
                	**type**\:  bool
                
                .. attribute:: is_populated
                
                	IsPopulated
                	**type**\:  bool
                
                .. attribute:: is_registered
                
                	IsRegistered
                	**type**\:  bool
                
                .. attribute:: is_stale
                
                	IsStale
                	**type**\:  bool
                
                .. attribute:: last_update_time
                
                	LastUpdateTime
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_path
                
                	next hop path
                	**type**\: list of    :py:class:`NextHopPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.NextHopRoutes.NextHopRoute.ActiveRoute.NextHopPath>`
                
                .. attribute:: route_distance
                
                	RouteDistance
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: route_metric
                
                	RouteMetric
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: route_protocol_name
                
                	RouteProtocolName
                	**type**\:  str
                
                .. attribute:: route_type
                
                	RouteType
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.is_connected = None
                    self.is_default = None
                    self.is_populated = None
                    self.is_registered = None
                    self.is_stale = None
                    self.last_update_time = None
                    self.next_hop_path = YList()
                    self.next_hop_path.parent = self
                    self.next_hop_path.name = 'next_hop_path'
                    self.route_distance = None
                    self.route_metric = None
                    self.route_protocol_name = None
                    self.route_type = None


                class NextHopPath(object):
                    """
                    next hop path
                    
                    .. attribute:: abr_address
                    
                    	ABRAddress
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: address
                    
                    	Address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: interface
                    
                    	Interface
                    	**type**\:  str
                    
                    	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.abr_address = None
                        self.address = None
                        self.interface = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:next-hop-routes/Cisco-IOS-XR-mpls-te-oper:next-hop-route/Cisco-IOS-XR-mpls-te-oper:active-route/Cisco-IOS-XR-mpls-te-oper:next-hop-path'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.abr_address is not None:
                            return True

                        if self.address is not None:
                            return True

                        if self.interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.NextHopRoutes.NextHopRoute.ActiveRoute.NextHopPath']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:next-hop-routes/Cisco-IOS-XR-mpls-te-oper:next-hop-route/Cisco-IOS-XR-mpls-te-oper:active-route'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.is_connected is not None:
                        return True

                    if self.is_default is not None:
                        return True

                    if self.is_populated is not None:
                        return True

                    if self.is_registered is not None:
                        return True

                    if self.is_stale is not None:
                        return True

                    if self.last_update_time is not None:
                        return True

                    if self.next_hop_path is not None:
                        for child_ref in self.next_hop_path:
                            if child_ref._has_data():
                                return True

                    if self.route_distance is not None:
                        return True

                    if self.route_metric is not None:
                        return True

                    if self.route_protocol_name is not None:
                        return True

                    if self.route_type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.NextHopRoutes.NextHopRoute.ActiveRoute']['meta_info']


            class BackupRoute(object):
                """
                backup route
                
                .. attribute:: is_connected
                
                	IsConnected
                	**type**\:  bool
                
                .. attribute:: is_default
                
                	IsDefault
                	**type**\:  bool
                
                .. attribute:: is_populated
                
                	IsPopulated
                	**type**\:  bool
                
                .. attribute:: is_registered
                
                	IsRegistered
                	**type**\:  bool
                
                .. attribute:: is_stale
                
                	IsStale
                	**type**\:  bool
                
                .. attribute:: last_update_time
                
                	LastUpdateTime
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_path
                
                	next hop path
                	**type**\: list of    :py:class:`NextHopPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.NextHopRoutes.NextHopRoute.BackupRoute.NextHopPath>`
                
                .. attribute:: route_distance
                
                	RouteDistance
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: route_metric
                
                	RouteMetric
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: route_protocol_name
                
                	RouteProtocolName
                	**type**\:  str
                
                .. attribute:: route_type
                
                	RouteType
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.is_connected = None
                    self.is_default = None
                    self.is_populated = None
                    self.is_registered = None
                    self.is_stale = None
                    self.last_update_time = None
                    self.next_hop_path = YList()
                    self.next_hop_path.parent = self
                    self.next_hop_path.name = 'next_hop_path'
                    self.route_distance = None
                    self.route_metric = None
                    self.route_protocol_name = None
                    self.route_type = None


                class NextHopPath(object):
                    """
                    next hop path
                    
                    .. attribute:: abr_address
                    
                    	ABRAddress
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: address
                    
                    	Address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: interface
                    
                    	Interface
                    	**type**\:  str
                    
                    	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.abr_address = None
                        self.address = None
                        self.interface = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:next-hop-routes/Cisco-IOS-XR-mpls-te-oper:next-hop-route/Cisco-IOS-XR-mpls-te-oper:backup-route/Cisco-IOS-XR-mpls-te-oper:next-hop-path'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.abr_address is not None:
                            return True

                        if self.address is not None:
                            return True

                        if self.interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.NextHopRoutes.NextHopRoute.BackupRoute.NextHopPath']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:next-hop-routes/Cisco-IOS-XR-mpls-te-oper:next-hop-route/Cisco-IOS-XR-mpls-te-oper:backup-route'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.is_connected is not None:
                        return True

                    if self.is_default is not None:
                        return True

                    if self.is_populated is not None:
                        return True

                    if self.is_registered is not None:
                        return True

                    if self.is_stale is not None:
                        return True

                    if self.last_update_time is not None:
                        return True

                    if self.next_hop_path is not None:
                        for child_ref in self.next_hop_path:
                            if child_ref._has_data():
                                return True

                    if self.route_distance is not None:
                        return True

                    if self.route_metric is not None:
                        return True

                    if self.route_protocol_name is not None:
                        return True

                    if self.route_type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.NextHopRoutes.NextHopRoute.BackupRoute']['meta_info']


            class TunnelPath(object):
                """
                tunnel path
                
                .. attribute:: install_time
                
                	InstallTime
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: installed_metric
                
                	InstalledMetric
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: interface_handle
                
                	InterfaceHandle
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: tunnel_id
                
                	TunnelID
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.install_time = None
                    self.installed_metric = None
                    self.interface_handle = None
                    self.tunnel_id = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:next-hop-routes/Cisco-IOS-XR-mpls-te-oper:next-hop-route/Cisco-IOS-XR-mpls-te-oper:tunnel-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.install_time is not None:
                        return True

                    if self.installed_metric is not None:
                        return True

                    if self.interface_handle is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.NextHopRoutes.NextHopRoute.TunnelPath']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:next-hop-routes/Cisco-IOS-XR-mpls-te-oper:next-hop-route'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.active_route is not None and self.active_route._has_data():
                    return True

                if self.backup_route is not None and self.backup_route._has_data():
                    return True

                if self.create_time is not None:
                    return True

                if self.exact_match is not None:
                    return True

                if self.expire_time is not None:
                    return True

                if self.installed_tunnel_path_num is not None:
                    return True

                if self.last_used_time is not None:
                    return True

                if self.next_hop_type is not None:
                    return True

                if self.prefix_address is not None:
                    return True

                if self.prefix_address_xr is not None:
                    return True

                if self.prefix_length is not None:
                    return True

                if self.prefix_length_xr is not None:
                    return True

                if self.tunnel_path is not None:
                    for child_ref in self.tunnel_path:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.NextHopRoutes.NextHopRoute']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:next-hop-routes'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.next_hop_route is not None:
                for child_ref in self.next_hop_route:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.NextHopRoutes']['meta_info']


    class AutoRouteDestinationEntries(object):
        """
        MPLS TE autoroute destination table indexed by
        tunnel
        
        .. attribute:: auto_route_destination_entry
        
        	MPLS TE autoroute destination info for one tunnel
        	**type**\: list of    :py:class:`AutoRouteDestinationEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoRouteDestinationEntries.AutoRouteDestinationEntry>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.auto_route_destination_entry = YList()
            self.auto_route_destination_entry.parent = self
            self.auto_route_destination_entry.name = 'auto_route_destination_entry'


        class AutoRouteDestinationEntry(object):
            """
            MPLS TE autoroute destination info for one
            tunnel
            
            .. attribute:: tunnel_id  <key>
            
            	Tunnel ID
            	**type**\:  int
            
            	**range:** \-2147483648..2147483647
            
            .. attribute:: tunnel_autoroute_dest
            
            	tunnel autoroute dest
            	**type**\: list of    :py:class:`TunnelAutorouteDest <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoRouteDestinationEntries.AutoRouteDestinationEntry.TunnelAutorouteDest>`
            
            .. attribute:: tunnel_id_xr
            
            	tunnel id xr
            	**type**\:  int
            
            	**range:** 0..65535
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tunnel_id = None
                self.tunnel_autoroute_dest = YList()
                self.tunnel_autoroute_dest.parent = self
                self.tunnel_autoroute_dest.name = 'tunnel_autoroute_dest'
                self.tunnel_id_xr = None


            class TunnelAutorouteDest(object):
                """
                tunnel autoroute dest
                
                .. attribute:: install_time
                
                	InstallTime
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: interface_handle
                
                	InterfaceHandle
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: metric
                
                	Metric
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: prefix_address
                
                	PrefixAddress
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: prefix_length
                
                	PrefixLength
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.install_time = None
                    self.interface_handle = None
                    self.metric = None
                    self.prefix_address = None
                    self.prefix_length = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel-autoroute-dest'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.install_time is not None:
                        return True

                    if self.interface_handle is not None:
                        return True

                    if self.metric is not None:
                        return True

                    if self.prefix_address is not None:
                        return True

                    if self.prefix_length is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.AutoRouteDestinationEntries.AutoRouteDestinationEntry.TunnelAutorouteDest']['meta_info']

            @property
            def _common_path(self):
                if self.tunnel_id is None:
                    raise YPYModelError('Key property tunnel_id is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-route-destination-entries/Cisco-IOS-XR-mpls-te-oper:auto-route-destination-entry[Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tunnel_id is not None:
                    return True

                if self.tunnel_autoroute_dest is not None:
                    for child_ref in self.tunnel_autoroute_dest:
                        if child_ref._has_data():
                            return True

                if self.tunnel_id_xr is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.AutoRouteDestinationEntries.AutoRouteDestinationEntry']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-route-destination-entries'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.auto_route_destination_entry is not None:
                for child_ref in self.auto_route_destination_entry:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.AutoRouteDestinationEntries']['meta_info']


    class TeMib(object):
        """
        TE MIB information
        
        .. attribute:: scalars
        
        	MIB Scalar information
        	**type**\:   :py:class:`Scalars <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TeMib.Scalars>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.scalars = MplsTe.TeMib.Scalars()
            self.scalars.parent = self


        class Scalars(object):
            """
            MIB Scalar information
            
            .. attribute:: mpls_tunnel_active
            
            	mpls tunnel active
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: mpls_tunnel_configured
            
            	mpls tunnel configured
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: mpls_tunnel_max_hops
            
            	mpls tunnel max hops
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: mpls_tunnel_notification_max_rate
            
            	mpls tunnel notification max rate
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: mpls_tunnel_te_dist_proto
            
            	mpls tunnel te dist proto
            	**type**\:  int
            
            	**range:** 0..255
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.mpls_tunnel_active = None
                self.mpls_tunnel_configured = None
                self.mpls_tunnel_max_hops = None
                self.mpls_tunnel_notification_max_rate = None
                self.mpls_tunnel_te_dist_proto = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:te-mib/Cisco-IOS-XR-mpls-te-oper:scalars'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.mpls_tunnel_active is not None:
                    return True

                if self.mpls_tunnel_configured is not None:
                    return True

                if self.mpls_tunnel_max_hops is not None:
                    return True

                if self.mpls_tunnel_notification_max_rate is not None:
                    return True

                if self.mpls_tunnel_te_dist_proto is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.TeMib.Scalars']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:te-mib'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.scalars is not None and self.scalars._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.TeMib']['meta_info']


    class HardwareOutOfResources(object):
        """
        NPU Hardware OOR Information
        
        .. attribute:: summary
        
        	HW OOR Summary information
        	**type**\:   :py:class:`Summary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.HardwareOutOfResources.Summary>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.summary = MplsTe.HardwareOutOfResources.Summary()
            self.summary.parent = self


        class Summary(object):
            """
            HW OOR Summary information
            
            .. attribute:: hardware_out_of_resources_state
            
            	Array of NPU HW OOR info per state
            	**type**\: list of    :py:class:`HardwareOutOfResourcesState <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.HardwareOutOfResources.Summary.HardwareOutOfResourcesState>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.hardware_out_of_resources_state = YList()
                self.hardware_out_of_resources_state.parent = self
                self.hardware_out_of_resources_state.name = 'hardware_out_of_resources_state'


            class HardwareOutOfResourcesState(object):
                """
                Array of NPU HW OOR info per state
                
                .. attribute:: accept_reopt
                
                	Make\-before\-break is allowed for LSPs reoptimizing over the same link in the NPU HW OOR state
                	**type**\:  bool
                
                .. attribute:: available_bw_percentage
                
                	The flooded percentage of available bandwidth advertized when the link is in this  NPU HW OOR state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: percentage
                
                .. attribute:: hw_oor_state
                
                	The HW\-OOR state that this information belong to
                	**type**\:   :py:class:`HwOorStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.HwOorStateEnum>`
                
                .. attribute:: minimum_lsp_bandwidth
                
                	Minimum LSP bandwidth so the LSP is admitted when the link is in this NPU HW OOR state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: node_protection_disable
                
                	Disable FRR node protection when the link is in this NPU HW OOR state
                	**type**\:  bool
                
                .. attribute:: statistics
                
                	NPU HW OOR Statistics per state
                	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.HardwareOutOfResources.Summary.HardwareOutOfResourcesState.Statistics>`
                
                .. attribute:: te_metric_penalty
                
                	The TE metric penalty when the link is in this NPU HW OOR state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: transition_duration
                
                	Recovery in minutes after the green OOR state is entered
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: minute
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.accept_reopt = None
                    self.available_bw_percentage = None
                    self.hw_oor_state = None
                    self.minimum_lsp_bandwidth = None
                    self.node_protection_disable = None
                    self.statistics = MplsTe.HardwareOutOfResources.Summary.HardwareOutOfResourcesState.Statistics()
                    self.statistics.parent = self
                    self.te_metric_penalty = None
                    self.transition_duration = None


                class Statistics(object):
                    """
                    NPU HW OOR Statistics per state
                    
                    .. attribute:: accepted_ls_ps_number
                    
                    	Number of LSPs that were accepted in this state
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: accepted_reopt_ls_ps_number
                    
                    	Number of Reoptimize LSPs that were accepted in this state
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: hw_oor_state
                    
                    	The HW\-OOR state that these statistics belong to
                    	**type**\:   :py:class:`HwOorStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.HwOorStateEnum>`
                    
                    .. attribute:: node_protection_disable_number
                    
                    	Number of times this OOR state disabled node protection assignment
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rejected_ls_ps_number
                    
                    	Number of LSPs that were rejected in this state
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rejected_reopt_ls_ps_number
                    
                    	Number of Reoptimize LSPs that were rejected in this state
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: transitions
                    
                    	Number of transitions to this state
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.accepted_ls_ps_number = None
                        self.accepted_reopt_ls_ps_number = None
                        self.hw_oor_state = None
                        self.node_protection_disable_number = None
                        self.rejected_ls_ps_number = None
                        self.rejected_reopt_ls_ps_number = None
                        self.transitions = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:hardware-out-of-resources/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:hardware-out-of-resources-state/Cisco-IOS-XR-mpls-te-oper:statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.accepted_ls_ps_number is not None:
                            return True

                        if self.accepted_reopt_ls_ps_number is not None:
                            return True

                        if self.hw_oor_state is not None:
                            return True

                        if self.node_protection_disable_number is not None:
                            return True

                        if self.rejected_ls_ps_number is not None:
                            return True

                        if self.rejected_reopt_ls_ps_number is not None:
                            return True

                        if self.transitions is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.HardwareOutOfResources.Summary.HardwareOutOfResourcesState.Statistics']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:hardware-out-of-resources/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:hardware-out-of-resources-state'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.accept_reopt is not None:
                        return True

                    if self.available_bw_percentage is not None:
                        return True

                    if self.hw_oor_state is not None:
                        return True

                    if self.minimum_lsp_bandwidth is not None:
                        return True

                    if self.node_protection_disable is not None:
                        return True

                    if self.statistics is not None and self.statistics._has_data():
                        return True

                    if self.te_metric_penalty is not None:
                        return True

                    if self.transition_duration is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.HardwareOutOfResources.Summary.HardwareOutOfResourcesState']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:hardware-out-of-resources/Cisco-IOS-XR-mpls-te-oper:summary'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.hardware_out_of_resources_state is not None:
                    for child_ref in self.hardware_out_of_resources_state:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.HardwareOutOfResources.Summary']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:hardware-out-of-resources'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.summary is not None and self.summary._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.HardwareOutOfResources']['meta_info']


    class P2PP2MpTunnel(object):
        """
        P2P or P2MP tunnels
        
        .. attribute:: nni_tunnels
        
        	GMPLS NNI tunnels
        	**type**\:   :py:class:`NniTunnels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels>`
        
        .. attribute:: tunnel_heads
        
        	Restrict display to P2P or P2MP head tunnels
        	**type**\:   :py:class:`TunnelHeads <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads>`
        
        .. attribute:: tunnel_remote_briefs
        
        	Restrict display to P2P or P2MP mid or tail tunnels
        	**type**\:   :py:class:`TunnelRemoteBriefs <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs>`
        
        .. attribute:: tunnel_remotes
        
        	Restrict display to P2P or P2MP mid or tail tunnels
        	**type**\:   :py:class:`TunnelRemotes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.nni_tunnels = MplsTe.P2PP2MpTunnel.NniTunnels()
            self.nni_tunnels.parent = self
            self.tunnel_heads = MplsTe.P2PP2MpTunnel.TunnelHeads()
            self.tunnel_heads.parent = self
            self.tunnel_remote_briefs = MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs()
            self.tunnel_remote_briefs.parent = self
            self.tunnel_remotes = MplsTe.P2PP2MpTunnel.TunnelRemotes()
            self.tunnel_remotes.parent = self


        class TunnelRemoteBriefs(object):
            """
            Restrict display to P2P or P2MP mid or tail
            tunnels
            
            .. attribute:: tunnel_remote_brief
            
            	P2P or P2MP tunnel that is a mid or tail
            	**type**\: list of    :py:class:`TunnelRemoteBrief <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tunnel_remote_brief = YList()
                self.tunnel_remote_brief.parent = self
                self.tunnel_remote_brief.name = 'tunnel_remote_brief'


            class TunnelRemoteBrief(object):
                """
                P2P or P2MP tunnel that is a mid or tail
                
                .. attribute:: ctype  <key>
                
                	Ctype
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id  <key>
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lsp_id  <key>
                
                	LSP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: p2mp_id  <key>
                
                	P2MP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: source_address  <key>
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id  <key>
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: lsp_fec
                
                	FEC for the LSP
                	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec>`
                
                .. attribute:: s2l
                
                	array of S2L structures
                	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L>`
                
                .. attribute:: signaled_name
                
                	Signaled Name
                	**type**\:  str
                
                .. attribute:: uptime
                
                	Time in seconds since the LSP was up
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ctype = None
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.lsp_id = None
                    self.p2mp_id = None
                    self.source_address = None
                    self.tunnel_id = None
                    self.lsp_fec = MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec()
                    self.lsp_fec.parent = self
                    self.s2l = YList()
                    self.s2l.parent = self
                    self.s2l.name = 's2l'
                    self.signaled_name = None
                    self.uptime = None


                class LspFec(object):
                    """
                    FEC for the LSP
                    
                    .. attribute:: fec_destination_info
                    
                    	Destination or P2MP ID
                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec.FecDestinationInfo>`
                    
                    .. attribute:: fec_extended_tunnel_id
                    
                    	Extended tunnel ID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: fec_lsp_id
                    
                    	LSP ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: fec_source
                    
                    	Tunnel source address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: fec_tunnel_id
                    
                    	Tunnel ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: fec_vrf
                    
                    	VRF; currently only for GMPLS tunnels
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec.FecDestinationInfo()
                        self.fec_destination_info.parent = self
                        self.fec_extended_tunnel_id = None
                        self.fec_lsp_id = None
                        self.fec_source = None
                        self.fec_tunnel_id = None
                        self.fec_vrf = None


                    class FecDestinationInfo(object):
                        """
                        Destination or P2MP ID
                        
                        .. attribute:: fec_ctype
                        
                        	FEC CType
                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                        
                        .. attribute:: fec_destination_p2mp_id
                        
                        	P2MP ID
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: p2p_lsp_destination
                        
                        	P2P LSP destination
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_ctype = None
                            self.fec_destination_p2mp_id = None
                            self.p2p_lsp_destination = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_ctype is not None:
                                return True

                            if self.fec_destination_p2mp_id is not None:
                                return True

                            if self.p2p_lsp_destination is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec.FecDestinationInfo']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                            return True

                        if self.fec_extended_tunnel_id is not None:
                            return True

                        if self.fec_lsp_id is not None:
                            return True

                        if self.fec_source is not None:
                            return True

                        if self.fec_tunnel_id is not None:
                            return True

                        if self.fec_vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec']['meta_info']


                class S2L(object):
                    """
                    array of S2L structures
                    
                    .. attribute:: egress_interface
                    
                    	Egress Interface
                    	**type**\:  str
                    
                    .. attribute:: ingress_interface
                    
                    	Ingress Interface
                    	**type**\:  str
                    
                    .. attribute:: oper_state
                    
                    	Oper state of S2L
                    	**type**\:  bool
                    
                    .. attribute:: role
                    
                    	Role of S2L
                    	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                    
                    .. attribute:: s2l_fec
                    
                    	FEC for the S2L
                    	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L.S2LFec>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the S2L was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.egress_interface = None
                        self.ingress_interface = None
                        self.oper_state = None
                        self.role = None
                        self.s2l_fec = MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L.S2LFec()
                        self.s2l_fec.parent = self
                        self.uptime = None


                    class S2LFec(object):
                        """
                        FEC for the S2L
                        
                        .. attribute:: s2l_fec_ctype
                        
                        	Session identifier (ctype)
                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                        
                        .. attribute:: s2l_fec_dest
                        
                        	sub\-LSP destination address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: s2l_fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: s2l_fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_fec_p2mp_id
                        
                        	P2MP ID
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_fec_source
                        
                        	LSP source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: s2l_fec_subgroup_id
                        
                        	sub\-LSP subgroup ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_fec_subgroup_originator
                        
                        	Subgroup Originator
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: s2l_fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.s2l_fec_ctype = None
                            self.s2l_fec_dest = None
                            self.s2l_fec_extended_tunnel_id = None
                            self.s2l_fec_lsp_id = None
                            self.s2l_fec_p2mp_id = None
                            self.s2l_fec_source = None
                            self.s2l_fec_subgroup_id = None
                            self.s2l_fec_subgroup_originator = None
                            self.s2l_fec_tunnel_id = None
                            self.s2l_fec_vrf = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.s2l_fec_ctype is not None:
                                return True

                            if self.s2l_fec_dest is not None:
                                return True

                            if self.s2l_fec_extended_tunnel_id is not None:
                                return True

                            if self.s2l_fec_lsp_id is not None:
                                return True

                            if self.s2l_fec_p2mp_id is not None:
                                return True

                            if self.s2l_fec_source is not None:
                                return True

                            if self.s2l_fec_subgroup_id is not None:
                                return True

                            if self.s2l_fec_subgroup_originator is not None:
                                return True

                            if self.s2l_fec_tunnel_id is not None:
                                return True

                            if self.s2l_fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L.S2LFec']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.egress_interface is not None:
                            return True

                        if self.ingress_interface is not None:
                            return True

                        if self.oper_state is not None:
                            return True

                        if self.role is not None:
                            return True

                        if self.s2l_fec is not None and self.s2l_fec._has_data():
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L']['meta_info']

                @property
                def _common_path(self):
                    if self.ctype is None:
                        raise YPYModelError('Key property ctype is None')
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.extended_tunnel_id is None:
                        raise YPYModelError('Key property extended_tunnel_id is None')
                    if self.lsp_id is None:
                        raise YPYModelError('Key property lsp_id is None')
                    if self.p2mp_id is None:
                        raise YPYModelError('Key property p2mp_id is None')
                    if self.source_address is None:
                        raise YPYModelError('Key property source_address is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:p2p-p2mp-tunnel/Cisco-IOS-XR-mpls-te-oper:tunnel-remote-briefs/Cisco-IOS-XR-mpls-te-oper:tunnel-remote-brief[Cisco-IOS-XR-mpls-te-oper:ctype = ' + str(self.ctype) + '][Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:extended-tunnel-id = ' + str(self.extended_tunnel_id) + '][Cisco-IOS-XR-mpls-te-oper:lsp-id = ' + str(self.lsp_id) + '][Cisco-IOS-XR-mpls-te-oper:p2mp-id = ' + str(self.p2mp_id) + '][Cisco-IOS-XR-mpls-te-oper:source-address = ' + str(self.source_address) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ctype is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.p2mp_id is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.lsp_fec is not None and self.lsp_fec._has_data():
                        return True

                    if self.s2l is not None:
                        for child_ref in self.s2l:
                            if child_ref._has_data():
                                return True

                    if self.signaled_name is not None:
                        return True

                    if self.uptime is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:p2p-p2mp-tunnel/Cisco-IOS-XR-mpls-te-oper:tunnel-remote-briefs'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tunnel_remote_brief is not None:
                    for child_ref in self.tunnel_remote_brief:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs']['meta_info']


        class TunnelRemotes(object):
            """
            Restrict display to P2P or P2MP mid or tail
            tunnels
            
            .. attribute:: tunnel_remote
            
            	P2P or P2MP tunnel that is a mid or tail
            	**type**\: list of    :py:class:`TunnelRemote <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tunnel_remote = YList()
                self.tunnel_remote.parent = self
                self.tunnel_remote.name = 'tunnel_remote'


            class TunnelRemote(object):
                """
                P2P or P2MP tunnel that is a mid or tail
                
                .. attribute:: ctype  <key>
                
                	Ctype
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id  <key>
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lsp_id  <key>
                
                	LSP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: p2mp_id  <key>
                
                	P2MP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: source_address  <key>
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id  <key>
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: dste_class_index
                
                	Matching DSTE class index
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: dste_class_match
                
                	Do the class type and priority match a DSTE class
                	**type**\:  bool
                
                .. attribute:: frr_active_reason
                
                	P2MP LSP FRR active reason
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_frr_failed
                
                	P2MP LSP has FRR Failed
                	**type**\:  bool
                
                .. attribute:: is_interface
                
                	True for tunnel head
                	**type**\:  bool
                
                .. attribute:: is_passive
                
                	True for passive tunnel
                	**type**\:  bool
                
                .. attribute:: last_path_change
                
                	Time in seconds since the last path change
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: lsp_bandwidth
                
                	P2MP LSP Bandwidth
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: lsp_bandwidth_type
                
                	The LSP bandwidth type
                	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                
                .. attribute:: lsp_fec
                
                	FEC for the LSP
                	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec>`
                
                .. attribute:: lsp_hold_priority
                
                	LSP hold priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: lsp_setup_priority
                
                	LSP setup priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: persistent_bytes
                
                	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                	**units**\: byte
                
                .. attribute:: persistent_packets
                
                	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: reoptimize_reason
                
                	Reason for re\-optimization
                	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                
                .. attribute:: reoptimize_trigger
                
                	Re\-optimize trigger
                	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                
                .. attribute:: s2_ls_down
                
                	Number of down S2Ls
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: s2_ls_proceeding
                
                	Number of proceeding S2Ls
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: s2_ls_up
                
                	Number of connected S2Ls
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: s2l
                
                	array of S2L structures
                	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L>`
                
                .. attribute:: signaled_name
                
                	Signaled Name
                	**type**\:  str
                
                .. attribute:: timer_left
                
                	Time in seconds left to take next action if any
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: type
                
                	The type of this LSP
                	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                
                .. attribute:: uptime
                
                	Time in seconds since the tunnel was up
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ctype = None
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.lsp_id = None
                    self.p2mp_id = None
                    self.source_address = None
                    self.tunnel_id = None
                    self.dste_class_index = None
                    self.dste_class_match = None
                    self.frr_active_reason = None
                    self.is_frr_failed = None
                    self.is_interface = None
                    self.is_passive = None
                    self.last_path_change = None
                    self.lsp_bandwidth = None
                    self.lsp_bandwidth_type = None
                    self.lsp_fec = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec()
                    self.lsp_fec.parent = self
                    self.lsp_hold_priority = None
                    self.lsp_setup_priority = None
                    self.persistent_bytes = None
                    self.persistent_packets = None
                    self.reoptimize_reason = None
                    self.reoptimize_trigger = None
                    self.s2_ls_down = None
                    self.s2_ls_proceeding = None
                    self.s2_ls_up = None
                    self.s2l = YList()
                    self.s2l.parent = self
                    self.s2l.name = 's2l'
                    self.signaled_name = None
                    self.timer_left = None
                    self.type = None
                    self.uptime = None


                class LspFec(object):
                    """
                    FEC for the LSP
                    
                    .. attribute:: fec_destination_info
                    
                    	Destination or P2MP ID
                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec.FecDestinationInfo>`
                    
                    .. attribute:: fec_extended_tunnel_id
                    
                    	Extended tunnel ID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: fec_lsp_id
                    
                    	LSP ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: fec_source
                    
                    	Tunnel source address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: fec_tunnel_id
                    
                    	Tunnel ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: fec_vrf
                    
                    	VRF; currently only for GMPLS tunnels
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec.FecDestinationInfo()
                        self.fec_destination_info.parent = self
                        self.fec_extended_tunnel_id = None
                        self.fec_lsp_id = None
                        self.fec_source = None
                        self.fec_tunnel_id = None
                        self.fec_vrf = None


                    class FecDestinationInfo(object):
                        """
                        Destination or P2MP ID
                        
                        .. attribute:: fec_ctype
                        
                        	FEC CType
                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                        
                        .. attribute:: fec_destination_p2mp_id
                        
                        	P2MP ID
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: p2p_lsp_destination
                        
                        	P2P LSP destination
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_ctype = None
                            self.fec_destination_p2mp_id = None
                            self.p2p_lsp_destination = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_ctype is not None:
                                return True

                            if self.fec_destination_p2mp_id is not None:
                                return True

                            if self.p2p_lsp_destination is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec.FecDestinationInfo']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                            return True

                        if self.fec_extended_tunnel_id is not None:
                            return True

                        if self.fec_lsp_id is not None:
                            return True

                        if self.fec_source is not None:
                            return True

                        if self.fec_tunnel_id is not None:
                            return True

                        if self.fec_vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec']['meta_info']


                class S2L(object):
                    """
                    array of S2L structures
                    
                    .. attribute:: abr_auto_discovered
                    
                    	Next ABR auto discovered
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: active_path_option
                    
                    	The path option used to find the path for this S2L
                    	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption>`
                    
                    .. attribute:: association
                    
                    	Association Object
                    	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Association>`
                    
                    .. attribute:: backup_tunnel_interface
                    
                    	Interface handle of the backup tunnel
                    	**type**\:  str
                    
                    	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                    
                    .. attribute:: diversity_info
                    
                    	S2L Diversity Information
                    	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.DiversityInfo>`
                    
                    .. attribute:: downstream_router_id
                    
                    	Downstream router id
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: egress_interface
                    
                    	Egress Interface
                    	**type**\:  str
                    
                    .. attribute:: egress_interface_brief
                    
                    	Egress Interface in brief format
                    	**type**\:  str
                    
                    .. attribute:: egress_interface_state
                    
                    	State of Outgoing Interface
                    	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                    
                    .. attribute:: expanded_ero_affinity_bits
                    
                    	The Outgoing ERO's affinity bits (colors)
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: expanded_ero_affinity_mask
                    
                    	The Outgoing ERO's affinity mask (colors)
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: expanded_ero_area_id
                    
                    	Indicates the protocol and area used to find Outgoing ERO
                    	**type**\:  str
                    
                    .. attribute:: expanded_ero_metric
                    
                    	The metric value of the expanded path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: expanded_ero_metric_type
                    
                    	The Outgoing ERO's selection metric
                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                    
                    .. attribute:: flex_info
                    
                    	FlexLSP S2L Information
                    	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo>`
                    
                    .. attribute:: frr_out_tunnel_interface
                    
                    	FRR out tunnel intface
                    	**type**\:  str
                    
                    .. attribute:: fspec
                    
                    	The F spec info
                    	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Fspec>`
                    
                    .. attribute:: generic_fspec
                    
                    	Generic FSpec
                    	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec>`
                    
                    .. attribute:: generic_tspec
                    
                    	Generic TSpec
                    	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec>`
                    
                    .. attribute:: gmpls_labels
                    
                    	GMPLS labels
                    	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels>`
                    
                    .. attribute:: head_end_bfd_info
                    
                    	The Head\-end BFD info
                    	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo>`
                    
                    .. attribute:: in_ero
                    
                    	Incoming ERO for this S2L
                    	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro>`
                    
                    .. attribute:: in_xro
                    
                    	Incoming XRO for this S2L
                    	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro>`
                    
                    .. attribute:: incoming_address
                    
                    	Incoming interface address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: incoming_address_generic
                    
                    	Incoming interface address
                    	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric>`
                    
                    .. attribute:: ingress_interface
                    
                    	Ingress Interface
                    	**type**\:  str
                    
                    .. attribute:: ingress_interface_brief
                    
                    	Ingress Interface in brief format
                    	**type**\:  str
                    
                    .. attribute:: ingress_interface_state
                    
                    	State of Incoming Interface
                    	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                    
                    .. attribute:: is_bandwidth_protect
                    
                    	BW Protection Enabled or Disabled
                    	**type**\:  bool
                    
                    .. attribute:: is_expanded_ero
                    
                    	TRUE if this LSR expanded a loose path
                    	**type**\:  bool
                    
                    .. attribute:: is_frr_enabled
                    
                    	FRR Enabled or Disabled
                    	**type**\:  bool
                    
                    .. attribute:: is_node_protected
                    
                    	Node Protection Enabled or Disabled
                    	**type**\:  bool
                    
                    .. attribute:: is_optical
                    
                    	Is Optical
                    	**type**\:  bool
                    
                    .. attribute:: local_router_id
                    
                    	Local router id
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: lsp_wrap_info
                    
                    	Lsp Wrap  Related information
                    	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.LspWrapInfo>`
                    
                    .. attribute:: next_hop_address
                    
                    	Next hop address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: next_hop_address_generic
                    
                    	Next hop address
                    	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric>`
                    
                    .. attribute:: node_hop_count
                    
                    	Hop count
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: otn_s2l
                    
                    	Otn S2L Information
                    	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L>`
                    
                    .. attribute:: out_ero
                    
                    	Outgoing ERO for this S2L
                    	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro>`
                    
                    .. attribute:: out_xro
                    
                    	Outgoing XRO for this S2L
                    	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro>`
                    
                    .. attribute:: outbound_frr_state
                    
                    	Indicates outbound FRR state
                    	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                    
                    .. attribute:: path_affinity_array
                    
                    	Tunnel's Path hops with affinity
                    	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathAffinityArray>`
                    
                    .. attribute:: path_reeval_query_mid
                    
                    	Loose path reevaluation query received at mid\-point
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_rro
                    
                    	Path RRO for this S2L
                    	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro>`
                    
                    .. attribute:: path_rro_enabled
                    
                    	Path RRO Enabled or Disabled
                    	**type**\:  bool
                    
                    .. attribute:: path_using_strict_spf
                    
                    	Path is using Strict SPF
                    	**type**\:  bool
                    
                    .. attribute:: pcalc_area
                    
                    	IGP\-area in which the S2L path was calculated
                    	**type**\:  str
                    
                    .. attribute:: previous_hop_address
                    
                    	Previous hop address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: previous_hop_address_generic
                    
                    	Previous hop address
                    	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric>`
                    
                    .. attribute:: protection
                    
                    	Protection Object
                    	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Protection>`
                    
                    .. attribute:: resv_rro
                    
                    	Resv RRO for this S2L
                    	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro>`
                    
                    .. attribute:: reverse_ero_in
                    
                    	 Reverse Incoming ERO for this S2L
                    	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn>`
                    
                    .. attribute:: reverse_lsp_connected
                    
                    	Reverse Associated Bidir LSP Connected
                    	**type**\:  bool
                    
                    .. attribute:: reverse_lsp_fec
                    
                    	Reverse Associated Bidir LSP FEC
                    	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec>`
                    
                    .. attribute:: reverse_lsp_name
                    
                    	Reverse Associated Bidir LSP Name
                    	**type**\:  str
                    
                    .. attribute:: reverse_lsp_present
                    
                    	Reverse Associated Bidir LSP Present
                    	**type**\:  bool
                    
                    .. attribute:: reverse_tspec
                    
                    	The Reverse T spec info
                    	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseTspec>`
                    
                    .. attribute:: reverse_weight
                    
                    	The reverse path weight
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: role
                    
                    	Role of S2L
                    	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                    
                    .. attribute:: s2l_convergence
                    
                    	TE LSP convergence related information
                    	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LConvergence>`
                    
                    .. attribute:: s2l_fec
                    
                    	FEC for the S2L
                    	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LFec>`
                    
                    .. attribute:: s2l_local_label
                    
                    	Local label
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l_out_label
                    
                    	Outgoing label
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l_reverse_ero_obj_present
                    
                    	 S2l Reverse ERO Object Present
                    	**type**\:  bool
                    
                    .. attribute:: s2l_reverse_lsp_sub_obj
                    
                    	Reverse LSP Sub Objects
                    	**type**\:  list of int
                    
                    	**range:** 0..255
                    
                    .. attribute:: s2l_reverse_tspec_obj_present
                    
                    	 S2L Reverse TSpec Object Present
                    	**type**\:  bool
                    
                    .. attribute:: s2l_segment_routing_path
                    
                    	Segment\-Routing S2L path info
                    	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LSegmentRoutingPath>`
                    
                    .. attribute:: shared_risk_link_group
                    
                    	The S2L's excluded srlg groups
                    	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SharedRiskLinkGroup>`
                    
                    .. attribute:: signalling_status
                    
                    	Signaling status
                    	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                    
                    .. attribute:: soft_preemption
                    
                    	The soft preemption info for this LSP
                    	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SoftPreemption>`
                    
                    .. attribute:: srlg_collection
                    
                    	SRLG\-collection data
                    	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SrlgCollection>`
                    
                    .. attribute:: tail_end_bfd_info
                    
                    	The Tail\-end BFD info
                    	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo>`
                    
                    .. attribute:: time_since_last_preferred_path_exists_send_mid
                    
                    	Time since last preferred path exists msg send from mid\-point
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: time_since_last_preferred_tree_exists_send_mid
                    
                    	Time since last preferred tree exists msg send from mid\-point
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: time_since_last_query_received_mid
                    
                    	Time since last reevaluation query received at mid\-point
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tspec
                    
                    	The T spec info
                    	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Tspec>`
                    
                    .. attribute:: upstream_router_id
                    
                    	Upstream router id
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: weight
                    
                    	The path's weight
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.abr_auto_discovered = None
                        self.active_path_option = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption()
                        self.active_path_option.parent = self
                        self.association = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Association()
                        self.association.parent = self
                        self.backup_tunnel_interface = None
                        self.diversity_info = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.DiversityInfo()
                        self.diversity_info.parent = self
                        self.downstream_router_id = None
                        self.egress_interface = None
                        self.egress_interface_brief = None
                        self.egress_interface_state = None
                        self.expanded_ero_affinity_bits = None
                        self.expanded_ero_affinity_mask = None
                        self.expanded_ero_area_id = None
                        self.expanded_ero_metric = None
                        self.expanded_ero_metric_type = None
                        self.flex_info = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo()
                        self.flex_info.parent = self
                        self.frr_out_tunnel_interface = None
                        self.fspec = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Fspec()
                        self.fspec.parent = self
                        self.generic_fspec = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec()
                        self.generic_fspec.parent = self
                        self.generic_tspec = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec()
                        self.generic_tspec.parent = self
                        self.gmpls_labels = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels()
                        self.gmpls_labels.parent = self
                        self.head_end_bfd_info = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo()
                        self.head_end_bfd_info.parent = self
                        self.in_ero = YList()
                        self.in_ero.parent = self
                        self.in_ero.name = 'in_ero'
                        self.in_xro = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro()
                        self.in_xro.parent = self
                        self.incoming_address = None
                        self.incoming_address_generic = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric()
                        self.incoming_address_generic.parent = self
                        self.ingress_interface = None
                        self.ingress_interface_brief = None
                        self.ingress_interface_state = None
                        self.is_bandwidth_protect = None
                        self.is_expanded_ero = None
                        self.is_frr_enabled = None
                        self.is_node_protected = None
                        self.is_optical = None
                        self.local_router_id = None
                        self.lsp_wrap_info = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.LspWrapInfo()
                        self.lsp_wrap_info.parent = self
                        self.next_hop_address = None
                        self.next_hop_address_generic = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric()
                        self.next_hop_address_generic.parent = self
                        self.node_hop_count = None
                        self.otn_s2l = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L()
                        self.otn_s2l.parent = self
                        self.out_ero = YList()
                        self.out_ero.parent = self
                        self.out_ero.name = 'out_ero'
                        self.out_xro = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro()
                        self.out_xro.parent = self
                        self.outbound_frr_state = None
                        self.path_affinity_array = YList()
                        self.path_affinity_array.parent = self
                        self.path_affinity_array.name = 'path_affinity_array'
                        self.path_reeval_query_mid = None
                        self.path_rro = YList()
                        self.path_rro.parent = self
                        self.path_rro.name = 'path_rro'
                        self.path_rro_enabled = None
                        self.path_using_strict_spf = None
                        self.pcalc_area = None
                        self.previous_hop_address = None
                        self.previous_hop_address_generic = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric()
                        self.previous_hop_address_generic.parent = self
                        self.protection = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Protection()
                        self.protection.parent = self
                        self.resv_rro = YList()
                        self.resv_rro.parent = self
                        self.resv_rro.name = 'resv_rro'
                        self.reverse_ero_in = YList()
                        self.reverse_ero_in.parent = self
                        self.reverse_ero_in.name = 'reverse_ero_in'
                        self.reverse_lsp_connected = None
                        self.reverse_lsp_fec = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec()
                        self.reverse_lsp_fec.parent = self
                        self.reverse_lsp_name = None
                        self.reverse_lsp_present = None
                        self.reverse_tspec = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseTspec()
                        self.reverse_tspec.parent = self
                        self.reverse_weight = None
                        self.role = None
                        self.s2l_convergence = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LConvergence()
                        self.s2l_convergence.parent = self
                        self.s2l_fec = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LFec()
                        self.s2l_fec.parent = self
                        self.s2l_local_label = None
                        self.s2l_out_label = None
                        self.s2l_reverse_ero_obj_present = None
                        self.s2l_reverse_lsp_sub_obj = YLeafList()
                        self.s2l_reverse_lsp_sub_obj.parent = self
                        self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                        self.s2l_reverse_tspec_obj_present = None
                        self.s2l_segment_routing_path = YList()
                        self.s2l_segment_routing_path.parent = self
                        self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                        self.shared_risk_link_group = YList()
                        self.shared_risk_link_group.parent = self
                        self.shared_risk_link_group.name = 'shared_risk_link_group'
                        self.signalling_status = None
                        self.soft_preemption = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SoftPreemption()
                        self.soft_preemption.parent = self
                        self.srlg_collection = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SrlgCollection()
                        self.srlg_collection.parent = self
                        self.tail_end_bfd_info = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo()
                        self.tail_end_bfd_info.parent = self
                        self.time_since_last_preferred_path_exists_send_mid = None
                        self.time_since_last_preferred_tree_exists_send_mid = None
                        self.time_since_last_query_received_mid = None
                        self.tspec = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Tspec()
                        self.tspec.parent = self
                        self.upstream_router_id = None
                        self.uptime = None
                        self.weight = None


                    class S2LFec(object):
                        """
                        FEC for the S2L
                        
                        .. attribute:: s2l_fec_ctype
                        
                        	Session identifier (ctype)
                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                        
                        .. attribute:: s2l_fec_dest
                        
                        	sub\-LSP destination address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: s2l_fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: s2l_fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_fec_p2mp_id
                        
                        	P2MP ID
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_fec_source
                        
                        	LSP source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: s2l_fec_subgroup_id
                        
                        	sub\-LSP subgroup ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_fec_subgroup_originator
                        
                        	Subgroup Originator
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: s2l_fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.s2l_fec_ctype = None
                            self.s2l_fec_dest = None
                            self.s2l_fec_extended_tunnel_id = None
                            self.s2l_fec_lsp_id = None
                            self.s2l_fec_p2mp_id = None
                            self.s2l_fec_source = None
                            self.s2l_fec_subgroup_id = None
                            self.s2l_fec_subgroup_originator = None
                            self.s2l_fec_tunnel_id = None
                            self.s2l_fec_vrf = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.s2l_fec_ctype is not None:
                                return True

                            if self.s2l_fec_dest is not None:
                                return True

                            if self.s2l_fec_extended_tunnel_id is not None:
                                return True

                            if self.s2l_fec_lsp_id is not None:
                                return True

                            if self.s2l_fec_p2mp_id is not None:
                                return True

                            if self.s2l_fec_source is not None:
                                return True

                            if self.s2l_fec_subgroup_id is not None:
                                return True

                            if self.s2l_fec_subgroup_originator is not None:
                                return True

                            if self.s2l_fec_tunnel_id is not None:
                                return True

                            if self.s2l_fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LFec']['meta_info']


                    class ActivePathOption(object):
                        """
                        The path option used to find the path for this
                        S2L
                        
                        .. attribute:: attribute_set
                        
                        	The path option attribute set used by this path
                        	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet>`
                        
                        .. attribute:: attribute_set_found
                        
                        	TRUE if the path has found the defined attribute set
                        	**type**\:  bool
                        
                        .. attribute:: explicit_path_id
                        
                        	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: explicit_path_name
                        
                        	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                        	**type**\:  str
                        
                        .. attribute:: has_attribute_set
                        
                        	TRUE if the path has an attribute set defined
                        	**type**\:  bool
                        
                        .. attribute:: has_xro_attribute_set
                        
                        	TRUE if the path has an XRO attribute set configured
                        	**type**\:  bool
                        
                        .. attribute:: holddown_duration
                        
                        	Holddown Duration (seconds)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        .. attribute:: is_disabled
                        
                        	TRUE if the path option is disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_helddown
                        
                        	TRUE if path is helddown
                        	**type**\:  bool
                        
                        .. attribute:: is_lockdown
                        
                        	TRUE if the path is locked down
                        	**type**\:  bool
                        
                        .. attribute:: is_segment_routing
                        
                        	TRUE if the path is Segment\-Routing
                        	**type**\:  bool
                        
                        .. attribute:: is_strict_explicit_path
                        
                        	TRUE if explicit path is strict
                        	**type**\:  bool
                        
                        .. attribute:: is_verbatim
                        
                        	TRUE if the path is verbatim
                        	**type**\:  bool
                        
                        .. attribute:: option_index
                        
                        	Path option index
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: option_index_is_valid
                        
                        	The path option index is valid
                        	**type**\:  bool
                        
                        .. attribute:: path_calculation_error
                        
                        	Path computation information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.PathCalculationError>`
                        
                        .. attribute:: path_option_area_id
                        
                        	The path\-option area constraint
                        	**type**\:  str
                        
                        .. attribute:: path_option_name
                        
                        	Path option name
                        	**type**\:  str
                        
                        .. attribute:: path_option_type
                        
                        	Path option type
                        	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                        
                        .. attribute:: pce_address
                        
                        	PCE server address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: protected_by_path_option_index
                        
                        	Path option index for Protect path options
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: remerge_error
                        
                        	Path computation remerge resolve info
                        	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.RemergeError>`
                        
                        .. attribute:: restored_from_path_option_index
                        
                        	Path option index for Restore path options
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: signalling_error
                        
                        	Signalling information
                        	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.SignallingError>`
                        
                        .. attribute:: xro_attribute_set
                        
                        	The XRO attribute set used by this path\-option
                        	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet>`
                        
                        .. attribute:: xro_attribute_set_found
                        
                        	TRUE if the path's XRO attribute set is known
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.attribute_set = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet()
                            self.attribute_set.parent = self
                            self.attribute_set_found = None
                            self.explicit_path_id = None
                            self.explicit_path_name = None
                            self.has_attribute_set = None
                            self.has_xro_attribute_set = None
                            self.holddown_duration = None
                            self.is_disabled = None
                            self.is_helddown = None
                            self.is_lockdown = None
                            self.is_segment_routing = None
                            self.is_strict_explicit_path = None
                            self.is_verbatim = None
                            self.option_index = None
                            self.option_index_is_valid = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_area_id = None
                            self.path_option_name = None
                            self.path_option_type = None
                            self.pce_address = None
                            self.protected_by_path_option_index = None
                            self.remerge_error = YList()
                            self.remerge_error.parent = self
                            self.remerge_error.name = 'remerge_error'
                            self.restored_from_path_option_index = None
                            self.signalling_error = YList()
                            self.signalling_error.parent = self
                            self.signalling_error.name = 'signalling_error'
                            self.xro_attribute_set = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet()
                            self.xro_attribute_set.parent = self
                            self.xro_attribute_set_found = None


                        class AttributeSet(object):
                            """
                            The path option attribute set used by this path
                            
                            .. attribute:: attribute_set_union
                            
                            	Union of Attribute Sets
                            	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                            
                            .. attribute:: tunnel_attribute_set_name
                            
                            	Attribute Set Name
                            	**type**\:  str
                            
                            .. attribute:: tunnel_attribute_set_name_crc32
                            
                            	Attribute Set name CRC32 value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set_union = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                self.attribute_set_union.parent = self
                                self.tunnel_attribute_set_name = None
                                self.tunnel_attribute_set_name_crc32 = None


                            class AttributeSetUnion(object):
                                """
                                Union of Attribute Sets
                                
                                .. attribute:: attribute_set_aps_pp
                                
                                	Attribute Set OTN APS Path Protection
                                	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                
                                .. attribute:: attribute_set_autobackup
                                
                                	MPLS TE Auto\-backup Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                
                                .. attribute:: attribute_set_automesh
                                
                                	MPLS TE Auto\-mesh Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                
                                .. attribute:: attribute_set_p2mpte
                                
                                	MPLS TE P2MP\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                
                                .. attribute:: attribute_set_p2p_te
                                
                                	MPLS TE P2P\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                
                                .. attribute:: attribute_set_path_option
                                
                                	MPLS TE Path Option Attribute Set
                                	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                
                                .. attribute:: attribute_set_xro
                                
                                	Attribute Set XRO
                                	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                
                                .. attribute:: tunnel_attribute_set_type
                                
                                	TunnelAttributeSetType
                                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                    self.attribute_set_aps_pp.parent = self
                                    self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                    self.attribute_set_autobackup.parent = self
                                    self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                    self.attribute_set_automesh.parent = self
                                    self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                    self.attribute_set_p2mpte.parent = self
                                    self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                    self.attribute_set_p2p_te.parent = self
                                    self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                    self.attribute_set_path_option.parent = self
                                    self.attribute_set_xro = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                    self.attribute_set_xro.parent = self
                                    self.tunnel_attribute_set_type = None


                                class AttributeSetPathOption(object):
                                    """
                                    MPLS TE Path Option Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                    
                                    .. attribute:: bandwidth_type
                                    
                                    	The bandwidth type
                                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                    
                                    .. attribute:: bfd_reverse_path
                                    
                                    	BFD reverse path
                                    	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: cost_limit
                                    
                                    	Cost limit on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: exclude_list_name
                                    
                                    	Exclude list name
                                    	**type**\:  str
                                    
                                    .. attribute:: generation
                                    
                                    	Generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bfd_reverse_pat_configured
                                    
                                    	Is BFD reverse path configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_cost_limit_configured
                                    
                                    	Is Cost Limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_exclude_list_name_configured
                                    
                                    	Is exclude list name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is path invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is path invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation interval on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: version_info
                                    
                                    	Version Info
                                    	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                        self.affinity.parent = self
                                        self.bandwidth_type = None
                                        self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                        self.bfd_reverse_path.parent = self
                                        self.configured_bandwidth = None
                                        self.cost_limit = None
                                        self.dste_class_type = None
                                        self.exclude_list_name = None
                                        self.generation = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_bfd_reverse_pat_configured = None
                                        self.is_cost_limit_configured = None
                                        self.is_exclude_list_name_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.path_invalidation_action = None
                                        self.path_invalidation_timeout = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'
                                        self.version_info = YList()
                                        self.version_info.parent = self
                                        self.version_info.name = 'version_info'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                    class BfdReversePath(object):
                                        """
                                        BFD reverse path
                                        
                                        .. attribute:: binding_label
                                        
                                        	BFD reverse path binding label
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_type
                                        
                                        	BFD reverse path type
                                        	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.binding_label = None
                                            self.path_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.binding_label is not None:
                                                return True

                                            if self.path_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                    class VersionInfo(object):
                                        """
                                        Version Info
                                        
                                        .. attribute:: attribute_type
                                        
                                        	Attribute Type
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_default
                                        
                                        	Is default
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute_type = None
                                            self.generation = None
                                            self.is_default = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute_type is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_default is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.bandwidth_type is not None:
                                            return True

                                        if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.cost_limit is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.exclude_list_name is not None:
                                            return True

                                        if self.generation is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_bfd_reverse_pat_configured is not None:
                                            return True

                                        if self.is_cost_limit_configured is not None:
                                            return True

                                        if self.is_exclude_list_name_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.path_invalidation_action is not None:
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        if self.version_info is not None:
                                            for child_ref in self.version_info:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                class AttributeSetAutobackup(object):
                                    """
                                    MPLS TE Auto\-backup Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_signalled_name_configured
                                    
                                    	Is signalled name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: protected_interface
                                    
                                    	Array of Protected Interface Names
                                    	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: signalled_name
                                    
                                    	Signalled name
                                    	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                        self.affinity.parent = self
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.is_signalled_name_configured = None
                                        self.logging = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                        self.logging.parent = self
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.protected_interface = YList()
                                        self.protected_interface.parent = self
                                        self.protected_interface.name = 'protected_interface'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.signalled_name = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                        self.signalled_name.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class SignalledName(object):
                                        """
                                        Signalled name
                                        
                                        .. attribute:: is_mp_addresses
                                        
                                        	MP address appended
                                        	**type**\:  bool
                                        
                                        .. attribute:: name
                                        
                                        	Signalled name
                                        	**type**\:  str
                                        
                                        .. attribute:: protected_interface_type
                                        
                                        	Protected interface address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        .. attribute:: source_type
                                        
                                        	Source address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.is_mp_addresses = None
                                            self.name = None
                                            self.protected_interface_type = None
                                            self.source_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.is_mp_addresses is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.protected_interface_type is not None:
                                                return True

                                            if self.source_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                    class ProtectedInterface(object):
                                        """
                                        Array of Protected Interface Names
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Protected Interface Name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.protected_interface = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.protected_interface is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.is_signalled_name_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.protected_interface is not None:
                                            for child_ref in self.protected_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.signalled_name is not None and self.signalled_name._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                class AttributeSetAutomesh(object):
                                    """
                                    MPLS TE Auto\-mesh Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                    
                                    .. attribute:: auto_bandwidth_collect
                                    
                                    	Auto bandwidth collect only
                                    	**type**\:  bool
                                    
                                    .. attribute:: auto_route_announce
                                    
                                    	Announce auto route to IGP
                                    	**type**\:  bool
                                    
                                    .. attribute:: bandwidth
                                    
                                    	IM bandwidth
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: forward_class
                                    
                                    	Forward class
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_node_protection
                                    
                                    	FRR Node protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_interface_bw_configured
                                    
                                    	Is Interface BW configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: load_share
                                    
                                    	Load Share
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                    
                                    .. attribute:: mesh_group_id
                                    
                                    	Meshgroup ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: soft_preemption_configured
                                    
                                    	Soft preemption is configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                        self.affinity.parent = self
                                        self.auto_bandwidth_collect = None
                                        self.auto_route_announce = None
                                        self.bandwidth = None
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.forward_class = None
                                        self.frr_bandwidth_protection = None
                                        self.frr_node_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_interface_bw_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.load_share = None
                                        self.logging = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                        self.logging.parent = self
                                        self.mesh_group_id = YLeafList()
                                        self.mesh_group_id.parent = self
                                        self.mesh_group_id.name = 'mesh_group_id'
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.soft_preemption_configured = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.auto_bandwidth_collect is not None:
                                            return True

                                        if self.auto_route_announce is not None:
                                            return True

                                        if self.bandwidth is not None:
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.forward_class is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.frr_node_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_interface_bw_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.load_share is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.mesh_group_id is not None:
                                            for child in self.mesh_group_id:
                                                if child is not None:
                                                    return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.soft_preemption_configured is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                class AttributeSetXro(object):
                                    """
                                    Attribute Set XRO
                                    
                                    .. attribute:: xro
                                    
                                    	The XRO specified by this attribute\-set
                                    	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.xro = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                        self.xro.parent = self


                                    class Xro(object):
                                        """
                                        The XRO specified by this attribute\-set
                                        
                                        .. attribute:: mutual_diversity_flag
                                        
                                        	Mutual Diversity Flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: xro_subobject
                                        
                                        	List of XRO sub\-objects
                                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.mutual_diversity_flag = None
                                            self.xro_subobject = YList()
                                            self.xro_subobject.parent = self
                                            self.xro_subobject.name = 'xro_subobject'


                                        class XroSubobject(object):
                                            """
                                            List of XRO sub\-objects
                                            
                                            .. attribute:: as_subobject
                                            
                                            	AS sub\-object
                                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                            
                                            .. attribute:: ipv4_subobject
                                            
                                            	IPv4 sub\-object
                                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                            
                                            .. attribute:: ipv6_subobject
                                            
                                            	IPv6 sub\-object
                                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                            
                                            .. attribute:: lsp_subobject
                                            
                                            	P2P LSP sub\-object
                                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                            
                                            .. attribute:: srlg_subobject
                                            
                                            	SRLG sub\-object
                                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                            
                                            .. attribute:: unnumbered_subobject
                                            
                                            	Unnumbered sub\-object
                                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                self.as_subobject.parent = self
                                                self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                self.ipv4_subobject.parent = self
                                                self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                self.ipv6_subobject.parent = self
                                                self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                self.lsp_subobject.parent = self
                                                self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                self.srlg_subobject.parent = self
                                                self.type = None
                                                self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                self.unnumbered_subobject.parent = self


                                            class Ipv4Subobject(object):
                                                """
                                                IPv4 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv4 address
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                            class Ipv6Subobject(object):
                                                """
                                                IPv6 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv6 address
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                            class UnnumberedSubobject(object):
                                                """
                                                Unnumbered sub\-object
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: interface_id
                                                
                                                	Interface ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: te_router_id
                                                
                                                	TE router\-id
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.interface_id = None
                                                    self.te_router_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.interface_id is not None:
                                                        return True

                                                    if self.te_router_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                            class AsSubobject(object):
                                                """
                                                AS sub\-object
                                                
                                                .. attribute:: as_number
                                                
                                                	Autonomous System number
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_number = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_number is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                            class SrlgSubobject(object):
                                                """
                                                SRLG sub\-object
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: srlg_id
                                                
                                                	SRLG ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.exclusion_type = None
                                                    self.srlg_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.srlg_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                            class LspSubobject(object):
                                                """
                                                P2P LSP sub\-object
                                                
                                                .. attribute:: destination_node_exception
                                                
                                                	Destination\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: fec
                                                
                                                	LSP FEC
                                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                
                                                .. attribute:: ignore_lsp_id
                                                
                                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                	**type**\:  bool
                                                
                                                .. attribute:: penultimate_node_exception
                                                
                                                	Penultimate\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: processing_node_exception
                                                
                                                	Processing\-node exception flag
                                                	**type**\:  bool
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.destination_node_exception = None
                                                    self.exclusion_type = None
                                                    self.fec = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                    self.fec.parent = self
                                                    self.ignore_lsp_id = None
                                                    self.penultimate_node_exception = None
                                                    self.processing_node_exception = None


                                                class Fec(object):
                                                    """
                                                    LSP FEC
                                                    
                                                    .. attribute:: fec_destination_info
                                                    
                                                    	Destination or P2MP ID
                                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                    
                                                    .. attribute:: fec_extended_tunnel_id
                                                    
                                                    	Extended tunnel ID
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_lsp_id
                                                    
                                                    	LSP ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_source
                                                    
                                                    	Tunnel source address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_tunnel_id
                                                    
                                                    	Tunnel ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_vrf
                                                    
                                                    	VRF; currently only for GMPLS tunnels
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                        self.fec_destination_info.parent = self
                                                        self.fec_extended_tunnel_id = None
                                                        self.fec_lsp_id = None
                                                        self.fec_source = None
                                                        self.fec_tunnel_id = None
                                                        self.fec_vrf = None


                                                    class FecDestinationInfo(object):
                                                        """
                                                        Destination or P2MP ID
                                                        
                                                        .. attribute:: fec_ctype
                                                        
                                                        	FEC CType
                                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                        
                                                        .. attribute:: fec_destination_p2mp_id
                                                        
                                                        	P2MP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: p2p_lsp_destination
                                                        
                                                        	P2P LSP destination
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_ctype = None
                                                            self.fec_destination_p2mp_id = None
                                                            self.p2p_lsp_destination = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_ctype is not None:
                                                                return True

                                                            if self.fec_destination_p2mp_id is not None:
                                                                return True

                                                            if self.p2p_lsp_destination is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                            return True

                                                        if self.fec_extended_tunnel_id is not None:
                                                            return True

                                                        if self.fec_lsp_id is not None:
                                                            return True

                                                        if self.fec_source is not None:
                                                            return True

                                                        if self.fec_tunnel_id is not None:
                                                            return True

                                                        if self.fec_vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.destination_node_exception is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.fec is not None and self.fec._has_data():
                                                        return True

                                                    if self.ignore_lsp_id is not None:
                                                        return True

                                                    if self.penultimate_node_exception is not None:
                                                        return True

                                                    if self.processing_node_exception is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.as_subobject is not None and self.as_subobject._has_data():
                                                    return True

                                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                    return True

                                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                    return True

                                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                    return True

                                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.mutual_diversity_flag is not None:
                                                return True

                                            if self.xro_subobject is not None:
                                                for child_ref in self.xro_subobject:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.xro is not None and self.xro._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                class AttributeSetP2Mpte(object):
                                    """
                                    MPLS TE P2MP\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                        self.affinity.parent = self
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.frr_bandwidth_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_priority_configured = None
                                        self.setup_priority = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                class AttributeSetApsPp(object):
                                    """
                                    Attribute Set OTN APS Path Protection
                                    
                                    .. attribute:: hold_off_time
                                    
                                    	Hold\-off time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path Protection Profile Type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: protection_mode
                                    
                                    	Protection Restoration Mode
                                    	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                    
                                    .. attribute:: protection_type
                                    
                                    	Protection Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: restoration_style
                                    
                                    	Restoration Style
                                    	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                    
                                    .. attribute:: revert_schedule
                                    
                                    	Revert Schedule
                                    	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                    
                                    .. attribute:: snc_mode
                                    
                                    	Sub\-network Connection Mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	Sub\-network Connection Monitoring Mode
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wait_to_restore_time
                                    
                                    	Wait to restore time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.hold_off_time = None
                                        self.path_prot_profile_type = None
                                        self.protection_mode = None
                                        self.protection_type = None
                                        self.restoration_style = None
                                        self.revert_schedule = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                        self.revert_schedule.parent = self
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wait_to_restore_time = None


                                    class RevertSchedule(object):
                                        """
                                        Revert Schedule
                                        
                                        .. attribute:: duration
                                        
                                        	Duration for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_tries
                                        
                                        	Max tries for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_date
                                        
                                        	Schedule time for reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_frequency
                                        
                                        	Schedule frequency for reversion
                                        	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                        
                                        .. attribute:: schedulename
                                        
                                        	Schedule name identifier
                                        	**type**\:  str
                                        
                                        	**length:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.duration = None
                                            self.max_tries = None
                                            self.schedule_date = None
                                            self.schedule_frequency = None
                                            self.schedulename = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.duration is not None:
                                                return True

                                            if self.max_tries is not None:
                                                return True

                                            if self.schedule_date is not None:
                                                return True

                                            if self.schedule_frequency is not None:
                                                return True

                                            if self.schedulename is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.hold_off_time is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.protection_mode is not None:
                                            return True

                                        if self.protection_type is not None:
                                            return True

                                        if self.restoration_style is not None:
                                            return True

                                        if self.revert_schedule is not None and self.revert_schedule._has_data():
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wait_to_restore_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                class AttributeSetP2PTe(object):
                                    """
                                    MPLS TE P2P\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is Path Invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is Path Invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_select_configured
                                    
                                    	Is any of the path selection parameters configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_metric_configured
                                    
                                    	Is path selection metric configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                    
                                    	Is path selection segment routing configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_configured
                                    
                                    	Is path selection margin configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_relative
                                    
                                    	Path selection margin is\_relative
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_prepend_list_configured
                                    
                                    	Is SR prepend list configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation timeout on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                    
                                    .. attribute:: path_selection_metric
                                    
                                    	Path selection metric type
                                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_adjacency_protection
                                    
                                    	Path selection segment\-routing type
                                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_margin
                                    
                                    	Path selection margin
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_segment_routing_segment_limit
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: prepend_list
                                    
                                    	SR prepend list
                                    	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                        self.affinity.parent = self
                                        self.is_affinity_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_path_select_configured = None
                                        self.is_path_selection_metric_configured = None
                                        self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                        self.is_path_selection_segment_routing_margin_configured = None
                                        self.is_path_selection_segment_routing_margin_relative = None
                                        self.is_path_selection_segment_routing_segment_limit_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.is_prepend_list_configured = None
                                        self.logging = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                        self.logging.parent = self
                                        self.path_invalidation_timeout = None
                                        self.path_selection_invalidation_action = None
                                        self.path_selection_metric = None
                                        self.path_selection_segment_routing_adjacency_protection = None
                                        self.path_selection_segment_routing_margin = None
                                        self.path_selection_segment_routing_segment_limit = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.prepend_list = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                        self.prepend_list.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                    class PrependList(object):
                                        """
                                        SR prepend list
                                        
                                        .. attribute:: prepend_entry
                                        
                                        	List of prepend entries
                                        	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.prepend_entry = YList()
                                            self.prepend_entry.parent = self
                                            self.prepend_entry.name = 'prepend_entry'


                                        class PrependEntry(object):
                                            """
                                            List of prepend entries
                                            
                                            .. attribute:: index
                                            
                                            	Prepend index
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: next_label
                                            
                                            	Prepend next label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: type
                                            
                                            	Prepend Type
                                            	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.index = None
                                                self.next_label = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.index is not None:
                                                    return True

                                                if self.next_label is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.prepend_entry is not None:
                                                for child_ref in self.prepend_entry:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_path_select_configured is not None:
                                            return True

                                        if self.is_path_selection_metric_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_relative is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.is_prepend_list_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.path_selection_invalidation_action is not None:
                                            return True

                                        if self.path_selection_metric is not None:
                                            return True

                                        if self.path_selection_segment_routing_adjacency_protection is not None:
                                            return True

                                        if self.path_selection_segment_routing_margin is not None:
                                            return True

                                        if self.path_selection_segment_routing_segment_limit is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.prepend_list is not None and self.prepend_list._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                        return True

                                    if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                        return True

                                    if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                        return True

                                    if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                        return True

                                    if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                        return True

                                    if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                        return True

                                    if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                        return True

                                    if self.tunnel_attribute_set_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                    return True

                                if self.tunnel_attribute_set_name is not None:
                                    return True

                                if self.tunnel_attribute_set_name_crc32 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet']['meta_info']


                        class XroAttributeSet(object):
                            """
                            The XRO attribute set used by this path\-option
                            
                            .. attribute:: attribute_set_union
                            
                            	Union of Attribute Sets
                            	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                            
                            .. attribute:: tunnel_attribute_set_name
                            
                            	Attribute Set Name
                            	**type**\:  str
                            
                            .. attribute:: tunnel_attribute_set_name_crc32
                            
                            	Attribute Set name CRC32 value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set_union = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                self.attribute_set_union.parent = self
                                self.tunnel_attribute_set_name = None
                                self.tunnel_attribute_set_name_crc32 = None


                            class AttributeSetUnion(object):
                                """
                                Union of Attribute Sets
                                
                                .. attribute:: attribute_set_aps_pp
                                
                                	Attribute Set OTN APS Path Protection
                                	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                
                                .. attribute:: attribute_set_autobackup
                                
                                	MPLS TE Auto\-backup Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                
                                .. attribute:: attribute_set_automesh
                                
                                	MPLS TE Auto\-mesh Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                
                                .. attribute:: attribute_set_p2mpte
                                
                                	MPLS TE P2MP\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                
                                .. attribute:: attribute_set_p2p_te
                                
                                	MPLS TE P2P\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                
                                .. attribute:: attribute_set_path_option
                                
                                	MPLS TE Path Option Attribute Set
                                	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                
                                .. attribute:: attribute_set_xro
                                
                                	Attribute Set XRO
                                	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                
                                .. attribute:: tunnel_attribute_set_type
                                
                                	TunnelAttributeSetType
                                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                    self.attribute_set_aps_pp.parent = self
                                    self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                    self.attribute_set_autobackup.parent = self
                                    self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                    self.attribute_set_automesh.parent = self
                                    self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                    self.attribute_set_p2mpte.parent = self
                                    self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                    self.attribute_set_p2p_te.parent = self
                                    self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                    self.attribute_set_path_option.parent = self
                                    self.attribute_set_xro = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                    self.attribute_set_xro.parent = self
                                    self.tunnel_attribute_set_type = None


                                class AttributeSetPathOption(object):
                                    """
                                    MPLS TE Path Option Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                    
                                    .. attribute:: bandwidth_type
                                    
                                    	The bandwidth type
                                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                    
                                    .. attribute:: bfd_reverse_path
                                    
                                    	BFD reverse path
                                    	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: cost_limit
                                    
                                    	Cost limit on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: exclude_list_name
                                    
                                    	Exclude list name
                                    	**type**\:  str
                                    
                                    .. attribute:: generation
                                    
                                    	Generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bfd_reverse_pat_configured
                                    
                                    	Is BFD reverse path configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_cost_limit_configured
                                    
                                    	Is Cost Limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_exclude_list_name_configured
                                    
                                    	Is exclude list name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is path invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is path invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation interval on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: version_info
                                    
                                    	Version Info
                                    	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                        self.affinity.parent = self
                                        self.bandwidth_type = None
                                        self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                        self.bfd_reverse_path.parent = self
                                        self.configured_bandwidth = None
                                        self.cost_limit = None
                                        self.dste_class_type = None
                                        self.exclude_list_name = None
                                        self.generation = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_bfd_reverse_pat_configured = None
                                        self.is_cost_limit_configured = None
                                        self.is_exclude_list_name_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.path_invalidation_action = None
                                        self.path_invalidation_timeout = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'
                                        self.version_info = YList()
                                        self.version_info.parent = self
                                        self.version_info.name = 'version_info'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                    class BfdReversePath(object):
                                        """
                                        BFD reverse path
                                        
                                        .. attribute:: binding_label
                                        
                                        	BFD reverse path binding label
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_type
                                        
                                        	BFD reverse path type
                                        	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.binding_label = None
                                            self.path_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.binding_label is not None:
                                                return True

                                            if self.path_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                    class VersionInfo(object):
                                        """
                                        Version Info
                                        
                                        .. attribute:: attribute_type
                                        
                                        	Attribute Type
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_default
                                        
                                        	Is default
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute_type = None
                                            self.generation = None
                                            self.is_default = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute_type is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_default is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.bandwidth_type is not None:
                                            return True

                                        if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.cost_limit is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.exclude_list_name is not None:
                                            return True

                                        if self.generation is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_bfd_reverse_pat_configured is not None:
                                            return True

                                        if self.is_cost_limit_configured is not None:
                                            return True

                                        if self.is_exclude_list_name_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.path_invalidation_action is not None:
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        if self.version_info is not None:
                                            for child_ref in self.version_info:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                class AttributeSetAutobackup(object):
                                    """
                                    MPLS TE Auto\-backup Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_signalled_name_configured
                                    
                                    	Is signalled name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: protected_interface
                                    
                                    	Array of Protected Interface Names
                                    	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: signalled_name
                                    
                                    	Signalled name
                                    	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                        self.affinity.parent = self
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.is_signalled_name_configured = None
                                        self.logging = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                        self.logging.parent = self
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.protected_interface = YList()
                                        self.protected_interface.parent = self
                                        self.protected_interface.name = 'protected_interface'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.signalled_name = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                        self.signalled_name.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class SignalledName(object):
                                        """
                                        Signalled name
                                        
                                        .. attribute:: is_mp_addresses
                                        
                                        	MP address appended
                                        	**type**\:  bool
                                        
                                        .. attribute:: name
                                        
                                        	Signalled name
                                        	**type**\:  str
                                        
                                        .. attribute:: protected_interface_type
                                        
                                        	Protected interface address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        .. attribute:: source_type
                                        
                                        	Source address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.is_mp_addresses = None
                                            self.name = None
                                            self.protected_interface_type = None
                                            self.source_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.is_mp_addresses is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.protected_interface_type is not None:
                                                return True

                                            if self.source_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                    class ProtectedInterface(object):
                                        """
                                        Array of Protected Interface Names
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Protected Interface Name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.protected_interface = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.protected_interface is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.is_signalled_name_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.protected_interface is not None:
                                            for child_ref in self.protected_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.signalled_name is not None and self.signalled_name._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                class AttributeSetAutomesh(object):
                                    """
                                    MPLS TE Auto\-mesh Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                    
                                    .. attribute:: auto_bandwidth_collect
                                    
                                    	Auto bandwidth collect only
                                    	**type**\:  bool
                                    
                                    .. attribute:: auto_route_announce
                                    
                                    	Announce auto route to IGP
                                    	**type**\:  bool
                                    
                                    .. attribute:: bandwidth
                                    
                                    	IM bandwidth
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: forward_class
                                    
                                    	Forward class
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_node_protection
                                    
                                    	FRR Node protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_interface_bw_configured
                                    
                                    	Is Interface BW configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: load_share
                                    
                                    	Load Share
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                    
                                    .. attribute:: mesh_group_id
                                    
                                    	Meshgroup ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: soft_preemption_configured
                                    
                                    	Soft preemption is configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                        self.affinity.parent = self
                                        self.auto_bandwidth_collect = None
                                        self.auto_route_announce = None
                                        self.bandwidth = None
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.forward_class = None
                                        self.frr_bandwidth_protection = None
                                        self.frr_node_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_interface_bw_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.load_share = None
                                        self.logging = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                        self.logging.parent = self
                                        self.mesh_group_id = YLeafList()
                                        self.mesh_group_id.parent = self
                                        self.mesh_group_id.name = 'mesh_group_id'
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.soft_preemption_configured = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.auto_bandwidth_collect is not None:
                                            return True

                                        if self.auto_route_announce is not None:
                                            return True

                                        if self.bandwidth is not None:
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.forward_class is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.frr_node_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_interface_bw_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.load_share is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.mesh_group_id is not None:
                                            for child in self.mesh_group_id:
                                                if child is not None:
                                                    return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.soft_preemption_configured is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                class AttributeSetXro(object):
                                    """
                                    Attribute Set XRO
                                    
                                    .. attribute:: xro
                                    
                                    	The XRO specified by this attribute\-set
                                    	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.xro = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                        self.xro.parent = self


                                    class Xro(object):
                                        """
                                        The XRO specified by this attribute\-set
                                        
                                        .. attribute:: mutual_diversity_flag
                                        
                                        	Mutual Diversity Flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: xro_subobject
                                        
                                        	List of XRO sub\-objects
                                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.mutual_diversity_flag = None
                                            self.xro_subobject = YList()
                                            self.xro_subobject.parent = self
                                            self.xro_subobject.name = 'xro_subobject'


                                        class XroSubobject(object):
                                            """
                                            List of XRO sub\-objects
                                            
                                            .. attribute:: as_subobject
                                            
                                            	AS sub\-object
                                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                            
                                            .. attribute:: ipv4_subobject
                                            
                                            	IPv4 sub\-object
                                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                            
                                            .. attribute:: ipv6_subobject
                                            
                                            	IPv6 sub\-object
                                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                            
                                            .. attribute:: lsp_subobject
                                            
                                            	P2P LSP sub\-object
                                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                            
                                            .. attribute:: srlg_subobject
                                            
                                            	SRLG sub\-object
                                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                            
                                            .. attribute:: unnumbered_subobject
                                            
                                            	Unnumbered sub\-object
                                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                self.as_subobject.parent = self
                                                self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                self.ipv4_subobject.parent = self
                                                self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                self.ipv6_subobject.parent = self
                                                self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                self.lsp_subobject.parent = self
                                                self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                self.srlg_subobject.parent = self
                                                self.type = None
                                                self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                self.unnumbered_subobject.parent = self


                                            class Ipv4Subobject(object):
                                                """
                                                IPv4 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv4 address
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                            class Ipv6Subobject(object):
                                                """
                                                IPv6 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv6 address
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                            class UnnumberedSubobject(object):
                                                """
                                                Unnumbered sub\-object
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: interface_id
                                                
                                                	Interface ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: te_router_id
                                                
                                                	TE router\-id
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.interface_id = None
                                                    self.te_router_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.interface_id is not None:
                                                        return True

                                                    if self.te_router_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                            class AsSubobject(object):
                                                """
                                                AS sub\-object
                                                
                                                .. attribute:: as_number
                                                
                                                	Autonomous System number
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_number = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_number is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                            class SrlgSubobject(object):
                                                """
                                                SRLG sub\-object
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: srlg_id
                                                
                                                	SRLG ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.exclusion_type = None
                                                    self.srlg_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.srlg_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                            class LspSubobject(object):
                                                """
                                                P2P LSP sub\-object
                                                
                                                .. attribute:: destination_node_exception
                                                
                                                	Destination\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: fec
                                                
                                                	LSP FEC
                                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                
                                                .. attribute:: ignore_lsp_id
                                                
                                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                	**type**\:  bool
                                                
                                                .. attribute:: penultimate_node_exception
                                                
                                                	Penultimate\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: processing_node_exception
                                                
                                                	Processing\-node exception flag
                                                	**type**\:  bool
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.destination_node_exception = None
                                                    self.exclusion_type = None
                                                    self.fec = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                    self.fec.parent = self
                                                    self.ignore_lsp_id = None
                                                    self.penultimate_node_exception = None
                                                    self.processing_node_exception = None


                                                class Fec(object):
                                                    """
                                                    LSP FEC
                                                    
                                                    .. attribute:: fec_destination_info
                                                    
                                                    	Destination or P2MP ID
                                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                    
                                                    .. attribute:: fec_extended_tunnel_id
                                                    
                                                    	Extended tunnel ID
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_lsp_id
                                                    
                                                    	LSP ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_source
                                                    
                                                    	Tunnel source address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_tunnel_id
                                                    
                                                    	Tunnel ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_vrf
                                                    
                                                    	VRF; currently only for GMPLS tunnels
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                        self.fec_destination_info.parent = self
                                                        self.fec_extended_tunnel_id = None
                                                        self.fec_lsp_id = None
                                                        self.fec_source = None
                                                        self.fec_tunnel_id = None
                                                        self.fec_vrf = None


                                                    class FecDestinationInfo(object):
                                                        """
                                                        Destination or P2MP ID
                                                        
                                                        .. attribute:: fec_ctype
                                                        
                                                        	FEC CType
                                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                        
                                                        .. attribute:: fec_destination_p2mp_id
                                                        
                                                        	P2MP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: p2p_lsp_destination
                                                        
                                                        	P2P LSP destination
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_ctype = None
                                                            self.fec_destination_p2mp_id = None
                                                            self.p2p_lsp_destination = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_ctype is not None:
                                                                return True

                                                            if self.fec_destination_p2mp_id is not None:
                                                                return True

                                                            if self.p2p_lsp_destination is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                            return True

                                                        if self.fec_extended_tunnel_id is not None:
                                                            return True

                                                        if self.fec_lsp_id is not None:
                                                            return True

                                                        if self.fec_source is not None:
                                                            return True

                                                        if self.fec_tunnel_id is not None:
                                                            return True

                                                        if self.fec_vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.destination_node_exception is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.fec is not None and self.fec._has_data():
                                                        return True

                                                    if self.ignore_lsp_id is not None:
                                                        return True

                                                    if self.penultimate_node_exception is not None:
                                                        return True

                                                    if self.processing_node_exception is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.as_subobject is not None and self.as_subobject._has_data():
                                                    return True

                                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                    return True

                                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                    return True

                                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                    return True

                                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.mutual_diversity_flag is not None:
                                                return True

                                            if self.xro_subobject is not None:
                                                for child_ref in self.xro_subobject:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.xro is not None and self.xro._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                class AttributeSetP2Mpte(object):
                                    """
                                    MPLS TE P2MP\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                        self.affinity.parent = self
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.frr_bandwidth_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_priority_configured = None
                                        self.setup_priority = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                class AttributeSetApsPp(object):
                                    """
                                    Attribute Set OTN APS Path Protection
                                    
                                    .. attribute:: hold_off_time
                                    
                                    	Hold\-off time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path Protection Profile Type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: protection_mode
                                    
                                    	Protection Restoration Mode
                                    	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                    
                                    .. attribute:: protection_type
                                    
                                    	Protection Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: restoration_style
                                    
                                    	Restoration Style
                                    	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                    
                                    .. attribute:: revert_schedule
                                    
                                    	Revert Schedule
                                    	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                    
                                    .. attribute:: snc_mode
                                    
                                    	Sub\-network Connection Mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	Sub\-network Connection Monitoring Mode
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wait_to_restore_time
                                    
                                    	Wait to restore time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.hold_off_time = None
                                        self.path_prot_profile_type = None
                                        self.protection_mode = None
                                        self.protection_type = None
                                        self.restoration_style = None
                                        self.revert_schedule = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                        self.revert_schedule.parent = self
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wait_to_restore_time = None


                                    class RevertSchedule(object):
                                        """
                                        Revert Schedule
                                        
                                        .. attribute:: duration
                                        
                                        	Duration for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_tries
                                        
                                        	Max tries for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_date
                                        
                                        	Schedule time for reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_frequency
                                        
                                        	Schedule frequency for reversion
                                        	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                        
                                        .. attribute:: schedulename
                                        
                                        	Schedule name identifier
                                        	**type**\:  str
                                        
                                        	**length:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.duration = None
                                            self.max_tries = None
                                            self.schedule_date = None
                                            self.schedule_frequency = None
                                            self.schedulename = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.duration is not None:
                                                return True

                                            if self.max_tries is not None:
                                                return True

                                            if self.schedule_date is not None:
                                                return True

                                            if self.schedule_frequency is not None:
                                                return True

                                            if self.schedulename is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.hold_off_time is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.protection_mode is not None:
                                            return True

                                        if self.protection_type is not None:
                                            return True

                                        if self.restoration_style is not None:
                                            return True

                                        if self.revert_schedule is not None and self.revert_schedule._has_data():
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wait_to_restore_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                class AttributeSetP2PTe(object):
                                    """
                                    MPLS TE P2P\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is Path Invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is Path Invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_select_configured
                                    
                                    	Is any of the path selection parameters configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_metric_configured
                                    
                                    	Is path selection metric configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                    
                                    	Is path selection segment routing configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_configured
                                    
                                    	Is path selection margin configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_relative
                                    
                                    	Path selection margin is\_relative
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_prepend_list_configured
                                    
                                    	Is SR prepend list configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation timeout on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                    
                                    .. attribute:: path_selection_metric
                                    
                                    	Path selection metric type
                                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_adjacency_protection
                                    
                                    	Path selection segment\-routing type
                                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_margin
                                    
                                    	Path selection margin
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_segment_routing_segment_limit
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: prepend_list
                                    
                                    	SR prepend list
                                    	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                        self.affinity.parent = self
                                        self.is_affinity_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_path_select_configured = None
                                        self.is_path_selection_metric_configured = None
                                        self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                        self.is_path_selection_segment_routing_margin_configured = None
                                        self.is_path_selection_segment_routing_margin_relative = None
                                        self.is_path_selection_segment_routing_segment_limit_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.is_prepend_list_configured = None
                                        self.logging = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                        self.logging.parent = self
                                        self.path_invalidation_timeout = None
                                        self.path_selection_invalidation_action = None
                                        self.path_selection_metric = None
                                        self.path_selection_segment_routing_adjacency_protection = None
                                        self.path_selection_segment_routing_margin = None
                                        self.path_selection_segment_routing_segment_limit = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.prepend_list = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                        self.prepend_list.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                    class PrependList(object):
                                        """
                                        SR prepend list
                                        
                                        .. attribute:: prepend_entry
                                        
                                        	List of prepend entries
                                        	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.prepend_entry = YList()
                                            self.prepend_entry.parent = self
                                            self.prepend_entry.name = 'prepend_entry'


                                        class PrependEntry(object):
                                            """
                                            List of prepend entries
                                            
                                            .. attribute:: index
                                            
                                            	Prepend index
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: next_label
                                            
                                            	Prepend next label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: type
                                            
                                            	Prepend Type
                                            	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.index = None
                                                self.next_label = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.index is not None:
                                                    return True

                                                if self.next_label is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.prepend_entry is not None:
                                                for child_ref in self.prepend_entry:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_path_select_configured is not None:
                                            return True

                                        if self.is_path_selection_metric_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_relative is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.is_prepend_list_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.path_selection_invalidation_action is not None:
                                            return True

                                        if self.path_selection_metric is not None:
                                            return True

                                        if self.path_selection_segment_routing_adjacency_protection is not None:
                                            return True

                                        if self.path_selection_segment_routing_margin is not None:
                                            return True

                                        if self.path_selection_segment_routing_segment_limit is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.prepend_list is not None and self.prepend_list._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                        return True

                                    if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                        return True

                                    if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                        return True

                                    if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                        return True

                                    if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                        return True

                                    if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                        return True

                                    if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                        return True

                                    if self.tunnel_attribute_set_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                    return True

                                if self.tunnel_attribute_set_name is not None:
                                    return True

                                if self.tunnel_attribute_set_name_crc32 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                        class PathCalculationError(object):
                            """
                            Path computation information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.PathCalculationError']['meta_info']


                        class RemergeError(object):
                            """
                            Path computation remerge resolve info
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.RemergeError']['meta_info']


                        class SignallingError(object):
                            """
                            Signalling information
                            
                            .. attribute:: error
                            
                            	Path Error code
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: error_node
                            
                            	Source address of the error generating node
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: log_time
                            
                            	Time in seconds when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSPMode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            .. attribute:: reverse_lsp
                            
                            	Indicates if error is on the reverse LSP
                            	**type**\:  bool
                            
                            .. attribute:: signalling_lsp_id
                            
                            	LSP\-id for which the error was received
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: sub_code
                            
                            	Path Error subcode
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error = None
                                self.error_message = None
                                self.error_node = None
                                self.log_time = None
                                self.lsp_mode = None
                                self.reverse_lsp = None
                                self.signalling_lsp_id = None
                                self.sub_code = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error is not None:
                                    return True

                                if self.error_message is not None:
                                    return True

                                if self.error_node is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                if self.reverse_lsp is not None:
                                    return True

                                if self.signalling_lsp_id is not None:
                                    return True

                                if self.sub_code is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.SignallingError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.attribute_set is not None and self.attribute_set._has_data():
                                return True

                            if self.attribute_set_found is not None:
                                return True

                            if self.explicit_path_id is not None:
                                return True

                            if self.explicit_path_name is not None:
                                return True

                            if self.has_attribute_set is not None:
                                return True

                            if self.has_xro_attribute_set is not None:
                                return True

                            if self.holddown_duration is not None:
                                return True

                            if self.is_disabled is not None:
                                return True

                            if self.is_helddown is not None:
                                return True

                            if self.is_lockdown is not None:
                                return True

                            if self.is_segment_routing is not None:
                                return True

                            if self.is_strict_explicit_path is not None:
                                return True

                            if self.is_verbatim is not None:
                                return True

                            if self.option_index is not None:
                                return True

                            if self.option_index_is_valid is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_area_id is not None:
                                return True

                            if self.path_option_name is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.pce_address is not None:
                                return True

                            if self.protected_by_path_option_index is not None:
                                return True

                            if self.remerge_error is not None:
                                for child_ref in self.remerge_error:
                                    if child_ref._has_data():
                                        return True

                            if self.restored_from_path_option_index is not None:
                                return True

                            if self.signalling_error is not None:
                                for child_ref in self.signalling_error:
                                    if child_ref._has_data():
                                        return True

                            if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                return True

                            if self.xro_attribute_set_found is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption']['meta_info']


                    class OutXro(object):
                        """
                        Outgoing XRO for this S2L
                        
                        .. attribute:: mutual_diversity_flag
                        
                        	Mutual Diversity Flag
                        	**type**\:  bool
                        
                        .. attribute:: xro_subobject
                        
                        	List of XRO sub\-objects
                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.mutual_diversity_flag = None
                            self.xro_subobject = YList()
                            self.xro_subobject.parent = self
                            self.xro_subobject.name = 'xro_subobject'


                        class XroSubobject(object):
                            """
                            List of XRO sub\-objects
                            
                            .. attribute:: as_subobject
                            
                            	AS sub\-object
                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.AsSubobject>`
                            
                            .. attribute:: ipv4_subobject
                            
                            	IPv4 sub\-object
                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                            
                            .. attribute:: ipv6_subobject
                            
                            	IPv6 sub\-object
                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                            
                            .. attribute:: lsp_subobject
                            
                            	P2P LSP sub\-object
                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject>`
                            
                            .. attribute:: srlg_subobject
                            
                            	SRLG sub\-object
                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.SrlgSubobject>`
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                            
                            .. attribute:: unnumbered_subobject
                            
                            	Unnumbered sub\-object
                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.AsSubobject()
                                self.as_subobject.parent = self
                                self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                self.ipv4_subobject.parent = self
                                self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                self.ipv6_subobject.parent = self
                                self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject()
                                self.lsp_subobject.parent = self
                                self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.SrlgSubobject()
                                self.srlg_subobject.parent = self
                                self.type = None
                                self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                self.unnumbered_subobject.parent = self


                            class Ipv4Subobject(object):
                                """
                                IPv4 sub\-object
                                
                                .. attribute:: address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: attribute
                                
                                	Attribute
                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: prefix_len
                                
                                	Prefix length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None
                                    self.attribute = None
                                    self.exclusion_type = None
                                    self.prefix_len = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.address is not None:
                                        return True

                                    if self.attribute is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.prefix_len is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                            class Ipv6Subobject(object):
                                """
                                IPv6 sub\-object
                                
                                .. attribute:: address
                                
                                	IPv6 address
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: attribute
                                
                                	Attribute
                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: prefix_len
                                
                                	Prefix length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None
                                    self.attribute = None
                                    self.exclusion_type = None
                                    self.prefix_len = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.address is not None:
                                        return True

                                    if self.attribute is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.prefix_len is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                            class UnnumberedSubobject(object):
                                """
                                Unnumbered sub\-object
                                
                                .. attribute:: attribute
                                
                                	Attribute
                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: interface_id
                                
                                	Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: te_router_id
                                
                                	TE router\-id
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute = None
                                    self.exclusion_type = None
                                    self.interface_id = None
                                    self.te_router_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    if self.te_router_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                            class AsSubobject(object):
                                """
                                AS sub\-object
                                
                                .. attribute:: as_number
                                
                                	Autonomous System number
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_number = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_number is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                            class SrlgSubobject(object):
                                """
                                SRLG sub\-object
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: srlg_id
                                
                                	SRLG ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.exclusion_type = None
                                    self.srlg_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.exclusion_type is not None:
                                        return True

                                    if self.srlg_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                            class LspSubobject(object):
                                """
                                P2P LSP sub\-object
                                
                                .. attribute:: destination_node_exception
                                
                                	Destination\-node exception flag
                                	**type**\:  bool
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: fec
                                
                                	LSP FEC
                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                
                                .. attribute:: ignore_lsp_id
                                
                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                	**type**\:  bool
                                
                                .. attribute:: penultimate_node_exception
                                
                                	Penultimate\-node exception flag
                                	**type**\:  bool
                                
                                .. attribute:: processing_node_exception
                                
                                	Processing\-node exception flag
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.destination_node_exception = None
                                    self.exclusion_type = None
                                    self.fec = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                    self.fec.parent = self
                                    self.ignore_lsp_id = None
                                    self.penultimate_node_exception = None
                                    self.processing_node_exception = None


                                class Fec(object):
                                    """
                                    LSP FEC
                                    
                                    .. attribute:: fec_destination_info
                                    
                                    	Destination or P2MP ID
                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                    
                                    .. attribute:: fec_extended_tunnel_id
                                    
                                    	Extended tunnel ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: fec_lsp_id
                                    
                                    	LSP ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: fec_source
                                    
                                    	Tunnel source address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: fec_tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: fec_vrf
                                    
                                    	VRF; currently only for GMPLS tunnels
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                        self.fec_destination_info.parent = self
                                        self.fec_extended_tunnel_id = None
                                        self.fec_lsp_id = None
                                        self.fec_source = None
                                        self.fec_tunnel_id = None
                                        self.fec_vrf = None


                                    class FecDestinationInfo(object):
                                        """
                                        Destination or P2MP ID
                                        
                                        .. attribute:: fec_ctype
                                        
                                        	FEC CType
                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                        
                                        .. attribute:: fec_destination_p2mp_id
                                        
                                        	P2MP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: p2p_lsp_destination
                                        
                                        	P2P LSP destination
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_ctype = None
                                            self.fec_destination_p2mp_id = None
                                            self.p2p_lsp_destination = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_ctype is not None:
                                                return True

                                            if self.fec_destination_p2mp_id is not None:
                                                return True

                                            if self.p2p_lsp_destination is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                            return True

                                        if self.fec_extended_tunnel_id is not None:
                                            return True

                                        if self.fec_lsp_id is not None:
                                            return True

                                        if self.fec_source is not None:
                                            return True

                                        if self.fec_tunnel_id is not None:
                                            return True

                                        if self.fec_vrf is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.destination_node_exception is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.fec is not None and self.fec._has_data():
                                        return True

                                    if self.ignore_lsp_id is not None:
                                        return True

                                    if self.penultimate_node_exception is not None:
                                        return True

                                    if self.processing_node_exception is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.as_subobject is not None and self.as_subobject._has_data():
                                    return True

                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                    return True

                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                    return True

                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                    return True

                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                    return True

                                if self.type is not None:
                                    return True

                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.mutual_diversity_flag is not None:
                                return True

                            if self.xro_subobject is not None:
                                for child_ref in self.xro_subobject:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro']['meta_info']


                    class InXro(object):
                        """
                        Incoming XRO for this S2L
                        
                        .. attribute:: mutual_diversity_flag
                        
                        	Mutual Diversity Flag
                        	**type**\:  bool
                        
                        .. attribute:: xro_subobject
                        
                        	List of XRO sub\-objects
                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.mutual_diversity_flag = None
                            self.xro_subobject = YList()
                            self.xro_subobject.parent = self
                            self.xro_subobject.name = 'xro_subobject'


                        class XroSubobject(object):
                            """
                            List of XRO sub\-objects
                            
                            .. attribute:: as_subobject
                            
                            	AS sub\-object
                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.AsSubobject>`
                            
                            .. attribute:: ipv4_subobject
                            
                            	IPv4 sub\-object
                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv4Subobject>`
                            
                            .. attribute:: ipv6_subobject
                            
                            	IPv6 sub\-object
                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv6Subobject>`
                            
                            .. attribute:: lsp_subobject
                            
                            	P2P LSP sub\-object
                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject>`
                            
                            .. attribute:: srlg_subobject
                            
                            	SRLG sub\-object
                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.SrlgSubobject>`
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                            
                            .. attribute:: unnumbered_subobject
                            
                            	Unnumbered sub\-object
                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.AsSubobject()
                                self.as_subobject.parent = self
                                self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv4Subobject()
                                self.ipv4_subobject.parent = self
                                self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv6Subobject()
                                self.ipv6_subobject.parent = self
                                self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject()
                                self.lsp_subobject.parent = self
                                self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.SrlgSubobject()
                                self.srlg_subobject.parent = self
                                self.type = None
                                self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                self.unnumbered_subobject.parent = self


                            class Ipv4Subobject(object):
                                """
                                IPv4 sub\-object
                                
                                .. attribute:: address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: attribute
                                
                                	Attribute
                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: prefix_len
                                
                                	Prefix length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None
                                    self.attribute = None
                                    self.exclusion_type = None
                                    self.prefix_len = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.address is not None:
                                        return True

                                    if self.attribute is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.prefix_len is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                            class Ipv6Subobject(object):
                                """
                                IPv6 sub\-object
                                
                                .. attribute:: address
                                
                                	IPv6 address
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: attribute
                                
                                	Attribute
                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: prefix_len
                                
                                	Prefix length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None
                                    self.attribute = None
                                    self.exclusion_type = None
                                    self.prefix_len = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.address is not None:
                                        return True

                                    if self.attribute is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.prefix_len is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                            class UnnumberedSubobject(object):
                                """
                                Unnumbered sub\-object
                                
                                .. attribute:: attribute
                                
                                	Attribute
                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: interface_id
                                
                                	Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: te_router_id
                                
                                	TE router\-id
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute = None
                                    self.exclusion_type = None
                                    self.interface_id = None
                                    self.te_router_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    if self.te_router_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                            class AsSubobject(object):
                                """
                                AS sub\-object
                                
                                .. attribute:: as_number
                                
                                	Autonomous System number
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_number = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_number is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                            class SrlgSubobject(object):
                                """
                                SRLG sub\-object
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: srlg_id
                                
                                	SRLG ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.exclusion_type = None
                                    self.srlg_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.exclusion_type is not None:
                                        return True

                                    if self.srlg_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                            class LspSubobject(object):
                                """
                                P2P LSP sub\-object
                                
                                .. attribute:: destination_node_exception
                                
                                	Destination\-node exception flag
                                	**type**\:  bool
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: fec
                                
                                	LSP FEC
                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                
                                .. attribute:: ignore_lsp_id
                                
                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                	**type**\:  bool
                                
                                .. attribute:: penultimate_node_exception
                                
                                	Penultimate\-node exception flag
                                	**type**\:  bool
                                
                                .. attribute:: processing_node_exception
                                
                                	Processing\-node exception flag
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.destination_node_exception = None
                                    self.exclusion_type = None
                                    self.fec = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                    self.fec.parent = self
                                    self.ignore_lsp_id = None
                                    self.penultimate_node_exception = None
                                    self.processing_node_exception = None


                                class Fec(object):
                                    """
                                    LSP FEC
                                    
                                    .. attribute:: fec_destination_info
                                    
                                    	Destination or P2MP ID
                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                    
                                    .. attribute:: fec_extended_tunnel_id
                                    
                                    	Extended tunnel ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: fec_lsp_id
                                    
                                    	LSP ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: fec_source
                                    
                                    	Tunnel source address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: fec_tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: fec_vrf
                                    
                                    	VRF; currently only for GMPLS tunnels
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                        self.fec_destination_info.parent = self
                                        self.fec_extended_tunnel_id = None
                                        self.fec_lsp_id = None
                                        self.fec_source = None
                                        self.fec_tunnel_id = None
                                        self.fec_vrf = None


                                    class FecDestinationInfo(object):
                                        """
                                        Destination or P2MP ID
                                        
                                        .. attribute:: fec_ctype
                                        
                                        	FEC CType
                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                        
                                        .. attribute:: fec_destination_p2mp_id
                                        
                                        	P2MP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: p2p_lsp_destination
                                        
                                        	P2P LSP destination
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_ctype = None
                                            self.fec_destination_p2mp_id = None
                                            self.p2p_lsp_destination = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_ctype is not None:
                                                return True

                                            if self.fec_destination_p2mp_id is not None:
                                                return True

                                            if self.p2p_lsp_destination is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                            return True

                                        if self.fec_extended_tunnel_id is not None:
                                            return True

                                        if self.fec_lsp_id is not None:
                                            return True

                                        if self.fec_source is not None:
                                            return True

                                        if self.fec_tunnel_id is not None:
                                            return True

                                        if self.fec_vrf is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.destination_node_exception is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.fec is not None and self.fec._has_data():
                                        return True

                                    if self.ignore_lsp_id is not None:
                                        return True

                                    if self.penultimate_node_exception is not None:
                                        return True

                                    if self.processing_node_exception is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.as_subobject is not None and self.as_subobject._has_data():
                                    return True

                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                    return True

                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                    return True

                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                    return True

                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                    return True

                                if self.type is not None:
                                    return True

                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.mutual_diversity_flag is not None:
                                return True

                            if self.xro_subobject is not None:
                                for child_ref in self.xro_subobject:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro']['meta_info']


                    class Tspec(object):
                        """
                        The T spec info
                        
                        .. attribute:: average_rate
                        
                        	Average bandwidth in  kbps
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: maximum_burst
                        
                        	Maximum burst of data in bytes
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: byte
                        
                        .. attribute:: peak_rate
                        
                        	Peak rate in  kbps
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.average_rate = None
                            self.maximum_burst = None
                            self.peak_rate = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.average_rate is not None:
                                return True

                            if self.maximum_burst is not None:
                                return True

                            if self.peak_rate is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Tspec']['meta_info']


                    class GenericTspec(object):
                        """
                        Generic TSpec
                        
                        .. attribute:: otntspec
                        
                        	TE TSpec for G709 OTN
                        	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec.Otntspec>`
                        
                        .. attribute:: tspec_type
                        
                        	TSpecType
                        	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.otntspec = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec.Otntspec()
                            self.otntspec.parent = self
                            self.tspec_type = None


                        class Otntspec(object):
                            """
                            TE TSpec for G709 OTN
                            
                            .. attribute:: bit_rate
                            
                            	Bit Rate in kbps
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nmc_or_tolerance
                            
                            	NMC or Tolerance
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nvc
                            
                            	Number of Virtual Components
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: signal_type
                            
                            	Signal Type
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bit_rate = None
                                self.multiplier = None
                                self.nmc_or_tolerance = None
                                self.nvc = None
                                self.signal_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bit_rate is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.nmc_or_tolerance is not None:
                                    return True

                                if self.nvc is not None:
                                    return True

                                if self.signal_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec.Otntspec']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.otntspec is not None and self.otntspec._has_data():
                                return True

                            if self.tspec_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec']['meta_info']


                    class Fspec(object):
                        """
                        The F spec info
                        
                        .. attribute:: average_rate
                        
                        	Average bandwidth in  kbps
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: maximum_burst
                        
                        	Maximum burst of data in bytes
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: byte
                        
                        .. attribute:: peak_rate
                        
                        	Peak rate in  kbps
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.average_rate = None
                            self.maximum_burst = None
                            self.peak_rate = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.average_rate is not None:
                                return True

                            if self.maximum_burst is not None:
                                return True

                            if self.peak_rate is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Fspec']['meta_info']


                    class GenericFspec(object):
                        """
                        Generic FSpec
                        
                        .. attribute:: fspec_type
                        
                        	FSpecType
                        	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                        
                        .. attribute:: otnfspec
                        
                        	TE FSpec for G709 OTN
                        	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec.Otnfspec>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fspec_type = None
                            self.otnfspec = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec.Otnfspec()
                            self.otnfspec.parent = self


                        class Otnfspec(object):
                            """
                            TE FSpec for G709 OTN
                            
                            .. attribute:: bit_rate
                            
                            	Bit Rate in kbps
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nmc_or_tolerance
                            
                            	NMC or Tolerance
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nvc
                            
                            	Number of Virtual Components
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: signal_type
                            
                            	Signal Type
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bit_rate = None
                                self.multiplier = None
                                self.nmc_or_tolerance = None
                                self.nvc = None
                                self.signal_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bit_rate is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.nmc_or_tolerance is not None:
                                    return True

                                if self.nvc is not None:
                                    return True

                                if self.signal_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec.Otnfspec']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fspec_type is not None:
                                return True

                            if self.otnfspec is not None and self.otnfspec._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec']['meta_info']


                    class NextHopAddressGeneric(object):
                        """
                        Next hop address
                        
                        .. attribute:: te_addr
                        
                        	TE Address
                        	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.te_addr = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr()
                            self.te_addr.parent = self


                        class TeAddr(object):
                            """
                            TE Address
                            
                            .. attribute:: ipv4_address
                            
                            	IPv4 address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv4_unnumbered_address
                            
                            	IPv4 unnumbered address
                            	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4_address = None
                                self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                self.ipv4_unnumbered_address.parent = self
                                self.type = None


                            class Ipv4UnnumberedAddress(object):
                                """
                                IPv4 unnumbered address
                                
                                .. attribute:: interface_index
                                
                                	Interface index
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: router_id
                                
                                	IPv4 router ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.interface_index = None
                                    self.router_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.interface_index is not None:
                                        return True

                                    if self.router_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4_address is not None:
                                    return True

                                if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                    return True

                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.te_addr is not None and self.te_addr._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric']['meta_info']


                    class PreviousHopAddressGeneric(object):
                        """
                        Previous hop address
                        
                        .. attribute:: te_addr
                        
                        	TE Address
                        	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.te_addr = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr()
                            self.te_addr.parent = self


                        class TeAddr(object):
                            """
                            TE Address
                            
                            .. attribute:: ipv4_address
                            
                            	IPv4 address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv4_unnumbered_address
                            
                            	IPv4 unnumbered address
                            	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4_address = None
                                self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                self.ipv4_unnumbered_address.parent = self
                                self.type = None


                            class Ipv4UnnumberedAddress(object):
                                """
                                IPv4 unnumbered address
                                
                                .. attribute:: interface_index
                                
                                	Interface index
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: router_id
                                
                                	IPv4 router ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.interface_index = None
                                    self.router_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.interface_index is not None:
                                        return True

                                    if self.router_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4_address is not None:
                                    return True

                                if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                    return True

                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.te_addr is not None and self.te_addr._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric']['meta_info']


                    class IncomingAddressGeneric(object):
                        """
                        Incoming interface address
                        
                        .. attribute:: te_addr
                        
                        	TE Address
                        	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.te_addr = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr()
                            self.te_addr.parent = self


                        class TeAddr(object):
                            """
                            TE Address
                            
                            .. attribute:: ipv4_address
                            
                            	IPv4 address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv4_unnumbered_address
                            
                            	IPv4 unnumbered address
                            	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4_address = None
                                self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                self.ipv4_unnumbered_address.parent = self
                                self.type = None


                            class Ipv4UnnumberedAddress(object):
                                """
                                IPv4 unnumbered address
                                
                                .. attribute:: interface_index
                                
                                	Interface index
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: router_id
                                
                                	IPv4 router ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.interface_index = None
                                    self.router_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.interface_index is not None:
                                        return True

                                    if self.router_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4_address is not None:
                                    return True

                                if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                    return True

                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.te_addr is not None and self.te_addr._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric']['meta_info']


                    class S2LConvergence(object):
                        """
                        TE LSP convergence related information
                        
                        .. attribute:: creation_time
                        
                        	Tunnel creation timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: label_rewrite
                        
                        	LSP Label rewrite timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: path_in
                        
                        	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: path_out
                        
                        	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: resv_in
                        
                        	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: resv_out
                        
                        	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: tunnel_rewrite
                        
                        	Tunnel rewrite timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.creation_time = None
                            self.label_rewrite = None
                            self.path_in = None
                            self.path_out = None
                            self.resv_in = None
                            self.resv_out = None
                            self.tunnel_rewrite = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.creation_time is not None:
                                return True

                            if self.label_rewrite is not None:
                                return True

                            if self.path_in is not None:
                                return True

                            if self.path_out is not None:
                                return True

                            if self.resv_in is not None:
                                return True

                            if self.resv_out is not None:
                                return True

                            if self.tunnel_rewrite is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LConvergence']['meta_info']


                    class SoftPreemption(object):
                        """
                        The soft preemption info for this LSP.
                        
                        .. attribute:: fr_rrewrite
                        
                        	FRR\-rewrite during soft preemption
                        	**type**\:  bool
                        
                        .. attribute:: fr_rrewrite_tunnel_name
                        
                        	The tunnel name of the backup
                        	**type**\:  str
                        
                        .. attribute:: preempting_link_address
                        
                        	The address of the link where the preemption happened
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: soft_preemption_link
                        
                        	Name of the link where the soft preemption occurred
                        	**type**\:  str
                        
                        .. attribute:: soft_preemption_timestamp
                        
                        	The POSIX timestamp when the soft preemption occurred
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: status
                        
                        	The current state of the soft preemption operation
                        	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                        
                        .. attribute:: time_to_hard_preemption
                        
                        	The number of seconds until hard preemption is triggered
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fr_rrewrite = None
                            self.fr_rrewrite_tunnel_name = None
                            self.preempting_link_address = None
                            self.soft_preemption_link = None
                            self.soft_preemption_timestamp = None
                            self.status = None
                            self.time_to_hard_preemption = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fr_rrewrite is not None:
                                return True

                            if self.fr_rrewrite_tunnel_name is not None:
                                return True

                            if self.preempting_link_address is not None:
                                return True

                            if self.soft_preemption_link is not None:
                                return True

                            if self.soft_preemption_timestamp is not None:
                                return True

                            if self.status is not None:
                                return True

                            if self.time_to_hard_preemption is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SoftPreemption']['meta_info']


                    class GmplsLabels(object):
                        """
                        GMPLS labels
                        
                        .. attribute:: path_egress_label
                        
                        	Path message (upstream) egress label
                        	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel>`
                        
                        .. attribute:: path_ingress_label
                        
                        	Path message (upstream) ingress label
                        	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel>`
                        
                        .. attribute:: resv_egress_label
                        
                        	Resv message (downstream) egress label
                        	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel>`
                        
                        .. attribute:: resv_ingress_label
                        
                        	Resv message (downstream) ingress label
                        	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.path_egress_label = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel()
                            self.path_egress_label.parent = self
                            self.path_ingress_label = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel()
                            self.path_ingress_label.parent = self
                            self.resv_egress_label = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel()
                            self.resv_egress_label.parent = self
                            self.resv_ingress_label = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel()
                            self.resv_ingress_label.parent = self


                        class PathIngressLabel(object):
                            """
                            Path message (upstream) ingress label
                            
                            .. attribute:: label_type
                            
                            	LabelType
                            	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                            
                            .. attribute:: otn
                            
                            	Fixed\-size G09 OTN label
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Otn>`
                            
                            .. attribute:: wdm
                            
                            	Fixed\-grid WDM label
                            	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.label_type = None
                                self.otn = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Otn()
                                self.otn.parent = self
                                self.wdm = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                self.wdm.parent = self


                            class Wdm(object):
                                """
                                Fixed\-grid WDM label
                                
                                .. attribute:: channel
                                
                                	Channel Number
                                	**type**\:  int
                                
                                	**range:** \-32768..32767
                                
                                .. attribute:: channel_spacing
                                
                                	Channel spacing
                                	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                
                                .. attribute:: grid
                                
                                	Grid
                                	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                
                                .. attribute:: identifier
                                
                                	Identifier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: label_set
                                
                                	Flag to indicate whether label is set
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.channel = None
                                    self.channel_spacing = None
                                    self.grid = None
                                    self.identifier = None
                                    self.label_set = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.channel is not None:
                                        return True

                                    if self.channel_spacing is not None:
                                        return True

                                    if self.grid is not None:
                                        return True

                                    if self.identifier is not None:
                                        return True

                                    if self.label_set is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                            class Otn(object):
                                """
                                Fixed\-size G09 OTN label
                                
                                .. attribute:: bit_map
                                
                                	Bit Map
                                	**type**\:  list of int
                                
                                	**range:** 0..255
                                
                                .. attribute:: bit_map_length
                                
                                	Bit map length
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: tpn
                                
                                	Tributary time slot
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_map = YLeafList()
                                    self.bit_map.parent = self
                                    self.bit_map.name = 'bit_map'
                                    self.bit_map_length = None
                                    self.tpn = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_map is not None:
                                        for child in self.bit_map:
                                            if child is not None:
                                                return True

                                    if self.bit_map_length is not None:
                                        return True

                                    if self.tpn is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.label_type is not None:
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                if self.wdm is not None and self.wdm._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                        class PathEgressLabel(object):
                            """
                            Path message (upstream) egress label
                            
                            .. attribute:: label_type
                            
                            	LabelType
                            	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                            
                            .. attribute:: otn
                            
                            	Fixed\-size G09 OTN label
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Otn>`
                            
                            .. attribute:: wdm
                            
                            	Fixed\-grid WDM label
                            	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.label_type = None
                                self.otn = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Otn()
                                self.otn.parent = self
                                self.wdm = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                self.wdm.parent = self


                            class Wdm(object):
                                """
                                Fixed\-grid WDM label
                                
                                .. attribute:: channel
                                
                                	Channel Number
                                	**type**\:  int
                                
                                	**range:** \-32768..32767
                                
                                .. attribute:: channel_spacing
                                
                                	Channel spacing
                                	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                
                                .. attribute:: grid
                                
                                	Grid
                                	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                
                                .. attribute:: identifier
                                
                                	Identifier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: label_set
                                
                                	Flag to indicate whether label is set
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.channel = None
                                    self.channel_spacing = None
                                    self.grid = None
                                    self.identifier = None
                                    self.label_set = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.channel is not None:
                                        return True

                                    if self.channel_spacing is not None:
                                        return True

                                    if self.grid is not None:
                                        return True

                                    if self.identifier is not None:
                                        return True

                                    if self.label_set is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                            class Otn(object):
                                """
                                Fixed\-size G09 OTN label
                                
                                .. attribute:: bit_map
                                
                                	Bit Map
                                	**type**\:  list of int
                                
                                	**range:** 0..255
                                
                                .. attribute:: bit_map_length
                                
                                	Bit map length
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: tpn
                                
                                	Tributary time slot
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_map = YLeafList()
                                    self.bit_map.parent = self
                                    self.bit_map.name = 'bit_map'
                                    self.bit_map_length = None
                                    self.tpn = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_map is not None:
                                        for child in self.bit_map:
                                            if child is not None:
                                                return True

                                    if self.bit_map_length is not None:
                                        return True

                                    if self.tpn is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.label_type is not None:
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                if self.wdm is not None and self.wdm._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                        class ResvIngressLabel(object):
                            """
                            Resv message (downstream) ingress label
                            
                            .. attribute:: label_type
                            
                            	LabelType
                            	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                            
                            .. attribute:: otn
                            
                            	Fixed\-size G09 OTN label
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                            
                            .. attribute:: wdm
                            
                            	Fixed\-grid WDM label
                            	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.label_type = None
                                self.otn = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                self.otn.parent = self
                                self.wdm = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                self.wdm.parent = self


                            class Wdm(object):
                                """
                                Fixed\-grid WDM label
                                
                                .. attribute:: channel
                                
                                	Channel Number
                                	**type**\:  int
                                
                                	**range:** \-32768..32767
                                
                                .. attribute:: channel_spacing
                                
                                	Channel spacing
                                	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                
                                .. attribute:: grid
                                
                                	Grid
                                	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                
                                .. attribute:: identifier
                                
                                	Identifier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: label_set
                                
                                	Flag to indicate whether label is set
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.channel = None
                                    self.channel_spacing = None
                                    self.grid = None
                                    self.identifier = None
                                    self.label_set = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.channel is not None:
                                        return True

                                    if self.channel_spacing is not None:
                                        return True

                                    if self.grid is not None:
                                        return True

                                    if self.identifier is not None:
                                        return True

                                    if self.label_set is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                            class Otn(object):
                                """
                                Fixed\-size G09 OTN label
                                
                                .. attribute:: bit_map
                                
                                	Bit Map
                                	**type**\:  list of int
                                
                                	**range:** 0..255
                                
                                .. attribute:: bit_map_length
                                
                                	Bit map length
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: tpn
                                
                                	Tributary time slot
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_map = YLeafList()
                                    self.bit_map.parent = self
                                    self.bit_map.name = 'bit_map'
                                    self.bit_map_length = None
                                    self.tpn = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_map is not None:
                                        for child in self.bit_map:
                                            if child is not None:
                                                return True

                                    if self.bit_map_length is not None:
                                        return True

                                    if self.tpn is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.label_type is not None:
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                if self.wdm is not None and self.wdm._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                        class ResvEgressLabel(object):
                            """
                            Resv message (downstream) egress label
                            
                            .. attribute:: label_type
                            
                            	LabelType
                            	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                            
                            .. attribute:: otn
                            
                            	Fixed\-size G09 OTN label
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                            
                            .. attribute:: wdm
                            
                            	Fixed\-grid WDM label
                            	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.label_type = None
                                self.otn = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                self.otn.parent = self
                                self.wdm = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                self.wdm.parent = self


                            class Wdm(object):
                                """
                                Fixed\-grid WDM label
                                
                                .. attribute:: channel
                                
                                	Channel Number
                                	**type**\:  int
                                
                                	**range:** \-32768..32767
                                
                                .. attribute:: channel_spacing
                                
                                	Channel spacing
                                	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                
                                .. attribute:: grid
                                
                                	Grid
                                	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                
                                .. attribute:: identifier
                                
                                	Identifier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: label_set
                                
                                	Flag to indicate whether label is set
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.channel = None
                                    self.channel_spacing = None
                                    self.grid = None
                                    self.identifier = None
                                    self.label_set = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.channel is not None:
                                        return True

                                    if self.channel_spacing is not None:
                                        return True

                                    if self.grid is not None:
                                        return True

                                    if self.identifier is not None:
                                        return True

                                    if self.label_set is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                            class Otn(object):
                                """
                                Fixed\-size G09 OTN label
                                
                                .. attribute:: bit_map
                                
                                	Bit Map
                                	**type**\:  list of int
                                
                                	**range:** 0..255
                                
                                .. attribute:: bit_map_length
                                
                                	Bit map length
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: tpn
                                
                                	Tributary time slot
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_map = YLeafList()
                                    self.bit_map.parent = self
                                    self.bit_map.name = 'bit_map'
                                    self.bit_map_length = None
                                    self.tpn = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_map is not None:
                                        for child in self.bit_map:
                                            if child is not None:
                                                return True

                                    if self.bit_map_length is not None:
                                        return True

                                    if self.tpn is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.label_type is not None:
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                if self.wdm is not None and self.wdm._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.path_egress_label is not None and self.path_egress_label._has_data():
                                return True

                            if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                return True

                            if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                return True

                            if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels']['meta_info']


                    class OtnS2L(object):
                        """
                        Otn S2L Information
                        
                        .. attribute:: aps
                        
                        	APS Info for OTN S2L
                        	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps>`
                        
                        .. attribute:: otn
                        
                        	Info Related to OTN technology in S2L
                        	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.aps = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps()
                            self.aps.parent = self
                            self.otn = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn()
                            self.otn.parent = self


                        class Otn(object):
                            """
                            Info Related to OTN technology in S2L
                            
                            .. attribute:: bandwidth
                            
                            	OTN Bandwidth for s2l
                            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth>`
                            
                            .. attribute:: cross_connect_id
                            
                            	Cross connect id
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: gpid
                            
                            	Gpid Payload
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: incoming_controller
                            
                            	Incoming Controller
                            	**type**\:  str
                            
                            .. attribute:: incoming_controller_ifhandle
                            
                            	Incoming Controller Ifhandle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: incoming_controller_state
                            
                            	State of Incoming Controller
                            	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                            
                            .. attribute:: incoming_sub_controller
                            
                            	Incoming Sub Controller
                            	**type**\:  str
                            
                            .. attribute:: incoming_sub_controller_ifhandle
                            
                            	Incoming Sub Controller Ifhandle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: incoming_sub_controller_state
                            
                            	State of Incoming Sub Controller
                            	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                            
                            .. attribute:: is_connected
                            
                            	True if subcontrollers are connected
                            	**type**\:  bool
                            
                            .. attribute:: labels
                            
                            	Labels
                            	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels>`
                            
                            .. attribute:: outgoing_controller
                            
                            	Outgoing Controller
                            	**type**\:  str
                            
                            .. attribute:: outgoing_controller_ifhandle
                            
                            	Outgoing Controller Ifhandle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: outgoing_controller_state
                            
                            	State of Outgoing Controller
                            	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                            
                            .. attribute:: outgoing_sub_controller
                            
                            	Outgoing Sub Controller
                            	**type**\:  str
                            
                            .. attribute:: outgoing_sub_controller_ifhandle
                            
                            	Outgoing Sub Controller Ifhandle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: outgoing_sub_controller_state
                            
                            	State of Outgoing Sub Controller
                            	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                            
                            .. attribute:: uptime
                            
                            	XC Uptime
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bandwidth = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth()
                                self.bandwidth.parent = self
                                self.cross_connect_id = None
                                self.gpid = None
                                self.incoming_controller = None
                                self.incoming_controller_ifhandle = None
                                self.incoming_controller_state = None
                                self.incoming_sub_controller = None
                                self.incoming_sub_controller_ifhandle = None
                                self.incoming_sub_controller_state = None
                                self.is_connected = None
                                self.labels = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels()
                                self.labels.parent = self
                                self.outgoing_controller = None
                                self.outgoing_controller_ifhandle = None
                                self.outgoing_controller_state = None
                                self.outgoing_sub_controller = None
                                self.outgoing_sub_controller_ifhandle = None
                                self.outgoing_sub_controller_state = None
                                self.uptime = None


                            class Bandwidth(object):
                                """
                                OTN Bandwidth for s2l
                                
                                .. attribute:: odu_flex_cbr
                                
                                	Odu flex CBR info
                                	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                
                                .. attribute:: odu_flex_gfp_f_non_res
                                
                                	Odu flex GFP\-F non\-resizable info
                                	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                
                                .. attribute:: odu_flex_gfp_f_res
                                
                                	Odu flex GFP\-F resizable info
                                	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                
                                .. attribute:: odu_level
                                
                                	ODULevel
                                	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.odu_flex_cbr = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                    self.odu_flex_cbr.parent = self
                                    self.odu_flex_gfp_f_non_res = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                    self.odu_flex_gfp_f_non_res.parent = self
                                    self.odu_flex_gfp_f_res = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                    self.odu_flex_gfp_f_res.parent = self
                                    self.odu_level = None


                                class OduFlexCbr(object):
                                    """
                                    Odu flex CBR info
                                    
                                    .. attribute:: bit_rate
                                    
                                    	Bit rate in kbit/s
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tolerance
                                    
                                    	Tolerance
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_rate = None
                                        self.tolerance = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_rate is not None:
                                            return True

                                        if self.tolerance is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                class OduFlexGfpFRes(object):
                                    """
                                    Odu flex GFP\-F resizable info
                                    
                                    .. attribute:: bit_rate
                                    
                                    	Bit rate in kbit/s
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_rate = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_rate is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                class OduFlexGfpFNonRes(object):
                                    """
                                    Odu flex GFP\-F non\-resizable info
                                    
                                    .. attribute:: bit_rate
                                    
                                    	Bit rate in kbit/s
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_rate = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_rate is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                        return True

                                    if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                        return True

                                    if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                        return True

                                    if self.odu_level is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                            class Labels(object):
                                """
                                Labels
                                
                                .. attribute:: path_egress_label
                                
                                	Path message (upstream) egress label
                                	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                
                                .. attribute:: path_ingress_label
                                
                                	Path message (upstream) ingress label
                                	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                
                                .. attribute:: resv_egress_label
                                
                                	Resv message (downstream) egress label
                                	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                
                                .. attribute:: resv_ingress_label
                                
                                	Resv message (downstream) ingress label
                                	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.path_egress_label = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                    self.path_egress_label.parent = self
                                    self.path_ingress_label = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                    self.path_ingress_label.parent = self
                                    self.resv_egress_label = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                    self.resv_egress_label.parent = self
                                    self.resv_ingress_label = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                    self.resv_ingress_label.parent = self


                                class PathIngressLabel(object):
                                    """
                                    Path message (upstream) ingress label
                                    
                                    .. attribute:: label_type
                                    
                                    	LabelType
                                    	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                    
                                    .. attribute:: otn
                                    
                                    	Fixed\-size G09 OTN label
                                    	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                    
                                    .. attribute:: wdm
                                    
                                    	Fixed\-grid WDM label
                                    	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.label_type = None
                                        self.otn = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                        self.otn.parent = self
                                        self.wdm = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                        self.wdm.parent = self


                                    class Wdm(object):
                                        """
                                        Fixed\-grid WDM label
                                        
                                        .. attribute:: channel
                                        
                                        	Channel Number
                                        	**type**\:  int
                                        
                                        	**range:** \-32768..32767
                                        
                                        .. attribute:: channel_spacing
                                        
                                        	Channel spacing
                                        	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                        
                                        .. attribute:: grid
                                        
                                        	Grid
                                        	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                        
                                        .. attribute:: identifier
                                        
                                        	Identifier
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: label_set
                                        
                                        	Flag to indicate whether label is set
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.channel = None
                                            self.channel_spacing = None
                                            self.grid = None
                                            self.identifier = None
                                            self.label_set = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.channel is not None:
                                                return True

                                            if self.channel_spacing is not None:
                                                return True

                                            if self.grid is not None:
                                                return True

                                            if self.identifier is not None:
                                                return True

                                            if self.label_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                    class Otn_(object):
                                        """
                                        Fixed\-size G09 OTN label
                                        
                                        .. attribute:: bit_map
                                        
                                        	Bit Map
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: bit_map_length
                                        
                                        	Bit map length
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: tpn
                                        
                                        	Tributary time slot
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_map = YLeafList()
                                            self.bit_map.parent = self
                                            self.bit_map.name = 'bit_map'
                                            self.bit_map_length = None
                                            self.tpn = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_map is not None:
                                                for child in self.bit_map:
                                                    if child is not None:
                                                        return True

                                            if self.bit_map_length is not None:
                                                return True

                                            if self.tpn is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.label_type is not None:
                                            return True

                                        if self.otn is not None and self.otn._has_data():
                                            return True

                                        if self.wdm is not None and self.wdm._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                class PathEgressLabel(object):
                                    """
                                    Path message (upstream) egress label
                                    
                                    .. attribute:: label_type
                                    
                                    	LabelType
                                    	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                    
                                    .. attribute:: otn
                                    
                                    	Fixed\-size G09 OTN label
                                    	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                    
                                    .. attribute:: wdm
                                    
                                    	Fixed\-grid WDM label
                                    	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.label_type = None
                                        self.otn = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                        self.otn.parent = self
                                        self.wdm = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                        self.wdm.parent = self


                                    class Wdm(object):
                                        """
                                        Fixed\-grid WDM label
                                        
                                        .. attribute:: channel
                                        
                                        	Channel Number
                                        	**type**\:  int
                                        
                                        	**range:** \-32768..32767
                                        
                                        .. attribute:: channel_spacing
                                        
                                        	Channel spacing
                                        	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                        
                                        .. attribute:: grid
                                        
                                        	Grid
                                        	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                        
                                        .. attribute:: identifier
                                        
                                        	Identifier
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: label_set
                                        
                                        	Flag to indicate whether label is set
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.channel = None
                                            self.channel_spacing = None
                                            self.grid = None
                                            self.identifier = None
                                            self.label_set = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.channel is not None:
                                                return True

                                            if self.channel_spacing is not None:
                                                return True

                                            if self.grid is not None:
                                                return True

                                            if self.identifier is not None:
                                                return True

                                            if self.label_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                    class Otn_(object):
                                        """
                                        Fixed\-size G09 OTN label
                                        
                                        .. attribute:: bit_map
                                        
                                        	Bit Map
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: bit_map_length
                                        
                                        	Bit map length
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: tpn
                                        
                                        	Tributary time slot
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_map = YLeafList()
                                            self.bit_map.parent = self
                                            self.bit_map.name = 'bit_map'
                                            self.bit_map_length = None
                                            self.tpn = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_map is not None:
                                                for child in self.bit_map:
                                                    if child is not None:
                                                        return True

                                            if self.bit_map_length is not None:
                                                return True

                                            if self.tpn is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.label_type is not None:
                                            return True

                                        if self.otn is not None and self.otn._has_data():
                                            return True

                                        if self.wdm is not None and self.wdm._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                class ResvIngressLabel(object):
                                    """
                                    Resv message (downstream) ingress label
                                    
                                    .. attribute:: label_type
                                    
                                    	LabelType
                                    	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                    
                                    .. attribute:: otn
                                    
                                    	Fixed\-size G09 OTN label
                                    	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                    
                                    .. attribute:: wdm
                                    
                                    	Fixed\-grid WDM label
                                    	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.label_type = None
                                        self.otn = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                        self.otn.parent = self
                                        self.wdm = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                        self.wdm.parent = self


                                    class Wdm(object):
                                        """
                                        Fixed\-grid WDM label
                                        
                                        .. attribute:: channel
                                        
                                        	Channel Number
                                        	**type**\:  int
                                        
                                        	**range:** \-32768..32767
                                        
                                        .. attribute:: channel_spacing
                                        
                                        	Channel spacing
                                        	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                        
                                        .. attribute:: grid
                                        
                                        	Grid
                                        	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                        
                                        .. attribute:: identifier
                                        
                                        	Identifier
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: label_set
                                        
                                        	Flag to indicate whether label is set
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.channel = None
                                            self.channel_spacing = None
                                            self.grid = None
                                            self.identifier = None
                                            self.label_set = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.channel is not None:
                                                return True

                                            if self.channel_spacing is not None:
                                                return True

                                            if self.grid is not None:
                                                return True

                                            if self.identifier is not None:
                                                return True

                                            if self.label_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                    class Otn_(object):
                                        """
                                        Fixed\-size G09 OTN label
                                        
                                        .. attribute:: bit_map
                                        
                                        	Bit Map
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: bit_map_length
                                        
                                        	Bit map length
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: tpn
                                        
                                        	Tributary time slot
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_map = YLeafList()
                                            self.bit_map.parent = self
                                            self.bit_map.name = 'bit_map'
                                            self.bit_map_length = None
                                            self.tpn = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_map is not None:
                                                for child in self.bit_map:
                                                    if child is not None:
                                                        return True

                                            if self.bit_map_length is not None:
                                                return True

                                            if self.tpn is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.label_type is not None:
                                            return True

                                        if self.otn is not None and self.otn._has_data():
                                            return True

                                        if self.wdm is not None and self.wdm._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                class ResvEgressLabel(object):
                                    """
                                    Resv message (downstream) egress label
                                    
                                    .. attribute:: label_type
                                    
                                    	LabelType
                                    	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                    
                                    .. attribute:: otn
                                    
                                    	Fixed\-size G09 OTN label
                                    	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                    
                                    .. attribute:: wdm
                                    
                                    	Fixed\-grid WDM label
                                    	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.label_type = None
                                        self.otn = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                        self.otn.parent = self
                                        self.wdm = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                        self.wdm.parent = self


                                    class Wdm(object):
                                        """
                                        Fixed\-grid WDM label
                                        
                                        .. attribute:: channel
                                        
                                        	Channel Number
                                        	**type**\:  int
                                        
                                        	**range:** \-32768..32767
                                        
                                        .. attribute:: channel_spacing
                                        
                                        	Channel spacing
                                        	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                        
                                        .. attribute:: grid
                                        
                                        	Grid
                                        	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                        
                                        .. attribute:: identifier
                                        
                                        	Identifier
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: label_set
                                        
                                        	Flag to indicate whether label is set
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.channel = None
                                            self.channel_spacing = None
                                            self.grid = None
                                            self.identifier = None
                                            self.label_set = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.channel is not None:
                                                return True

                                            if self.channel_spacing is not None:
                                                return True

                                            if self.grid is not None:
                                                return True

                                            if self.identifier is not None:
                                                return True

                                            if self.label_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                    class Otn_(object):
                                        """
                                        Fixed\-size G09 OTN label
                                        
                                        .. attribute:: bit_map
                                        
                                        	Bit Map
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: bit_map_length
                                        
                                        	Bit map length
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: tpn
                                        
                                        	Tributary time slot
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_map = YLeafList()
                                            self.bit_map.parent = self
                                            self.bit_map.name = 'bit_map'
                                            self.bit_map_length = None
                                            self.tpn = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_map is not None:
                                                for child in self.bit_map:
                                                    if child is not None:
                                                        return True

                                            if self.bit_map_length is not None:
                                                return True

                                            if self.tpn is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.label_type is not None:
                                            return True

                                        if self.otn is not None and self.otn._has_data():
                                            return True

                                        if self.wdm is not None and self.wdm._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.path_egress_label is not None and self.path_egress_label._has_data():
                                        return True

                                    if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                        return True

                                    if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                        return True

                                    if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bandwidth is not None and self.bandwidth._has_data():
                                    return True

                                if self.cross_connect_id is not None:
                                    return True

                                if self.gpid is not None:
                                    return True

                                if self.incoming_controller is not None:
                                    return True

                                if self.incoming_controller_ifhandle is not None:
                                    return True

                                if self.incoming_controller_state is not None:
                                    return True

                                if self.incoming_sub_controller is not None:
                                    return True

                                if self.incoming_sub_controller_ifhandle is not None:
                                    return True

                                if self.incoming_sub_controller_state is not None:
                                    return True

                                if self.is_connected is not None:
                                    return True

                                if self.labels is not None and self.labels._has_data():
                                    return True

                                if self.outgoing_controller is not None:
                                    return True

                                if self.outgoing_controller_ifhandle is not None:
                                    return True

                                if self.outgoing_controller_state is not None:
                                    return True

                                if self.outgoing_sub_controller is not None:
                                    return True

                                if self.outgoing_sub_controller_ifhandle is not None:
                                    return True

                                if self.outgoing_sub_controller_state is not None:
                                    return True

                                if self.uptime is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn']['meta_info']


                        class Aps(object):
                            """
                            APS Info for OTN S2L
                            
                            .. attribute:: protection_info
                            
                            	Protection Info
                            	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps.ProtectionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.protection_info = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps.ProtectionInfo()
                                self.protection_info.parent = self


                            class ProtectionInfo(object):
                                """
                                Protection Info
                                
                                .. attribute:: ho_timeout
                                
                                	Hold\-Off timeout
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: is_hopresent
                                
                                	Is Hold\-Off timeout present
                                	**type**\:  bool
                                
                                .. attribute:: is_snc_mode_present
                                
                                	Is SNC mode present
                                	**type**\:  bool
                                
                                .. attribute:: is_wtr_present
                                
                                	Is Wait\-to\-Restore timeout present
                                	**type**\:  bool
                                
                                .. attribute:: nbit
                                
                                	Notification bit 
                                	**type**\:  bool
                                
                                .. attribute:: obit
                                
                                	Operational bit
                                	**type**\:  bool
                                
                                .. attribute:: path_prot_profile_type
                                
                                	Path protection profile type
                                	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                
                                .. attribute:: pbit
                                
                                	Protecting bit
                                	**type**\:  bool
                                
                                .. attribute:: protect_type
                                
                                	LSP Protect Type
                                	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                
                                .. attribute:: sbit
                                
                                	Secondary bit
                                	**type**\:  bool
                                
                                .. attribute:: snc_mode
                                
                                	SNC mode
                                	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                
                                .. attribute:: tcm_id
                                
                                	TCM ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: wtr_timeout
                                
                                	Wait\-to\-Restore timeout
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ho_timeout = None
                                    self.is_hopresent = None
                                    self.is_snc_mode_present = None
                                    self.is_wtr_present = None
                                    self.nbit = None
                                    self.obit = None
                                    self.path_prot_profile_type = None
                                    self.pbit = None
                                    self.protect_type = None
                                    self.sbit = None
                                    self.snc_mode = None
                                    self.tcm_id = None
                                    self.wtr_timeout = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ho_timeout is not None:
                                        return True

                                    if self.is_hopresent is not None:
                                        return True

                                    if self.is_snc_mode_present is not None:
                                        return True

                                    if self.is_wtr_present is not None:
                                        return True

                                    if self.nbit is not None:
                                        return True

                                    if self.obit is not None:
                                        return True

                                    if self.path_prot_profile_type is not None:
                                        return True

                                    if self.pbit is not None:
                                        return True

                                    if self.protect_type is not None:
                                        return True

                                    if self.sbit is not None:
                                        return True

                                    if self.snc_mode is not None:
                                        return True

                                    if self.tcm_id is not None:
                                        return True

                                    if self.wtr_timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.protection_info is not None and self.protection_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.aps is not None and self.aps._has_data():
                                return True

                            if self.otn is not None and self.otn._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L']['meta_info']


                    class HeadEndBfdInfo(object):
                        """
                        The Head\-end BFD info
                        
                        .. attribute:: bfd_reverse_path_label
                        
                        	BFD reverse path labels
                        	**type**\:  list of int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bfd_reverse_path_stale
                        
                        	The BFD reverse path is stale compared to configuration
                        	**type**\:  bool
                        
                        .. attribute:: creation_time
                        
                        	Time in seconds since the BFD session created
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: deletion_history
                        
                        	BFD Session Deletion History
                        	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.DeletionHistory>`
                        
                        .. attribute:: is_redundant
                        
                        	sBFD session is redundant
                        	**type**\:  bool
                        
                        .. attribute:: lspbfd_type
                        
                        	LSP BFD type
                        	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                        
                        .. attribute:: session_info
                        
                        	BFD Session Info
                        	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.SessionInfo>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bfd_reverse_path_label = YLeafList()
                            self.bfd_reverse_path_label.parent = self
                            self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                            self.bfd_reverse_path_stale = None
                            self.creation_time = None
                            self.deletion_history = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.DeletionHistory()
                            self.deletion_history.parent = self
                            self.is_redundant = None
                            self.lspbfd_type = None
                            self.session_info = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.SessionInfo()
                            self.session_info.parent = self


                        class SessionInfo(object):
                            """
                            BFD Session Info
                            
                            .. attribute:: state
                            
                            	BFD session state
                            	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                            
                            .. attribute:: state_change_time
                            
                            	Time in seconds since the last session state change
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.state = None
                                self.state_change_time = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.state is not None:
                                    return True

                                if self.state_change_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                        class DeletionHistory(object):
                            """
                            BFD Session Deletion History
                            
                            .. attribute:: deletion_diagnostic_code
                            
                            	Diagnostic Code for the BFD session get deleted
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: deletion_reason
                            
                            	Reason for the BFD session get deleted
                            	**type**\:  str
                            
                            .. attribute:: deletion_time
                            
                            	Time stamp of the BFD session get deleted
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_id
                            
                            	LSP ID of the BFD session get deleted
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.deletion_diagnostic_code = None
                                self.deletion_reason = None
                                self.deletion_time = None
                                self.lsp_id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.deletion_diagnostic_code is not None:
                                    return True

                                if self.deletion_reason is not None:
                                    return True

                                if self.deletion_time is not None:
                                    return True

                                if self.lsp_id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bfd_reverse_path_label is not None:
                                for child in self.bfd_reverse_path_label:
                                    if child is not None:
                                        return True

                            if self.bfd_reverse_path_stale is not None:
                                return True

                            if self.creation_time is not None:
                                return True

                            if self.deletion_history is not None and self.deletion_history._has_data():
                                return True

                            if self.is_redundant is not None:
                                return True

                            if self.lspbfd_type is not None:
                                return True

                            if self.session_info is not None and self.session_info._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo']['meta_info']


                    class TailEndBfdInfo(object):
                        """
                        The Tail\-end BFD info
                        
                        .. attribute:: failure_diagnostic_code
                        
                        	BFD session failure diagnostic code
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: failure_reason
                        
                        	BFD session failure reason
                        	**type**\:  str
                        
                        .. attribute:: local_discriminator
                        
                        	BFD Local Discriminator
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: min_interval
                        
                        	Hello interval in mini second
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: min_interval_default
                        
                        	Is default hello interval
                        	**type**\:  bool
                        
                        .. attribute:: multiplier
                        
                        	Multiplier
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: multiplier_default
                        
                        	Is default multiplier
                        	**type**\:  bool
                        
                        .. attribute:: remote_discriminator
                        
                        	BFD Remote Discrminator
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_info
                        
                        	BFD Session Info
                        	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo.SessionInfo>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.failure_diagnostic_code = None
                            self.failure_reason = None
                            self.local_discriminator = None
                            self.min_interval = None
                            self.min_interval_default = None
                            self.multiplier = None
                            self.multiplier_default = None
                            self.remote_discriminator = None
                            self.session_info = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo.SessionInfo()
                            self.session_info.parent = self


                        class SessionInfo(object):
                            """
                            BFD Session Info
                            
                            .. attribute:: state
                            
                            	BFD session state
                            	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                            
                            .. attribute:: state_change_time
                            
                            	Time in seconds since the last session state change
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.state = None
                                self.state_change_time = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.state is not None:
                                    return True

                                if self.state_change_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.failure_diagnostic_code is not None:
                                return True

                            if self.failure_reason is not None:
                                return True

                            if self.local_discriminator is not None:
                                return True

                            if self.min_interval is not None:
                                return True

                            if self.min_interval_default is not None:
                                return True

                            if self.multiplier is not None:
                                return True

                            if self.multiplier_default is not None:
                                return True

                            if self.remote_discriminator is not None:
                                return True

                            if self.session_info is not None and self.session_info._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo']['meta_info']


                    class SrlgCollection(object):
                        """
                        SRLG\-collection data
                        
                        .. attribute:: discovered_srlg
                        
                        	Discovered SRLGs
                        	**type**\:  list of int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: srlg_collect_type
                        
                        	SRLG\-collection mechanism
                        	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.discovered_srlg = YLeafList()
                            self.discovered_srlg.parent = self
                            self.discovered_srlg.name = 'discovered_srlg'
                            self.srlg_collect_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.discovered_srlg is not None:
                                for child in self.discovered_srlg:
                                    if child is not None:
                                        return True

                            if self.srlg_collect_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SrlgCollection']['meta_info']


                    class Association(object):
                        """
                        Association Object
                        
                        .. attribute:: s2l_association_id
                        
                        	S2L Association ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_association_source
                        
                        	S2L Association Source
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: s2l_association_tie_role
                        
                        	S2L Association Tie Role
                        	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                        
                        .. attribute:: s2l_association_type
                        
                        	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_extended_id
                        
                        	S2L Extended ID Array
                        	**type**\:  list of int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_global_source
                        
                        	S2L Global Source
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.s2l_association_id = None
                            self.s2l_association_source = None
                            self.s2l_association_tie_role = None
                            self.s2l_association_type = None
                            self.s2l_extended_id = YLeafList()
                            self.s2l_extended_id.parent = self
                            self.s2l_extended_id.name = 's2l_extended_id'
                            self.s2l_global_source = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.s2l_association_id is not None:
                                return True

                            if self.s2l_association_source is not None:
                                return True

                            if self.s2l_association_tie_role is not None:
                                return True

                            if self.s2l_association_type is not None:
                                return True

                            if self.s2l_extended_id is not None:
                                for child in self.s2l_extended_id:
                                    if child is not None:
                                        return True

                            if self.s2l_global_source is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Association']['meta_info']


                    class Protection(object):
                        """
                        Protection Object
                        
                        .. attribute:: any
                        
                        	Any
                        	**type**\:  bool
                        
                        .. attribute:: ded1_plus1
                        
                        	Dedicated 1+1 Protection
                        	**type**\:  bool
                        
                        .. attribute:: ded1_to1
                        
                        	Dedicated 1\:1 Protection
                        	**type**\:  bool
                        
                        .. attribute:: enhanced
                        
                        	Indicates Enhanced Protection Scheme
                        	**type**\:  bool
                        
                        .. attribute:: extra_traffic
                        
                        	LSP should use Links that are protecting other (primary) traffic
                        	**type**\:  bool
                        
                        .. attribute:: link_unprotected
                        
                        	LSP should not use any Link Layer Protection
                        	**type**\:  bool
                        
                        .. attribute:: lsp_unprotected
                        
                        	LSP Flags Unprotected
                        	**type**\:  bool
                        
                        .. attribute:: one_plus_one_bi
                        
                        	1+1 Bidirectional Protection
                        	**type**\:  bool
                        
                        .. attribute:: one_plus_one_uni
                        
                        	1+1 Unidirectional Protection
                        	**type**\:  bool
                        
                        .. attribute:: one_to_n_protection_et
                        
                        	1\:N Protection with Extra\-Traffic
                        	**type**\:  bool
                        
                        .. attribute:: rerouting
                        
                        	Full Rerouting
                        	**type**\:  bool
                        
                        .. attribute:: rerouting_no_et
                        
                        	Rerouting Without Extra\-Traffic
                        	**type**\:  bool
                        
                        .. attribute:: s2l_notification
                        
                        	 S2L Protection Notification Bit
                        	**type**\:  bool
                        
                        .. attribute:: s2l_operational
                        
                        	 S2L Protection Operational Bit
                        	**type**\:  bool
                        
                        .. attribute:: s2l_protecting
                        
                        	 S2L Protection Protecting Bit
                        	**type**\:  bool
                        
                        .. attribute:: s2l_secondary
                        
                        	 S2L Protection Secondary Bit
                        	**type**\:  bool
                        
                        .. attribute:: shared
                        
                        	Shared Link Layer Protection
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.any = None
                            self.ded1_plus1 = None
                            self.ded1_to1 = None
                            self.enhanced = None
                            self.extra_traffic = None
                            self.link_unprotected = None
                            self.lsp_unprotected = None
                            self.one_plus_one_bi = None
                            self.one_plus_one_uni = None
                            self.one_to_n_protection_et = None
                            self.rerouting = None
                            self.rerouting_no_et = None
                            self.s2l_notification = None
                            self.s2l_operational = None
                            self.s2l_protecting = None
                            self.s2l_secondary = None
                            self.shared = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.any is not None:
                                return True

                            if self.ded1_plus1 is not None:
                                return True

                            if self.ded1_to1 is not None:
                                return True

                            if self.enhanced is not None:
                                return True

                            if self.extra_traffic is not None:
                                return True

                            if self.link_unprotected is not None:
                                return True

                            if self.lsp_unprotected is not None:
                                return True

                            if self.one_plus_one_bi is not None:
                                return True

                            if self.one_plus_one_uni is not None:
                                return True

                            if self.one_to_n_protection_et is not None:
                                return True

                            if self.rerouting is not None:
                                return True

                            if self.rerouting_no_et is not None:
                                return True

                            if self.s2l_notification is not None:
                                return True

                            if self.s2l_operational is not None:
                                return True

                            if self.s2l_protecting is not None:
                                return True

                            if self.s2l_secondary is not None:
                                return True

                            if self.shared is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Protection']['meta_info']


                    class ReverseLspFec(object):
                        """
                        Reverse Associated Bidir LSP FEC
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec']['meta_info']


                    class ReverseTspec(object):
                        """
                        The Reverse T spec info
                        
                        .. attribute:: average_rate
                        
                        	Average bandwidth in  kbps
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: maximum_burst
                        
                        	Maximum burst of data in bytes
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: byte
                        
                        .. attribute:: peak_rate
                        
                        	Peak rate in  kbps
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.average_rate = None
                            self.maximum_burst = None
                            self.peak_rate = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.average_rate is not None:
                                return True

                            if self.maximum_burst is not None:
                                return True

                            if self.peak_rate is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseTspec']['meta_info']


                    class FlexInfo(object):
                        """
                        FlexLSP S2L Information
                        
                        .. attribute:: bfd_created
                        
                        	GAL BFD Session Created
                        	**type**\:  bool
                        
                        .. attribute:: bfd_egress_label
                        
                        	BFD Egress Label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bfd_int_label
                        
                        	BFD Internal Label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bfd_next_hop
                        
                        	BFD Next Hop
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: bfd_out_ifh
                        
                        	BFD Out Interface Handle
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: bfd_tun_ifh
                        
                        	BFD Tunnel Interface Handle
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: bfd_up
                        
                        	GAL BFD Session Up
                        	**type**\:  bool
                        
                        .. attribute:: entry_exists
                        
                        	FlexLSP Entry Exists
                        	**type**\:  bool
                        
                        .. attribute:: fault_ais
                        
                        	Fault AIS
                        	**type**\:  bool
                        
                        .. attribute:: fault_ldi
                        
                        	Fault LDI
                        	**type**\:  bool
                        
                        .. attribute:: fault_ldi_lockout
                        
                        	Fault LDI Lockout
                        	**type**\:  bool
                        
                        .. attribute:: fault_lkr
                        
                        	Fault LKR
                        	**type**\:  bool
                        
                        .. attribute:: fault_time
                        
                        	Fault Time
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: flex_fec
                        
                        	FEC for the FlexLSP Entry
                        	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo.FlexFec>`
                        
                        .. attribute:: in_label
                        
                        	In Label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: oam_created
                        
                        	OAM Entry Created
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bfd_created = None
                            self.bfd_egress_label = None
                            self.bfd_int_label = None
                            self.bfd_next_hop = None
                            self.bfd_out_ifh = None
                            self.bfd_tun_ifh = None
                            self.bfd_up = None
                            self.entry_exists = None
                            self.fault_ais = None
                            self.fault_ldi = None
                            self.fault_ldi_lockout = None
                            self.fault_lkr = None
                            self.fault_time = None
                            self.flex_fec = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo.FlexFec()
                            self.flex_fec.parent = self
                            self.in_label = None
                            self.oam_created = None


                        class FlexFec(object):
                            """
                            FEC for the FlexLSP Entry
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo.FlexFec']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bfd_created is not None:
                                return True

                            if self.bfd_egress_label is not None:
                                return True

                            if self.bfd_int_label is not None:
                                return True

                            if self.bfd_next_hop is not None:
                                return True

                            if self.bfd_out_ifh is not None:
                                return True

                            if self.bfd_tun_ifh is not None:
                                return True

                            if self.bfd_up is not None:
                                return True

                            if self.entry_exists is not None:
                                return True

                            if self.fault_ais is not None:
                                return True

                            if self.fault_ldi is not None:
                                return True

                            if self.fault_ldi_lockout is not None:
                                return True

                            if self.fault_lkr is not None:
                                return True

                            if self.fault_time is not None:
                                return True

                            if self.flex_fec is not None and self.flex_fec._has_data():
                                return True

                            if self.in_label is not None:
                                return True

                            if self.oam_created is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo']['meta_info']


                    class LspWrapInfo(object):
                        """
                        Lsp Wrap  Related information
                        
                        .. attribute:: lsp_wrap_protection_enable
                        
                        	LSP Wrap protection enabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_wrap_protection_label
                        
                        	LSP Wrap Merge Point Label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: lsp_wrap_protection_state
                        
                        	LSP wrap protection state
                        	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                        
                        .. attribute:: reverse_egress_interface
                        
                        	Reverse Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_label
                        
                        	Reverse LSP label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.lsp_wrap_protection_enable = None
                            self.lsp_wrap_protection_label = None
                            self.lsp_wrap_protection_state = None
                            self.reverse_egress_interface = None
                            self.reverse_lsp_label = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.lsp_wrap_protection_enable is not None:
                                return True

                            if self.lsp_wrap_protection_label is not None:
                                return True

                            if self.lsp_wrap_protection_state is not None:
                                return True

                            if self.reverse_egress_interface is not None:
                                return True

                            if self.reverse_lsp_label is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.LspWrapInfo']['meta_info']


                    class DiversityInfo(object):
                        """
                        S2L Diversity Information
                        
                        .. attribute:: diversity_type
                        
                        	S2L path diversity type
                        	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.diversity_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.diversity_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.DiversityInfo']['meta_info']


                    class SharedRiskLinkGroup(object):
                        """
                        The S2L's excluded srlg groups
                        
                        .. attribute:: shared_risk_group
                        
                        	SRLG number
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: srlg_name
                        
                        	SRLG name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.shared_risk_group = None
                            self.srlg_name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.shared_risk_group is not None:
                                return True

                            if self.srlg_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SharedRiskLinkGroup']['meta_info']


                    class OutEro(object):
                        """
                        Outgoing ERO for this S2L
                        
                        .. attribute:: ero_type
                        
                        	EROType
                        	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                        
                        .. attribute:: ipv4ero_sub_object
                        
                        	IPV4 ERO Sub Object
                        	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.Ipv4EroSubObject>`
                        
                        .. attribute:: unnumbered_ero_sub_object
                        
                        	Unnumbered ERO Sub Object
                        	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.UnnumberedEroSubObject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_type = None
                            self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.Ipv4EroSubObject()
                            self.ipv4ero_sub_object.parent = self
                            self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.UnnumberedEroSubObject()
                            self.unnumbered_ero_sub_object.parent = self


                        class Ipv4EroSubObject(object):
                            """
                            IPV4 ERO Sub Object
                            
                            .. attribute:: ero_address
                            
                            	The ERO IPV4 Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: prefix_length
                            
                            	ERO Prefix Length
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_address = None
                                self.is_strict_route = None
                                self.prefix_length = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_address is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.prefix_length is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                        class UnnumberedEroSubObject(object):
                            """
                            Unnumbered ERO Sub Object
                            
                            .. attribute:: ero_interface_id
                            
                            	The Interface ID in ERO
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: ero_router_id
                            
                            	The Router ID in ERO
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: status
                            
                            	Status of ERO
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_interface_id = None
                                self.ero_router_id = None
                                self.is_strict_route = None
                                self.status = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_interface_id is not None:
                                    return True

                                if self.ero_router_id is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_type is not None:
                                return True

                            if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                return True

                            if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro']['meta_info']


                    class InEro(object):
                        """
                        Incoming ERO for this S2L
                        
                        .. attribute:: ero_type
                        
                        	EROType
                        	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                        
                        .. attribute:: ipv4ero_sub_object
                        
                        	IPV4 ERO Sub Object
                        	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.Ipv4EroSubObject>`
                        
                        .. attribute:: unnumbered_ero_sub_object
                        
                        	Unnumbered ERO Sub Object
                        	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.UnnumberedEroSubObject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_type = None
                            self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.Ipv4EroSubObject()
                            self.ipv4ero_sub_object.parent = self
                            self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.UnnumberedEroSubObject()
                            self.unnumbered_ero_sub_object.parent = self


                        class Ipv4EroSubObject(object):
                            """
                            IPV4 ERO Sub Object
                            
                            .. attribute:: ero_address
                            
                            	The ERO IPV4 Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: prefix_length
                            
                            	ERO Prefix Length
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_address = None
                                self.is_strict_route = None
                                self.prefix_length = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_address is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.prefix_length is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.Ipv4EroSubObject']['meta_info']


                        class UnnumberedEroSubObject(object):
                            """
                            Unnumbered ERO Sub Object
                            
                            .. attribute:: ero_interface_id
                            
                            	The Interface ID in ERO
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: ero_router_id
                            
                            	The Router ID in ERO
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: status
                            
                            	Status of ERO
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_interface_id = None
                                self.ero_router_id = None
                                self.is_strict_route = None
                                self.status = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_interface_id is not None:
                                    return True

                                if self.ero_router_id is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_type is not None:
                                return True

                            if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                return True

                            if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro']['meta_info']


                    class PathRro(object):
                        """
                        Path RRO for this S2L
                        
                        .. attribute:: ipv4rro_sub_object
                        
                        	IPV4 RRO Sub Object
                        	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject>`
                        
                        .. attribute:: label_rro_sub_object
                        
                        	Label RRO Sub Object
                        	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject>`
                        
                        .. attribute:: rro_type
                        
                        	RROType
                        	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                        
                        .. attribute:: srlg_rro_sub_object
                        
                        	SRLG RRO Sub Object
                        	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.SrlgRroSubObject>`
                        
                        .. attribute:: unnumbered_rro_sub_object
                        
                        	Unnumbered RRO Sub Object
                        	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject()
                            self.ipv4rro_sub_object.parent = self
                            self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject()
                            self.label_rro_sub_object.parent = self
                            self.rro_type = None
                            self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.SrlgRroSubObject()
                            self.srlg_rro_sub_object.parent = self
                            self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject()
                            self.unnumbered_rro_sub_object.parent = self


                        class Ipv4RroSubObject(object):
                            """
                            IPV4 RRO Sub Object
                            
                            .. attribute:: flags
                            
                            	The RRO IPV4 Subobject Flags
                            	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject.Flags>`
                            
                            .. attribute:: rro_address
                            
                            	The RRO IPV4 Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.flags = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject.Flags()
                                self.flags.parent = self
                                self.rro_address = None


                            class Flags(object):
                                """
                                The RRO IPV4 Subobject Flags
                                
                                .. attribute:: is_bandwidth_protected
                                
                                	Bandwidth Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_node_id
                                
                                	Node ID In Use
                                	**type**\:  bool
                                
                                .. attribute:: is_node_protection_available
                                
                                	Node Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_protection_available
                                
                                	Local Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_protection_in_use
                                
                                	Local Protection In Use
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.is_bandwidth_protected = None
                                    self.is_node_id = None
                                    self.is_node_protection_available = None
                                    self.is_protection_available = None
                                    self.is_protection_in_use = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.is_bandwidth_protected is not None:
                                        return True

                                    if self.is_node_id is not None:
                                        return True

                                    if self.is_node_protection_available is not None:
                                        return True

                                    if self.is_protection_available is not None:
                                        return True

                                    if self.is_protection_in_use is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.flags is not None and self.flags._has_data():
                                    return True

                                if self.rro_address is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                        class LabelRroSubObject(object):
                            """
                            Label RRO Sub Object
                            
                            .. attribute:: flags
                            
                            	The RRO Subobject Label Flags
                            	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject.Flags>`
                            
                            .. attribute:: is_label_variable_length
                            
                            	Is the RRO Subobject Label Variable Length
                            	**type**\:  bool
                            
                            .. attribute:: label
                            
                            	The RRO Subobject Label Value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: variable_length_label
                            
                            	The RRO Subobject Variable Length Label
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.flags = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject.Flags()
                                self.flags.parent = self
                                self.is_label_variable_length = None
                                self.label = None
                                self.variable_length_label = YLeafList()
                                self.variable_length_label.parent = self
                                self.variable_length_label.name = 'variable_length_label'


                            class Flags(object):
                                """
                                The RRO Subobject Label Flags
                                
                                .. attribute:: is_global_label
                                
                                	Label is Global across all interfaces
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.is_global_label = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.is_global_label is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.flags is not None and self.flags._has_data():
                                    return True

                                if self.is_label_variable_length is not None:
                                    return True

                                if self.label is not None:
                                    return True

                                if self.variable_length_label is not None:
                                    for child in self.variable_length_label:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject']['meta_info']


                        class UnnumberedRroSubObject(object):
                            """
                            Unnumbered RRO Sub Object
                            
                            .. attribute:: flags
                            
                            	The RRO Subobject Unnumbered Flags
                            	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                            
                            .. attribute:: interface_address
                            
                            	The RRO Interface Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: interface_id
                            
                            	The RRO Interface ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.flags = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                self.flags.parent = self
                                self.interface_address = None
                                self.interface_id = None


                            class Flags(object):
                                """
                                The RRO Subobject Unnumbered Flags
                                
                                .. attribute:: is_bandwidth_protected
                                
                                	Bandwidth Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_node_id
                                
                                	Node ID In Use
                                	**type**\:  bool
                                
                                .. attribute:: is_node_protection_available
                                
                                	Node Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_protection_available
                                
                                	Local Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_protection_in_use
                                
                                	Local Protection In Use
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.is_bandwidth_protected = None
                                    self.is_node_id = None
                                    self.is_node_protection_available = None
                                    self.is_protection_available = None
                                    self.is_protection_in_use = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.is_bandwidth_protected is not None:
                                        return True

                                    if self.is_node_id is not None:
                                        return True

                                    if self.is_node_protection_available is not None:
                                        return True

                                    if self.is_protection_available is not None:
                                        return True

                                    if self.is_protection_in_use is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.flags is not None and self.flags._has_data():
                                    return True

                                if self.interface_address is not None:
                                    return True

                                if self.interface_id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                        class SrlgRroSubObject(object):
                            """
                            SRLG RRO Sub Object
                            
                            .. attribute:: srl_gs
                            
                            	The RRO Subobject SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.srl_gs = YLeafList()
                                self.srl_gs.parent = self
                                self.srl_gs.name = 'srl_gs'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.srl_gs is not None:
                                    for child in self.srl_gs:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.SrlgRroSubObject']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                return True

                            if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                return True

                            if self.rro_type is not None:
                                return True

                            if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                return True

                            if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro']['meta_info']


                    class ResvRro(object):
                        """
                        Resv RRO for this S2L
                        
                        .. attribute:: ipv4rro_sub_object
                        
                        	IPV4 RRO Sub Object
                        	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject>`
                        
                        .. attribute:: label_rro_sub_object
                        
                        	Label RRO Sub Object
                        	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject>`
                        
                        .. attribute:: rro_type
                        
                        	RROType
                        	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                        
                        .. attribute:: srlg_rro_sub_object
                        
                        	SRLG RRO Sub Object
                        	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.SrlgRroSubObject>`
                        
                        .. attribute:: unnumbered_rro_sub_object
                        
                        	Unnumbered RRO Sub Object
                        	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject()
                            self.ipv4rro_sub_object.parent = self
                            self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject()
                            self.label_rro_sub_object.parent = self
                            self.rro_type = None
                            self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.SrlgRroSubObject()
                            self.srlg_rro_sub_object.parent = self
                            self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject()
                            self.unnumbered_rro_sub_object.parent = self


                        class Ipv4RroSubObject(object):
                            """
                            IPV4 RRO Sub Object
                            
                            .. attribute:: flags
                            
                            	The RRO IPV4 Subobject Flags
                            	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                            
                            .. attribute:: rro_address
                            
                            	The RRO IPV4 Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.flags = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                self.flags.parent = self
                                self.rro_address = None


                            class Flags(object):
                                """
                                The RRO IPV4 Subobject Flags
                                
                                .. attribute:: is_bandwidth_protected
                                
                                	Bandwidth Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_node_id
                                
                                	Node ID In Use
                                	**type**\:  bool
                                
                                .. attribute:: is_node_protection_available
                                
                                	Node Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_protection_available
                                
                                	Local Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_protection_in_use
                                
                                	Local Protection In Use
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.is_bandwidth_protected = None
                                    self.is_node_id = None
                                    self.is_node_protection_available = None
                                    self.is_protection_available = None
                                    self.is_protection_in_use = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.is_bandwidth_protected is not None:
                                        return True

                                    if self.is_node_id is not None:
                                        return True

                                    if self.is_node_protection_available is not None:
                                        return True

                                    if self.is_protection_available is not None:
                                        return True

                                    if self.is_protection_in_use is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.flags is not None and self.flags._has_data():
                                    return True

                                if self.rro_address is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                        class LabelRroSubObject(object):
                            """
                            Label RRO Sub Object
                            
                            .. attribute:: flags
                            
                            	The RRO Subobject Label Flags
                            	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject.Flags>`
                            
                            .. attribute:: is_label_variable_length
                            
                            	Is the RRO Subobject Label Variable Length
                            	**type**\:  bool
                            
                            .. attribute:: label
                            
                            	The RRO Subobject Label Value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: variable_length_label
                            
                            	The RRO Subobject Variable Length Label
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.flags = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject.Flags()
                                self.flags.parent = self
                                self.is_label_variable_length = None
                                self.label = None
                                self.variable_length_label = YLeafList()
                                self.variable_length_label.parent = self
                                self.variable_length_label.name = 'variable_length_label'


                            class Flags(object):
                                """
                                The RRO Subobject Label Flags
                                
                                .. attribute:: is_global_label
                                
                                	Label is Global across all interfaces
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.is_global_label = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.is_global_label is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.flags is not None and self.flags._has_data():
                                    return True

                                if self.is_label_variable_length is not None:
                                    return True

                                if self.label is not None:
                                    return True

                                if self.variable_length_label is not None:
                                    for child in self.variable_length_label:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject']['meta_info']


                        class UnnumberedRroSubObject(object):
                            """
                            Unnumbered RRO Sub Object
                            
                            .. attribute:: flags
                            
                            	The RRO Subobject Unnumbered Flags
                            	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                            
                            .. attribute:: interface_address
                            
                            	The RRO Interface Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: interface_id
                            
                            	The RRO Interface ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.flags = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                self.flags.parent = self
                                self.interface_address = None
                                self.interface_id = None


                            class Flags(object):
                                """
                                The RRO Subobject Unnumbered Flags
                                
                                .. attribute:: is_bandwidth_protected
                                
                                	Bandwidth Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_node_id
                                
                                	Node ID In Use
                                	**type**\:  bool
                                
                                .. attribute:: is_node_protection_available
                                
                                	Node Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_protection_available
                                
                                	Local Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_protection_in_use
                                
                                	Local Protection In Use
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.is_bandwidth_protected = None
                                    self.is_node_id = None
                                    self.is_node_protection_available = None
                                    self.is_protection_available = None
                                    self.is_protection_in_use = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.is_bandwidth_protected is not None:
                                        return True

                                    if self.is_node_id is not None:
                                        return True

                                    if self.is_node_protection_available is not None:
                                        return True

                                    if self.is_protection_available is not None:
                                        return True

                                    if self.is_protection_in_use is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.flags is not None and self.flags._has_data():
                                    return True

                                if self.interface_address is not None:
                                    return True

                                if self.interface_id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                        class SrlgRroSubObject(object):
                            """
                            SRLG RRO Sub Object
                            
                            .. attribute:: srl_gs
                            
                            	The RRO Subobject SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.srl_gs = YLeafList()
                                self.srl_gs.parent = self
                                self.srl_gs.name = 'srl_gs'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.srl_gs is not None:
                                    for child in self.srl_gs:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                return True

                            if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                return True

                            if self.rro_type is not None:
                                return True

                            if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                return True

                            if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro']['meta_info']


                    class PathAffinityArray(object):
                        """
                        Tunnel's Path hops with affinity
                        
                        .. attribute:: hop_address
                        
                        	Hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: hop_affinity
                        
                        	Deprecated
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: hop_extended_affinity
                        
                        	Hop affinity
                        	**type**\:  list of int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.hop_address = None
                            self.hop_affinity = None
                            self.hop_extended_affinity = YLeafList()
                            self.hop_extended_affinity.parent = self
                            self.hop_extended_affinity.name = 'hop_extended_affinity'

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.hop_address is not None:
                                return True

                            if self.hop_affinity is not None:
                                return True

                            if self.hop_extended_affinity is not None:
                                for child in self.hop_extended_affinity:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathAffinityArray']['meta_info']


                    class ReverseEroIn(object):
                        """
                         Reverse Incoming ERO for this S2L
                        
                        .. attribute:: ero_type
                        
                        	EROType
                        	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                        
                        .. attribute:: ipv4ero_sub_object
                        
                        	IPV4 ERO Sub Object
                        	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.Ipv4EroSubObject>`
                        
                        .. attribute:: unnumbered_ero_sub_object
                        
                        	Unnumbered ERO Sub Object
                        	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_type = None
                            self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.Ipv4EroSubObject()
                            self.ipv4ero_sub_object.parent = self
                            self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.UnnumberedEroSubObject()
                            self.unnumbered_ero_sub_object.parent = self


                        class Ipv4EroSubObject(object):
                            """
                            IPV4 ERO Sub Object
                            
                            .. attribute:: ero_address
                            
                            	The ERO IPV4 Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: prefix_length
                            
                            	ERO Prefix Length
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_address = None
                                self.is_strict_route = None
                                self.prefix_length = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_address is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.prefix_length is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                        class UnnumberedEroSubObject(object):
                            """
                            Unnumbered ERO Sub Object
                            
                            .. attribute:: ero_interface_id
                            
                            	The Interface ID in ERO
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: ero_router_id
                            
                            	The Router ID in ERO
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: status
                            
                            	Status of ERO
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_interface_id = None
                                self.ero_router_id = None
                                self.is_strict_route = None
                                self.status = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_interface_id is not None:
                                    return True

                                if self.ero_router_id is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_type is not None:
                                return True

                            if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                return True

                            if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn']['meta_info']


                    class S2LSegmentRoutingPath(object):
                        """
                        Segment\-Routing S2L path info
                        
                        .. attribute:: has_entropy_label
                        
                        	Hop has EL specified
                        	**type**\:  bool
                        
                        .. attribute:: has_ip_addresses
                        
                        	Node has IP addresses specified
                        	**type**\:  bool
                        
                        .. attribute:: has_mpls_label
                        
                        	Hop has MPLS label specified
                        	**type**\:  bool
                        
                        .. attribute:: local_addr
                        
                        	Local IP address of adjacency or Node ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mpls_label_value
                        
                        	The MPLS label value
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: remote_addr
                        
                        	Remote IP address of adjacency
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: sid_type
                        
                        	Type of the SID
                        	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.has_entropy_label = None
                            self.has_ip_addresses = None
                            self.has_mpls_label = None
                            self.local_addr = None
                            self.mpls_label_value = None
                            self.remote_addr = None
                            self.sid_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.has_entropy_label is not None:
                                return True

                            if self.has_ip_addresses is not None:
                                return True

                            if self.has_mpls_label is not None:
                                return True

                            if self.local_addr is not None:
                                return True

                            if self.mpls_label_value is not None:
                                return True

                            if self.remote_addr is not None:
                                return True

                            if self.sid_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LSegmentRoutingPath']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.abr_auto_discovered is not None:
                            return True

                        if self.active_path_option is not None and self.active_path_option._has_data():
                            return True

                        if self.association is not None and self.association._has_data():
                            return True

                        if self.backup_tunnel_interface is not None:
                            return True

                        if self.diversity_info is not None and self.diversity_info._has_data():
                            return True

                        if self.downstream_router_id is not None:
                            return True

                        if self.egress_interface is not None:
                            return True

                        if self.egress_interface_brief is not None:
                            return True

                        if self.egress_interface_state is not None:
                            return True

                        if self.expanded_ero_affinity_bits is not None:
                            return True

                        if self.expanded_ero_affinity_mask is not None:
                            return True

                        if self.expanded_ero_area_id is not None:
                            return True

                        if self.expanded_ero_metric is not None:
                            return True

                        if self.expanded_ero_metric_type is not None:
                            return True

                        if self.flex_info is not None and self.flex_info._has_data():
                            return True

                        if self.frr_out_tunnel_interface is not None:
                            return True

                        if self.fspec is not None and self.fspec._has_data():
                            return True

                        if self.generic_fspec is not None and self.generic_fspec._has_data():
                            return True

                        if self.generic_tspec is not None and self.generic_tspec._has_data():
                            return True

                        if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                            return True

                        if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                            return True

                        if self.in_ero is not None:
                            for child_ref in self.in_ero:
                                if child_ref._has_data():
                                    return True

                        if self.in_xro is not None and self.in_xro._has_data():
                            return True

                        if self.incoming_address is not None:
                            return True

                        if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                            return True

                        if self.ingress_interface is not None:
                            return True

                        if self.ingress_interface_brief is not None:
                            return True

                        if self.ingress_interface_state is not None:
                            return True

                        if self.is_bandwidth_protect is not None:
                            return True

                        if self.is_expanded_ero is not None:
                            return True

                        if self.is_frr_enabled is not None:
                            return True

                        if self.is_node_protected is not None:
                            return True

                        if self.is_optical is not None:
                            return True

                        if self.local_router_id is not None:
                            return True

                        if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                            return True

                        if self.next_hop_address is not None:
                            return True

                        if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                            return True

                        if self.node_hop_count is not None:
                            return True

                        if self.otn_s2l is not None and self.otn_s2l._has_data():
                            return True

                        if self.out_ero is not None:
                            for child_ref in self.out_ero:
                                if child_ref._has_data():
                                    return True

                        if self.out_xro is not None and self.out_xro._has_data():
                            return True

                        if self.outbound_frr_state is not None:
                            return True

                        if self.path_affinity_array is not None:
                            for child_ref in self.path_affinity_array:
                                if child_ref._has_data():
                                    return True

                        if self.path_reeval_query_mid is not None:
                            return True

                        if self.path_rro is not None:
                            for child_ref in self.path_rro:
                                if child_ref._has_data():
                                    return True

                        if self.path_rro_enabled is not None:
                            return True

                        if self.path_using_strict_spf is not None:
                            return True

                        if self.pcalc_area is not None:
                            return True

                        if self.previous_hop_address is not None:
                            return True

                        if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                            return True

                        if self.protection is not None and self.protection._has_data():
                            return True

                        if self.resv_rro is not None:
                            for child_ref in self.resv_rro:
                                if child_ref._has_data():
                                    return True

                        if self.reverse_ero_in is not None:
                            for child_ref in self.reverse_ero_in:
                                if child_ref._has_data():
                                    return True

                        if self.reverse_lsp_connected is not None:
                            return True

                        if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                            return True

                        if self.reverse_lsp_name is not None:
                            return True

                        if self.reverse_lsp_present is not None:
                            return True

                        if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                            return True

                        if self.reverse_weight is not None:
                            return True

                        if self.role is not None:
                            return True

                        if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                            return True

                        if self.s2l_fec is not None and self.s2l_fec._has_data():
                            return True

                        if self.s2l_local_label is not None:
                            return True

                        if self.s2l_out_label is not None:
                            return True

                        if self.s2l_reverse_ero_obj_present is not None:
                            return True

                        if self.s2l_reverse_lsp_sub_obj is not None:
                            for child in self.s2l_reverse_lsp_sub_obj:
                                if child is not None:
                                    return True

                        if self.s2l_reverse_tspec_obj_present is not None:
                            return True

                        if self.s2l_segment_routing_path is not None:
                            for child_ref in self.s2l_segment_routing_path:
                                if child_ref._has_data():
                                    return True

                        if self.shared_risk_link_group is not None:
                            for child_ref in self.shared_risk_link_group:
                                if child_ref._has_data():
                                    return True

                        if self.signalling_status is not None:
                            return True

                        if self.soft_preemption is not None and self.soft_preemption._has_data():
                            return True

                        if self.srlg_collection is not None and self.srlg_collection._has_data():
                            return True

                        if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                            return True

                        if self.time_since_last_preferred_path_exists_send_mid is not None:
                            return True

                        if self.time_since_last_preferred_tree_exists_send_mid is not None:
                            return True

                        if self.time_since_last_query_received_mid is not None:
                            return True

                        if self.tspec is not None and self.tspec._has_data():
                            return True

                        if self.upstream_router_id is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        if self.weight is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']

                @property
                def _common_path(self):
                    if self.ctype is None:
                        raise YPYModelError('Key property ctype is None')
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.extended_tunnel_id is None:
                        raise YPYModelError('Key property extended_tunnel_id is None')
                    if self.lsp_id is None:
                        raise YPYModelError('Key property lsp_id is None')
                    if self.p2mp_id is None:
                        raise YPYModelError('Key property p2mp_id is None')
                    if self.source_address is None:
                        raise YPYModelError('Key property source_address is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:p2p-p2mp-tunnel/Cisco-IOS-XR-mpls-te-oper:tunnel-remotes/Cisco-IOS-XR-mpls-te-oper:tunnel-remote[Cisco-IOS-XR-mpls-te-oper:ctype = ' + str(self.ctype) + '][Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:extended-tunnel-id = ' + str(self.extended_tunnel_id) + '][Cisco-IOS-XR-mpls-te-oper:lsp-id = ' + str(self.lsp_id) + '][Cisco-IOS-XR-mpls-te-oper:p2mp-id = ' + str(self.p2mp_id) + '][Cisco-IOS-XR-mpls-te-oper:source-address = ' + str(self.source_address) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ctype is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.p2mp_id is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.dste_class_index is not None:
                        return True

                    if self.dste_class_match is not None:
                        return True

                    if self.frr_active_reason is not None:
                        return True

                    if self.is_frr_failed is not None:
                        return True

                    if self.is_interface is not None:
                        return True

                    if self.is_passive is not None:
                        return True

                    if self.last_path_change is not None:
                        return True

                    if self.lsp_bandwidth is not None:
                        return True

                    if self.lsp_bandwidth_type is not None:
                        return True

                    if self.lsp_fec is not None and self.lsp_fec._has_data():
                        return True

                    if self.lsp_hold_priority is not None:
                        return True

                    if self.lsp_setup_priority is not None:
                        return True

                    if self.persistent_bytes is not None:
                        return True

                    if self.persistent_packets is not None:
                        return True

                    if self.reoptimize_reason is not None:
                        return True

                    if self.reoptimize_trigger is not None:
                        return True

                    if self.s2_ls_down is not None:
                        return True

                    if self.s2_ls_proceeding is not None:
                        return True

                    if self.s2_ls_up is not None:
                        return True

                    if self.s2l is not None:
                        for child_ref in self.s2l:
                            if child_ref._has_data():
                                return True

                    if self.signaled_name is not None:
                        return True

                    if self.timer_left is not None:
                        return True

                    if self.type is not None:
                        return True

                    if self.uptime is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:p2p-p2mp-tunnel/Cisco-IOS-XR-mpls-te-oper:tunnel-remotes'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tunnel_remote is not None:
                    for child_ref in self.tunnel_remote:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes']['meta_info']


        class NniTunnels(object):
            """
            GMPLS NNI tunnels
            
            .. attribute:: nni_tunnel
            
            	GMPLS\-NNI tail tunnel
            	**type**\: list of    :py:class:`NniTunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.nni_tunnel = YList()
                self.nni_tunnel.parent = self
                self.nni_tunnel.name = 'nni_tunnel'


            class NniTunnel(object):
                """
                GMPLS\-NNI tail tunnel
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: source_address  <key>
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id  <key>
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: admin_state
                
                	Administrative State
                	**type**\:   :py:class:`MteTunnelAdminStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteTunnelAdminStateEnum>`
                
                .. attribute:: affinity_failure_delayed_tear_time_remained
                
                	Affinity Failure LSP tear down time remaining
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: affinity_failure_reopt_disabled
                
                	AffinityFailureReoptDisabled
                	**type**\:  bool
                
                .. attribute:: affinity_failure_reopt_time_remained
                
                	AffinityFailureReoptTimeRemained
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: area_id
                
                	Indicates the protocol and area used to find Outgoing ERO
                	**type**\:  str
                
                .. attribute:: auto_backup
                
                	Autobackup Information
                	**type**\:   :py:class:`AutoBackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup>`
                
                .. attribute:: auto_mesh
                
                	Automesh Information
                	**type**\:   :py:class:`AutoMesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoMesh>`
                
                .. attribute:: auto_pcc
                
                	Auto\-PCC Information
                	**type**\:   :py:class:`AutoPcc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoPcc>`
                
                .. attribute:: auto_route
                
                	IGP Auto route announce enabled
                	**type**\:  bool
                
                .. attribute:: autoroute_announce_exclude_segment_routing
                
                	Indicates whether this tunnel is autoroute announced with exclude segment\-routing option
                	**type**\:  bool
                
                .. attribute:: bandwidth_requested
                
                	Bandwidth Requested
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: bandwidth_type
                
                	The requested bandwidth type
                	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                
                .. attribute:: bfd_info
                
                	BFD session info. This is NULL if BFD is not configured
                	**type**\:   :py:class:`BfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo>`
                
                .. attribute:: bidir
                
                	Bidir info
                	**type**\:   :py:class:`Bidir <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir>`
                
                .. attribute:: binding_label
                
                	Binding Label
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: binding_label_exists
                
                	True, if binding label exists
                	**type**\:  bool
                
                .. attribute:: cleaned_lsp
                
                	Cleaned LSP
                	**type**\:   :py:class:`CleanedLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp>`
                
                .. attribute:: config
                
                	Configuration data
                	**type**\:   :py:class:`Config <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config>`
                
                .. attribute:: create_time
                
                	Time at which the tunnel was created
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: delay_clean_pp_lsp
                
                	Delay Clean PP LSP
                	**type**\:   :py:class:`DelayCleanPpLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp>`
                
                .. attribute:: destination
                
                	Destinations array
                	**type**\: list of    :py:class:`Destination <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination>`
                
                .. attribute:: destination_disabled_count
                
                	Count of disabled destinations
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: destination_down_count
                
                	Count of down destinations
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: destination_up_count
                
                	Count of up destinations
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: drop_mode
                
                	True if tunnel is in drop mode
                	**type**\:  bool
                
                .. attribute:: explicit_path_change
                
                	Explicit\-path inuse by the current LSP has been modified
                	**type**\:  bool
                
                .. attribute:: fail_reason
                
                	The reason why failure occurred
                	**type**\:   :py:class:`MplsMteTunnelFailReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsMteTunnelFailReasonEnum>`
                
                .. attribute:: flex_info
                
                	Flex Info
                	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.FlexInfo>`
                
                .. attribute:: forwarding_adjacency
                
                	IGP forwarding adjacency enabled
                	**type**\:  bool
                
                .. attribute:: history
                
                	Tunnel history
                	**type**\:   :py:class:`History <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History>`
                
                .. attribute:: hop_limit_ignored_reason
                
                	Hop\-limit ignored reason
                	**type**\:   :py:class:`TeHopLimitIgnoreEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeHopLimitIgnoreEnum>`
                
                .. attribute:: invalidation_time_remained
                
                	Path invalidation time remaining
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_auto_backup
                
                	Indicates whether this is an automatically generated backup tunnel
                	**type**\:  bool
                
                .. attribute:: is_auto_pcc
                
                	Indicates whether this is an automatic PCC tunnel
                	**type**\:  bool
                
                .. attribute:: is_bandwidth_protect
                
                	BW Protection Enabled or Disabled
                	**type**\:  bool
                
                .. attribute:: is_hop_limit_ignore
                
                	Is Hop\-limit ignored
                	**type**\:  bool
                
                .. attribute:: is_inter_area_tunnel
                
                	Indicates whether this tunnel spans multiple areas
                	**type**\:  bool
                
                .. attribute:: is_interface
                
                	True for tunnel head
                	**type**\:  bool
                
                .. attribute:: is_named
                
                	Indicates whether this tunnel is named
                	**type**\:  bool
                
                .. attribute:: is_node_protected
                
                	Node Protection Enabled or Disabled
                	**type**\:  bool
                
                .. attribute:: is_passive
                
                	True for passive tunnel
                	**type**\:  bool
                
                .. attribute:: is_pce_delegated
                
                	Indicates whether this tunnel is delegated to a PCE server or not
                	**type**\:  bool
                
                .. attribute:: last_hop_ifindex
                
                	Termination destination ifindex
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: last_path_change
                
                	Time in seconds since the last path change
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: load_share_factor
                
                	The specified loadsharing for the tunnel
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: load_share_type
                
                	Loadsharing type
                	**type**\:   :py:class:`MplsTeLoadshareEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLoadshareEnum>`
                
                .. attribute:: lsp_wrap_label
                
                	Lsp\-wrap label value
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: lsp_wrap_protection_enabled
                
                	Lsp\-wrap Protection enabled
                	**type**\:  bool
                
                .. attribute:: metric_qualifier
                
                	Describe how the metric was specified\: default, globally set, or per interface
                	**type**\:   :py:class:`MplsTeMetricQualifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricQualifierEnum>`
                
                .. attribute:: metric_type
                
                	The path selection metric
                	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                
                .. attribute:: operational_state
                
                	Operational State
                	**type**\:   :py:class:`MteTunnelOperStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteTunnelOperStateEnum>`
                
                .. attribute:: operational_state_changes
                
                	Counters for operational state changes
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: otn_bidir
                
                	OTN bidir info
                	**type**\:   :py:class:`OtnBidir <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir>`
                
                .. attribute:: outbound_frr_state
                
                	Indicates outbound FRR state
                	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                
                .. attribute:: p2p_info
                
                	P2P specific info
                	**type**\:   :py:class:`P2PInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo>`
                
                .. attribute:: passive_tunnel_name
                
                	Passive tunnel name
                	**type**\:  str
                
                .. attribute:: path_option_change
                
                	Path\-Option inuse by the current LSP has been modified
                	**type**\:  bool
                
                .. attribute:: path_protection
                
                	Path Protect Info
                	**type**\:   :py:class:`PathProtection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection>`
                
                .. attribute:: pce_delegation
                
                	PCE Delegation information
                	**type**\:   :py:class:`PceDelegation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.PceDelegation>`
                
                .. attribute:: pce_fail_reason
                
                	Failure reason for PCE\-based tunnels
                	**type**\:   :py:class:`MplsTePceFailReasonsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePceFailReasonsEnum>`
                
                .. attribute:: persistent_bytes
                
                	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                	**units**\: byte
                
                .. attribute:: persistent_packets
                
                	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: re_opt_hold_down_timer_remaining
                
                	Backup hold\-down timer remaining time in seconds
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: reoptimized_p2mp_lsp
                
                	Reopt LSP
                	**type**\:   :py:class:`ReoptimizedP2MpLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp>`
                
                .. attribute:: reoptimized_standby_p2mp_lsp
                
                	Standby Reopt LSP
                	**type**\:   :py:class:`ReoptimizedStandbyP2MpLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp>`
                
                .. attribute:: reroute_pending
                
                	ReroutePending
                	**type**\:  bool
                
                .. attribute:: role_standby
                
                	TRUE if Role is Standby, Active otherwise
                	**type**\:  bool
                
                .. attribute:: signaled_name
                
                	Signaled Name
                	**type**\:  str
                
                .. attribute:: snmp_index
                
                	SNMP index for interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: soft_preemption
                
                	Tunnel head soft preemption info. This is NULL if soft preemption is not configured
                	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption>`
                
                .. attribute:: te_tunnel_convergence
                
                	TE tunnel convergence related information
                	**type**\:   :py:class:`TeTunnelConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence>`
                
                .. attribute:: tie_breaker
                
                	The path selection tiebreaker
                	**type**\:   :py:class:`TePathSelectionTiebreakerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathSelectionTiebreakerEnum>`
                
                .. attribute:: tiebreaker_qualifier
                
                	Describes how the path selection tiebreaker was specified\: default, globally set, or per interface
                	**type**\:   :py:class:`MplsTeMetricQualifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricQualifierEnum>`
                
                .. attribute:: tiebreaker_type
                
                	Deprecated \- replaced by Tiebreaker
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: transport_tunnel_info
                
                	Transport tunnel data. Only exists for Transport tunnels
                	**type**\:   :py:class:`TransportTunnelInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo>`
                
                .. attribute:: tunnel_attribute_set_name
                
                	AttributeSet name
                	**type**\:  str
                
                .. attribute:: tunnel_attribute_set_type
                
                	AttributeSet type
                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                
                .. attribute:: tunnel_current_lsp
                
                	Current LSP
                	**type**\:   :py:class:`TunnelCurrentLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp>`
                
                .. attribute:: tunnel_interface_name
                
                	Interface handle of the associated tunnel
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: tunnel_recovering
                
                	Tunnel recovering
                	**type**\:  bool
                
                .. attribute:: tunnel_restoration_lsp
                
                	Restoration LSP
                	**type**\:   :py:class:`TunnelRestorationLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp>`
                
                .. attribute:: tunnel_standby_lsp
                
                	Standby LSP
                	**type**\:   :py:class:`TunnelStandbyLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp>`
                
                .. attribute:: uptime
                
                	Time in seconds since the tunnel was up
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: wdm_unitunnel
                
                	WDM\-UNI tunnel data. Only exists for WDM\-UNI tunnels
                	**type**\:   :py:class:`WdmUnitunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.WdmUnitunnel>`
                
                .. attribute:: xro_attribute_set
                
                	XRO attribute\-set
                	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet>`
                
                .. attribute:: xro_attribute_set_name
                
                	Configured XRO attribute\-set name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.destination_address = None
                    self.source_address = None
                    self.tunnel_id = None
                    self.admin_state = None
                    self.affinity_failure_delayed_tear_time_remained = None
                    self.affinity_failure_reopt_disabled = None
                    self.affinity_failure_reopt_time_remained = None
                    self.area_id = None
                    self.auto_backup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup()
                    self.auto_backup.parent = self
                    self.auto_mesh = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoMesh()
                    self.auto_mesh.parent = self
                    self.auto_pcc = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoPcc()
                    self.auto_pcc.parent = self
                    self.auto_route = None
                    self.autoroute_announce_exclude_segment_routing = None
                    self.bandwidth_requested = None
                    self.bandwidth_type = None
                    self.bfd_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo()
                    self.bfd_info.parent = self
                    self.bidir = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir()
                    self.bidir.parent = self
                    self.binding_label = None
                    self.binding_label_exists = None
                    self.cleaned_lsp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp()
                    self.cleaned_lsp.parent = self
                    self.config = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config()
                    self.config.parent = self
                    self.create_time = None
                    self.delay_clean_pp_lsp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp()
                    self.delay_clean_pp_lsp.parent = self
                    self.destination = YList()
                    self.destination.parent = self
                    self.destination.name = 'destination'
                    self.destination_disabled_count = None
                    self.destination_down_count = None
                    self.destination_up_count = None
                    self.drop_mode = None
                    self.explicit_path_change = None
                    self.fail_reason = None
                    self.flex_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.FlexInfo()
                    self.flex_info.parent = self
                    self.forwarding_adjacency = None
                    self.history = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History()
                    self.history.parent = self
                    self.hop_limit_ignored_reason = None
                    self.invalidation_time_remained = None
                    self.is_auto_backup = None
                    self.is_auto_pcc = None
                    self.is_bandwidth_protect = None
                    self.is_hop_limit_ignore = None
                    self.is_inter_area_tunnel = None
                    self.is_interface = None
                    self.is_named = None
                    self.is_node_protected = None
                    self.is_passive = None
                    self.is_pce_delegated = None
                    self.last_hop_ifindex = None
                    self.last_path_change = None
                    self.load_share_factor = None
                    self.load_share_type = None
                    self.lsp_wrap_label = None
                    self.lsp_wrap_protection_enabled = None
                    self.metric_qualifier = None
                    self.metric_type = None
                    self.operational_state = None
                    self.operational_state_changes = None
                    self.otn_bidir = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir()
                    self.otn_bidir.parent = self
                    self.outbound_frr_state = None
                    self.p2p_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo()
                    self.p2p_info.parent = self
                    self.passive_tunnel_name = None
                    self.path_option_change = None
                    self.path_protection = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection()
                    self.path_protection.parent = self
                    self.pce_delegation = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.PceDelegation()
                    self.pce_delegation.parent = self
                    self.pce_fail_reason = None
                    self.persistent_bytes = None
                    self.persistent_packets = None
                    self.re_opt_hold_down_timer_remaining = None
                    self.reoptimized_p2mp_lsp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp()
                    self.reoptimized_p2mp_lsp.parent = self
                    self.reoptimized_standby_p2mp_lsp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp()
                    self.reoptimized_standby_p2mp_lsp.parent = self
                    self.reroute_pending = None
                    self.role_standby = None
                    self.signaled_name = None
                    self.snmp_index = None
                    self.soft_preemption = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption()
                    self.soft_preemption.parent = self
                    self.te_tunnel_convergence = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence()
                    self.te_tunnel_convergence.parent = self
                    self.tie_breaker = None
                    self.tiebreaker_qualifier = None
                    self.tiebreaker_type = None
                    self.transport_tunnel_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo()
                    self.transport_tunnel_info.parent = self
                    self.tunnel_attribute_set_name = None
                    self.tunnel_attribute_set_type = None
                    self.tunnel_current_lsp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp()
                    self.tunnel_current_lsp.parent = self
                    self.tunnel_interface_name = None
                    self.tunnel_recovering = None
                    self.tunnel_restoration_lsp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp()
                    self.tunnel_restoration_lsp.parent = self
                    self.tunnel_standby_lsp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp()
                    self.tunnel_standby_lsp.parent = self
                    self.uptime = None
                    self.wdm_unitunnel = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.WdmUnitunnel()
                    self.wdm_unitunnel.parent = self
                    self.xro_attribute_set = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet()
                    self.xro_attribute_set.parent = self
                    self.xro_attribute_set_name = None


                class Config(object):
                    """
                    Configuration data
                    
                    .. attribute:: affinity
                    
                    	Affinity
                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity>`
                    
                    .. attribute:: affinity_failure_reopt_timer
                    
                    	AffinityFailureReoptTimer
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: autoroute_destination
                    
                    	Autoroute Destinations list
                    	**type**\: list of    :py:class:`AutorouteDestination <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.AutorouteDestination>`
                    
                    .. attribute:: backup_bandwidth
                    
                    	Backup bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: backup_bandwidth_flags
                    
                    	Backup bandwidth flags
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: bandwidth_type
                    
                    	The bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: bfd_config
                    
                    	BFD Configuration Information
                    	**type**\:   :py:class:`BfdConfig <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BfdConfig>`
                    
                    .. attribute:: bidirectional_config
                    
                    	Bidirectional Configuration Information
                    	**type**\:   :py:class:`BidirectionalConfig <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BidirectionalConfig>`
                    
                    .. attribute:: config_load_share
                    
                    	Config loadshare
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: configured_bandwidth
                    
                    	Configured Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: cost_limit
                    
                    	Cost limit on the tunnel path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: cost_limit_global
                    
                    	Global Cost Limit
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: disable_affinity_failure_reopt
                    
                    	DisableAffinityFailureReopt
                    	**type**\:  bool
                    
                    .. attribute:: explicit_null_imposition
                    
                    	Imposition of Explicit NULL
                    	**type**\:  bool
                    
                    .. attribute:: fast_reroute
                    
                    	Fast reroute enabled
                    	**type**\:  bool
                    
                    .. attribute:: forward_class
                    
                    	Forward class
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: hold_priority
                    
                    	Hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: hop_limit
                    
                    	Hop Limit
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: interface_configured_bandwidth
                    
                    	Configured Interface Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_backup_tunnel
                    
                    	TRUE if this is a backup tunnel
                    	**type**\:  bool
                    
                    .. attribute:: is_in_config
                    
                    	Is in config
                    	**type**\:  bool
                    
                    .. attribute:: is_p2mp
                    
                    	True if tunnel is a P2MP tunnel
                    	**type**\:  bool
                    
                    .. attribute:: path_invalidation_action
                    
                    	Path invalidation action on the tunnel path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_invalidation_action_source
                    
                    	Path invalidation action configuration source
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_invalidation_timeout
                    
                    	Path invalidation timeout interval on the tunnel path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_invalidation_timeout_source
                    
                    	Path invalidation timeout configuration source
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_protection_enabled
                    
                    	Path Protection enabled
                    	**type**\:  bool
                    
                    .. attribute:: payload_type
                    
                    	Payload type
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: policy_class
                    
                    	deprecated
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: policy_class_entry
                    
                    	PBTS policy classes
                    	**type**\:  list of int
                    
                    	**range:** 0..255
                    
                    .. attribute:: record_route
                    
                    	Record route
                    	**type**\:  bool
                    
                    .. attribute:: segment_routing_path_selection
                    
                    	Segment\-Routing path selection type
                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                    
                    .. attribute:: setup_priority
                    
                    	Setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: signaled_name
                    
                    	Signaled name
                    	**type**\:  str
                    
                    .. attribute:: soft_preempt
                    
                    	Soft preemption enabled
                    	**type**\:  bool
                    
                    .. attribute:: srlg_discovery
                    
                    	SRLG\-discovery enabled
                    	**type**\:  bool
                    
                    .. attribute:: tunnel_id
                    
                    	Tunnel id
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tunnel_name
                    
                    	Tunnel name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity()
                        self.affinity.parent = self
                        self.affinity_failure_reopt_timer = None
                        self.autoroute_destination = YList()
                        self.autoroute_destination.parent = self
                        self.autoroute_destination.name = 'autoroute_destination'
                        self.backup_bandwidth = None
                        self.backup_bandwidth_flags = None
                        self.bandwidth_type = None
                        self.bfd_config = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BfdConfig()
                        self.bfd_config.parent = self
                        self.bidirectional_config = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BidirectionalConfig()
                        self.bidirectional_config.parent = self
                        self.config_load_share = None
                        self.configured_bandwidth = None
                        self.cost_limit = None
                        self.cost_limit_global = None
                        self.disable_affinity_failure_reopt = None
                        self.explicit_null_imposition = None
                        self.fast_reroute = None
                        self.forward_class = None
                        self.hold_priority = None
                        self.hop_limit = None
                        self.interface_configured_bandwidth = None
                        self.is_backup_tunnel = None
                        self.is_in_config = None
                        self.is_p2mp = None
                        self.path_invalidation_action = None
                        self.path_invalidation_action_source = None
                        self.path_invalidation_timeout = None
                        self.path_invalidation_timeout_source = None
                        self.path_protection_enabled = None
                        self.payload_type = None
                        self.policy_class = None
                        self.policy_class_entry = YLeafList()
                        self.policy_class_entry.parent = self
                        self.policy_class_entry.name = 'policy_class_entry'
                        self.record_route = None
                        self.segment_routing_path_selection = None
                        self.setup_priority = None
                        self.signaled_name = None
                        self.soft_preempt = None
                        self.srlg_discovery = None
                        self.tunnel_id = None
                        self.tunnel_name = None


                    class Affinity(object):
                        """
                        Affinity
                        
                        .. attribute:: affinity_bits
                        
                        	The affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: affinity_mask
                        
                        	The affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: named_affinity
                        
                        	Array of name based constratints currently applied to the tunnel
                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity.NamedAffinity>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.affinity_bits = None
                            self.affinity_mask = None
                            self.named_affinity = YList()
                            self.named_affinity.parent = self
                            self.named_affinity.name = 'named_affinity'


                        class NamedAffinity(object):
                            """
                            Array of name based constratints currently
                            applied to the tunnel
                            
                            .. attribute:: constraint_extended_value
                            
                            	Constraint value
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: constraint_type
                            
                            	Constraint type
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: constraint_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: extended_forward_ref_value
                            
                            	Reference bits for undefined affinity names
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: forward_ref_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.constraint_extended_value = YLeafList()
                                self.constraint_extended_value.parent = self
                                self.constraint_extended_value.name = 'constraint_extended_value'
                                self.constraint_type = None
                                self.constraint_value = None
                                self.extended_forward_ref_value = YLeafList()
                                self.extended_forward_ref_value.parent = self
                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                self.forward_ref_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.constraint_extended_value is not None:
                                    for child in self.constraint_extended_value:
                                        if child is not None:
                                            return True

                                if self.constraint_type is not None:
                                    return True

                                if self.constraint_value is not None:
                                    return True

                                if self.extended_forward_ref_value is not None:
                                    for child in self.extended_forward_ref_value:
                                        if child is not None:
                                            return True

                                if self.forward_ref_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity.NamedAffinity']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.affinity_bits is not None:
                                return True

                            if self.affinity_mask is not None:
                                return True

                            if self.named_affinity is not None:
                                for child_ref in self.named_affinity:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity']['meta_info']


                    class BidirectionalConfig(object):
                        """
                        Bidirectional Configuration Information
                        
                        .. attribute:: association_corouted
                        
                        	Is the association co\-routed
                        	**type**\:  bool
                        
                        .. attribute:: association_global_id
                        
                        	The association global ID
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: association_id
                        
                        	The association ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: association_source
                        
                        	The association source
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: association_type
                        
                        	Association Type (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.association_corouted = None
                            self.association_global_id = None
                            self.association_id = None
                            self.association_source = None
                            self.association_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bidirectional-config'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.association_corouted is not None:
                                return True

                            if self.association_global_id is not None:
                                return True

                            if self.association_id is not None:
                                return True

                            if self.association_source is not None:
                                return True

                            if self.association_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BidirectionalConfig']['meta_info']


                    class BfdConfig(object):
                        """
                        BFD Configuration Information
                        
                        .. attribute:: bfd_encap_mode
                        
                        	BFD Encap Mode
                        	**type**\:   :py:class:`TeVifBfdEncapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEncapModeEnum>`
                        
                        .. attribute:: bfd_fast_detecting_enabled
                        
                        	Deprecated
                        	**type**\:  bool
                        
                        .. attribute:: bfd_session_down_action
                        
                        	BFD Session Down Action
                        	**type**\:   :py:class:`MplsTeBfdSessionDownAction1Enum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBfdSessionDownAction1Enum>`
                        
                        .. attribute:: bfd_session_down_reopt_timeout
                        
                        	BFD Session Down Reopt Timeout
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bfd_type
                        
                        	BFD Type
                        	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                        
                        .. attribute:: bring_up_timeout
                        
                        	Bring Up Timeout in second
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: bring_up_timeout_default
                        
                        	Is default bring up timeout
                        	**type**\:  bool
                        
                        .. attribute:: dampening_initial_wait
                        
                        	Dampening initial wait time in milliseconds
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: dampening_initial_wait_default
                        
                        	Is default dampening inital wait time
                        	**type**\:  bool
                        
                        .. attribute:: dampening_max_wait
                        
                        	Dampening max wait time in milliseconds
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: dampening_max_wait_default
                        
                        	Is default dampening max wait time
                        	**type**\:  bool
                        
                        .. attribute:: dampening_secondary_wait
                        
                        	Dampening secondary wait time in milliseconds
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: dampening_secondary_wait_default
                        
                        	Is default dampening secondary wait time
                        	**type**\:  bool
                        
                        .. attribute:: min_interval
                        
                        	Hello interval in milliseconds
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: min_interval_default
                        
                        	Is default hello interval
                        	**type**\:  bool
                        
                        .. attribute:: multiplier
                        
                        	Multiplier
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: multiplier_default
                        
                        	Is default multiplier
                        	**type**\:  bool
                        
                        .. attribute:: periodic_lsp_ping_disabled
                        
                        	Periodic LSP Ping disabled
                        	**type**\:  bool
                        
                        .. attribute:: periodic_lsp_ping_interval
                        
                        	Periodic LSP Ping interval in seconds
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: periodic_lsp_ping_interval_default
                        
                        	Is default LSP Ping interval
                        	**type**\:  bool
                        
                        .. attribute:: sbfd_target_id
                        
                        	SBFD Target ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bfd_encap_mode = None
                            self.bfd_fast_detecting_enabled = None
                            self.bfd_session_down_action = None
                            self.bfd_session_down_reopt_timeout = None
                            self.bfd_type = None
                            self.bring_up_timeout = None
                            self.bring_up_timeout_default = None
                            self.dampening_initial_wait = None
                            self.dampening_initial_wait_default = None
                            self.dampening_max_wait = None
                            self.dampening_max_wait_default = None
                            self.dampening_secondary_wait = None
                            self.dampening_secondary_wait_default = None
                            self.min_interval = None
                            self.min_interval_default = None
                            self.multiplier = None
                            self.multiplier_default = None
                            self.periodic_lsp_ping_disabled = None
                            self.periodic_lsp_ping_interval = None
                            self.periodic_lsp_ping_interval_default = None
                            self.sbfd_target_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-config'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bfd_encap_mode is not None:
                                return True

                            if self.bfd_fast_detecting_enabled is not None:
                                return True

                            if self.bfd_session_down_action is not None:
                                return True

                            if self.bfd_session_down_reopt_timeout is not None:
                                return True

                            if self.bfd_type is not None:
                                return True

                            if self.bring_up_timeout is not None:
                                return True

                            if self.bring_up_timeout_default is not None:
                                return True

                            if self.dampening_initial_wait is not None:
                                return True

                            if self.dampening_initial_wait_default is not None:
                                return True

                            if self.dampening_max_wait is not None:
                                return True

                            if self.dampening_max_wait_default is not None:
                                return True

                            if self.dampening_secondary_wait is not None:
                                return True

                            if self.dampening_secondary_wait_default is not None:
                                return True

                            if self.min_interval is not None:
                                return True

                            if self.min_interval_default is not None:
                                return True

                            if self.multiplier is not None:
                                return True

                            if self.multiplier_default is not None:
                                return True

                            if self.periodic_lsp_ping_disabled is not None:
                                return True

                            if self.periodic_lsp_ping_interval is not None:
                                return True

                            if self.periodic_lsp_ping_interval_default is not None:
                                return True

                            if self.sbfd_target_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BfdConfig']['meta_info']


                    class AutorouteDestination(object):
                        """
                        Autoroute Destinations list
                        
                        .. attribute:: destination_address
                        
                        	Destination address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: prefix_length
                        
                        	Prefix length
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.destination_address = None
                            self.prefix_length = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:autoroute-destination'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.destination_address is not None:
                                return True

                            if self.prefix_length is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.AutorouteDestination']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:config'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.affinity is not None and self.affinity._has_data():
                            return True

                        if self.affinity_failure_reopt_timer is not None:
                            return True

                        if self.autoroute_destination is not None:
                            for child_ref in self.autoroute_destination:
                                if child_ref._has_data():
                                    return True

                        if self.backup_bandwidth is not None:
                            return True

                        if self.backup_bandwidth_flags is not None:
                            return True

                        if self.bandwidth_type is not None:
                            return True

                        if self.bfd_config is not None and self.bfd_config._has_data():
                            return True

                        if self.bidirectional_config is not None and self.bidirectional_config._has_data():
                            return True

                        if self.config_load_share is not None:
                            return True

                        if self.configured_bandwidth is not None:
                            return True

                        if self.cost_limit is not None:
                            return True

                        if self.cost_limit_global is not None:
                            return True

                        if self.disable_affinity_failure_reopt is not None:
                            return True

                        if self.explicit_null_imposition is not None:
                            return True

                        if self.fast_reroute is not None:
                            return True

                        if self.forward_class is not None:
                            return True

                        if self.hold_priority is not None:
                            return True

                        if self.hop_limit is not None:
                            return True

                        if self.interface_configured_bandwidth is not None:
                            return True

                        if self.is_backup_tunnel is not None:
                            return True

                        if self.is_in_config is not None:
                            return True

                        if self.is_p2mp is not None:
                            return True

                        if self.path_invalidation_action is not None:
                            return True

                        if self.path_invalidation_action_source is not None:
                            return True

                        if self.path_invalidation_timeout is not None:
                            return True

                        if self.path_invalidation_timeout_source is not None:
                            return True

                        if self.path_protection_enabled is not None:
                            return True

                        if self.payload_type is not None:
                            return True

                        if self.policy_class is not None:
                            return True

                        if self.policy_class_entry is not None:
                            for child in self.policy_class_entry:
                                if child is not None:
                                    return True

                        if self.record_route is not None:
                            return True

                        if self.segment_routing_path_selection is not None:
                            return True

                        if self.setup_priority is not None:
                            return True

                        if self.signaled_name is not None:
                            return True

                        if self.soft_preempt is not None:
                            return True

                        if self.srlg_discovery is not None:
                            return True

                        if self.tunnel_id is not None:
                            return True

                        if self.tunnel_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config']['meta_info']


                class TunnelCurrentLsp(object):
                    """
                    Current LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel-current-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp']['meta_info']


                class ReoptimizedP2MpLsp(object):
                    """
                    Reopt LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reoptimized-p2mp-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp']['meta_info']


                class TunnelStandbyLsp(object):
                    """
                    Standby LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel-standby-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp']['meta_info']


                class ReoptimizedStandbyP2MpLsp(object):
                    """
                    Standby Reopt LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reoptimized-standby-p2mp-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp']['meta_info']


                class TunnelRestorationLsp(object):
                    """
                    Restoration LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel-restoration-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp']['meta_info']


                class DelayCleanPpLsp(object):
                    """
                    Delay Clean PP LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:delay-clean-pp-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp']['meta_info']


                class CleanedLsp(object):
                    """
                    Cleaned LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:cleaned-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp']['meta_info']


                class P2PInfo(object):
                    """
                    P2P specific info
                    
                    .. attribute:: auto_bandwidth_config
                    
                    	Tunnels's AutoBandwidth Configuration information
                    	**type**\:   :py:class:`AutoBandwidthConfig <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthConfig>`
                    
                    .. attribute:: auto_bandwidth_oper
                    
                    	Tunnels's AutoBandwidth Operational information
                    	**type**\:   :py:class:`AutoBandwidthOper <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthOper>`
                    
                    .. attribute:: auto_bandwidth_status
                    
                    	Tunnels's AutoBandwidth Status information
                    	**type**\:   :py:class:`AutoBandwidthStatus <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthStatus>`
                    
                    .. attribute:: is_bidirectional
                    
                    	TRUE if the tunnel is bidirectional
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.auto_bandwidth_config = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthConfig()
                        self.auto_bandwidth_config.parent = self
                        self.auto_bandwidth_oper = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthOper()
                        self.auto_bandwidth_oper.parent = self
                        self.auto_bandwidth_status = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthStatus()
                        self.auto_bandwidth_status.parent = self
                        self.is_bidirectional = None


                    class AutoBandwidthStatus(object):
                        """
                        Tunnels's AutoBandwidth Status information
                        
                        .. attribute:: is_auto_bandwidth_enabled
                        
                        	TRUE if auto\-bw is enabled for the tunnel
                        	**type**\:  bool
                        
                        .. attribute:: reactivation_time
                        
                        	Time until auto\-bw gets activated if activation has been delayed due to failover
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.is_auto_bandwidth_enabled = None
                            self.reactivation_time = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-bandwidth-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.is_auto_bandwidth_enabled is not None:
                                return True

                            if self.reactivation_time is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthStatus']['meta_info']


                    class AutoBandwidthConfig(object):
                        """
                        Tunnels's AutoBandwidth Configuration
                        information
                        
                        .. attribute:: adjustment_threshold_percent
                        
                        	Bandwidth change threshold needed to trigger bandwidth adjustment
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: adjustment_threshold_value
                        
                        	Bandwidth change value (kbps) needed to trigger bandwidth adjustment
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: application_frequency
                        
                        	Auto\-bw application frequency for the tunnel (mins)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: minute
                        
                        .. attribute:: collection_frequency
                        
                        	Global auto\-bw collection frequency
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: is_auto_bandwidth_collect_only
                        
                        	TRUE if auto\-bw collection\-only is enabled
                        	**type**\:  bool
                        
                        .. attribute:: maximum_bandwidth
                        
                        	Maximum bandwidth auto\-bw can apply
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: minimum_bandwidth
                        
                        	Minimum bandwidth auto\-bw can apply
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: overflow_threshold_limit
                        
                        	Limit of consecutive collections exceeding threshold to trigger an immediate overflow bandwidth adjustment
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: overflow_threshold_percent
                        
                        	Bandwidth change threshold needed to count a collection towards overflow limit allowed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: overflow_threshold_value
                        
                        	Bandwidth change value needed to count a collection towards overflow limit allowed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: underflow_threshold_limit
                        
                        	Limit of consecutive collections exceeding threshold to trigger an immediate underflow bandwidth adjustment
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: underflow_threshold_percent
                        
                        	Bandwidth change threshold needed to count a collection towards underflow limit allowed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: underflow_threshold_value
                        
                        	Bandwidth change value needed to count a collection towards underflow limit allowed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.adjustment_threshold_percent = None
                            self.adjustment_threshold_value = None
                            self.application_frequency = None
                            self.collection_frequency = None
                            self.is_auto_bandwidth_collect_only = None
                            self.maximum_bandwidth = None
                            self.minimum_bandwidth = None
                            self.overflow_threshold_limit = None
                            self.overflow_threshold_percent = None
                            self.overflow_threshold_value = None
                            self.underflow_threshold_limit = None
                            self.underflow_threshold_percent = None
                            self.underflow_threshold_value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-bandwidth-config'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.adjustment_threshold_percent is not None:
                                return True

                            if self.adjustment_threshold_value is not None:
                                return True

                            if self.application_frequency is not None:
                                return True

                            if self.collection_frequency is not None:
                                return True

                            if self.is_auto_bandwidth_collect_only is not None:
                                return True

                            if self.maximum_bandwidth is not None:
                                return True

                            if self.minimum_bandwidth is not None:
                                return True

                            if self.overflow_threshold_limit is not None:
                                return True

                            if self.overflow_threshold_percent is not None:
                                return True

                            if self.overflow_threshold_value is not None:
                                return True

                            if self.underflow_threshold_limit is not None:
                                return True

                            if self.underflow_threshold_percent is not None:
                                return True

                            if self.underflow_threshold_value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthConfig']['meta_info']


                    class AutoBandwidthOper(object):
                        """
                        Tunnels's AutoBandwidth Operational information
                        
                        .. attribute:: application_jitter
                        
                        	Amount of time introduced to delay first application so that not all tunnels may signal BW at the same time
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: application_reject_reason
                        
                        	Current application reject reason
                        	**type**\:   :py:class:`TeAutobwAppRejEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAutobwAppRejEnum>`
                        
                        .. attribute:: bandwidth_applications
                        
                        	Total number of bandwidth applications requested by auto\-bw
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bandwidth_pool_type
                        
                        	Bandwidth pool type
                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                        
                        .. attribute:: collect_only_requested_bandwidth
                        
                        	Collect\-only Requested Bandwidth for the tunnel
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: highest_bandwidth
                        
                        	Highest bandwidth registered within current application period
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: last_application_trigger
                        
                        	The reason causing the last BW application
                        	**type**\:   :py:class:`TeAutobwAppTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAutobwAppTriggerEnum>`
                        
                        .. attribute:: last_bandwidth_applied
                        
                        	Last bandwidth requested by auto\-bw for the tunnel
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: overflow_early_bw_applications
                        
                        	tunnel counter for number of bandwidth applications due to overflow
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: samples_collected
                        
                        	Number of samples collected within current application period
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: threshold_overflows
                        
                        	counter for current consecutive collections exceeding threshold
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: threshold_underflows
                        
                        	counter for current consecutive collections exceeding threshold
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_left_application
                        
                        	Time left until next auto\-bw application algorithm is performed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_left_collection
                        
                        	Time left until next auto\-bw data collection is performed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: underflow_early_bw_applications
                        
                        	tunnel counter for number of bandwidth applications due to underflow
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: underflow_highest_bandwidth
                        
                        	Highest sample collected during an underflow sequence
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.application_jitter = None
                            self.application_reject_reason = None
                            self.bandwidth_applications = None
                            self.bandwidth_pool_type = None
                            self.collect_only_requested_bandwidth = None
                            self.highest_bandwidth = None
                            self.last_application_trigger = None
                            self.last_bandwidth_applied = None
                            self.overflow_early_bw_applications = None
                            self.samples_collected = None
                            self.threshold_overflows = None
                            self.threshold_underflows = None
                            self.time_left_application = None
                            self.time_left_collection = None
                            self.underflow_early_bw_applications = None
                            self.underflow_highest_bandwidth = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-bandwidth-oper'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.application_jitter is not None:
                                return True

                            if self.application_reject_reason is not None:
                                return True

                            if self.bandwidth_applications is not None:
                                return True

                            if self.bandwidth_pool_type is not None:
                                return True

                            if self.collect_only_requested_bandwidth is not None:
                                return True

                            if self.highest_bandwidth is not None:
                                return True

                            if self.last_application_trigger is not None:
                                return True

                            if self.last_bandwidth_applied is not None:
                                return True

                            if self.overflow_early_bw_applications is not None:
                                return True

                            if self.samples_collected is not None:
                                return True

                            if self.threshold_overflows is not None:
                                return True

                            if self.threshold_underflows is not None:
                                return True

                            if self.time_left_application is not None:
                                return True

                            if self.time_left_collection is not None:
                                return True

                            if self.underflow_early_bw_applications is not None:
                                return True

                            if self.underflow_highest_bandwidth is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthOper']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:p2p-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.auto_bandwidth_config is not None and self.auto_bandwidth_config._has_data():
                            return True

                        if self.auto_bandwidth_oper is not None and self.auto_bandwidth_oper._has_data():
                            return True

                        if self.auto_bandwidth_status is not None and self.auto_bandwidth_status._has_data():
                            return True

                        if self.is_bidirectional is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo']['meta_info']


                class History(object):
                    """
                    Tunnel history
                    
                    .. attribute:: current_setup
                    
                    	Current setup data
                    	**type**\:   :py:class:`CurrentSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup>`
                    
                    .. attribute:: gmpls_other_protect_setup
                    
                    	GMPLS additional protecting setup data
                    	**type**\:   :py:class:`GmplsOtherProtectSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherProtectSetup>`
                    
                    .. attribute:: gmpls_other_setup
                    
                    	GMPLS additional setup data
                    	**type**\:   :py:class:`GmplsOtherSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherSetup>`
                    
                    .. attribute:: gmpls_path_protect_setup
                    
                    	GMPLS protecting setup data
                    	**type**\:   :py:class:`GmplsPathProtectSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsPathProtectSetup>`
                    
                    .. attribute:: last_re_opt_fail
                    
                    	Last re\-opt attempt failure information
                    	**type**\:   :py:class:`LastReOptFail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastReOptFail>`
                    
                    .. attribute:: last_stdby_re_opt_fail
                    
                    	Last standby re\-opt attempt failure information
                    	**type**\:   :py:class:`LastStdbyReOptFail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastStdbyReOptFail>`
                    
                    .. attribute:: previous_gmpls_path_protect_setup
                    
                    	Previous GMPLS protecting setup data
                    	**type**\:   :py:class:`PreviousGmplsPathProtectSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousGmplsPathProtectSetup>`
                    
                    .. attribute:: previous_setup
                    
                    	Previous setup data
                    	**type**\:   :py:class:`PreviousSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousSetup>`
                    
                    .. attribute:: reopt_setup
                    
                    	Reoptimized setup data
                    	**type**\:   :py:class:`ReoptSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.ReoptSetup>`
                    
                    .. attribute:: standby_reopt_setup
                    
                    	Standby Reopt setup data
                    	**type**\:   :py:class:`StandbyReoptSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbyReoptSetup>`
                    
                    .. attribute:: standby_setup
                    
                    	Standby setup data
                    	**type**\:   :py:class:`StandbySetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbySetup>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.current_setup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup()
                        self.current_setup.parent = self
                        self.gmpls_other_protect_setup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherProtectSetup()
                        self.gmpls_other_protect_setup.parent = self
                        self.gmpls_other_setup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherSetup()
                        self.gmpls_other_setup.parent = self
                        self.gmpls_path_protect_setup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsPathProtectSetup()
                        self.gmpls_path_protect_setup.parent = self
                        self.last_re_opt_fail = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastReOptFail()
                        self.last_re_opt_fail.parent = self
                        self.last_stdby_re_opt_fail = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastStdbyReOptFail()
                        self.last_stdby_re_opt_fail.parent = self
                        self.previous_gmpls_path_protect_setup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousGmplsPathProtectSetup()
                        self.previous_gmpls_path_protect_setup.parent = self
                        self.previous_setup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousSetup()
                        self.previous_setup.parent = self
                        self.reopt_setup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.ReoptSetup()
                        self.reopt_setup.parent = self
                        self.standby_reopt_setup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbyReoptSetup()
                        self.standby_reopt_setup.parent = self
                        self.standby_setup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbySetup()
                        self.standby_setup.parent = self


                    class CurrentSetup(object):
                        """
                        Current setup data
                        
                        .. attribute:: connected_uptimes
                        
                        	Uptimes for connected setup
                        	**type**\:   :py:class:`ConnectedUptimes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup.ConnectedUptimes>`
                        
                        .. attribute:: current_setup_last_error
                        
                        	The last error for the current setup
                        	**type**\:  str
                        
                        .. attribute:: current_setup_timer
                        
                        	Time in seconds until the next attempt to connect this setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: selection_reason
                        
                        	The reason why this setup is selected. For display purposes only
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.connected_uptimes = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup.ConnectedUptimes()
                            self.connected_uptimes.parent = self
                            self.current_setup_last_error = None
                            self.current_setup_timer = None
                            self.selection_reason = None


                        class ConnectedUptimes(object):
                            """
                            Uptimes for connected setup
                            
                            .. attribute:: current_lsp_uptime
                            
                            	Time in seconds since the current LSP was up
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: current_uptime
                            
                            	Time in seconds since the tunnel was up
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.current_lsp_uptime = None
                                self.current_uptime = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:connected-uptimes'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.current_lsp_uptime is not None:
                                    return True

                                if self.current_uptime is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup.ConnectedUptimes']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:current-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.connected_uptimes is not None and self.connected_uptimes._has_data():
                                return True

                            if self.current_setup_last_error is not None:
                                return True

                            if self.current_setup_timer is not None:
                                return True

                            if self.selection_reason is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup']['meta_info']


                    class ReoptSetup(object):
                        """
                        Reoptimized setup data
                        
                        .. attribute:: reoptimized_setup_last_error
                        
                        	The last error for the reopt setup
                        	**type**\:  str
                        
                        .. attribute:: reoptimized_setup_timer
                        
                        	Time in seconds until the next attempt to connect the reopt setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: reoptimized_setup_uptime
                        
                        	Time in seconds since the reopt setup came up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.reoptimized_setup_last_error = None
                            self.reoptimized_setup_timer = None
                            self.reoptimized_setup_uptime = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reopt-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.reoptimized_setup_last_error is not None:
                                return True

                            if self.reoptimized_setup_timer is not None:
                                return True

                            if self.reoptimized_setup_uptime is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.ReoptSetup']['meta_info']


                    class GmplsPathProtectSetup(object):
                        """
                        GMPLS protecting setup data
                        
                        .. attribute:: protecting_setup_last_error
                        
                        	The last error for the protecting setup (for display purposes only)
                        	**type**\:  str
                        
                        .. attribute:: protecting_setup_timer
                        
                        	Time in seconds until the next attempt to connect the protecting setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: protecting_setup_uptime
                        
                        	Time in seconds since the protecting setup came up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.protecting_setup_last_error = None
                            self.protecting_setup_timer = None
                            self.protecting_setup_uptime = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-path-protect-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.protecting_setup_last_error is not None:
                                return True

                            if self.protecting_setup_timer is not None:
                                return True

                            if self.protecting_setup_uptime is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsPathProtectSetup']['meta_info']


                    class PreviousSetup(object):
                        """
                        Previous setup data
                        
                        .. attribute:: previous_fail_reason
                        
                        	Reason for the previous setup's failure
                        	**type**\:  str
                        
                        .. attribute:: previous_path_option
                        
                        	The previous setup path option
                        	**type**\:  str
                        
                        .. attribute:: previous_setup_last_error
                        
                        	The last error for the previous setup
                        	**type**\:  str
                        
                        .. attribute:: previous_tunnel_instance
                        
                        	The previous setup's instance
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.previous_fail_reason = None
                            self.previous_path_option = None
                            self.previous_setup_last_error = None
                            self.previous_tunnel_instance = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.previous_fail_reason is not None:
                                return True

                            if self.previous_path_option is not None:
                                return True

                            if self.previous_setup_last_error is not None:
                                return True

                            if self.previous_tunnel_instance is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousSetup']['meta_info']


                    class PreviousGmplsPathProtectSetup(object):
                        """
                        Previous GMPLS protecting setup data
                        
                        .. attribute:: previous_protect_fail_reason
                        
                        	Reason for the previous protect setup's failure
                        	**type**\:  str
                        
                        .. attribute:: previous_protect_path_option
                        
                        	The previous protect setup path option
                        	**type**\:  str
                        
                        .. attribute:: previous_protect_setup_last_error
                        
                        	The last error for the previous setup
                        	**type**\:  str
                        
                        .. attribute:: previous_protect_tunnel_instance
                        
                        	The previous protect setup's instance
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.previous_protect_fail_reason = None
                            self.previous_protect_path_option = None
                            self.previous_protect_setup_last_error = None
                            self.previous_protect_tunnel_instance = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-gmpls-path-protect-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.previous_protect_fail_reason is not None:
                                return True

                            if self.previous_protect_path_option is not None:
                                return True

                            if self.previous_protect_setup_last_error is not None:
                                return True

                            if self.previous_protect_tunnel_instance is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousGmplsPathProtectSetup']['meta_info']


                    class GmplsOtherSetup(object):
                        """
                        GMPLS additional setup data
                        
                        .. attribute:: other_setup_error
                        
                        	The last error for the additional setup
                        	**type**\:  str
                        
                        .. attribute:: path_option_index
                        
                        	Path option index for the additional setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.other_setup_error = None
                            self.path_option_index = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-other-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.other_setup_error is not None:
                                return True

                            if self.path_option_index is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherSetup']['meta_info']


                    class GmplsOtherProtectSetup(object):
                        """
                        GMPLS additional protecting setup data
                        
                        .. attribute:: other_setup_error
                        
                        	The last error for the additional setup
                        	**type**\:  str
                        
                        .. attribute:: path_option_index
                        
                        	Path option index for the additional setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.other_setup_error = None
                            self.path_option_index = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-other-protect-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.other_setup_error is not None:
                                return True

                            if self.path_option_index is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherProtectSetup']['meta_info']


                    class StandbySetup(object):
                        """
                        Standby setup data
                        
                        .. attribute:: standby_lsp_uptime
                        
                        	Time in seconds since the standby LSP was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: standby_setup_timer
                        
                        	Time in seconds until the next attempt to connect this setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.standby_lsp_uptime = None
                            self.standby_setup_timer = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:standby-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.standby_lsp_uptime is not None:
                                return True

                            if self.standby_setup_timer is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbySetup']['meta_info']


                    class StandbyReoptSetup(object):
                        """
                        Standby Reopt setup data
                        
                        .. attribute:: reoptimized_setup_last_error
                        
                        	The last error for the reopt setup
                        	**type**\:  str
                        
                        .. attribute:: reoptimized_setup_timer
                        
                        	Time in seconds until the next attempt to connect the reopt setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: reoptimized_setup_uptime
                        
                        	Time in seconds since the reopt setup came up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.reoptimized_setup_last_error = None
                            self.reoptimized_setup_timer = None
                            self.reoptimized_setup_uptime = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:standby-reopt-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.reoptimized_setup_last_error is not None:
                                return True

                            if self.reoptimized_setup_timer is not None:
                                return True

                            if self.reoptimized_setup_uptime is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbyReoptSetup']['meta_info']


                    class LastReOptFail(object):
                        """
                        Last re\-opt attempt failure information
                        
                        .. attribute:: re_opt_failed_destination
                        
                        	First tunnel destination (if any) in re\-opt LSP that failed to come up
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: re_opt_failed_timestamp
                        
                        	Time stamp of the last re\-opt failure. (seconds since Jan. 1, 1970)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: re_opt_last_fail_reason
                        
                        	Reason (if any) for the last re\-opt attempt failure
                        	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.re_opt_failed_destination = None
                            self.re_opt_failed_timestamp = None
                            self.re_opt_last_fail_reason = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:last-re-opt-fail'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.re_opt_failed_destination is not None:
                                return True

                            if self.re_opt_failed_timestamp is not None:
                                return True

                            if self.re_opt_last_fail_reason is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastReOptFail']['meta_info']


                    class LastStdbyReOptFail(object):
                        """
                        Last standby re\-opt attempt failure information
                        
                        .. attribute:: re_opt_failed_destination
                        
                        	First tunnel destination (if any) in re\-opt LSP that failed to come up
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: re_opt_failed_timestamp
                        
                        	Time stamp of the last re\-opt failure. (seconds since Jan. 1, 1970)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: re_opt_last_fail_reason
                        
                        	Reason (if any) for the last re\-opt attempt failure
                        	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.re_opt_failed_destination = None
                            self.re_opt_failed_timestamp = None
                            self.re_opt_last_fail_reason = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:last-stdby-re-opt-fail'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.re_opt_failed_destination is not None:
                                return True

                            if self.re_opt_failed_timestamp is not None:
                                return True

                            if self.re_opt_last_fail_reason is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastStdbyReOptFail']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:history'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.current_setup is not None and self.current_setup._has_data():
                            return True

                        if self.gmpls_other_protect_setup is not None and self.gmpls_other_protect_setup._has_data():
                            return True

                        if self.gmpls_other_setup is not None and self.gmpls_other_setup._has_data():
                            return True

                        if self.gmpls_path_protect_setup is not None and self.gmpls_path_protect_setup._has_data():
                            return True

                        if self.last_re_opt_fail is not None and self.last_re_opt_fail._has_data():
                            return True

                        if self.last_stdby_re_opt_fail is not None and self.last_stdby_re_opt_fail._has_data():
                            return True

                        if self.previous_gmpls_path_protect_setup is not None and self.previous_gmpls_path_protect_setup._has_data():
                            return True

                        if self.previous_setup is not None and self.previous_setup._has_data():
                            return True

                        if self.reopt_setup is not None and self.reopt_setup._has_data():
                            return True

                        if self.standby_reopt_setup is not None and self.standby_reopt_setup._has_data():
                            return True

                        if self.standby_setup is not None and self.standby_setup._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']


                class PathProtection(object):
                    """
                    Path Protect Info
                    
                    .. attribute:: diversity_type
                    
                    	Standby path diversity type
                    	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                    
                    .. attribute:: is_path_protect_configured
                    
                    	Is Path Protection Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_protect_switch_over_underway
                    
                    	Is Switchover Underway
                    	**type**\:  bool
                    
                    .. attribute:: path_protection_protected_by_id
                    
                    	The path option ID (level/index) of the configured explicit protecting path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: reoptimization_time_remaining
                    
                    	Remaining time until path protection reoptimization (seconds)
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: standby_reoptimized_number
                    
                    	Number of times the standby LSP was reoptimized
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: switchover
                    
                    	Path Protected Switchover Information
                    	**type**\:   :py:class:`Switchover <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection.Switchover>`
                    
                    .. attribute:: switchover_ready
                    
                    	Total times, Standby LSP ready for use
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: switchover_reason
                    
                    	Reason for last switchover
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: switchover_total
                    
                    	Number of times switchover occurred
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: time_of_switchover_sec
                    
                    	The date when the switchover was completed. This date is the number of seconds since Jan 1st 1970
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: valid_path_protection_path_option_exists
                    
                    	Flag to indicate whether tunnel has a path\-option which is valid for path\-protection
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.diversity_type = None
                        self.is_path_protect_configured = None
                        self.is_path_protect_switch_over_underway = None
                        self.path_protection_protected_by_id = None
                        self.reoptimization_time_remaining = None
                        self.standby_reoptimized_number = None
                        self.switchover = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection.Switchover()
                        self.switchover.parent = self
                        self.switchover_ready = None
                        self.switchover_reason = None
                        self.switchover_total = None
                        self.time_of_switchover_sec = None
                        self.valid_path_protection_path_option_exists = None


                    class Switchover(object):
                        """
                        Path Protected Switchover Information
                        
                        .. attribute:: date_of_error_detection
                        
                        	The date when the error that caused the switchover was detected. This date is the number of seconds since Jan 1st 1970
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: date_of_error_detection_millisec
                        
                        	The milliseconds offset of the date when the error that caused  the switchover was detected
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: from_lsp_id
                        
                        	The LSP ID from which the traffic was switched over
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: path_protection_switchover_event_index
                        
                        	The index number of the path protection switch over event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_protection_switchover_reason
                        
                        	The reason that caused the path protection switchover
                        	**type**\:   :py:class:`TeP2MpS2LDeletionSubcauseEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeP2MpS2LDeletionSubcauseEnum>`
                        
                        .. attribute:: path_protection_tunnel_id
                        
                        	The ID of the tunnel that experienced switchover
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: switchover_duration_millisec
                        
                        	The time in milliseconds between the detection of the error and switching the traffic
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: to_lsp_id
                        
                        	The LSP ID to which the traffic was switched over
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.date_of_error_detection = None
                            self.date_of_error_detection_millisec = None
                            self.from_lsp_id = None
                            self.path_protection_switchover_event_index = None
                            self.path_protection_switchover_reason = None
                            self.path_protection_tunnel_id = None
                            self.switchover_duration_millisec = None
                            self.to_lsp_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:switchover'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.date_of_error_detection is not None:
                                return True

                            if self.date_of_error_detection_millisec is not None:
                                return True

                            if self.from_lsp_id is not None:
                                return True

                            if self.path_protection_switchover_event_index is not None:
                                return True

                            if self.path_protection_switchover_reason is not None:
                                return True

                            if self.path_protection_tunnel_id is not None:
                                return True

                            if self.switchover_duration_millisec is not None:
                                return True

                            if self.to_lsp_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection.Switchover']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-protection'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.diversity_type is not None:
                            return True

                        if self.is_path_protect_configured is not None:
                            return True

                        if self.is_path_protect_switch_over_underway is not None:
                            return True

                        if self.path_protection_protected_by_id is not None:
                            return True

                        if self.reoptimization_time_remaining is not None:
                            return True

                        if self.standby_reoptimized_number is not None:
                            return True

                        if self.switchover is not None and self.switchover._has_data():
                            return True

                        if self.switchover_ready is not None:
                            return True

                        if self.switchover_reason is not None:
                            return True

                        if self.switchover_total is not None:
                            return True

                        if self.time_of_switchover_sec is not None:
                            return True

                        if self.valid_path_protection_path_option_exists is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection']['meta_info']


                class AutoBackup(object):
                    """
                    Autobackup Information
                    
                    .. attribute:: ab_protected_interface
                    
                    	Protected Interface
                    	**type**\:  str
                    
                    .. attribute:: ab_protection_type
                    
                    	Protection type
                    	**type**\:   :py:class:`AutoBackupProtectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AutoBackupProtectionEnum>`
                    
                    .. attribute:: iep
                    
                    	List of IEPs for the path options on this tunnel
                    	**type**\: list of    :py:class:`Iep <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep>`
                    
                    .. attribute:: is_unused_removal_timer_running
                    
                    	Indicates if the unused removal timer is running
                    	**type**\:  bool
                    
                    .. attribute:: is_using_srlg
                    
                    	Indicates whether SRLG Path Option is in use
                    	**type**\:  bool
                    
                    .. attribute:: protected_address
                    
                    	Protected Address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: protected_ls_ps
                    
                    	Number Of Protected LSPs
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: protected_s2_ls
                    
                    	Number of Protected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sharing_families
                    
                    	Number of S2L Sharing Families
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srlg_prot_type
                    
                    	SRLG Protection Type
                    	**type**\:   :py:class:`AutoBackupSrlgModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AutoBackupSrlgModeEnum>`
                    
                    .. attribute:: tunnel_attribute_set_name
                    
                    	AttributeSet name
                    	**type**\:  str
                    
                    .. attribute:: unused_removal_remaining_time
                    
                    	Time Remaining in Unused Removal Time in seconds
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: weighted_srlg_info
                    
                    	Weighted SRLG info for the autobackup tunnel
                    	**type**\:   :py:class:`WeightedSrlgInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.ab_protected_interface = None
                        self.ab_protection_type = None
                        self.iep = YList()
                        self.iep.parent = self
                        self.iep.name = 'iep'
                        self.is_unused_removal_timer_running = None
                        self.is_using_srlg = None
                        self.protected_address = None
                        self.protected_ls_ps = None
                        self.protected_s2_ls = None
                        self.sharing_families = None
                        self.srlg_prot_type = None
                        self.tunnel_attribute_set_name = None
                        self.unused_removal_remaining_time = None
                        self.weighted_srlg_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo()
                        self.weighted_srlg_info.parent = self


                    class WeightedSrlgInfo(object):
                        """
                        Weighted SRLG info for the autobackup tunnel
                        
                        .. attribute:: protected_interface_srlg
                        
                        	SRLG values and admin weight penalties of the protected interface
                        	**type**\: list of    :py:class:`ProtectedInterfaceSrlg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg>`
                        
                        .. attribute:: weighted_srlg_hop
                        
                        	Autobackup hops and the common SRLG with the protected interface
                        	**type**\: list of    :py:class:`WeightedSrlgHop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.protected_interface_srlg = YList()
                            self.protected_interface_srlg.parent = self
                            self.protected_interface_srlg.name = 'protected_interface_srlg'
                            self.weighted_srlg_hop = YList()
                            self.weighted_srlg_hop.parent = self
                            self.weighted_srlg_hop.name = 'weighted_srlg_hop'


                        class ProtectedInterfaceSrlg(object):
                            """
                            SRLG values and admin weight penalties of the
                            protected interface
                            
                            .. attribute:: admin_weight
                            
                            	Admin weight
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.admin_weight = None
                                self.srlg = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface-srlg'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.admin_weight is not None:
                                    return True

                                if self.srlg is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg']['meta_info']


                        class WeightedSrlgHop(object):
                            """
                            Autobackup hops and the common SRLG with the
                            protected interface
                            
                            .. attribute:: aggregate_admin_weight
                            
                            	Sum of the admin weights for all the common SRLG values
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            .. attribute:: common_srlg
                            
                            	Common SRLG between this hop and the protected interface
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: from_address
                            
                            	Local IP address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: to_address
                            
                            	Remote IP address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aggregate_admin_weight = None
                                self.common_srlg = YLeafList()
                                self.common_srlg.parent = self
                                self.common_srlg.name = 'common_srlg'
                                self.from_address = None
                                self.to_address = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:weighted-srlg-hop'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aggregate_admin_weight is not None:
                                    return True

                                if self.common_srlg is not None:
                                    for child in self.common_srlg:
                                        if child is not None:
                                            return True

                                if self.from_address is not None:
                                    return True

                                if self.to_address is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:weighted-srlg-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.protected_interface_srlg is not None:
                                for child_ref in self.protected_interface_srlg:
                                    if child_ref._has_data():
                                        return True

                            if self.weighted_srlg_hop is not None:
                                for child_ref in self.weighted_srlg_hop:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo']['meta_info']


                    class Iep(object):
                        """
                        List of IEPs for the path options on this tunnel
                        
                        .. attribute:: iep_hop
                        
                        	IEP Hop List
                        	**type**\: list of    :py:class:`IepHop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep.IepHop>`
                        
                        .. attribute:: path_option_id
                        
                        	Path option ID this IEP is associated with
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.iep_hop = YList()
                            self.iep_hop.parent = self
                            self.iep_hop.name = 'iep_hop'
                            self.path_option_id = None


                        class IepHop(object):
                            """
                            IEP Hop List
                            
                            .. attribute:: hop_index
                            
                            	Hop Index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: iep_hop_address
                            
                            	IEP Hop Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: iep_hop_type
                            
                            	IEP type
                            	**type**\:   :py:class:`MplsTeIepHopEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeIepHopEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_index = None
                                self.iep_hop_address = None
                                self.iep_hop_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:iep-hop'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_index is not None:
                                    return True

                                if self.iep_hop_address is not None:
                                    return True

                                if self.iep_hop_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep.IepHop']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:iep'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.iep_hop is not None:
                                for child_ref in self.iep_hop:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-backup'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.ab_protected_interface is not None:
                            return True

                        if self.ab_protection_type is not None:
                            return True

                        if self.iep is not None:
                            for child_ref in self.iep:
                                if child_ref._has_data():
                                    return True

                        if self.is_unused_removal_timer_running is not None:
                            return True

                        if self.is_using_srlg is not None:
                            return True

                        if self.protected_address is not None:
                            return True

                        if self.protected_ls_ps is not None:
                            return True

                        if self.protected_s2_ls is not None:
                            return True

                        if self.sharing_families is not None:
                            return True

                        if self.srlg_prot_type is not None:
                            return True

                        if self.tunnel_attribute_set_name is not None:
                            return True

                        if self.unused_removal_remaining_time is not None:
                            return True

                        if self.weighted_srlg_info is not None and self.weighted_srlg_info._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup']['meta_info']


                class AutoMesh(object):
                    """
                    Automesh Information
                    
                    .. attribute:: is_tunnel_unused_timer_running
                    
                    	Flag to indicate whether unused timer running
                    	**type**\:  bool
                    
                    .. attribute:: mesh_group_id
                    
                    	Auto\-mesh tunnel Mesh Group ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: mesh_group_type
                    
                    	Auto\-tunnel mesh group type
                    	**type**\:   :py:class:`TeMeshgroupEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMeshgroupEnum>`
                    
                    .. attribute:: remaining_unused_time
                    
                    	Remaining time for unused timer in seconds
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: tunnel_destination_list_name
                    
                    	Destination List name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.is_tunnel_unused_timer_running = None
                        self.mesh_group_id = None
                        self.mesh_group_type = None
                        self.remaining_unused_time = None
                        self.tunnel_destination_list_name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-mesh'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.is_tunnel_unused_timer_running is not None:
                            return True

                        if self.mesh_group_id is not None:
                            return True

                        if self.mesh_group_type is not None:
                            return True

                        if self.remaining_unused_time is not None:
                            return True

                        if self.tunnel_destination_list_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoMesh']['meta_info']


                class AutoPcc(object):
                    """
                    Auto\-PCC Information
                    
                    .. attribute:: creator_address
                    
                    	Address of creating node
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: creator_id
                    
                    	ID of creating node
                    	**type**\:  str
                    
                    .. attribute:: has_creator_id
                    
                    	Indicates if the ID of the creating node is set
                    	**type**\:  bool
                    
                    .. attribute:: operationally_up
                    
                    	Operationally up
                    	**type**\:  bool
                    
                    .. attribute:: owner_address
                    
                    	Address of owner node
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: plspid
                    
                    	PLSP ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: symbolic_name
                    
                    	Symbolic name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.creator_address = None
                        self.creator_id = None
                        self.has_creator_id = None
                        self.operationally_up = None
                        self.owner_address = None
                        self.plspid = None
                        self.symbolic_name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-pcc'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.creator_address is not None:
                            return True

                        if self.creator_id is not None:
                            return True

                        if self.has_creator_id is not None:
                            return True

                        if self.operationally_up is not None:
                            return True

                        if self.owner_address is not None:
                            return True

                        if self.plspid is not None:
                            return True

                        if self.symbolic_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoPcc']['meta_info']


                class PceDelegation(object):
                    """
                    PCE Delegation information
                    
                    .. attribute:: operationally_up
                    
                    	Operationally up
                    	**type**\:  bool
                    
                    .. attribute:: owner_address
                    
                    	Address of owner node
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: plsp_id
                    
                    	PLSP ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: symbolic_name
                    
                    	Symbolic name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.operationally_up = None
                        self.owner_address = None
                        self.plsp_id = None
                        self.symbolic_name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:pce-delegation'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.operationally_up is not None:
                            return True

                        if self.owner_address is not None:
                            return True

                        if self.plsp_id is not None:
                            return True

                        if self.symbolic_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.PceDelegation']['meta_info']


                class SoftPreemption(object):
                    """
                    Tunnel head soft preemption info. This is NULL
                    if soft preemption is not configured
                    
                    .. attribute:: preemption_pending_resolution
                    
                    	Indicates how the soft preemption operation ended
                    	**type**\:   :py:class:`MplsTeSoftPreemptionResolutionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionResolutionEnum>`
                    
                    .. attribute:: soft_preemption_counters
                    
                    	The soft preemption counters for this tunnel head
                    	**type**\:   :py:class:`SoftPreemptionCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionCounters>`
                    
                    .. attribute:: soft_preemption_path_error
                    
                    	The array of soft preemption path errors info received for the LSP that is being soft preempted
                    	**type**\: list of    :py:class:`SoftPreemptionPathError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionPathError>`
                    
                    .. attribute:: status
                    
                    	The preemption state
                    	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                    
                    .. attribute:: time_in_preemption_pending
                    
                    	The number of seconds that were spent in the preemption\-pending state
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.preemption_pending_resolution = None
                        self.soft_preemption_counters = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionCounters()
                        self.soft_preemption_counters.parent = self
                        self.soft_preemption_path_error = YList()
                        self.soft_preemption_path_error.parent = self
                        self.soft_preemption_path_error.name = 'soft_preemption_path_error'
                        self.status = None
                        self.time_in_preemption_pending = None


                    class SoftPreemptionCounters(object):
                        """
                        The soft preemption counters for this tunnel
                        head
                        
                        .. attribute:: frr_triggered_ls_ps
                        
                        	The number of soft preempted LSPs that were fast rerouted at the             headend or any remote node before the reoptimization is done
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_protection_switchover_ls_ps
                        
                        	The number of soft preempted LSPs that were switched over to a             standby LSP
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: reopt_completed_ls_ps
                        
                        	The number of soft preempted LSPs that were torn down by the ingress router after the reopt LSP was successfully setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: soft_preemption_events
                        
                        	The number of soft preemption events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_in_preemption_pending_avg
                        
                        	The average time in seconds that an LSP was in preemption pending state
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        .. attribute:: time_in_preemption_pending_max
                        
                        	The maximum time in seconds that an LSP was in preemption pending state
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        .. attribute:: time_in_preemption_pending_min
                        
                        	The minimum time in seconds that an LSP was in preemption pending state
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        .. attribute:: torn_down_ls_ps
                        
                        	The number of soft preempted LSPs that were torn down by the              headend or any remote node before the reoptimization is done
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.frr_triggered_ls_ps = None
                            self.path_protection_switchover_ls_ps = None
                            self.reopt_completed_ls_ps = None
                            self.soft_preemption_events = None
                            self.time_in_preemption_pending_avg = None
                            self.time_in_preemption_pending_max = None
                            self.time_in_preemption_pending_min = None
                            self.torn_down_ls_ps = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption-counters'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.frr_triggered_ls_ps is not None:
                                return True

                            if self.path_protection_switchover_ls_ps is not None:
                                return True

                            if self.reopt_completed_ls_ps is not None:
                                return True

                            if self.soft_preemption_events is not None:
                                return True

                            if self.time_in_preemption_pending_avg is not None:
                                return True

                            if self.time_in_preemption_pending_max is not None:
                                return True

                            if self.time_in_preemption_pending_min is not None:
                                return True

                            if self.torn_down_ls_ps is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionCounters']['meta_info']


                    class SoftPreemptionPathError(object):
                        """
                        The array of soft preemption path errors info
                        received for the LSP that is being soft
                        preempted
                        
                        .. attribute:: preempting_link_address
                        
                        	The address of the link where the preemption happened
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: timestamp
                        
                        	The POSIX timestamp when the soft preemption error is received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.preempting_link_address = None
                            self.timestamp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption-path-error'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.preempting_link_address is not None:
                                return True

                            if self.timestamp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionPathError']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.preemption_pending_resolution is not None:
                            return True

                        if self.soft_preemption_counters is not None and self.soft_preemption_counters._has_data():
                            return True

                        if self.soft_preemption_path_error is not None:
                            for child_ref in self.soft_preemption_path_error:
                                if child_ref._has_data():
                                    return True

                        if self.status is not None:
                            return True

                        if self.time_in_preemption_pending is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption']['meta_info']


                class WdmUnitunnel(object):
                    """
                    WDM\-UNI tunnel data. Only exists for WDM\-UNI
                    tunnels
                    
                    .. attribute:: controlled_interface
                    
                    	Interface being controlled
                    	**type**\:  str
                    
                    .. attribute:: destination_address
                    
                    	Destination address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: extended_tunnel_id
                    
                    	Extended tunnel\-id
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: label_origin
                    
                    	Label origin
                    	**type**\:   :py:class:`MplsTeMgmtGmplsLabelOriginEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelOriginEnum>`
                    
                    .. attribute:: local_optical_router_id
                    
                    	Local optical router id
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: lsp_id
                    
                    	LSP ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: remote_optical_router_id
                    
                    	Remote optical router id
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: source_address
                    
                    	Source address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: srlg_discovery
                    
                    	SRLG\-discovery enabled
                    	**type**\:  bool
                    
                    .. attribute:: tunnel_id
                    
                    	Tunnel ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tunnel_role
                    
                    	Tunnel Role
                    	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                    
                    .. attribute:: tunnel_state
                    
                    	Tunnel state
                    	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.controlled_interface = None
                        self.destination_address = None
                        self.extended_tunnel_id = None
                        self.label_origin = None
                        self.local_optical_router_id = None
                        self.lsp_id = None
                        self.remote_optical_router_id = None
                        self.source_address = None
                        self.srlg_discovery = None
                        self.tunnel_id = None
                        self.tunnel_role = None
                        self.tunnel_state = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm-unitunnel'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.controlled_interface is not None:
                            return True

                        if self.destination_address is not None:
                            return True

                        if self.extended_tunnel_id is not None:
                            return True

                        if self.label_origin is not None:
                            return True

                        if self.local_optical_router_id is not None:
                            return True

                        if self.lsp_id is not None:
                            return True

                        if self.remote_optical_router_id is not None:
                            return True

                        if self.source_address is not None:
                            return True

                        if self.srlg_discovery is not None:
                            return True

                        if self.tunnel_id is not None:
                            return True

                        if self.tunnel_role is not None:
                            return True

                        if self.tunnel_state is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.WdmUnitunnel']['meta_info']


                class TransportTunnelInfo(object):
                    """
                    Transport tunnel data. Only exists for Transport
                    tunnels
                    
                    .. attribute:: diversity_info
                    
                    	Diversity Info
                    	**type**\: list of    :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.DiversityInfo>`
                    
                    .. attribute:: egress_static_uni
                    
                    	Tunnel EgressStatic UNI Info
                    	**type**\:   :py:class:`EgressStaticUni <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni>`
                    
                    .. attribute:: homepath_ero
                    
                    	Homepath ero for working lsp
                    	**type**\: list of    :py:class:`HomepathEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro>`
                    
                    .. attribute:: otn
                    
                    	Info Related to OTN technology in S2L
                    	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn>`
                    
                    .. attribute:: static_uni
                    
                    	Tunnel Static UNI Info
                    	**type**\:   :py:class:`StaticUni <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.StaticUni>`
                    
                    .. attribute:: status_homepath_working
                    
                    	Status of working homepath
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.diversity_info = YList()
                        self.diversity_info.parent = self
                        self.diversity_info.name = 'diversity_info'
                        self.egress_static_uni = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni()
                        self.egress_static_uni.parent = self
                        self.homepath_ero = YList()
                        self.homepath_ero.parent = self
                        self.homepath_ero.name = 'homepath_ero'
                        self.otn = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn()
                        self.otn.parent = self
                        self.static_uni = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.StaticUni()
                        self.static_uni.parent = self
                        self.status_homepath_working = None


                    class Otn(object):
                        """
                        Info Related to OTN technology in S2L
                        
                        .. attribute:: bandwidth_cfg
                        
                        	Configured OTN Bandwidth for tunnel
                        	**type**\:   :py:class:`BandwidthCfg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bandwidth_cfg = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg()
                            self.bandwidth_cfg.parent = self


                        class BandwidthCfg(object):
                            """
                            Configured OTN Bandwidth for tunnel
                            
                            .. attribute:: odu_flex_cbr
                            
                            	Odu flex CBR info
                            	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr>`
                            
                            .. attribute:: odu_flex_gfp_f_non_res
                            
                            	Odu flex GFP\-F non\-resizable info
                            	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes>`
                            
                            .. attribute:: odu_flex_gfp_f_res
                            
                            	Odu flex GFP\-F resizable info
                            	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes>`
                            
                            .. attribute:: odu_level
                            
                            	ODULevel
                            	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.odu_flex_cbr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr()
                                self.odu_flex_cbr.parent = self
                                self.odu_flex_gfp_f_non_res = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes()
                                self.odu_flex_gfp_f_non_res.parent = self
                                self.odu_flex_gfp_f_res = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes()
                                self.odu_flex_gfp_f_res.parent = self
                                self.odu_level = None


                            class OduFlexCbr(object):
                                """
                                Odu flex CBR info
                                
                                .. attribute:: bit_rate
                                
                                	Bit rate in kbit/s
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tolerance
                                
                                	Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.tolerance = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.tolerance is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr']['meta_info']


                            class OduFlexGfpFRes(object):
                                """
                                Odu flex GFP\-F resizable info
                                
                                .. attribute:: bit_rate
                                
                                	Bit rate in kbit/s
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes']['meta_info']


                            class OduFlexGfpFNonRes(object):
                                """
                                Odu flex GFP\-F non\-resizable info
                                
                                .. attribute:: bit_rate
                                
                                	Bit rate in kbit/s
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-cfg'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                    return True

                                if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                    return True

                                if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                    return True

                                if self.odu_level is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bandwidth_cfg is not None and self.bandwidth_cfg._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn']['meta_info']


                    class StaticUni(object):
                        """
                        Tunnel Static UNI Info
                        
                        .. attribute:: client_if_handle
                        
                        	Ingress Client Port Ifhandle
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: client_odu_if_handle
                        
                        	Client Odu Interface
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: client_odu_name
                        
                        	Client Odu Name
                        	**type**\:  str
                        
                        .. attribute:: client_port
                        
                        	Ingress Client Port
                        	**type**\:  str
                        
                        .. attribute:: cross_connect_id
                        
                        	Cross connect id
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: is_connected
                        
                        	True if client port is connected
                        	**type**\:  bool
                        
                        .. attribute:: local_termination
                        
                        	Local Termination Type
                        	**type**\:   :py:class:`MplsTeTerminationEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTerminationEnum>`
                        
                        .. attribute:: static_uni_type
                        
                        	Static uni type
                        	**type**\:   :py:class:`MplsTeUniEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeUniEnum>`
                        
                        .. attribute:: term_client_if_handle
                        
                        	Termination Ingress Client Port Ifhandle
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: term_client_port
                        
                        	Termination Ingress Client Port
                        	**type**\:  str
                        
                        .. attribute:: uptime
                        
                        	Client Port Uptime
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.client_if_handle = None
                            self.client_odu_if_handle = None
                            self.client_odu_name = None
                            self.client_port = None
                            self.cross_connect_id = None
                            self.is_connected = None
                            self.local_termination = None
                            self.static_uni_type = None
                            self.term_client_if_handle = None
                            self.term_client_port = None
                            self.uptime = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:static-uni'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.client_if_handle is not None:
                                return True

                            if self.client_odu_if_handle is not None:
                                return True

                            if self.client_odu_name is not None:
                                return True

                            if self.client_port is not None:
                                return True

                            if self.cross_connect_id is not None:
                                return True

                            if self.is_connected is not None:
                                return True

                            if self.local_termination is not None:
                                return True

                            if self.static_uni_type is not None:
                                return True

                            if self.term_client_if_handle is not None:
                                return True

                            if self.term_client_port is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.StaticUni']['meta_info']


                    class EgressStaticUni(object):
                        """
                        Tunnel EgressStatic UNI Info
                        
                        .. attribute:: egress_port
                        
                        	Egress Client Port of Tunnel
                        	**type**\:   :py:class:`EgressPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort>`
                        
                        .. attribute:: local_termination
                        
                        	Local Termination Type
                        	**type**\:   :py:class:`MplsTeTerminationEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTerminationEnum>`
                        
                        .. attribute:: remote_uni_type
                        
                        	Remote uni type
                        	**type**\:   :py:class:`MplsTeUniEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeUniEnum>`
                        
                        .. attribute:: term_egress_port
                        
                        	Termination Egress Client Port of Tunnel
                        	**type**\:   :py:class:`TermEgressPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.egress_port = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort()
                            self.egress_port.parent = self
                            self.local_termination = None
                            self.remote_uni_type = None
                            self.term_egress_port = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort()
                            self.term_egress_port.parent = self


                        class EgressPort(object):
                            """
                            Egress Client Port of Tunnel
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:egress-port'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort']['meta_info']


                        class TermEgressPort(object):
                            """
                            Termination Egress Client Port of Tunnel
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:term-egress-port'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:egress-static-uni'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.egress_port is not None and self.egress_port._has_data():
                                return True

                            if self.local_termination is not None:
                                return True

                            if self.remote_uni_type is not None:
                                return True

                            if self.term_egress_port is not None and self.term_egress_port._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni']['meta_info']


                    class HomepathEro(object):
                        """
                        Homepath ero for working lsp
                        
                        .. attribute:: ero_type
                        
                        	EROType
                        	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                        
                        .. attribute:: ipv4ero_sub_object
                        
                        	IPV4 ERO Sub Object
                        	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject>`
                        
                        .. attribute:: unnumbered_ero_sub_object
                        
                        	Unnumbered ERO Sub Object
                        	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_type = None
                            self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject()
                            self.ipv4ero_sub_object.parent = self
                            self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject()
                            self.unnumbered_ero_sub_object.parent = self


                        class Ipv4EroSubObject(object):
                            """
                            IPV4 ERO Sub Object
                            
                            .. attribute:: ero_address
                            
                            	The ERO IPV4 Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: prefix_length
                            
                            	ERO Prefix Length
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_address = None
                                self.is_strict_route = None
                                self.prefix_length = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_address is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.prefix_length is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject']['meta_info']


                        class UnnumberedEroSubObject(object):
                            """
                            Unnumbered ERO Sub Object
                            
                            .. attribute:: ero_interface_id
                            
                            	The Interface ID in ERO
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: ero_router_id
                            
                            	The Router ID in ERO
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: status
                            
                            	Status of ERO
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_interface_id = None
                                self.ero_router_id = None
                                self.is_strict_route = None
                                self.status = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_interface_id is not None:
                                    return True

                                if self.ero_router_id is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:homepath-ero'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_type is not None:
                                return True

                            if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                return True

                            if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro']['meta_info']


                    class DiversityInfo(object):
                        """
                        Diversity Info
                        
                        .. attribute:: tunnel_id
                        
                        	Dependent Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.tunnel_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.tunnel_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.DiversityInfo']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:transport-tunnel-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.diversity_info is not None:
                            for child_ref in self.diversity_info:
                                if child_ref._has_data():
                                    return True

                        if self.egress_static_uni is not None and self.egress_static_uni._has_data():
                            return True

                        if self.homepath_ero is not None:
                            for child_ref in self.homepath_ero:
                                if child_ref._has_data():
                                    return True

                        if self.otn is not None and self.otn._has_data():
                            return True

                        if self.static_uni is not None and self.static_uni._has_data():
                            return True

                        if self.status_homepath_working is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo']['meta_info']


                class BfdInfo(object):
                    """
                    BFD session info. This is NULL if BFD is not
                    configured
                    
                    .. attribute:: bfd_session_up
                    
                    	Tunnel BFD session state up or down
                    	**type**\:  bool
                    
                    .. attribute:: dampening_info
                    
                    	Path option dampening info
                    	**type**\: list of    :py:class:`DampeningInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.DampeningInfo>`
                    
                    .. attribute:: event_counters
                    
                    	Per tunnel BFD session event counters
                    	**type**\:   :py:class:`EventCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.EventCounters>`
                    
                    .. attribute:: failure_diagnostic_code
                    
                    	BFD session failure diagnostic code
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: failure_reason
                    
                    	BFD session failure reason
                    	**type**\:  str
                    
                    .. attribute:: maximum_session_up_interval
                    
                    	Maximum time in mini second for session to come up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: minimum_session_up_interval
                    
                    	Minimum time in mini second for session to come up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: session_up_time
                    
                    	Time in seconds since the last session state up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bfd_session_up = None
                        self.dampening_info = YList()
                        self.dampening_info.parent = self
                        self.dampening_info.name = 'dampening_info'
                        self.event_counters = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.EventCounters()
                        self.event_counters.parent = self
                        self.failure_diagnostic_code = None
                        self.failure_reason = None
                        self.maximum_session_up_interval = None
                        self.minimum_session_up_interval = None
                        self.session_up_time = None


                    class EventCounters(object):
                        """
                        Per tunnel BFD session event counters
                        
                        .. attribute:: session_admin_down_events
                        
                        	The number of BFDOverLSP session admin down events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_create_events
                        
                        	The number of BFDOverLSP session create events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_create_timeout_events
                        
                        	The number of BFDOverLSP session create timeout events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_creation_failed_events
                        
                        	The number of BFDOverLSP session creation failed events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_down_events
                        
                        	The number of BFDOverLSP session down events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_gracefully_delete_events
                        
                        	The number of BFDOverLSP session gracefully delete events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_non_gracefully_delete_events
                        
                        	The number of BFDOverLSP session non gracefully delete events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_replay_events
                        
                        	The number of BFDOverLSP session replay events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_up_events
                        
                        	The number of BFDOverLSP session up events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.session_admin_down_events = None
                            self.session_create_events = None
                            self.session_create_timeout_events = None
                            self.session_creation_failed_events = None
                            self.session_down_events = None
                            self.session_gracefully_delete_events = None
                            self.session_non_gracefully_delete_events = None
                            self.session_replay_events = None
                            self.session_up_events = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:event-counters'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.session_admin_down_events is not None:
                                return True

                            if self.session_create_events is not None:
                                return True

                            if self.session_create_timeout_events is not None:
                                return True

                            if self.session_creation_failed_events is not None:
                                return True

                            if self.session_down_events is not None:
                                return True

                            if self.session_gracefully_delete_events is not None:
                                return True

                            if self.session_non_gracefully_delete_events is not None:
                                return True

                            if self.session_replay_events is not None:
                                return True

                            if self.session_up_events is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.EventCounters']['meta_info']


                    class DampeningInfo(object):
                        """
                        Path option dampening info
                        
                        .. attribute:: backoff_count
                        
                        	Backoff count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: hold_down_time
                        
                        	Hold down time in second
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: option_index
                        
                        	Path option index
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: remained_time
                        
                        	Remained time to resignal in second
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.backoff_count = None
                            self.hold_down_time = None
                            self.option_index = None
                            self.remained_time = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:dampening-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.backoff_count is not None:
                                return True

                            if self.hold_down_time is not None:
                                return True

                            if self.option_index is not None:
                                return True

                            if self.remained_time is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.DampeningInfo']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bfd_session_up is not None:
                            return True

                        if self.dampening_info is not None:
                            for child_ref in self.dampening_info:
                                if child_ref._has_data():
                                    return True

                        if self.event_counters is not None and self.event_counters._has_data():
                            return True

                        if self.failure_diagnostic_code is not None:
                            return True

                        if self.failure_reason is not None:
                            return True

                        if self.maximum_session_up_interval is not None:
                            return True

                        if self.minimum_session_up_interval is not None:
                            return True

                        if self.session_up_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo']['meta_info']


                class OtnBidir(object):
                    """
                    OTN bidir info
                    
                    .. attribute:: aps
                    
                    	APS Protection Info
                    	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps>`
                    
                    .. attribute:: restoration
                    
                    	Restoration Info
                    	**type**\:   :py:class:`Restoration <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Restoration>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.aps = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps()
                        self.aps.parent = self
                        self.restoration = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Restoration()
                        self.restoration.parent = self


                    class Aps(object):
                        """
                        APS Protection Info
                        
                        .. attribute:: active_lsp
                        
                        	Active LSP for Incoming Data
                        	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                        
                        .. attribute:: diversity_type
                        
                        	Standby path diversity type
                        	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                        
                        .. attribute:: protection_profile
                        
                        	Protection Profile Information of tunnel
                        	**type**\:   :py:class:`ProtectionProfile <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.active_lsp = None
                            self.diversity_type = None
                            self.protection_profile = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile()
                            self.protection_profile.parent = self


                        class ProtectionProfile(object):
                            """
                            Protection Profile Information of tunnel
                            
                            .. attribute:: hold_off_time
                            
                            	Hold\-off time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: path_prot_profile_type
                            
                            	Path Protection Profile Type
                            	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                            
                            .. attribute:: protection_mode
                            
                            	Protection Restoration Mode
                            	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                            
                            .. attribute:: protection_type
                            
                            	Protection Type
                            	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                            
                            .. attribute:: restoration_style
                            
                            	Restoration Style
                            	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                            
                            .. attribute:: revert_schedule
                            
                            	Revert Schedule
                            	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile.RevertSchedule>`
                            
                            .. attribute:: snc_mode
                            
                            	Sub\-network Connection Mode
                            	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                            
                            .. attribute:: tcm_id
                            
                            	Sub\-network Connection Monitoring Mode
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: wait_to_restore_time
                            
                            	Wait to restore time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hold_off_time = None
                                self.path_prot_profile_type = None
                                self.protection_mode = None
                                self.protection_type = None
                                self.restoration_style = None
                                self.revert_schedule = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile.RevertSchedule()
                                self.revert_schedule.parent = self
                                self.snc_mode = None
                                self.tcm_id = None
                                self.wait_to_restore_time = None


                            class RevertSchedule(object):
                                """
                                Revert Schedule
                                
                                .. attribute:: duration
                                
                                	Duration for scheduled reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: max_tries
                                
                                	Max tries for scheduled reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: schedule_date
                                
                                	Schedule time for reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: schedule_frequency
                                
                                	Schedule frequency for reversion
                                	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                
                                .. attribute:: schedulename
                                
                                	Schedule name identifier
                                	**type**\:  str
                                
                                	**length:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.duration = None
                                    self.max_tries = None
                                    self.schedule_date = None
                                    self.schedule_frequency = None
                                    self.schedulename = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.duration is not None:
                                        return True

                                    if self.max_tries is not None:
                                        return True

                                    if self.schedule_date is not None:
                                        return True

                                    if self.schedule_frequency is not None:
                                        return True

                                    if self.schedulename is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile.RevertSchedule']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-profile'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hold_off_time is not None:
                                    return True

                                if self.path_prot_profile_type is not None:
                                    return True

                                if self.protection_mode is not None:
                                    return True

                                if self.protection_type is not None:
                                    return True

                                if self.restoration_style is not None:
                                    return True

                                if self.revert_schedule is not None and self.revert_schedule._has_data():
                                    return True

                                if self.snc_mode is not None:
                                    return True

                                if self.tcm_id is not None:
                                    return True

                                if self.wait_to_restore_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.active_lsp is not None:
                                return True

                            if self.diversity_type is not None:
                                return True

                            if self.protection_profile is not None and self.protection_profile._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps']['meta_info']


                    class Restoration(object):
                        """
                        Restoration Info
                        
                        .. attribute:: diverse_lsp
                        
                        	LSP from which restoration LSP is DIVERSED
                        	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                        
                        .. attribute:: diversity_type
                        
                        	Restoration path diversity type
                        	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                        
                        .. attribute:: revert_option
                        
                        	Revertive or non\-revertive
                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.diverse_lsp = None
                            self.diversity_type = None
                            self.revert_option = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:restoration'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.diverse_lsp is not None:
                                return True

                            if self.diversity_type is not None:
                                return True

                            if self.revert_option is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Restoration']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-bidir'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.aps is not None and self.aps._has_data():
                            return True

                        if self.restoration is not None and self.restoration._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir']['meta_info']


                class Bidir(object):
                    """
                    Bidir info
                    
                    .. attribute:: reverse_bandwidth
                    
                    	Reverse Bandwidth value in kbps
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: kbit/s
                    
                    .. attribute:: reverse_bandwidth_standby
                    
                    	Reverse Bandwidth value for standby in kbps
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: kbit/s
                    
                    .. attribute:: reverse_ero_error_current
                    
                    	Reverse ERO Error Current LSP
                    	**type**\:   :py:class:`ReverseEroErrorCurrent <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent>`
                    
                    .. attribute:: reverse_ero_error_reopt
                    
                    	Reverse ERO Error Reopt LSP
                    	**type**\:   :py:class:`ReverseEroErrorReopt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt>`
                    
                    .. attribute:: reverse_ero_error_standby
                    
                    	Reverse ERO Error Standby LSP
                    	**type**\:   :py:class:`ReverseEroErrorStandby <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby>`
                    
                    .. attribute:: reverse_ero_error_standby_reopt
                    
                    	Reverse ERO Error Standby Reopt LSP
                    	**type**\:   :py:class:`ReverseEroErrorStandbyReopt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.reverse_bandwidth = None
                        self.reverse_bandwidth_standby = None
                        self.reverse_ero_error_current = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent()
                        self.reverse_ero_error_current.parent = self
                        self.reverse_ero_error_reopt = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt()
                        self.reverse_ero_error_reopt.parent = self
                        self.reverse_ero_error_standby = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby()
                        self.reverse_ero_error_standby.parent = self
                        self.reverse_ero_error_standby_reopt = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt()
                        self.reverse_ero_error_standby_reopt.parent = self


                    class ReverseEroErrorCurrent(object):
                        """
                        Reverse ERO Error Current LSP
                        
                        .. attribute:: ero_reject_reason
                        
                        	Reverse ERO Reject Reason
                        	**type**\:   :py:class:`TeRevEroRejectReasonsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRevEroRejectReasonsEnum>`
                        
                        .. attribute:: path_calculation_error
                        
                        	Path Computation Information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent.PathCalculationError>`
                        
                        .. attribute:: path_option_index
                        
                        	Path Option Index
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: path_option_type
                        
                        	Path Option Type
                        	**type**\:   :py:class:`MtePathOptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MtePathOptionEnum>`
                        
                        .. attribute:: path_reject_reason_affinity
                        
                        	Path Reject due to affinity
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_bw
                        
                        	Path Reject due to bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_link
                        
                        	Path Reject due to exclude link
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_node
                        
                        	Path Reject due to exclude node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_srlg
                        
                        	Path Reject due to exclude SRLG
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_holddown
                        
                        	Path Reject due to holddown
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_hop_limit
                        
                        	Path Reject due to hop limit
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ip_addr
                        
                        	Path Reject due to IP address
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ixcd
                        
                        	Path Reject due to IXCD
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_head
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_mid
                        
                        	Path Reject due to mid node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_tail
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_unknown
                        
                        	Path Reject due to unknown node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_unreachable
                        
                        	Path Reject due to unreachable node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_bw
                        
                        	Path Reject due to reverse bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_link
                        
                        	Path Reject due to reverse link
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_id
                        
                        	Reverse LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_reject_reason = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_index = None
                            self.path_option_type = None
                            self.path_reject_reason_affinity = None
                            self.path_reject_reason_bw = None
                            self.path_reject_reason_exclude_link = None
                            self.path_reject_reason_exclude_node = None
                            self.path_reject_reason_exclude_srlg = None
                            self.path_reject_reason_holddown = None
                            self.path_reject_reason_hop_limit = None
                            self.path_reject_reason_ip_addr = None
                            self.path_reject_reason_ixcd = None
                            self.path_reject_reason_node_ol_head = None
                            self.path_reject_reason_node_ol_mid = None
                            self.path_reject_reason_node_ol_tail = None
                            self.path_reject_reason_node_ol_unknown = None
                            self.path_reject_reason_node_unreachable = None
                            self.path_reject_reason_reverse_bw = None
                            self.path_reject_reason_reverse_link = None
                            self.reverse_lsp_id = None


                        class PathCalculationError(object):
                            """
                            Path Computation Information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent.PathCalculationError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-error-current'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_reject_reason is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_index is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.path_reject_reason_affinity is not None:
                                return True

                            if self.path_reject_reason_bw is not None:
                                return True

                            if self.path_reject_reason_exclude_link is not None:
                                return True

                            if self.path_reject_reason_exclude_node is not None:
                                return True

                            if self.path_reject_reason_exclude_srlg is not None:
                                return True

                            if self.path_reject_reason_holddown is not None:
                                return True

                            if self.path_reject_reason_hop_limit is not None:
                                return True

                            if self.path_reject_reason_ip_addr is not None:
                                return True

                            if self.path_reject_reason_ixcd is not None:
                                return True

                            if self.path_reject_reason_node_ol_head is not None:
                                return True

                            if self.path_reject_reason_node_ol_mid is not None:
                                return True

                            if self.path_reject_reason_node_ol_tail is not None:
                                return True

                            if self.path_reject_reason_node_ol_unknown is not None:
                                return True

                            if self.path_reject_reason_node_unreachable is not None:
                                return True

                            if self.path_reject_reason_reverse_bw is not None:
                                return True

                            if self.path_reject_reason_reverse_link is not None:
                                return True

                            if self.reverse_lsp_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent']['meta_info']


                    class ReverseEroErrorReopt(object):
                        """
                        Reverse ERO Error Reopt LSP
                        
                        .. attribute:: ero_reject_reason
                        
                        	Reverse ERO Reject Reason
                        	**type**\:   :py:class:`TeRevEroRejectReasonsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRevEroRejectReasonsEnum>`
                        
                        .. attribute:: path_calculation_error
                        
                        	Path Computation Information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt.PathCalculationError>`
                        
                        .. attribute:: path_option_index
                        
                        	Path Option Index
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: path_option_type
                        
                        	Path Option Type
                        	**type**\:   :py:class:`MtePathOptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MtePathOptionEnum>`
                        
                        .. attribute:: path_reject_reason_affinity
                        
                        	Path Reject due to affinity
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_bw
                        
                        	Path Reject due to bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_link
                        
                        	Path Reject due to exclude link
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_node
                        
                        	Path Reject due to exclude node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_srlg
                        
                        	Path Reject due to exclude SRLG
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_holddown
                        
                        	Path Reject due to holddown
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_hop_limit
                        
                        	Path Reject due to hop limit
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ip_addr
                        
                        	Path Reject due to IP address
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ixcd
                        
                        	Path Reject due to IXCD
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_head
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_mid
                        
                        	Path Reject due to mid node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_tail
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_unknown
                        
                        	Path Reject due to unknown node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_unreachable
                        
                        	Path Reject due to unreachable node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_bw
                        
                        	Path Reject due to reverse bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_link
                        
                        	Path Reject due to reverse link
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_id
                        
                        	Reverse LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_reject_reason = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_index = None
                            self.path_option_type = None
                            self.path_reject_reason_affinity = None
                            self.path_reject_reason_bw = None
                            self.path_reject_reason_exclude_link = None
                            self.path_reject_reason_exclude_node = None
                            self.path_reject_reason_exclude_srlg = None
                            self.path_reject_reason_holddown = None
                            self.path_reject_reason_hop_limit = None
                            self.path_reject_reason_ip_addr = None
                            self.path_reject_reason_ixcd = None
                            self.path_reject_reason_node_ol_head = None
                            self.path_reject_reason_node_ol_mid = None
                            self.path_reject_reason_node_ol_tail = None
                            self.path_reject_reason_node_ol_unknown = None
                            self.path_reject_reason_node_unreachable = None
                            self.path_reject_reason_reverse_bw = None
                            self.path_reject_reason_reverse_link = None
                            self.reverse_lsp_id = None


                        class PathCalculationError(object):
                            """
                            Path Computation Information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt.PathCalculationError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-error-reopt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_reject_reason is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_index is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.path_reject_reason_affinity is not None:
                                return True

                            if self.path_reject_reason_bw is not None:
                                return True

                            if self.path_reject_reason_exclude_link is not None:
                                return True

                            if self.path_reject_reason_exclude_node is not None:
                                return True

                            if self.path_reject_reason_exclude_srlg is not None:
                                return True

                            if self.path_reject_reason_holddown is not None:
                                return True

                            if self.path_reject_reason_hop_limit is not None:
                                return True

                            if self.path_reject_reason_ip_addr is not None:
                                return True

                            if self.path_reject_reason_ixcd is not None:
                                return True

                            if self.path_reject_reason_node_ol_head is not None:
                                return True

                            if self.path_reject_reason_node_ol_mid is not None:
                                return True

                            if self.path_reject_reason_node_ol_tail is not None:
                                return True

                            if self.path_reject_reason_node_ol_unknown is not None:
                                return True

                            if self.path_reject_reason_node_unreachable is not None:
                                return True

                            if self.path_reject_reason_reverse_bw is not None:
                                return True

                            if self.path_reject_reason_reverse_link is not None:
                                return True

                            if self.reverse_lsp_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt']['meta_info']


                    class ReverseEroErrorStandby(object):
                        """
                        Reverse ERO Error Standby LSP
                        
                        .. attribute:: ero_reject_reason
                        
                        	Reverse ERO Reject Reason
                        	**type**\:   :py:class:`TeRevEroRejectReasonsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRevEroRejectReasonsEnum>`
                        
                        .. attribute:: path_calculation_error
                        
                        	Path Computation Information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby.PathCalculationError>`
                        
                        .. attribute:: path_option_index
                        
                        	Path Option Index
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: path_option_type
                        
                        	Path Option Type
                        	**type**\:   :py:class:`MtePathOptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MtePathOptionEnum>`
                        
                        .. attribute:: path_reject_reason_affinity
                        
                        	Path Reject due to affinity
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_bw
                        
                        	Path Reject due to bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_link
                        
                        	Path Reject due to exclude link
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_node
                        
                        	Path Reject due to exclude node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_srlg
                        
                        	Path Reject due to exclude SRLG
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_holddown
                        
                        	Path Reject due to holddown
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_hop_limit
                        
                        	Path Reject due to hop limit
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ip_addr
                        
                        	Path Reject due to IP address
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ixcd
                        
                        	Path Reject due to IXCD
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_head
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_mid
                        
                        	Path Reject due to mid node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_tail
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_unknown
                        
                        	Path Reject due to unknown node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_unreachable
                        
                        	Path Reject due to unreachable node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_bw
                        
                        	Path Reject due to reverse bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_link
                        
                        	Path Reject due to reverse link
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_id
                        
                        	Reverse LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_reject_reason = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_index = None
                            self.path_option_type = None
                            self.path_reject_reason_affinity = None
                            self.path_reject_reason_bw = None
                            self.path_reject_reason_exclude_link = None
                            self.path_reject_reason_exclude_node = None
                            self.path_reject_reason_exclude_srlg = None
                            self.path_reject_reason_holddown = None
                            self.path_reject_reason_hop_limit = None
                            self.path_reject_reason_ip_addr = None
                            self.path_reject_reason_ixcd = None
                            self.path_reject_reason_node_ol_head = None
                            self.path_reject_reason_node_ol_mid = None
                            self.path_reject_reason_node_ol_tail = None
                            self.path_reject_reason_node_ol_unknown = None
                            self.path_reject_reason_node_unreachable = None
                            self.path_reject_reason_reverse_bw = None
                            self.path_reject_reason_reverse_link = None
                            self.reverse_lsp_id = None


                        class PathCalculationError(object):
                            """
                            Path Computation Information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby.PathCalculationError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-error-standby'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_reject_reason is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_index is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.path_reject_reason_affinity is not None:
                                return True

                            if self.path_reject_reason_bw is not None:
                                return True

                            if self.path_reject_reason_exclude_link is not None:
                                return True

                            if self.path_reject_reason_exclude_node is not None:
                                return True

                            if self.path_reject_reason_exclude_srlg is not None:
                                return True

                            if self.path_reject_reason_holddown is not None:
                                return True

                            if self.path_reject_reason_hop_limit is not None:
                                return True

                            if self.path_reject_reason_ip_addr is not None:
                                return True

                            if self.path_reject_reason_ixcd is not None:
                                return True

                            if self.path_reject_reason_node_ol_head is not None:
                                return True

                            if self.path_reject_reason_node_ol_mid is not None:
                                return True

                            if self.path_reject_reason_node_ol_tail is not None:
                                return True

                            if self.path_reject_reason_node_ol_unknown is not None:
                                return True

                            if self.path_reject_reason_node_unreachable is not None:
                                return True

                            if self.path_reject_reason_reverse_bw is not None:
                                return True

                            if self.path_reject_reason_reverse_link is not None:
                                return True

                            if self.reverse_lsp_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby']['meta_info']


                    class ReverseEroErrorStandbyReopt(object):
                        """
                        Reverse ERO Error Standby Reopt LSP
                        
                        .. attribute:: ero_reject_reason
                        
                        	Reverse ERO Reject Reason
                        	**type**\:   :py:class:`TeRevEroRejectReasonsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRevEroRejectReasonsEnum>`
                        
                        .. attribute:: path_calculation_error
                        
                        	Path Computation Information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError>`
                        
                        .. attribute:: path_option_index
                        
                        	Path Option Index
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: path_option_type
                        
                        	Path Option Type
                        	**type**\:   :py:class:`MtePathOptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MtePathOptionEnum>`
                        
                        .. attribute:: path_reject_reason_affinity
                        
                        	Path Reject due to affinity
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_bw
                        
                        	Path Reject due to bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_link
                        
                        	Path Reject due to exclude link
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_node
                        
                        	Path Reject due to exclude node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_srlg
                        
                        	Path Reject due to exclude SRLG
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_holddown
                        
                        	Path Reject due to holddown
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_hop_limit
                        
                        	Path Reject due to hop limit
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ip_addr
                        
                        	Path Reject due to IP address
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ixcd
                        
                        	Path Reject due to IXCD
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_head
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_mid
                        
                        	Path Reject due to mid node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_tail
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_unknown
                        
                        	Path Reject due to unknown node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_unreachable
                        
                        	Path Reject due to unreachable node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_bw
                        
                        	Path Reject due to reverse bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_link
                        
                        	Path Reject due to reverse link
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_id
                        
                        	Reverse LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_reject_reason = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_index = None
                            self.path_option_type = None
                            self.path_reject_reason_affinity = None
                            self.path_reject_reason_bw = None
                            self.path_reject_reason_exclude_link = None
                            self.path_reject_reason_exclude_node = None
                            self.path_reject_reason_exclude_srlg = None
                            self.path_reject_reason_holddown = None
                            self.path_reject_reason_hop_limit = None
                            self.path_reject_reason_ip_addr = None
                            self.path_reject_reason_ixcd = None
                            self.path_reject_reason_node_ol_head = None
                            self.path_reject_reason_node_ol_mid = None
                            self.path_reject_reason_node_ol_tail = None
                            self.path_reject_reason_node_ol_unknown = None
                            self.path_reject_reason_node_unreachable = None
                            self.path_reject_reason_reverse_bw = None
                            self.path_reject_reason_reverse_link = None
                            self.reverse_lsp_id = None


                        class PathCalculationError(object):
                            """
                            Path Computation Information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-error-standby-reopt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_reject_reason is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_index is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.path_reject_reason_affinity is not None:
                                return True

                            if self.path_reject_reason_bw is not None:
                                return True

                            if self.path_reject_reason_exclude_link is not None:
                                return True

                            if self.path_reject_reason_exclude_node is not None:
                                return True

                            if self.path_reject_reason_exclude_srlg is not None:
                                return True

                            if self.path_reject_reason_holddown is not None:
                                return True

                            if self.path_reject_reason_hop_limit is not None:
                                return True

                            if self.path_reject_reason_ip_addr is not None:
                                return True

                            if self.path_reject_reason_ixcd is not None:
                                return True

                            if self.path_reject_reason_node_ol_head is not None:
                                return True

                            if self.path_reject_reason_node_ol_mid is not None:
                                return True

                            if self.path_reject_reason_node_ol_tail is not None:
                                return True

                            if self.path_reject_reason_node_ol_unknown is not None:
                                return True

                            if self.path_reject_reason_node_unreachable is not None:
                                return True

                            if self.path_reject_reason_reverse_bw is not None:
                                return True

                            if self.path_reject_reason_reverse_link is not None:
                                return True

                            if self.reverse_lsp_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bidir'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.reverse_bandwidth is not None:
                            return True

                        if self.reverse_bandwidth_standby is not None:
                            return True

                        if self.reverse_ero_error_current is not None and self.reverse_ero_error_current._has_data():
                            return True

                        if self.reverse_ero_error_reopt is not None and self.reverse_ero_error_reopt._has_data():
                            return True

                        if self.reverse_ero_error_standby is not None and self.reverse_ero_error_standby._has_data():
                            return True

                        if self.reverse_ero_error_standby_reopt is not None and self.reverse_ero_error_standby_reopt._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir']['meta_info']


                class XroAttributeSet(object):
                    """
                    XRO attribute\-set
                    
                    .. attribute:: attribute_set_union
                    
                    	Union of Attribute Sets
                    	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion>`
                    
                    .. attribute:: tunnel_attribute_set_name
                    
                    	Attribute Set Name
                    	**type**\:  str
                    
                    .. attribute:: tunnel_attribute_set_name_crc32
                    
                    	Attribute Set name CRC32 value
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.attribute_set_union = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion()
                        self.attribute_set_union.parent = self
                        self.tunnel_attribute_set_name = None
                        self.tunnel_attribute_set_name_crc32 = None


                    class AttributeSetUnion(object):
                        """
                        Union of Attribute Sets
                        
                        .. attribute:: attribute_set_aps_pp
                        
                        	Attribute Set OTN APS Path Protection
                        	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                        
                        .. attribute:: attribute_set_autobackup
                        
                        	MPLS TE Auto\-backup Attribute Set
                        	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                        
                        .. attribute:: attribute_set_automesh
                        
                        	MPLS TE Auto\-mesh Attribute Set
                        	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                        
                        .. attribute:: attribute_set_p2mpte
                        
                        	MPLS TE P2MP\-TE Attribute Set
                        	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                        
                        .. attribute:: attribute_set_p2p_te
                        
                        	MPLS TE P2P\-TE Attribute Set
                        	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                        
                        .. attribute:: attribute_set_path_option
                        
                        	MPLS TE Path Option Attribute Set
                        	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                        
                        .. attribute:: attribute_set_xro
                        
                        	Attribute Set XRO
                        	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                        
                        .. attribute:: tunnel_attribute_set_type
                        
                        	TunnelAttributeSetType
                        	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                            self.attribute_set_aps_pp.parent = self
                            self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                            self.attribute_set_autobackup.parent = self
                            self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                            self.attribute_set_automesh.parent = self
                            self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                            self.attribute_set_p2mpte.parent = self
                            self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                            self.attribute_set_p2p_te.parent = self
                            self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                            self.attribute_set_path_option.parent = self
                            self.attribute_set_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                            self.attribute_set_xro.parent = self
                            self.tunnel_attribute_set_type = None


                        class AttributeSetPathOption(object):
                            """
                            MPLS TE Path Option Attribute Set
                            
                            .. attribute:: affinity
                            
                            	Affinity
                            	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                            
                            .. attribute:: bandwidth_type
                            
                            	The bandwidth type
                            	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                            
                            .. attribute:: bfd_reverse_path
                            
                            	BFD reverse path
                            	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                            
                            .. attribute:: configured_bandwidth
                            
                            	Bandwidth value in kbps
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: cost_limit
                            
                            	Cost limit on the tunnel path
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: dste_class_type
                            
                            	DSTE Class
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: exclude_list_name
                            
                            	Exclude list name
                            	**type**\:  str
                            
                            .. attribute:: generation
                            
                            	Generation
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: is_affinity_configured
                            
                            	Is affinity configured
                            	**type**\:  bool
                            
                            .. attribute:: is_bandwidth_configured
                            
                            	Is bandwidth configured
                            	**type**\:  bool
                            
                            .. attribute:: is_bfd_reverse_pat_configured
                            
                            	Is BFD reverse path configured
                            	**type**\:  bool
                            
                            .. attribute:: is_cost_limit_configured
                            
                            	Is Cost Limit configured
                            	**type**\:  bool
                            
                            .. attribute:: is_exclude_list_name_configured
                            
                            	Is exclude list name configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_invalidation_action_configured
                            
                            	Is path invalidation action configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_invalidation_timeout_configured
                            
                            	Is path invalidation timeout configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_configured
                            
                            	Is PCE Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_group_id_configured
                            
                            	Is PCE Disjoint Path Group ID Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_source_configured
                            
                            	Is PCE Disjoint Path Source Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_type_configured
                            
                            	Is PCE Disjoint Path Type Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pceb_dj_source_configured
                            
                            	Is PCE Bidirectional Source Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pcebd_group_id_configured
                            
                            	Is PCE Bidirectional Group ID Configured
                            	**type**\:  bool
                            
                            .. attribute:: path_invalidation_action
                            
                            	Path invalidation action
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: path_invalidation_timeout
                            
                            	Path invalidation interval on the tunnel path
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcebd_group_id
                            
                            	PCE Bidirectional Group ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcebd_source_address
                            
                            	PCE Bidirectional Source Address
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_group_id
                            
                            	PCE Disjoint Path Group ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_source_address
                            
                            	PCE Disjoint Path Source Address
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_type
                            
                            	PCE Disjoint Path Type
                            	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: version_info
                            
                            	Version Info
                            	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                self.affinity.parent = self
                                self.bandwidth_type = None
                                self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                self.bfd_reverse_path.parent = self
                                self.configured_bandwidth = None
                                self.cost_limit = None
                                self.dste_class_type = None
                                self.exclude_list_name = None
                                self.generation = None
                                self.is_affinity_configured = None
                                self.is_bandwidth_configured = None
                                self.is_bfd_reverse_pat_configured = None
                                self.is_cost_limit_configured = None
                                self.is_exclude_list_name_configured = None
                                self.is_path_invalidation_action_configured = None
                                self.is_path_invalidation_timeout_configured = None
                                self.is_pce_configured = None
                                self.is_pce_disj_group_id_configured = None
                                self.is_pce_disj_source_configured = None
                                self.is_pce_disj_type_configured = None
                                self.is_pceb_dj_source_configured = None
                                self.is_pcebd_group_id_configured = None
                                self.path_invalidation_action = None
                                self.path_invalidation_timeout = None
                                self.pcebd_group_id = None
                                self.pcebd_source_address = None
                                self.pcedp_group_id = None
                                self.pcedp_source_address = None
                                self.pcedp_type = None
                                self.tunnel_id = YLeafList()
                                self.tunnel_id.parent = self
                                self.tunnel_id.name = 'tunnel_id'
                                self.version_info = YList()
                                self.version_info.parent = self
                                self.version_info.name = 'version_info'


                            class Affinity(object):
                                """
                                Affinity
                                
                                .. attribute:: affinity_bits
                                
                                	The affinity bits (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: affinity_mask
                                
                                	The affinity mask (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: named_affinity
                                
                                	Array of name based constratints currently applied to the tunnel
                                	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.affinity_bits = None
                                    self.affinity_mask = None
                                    self.named_affinity = YList()
                                    self.named_affinity.parent = self
                                    self.named_affinity.name = 'named_affinity'


                                class NamedAffinity(object):
                                    """
                                    Array of name based constratints currently
                                    applied to the tunnel
                                    
                                    .. attribute:: constraint_extended_value
                                    
                                    	Constraint value
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: constraint_type
                                    
                                    	Constraint type
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: constraint_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: extended_forward_ref_value
                                    
                                    	Reference bits for undefined affinity names
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: forward_ref_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.constraint_extended_value = YLeafList()
                                        self.constraint_extended_value.parent = self
                                        self.constraint_extended_value.name = 'constraint_extended_value'
                                        self.constraint_type = None
                                        self.constraint_value = None
                                        self.extended_forward_ref_value = YLeafList()
                                        self.extended_forward_ref_value.parent = self
                                        self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                        self.forward_ref_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.constraint_extended_value is not None:
                                            for child in self.constraint_extended_value:
                                                if child is not None:
                                                    return True

                                        if self.constraint_type is not None:
                                            return True

                                        if self.constraint_value is not None:
                                            return True

                                        if self.extended_forward_ref_value is not None:
                                            for child in self.extended_forward_ref_value:
                                                if child is not None:
                                                    return True

                                        if self.forward_ref_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.affinity_bits is not None:
                                        return True

                                    if self.affinity_mask is not None:
                                        return True

                                    if self.named_affinity is not None:
                                        for child_ref in self.named_affinity:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                            class BfdReversePath(object):
                                """
                                BFD reverse path
                                
                                .. attribute:: binding_label
                                
                                	BFD reverse path binding label
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: path_type
                                
                                	BFD reverse path type
                                	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.binding_label = None
                                    self.path_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.binding_label is not None:
                                        return True

                                    if self.path_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                            class VersionInfo(object):
                                """
                                Version Info
                                
                                .. attribute:: attribute_type
                                
                                	Attribute Type
                                	**type**\:  str
                                
                                .. attribute:: generation
                                
                                	Generation
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: is_default
                                
                                	Is default
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_type = None
                                    self.generation = None
                                    self.is_default = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_type is not None:
                                        return True

                                    if self.generation is not None:
                                        return True

                                    if self.is_default is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.affinity is not None and self.affinity._has_data():
                                    return True

                                if self.bandwidth_type is not None:
                                    return True

                                if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                    return True

                                if self.configured_bandwidth is not None:
                                    return True

                                if self.cost_limit is not None:
                                    return True

                                if self.dste_class_type is not None:
                                    return True

                                if self.exclude_list_name is not None:
                                    return True

                                if self.generation is not None:
                                    return True

                                if self.is_affinity_configured is not None:
                                    return True

                                if self.is_bandwidth_configured is not None:
                                    return True

                                if self.is_bfd_reverse_pat_configured is not None:
                                    return True

                                if self.is_cost_limit_configured is not None:
                                    return True

                                if self.is_exclude_list_name_configured is not None:
                                    return True

                                if self.is_path_invalidation_action_configured is not None:
                                    return True

                                if self.is_path_invalidation_timeout_configured is not None:
                                    return True

                                if self.is_pce_configured is not None:
                                    return True

                                if self.is_pce_disj_group_id_configured is not None:
                                    return True

                                if self.is_pce_disj_source_configured is not None:
                                    return True

                                if self.is_pce_disj_type_configured is not None:
                                    return True

                                if self.is_pceb_dj_source_configured is not None:
                                    return True

                                if self.is_pcebd_group_id_configured is not None:
                                    return True

                                if self.path_invalidation_action is not None:
                                    return True

                                if self.path_invalidation_timeout is not None:
                                    return True

                                if self.pcebd_group_id is not None:
                                    return True

                                if self.pcebd_source_address is not None:
                                    return True

                                if self.pcedp_group_id is not None:
                                    return True

                                if self.pcedp_source_address is not None:
                                    return True

                                if self.pcedp_type is not None:
                                    return True

                                if self.tunnel_id is not None:
                                    for child in self.tunnel_id:
                                        if child is not None:
                                            return True

                                if self.version_info is not None:
                                    for child_ref in self.version_info:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                        class AttributeSetAutobackup(object):
                            """
                            MPLS TE Auto\-backup Attribute Set
                            
                            .. attribute:: affinity
                            
                            	Affinity
                            	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                            
                            .. attribute:: hold_priority
                            
                            	Hold priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: is_affinity_configured
                            
                            	Is affinity configured
                            	**type**\:  bool
                            
                            .. attribute:: is_policyclass_configured
                            
                            	Is policy class configured
                            	**type**\:  bool
                            
                            .. attribute:: is_priority_configured
                            
                            	Is priority configured
                            	**type**\:  bool
                            
                            .. attribute:: is_signalled_name_configured
                            
                            	Is signalled name configured
                            	**type**\:  bool
                            
                            .. attribute:: logging
                            
                            	Logging attributes
                            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                            
                            .. attribute:: policy_class
                            
                            	deprecated
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: policy_class_entry
                            
                            	PBTS policy classes
                            	**type**\:  list of int
                            
                            	**range:** 0..255
                            
                            .. attribute:: protected_interface
                            
                            	Array of Protected Interface Names
                            	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                            
                            .. attribute:: record_route
                            
                            	Record route
                            	**type**\:  bool
                            
                            .. attribute:: setup_priority
                            
                            	Setup priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: signalled_name
                            
                            	Signalled name
                            	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                self.affinity.parent = self
                                self.hold_priority = None
                                self.is_affinity_configured = None
                                self.is_policyclass_configured = None
                                self.is_priority_configured = None
                                self.is_signalled_name_configured = None
                                self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                self.logging.parent = self
                                self.policy_class = None
                                self.policy_class_entry = YLeafList()
                                self.policy_class_entry.parent = self
                                self.policy_class_entry.name = 'policy_class_entry'
                                self.protected_interface = YList()
                                self.protected_interface.parent = self
                                self.protected_interface.name = 'protected_interface'
                                self.record_route = None
                                self.setup_priority = None
                                self.signalled_name = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                self.signalled_name.parent = self
                                self.tunnel_id = YLeafList()
                                self.tunnel_id.parent = self
                                self.tunnel_id.name = 'tunnel_id'


                            class SignalledName(object):
                                """
                                Signalled name
                                
                                .. attribute:: is_mp_addresses
                                
                                	MP address appended
                                	**type**\:  bool
                                
                                .. attribute:: name
                                
                                	Signalled name
                                	**type**\:  str
                                
                                .. attribute:: protected_interface_type
                                
                                	Protected interface address or name
                                	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                
                                .. attribute:: source_type
                                
                                	Source address or name
                                	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.is_mp_addresses = None
                                    self.name = None
                                    self.protected_interface_type = None
                                    self.source_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.is_mp_addresses is not None:
                                        return True

                                    if self.name is not None:
                                        return True

                                    if self.protected_interface_type is not None:
                                        return True

                                    if self.source_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                            class Affinity(object):
                                """
                                Affinity
                                
                                .. attribute:: affinity_bits
                                
                                	The affinity bits (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: affinity_mask
                                
                                	The affinity mask (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: named_affinity
                                
                                	Array of name based constratints currently applied to the tunnel
                                	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.affinity_bits = None
                                    self.affinity_mask = None
                                    self.named_affinity = YList()
                                    self.named_affinity.parent = self
                                    self.named_affinity.name = 'named_affinity'


                                class NamedAffinity(object):
                                    """
                                    Array of name based constratints currently
                                    applied to the tunnel
                                    
                                    .. attribute:: constraint_extended_value
                                    
                                    	Constraint value
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: constraint_type
                                    
                                    	Constraint type
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: constraint_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: extended_forward_ref_value
                                    
                                    	Reference bits for undefined affinity names
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: forward_ref_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.constraint_extended_value = YLeafList()
                                        self.constraint_extended_value.parent = self
                                        self.constraint_extended_value.name = 'constraint_extended_value'
                                        self.constraint_type = None
                                        self.constraint_value = None
                                        self.extended_forward_ref_value = YLeafList()
                                        self.extended_forward_ref_value.parent = self
                                        self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                        self.forward_ref_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.constraint_extended_value is not None:
                                            for child in self.constraint_extended_value:
                                                if child is not None:
                                                    return True

                                        if self.constraint_type is not None:
                                            return True

                                        if self.constraint_value is not None:
                                            return True

                                        if self.extended_forward_ref_value is not None:
                                            for child in self.extended_forward_ref_value:
                                                if child is not None:
                                                    return True

                                        if self.forward_ref_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.affinity_bits is not None:
                                        return True

                                    if self.affinity_mask is not None:
                                        return True

                                    if self.named_affinity is not None:
                                        for child_ref in self.named_affinity:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                            class Logging(object):
                                """
                                Logging attributes
                                
                                .. attribute:: all_logging_enabled
                                
                                	All logging option\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_bandwidth_change
                                
                                	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_insufficient_bw
                                
                                	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_pcalc_failure_logging_enabled
                                
                                	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_opt
                                
                                	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_route
                                
                                	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_state
                                
                                	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: s2l_state
                                
                                	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.all_logging_enabled = None
                                    self.lsp_bandwidth_change = None
                                    self.lsp_insufficient_bw = None
                                    self.lsp_pcalc_failure_logging_enabled = None
                                    self.lsp_re_opt = None
                                    self.lsp_re_route = None
                                    self.lsp_state = None
                                    self.s2l_state = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.all_logging_enabled is not None:
                                        return True

                                    if self.lsp_bandwidth_change is not None:
                                        return True

                                    if self.lsp_insufficient_bw is not None:
                                        return True

                                    if self.lsp_pcalc_failure_logging_enabled is not None:
                                        return True

                                    if self.lsp_re_opt is not None:
                                        return True

                                    if self.lsp_re_route is not None:
                                        return True

                                    if self.lsp_state is not None:
                                        return True

                                    if self.s2l_state is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                            class ProtectedInterface(object):
                                """
                                Array of Protected Interface Names
                                
                                .. attribute:: protected_interface
                                
                                	Protected Interface Name
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protected_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protected_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.affinity is not None and self.affinity._has_data():
                                    return True

                                if self.hold_priority is not None:
                                    return True

                                if self.is_affinity_configured is not None:
                                    return True

                                if self.is_policyclass_configured is not None:
                                    return True

                                if self.is_priority_configured is not None:
                                    return True

                                if self.is_signalled_name_configured is not None:
                                    return True

                                if self.logging is not None and self.logging._has_data():
                                    return True

                                if self.policy_class is not None:
                                    return True

                                if self.policy_class_entry is not None:
                                    for child in self.policy_class_entry:
                                        if child is not None:
                                            return True

                                if self.protected_interface is not None:
                                    for child_ref in self.protected_interface:
                                        if child_ref._has_data():
                                            return True

                                if self.record_route is not None:
                                    return True

                                if self.setup_priority is not None:
                                    return True

                                if self.signalled_name is not None and self.signalled_name._has_data():
                                    return True

                                if self.tunnel_id is not None:
                                    for child in self.tunnel_id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                        class AttributeSetAutomesh(object):
                            """
                            MPLS TE Auto\-mesh Attribute Set
                            
                            .. attribute:: affinity
                            
                            	Affinity
                            	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                            
                            .. attribute:: auto_bandwidth_collect
                            
                            	Auto bandwidth collect only
                            	**type**\:  bool
                            
                            .. attribute:: auto_route_announce
                            
                            	Announce auto route to IGP
                            	**type**\:  bool
                            
                            .. attribute:: bandwidth
                            
                            	IM bandwidth
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: configured_bandwidth
                            
                            	Bandwidth value in kbps
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: dste_class_type
                            
                            	DSTE Class
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: fast_reroute
                            
                            	Fast reroute
                            	**type**\:  bool
                            
                            .. attribute:: forward_class
                            
                            	Forward class
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: frr_bandwidth_protection
                            
                            	FRR bandwidth protection
                            	**type**\:  bool
                            
                            .. attribute:: frr_node_protection
                            
                            	FRR Node protection
                            	**type**\:  bool
                            
                            .. attribute:: hold_priority
                            
                            	Hold priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: is_affinity_configured
                            
                            	Is affinity configured
                            	**type**\:  bool
                            
                            .. attribute:: is_bandwidth_configured
                            
                            	Is bandwidth configured
                            	**type**\:  bool
                            
                            .. attribute:: is_interface_bw_configured
                            
                            	Is Interface BW configured
                            	**type**\:  bool
                            
                            .. attribute:: is_policyclass_configured
                            
                            	Is policy class configured
                            	**type**\:  bool
                            
                            .. attribute:: is_priority_configured
                            
                            	Is priority configured
                            	**type**\:  bool
                            
                            .. attribute:: load_share
                            
                            	Load Share
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: logging
                            
                            	Logging attributes
                            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                            
                            .. attribute:: mesh_group_id
                            
                            	Meshgroup ID
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: policy_class
                            
                            	deprecated
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: policy_class_entry
                            
                            	PBTS policy classes
                            	**type**\:  list of int
                            
                            	**range:** 0..255
                            
                            .. attribute:: record_route
                            
                            	Record route
                            	**type**\:  bool
                            
                            .. attribute:: setup_priority
                            
                            	Setup priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: soft_preemption_configured
                            
                            	Soft preemption is configured
                            	**type**\:  bool
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                self.affinity.parent = self
                                self.auto_bandwidth_collect = None
                                self.auto_route_announce = None
                                self.bandwidth = None
                                self.configured_bandwidth = None
                                self.dste_class_type = None
                                self.fast_reroute = None
                                self.forward_class = None
                                self.frr_bandwidth_protection = None
                                self.frr_node_protection = None
                                self.hold_priority = None
                                self.is_affinity_configured = None
                                self.is_bandwidth_configured = None
                                self.is_interface_bw_configured = None
                                self.is_policyclass_configured = None
                                self.is_priority_configured = None
                                self.load_share = None
                                self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                self.logging.parent = self
                                self.mesh_group_id = YLeafList()
                                self.mesh_group_id.parent = self
                                self.mesh_group_id.name = 'mesh_group_id'
                                self.policy_class = None
                                self.policy_class_entry = YLeafList()
                                self.policy_class_entry.parent = self
                                self.policy_class_entry.name = 'policy_class_entry'
                                self.record_route = None
                                self.setup_priority = None
                                self.soft_preemption_configured = None
                                self.tunnel_id = YLeafList()
                                self.tunnel_id.parent = self
                                self.tunnel_id.name = 'tunnel_id'


                            class Affinity(object):
                                """
                                Affinity
                                
                                .. attribute:: affinity_bits
                                
                                	The affinity bits (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: affinity_mask
                                
                                	The affinity mask (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: named_affinity
                                
                                	Array of name based constratints currently applied to the tunnel
                                	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.affinity_bits = None
                                    self.affinity_mask = None
                                    self.named_affinity = YList()
                                    self.named_affinity.parent = self
                                    self.named_affinity.name = 'named_affinity'


                                class NamedAffinity(object):
                                    """
                                    Array of name based constratints currently
                                    applied to the tunnel
                                    
                                    .. attribute:: constraint_extended_value
                                    
                                    	Constraint value
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: constraint_type
                                    
                                    	Constraint type
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: constraint_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: extended_forward_ref_value
                                    
                                    	Reference bits for undefined affinity names
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: forward_ref_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.constraint_extended_value = YLeafList()
                                        self.constraint_extended_value.parent = self
                                        self.constraint_extended_value.name = 'constraint_extended_value'
                                        self.constraint_type = None
                                        self.constraint_value = None
                                        self.extended_forward_ref_value = YLeafList()
                                        self.extended_forward_ref_value.parent = self
                                        self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                        self.forward_ref_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.constraint_extended_value is not None:
                                            for child in self.constraint_extended_value:
                                                if child is not None:
                                                    return True

                                        if self.constraint_type is not None:
                                            return True

                                        if self.constraint_value is not None:
                                            return True

                                        if self.extended_forward_ref_value is not None:
                                            for child in self.extended_forward_ref_value:
                                                if child is not None:
                                                    return True

                                        if self.forward_ref_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.affinity_bits is not None:
                                        return True

                                    if self.affinity_mask is not None:
                                        return True

                                    if self.named_affinity is not None:
                                        for child_ref in self.named_affinity:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                            class Logging(object):
                                """
                                Logging attributes
                                
                                .. attribute:: all_logging_enabled
                                
                                	All logging option\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_bandwidth_change
                                
                                	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_insufficient_bw
                                
                                	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_pcalc_failure_logging_enabled
                                
                                	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_opt
                                
                                	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_route
                                
                                	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_state
                                
                                	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: s2l_state
                                
                                	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.all_logging_enabled = None
                                    self.lsp_bandwidth_change = None
                                    self.lsp_insufficient_bw = None
                                    self.lsp_pcalc_failure_logging_enabled = None
                                    self.lsp_re_opt = None
                                    self.lsp_re_route = None
                                    self.lsp_state = None
                                    self.s2l_state = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.all_logging_enabled is not None:
                                        return True

                                    if self.lsp_bandwidth_change is not None:
                                        return True

                                    if self.lsp_insufficient_bw is not None:
                                        return True

                                    if self.lsp_pcalc_failure_logging_enabled is not None:
                                        return True

                                    if self.lsp_re_opt is not None:
                                        return True

                                    if self.lsp_re_route is not None:
                                        return True

                                    if self.lsp_state is not None:
                                        return True

                                    if self.s2l_state is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.affinity is not None and self.affinity._has_data():
                                    return True

                                if self.auto_bandwidth_collect is not None:
                                    return True

                                if self.auto_route_announce is not None:
                                    return True

                                if self.bandwidth is not None:
                                    return True

                                if self.configured_bandwidth is not None:
                                    return True

                                if self.dste_class_type is not None:
                                    return True

                                if self.fast_reroute is not None:
                                    return True

                                if self.forward_class is not None:
                                    return True

                                if self.frr_bandwidth_protection is not None:
                                    return True

                                if self.frr_node_protection is not None:
                                    return True

                                if self.hold_priority is not None:
                                    return True

                                if self.is_affinity_configured is not None:
                                    return True

                                if self.is_bandwidth_configured is not None:
                                    return True

                                if self.is_interface_bw_configured is not None:
                                    return True

                                if self.is_policyclass_configured is not None:
                                    return True

                                if self.is_priority_configured is not None:
                                    return True

                                if self.load_share is not None:
                                    return True

                                if self.logging is not None and self.logging._has_data():
                                    return True

                                if self.mesh_group_id is not None:
                                    for child in self.mesh_group_id:
                                        if child is not None:
                                            return True

                                if self.policy_class is not None:
                                    return True

                                if self.policy_class_entry is not None:
                                    for child in self.policy_class_entry:
                                        if child is not None:
                                            return True

                                if self.record_route is not None:
                                    return True

                                if self.setup_priority is not None:
                                    return True

                                if self.soft_preemption_configured is not None:
                                    return True

                                if self.tunnel_id is not None:
                                    for child in self.tunnel_id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                        class AttributeSetXro(object):
                            """
                            Attribute Set XRO
                            
                            .. attribute:: xro
                            
                            	The XRO specified by this attribute\-set
                            	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                self.xro.parent = self


                            class Xro(object):
                                """
                                The XRO specified by this attribute\-set
                                
                                .. attribute:: mutual_diversity_flag
                                
                                	Mutual Diversity Flag
                                	**type**\:  bool
                                
                                .. attribute:: xro_subobject
                                
                                	List of XRO sub\-objects
                                	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.mutual_diversity_flag = None
                                    self.xro_subobject = YList()
                                    self.xro_subobject.parent = self
                                    self.xro_subobject.name = 'xro_subobject'


                                class XroSubobject(object):
                                    """
                                    List of XRO sub\-objects
                                    
                                    .. attribute:: as_subobject
                                    
                                    	AS sub\-object
                                    	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                    
                                    .. attribute:: ipv4_subobject
                                    
                                    	IPv4 sub\-object
                                    	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                    
                                    .. attribute:: ipv6_subobject
                                    
                                    	IPv6 sub\-object
                                    	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                    
                                    .. attribute:: lsp_subobject
                                    
                                    	P2P LSP sub\-object
                                    	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                    
                                    .. attribute:: srlg_subobject
                                    
                                    	SRLG sub\-object
                                    	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                    
                                    .. attribute:: type
                                    
                                    	Type
                                    	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                    
                                    .. attribute:: unnumbered_subobject
                                    
                                    	Unnumbered sub\-object
                                    	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                        self.as_subobject.parent = self
                                        self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                        self.ipv4_subobject.parent = self
                                        self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                        self.ipv6_subobject.parent = self
                                        self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                        self.lsp_subobject.parent = self
                                        self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                        self.srlg_subobject.parent = self
                                        self.type = None
                                        self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                        self.unnumbered_subobject.parent = self


                                    class Ipv4Subobject(object):
                                        """
                                        IPv4 sub\-object
                                        
                                        .. attribute:: address
                                        
                                        	IPv4 address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: attribute
                                        
                                        	Attribute
                                        	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                        
                                        .. attribute:: exclusion_type
                                        
                                        	Exclusion Type
                                        	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                        
                                        .. attribute:: prefix_len
                                        
                                        	Prefix length
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.address = None
                                            self.attribute = None
                                            self.exclusion_type = None
                                            self.prefix_len = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.address is not None:
                                                return True

                                            if self.attribute is not None:
                                                return True

                                            if self.exclusion_type is not None:
                                                return True

                                            if self.prefix_len is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                    class Ipv6Subobject(object):
                                        """
                                        IPv6 sub\-object
                                        
                                        .. attribute:: address
                                        
                                        	IPv6 address
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: attribute
                                        
                                        	Attribute
                                        	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                        
                                        .. attribute:: exclusion_type
                                        
                                        	Exclusion Type
                                        	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                        
                                        .. attribute:: prefix_len
                                        
                                        	Prefix length
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.address = None
                                            self.attribute = None
                                            self.exclusion_type = None
                                            self.prefix_len = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.address is not None:
                                                return True

                                            if self.attribute is not None:
                                                return True

                                            if self.exclusion_type is not None:
                                                return True

                                            if self.prefix_len is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                    class UnnumberedSubobject(object):
                                        """
                                        Unnumbered sub\-object
                                        
                                        .. attribute:: attribute
                                        
                                        	Attribute
                                        	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                        
                                        .. attribute:: exclusion_type
                                        
                                        	Exclusion Type
                                        	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                        
                                        .. attribute:: interface_id
                                        
                                        	Interface ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: te_router_id
                                        
                                        	TE router\-id
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute = None
                                            self.exclusion_type = None
                                            self.interface_id = None
                                            self.te_router_id = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute is not None:
                                                return True

                                            if self.exclusion_type is not None:
                                                return True

                                            if self.interface_id is not None:
                                                return True

                                            if self.te_router_id is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                    class AsSubobject(object):
                                        """
                                        AS sub\-object
                                        
                                        .. attribute:: as_number
                                        
                                        	Autonomous System number
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.as_number = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.as_number is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                    class SrlgSubobject(object):
                                        """
                                        SRLG sub\-object
                                        
                                        .. attribute:: exclusion_type
                                        
                                        	Exclusion Type
                                        	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                        
                                        .. attribute:: srlg_id
                                        
                                        	SRLG ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.exclusion_type = None
                                            self.srlg_id = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.exclusion_type is not None:
                                                return True

                                            if self.srlg_id is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                    class LspSubobject(object):
                                        """
                                        P2P LSP sub\-object
                                        
                                        .. attribute:: destination_node_exception
                                        
                                        	Destination\-node exception flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: exclusion_type
                                        
                                        	Exclusion Type
                                        	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                        
                                        .. attribute:: fec
                                        
                                        	LSP FEC
                                        	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                        
                                        .. attribute:: ignore_lsp_id
                                        
                                        	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                        	**type**\:  bool
                                        
                                        .. attribute:: penultimate_node_exception
                                        
                                        	Penultimate\-node exception flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: processing_node_exception
                                        
                                        	Processing\-node exception flag
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.destination_node_exception = None
                                            self.exclusion_type = None
                                            self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                            self.fec.parent = self
                                            self.ignore_lsp_id = None
                                            self.penultimate_node_exception = None
                                            self.processing_node_exception = None


                                        class Fec(object):
                                            """
                                            LSP FEC
                                            
                                            .. attribute:: fec_destination_info
                                            
                                            	Destination or P2MP ID
                                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                            
                                            .. attribute:: fec_extended_tunnel_id
                                            
                                            	Extended tunnel ID
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: fec_lsp_id
                                            
                                            	LSP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: fec_source
                                            
                                            	Tunnel source address
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: fec_tunnel_id
                                            
                                            	Tunnel ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: fec_vrf
                                            
                                            	VRF; currently only for GMPLS tunnels
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                self.fec_destination_info.parent = self
                                                self.fec_extended_tunnel_id = None
                                                self.fec_lsp_id = None
                                                self.fec_source = None
                                                self.fec_tunnel_id = None
                                                self.fec_vrf = None


                                            class FecDestinationInfo(object):
                                                """
                                                Destination or P2MP ID
                                                
                                                .. attribute:: fec_ctype
                                                
                                                	FEC CType
                                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                
                                                .. attribute:: fec_destination_p2mp_id
                                                
                                                	P2MP ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: p2p_lsp_destination
                                                
                                                	P2P LSP destination
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.fec_ctype = None
                                                    self.fec_destination_p2mp_id = None
                                                    self.p2p_lsp_destination = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.fec_ctype is not None:
                                                        return True

                                                    if self.fec_destination_p2mp_id is not None:
                                                        return True

                                                    if self.p2p_lsp_destination is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                    return True

                                                if self.fec_extended_tunnel_id is not None:
                                                    return True

                                                if self.fec_lsp_id is not None:
                                                    return True

                                                if self.fec_source is not None:
                                                    return True

                                                if self.fec_tunnel_id is not None:
                                                    return True

                                                if self.fec_vrf is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.destination_node_exception is not None:
                                                return True

                                            if self.exclusion_type is not None:
                                                return True

                                            if self.fec is not None and self.fec._has_data():
                                                return True

                                            if self.ignore_lsp_id is not None:
                                                return True

                                            if self.penultimate_node_exception is not None:
                                                return True

                                            if self.processing_node_exception is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_subobject is not None and self.as_subobject._has_data():
                                            return True

                                        if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                            return True

                                        if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                            return True

                                        if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                            return True

                                        if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                            return True

                                        if self.type is not None:
                                            return True

                                        if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.mutual_diversity_flag is not None:
                                        return True

                                    if self.xro_subobject is not None:
                                        for child_ref in self.xro_subobject:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.xro is not None and self.xro._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                        class AttributeSetP2Mpte(object):
                            """
                            MPLS TE P2MP\-TE Attribute Set
                            
                            .. attribute:: affinity
                            
                            	Affinity
                            	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                            
                            .. attribute:: configured_bandwidth
                            
                            	Bandwidth value in kbps
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: dste_class_type
                            
                            	DSTE Class
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: fast_reroute
                            
                            	Fast reroute
                            	**type**\:  bool
                            
                            .. attribute:: frr_bandwidth_protection
                            
                            	FRR bandwidth protection
                            	**type**\:  bool
                            
                            .. attribute:: hold_priority
                            
                            	Hold priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: is_affinity_configured
                            
                            	Is affinity configured
                            	**type**\:  bool
                            
                            .. attribute:: is_bandwidth_configured
                            
                            	Is bandwidth configured
                            	**type**\:  bool
                            
                            .. attribute:: is_priority_configured
                            
                            	Is priority configured
                            	**type**\:  bool
                            
                            .. attribute:: setup_priority
                            
                            	Setup priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                self.affinity.parent = self
                                self.configured_bandwidth = None
                                self.dste_class_type = None
                                self.fast_reroute = None
                                self.frr_bandwidth_protection = None
                                self.hold_priority = None
                                self.is_affinity_configured = None
                                self.is_bandwidth_configured = None
                                self.is_priority_configured = None
                                self.setup_priority = None
                                self.tunnel_id = YLeafList()
                                self.tunnel_id.parent = self
                                self.tunnel_id.name = 'tunnel_id'


                            class Affinity(object):
                                """
                                Affinity
                                
                                .. attribute:: affinity_bits
                                
                                	The affinity bits (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: affinity_mask
                                
                                	The affinity mask (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: named_affinity
                                
                                	Array of name based constratints currently applied to the tunnel
                                	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.affinity_bits = None
                                    self.affinity_mask = None
                                    self.named_affinity = YList()
                                    self.named_affinity.parent = self
                                    self.named_affinity.name = 'named_affinity'


                                class NamedAffinity(object):
                                    """
                                    Array of name based constratints currently
                                    applied to the tunnel
                                    
                                    .. attribute:: constraint_extended_value
                                    
                                    	Constraint value
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: constraint_type
                                    
                                    	Constraint type
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: constraint_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: extended_forward_ref_value
                                    
                                    	Reference bits for undefined affinity names
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: forward_ref_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.constraint_extended_value = YLeafList()
                                        self.constraint_extended_value.parent = self
                                        self.constraint_extended_value.name = 'constraint_extended_value'
                                        self.constraint_type = None
                                        self.constraint_value = None
                                        self.extended_forward_ref_value = YLeafList()
                                        self.extended_forward_ref_value.parent = self
                                        self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                        self.forward_ref_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.constraint_extended_value is not None:
                                            for child in self.constraint_extended_value:
                                                if child is not None:
                                                    return True

                                        if self.constraint_type is not None:
                                            return True

                                        if self.constraint_value is not None:
                                            return True

                                        if self.extended_forward_ref_value is not None:
                                            for child in self.extended_forward_ref_value:
                                                if child is not None:
                                                    return True

                                        if self.forward_ref_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.affinity_bits is not None:
                                        return True

                                    if self.affinity_mask is not None:
                                        return True

                                    if self.named_affinity is not None:
                                        for child_ref in self.named_affinity:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.affinity is not None and self.affinity._has_data():
                                    return True

                                if self.configured_bandwidth is not None:
                                    return True

                                if self.dste_class_type is not None:
                                    return True

                                if self.fast_reroute is not None:
                                    return True

                                if self.frr_bandwidth_protection is not None:
                                    return True

                                if self.hold_priority is not None:
                                    return True

                                if self.is_affinity_configured is not None:
                                    return True

                                if self.is_bandwidth_configured is not None:
                                    return True

                                if self.is_priority_configured is not None:
                                    return True

                                if self.setup_priority is not None:
                                    return True

                                if self.tunnel_id is not None:
                                    for child in self.tunnel_id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                        class AttributeSetApsPp(object):
                            """
                            Attribute Set OTN APS Path Protection
                            
                            .. attribute:: hold_off_time
                            
                            	Hold\-off time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: path_prot_profile_type
                            
                            	Path Protection Profile Type
                            	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                            
                            .. attribute:: protection_mode
                            
                            	Protection Restoration Mode
                            	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                            
                            .. attribute:: protection_type
                            
                            	Protection Type
                            	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                            
                            .. attribute:: restoration_style
                            
                            	Restoration Style
                            	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                            
                            .. attribute:: revert_schedule
                            
                            	Revert Schedule
                            	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                            
                            .. attribute:: snc_mode
                            
                            	Sub\-network Connection Mode
                            	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                            
                            .. attribute:: tcm_id
                            
                            	Sub\-network Connection Monitoring Mode
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: wait_to_restore_time
                            
                            	Wait to restore time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hold_off_time = None
                                self.path_prot_profile_type = None
                                self.protection_mode = None
                                self.protection_type = None
                                self.restoration_style = None
                                self.revert_schedule = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                self.revert_schedule.parent = self
                                self.snc_mode = None
                                self.tcm_id = None
                                self.wait_to_restore_time = None


                            class RevertSchedule(object):
                                """
                                Revert Schedule
                                
                                .. attribute:: duration
                                
                                	Duration for scheduled reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: max_tries
                                
                                	Max tries for scheduled reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: schedule_date
                                
                                	Schedule time for reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: schedule_frequency
                                
                                	Schedule frequency for reversion
                                	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                
                                .. attribute:: schedulename
                                
                                	Schedule name identifier
                                	**type**\:  str
                                
                                	**length:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.duration = None
                                    self.max_tries = None
                                    self.schedule_date = None
                                    self.schedule_frequency = None
                                    self.schedulename = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.duration is not None:
                                        return True

                                    if self.max_tries is not None:
                                        return True

                                    if self.schedule_date is not None:
                                        return True

                                    if self.schedule_frequency is not None:
                                        return True

                                    if self.schedulename is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hold_off_time is not None:
                                    return True

                                if self.path_prot_profile_type is not None:
                                    return True

                                if self.protection_mode is not None:
                                    return True

                                if self.protection_type is not None:
                                    return True

                                if self.restoration_style is not None:
                                    return True

                                if self.revert_schedule is not None and self.revert_schedule._has_data():
                                    return True

                                if self.snc_mode is not None:
                                    return True

                                if self.tcm_id is not None:
                                    return True

                                if self.wait_to_restore_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                        class AttributeSetP2PTe(object):
                            """
                            MPLS TE P2P\-TE Attribute Set
                            
                            .. attribute:: affinity
                            
                            	Affinity
                            	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                            
                            .. attribute:: is_affinity_configured
                            
                            	Is affinity configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_invalidation_action_configured
                            
                            	Is Path Invalidation action configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_invalidation_timeout_configured
                            
                            	Is Path Invalidation timeout configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_select_configured
                            
                            	Is any of the path selection parameters configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_selection_metric_configured
                            
                            	Is path selection metric configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                            
                            	Is path selection segment routing configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_selection_segment_routing_margin_configured
                            
                            	Is path selection margin configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_selection_segment_routing_margin_relative
                            
                            	Path selection margin is\_relative
                            	**type**\:  bool
                            
                            .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                            
                            	Is path selection segment limit configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_configured
                            
                            	Is PCE Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_group_id_configured
                            
                            	Is PCE Disjoint Path Group ID Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_source_configured
                            
                            	Is PCE Disjoint Path Source Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_type_configured
                            
                            	Is PCE Disjoint Path Type Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pceb_dj_source_configured
                            
                            	Is PCE Bidirectional Source Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pcebd_group_id_configured
                            
                            	Is PCE Bidirectional Group ID Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_prepend_list_configured
                            
                            	Is SR prepend list configured
                            	**type**\:  bool
                            
                            .. attribute:: logging
                            
                            	Logging attributes
                            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                            
                            .. attribute:: path_invalidation_timeout
                            
                            	Path invalidation timeout on the tunnel path
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: path_selection_invalidation_action
                            
                            	Path invalidation action
                            	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                            
                            .. attribute:: path_selection_metric
                            
                            	Path selection metric type
                            	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                            
                            .. attribute:: path_selection_segment_routing_adjacency_protection
                            
                            	Path selection segment\-routing type
                            	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                            
                            .. attribute:: path_selection_segment_routing_margin
                            
                            	Path selection margin
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: path_selection_segment_routing_segment_limit
                            
                            	Is path selection segment limit configured
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcebd_group_id
                            
                            	PCE Bidirectional Group ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcebd_source_address
                            
                            	PCE Bidirectional Source Address
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_group_id
                            
                            	PCE Disjoint Path Group ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_source_address
                            
                            	PCE Disjoint Path Source Address
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_type
                            
                            	PCE Disjoint Path Type
                            	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                            
                            .. attribute:: prepend_list
                            
                            	SR prepend list
                            	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                self.affinity.parent = self
                                self.is_affinity_configured = None
                                self.is_path_invalidation_action_configured = None
                                self.is_path_invalidation_timeout_configured = None
                                self.is_path_select_configured = None
                                self.is_path_selection_metric_configured = None
                                self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                self.is_path_selection_segment_routing_margin_configured = None
                                self.is_path_selection_segment_routing_margin_relative = None
                                self.is_path_selection_segment_routing_segment_limit_configured = None
                                self.is_pce_configured = None
                                self.is_pce_disj_group_id_configured = None
                                self.is_pce_disj_source_configured = None
                                self.is_pce_disj_type_configured = None
                                self.is_pceb_dj_source_configured = None
                                self.is_pcebd_group_id_configured = None
                                self.is_prepend_list_configured = None
                                self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                self.logging.parent = self
                                self.path_invalidation_timeout = None
                                self.path_selection_invalidation_action = None
                                self.path_selection_metric = None
                                self.path_selection_segment_routing_adjacency_protection = None
                                self.path_selection_segment_routing_margin = None
                                self.path_selection_segment_routing_segment_limit = None
                                self.pcebd_group_id = None
                                self.pcebd_source_address = None
                                self.pcedp_group_id = None
                                self.pcedp_source_address = None
                                self.pcedp_type = None
                                self.prepend_list = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                self.prepend_list.parent = self
                                self.tunnel_id = YLeafList()
                                self.tunnel_id.parent = self
                                self.tunnel_id.name = 'tunnel_id'


                            class Affinity(object):
                                """
                                Affinity
                                
                                .. attribute:: affinity_bits
                                
                                	The affinity bits (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: affinity_mask
                                
                                	The affinity mask (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: named_affinity
                                
                                	Array of name based constratints currently applied to the tunnel
                                	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.affinity_bits = None
                                    self.affinity_mask = None
                                    self.named_affinity = YList()
                                    self.named_affinity.parent = self
                                    self.named_affinity.name = 'named_affinity'


                                class NamedAffinity(object):
                                    """
                                    Array of name based constratints currently
                                    applied to the tunnel
                                    
                                    .. attribute:: constraint_extended_value
                                    
                                    	Constraint value
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: constraint_type
                                    
                                    	Constraint type
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: constraint_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: extended_forward_ref_value
                                    
                                    	Reference bits for undefined affinity names
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: forward_ref_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.constraint_extended_value = YLeafList()
                                        self.constraint_extended_value.parent = self
                                        self.constraint_extended_value.name = 'constraint_extended_value'
                                        self.constraint_type = None
                                        self.constraint_value = None
                                        self.extended_forward_ref_value = YLeafList()
                                        self.extended_forward_ref_value.parent = self
                                        self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                        self.forward_ref_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.constraint_extended_value is not None:
                                            for child in self.constraint_extended_value:
                                                if child is not None:
                                                    return True

                                        if self.constraint_type is not None:
                                            return True

                                        if self.constraint_value is not None:
                                            return True

                                        if self.extended_forward_ref_value is not None:
                                            for child in self.extended_forward_ref_value:
                                                if child is not None:
                                                    return True

                                        if self.forward_ref_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.affinity_bits is not None:
                                        return True

                                    if self.affinity_mask is not None:
                                        return True

                                    if self.named_affinity is not None:
                                        for child_ref in self.named_affinity:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                            class Logging(object):
                                """
                                Logging attributes
                                
                                .. attribute:: all_logging_enabled
                                
                                	All logging option\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_bandwidth_change
                                
                                	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_insufficient_bw
                                
                                	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_pcalc_failure_logging_enabled
                                
                                	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_opt
                                
                                	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_route
                                
                                	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_state
                                
                                	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: s2l_state
                                
                                	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.all_logging_enabled = None
                                    self.lsp_bandwidth_change = None
                                    self.lsp_insufficient_bw = None
                                    self.lsp_pcalc_failure_logging_enabled = None
                                    self.lsp_re_opt = None
                                    self.lsp_re_route = None
                                    self.lsp_state = None
                                    self.s2l_state = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.all_logging_enabled is not None:
                                        return True

                                    if self.lsp_bandwidth_change is not None:
                                        return True

                                    if self.lsp_insufficient_bw is not None:
                                        return True

                                    if self.lsp_pcalc_failure_logging_enabled is not None:
                                        return True

                                    if self.lsp_re_opt is not None:
                                        return True

                                    if self.lsp_re_route is not None:
                                        return True

                                    if self.lsp_state is not None:
                                        return True

                                    if self.s2l_state is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                            class PrependList(object):
                                """
                                SR prepend list
                                
                                .. attribute:: prepend_entry
                                
                                	List of prepend entries
                                	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.prepend_entry = YList()
                                    self.prepend_entry.parent = self
                                    self.prepend_entry.name = 'prepend_entry'


                                class PrependEntry(object):
                                    """
                                    List of prepend entries
                                    
                                    .. attribute:: index
                                    
                                    	Prepend index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: next_label
                                    
                                    	Prepend next label
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: type
                                    
                                    	Prepend Type
                                    	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.index = None
                                        self.next_label = None
                                        self.type = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.index is not None:
                                            return True

                                        if self.next_label is not None:
                                            return True

                                        if self.type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.prepend_entry is not None:
                                        for child_ref in self.prepend_entry:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.affinity is not None and self.affinity._has_data():
                                    return True

                                if self.is_affinity_configured is not None:
                                    return True

                                if self.is_path_invalidation_action_configured is not None:
                                    return True

                                if self.is_path_invalidation_timeout_configured is not None:
                                    return True

                                if self.is_path_select_configured is not None:
                                    return True

                                if self.is_path_selection_metric_configured is not None:
                                    return True

                                if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                    return True

                                if self.is_path_selection_segment_routing_margin_configured is not None:
                                    return True

                                if self.is_path_selection_segment_routing_margin_relative is not None:
                                    return True

                                if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                    return True

                                if self.is_pce_configured is not None:
                                    return True

                                if self.is_pce_disj_group_id_configured is not None:
                                    return True

                                if self.is_pce_disj_source_configured is not None:
                                    return True

                                if self.is_pce_disj_type_configured is not None:
                                    return True

                                if self.is_pceb_dj_source_configured is not None:
                                    return True

                                if self.is_pcebd_group_id_configured is not None:
                                    return True

                                if self.is_prepend_list_configured is not None:
                                    return True

                                if self.logging is not None and self.logging._has_data():
                                    return True

                                if self.path_invalidation_timeout is not None:
                                    return True

                                if self.path_selection_invalidation_action is not None:
                                    return True

                                if self.path_selection_metric is not None:
                                    return True

                                if self.path_selection_segment_routing_adjacency_protection is not None:
                                    return True

                                if self.path_selection_segment_routing_margin is not None:
                                    return True

                                if self.path_selection_segment_routing_segment_limit is not None:
                                    return True

                                if self.pcebd_group_id is not None:
                                    return True

                                if self.pcebd_source_address is not None:
                                    return True

                                if self.pcedp_group_id is not None:
                                    return True

                                if self.pcedp_source_address is not None:
                                    return True

                                if self.pcedp_type is not None:
                                    return True

                                if self.prepend_list is not None and self.prepend_list._has_data():
                                    return True

                                if self.tunnel_id is not None:
                                    for child in self.tunnel_id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                return True

                            if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                return True

                            if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                return True

                            if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                return True

                            if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                return True

                            if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                return True

                            if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                return True

                            if self.tunnel_attribute_set_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                            return True

                        if self.tunnel_attribute_set_name is not None:
                            return True

                        if self.tunnel_attribute_set_name_crc32 is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet']['meta_info']


                class TeTunnelConvergence(object):
                    """
                    TE tunnel convergence related information
                    
                    .. attribute:: binding_label_rewrite_time
                    
                    	Binding label timestamp (clocktime in nsecs)
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    .. attribute:: convergence_complete_time
                    
                    	TE convergence completion time
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: convergence_lsp
                    
                    	TE LSP convergence related information
                    	**type**\:   :py:class:`ConvergenceLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence.ConvergenceLsp>`
                    
                    .. attribute:: frr_trigger_time
                    
                    	FRR trigger time
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: is_convergence_in_progress
                    
                    	TE convergence in progress
                    	**type**\:  bool
                    
                    .. attribute:: pcalc_complete_time
                    
                    	Path computation completion timestamp (clocktime in nsecs)
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    .. attribute:: vif_creation_time
                    
                    	Vif creation timestamp (clocktime in nsecs)
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.binding_label_rewrite_time = None
                        self.convergence_complete_time = None
                        self.convergence_lsp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence.ConvergenceLsp()
                        self.convergence_lsp.parent = self
                        self.frr_trigger_time = None
                        self.is_convergence_in_progress = None
                        self.pcalc_complete_time = None
                        self.vif_creation_time = None


                    class ConvergenceLsp(object):
                        """
                        TE LSP convergence related information
                        
                        .. attribute:: creation_time
                        
                        	Tunnel creation timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: label_rewrite
                        
                        	LSP Label rewrite timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: path_in
                        
                        	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: path_out
                        
                        	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: resv_in
                        
                        	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: resv_out
                        
                        	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: tunnel_rewrite
                        
                        	Tunnel rewrite timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.creation_time = None
                            self.label_rewrite = None
                            self.path_in = None
                            self.path_out = None
                            self.resv_in = None
                            self.resv_out = None
                            self.tunnel_rewrite = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:convergence-lsp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.creation_time is not None:
                                return True

                            if self.label_rewrite is not None:
                                return True

                            if self.path_in is not None:
                                return True

                            if self.path_out is not None:
                                return True

                            if self.resv_in is not None:
                                return True

                            if self.resv_out is not None:
                                return True

                            if self.tunnel_rewrite is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence.ConvergenceLsp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-tunnel-convergence'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.binding_label_rewrite_time is not None:
                            return True

                        if self.convergence_complete_time is not None:
                            return True

                        if self.convergence_lsp is not None and self.convergence_lsp._has_data():
                            return True

                        if self.frr_trigger_time is not None:
                            return True

                        if self.is_convergence_in_progress is not None:
                            return True

                        if self.pcalc_complete_time is not None:
                            return True

                        if self.vif_creation_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence']['meta_info']


                class FlexInfo(object):
                    """
                    Flex Info
                    
                    .. attribute:: fault_ais
                    
                    	Fault AIS
                    	**type**\:  bool
                    
                    .. attribute:: fault_in_label
                    
                    	Fault In Label
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: fault_ldi
                    
                    	Fault LDI
                    	**type**\:  bool
                    
                    .. attribute:: fault_ldi_lockout
                    
                    	Fault LDI Lockout
                    	**type**\:  bool
                    
                    .. attribute:: fault_lkr
                    
                    	Fault LKR
                    	**type**\:  bool
                    
                    .. attribute:: fault_time
                    
                    	Fault Time
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_lockout
                    
                    	Lockout Status
                    	**type**\:  bool
                    
                    .. attribute:: lockout_lsp_id
                    
                    	The LSP ID of the locked out LSP
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: lockout_timestamp
                    
                    	The timestamp when the lockout is set
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: origination
                    
                    	Flex LSP Lockout Origination Source
                    	**type**\:   :py:class:`FlexLspLockoutOriginationEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.FlexLspLockoutOriginationEnum>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.fault_ais = None
                        self.fault_in_label = None
                        self.fault_ldi = None
                        self.fault_ldi_lockout = None
                        self.fault_lkr = None
                        self.fault_time = None
                        self.is_lockout = None
                        self.lockout_lsp_id = None
                        self.lockout_timestamp = None
                        self.origination = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.fault_ais is not None:
                            return True

                        if self.fault_in_label is not None:
                            return True

                        if self.fault_ldi is not None:
                            return True

                        if self.fault_ldi_lockout is not None:
                            return True

                        if self.fault_lkr is not None:
                            return True

                        if self.fault_time is not None:
                            return True

                        if self.is_lockout is not None:
                            return True

                        if self.lockout_lsp_id is not None:
                            return True

                        if self.lockout_timestamp is not None:
                            return True

                        if self.origination is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.FlexInfo']['meta_info']


                class Destination(object):
                    """
                    Destinations array
                    
                    .. attribute:: active_path_option_index
                    
                    	Index of active path option
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: destination_address
                    
                    	Destination address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: destination_deletion_cause
                    
                    	Destination deletion cause
                    	**type**\:   :py:class:`TeP2MpS2LDeletionCauseEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeP2MpS2LDeletionCauseEnum>`
                    
                    .. attribute:: destination_deletion_sub_cause
                    
                    	Destination deletion subcause
                    	**type**\:   :py:class:`TeP2MpS2LDeletionSubcauseEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeP2MpS2LDeletionSubcauseEnum>`
                    
                    .. attribute:: destination_deletion_timestamp
                    
                    	Destination deletion timestamp in seconds
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: destination_state
                    
                    	The state of the destination
                    	**type**\:   :py:class:`TeDestinationStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeDestinationStateEnum>`
                    
                    .. attribute:: inter_area_reoptimization
                    
                    	The timing and count information of interarea reoptimization
                    	**type**\:   :py:class:`InterAreaReoptimization <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.InterAreaReoptimization>`
                    
                    .. attribute:: is_inter_area
                    
                    	Indicates whether this destination is in different area
                    	**type**\:  bool
                    
                    .. attribute:: path_change_time
                    
                    	Last path change time
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_option
                    
                    	Destination's list of path options
                    	**type**\: list of    :py:class:`PathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption>`
                    
                    .. attribute:: path_option_entry
                    
                    	Deprecated; replaced by PathOption
                    	**type**\: list of    :py:class:`PathOptionEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry>`
                    
                    .. attribute:: path_option_exhausted
                    
                    	Path options are exhausted
                    	**type**\:  bool
                    
                    .. attribute:: s2l_exist
                    
                    	Dest state may not be up but S2L may exist
                    	**type**\:  bool
                    
                    .. attribute:: total_uptime
                    
                    	Unused
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the destination was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.active_path_option_index = None
                        self.destination_address = None
                        self.destination_deletion_cause = None
                        self.destination_deletion_sub_cause = None
                        self.destination_deletion_timestamp = None
                        self.destination_state = None
                        self.inter_area_reoptimization = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.InterAreaReoptimization()
                        self.inter_area_reoptimization.parent = self
                        self.is_inter_area = None
                        self.path_change_time = None
                        self.path_option = YList()
                        self.path_option.parent = self
                        self.path_option.name = 'path_option'
                        self.path_option_entry = YList()
                        self.path_option_entry.parent = self
                        self.path_option_entry.name = 'path_option_entry'
                        self.path_option_exhausted = None
                        self.s2l_exist = None
                        self.total_uptime = None
                        self.uptime = None


                    class InterAreaReoptimization(object):
                        """
                        The timing and count information of interarea
                        reoptimization.
                        
                        .. attribute:: preferred_path_error_node
                        
                        	Address of the preferred path error generating node
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: preferred_tree_error_node
                        
                        	Address of the preferred tree error generating node
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: received_preferred_path_errors
                        
                        	Number of received Preferred Path Exists Error
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: received_preferred_tree_errors
                        
                        	Number of received Preferred Tree Exists Error
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: sent_path_queries
                        
                        	Number of better path queries sent
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: time_since_last_preferred_path_error
                        
                        	Time since last Preferred Path Exists error received (seconds)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: time_since_last_preferred_tree_error
                        
                        	Time since last Preferred Tree Exists error received (seconds)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: time_since_last_query_sent
                        
                        	Time since the last better path query was sent (seconds)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.preferred_path_error_node = None
                            self.preferred_tree_error_node = None
                            self.received_preferred_path_errors = None
                            self.received_preferred_tree_errors = None
                            self.sent_path_queries = None
                            self.time_since_last_preferred_path_error = None
                            self.time_since_last_preferred_tree_error = None
                            self.time_since_last_query_sent = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:inter-area-reoptimization'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.preferred_path_error_node is not None:
                                return True

                            if self.preferred_tree_error_node is not None:
                                return True

                            if self.received_preferred_path_errors is not None:
                                return True

                            if self.received_preferred_tree_errors is not None:
                                return True

                            if self.sent_path_queries is not None:
                                return True

                            if self.time_since_last_preferred_path_error is not None:
                                return True

                            if self.time_since_last_preferred_tree_error is not None:
                                return True

                            if self.time_since_last_query_sent is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.InterAreaReoptimization']['meta_info']


                    class PathOptionEntry(object):
                        """
                        Deprecated; replaced by PathOption
                        
                        .. attribute:: attribute_set
                        
                        	The path option attribute set used by this path
                        	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet>`
                        
                        .. attribute:: attribute_set_found
                        
                        	TRUE if the path has found the defined attribute set
                        	**type**\:  bool
                        
                        .. attribute:: explicit_path_id
                        
                        	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: explicit_path_name
                        
                        	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                        	**type**\:  str
                        
                        .. attribute:: has_attribute_set
                        
                        	TRUE if the path has an attribute set defined
                        	**type**\:  bool
                        
                        .. attribute:: has_xro_attribute_set
                        
                        	TRUE if the path has an XRO attribute set configured
                        	**type**\:  bool
                        
                        .. attribute:: holddown_duration
                        
                        	Holddown Duration (seconds)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        .. attribute:: is_disabled
                        
                        	TRUE if the path option is disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_helddown
                        
                        	TRUE if path is helddown
                        	**type**\:  bool
                        
                        .. attribute:: is_lockdown
                        
                        	TRUE if the path is locked down
                        	**type**\:  bool
                        
                        .. attribute:: is_segment_routing
                        
                        	TRUE if the path is Segment\-Routing
                        	**type**\:  bool
                        
                        .. attribute:: is_strict_explicit_path
                        
                        	TRUE if explicit path is strict
                        	**type**\:  bool
                        
                        .. attribute:: is_verbatim
                        
                        	TRUE if the path is verbatim
                        	**type**\:  bool
                        
                        .. attribute:: option_index
                        
                        	Path option index
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: option_index_is_valid
                        
                        	The path option index is valid
                        	**type**\:  bool
                        
                        .. attribute:: path_calculation_error
                        
                        	Path computation information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.PathCalculationError>`
                        
                        .. attribute:: path_option_area_id
                        
                        	The path\-option area constraint
                        	**type**\:  str
                        
                        .. attribute:: path_option_name
                        
                        	Path option name
                        	**type**\:  str
                        
                        .. attribute:: path_option_type
                        
                        	Path option type
                        	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                        
                        .. attribute:: pce_address
                        
                        	PCE server address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: protected_by_path_option_index
                        
                        	Path option index for Protect path options
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: remerge_error
                        
                        	Path computation remerge resolve info
                        	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.RemergeError>`
                        
                        .. attribute:: restored_from_path_option_index
                        
                        	Path option index for Restore path options
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: signalling_error
                        
                        	Signalling information
                        	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.SignallingError>`
                        
                        .. attribute:: xro_attribute_set
                        
                        	The XRO attribute set used by this path\-option
                        	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet>`
                        
                        .. attribute:: xro_attribute_set_found
                        
                        	TRUE if the path's XRO attribute set is known
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.attribute_set = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet()
                            self.attribute_set.parent = self
                            self.attribute_set_found = None
                            self.explicit_path_id = None
                            self.explicit_path_name = None
                            self.has_attribute_set = None
                            self.has_xro_attribute_set = None
                            self.holddown_duration = None
                            self.is_disabled = None
                            self.is_helddown = None
                            self.is_lockdown = None
                            self.is_segment_routing = None
                            self.is_strict_explicit_path = None
                            self.is_verbatim = None
                            self.option_index = None
                            self.option_index_is_valid = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_area_id = None
                            self.path_option_name = None
                            self.path_option_type = None
                            self.pce_address = None
                            self.protected_by_path_option_index = None
                            self.remerge_error = YList()
                            self.remerge_error.parent = self
                            self.remerge_error.name = 'remerge_error'
                            self.restored_from_path_option_index = None
                            self.signalling_error = YList()
                            self.signalling_error.parent = self
                            self.signalling_error.name = 'signalling_error'
                            self.xro_attribute_set = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet()
                            self.xro_attribute_set.parent = self
                            self.xro_attribute_set_found = None


                        class AttributeSet(object):
                            """
                            The path option attribute set used by this path
                            
                            .. attribute:: attribute_set_union
                            
                            	Union of Attribute Sets
                            	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion>`
                            
                            .. attribute:: tunnel_attribute_set_name
                            
                            	Attribute Set Name
                            	**type**\:  str
                            
                            .. attribute:: tunnel_attribute_set_name_crc32
                            
                            	Attribute Set name CRC32 value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set_union = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion()
                                self.attribute_set_union.parent = self
                                self.tunnel_attribute_set_name = None
                                self.tunnel_attribute_set_name_crc32 = None


                            class AttributeSetUnion(object):
                                """
                                Union of Attribute Sets
                                
                                .. attribute:: attribute_set_aps_pp
                                
                                	Attribute Set OTN APS Path Protection
                                	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                
                                .. attribute:: attribute_set_autobackup
                                
                                	MPLS TE Auto\-backup Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                
                                .. attribute:: attribute_set_automesh
                                
                                	MPLS TE Auto\-mesh Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                
                                .. attribute:: attribute_set_p2mpte
                                
                                	MPLS TE P2MP\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                
                                .. attribute:: attribute_set_p2p_te
                                
                                	MPLS TE P2P\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                
                                .. attribute:: attribute_set_path_option
                                
                                	MPLS TE Path Option Attribute Set
                                	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                
                                .. attribute:: attribute_set_xro
                                
                                	Attribute Set XRO
                                	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                
                                .. attribute:: tunnel_attribute_set_type
                                
                                	TunnelAttributeSetType
                                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                    self.attribute_set_aps_pp.parent = self
                                    self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                    self.attribute_set_autobackup.parent = self
                                    self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                    self.attribute_set_automesh.parent = self
                                    self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                    self.attribute_set_p2mpte.parent = self
                                    self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                    self.attribute_set_p2p_te.parent = self
                                    self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                    self.attribute_set_path_option.parent = self
                                    self.attribute_set_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                    self.attribute_set_xro.parent = self
                                    self.tunnel_attribute_set_type = None


                                class AttributeSetPathOption(object):
                                    """
                                    MPLS TE Path Option Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                    
                                    .. attribute:: bandwidth_type
                                    
                                    	The bandwidth type
                                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                    
                                    .. attribute:: bfd_reverse_path
                                    
                                    	BFD reverse path
                                    	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: cost_limit
                                    
                                    	Cost limit on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: exclude_list_name
                                    
                                    	Exclude list name
                                    	**type**\:  str
                                    
                                    .. attribute:: generation
                                    
                                    	Generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bfd_reverse_pat_configured
                                    
                                    	Is BFD reverse path configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_cost_limit_configured
                                    
                                    	Is Cost Limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_exclude_list_name_configured
                                    
                                    	Is exclude list name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is path invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is path invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation interval on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: version_info
                                    
                                    	Version Info
                                    	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                        self.affinity.parent = self
                                        self.bandwidth_type = None
                                        self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                        self.bfd_reverse_path.parent = self
                                        self.configured_bandwidth = None
                                        self.cost_limit = None
                                        self.dste_class_type = None
                                        self.exclude_list_name = None
                                        self.generation = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_bfd_reverse_pat_configured = None
                                        self.is_cost_limit_configured = None
                                        self.is_exclude_list_name_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.path_invalidation_action = None
                                        self.path_invalidation_timeout = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'
                                        self.version_info = YList()
                                        self.version_info.parent = self
                                        self.version_info.name = 'version_info'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                    class BfdReversePath(object):
                                        """
                                        BFD reverse path
                                        
                                        .. attribute:: binding_label
                                        
                                        	BFD reverse path binding label
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_type
                                        
                                        	BFD reverse path type
                                        	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.binding_label = None
                                            self.path_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.binding_label is not None:
                                                return True

                                            if self.path_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                    class VersionInfo(object):
                                        """
                                        Version Info
                                        
                                        .. attribute:: attribute_type
                                        
                                        	Attribute Type
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_default
                                        
                                        	Is default
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute_type = None
                                            self.generation = None
                                            self.is_default = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute_type is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_default is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.bandwidth_type is not None:
                                            return True

                                        if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.cost_limit is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.exclude_list_name is not None:
                                            return True

                                        if self.generation is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_bfd_reverse_pat_configured is not None:
                                            return True

                                        if self.is_cost_limit_configured is not None:
                                            return True

                                        if self.is_exclude_list_name_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.path_invalidation_action is not None:
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        if self.version_info is not None:
                                            for child_ref in self.version_info:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                class AttributeSetAutobackup(object):
                                    """
                                    MPLS TE Auto\-backup Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_signalled_name_configured
                                    
                                    	Is signalled name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: protected_interface
                                    
                                    	Array of Protected Interface Names
                                    	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: signalled_name
                                    
                                    	Signalled name
                                    	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                        self.affinity.parent = self
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.is_signalled_name_configured = None
                                        self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                        self.logging.parent = self
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.protected_interface = YList()
                                        self.protected_interface.parent = self
                                        self.protected_interface.name = 'protected_interface'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.signalled_name = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                        self.signalled_name.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class SignalledName(object):
                                        """
                                        Signalled name
                                        
                                        .. attribute:: is_mp_addresses
                                        
                                        	MP address appended
                                        	**type**\:  bool
                                        
                                        .. attribute:: name
                                        
                                        	Signalled name
                                        	**type**\:  str
                                        
                                        .. attribute:: protected_interface_type
                                        
                                        	Protected interface address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        .. attribute:: source_type
                                        
                                        	Source address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.is_mp_addresses = None
                                            self.name = None
                                            self.protected_interface_type = None
                                            self.source_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.is_mp_addresses is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.protected_interface_type is not None:
                                                return True

                                            if self.source_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                    class ProtectedInterface(object):
                                        """
                                        Array of Protected Interface Names
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Protected Interface Name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.protected_interface = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.protected_interface is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.is_signalled_name_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.protected_interface is not None:
                                            for child_ref in self.protected_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.signalled_name is not None and self.signalled_name._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                class AttributeSetAutomesh(object):
                                    """
                                    MPLS TE Auto\-mesh Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                    
                                    .. attribute:: auto_bandwidth_collect
                                    
                                    	Auto bandwidth collect only
                                    	**type**\:  bool
                                    
                                    .. attribute:: auto_route_announce
                                    
                                    	Announce auto route to IGP
                                    	**type**\:  bool
                                    
                                    .. attribute:: bandwidth
                                    
                                    	IM bandwidth
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: forward_class
                                    
                                    	Forward class
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_node_protection
                                    
                                    	FRR Node protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_interface_bw_configured
                                    
                                    	Is Interface BW configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: load_share
                                    
                                    	Load Share
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                    
                                    .. attribute:: mesh_group_id
                                    
                                    	Meshgroup ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: soft_preemption_configured
                                    
                                    	Soft preemption is configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                        self.affinity.parent = self
                                        self.auto_bandwidth_collect = None
                                        self.auto_route_announce = None
                                        self.bandwidth = None
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.forward_class = None
                                        self.frr_bandwidth_protection = None
                                        self.frr_node_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_interface_bw_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.load_share = None
                                        self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                        self.logging.parent = self
                                        self.mesh_group_id = YLeafList()
                                        self.mesh_group_id.parent = self
                                        self.mesh_group_id.name = 'mesh_group_id'
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.soft_preemption_configured = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.auto_bandwidth_collect is not None:
                                            return True

                                        if self.auto_route_announce is not None:
                                            return True

                                        if self.bandwidth is not None:
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.forward_class is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.frr_node_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_interface_bw_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.load_share is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.mesh_group_id is not None:
                                            for child in self.mesh_group_id:
                                                if child is not None:
                                                    return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.soft_preemption_configured is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                class AttributeSetXro(object):
                                    """
                                    Attribute Set XRO
                                    
                                    .. attribute:: xro
                                    
                                    	The XRO specified by this attribute\-set
                                    	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                        self.xro.parent = self


                                    class Xro(object):
                                        """
                                        The XRO specified by this attribute\-set
                                        
                                        .. attribute:: mutual_diversity_flag
                                        
                                        	Mutual Diversity Flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: xro_subobject
                                        
                                        	List of XRO sub\-objects
                                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.mutual_diversity_flag = None
                                            self.xro_subobject = YList()
                                            self.xro_subobject.parent = self
                                            self.xro_subobject.name = 'xro_subobject'


                                        class XroSubobject(object):
                                            """
                                            List of XRO sub\-objects
                                            
                                            .. attribute:: as_subobject
                                            
                                            	AS sub\-object
                                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                            
                                            .. attribute:: ipv4_subobject
                                            
                                            	IPv4 sub\-object
                                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                            
                                            .. attribute:: ipv6_subobject
                                            
                                            	IPv6 sub\-object
                                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                            
                                            .. attribute:: lsp_subobject
                                            
                                            	P2P LSP sub\-object
                                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                            
                                            .. attribute:: srlg_subobject
                                            
                                            	SRLG sub\-object
                                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                            
                                            .. attribute:: unnumbered_subobject
                                            
                                            	Unnumbered sub\-object
                                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                self.as_subobject.parent = self
                                                self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                self.ipv4_subobject.parent = self
                                                self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                self.ipv6_subobject.parent = self
                                                self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                self.lsp_subobject.parent = self
                                                self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                self.srlg_subobject.parent = self
                                                self.type = None
                                                self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                self.unnumbered_subobject.parent = self


                                            class Ipv4Subobject(object):
                                                """
                                                IPv4 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv4 address
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                            class Ipv6Subobject(object):
                                                """
                                                IPv6 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv6 address
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                            class UnnumberedSubobject(object):
                                                """
                                                Unnumbered sub\-object
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: interface_id
                                                
                                                	Interface ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: te_router_id
                                                
                                                	TE router\-id
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.interface_id = None
                                                    self.te_router_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.interface_id is not None:
                                                        return True

                                                    if self.te_router_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                            class AsSubobject(object):
                                                """
                                                AS sub\-object
                                                
                                                .. attribute:: as_number
                                                
                                                	Autonomous System number
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_number = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_number is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                            class SrlgSubobject(object):
                                                """
                                                SRLG sub\-object
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: srlg_id
                                                
                                                	SRLG ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.exclusion_type = None
                                                    self.srlg_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.srlg_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                            class LspSubobject(object):
                                                """
                                                P2P LSP sub\-object
                                                
                                                .. attribute:: destination_node_exception
                                                
                                                	Destination\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: fec
                                                
                                                	LSP FEC
                                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                
                                                .. attribute:: ignore_lsp_id
                                                
                                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                	**type**\:  bool
                                                
                                                .. attribute:: penultimate_node_exception
                                                
                                                	Penultimate\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: processing_node_exception
                                                
                                                	Processing\-node exception flag
                                                	**type**\:  bool
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.destination_node_exception = None
                                                    self.exclusion_type = None
                                                    self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                    self.fec.parent = self
                                                    self.ignore_lsp_id = None
                                                    self.penultimate_node_exception = None
                                                    self.processing_node_exception = None


                                                class Fec(object):
                                                    """
                                                    LSP FEC
                                                    
                                                    .. attribute:: fec_destination_info
                                                    
                                                    	Destination or P2MP ID
                                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                    
                                                    .. attribute:: fec_extended_tunnel_id
                                                    
                                                    	Extended tunnel ID
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_lsp_id
                                                    
                                                    	LSP ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_source
                                                    
                                                    	Tunnel source address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_tunnel_id
                                                    
                                                    	Tunnel ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_vrf
                                                    
                                                    	VRF; currently only for GMPLS tunnels
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                        self.fec_destination_info.parent = self
                                                        self.fec_extended_tunnel_id = None
                                                        self.fec_lsp_id = None
                                                        self.fec_source = None
                                                        self.fec_tunnel_id = None
                                                        self.fec_vrf = None


                                                    class FecDestinationInfo(object):
                                                        """
                                                        Destination or P2MP ID
                                                        
                                                        .. attribute:: fec_ctype
                                                        
                                                        	FEC CType
                                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                        
                                                        .. attribute:: fec_destination_p2mp_id
                                                        
                                                        	P2MP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: p2p_lsp_destination
                                                        
                                                        	P2P LSP destination
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_ctype = None
                                                            self.fec_destination_p2mp_id = None
                                                            self.p2p_lsp_destination = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_ctype is not None:
                                                                return True

                                                            if self.fec_destination_p2mp_id is not None:
                                                                return True

                                                            if self.p2p_lsp_destination is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                            return True

                                                        if self.fec_extended_tunnel_id is not None:
                                                            return True

                                                        if self.fec_lsp_id is not None:
                                                            return True

                                                        if self.fec_source is not None:
                                                            return True

                                                        if self.fec_tunnel_id is not None:
                                                            return True

                                                        if self.fec_vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.destination_node_exception is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.fec is not None and self.fec._has_data():
                                                        return True

                                                    if self.ignore_lsp_id is not None:
                                                        return True

                                                    if self.penultimate_node_exception is not None:
                                                        return True

                                                    if self.processing_node_exception is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.as_subobject is not None and self.as_subobject._has_data():
                                                    return True

                                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                    return True

                                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                    return True

                                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                    return True

                                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.mutual_diversity_flag is not None:
                                                return True

                                            if self.xro_subobject is not None:
                                                for child_ref in self.xro_subobject:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.xro is not None and self.xro._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                class AttributeSetP2Mpte(object):
                                    """
                                    MPLS TE P2MP\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                        self.affinity.parent = self
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.frr_bandwidth_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_priority_configured = None
                                        self.setup_priority = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                class AttributeSetApsPp(object):
                                    """
                                    Attribute Set OTN APS Path Protection
                                    
                                    .. attribute:: hold_off_time
                                    
                                    	Hold\-off time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path Protection Profile Type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: protection_mode
                                    
                                    	Protection Restoration Mode
                                    	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                    
                                    .. attribute:: protection_type
                                    
                                    	Protection Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: restoration_style
                                    
                                    	Restoration Style
                                    	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                    
                                    .. attribute:: revert_schedule
                                    
                                    	Revert Schedule
                                    	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                    
                                    .. attribute:: snc_mode
                                    
                                    	Sub\-network Connection Mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	Sub\-network Connection Monitoring Mode
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wait_to_restore_time
                                    
                                    	Wait to restore time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.hold_off_time = None
                                        self.path_prot_profile_type = None
                                        self.protection_mode = None
                                        self.protection_type = None
                                        self.restoration_style = None
                                        self.revert_schedule = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                        self.revert_schedule.parent = self
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wait_to_restore_time = None


                                    class RevertSchedule(object):
                                        """
                                        Revert Schedule
                                        
                                        .. attribute:: duration
                                        
                                        	Duration for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_tries
                                        
                                        	Max tries for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_date
                                        
                                        	Schedule time for reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_frequency
                                        
                                        	Schedule frequency for reversion
                                        	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                        
                                        .. attribute:: schedulename
                                        
                                        	Schedule name identifier
                                        	**type**\:  str
                                        
                                        	**length:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.duration = None
                                            self.max_tries = None
                                            self.schedule_date = None
                                            self.schedule_frequency = None
                                            self.schedulename = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.duration is not None:
                                                return True

                                            if self.max_tries is not None:
                                                return True

                                            if self.schedule_date is not None:
                                                return True

                                            if self.schedule_frequency is not None:
                                                return True

                                            if self.schedulename is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.hold_off_time is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.protection_mode is not None:
                                            return True

                                        if self.protection_type is not None:
                                            return True

                                        if self.restoration_style is not None:
                                            return True

                                        if self.revert_schedule is not None and self.revert_schedule._has_data():
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wait_to_restore_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                class AttributeSetP2PTe(object):
                                    """
                                    MPLS TE P2P\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is Path Invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is Path Invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_select_configured
                                    
                                    	Is any of the path selection parameters configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_metric_configured
                                    
                                    	Is path selection metric configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                    
                                    	Is path selection segment routing configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_configured
                                    
                                    	Is path selection margin configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_relative
                                    
                                    	Path selection margin is\_relative
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_prepend_list_configured
                                    
                                    	Is SR prepend list configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation timeout on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                    
                                    .. attribute:: path_selection_metric
                                    
                                    	Path selection metric type
                                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_adjacency_protection
                                    
                                    	Path selection segment\-routing type
                                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_margin
                                    
                                    	Path selection margin
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_segment_routing_segment_limit
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: prepend_list
                                    
                                    	SR prepend list
                                    	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                        self.affinity.parent = self
                                        self.is_affinity_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_path_select_configured = None
                                        self.is_path_selection_metric_configured = None
                                        self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                        self.is_path_selection_segment_routing_margin_configured = None
                                        self.is_path_selection_segment_routing_margin_relative = None
                                        self.is_path_selection_segment_routing_segment_limit_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.is_prepend_list_configured = None
                                        self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                        self.logging.parent = self
                                        self.path_invalidation_timeout = None
                                        self.path_selection_invalidation_action = None
                                        self.path_selection_metric = None
                                        self.path_selection_segment_routing_adjacency_protection = None
                                        self.path_selection_segment_routing_margin = None
                                        self.path_selection_segment_routing_segment_limit = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.prepend_list = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                        self.prepend_list.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                    class PrependList(object):
                                        """
                                        SR prepend list
                                        
                                        .. attribute:: prepend_entry
                                        
                                        	List of prepend entries
                                        	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.prepend_entry = YList()
                                            self.prepend_entry.parent = self
                                            self.prepend_entry.name = 'prepend_entry'


                                        class PrependEntry(object):
                                            """
                                            List of prepend entries
                                            
                                            .. attribute:: index
                                            
                                            	Prepend index
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: next_label
                                            
                                            	Prepend next label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: type
                                            
                                            	Prepend Type
                                            	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.index = None
                                                self.next_label = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.index is not None:
                                                    return True

                                                if self.next_label is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.prepend_entry is not None:
                                                for child_ref in self.prepend_entry:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_path_select_configured is not None:
                                            return True

                                        if self.is_path_selection_metric_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_relative is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.is_prepend_list_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.path_selection_invalidation_action is not None:
                                            return True

                                        if self.path_selection_metric is not None:
                                            return True

                                        if self.path_selection_segment_routing_adjacency_protection is not None:
                                            return True

                                        if self.path_selection_segment_routing_margin is not None:
                                            return True

                                        if self.path_selection_segment_routing_segment_limit is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.prepend_list is not None and self.prepend_list._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                        return True

                                    if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                        return True

                                    if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                        return True

                                    if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                        return True

                                    if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                        return True

                                    if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                        return True

                                    if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                        return True

                                    if self.tunnel_attribute_set_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                    return True

                                if self.tunnel_attribute_set_name is not None:
                                    return True

                                if self.tunnel_attribute_set_name_crc32 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet']['meta_info']


                        class XroAttributeSet(object):
                            """
                            The XRO attribute set used by this path\-option
                            
                            .. attribute:: attribute_set_union
                            
                            	Union of Attribute Sets
                            	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion>`
                            
                            .. attribute:: tunnel_attribute_set_name
                            
                            	Attribute Set Name
                            	**type**\:  str
                            
                            .. attribute:: tunnel_attribute_set_name_crc32
                            
                            	Attribute Set name CRC32 value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set_union = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion()
                                self.attribute_set_union.parent = self
                                self.tunnel_attribute_set_name = None
                                self.tunnel_attribute_set_name_crc32 = None


                            class AttributeSetUnion(object):
                                """
                                Union of Attribute Sets
                                
                                .. attribute:: attribute_set_aps_pp
                                
                                	Attribute Set OTN APS Path Protection
                                	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                
                                .. attribute:: attribute_set_autobackup
                                
                                	MPLS TE Auto\-backup Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                
                                .. attribute:: attribute_set_automesh
                                
                                	MPLS TE Auto\-mesh Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                
                                .. attribute:: attribute_set_p2mpte
                                
                                	MPLS TE P2MP\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                
                                .. attribute:: attribute_set_p2p_te
                                
                                	MPLS TE P2P\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                
                                .. attribute:: attribute_set_path_option
                                
                                	MPLS TE Path Option Attribute Set
                                	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                
                                .. attribute:: attribute_set_xro
                                
                                	Attribute Set XRO
                                	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                
                                .. attribute:: tunnel_attribute_set_type
                                
                                	TunnelAttributeSetType
                                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                    self.attribute_set_aps_pp.parent = self
                                    self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                    self.attribute_set_autobackup.parent = self
                                    self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                    self.attribute_set_automesh.parent = self
                                    self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                    self.attribute_set_p2mpte.parent = self
                                    self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                    self.attribute_set_p2p_te.parent = self
                                    self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                    self.attribute_set_path_option.parent = self
                                    self.attribute_set_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                    self.attribute_set_xro.parent = self
                                    self.tunnel_attribute_set_type = None


                                class AttributeSetPathOption(object):
                                    """
                                    MPLS TE Path Option Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                    
                                    .. attribute:: bandwidth_type
                                    
                                    	The bandwidth type
                                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                    
                                    .. attribute:: bfd_reverse_path
                                    
                                    	BFD reverse path
                                    	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: cost_limit
                                    
                                    	Cost limit on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: exclude_list_name
                                    
                                    	Exclude list name
                                    	**type**\:  str
                                    
                                    .. attribute:: generation
                                    
                                    	Generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bfd_reverse_pat_configured
                                    
                                    	Is BFD reverse path configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_cost_limit_configured
                                    
                                    	Is Cost Limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_exclude_list_name_configured
                                    
                                    	Is exclude list name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is path invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is path invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation interval on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: version_info
                                    
                                    	Version Info
                                    	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                        self.affinity.parent = self
                                        self.bandwidth_type = None
                                        self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                        self.bfd_reverse_path.parent = self
                                        self.configured_bandwidth = None
                                        self.cost_limit = None
                                        self.dste_class_type = None
                                        self.exclude_list_name = None
                                        self.generation = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_bfd_reverse_pat_configured = None
                                        self.is_cost_limit_configured = None
                                        self.is_exclude_list_name_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.path_invalidation_action = None
                                        self.path_invalidation_timeout = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'
                                        self.version_info = YList()
                                        self.version_info.parent = self
                                        self.version_info.name = 'version_info'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                    class BfdReversePath(object):
                                        """
                                        BFD reverse path
                                        
                                        .. attribute:: binding_label
                                        
                                        	BFD reverse path binding label
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_type
                                        
                                        	BFD reverse path type
                                        	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.binding_label = None
                                            self.path_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.binding_label is not None:
                                                return True

                                            if self.path_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                    class VersionInfo(object):
                                        """
                                        Version Info
                                        
                                        .. attribute:: attribute_type
                                        
                                        	Attribute Type
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_default
                                        
                                        	Is default
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute_type = None
                                            self.generation = None
                                            self.is_default = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute_type is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_default is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.bandwidth_type is not None:
                                            return True

                                        if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.cost_limit is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.exclude_list_name is not None:
                                            return True

                                        if self.generation is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_bfd_reverse_pat_configured is not None:
                                            return True

                                        if self.is_cost_limit_configured is not None:
                                            return True

                                        if self.is_exclude_list_name_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.path_invalidation_action is not None:
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        if self.version_info is not None:
                                            for child_ref in self.version_info:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                class AttributeSetAutobackup(object):
                                    """
                                    MPLS TE Auto\-backup Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_signalled_name_configured
                                    
                                    	Is signalled name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: protected_interface
                                    
                                    	Array of Protected Interface Names
                                    	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: signalled_name
                                    
                                    	Signalled name
                                    	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                        self.affinity.parent = self
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.is_signalled_name_configured = None
                                        self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                        self.logging.parent = self
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.protected_interface = YList()
                                        self.protected_interface.parent = self
                                        self.protected_interface.name = 'protected_interface'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.signalled_name = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                        self.signalled_name.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class SignalledName(object):
                                        """
                                        Signalled name
                                        
                                        .. attribute:: is_mp_addresses
                                        
                                        	MP address appended
                                        	**type**\:  bool
                                        
                                        .. attribute:: name
                                        
                                        	Signalled name
                                        	**type**\:  str
                                        
                                        .. attribute:: protected_interface_type
                                        
                                        	Protected interface address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        .. attribute:: source_type
                                        
                                        	Source address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.is_mp_addresses = None
                                            self.name = None
                                            self.protected_interface_type = None
                                            self.source_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.is_mp_addresses is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.protected_interface_type is not None:
                                                return True

                                            if self.source_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                    class ProtectedInterface(object):
                                        """
                                        Array of Protected Interface Names
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Protected Interface Name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.protected_interface = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.protected_interface is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.is_signalled_name_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.protected_interface is not None:
                                            for child_ref in self.protected_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.signalled_name is not None and self.signalled_name._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                class AttributeSetAutomesh(object):
                                    """
                                    MPLS TE Auto\-mesh Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                    
                                    .. attribute:: auto_bandwidth_collect
                                    
                                    	Auto bandwidth collect only
                                    	**type**\:  bool
                                    
                                    .. attribute:: auto_route_announce
                                    
                                    	Announce auto route to IGP
                                    	**type**\:  bool
                                    
                                    .. attribute:: bandwidth
                                    
                                    	IM bandwidth
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: forward_class
                                    
                                    	Forward class
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_node_protection
                                    
                                    	FRR Node protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_interface_bw_configured
                                    
                                    	Is Interface BW configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: load_share
                                    
                                    	Load Share
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                    
                                    .. attribute:: mesh_group_id
                                    
                                    	Meshgroup ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: soft_preemption_configured
                                    
                                    	Soft preemption is configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                        self.affinity.parent = self
                                        self.auto_bandwidth_collect = None
                                        self.auto_route_announce = None
                                        self.bandwidth = None
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.forward_class = None
                                        self.frr_bandwidth_protection = None
                                        self.frr_node_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_interface_bw_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.load_share = None
                                        self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                        self.logging.parent = self
                                        self.mesh_group_id = YLeafList()
                                        self.mesh_group_id.parent = self
                                        self.mesh_group_id.name = 'mesh_group_id'
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.soft_preemption_configured = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.auto_bandwidth_collect is not None:
                                            return True

                                        if self.auto_route_announce is not None:
                                            return True

                                        if self.bandwidth is not None:
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.forward_class is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.frr_node_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_interface_bw_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.load_share is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.mesh_group_id is not None:
                                            for child in self.mesh_group_id:
                                                if child is not None:
                                                    return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.soft_preemption_configured is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                class AttributeSetXro(object):
                                    """
                                    Attribute Set XRO
                                    
                                    .. attribute:: xro
                                    
                                    	The XRO specified by this attribute\-set
                                    	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                        self.xro.parent = self


                                    class Xro(object):
                                        """
                                        The XRO specified by this attribute\-set
                                        
                                        .. attribute:: mutual_diversity_flag
                                        
                                        	Mutual Diversity Flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: xro_subobject
                                        
                                        	List of XRO sub\-objects
                                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.mutual_diversity_flag = None
                                            self.xro_subobject = YList()
                                            self.xro_subobject.parent = self
                                            self.xro_subobject.name = 'xro_subobject'


                                        class XroSubobject(object):
                                            """
                                            List of XRO sub\-objects
                                            
                                            .. attribute:: as_subobject
                                            
                                            	AS sub\-object
                                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                            
                                            .. attribute:: ipv4_subobject
                                            
                                            	IPv4 sub\-object
                                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                            
                                            .. attribute:: ipv6_subobject
                                            
                                            	IPv6 sub\-object
                                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                            
                                            .. attribute:: lsp_subobject
                                            
                                            	P2P LSP sub\-object
                                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                            
                                            .. attribute:: srlg_subobject
                                            
                                            	SRLG sub\-object
                                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                            
                                            .. attribute:: unnumbered_subobject
                                            
                                            	Unnumbered sub\-object
                                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                self.as_subobject.parent = self
                                                self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                self.ipv4_subobject.parent = self
                                                self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                self.ipv6_subobject.parent = self
                                                self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                self.lsp_subobject.parent = self
                                                self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                self.srlg_subobject.parent = self
                                                self.type = None
                                                self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                self.unnumbered_subobject.parent = self


                                            class Ipv4Subobject(object):
                                                """
                                                IPv4 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv4 address
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                            class Ipv6Subobject(object):
                                                """
                                                IPv6 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv6 address
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                            class UnnumberedSubobject(object):
                                                """
                                                Unnumbered sub\-object
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: interface_id
                                                
                                                	Interface ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: te_router_id
                                                
                                                	TE router\-id
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.interface_id = None
                                                    self.te_router_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.interface_id is not None:
                                                        return True

                                                    if self.te_router_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                            class AsSubobject(object):
                                                """
                                                AS sub\-object
                                                
                                                .. attribute:: as_number
                                                
                                                	Autonomous System number
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_number = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_number is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                            class SrlgSubobject(object):
                                                """
                                                SRLG sub\-object
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: srlg_id
                                                
                                                	SRLG ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.exclusion_type = None
                                                    self.srlg_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.srlg_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                            class LspSubobject(object):
                                                """
                                                P2P LSP sub\-object
                                                
                                                .. attribute:: destination_node_exception
                                                
                                                	Destination\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: fec
                                                
                                                	LSP FEC
                                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                
                                                .. attribute:: ignore_lsp_id
                                                
                                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                	**type**\:  bool
                                                
                                                .. attribute:: penultimate_node_exception
                                                
                                                	Penultimate\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: processing_node_exception
                                                
                                                	Processing\-node exception flag
                                                	**type**\:  bool
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.destination_node_exception = None
                                                    self.exclusion_type = None
                                                    self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                    self.fec.parent = self
                                                    self.ignore_lsp_id = None
                                                    self.penultimate_node_exception = None
                                                    self.processing_node_exception = None


                                                class Fec(object):
                                                    """
                                                    LSP FEC
                                                    
                                                    .. attribute:: fec_destination_info
                                                    
                                                    	Destination or P2MP ID
                                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                    
                                                    .. attribute:: fec_extended_tunnel_id
                                                    
                                                    	Extended tunnel ID
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_lsp_id
                                                    
                                                    	LSP ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_source
                                                    
                                                    	Tunnel source address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_tunnel_id
                                                    
                                                    	Tunnel ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_vrf
                                                    
                                                    	VRF; currently only for GMPLS tunnels
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                        self.fec_destination_info.parent = self
                                                        self.fec_extended_tunnel_id = None
                                                        self.fec_lsp_id = None
                                                        self.fec_source = None
                                                        self.fec_tunnel_id = None
                                                        self.fec_vrf = None


                                                    class FecDestinationInfo(object):
                                                        """
                                                        Destination or P2MP ID
                                                        
                                                        .. attribute:: fec_ctype
                                                        
                                                        	FEC CType
                                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                        
                                                        .. attribute:: fec_destination_p2mp_id
                                                        
                                                        	P2MP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: p2p_lsp_destination
                                                        
                                                        	P2P LSP destination
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_ctype = None
                                                            self.fec_destination_p2mp_id = None
                                                            self.p2p_lsp_destination = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_ctype is not None:
                                                                return True

                                                            if self.fec_destination_p2mp_id is not None:
                                                                return True

                                                            if self.p2p_lsp_destination is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                            return True

                                                        if self.fec_extended_tunnel_id is not None:
                                                            return True

                                                        if self.fec_lsp_id is not None:
                                                            return True

                                                        if self.fec_source is not None:
                                                            return True

                                                        if self.fec_tunnel_id is not None:
                                                            return True

                                                        if self.fec_vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.destination_node_exception is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.fec is not None and self.fec._has_data():
                                                        return True

                                                    if self.ignore_lsp_id is not None:
                                                        return True

                                                    if self.penultimate_node_exception is not None:
                                                        return True

                                                    if self.processing_node_exception is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.as_subobject is not None and self.as_subobject._has_data():
                                                    return True

                                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                    return True

                                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                    return True

                                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                    return True

                                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.mutual_diversity_flag is not None:
                                                return True

                                            if self.xro_subobject is not None:
                                                for child_ref in self.xro_subobject:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.xro is not None and self.xro._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                class AttributeSetP2Mpte(object):
                                    """
                                    MPLS TE P2MP\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                        self.affinity.parent = self
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.frr_bandwidth_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_priority_configured = None
                                        self.setup_priority = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                class AttributeSetApsPp(object):
                                    """
                                    Attribute Set OTN APS Path Protection
                                    
                                    .. attribute:: hold_off_time
                                    
                                    	Hold\-off time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path Protection Profile Type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: protection_mode
                                    
                                    	Protection Restoration Mode
                                    	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                    
                                    .. attribute:: protection_type
                                    
                                    	Protection Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: restoration_style
                                    
                                    	Restoration Style
                                    	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                    
                                    .. attribute:: revert_schedule
                                    
                                    	Revert Schedule
                                    	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                    
                                    .. attribute:: snc_mode
                                    
                                    	Sub\-network Connection Mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	Sub\-network Connection Monitoring Mode
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wait_to_restore_time
                                    
                                    	Wait to restore time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.hold_off_time = None
                                        self.path_prot_profile_type = None
                                        self.protection_mode = None
                                        self.protection_type = None
                                        self.restoration_style = None
                                        self.revert_schedule = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                        self.revert_schedule.parent = self
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wait_to_restore_time = None


                                    class RevertSchedule(object):
                                        """
                                        Revert Schedule
                                        
                                        .. attribute:: duration
                                        
                                        	Duration for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_tries
                                        
                                        	Max tries for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_date
                                        
                                        	Schedule time for reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_frequency
                                        
                                        	Schedule frequency for reversion
                                        	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                        
                                        .. attribute:: schedulename
                                        
                                        	Schedule name identifier
                                        	**type**\:  str
                                        
                                        	**length:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.duration = None
                                            self.max_tries = None
                                            self.schedule_date = None
                                            self.schedule_frequency = None
                                            self.schedulename = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.duration is not None:
                                                return True

                                            if self.max_tries is not None:
                                                return True

                                            if self.schedule_date is not None:
                                                return True

                                            if self.schedule_frequency is not None:
                                                return True

                                            if self.schedulename is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.hold_off_time is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.protection_mode is not None:
                                            return True

                                        if self.protection_type is not None:
                                            return True

                                        if self.restoration_style is not None:
                                            return True

                                        if self.revert_schedule is not None and self.revert_schedule._has_data():
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wait_to_restore_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                class AttributeSetP2PTe(object):
                                    """
                                    MPLS TE P2P\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is Path Invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is Path Invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_select_configured
                                    
                                    	Is any of the path selection parameters configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_metric_configured
                                    
                                    	Is path selection metric configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                    
                                    	Is path selection segment routing configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_configured
                                    
                                    	Is path selection margin configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_relative
                                    
                                    	Path selection margin is\_relative
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_prepend_list_configured
                                    
                                    	Is SR prepend list configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation timeout on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                    
                                    .. attribute:: path_selection_metric
                                    
                                    	Path selection metric type
                                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_adjacency_protection
                                    
                                    	Path selection segment\-routing type
                                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_margin
                                    
                                    	Path selection margin
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_segment_routing_segment_limit
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: prepend_list
                                    
                                    	SR prepend list
                                    	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                        self.affinity.parent = self
                                        self.is_affinity_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_path_select_configured = None
                                        self.is_path_selection_metric_configured = None
                                        self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                        self.is_path_selection_segment_routing_margin_configured = None
                                        self.is_path_selection_segment_routing_margin_relative = None
                                        self.is_path_selection_segment_routing_segment_limit_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.is_prepend_list_configured = None
                                        self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                        self.logging.parent = self
                                        self.path_invalidation_timeout = None
                                        self.path_selection_invalidation_action = None
                                        self.path_selection_metric = None
                                        self.path_selection_segment_routing_adjacency_protection = None
                                        self.path_selection_segment_routing_margin = None
                                        self.path_selection_segment_routing_segment_limit = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.prepend_list = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                        self.prepend_list.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                    class PrependList(object):
                                        """
                                        SR prepend list
                                        
                                        .. attribute:: prepend_entry
                                        
                                        	List of prepend entries
                                        	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.prepend_entry = YList()
                                            self.prepend_entry.parent = self
                                            self.prepend_entry.name = 'prepend_entry'


                                        class PrependEntry(object):
                                            """
                                            List of prepend entries
                                            
                                            .. attribute:: index
                                            
                                            	Prepend index
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: next_label
                                            
                                            	Prepend next label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: type
                                            
                                            	Prepend Type
                                            	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.index = None
                                                self.next_label = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.index is not None:
                                                    return True

                                                if self.next_label is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.prepend_entry is not None:
                                                for child_ref in self.prepend_entry:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_path_select_configured is not None:
                                            return True

                                        if self.is_path_selection_metric_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_relative is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.is_prepend_list_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.path_selection_invalidation_action is not None:
                                            return True

                                        if self.path_selection_metric is not None:
                                            return True

                                        if self.path_selection_segment_routing_adjacency_protection is not None:
                                            return True

                                        if self.path_selection_segment_routing_margin is not None:
                                            return True

                                        if self.path_selection_segment_routing_segment_limit is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.prepend_list is not None and self.prepend_list._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                        return True

                                    if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                        return True

                                    if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                        return True

                                    if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                        return True

                                    if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                        return True

                                    if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                        return True

                                    if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                        return True

                                    if self.tunnel_attribute_set_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                    return True

                                if self.tunnel_attribute_set_name is not None:
                                    return True

                                if self.tunnel_attribute_set_name_crc32 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet']['meta_info']


                        class PathCalculationError(object):
                            """
                            Path computation information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.PathCalculationError']['meta_info']


                        class RemergeError(object):
                            """
                            Path computation remerge resolve info
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.RemergeError']['meta_info']


                        class SignallingError(object):
                            """
                            Signalling information
                            
                            .. attribute:: error
                            
                            	Path Error code
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: error_node
                            
                            	Source address of the error generating node
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: log_time
                            
                            	Time in seconds when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSPMode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            .. attribute:: reverse_lsp
                            
                            	Indicates if error is on the reverse LSP
                            	**type**\:  bool
                            
                            .. attribute:: signalling_lsp_id
                            
                            	LSP\-id for which the error was received
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: sub_code
                            
                            	Path Error subcode
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error = None
                                self.error_message = None
                                self.error_node = None
                                self.log_time = None
                                self.lsp_mode = None
                                self.reverse_lsp = None
                                self.signalling_lsp_id = None
                                self.sub_code = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error is not None:
                                    return True

                                if self.error_message is not None:
                                    return True

                                if self.error_node is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                if self.reverse_lsp is not None:
                                    return True

                                if self.signalling_lsp_id is not None:
                                    return True

                                if self.sub_code is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.SignallingError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-option-entry'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.attribute_set is not None and self.attribute_set._has_data():
                                return True

                            if self.attribute_set_found is not None:
                                return True

                            if self.explicit_path_id is not None:
                                return True

                            if self.explicit_path_name is not None:
                                return True

                            if self.has_attribute_set is not None:
                                return True

                            if self.has_xro_attribute_set is not None:
                                return True

                            if self.holddown_duration is not None:
                                return True

                            if self.is_disabled is not None:
                                return True

                            if self.is_helddown is not None:
                                return True

                            if self.is_lockdown is not None:
                                return True

                            if self.is_segment_routing is not None:
                                return True

                            if self.is_strict_explicit_path is not None:
                                return True

                            if self.is_verbatim is not None:
                                return True

                            if self.option_index is not None:
                                return True

                            if self.option_index_is_valid is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_area_id is not None:
                                return True

                            if self.path_option_name is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.pce_address is not None:
                                return True

                            if self.protected_by_path_option_index is not None:
                                return True

                            if self.remerge_error is not None:
                                for child_ref in self.remerge_error:
                                    if child_ref._has_data():
                                        return True

                            if self.restored_from_path_option_index is not None:
                                return True

                            if self.signalling_error is not None:
                                for child_ref in self.signalling_error:
                                    if child_ref._has_data():
                                        return True

                            if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                return True

                            if self.xro_attribute_set_found is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry']['meta_info']


                    class PathOption(object):
                        """
                        Destination's list of path options
                        
                        .. attribute:: attribute_set
                        
                        	The path option attribute set used by this path
                        	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet>`
                        
                        .. attribute:: attribute_set_found
                        
                        	TRUE if the path has found the defined attribute set
                        	**type**\:  bool
                        
                        .. attribute:: explicit_path_id
                        
                        	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: explicit_path_name
                        
                        	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                        	**type**\:  str
                        
                        .. attribute:: has_attribute_set
                        
                        	TRUE if the path has an attribute set defined
                        	**type**\:  bool
                        
                        .. attribute:: has_xro_attribute_set
                        
                        	TRUE if the path has an XRO attribute set configured
                        	**type**\:  bool
                        
                        .. attribute:: holddown_duration
                        
                        	Holddown Duration (seconds)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        .. attribute:: is_disabled
                        
                        	TRUE if the path option is disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_helddown
                        
                        	TRUE if path is helddown
                        	**type**\:  bool
                        
                        .. attribute:: is_lockdown
                        
                        	TRUE if the path is locked down
                        	**type**\:  bool
                        
                        .. attribute:: is_segment_routing
                        
                        	TRUE if the path is Segment\-Routing
                        	**type**\:  bool
                        
                        .. attribute:: is_strict_explicit_path
                        
                        	TRUE if explicit path is strict
                        	**type**\:  bool
                        
                        .. attribute:: is_verbatim
                        
                        	TRUE if the path is verbatim
                        	**type**\:  bool
                        
                        .. attribute:: option_index
                        
                        	Path option index
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: option_index_is_valid
                        
                        	The path option index is valid
                        	**type**\:  bool
                        
                        .. attribute:: path_calculation_error
                        
                        	Path computation information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.PathCalculationError>`
                        
                        .. attribute:: path_option_area_id
                        
                        	The path\-option area constraint
                        	**type**\:  str
                        
                        .. attribute:: path_option_name
                        
                        	Path option name
                        	**type**\:  str
                        
                        .. attribute:: path_option_type
                        
                        	Path option type
                        	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                        
                        .. attribute:: pce_address
                        
                        	PCE server address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: protected_by_path_option_index
                        
                        	Path option index for Protect path options
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: remerge_error
                        
                        	Path computation remerge resolve info
                        	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.RemergeError>`
                        
                        .. attribute:: restored_from_path_option_index
                        
                        	Path option index for Restore path options
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: signalling_error
                        
                        	Signalling information
                        	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.SignallingError>`
                        
                        .. attribute:: xro_attribute_set
                        
                        	The XRO attribute set used by this path\-option
                        	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet>`
                        
                        .. attribute:: xro_attribute_set_found
                        
                        	TRUE if the path's XRO attribute set is known
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.attribute_set = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet()
                            self.attribute_set.parent = self
                            self.attribute_set_found = None
                            self.explicit_path_id = None
                            self.explicit_path_name = None
                            self.has_attribute_set = None
                            self.has_xro_attribute_set = None
                            self.holddown_duration = None
                            self.is_disabled = None
                            self.is_helddown = None
                            self.is_lockdown = None
                            self.is_segment_routing = None
                            self.is_strict_explicit_path = None
                            self.is_verbatim = None
                            self.option_index = None
                            self.option_index_is_valid = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_area_id = None
                            self.path_option_name = None
                            self.path_option_type = None
                            self.pce_address = None
                            self.protected_by_path_option_index = None
                            self.remerge_error = YList()
                            self.remerge_error.parent = self
                            self.remerge_error.name = 'remerge_error'
                            self.restored_from_path_option_index = None
                            self.signalling_error = YList()
                            self.signalling_error.parent = self
                            self.signalling_error.name = 'signalling_error'
                            self.xro_attribute_set = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet()
                            self.xro_attribute_set.parent = self
                            self.xro_attribute_set_found = None


                        class AttributeSet(object):
                            """
                            The path option attribute set used by this path
                            
                            .. attribute:: attribute_set_union
                            
                            	Union of Attribute Sets
                            	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion>`
                            
                            .. attribute:: tunnel_attribute_set_name
                            
                            	Attribute Set Name
                            	**type**\:  str
                            
                            .. attribute:: tunnel_attribute_set_name_crc32
                            
                            	Attribute Set name CRC32 value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set_union = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion()
                                self.attribute_set_union.parent = self
                                self.tunnel_attribute_set_name = None
                                self.tunnel_attribute_set_name_crc32 = None


                            class AttributeSetUnion(object):
                                """
                                Union of Attribute Sets
                                
                                .. attribute:: attribute_set_aps_pp
                                
                                	Attribute Set OTN APS Path Protection
                                	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                
                                .. attribute:: attribute_set_autobackup
                                
                                	MPLS TE Auto\-backup Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                
                                .. attribute:: attribute_set_automesh
                                
                                	MPLS TE Auto\-mesh Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                
                                .. attribute:: attribute_set_p2mpte
                                
                                	MPLS TE P2MP\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                
                                .. attribute:: attribute_set_p2p_te
                                
                                	MPLS TE P2P\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                
                                .. attribute:: attribute_set_path_option
                                
                                	MPLS TE Path Option Attribute Set
                                	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                
                                .. attribute:: attribute_set_xro
                                
                                	Attribute Set XRO
                                	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                
                                .. attribute:: tunnel_attribute_set_type
                                
                                	TunnelAttributeSetType
                                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                    self.attribute_set_aps_pp.parent = self
                                    self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                    self.attribute_set_autobackup.parent = self
                                    self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                    self.attribute_set_automesh.parent = self
                                    self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                    self.attribute_set_p2mpte.parent = self
                                    self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                    self.attribute_set_p2p_te.parent = self
                                    self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                    self.attribute_set_path_option.parent = self
                                    self.attribute_set_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                    self.attribute_set_xro.parent = self
                                    self.tunnel_attribute_set_type = None


                                class AttributeSetPathOption(object):
                                    """
                                    MPLS TE Path Option Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                    
                                    .. attribute:: bandwidth_type
                                    
                                    	The bandwidth type
                                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                    
                                    .. attribute:: bfd_reverse_path
                                    
                                    	BFD reverse path
                                    	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: cost_limit
                                    
                                    	Cost limit on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: exclude_list_name
                                    
                                    	Exclude list name
                                    	**type**\:  str
                                    
                                    .. attribute:: generation
                                    
                                    	Generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bfd_reverse_pat_configured
                                    
                                    	Is BFD reverse path configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_cost_limit_configured
                                    
                                    	Is Cost Limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_exclude_list_name_configured
                                    
                                    	Is exclude list name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is path invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is path invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation interval on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: version_info
                                    
                                    	Version Info
                                    	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                        self.affinity.parent = self
                                        self.bandwidth_type = None
                                        self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                        self.bfd_reverse_path.parent = self
                                        self.configured_bandwidth = None
                                        self.cost_limit = None
                                        self.dste_class_type = None
                                        self.exclude_list_name = None
                                        self.generation = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_bfd_reverse_pat_configured = None
                                        self.is_cost_limit_configured = None
                                        self.is_exclude_list_name_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.path_invalidation_action = None
                                        self.path_invalidation_timeout = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'
                                        self.version_info = YList()
                                        self.version_info.parent = self
                                        self.version_info.name = 'version_info'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                    class BfdReversePath(object):
                                        """
                                        BFD reverse path
                                        
                                        .. attribute:: binding_label
                                        
                                        	BFD reverse path binding label
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_type
                                        
                                        	BFD reverse path type
                                        	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.binding_label = None
                                            self.path_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.binding_label is not None:
                                                return True

                                            if self.path_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                    class VersionInfo(object):
                                        """
                                        Version Info
                                        
                                        .. attribute:: attribute_type
                                        
                                        	Attribute Type
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_default
                                        
                                        	Is default
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute_type = None
                                            self.generation = None
                                            self.is_default = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute_type is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_default is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.bandwidth_type is not None:
                                            return True

                                        if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.cost_limit is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.exclude_list_name is not None:
                                            return True

                                        if self.generation is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_bfd_reverse_pat_configured is not None:
                                            return True

                                        if self.is_cost_limit_configured is not None:
                                            return True

                                        if self.is_exclude_list_name_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.path_invalidation_action is not None:
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        if self.version_info is not None:
                                            for child_ref in self.version_info:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                class AttributeSetAutobackup(object):
                                    """
                                    MPLS TE Auto\-backup Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_signalled_name_configured
                                    
                                    	Is signalled name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: protected_interface
                                    
                                    	Array of Protected Interface Names
                                    	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: signalled_name
                                    
                                    	Signalled name
                                    	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                        self.affinity.parent = self
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.is_signalled_name_configured = None
                                        self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                        self.logging.parent = self
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.protected_interface = YList()
                                        self.protected_interface.parent = self
                                        self.protected_interface.name = 'protected_interface'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.signalled_name = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                        self.signalled_name.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class SignalledName(object):
                                        """
                                        Signalled name
                                        
                                        .. attribute:: is_mp_addresses
                                        
                                        	MP address appended
                                        	**type**\:  bool
                                        
                                        .. attribute:: name
                                        
                                        	Signalled name
                                        	**type**\:  str
                                        
                                        .. attribute:: protected_interface_type
                                        
                                        	Protected interface address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        .. attribute:: source_type
                                        
                                        	Source address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.is_mp_addresses = None
                                            self.name = None
                                            self.protected_interface_type = None
                                            self.source_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.is_mp_addresses is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.protected_interface_type is not None:
                                                return True

                                            if self.source_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                    class ProtectedInterface(object):
                                        """
                                        Array of Protected Interface Names
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Protected Interface Name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.protected_interface = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.protected_interface is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.is_signalled_name_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.protected_interface is not None:
                                            for child_ref in self.protected_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.signalled_name is not None and self.signalled_name._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                class AttributeSetAutomesh(object):
                                    """
                                    MPLS TE Auto\-mesh Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                    
                                    .. attribute:: auto_bandwidth_collect
                                    
                                    	Auto bandwidth collect only
                                    	**type**\:  bool
                                    
                                    .. attribute:: auto_route_announce
                                    
                                    	Announce auto route to IGP
                                    	**type**\:  bool
                                    
                                    .. attribute:: bandwidth
                                    
                                    	IM bandwidth
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: forward_class
                                    
                                    	Forward class
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_node_protection
                                    
                                    	FRR Node protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_interface_bw_configured
                                    
                                    	Is Interface BW configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: load_share
                                    
                                    	Load Share
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                    
                                    .. attribute:: mesh_group_id
                                    
                                    	Meshgroup ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: soft_preemption_configured
                                    
                                    	Soft preemption is configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                        self.affinity.parent = self
                                        self.auto_bandwidth_collect = None
                                        self.auto_route_announce = None
                                        self.bandwidth = None
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.forward_class = None
                                        self.frr_bandwidth_protection = None
                                        self.frr_node_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_interface_bw_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.load_share = None
                                        self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                        self.logging.parent = self
                                        self.mesh_group_id = YLeafList()
                                        self.mesh_group_id.parent = self
                                        self.mesh_group_id.name = 'mesh_group_id'
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.soft_preemption_configured = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.auto_bandwidth_collect is not None:
                                            return True

                                        if self.auto_route_announce is not None:
                                            return True

                                        if self.bandwidth is not None:
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.forward_class is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.frr_node_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_interface_bw_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.load_share is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.mesh_group_id is not None:
                                            for child in self.mesh_group_id:
                                                if child is not None:
                                                    return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.soft_preemption_configured is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                class AttributeSetXro(object):
                                    """
                                    Attribute Set XRO
                                    
                                    .. attribute:: xro
                                    
                                    	The XRO specified by this attribute\-set
                                    	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                        self.xro.parent = self


                                    class Xro(object):
                                        """
                                        The XRO specified by this attribute\-set
                                        
                                        .. attribute:: mutual_diversity_flag
                                        
                                        	Mutual Diversity Flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: xro_subobject
                                        
                                        	List of XRO sub\-objects
                                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.mutual_diversity_flag = None
                                            self.xro_subobject = YList()
                                            self.xro_subobject.parent = self
                                            self.xro_subobject.name = 'xro_subobject'


                                        class XroSubobject(object):
                                            """
                                            List of XRO sub\-objects
                                            
                                            .. attribute:: as_subobject
                                            
                                            	AS sub\-object
                                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                            
                                            .. attribute:: ipv4_subobject
                                            
                                            	IPv4 sub\-object
                                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                            
                                            .. attribute:: ipv6_subobject
                                            
                                            	IPv6 sub\-object
                                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                            
                                            .. attribute:: lsp_subobject
                                            
                                            	P2P LSP sub\-object
                                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                            
                                            .. attribute:: srlg_subobject
                                            
                                            	SRLG sub\-object
                                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                            
                                            .. attribute:: unnumbered_subobject
                                            
                                            	Unnumbered sub\-object
                                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                self.as_subobject.parent = self
                                                self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                self.ipv4_subobject.parent = self
                                                self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                self.ipv6_subobject.parent = self
                                                self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                self.lsp_subobject.parent = self
                                                self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                self.srlg_subobject.parent = self
                                                self.type = None
                                                self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                self.unnumbered_subobject.parent = self


                                            class Ipv4Subobject(object):
                                                """
                                                IPv4 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv4 address
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                            class Ipv6Subobject(object):
                                                """
                                                IPv6 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv6 address
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                            class UnnumberedSubobject(object):
                                                """
                                                Unnumbered sub\-object
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: interface_id
                                                
                                                	Interface ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: te_router_id
                                                
                                                	TE router\-id
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.interface_id = None
                                                    self.te_router_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.interface_id is not None:
                                                        return True

                                                    if self.te_router_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                            class AsSubobject(object):
                                                """
                                                AS sub\-object
                                                
                                                .. attribute:: as_number
                                                
                                                	Autonomous System number
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_number = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_number is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                            class SrlgSubobject(object):
                                                """
                                                SRLG sub\-object
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: srlg_id
                                                
                                                	SRLG ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.exclusion_type = None
                                                    self.srlg_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.srlg_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                            class LspSubobject(object):
                                                """
                                                P2P LSP sub\-object
                                                
                                                .. attribute:: destination_node_exception
                                                
                                                	Destination\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: fec
                                                
                                                	LSP FEC
                                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                
                                                .. attribute:: ignore_lsp_id
                                                
                                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                	**type**\:  bool
                                                
                                                .. attribute:: penultimate_node_exception
                                                
                                                	Penultimate\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: processing_node_exception
                                                
                                                	Processing\-node exception flag
                                                	**type**\:  bool
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.destination_node_exception = None
                                                    self.exclusion_type = None
                                                    self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                    self.fec.parent = self
                                                    self.ignore_lsp_id = None
                                                    self.penultimate_node_exception = None
                                                    self.processing_node_exception = None


                                                class Fec(object):
                                                    """
                                                    LSP FEC
                                                    
                                                    .. attribute:: fec_destination_info
                                                    
                                                    	Destination or P2MP ID
                                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                    
                                                    .. attribute:: fec_extended_tunnel_id
                                                    
                                                    	Extended tunnel ID
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_lsp_id
                                                    
                                                    	LSP ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_source
                                                    
                                                    	Tunnel source address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_tunnel_id
                                                    
                                                    	Tunnel ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_vrf
                                                    
                                                    	VRF; currently only for GMPLS tunnels
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                        self.fec_destination_info.parent = self
                                                        self.fec_extended_tunnel_id = None
                                                        self.fec_lsp_id = None
                                                        self.fec_source = None
                                                        self.fec_tunnel_id = None
                                                        self.fec_vrf = None


                                                    class FecDestinationInfo(object):
                                                        """
                                                        Destination or P2MP ID
                                                        
                                                        .. attribute:: fec_ctype
                                                        
                                                        	FEC CType
                                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                        
                                                        .. attribute:: fec_destination_p2mp_id
                                                        
                                                        	P2MP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: p2p_lsp_destination
                                                        
                                                        	P2P LSP destination
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_ctype = None
                                                            self.fec_destination_p2mp_id = None
                                                            self.p2p_lsp_destination = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_ctype is not None:
                                                                return True

                                                            if self.fec_destination_p2mp_id is not None:
                                                                return True

                                                            if self.p2p_lsp_destination is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                            return True

                                                        if self.fec_extended_tunnel_id is not None:
                                                            return True

                                                        if self.fec_lsp_id is not None:
                                                            return True

                                                        if self.fec_source is not None:
                                                            return True

                                                        if self.fec_tunnel_id is not None:
                                                            return True

                                                        if self.fec_vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.destination_node_exception is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.fec is not None and self.fec._has_data():
                                                        return True

                                                    if self.ignore_lsp_id is not None:
                                                        return True

                                                    if self.penultimate_node_exception is not None:
                                                        return True

                                                    if self.processing_node_exception is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.as_subobject is not None and self.as_subobject._has_data():
                                                    return True

                                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                    return True

                                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                    return True

                                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                    return True

                                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.mutual_diversity_flag is not None:
                                                return True

                                            if self.xro_subobject is not None:
                                                for child_ref in self.xro_subobject:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.xro is not None and self.xro._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                class AttributeSetP2Mpte(object):
                                    """
                                    MPLS TE P2MP\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                        self.affinity.parent = self
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.frr_bandwidth_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_priority_configured = None
                                        self.setup_priority = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                class AttributeSetApsPp(object):
                                    """
                                    Attribute Set OTN APS Path Protection
                                    
                                    .. attribute:: hold_off_time
                                    
                                    	Hold\-off time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path Protection Profile Type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: protection_mode
                                    
                                    	Protection Restoration Mode
                                    	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                    
                                    .. attribute:: protection_type
                                    
                                    	Protection Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: restoration_style
                                    
                                    	Restoration Style
                                    	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                    
                                    .. attribute:: revert_schedule
                                    
                                    	Revert Schedule
                                    	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                    
                                    .. attribute:: snc_mode
                                    
                                    	Sub\-network Connection Mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	Sub\-network Connection Monitoring Mode
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wait_to_restore_time
                                    
                                    	Wait to restore time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.hold_off_time = None
                                        self.path_prot_profile_type = None
                                        self.protection_mode = None
                                        self.protection_type = None
                                        self.restoration_style = None
                                        self.revert_schedule = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                        self.revert_schedule.parent = self
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wait_to_restore_time = None


                                    class RevertSchedule(object):
                                        """
                                        Revert Schedule
                                        
                                        .. attribute:: duration
                                        
                                        	Duration for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_tries
                                        
                                        	Max tries for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_date
                                        
                                        	Schedule time for reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_frequency
                                        
                                        	Schedule frequency for reversion
                                        	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                        
                                        .. attribute:: schedulename
                                        
                                        	Schedule name identifier
                                        	**type**\:  str
                                        
                                        	**length:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.duration = None
                                            self.max_tries = None
                                            self.schedule_date = None
                                            self.schedule_frequency = None
                                            self.schedulename = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.duration is not None:
                                                return True

                                            if self.max_tries is not None:
                                                return True

                                            if self.schedule_date is not None:
                                                return True

                                            if self.schedule_frequency is not None:
                                                return True

                                            if self.schedulename is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.hold_off_time is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.protection_mode is not None:
                                            return True

                                        if self.protection_type is not None:
                                            return True

                                        if self.restoration_style is not None:
                                            return True

                                        if self.revert_schedule is not None and self.revert_schedule._has_data():
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wait_to_restore_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                class AttributeSetP2PTe(object):
                                    """
                                    MPLS TE P2P\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is Path Invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is Path Invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_select_configured
                                    
                                    	Is any of the path selection parameters configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_metric_configured
                                    
                                    	Is path selection metric configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                    
                                    	Is path selection segment routing configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_configured
                                    
                                    	Is path selection margin configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_relative
                                    
                                    	Path selection margin is\_relative
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_prepend_list_configured
                                    
                                    	Is SR prepend list configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation timeout on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                    
                                    .. attribute:: path_selection_metric
                                    
                                    	Path selection metric type
                                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_adjacency_protection
                                    
                                    	Path selection segment\-routing type
                                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_margin
                                    
                                    	Path selection margin
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_segment_routing_segment_limit
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: prepend_list
                                    
                                    	SR prepend list
                                    	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                        self.affinity.parent = self
                                        self.is_affinity_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_path_select_configured = None
                                        self.is_path_selection_metric_configured = None
                                        self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                        self.is_path_selection_segment_routing_margin_configured = None
                                        self.is_path_selection_segment_routing_margin_relative = None
                                        self.is_path_selection_segment_routing_segment_limit_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.is_prepend_list_configured = None
                                        self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                        self.logging.parent = self
                                        self.path_invalidation_timeout = None
                                        self.path_selection_invalidation_action = None
                                        self.path_selection_metric = None
                                        self.path_selection_segment_routing_adjacency_protection = None
                                        self.path_selection_segment_routing_margin = None
                                        self.path_selection_segment_routing_segment_limit = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.prepend_list = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                        self.prepend_list.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                    class PrependList(object):
                                        """
                                        SR prepend list
                                        
                                        .. attribute:: prepend_entry
                                        
                                        	List of prepend entries
                                        	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.prepend_entry = YList()
                                            self.prepend_entry.parent = self
                                            self.prepend_entry.name = 'prepend_entry'


                                        class PrependEntry(object):
                                            """
                                            List of prepend entries
                                            
                                            .. attribute:: index
                                            
                                            	Prepend index
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: next_label
                                            
                                            	Prepend next label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: type
                                            
                                            	Prepend Type
                                            	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.index = None
                                                self.next_label = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.index is not None:
                                                    return True

                                                if self.next_label is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.prepend_entry is not None:
                                                for child_ref in self.prepend_entry:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_path_select_configured is not None:
                                            return True

                                        if self.is_path_selection_metric_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_relative is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.is_prepend_list_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.path_selection_invalidation_action is not None:
                                            return True

                                        if self.path_selection_metric is not None:
                                            return True

                                        if self.path_selection_segment_routing_adjacency_protection is not None:
                                            return True

                                        if self.path_selection_segment_routing_margin is not None:
                                            return True

                                        if self.path_selection_segment_routing_segment_limit is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.prepend_list is not None and self.prepend_list._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                        return True

                                    if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                        return True

                                    if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                        return True

                                    if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                        return True

                                    if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                        return True

                                    if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                        return True

                                    if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                        return True

                                    if self.tunnel_attribute_set_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                    return True

                                if self.tunnel_attribute_set_name is not None:
                                    return True

                                if self.tunnel_attribute_set_name_crc32 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet']['meta_info']


                        class XroAttributeSet(object):
                            """
                            The XRO attribute set used by this path\-option
                            
                            .. attribute:: attribute_set_union
                            
                            	Union of Attribute Sets
                            	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion>`
                            
                            .. attribute:: tunnel_attribute_set_name
                            
                            	Attribute Set Name
                            	**type**\:  str
                            
                            .. attribute:: tunnel_attribute_set_name_crc32
                            
                            	Attribute Set name CRC32 value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set_union = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion()
                                self.attribute_set_union.parent = self
                                self.tunnel_attribute_set_name = None
                                self.tunnel_attribute_set_name_crc32 = None


                            class AttributeSetUnion(object):
                                """
                                Union of Attribute Sets
                                
                                .. attribute:: attribute_set_aps_pp
                                
                                	Attribute Set OTN APS Path Protection
                                	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                
                                .. attribute:: attribute_set_autobackup
                                
                                	MPLS TE Auto\-backup Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                
                                .. attribute:: attribute_set_automesh
                                
                                	MPLS TE Auto\-mesh Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                
                                .. attribute:: attribute_set_p2mpte
                                
                                	MPLS TE P2MP\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                
                                .. attribute:: attribute_set_p2p_te
                                
                                	MPLS TE P2P\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                
                                .. attribute:: attribute_set_path_option
                                
                                	MPLS TE Path Option Attribute Set
                                	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                
                                .. attribute:: attribute_set_xro
                                
                                	Attribute Set XRO
                                	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                
                                .. attribute:: tunnel_attribute_set_type
                                
                                	TunnelAttributeSetType
                                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                    self.attribute_set_aps_pp.parent = self
                                    self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                    self.attribute_set_autobackup.parent = self
                                    self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                    self.attribute_set_automesh.parent = self
                                    self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                    self.attribute_set_p2mpte.parent = self
                                    self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                    self.attribute_set_p2p_te.parent = self
                                    self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                    self.attribute_set_path_option.parent = self
                                    self.attribute_set_xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                    self.attribute_set_xro.parent = self
                                    self.tunnel_attribute_set_type = None


                                class AttributeSetPathOption(object):
                                    """
                                    MPLS TE Path Option Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                    
                                    .. attribute:: bandwidth_type
                                    
                                    	The bandwidth type
                                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                    
                                    .. attribute:: bfd_reverse_path
                                    
                                    	BFD reverse path
                                    	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: cost_limit
                                    
                                    	Cost limit on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: exclude_list_name
                                    
                                    	Exclude list name
                                    	**type**\:  str
                                    
                                    .. attribute:: generation
                                    
                                    	Generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bfd_reverse_pat_configured
                                    
                                    	Is BFD reverse path configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_cost_limit_configured
                                    
                                    	Is Cost Limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_exclude_list_name_configured
                                    
                                    	Is exclude list name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is path invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is path invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation interval on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: version_info
                                    
                                    	Version Info
                                    	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                        self.affinity.parent = self
                                        self.bandwidth_type = None
                                        self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                        self.bfd_reverse_path.parent = self
                                        self.configured_bandwidth = None
                                        self.cost_limit = None
                                        self.dste_class_type = None
                                        self.exclude_list_name = None
                                        self.generation = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_bfd_reverse_pat_configured = None
                                        self.is_cost_limit_configured = None
                                        self.is_exclude_list_name_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.path_invalidation_action = None
                                        self.path_invalidation_timeout = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'
                                        self.version_info = YList()
                                        self.version_info.parent = self
                                        self.version_info.name = 'version_info'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                    class BfdReversePath(object):
                                        """
                                        BFD reverse path
                                        
                                        .. attribute:: binding_label
                                        
                                        	BFD reverse path binding label
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_type
                                        
                                        	BFD reverse path type
                                        	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.binding_label = None
                                            self.path_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.binding_label is not None:
                                                return True

                                            if self.path_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                    class VersionInfo(object):
                                        """
                                        Version Info
                                        
                                        .. attribute:: attribute_type
                                        
                                        	Attribute Type
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_default
                                        
                                        	Is default
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute_type = None
                                            self.generation = None
                                            self.is_default = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute_type is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_default is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.bandwidth_type is not None:
                                            return True

                                        if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.cost_limit is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.exclude_list_name is not None:
                                            return True

                                        if self.generation is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_bfd_reverse_pat_configured is not None:
                                            return True

                                        if self.is_cost_limit_configured is not None:
                                            return True

                                        if self.is_exclude_list_name_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.path_invalidation_action is not None:
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        if self.version_info is not None:
                                            for child_ref in self.version_info:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                class AttributeSetAutobackup(object):
                                    """
                                    MPLS TE Auto\-backup Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_signalled_name_configured
                                    
                                    	Is signalled name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: protected_interface
                                    
                                    	Array of Protected Interface Names
                                    	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: signalled_name
                                    
                                    	Signalled name
                                    	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                        self.affinity.parent = self
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.is_signalled_name_configured = None
                                        self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                        self.logging.parent = self
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.protected_interface = YList()
                                        self.protected_interface.parent = self
                                        self.protected_interface.name = 'protected_interface'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.signalled_name = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                        self.signalled_name.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class SignalledName(object):
                                        """
                                        Signalled name
                                        
                                        .. attribute:: is_mp_addresses
                                        
                                        	MP address appended
                                        	**type**\:  bool
                                        
                                        .. attribute:: name
                                        
                                        	Signalled name
                                        	**type**\:  str
                                        
                                        .. attribute:: protected_interface_type
                                        
                                        	Protected interface address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        .. attribute:: source_type
                                        
                                        	Source address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.is_mp_addresses = None
                                            self.name = None
                                            self.protected_interface_type = None
                                            self.source_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.is_mp_addresses is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.protected_interface_type is not None:
                                                return True

                                            if self.source_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                    class ProtectedInterface(object):
                                        """
                                        Array of Protected Interface Names
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Protected Interface Name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.protected_interface = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.protected_interface is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.is_signalled_name_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.protected_interface is not None:
                                            for child_ref in self.protected_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.signalled_name is not None and self.signalled_name._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                class AttributeSetAutomesh(object):
                                    """
                                    MPLS TE Auto\-mesh Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                    
                                    .. attribute:: auto_bandwidth_collect
                                    
                                    	Auto bandwidth collect only
                                    	**type**\:  bool
                                    
                                    .. attribute:: auto_route_announce
                                    
                                    	Announce auto route to IGP
                                    	**type**\:  bool
                                    
                                    .. attribute:: bandwidth
                                    
                                    	IM bandwidth
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: forward_class
                                    
                                    	Forward class
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_node_protection
                                    
                                    	FRR Node protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_interface_bw_configured
                                    
                                    	Is Interface BW configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: load_share
                                    
                                    	Load Share
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                    
                                    .. attribute:: mesh_group_id
                                    
                                    	Meshgroup ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: soft_preemption_configured
                                    
                                    	Soft preemption is configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                        self.affinity.parent = self
                                        self.auto_bandwidth_collect = None
                                        self.auto_route_announce = None
                                        self.bandwidth = None
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.forward_class = None
                                        self.frr_bandwidth_protection = None
                                        self.frr_node_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_interface_bw_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.load_share = None
                                        self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                        self.logging.parent = self
                                        self.mesh_group_id = YLeafList()
                                        self.mesh_group_id.parent = self
                                        self.mesh_group_id.name = 'mesh_group_id'
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.soft_preemption_configured = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.auto_bandwidth_collect is not None:
                                            return True

                                        if self.auto_route_announce is not None:
                                            return True

                                        if self.bandwidth is not None:
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.forward_class is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.frr_node_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_interface_bw_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.load_share is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.mesh_group_id is not None:
                                            for child in self.mesh_group_id:
                                                if child is not None:
                                                    return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.soft_preemption_configured is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                class AttributeSetXro(object):
                                    """
                                    Attribute Set XRO
                                    
                                    .. attribute:: xro
                                    
                                    	The XRO specified by this attribute\-set
                                    	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.xro = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                        self.xro.parent = self


                                    class Xro(object):
                                        """
                                        The XRO specified by this attribute\-set
                                        
                                        .. attribute:: mutual_diversity_flag
                                        
                                        	Mutual Diversity Flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: xro_subobject
                                        
                                        	List of XRO sub\-objects
                                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.mutual_diversity_flag = None
                                            self.xro_subobject = YList()
                                            self.xro_subobject.parent = self
                                            self.xro_subobject.name = 'xro_subobject'


                                        class XroSubobject(object):
                                            """
                                            List of XRO sub\-objects
                                            
                                            .. attribute:: as_subobject
                                            
                                            	AS sub\-object
                                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                            
                                            .. attribute:: ipv4_subobject
                                            
                                            	IPv4 sub\-object
                                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                            
                                            .. attribute:: ipv6_subobject
                                            
                                            	IPv6 sub\-object
                                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                            
                                            .. attribute:: lsp_subobject
                                            
                                            	P2P LSP sub\-object
                                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                            
                                            .. attribute:: srlg_subobject
                                            
                                            	SRLG sub\-object
                                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                            
                                            .. attribute:: unnumbered_subobject
                                            
                                            	Unnumbered sub\-object
                                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.as_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                self.as_subobject.parent = self
                                                self.ipv4_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                self.ipv4_subobject.parent = self
                                                self.ipv6_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                self.ipv6_subobject.parent = self
                                                self.lsp_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                self.lsp_subobject.parent = self
                                                self.srlg_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                self.srlg_subobject.parent = self
                                                self.type = None
                                                self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                self.unnumbered_subobject.parent = self


                                            class Ipv4Subobject(object):
                                                """
                                                IPv4 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv4 address
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                            class Ipv6Subobject(object):
                                                """
                                                IPv6 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv6 address
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                            class UnnumberedSubobject(object):
                                                """
                                                Unnumbered sub\-object
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: interface_id
                                                
                                                	Interface ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: te_router_id
                                                
                                                	TE router\-id
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.interface_id = None
                                                    self.te_router_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.interface_id is not None:
                                                        return True

                                                    if self.te_router_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                            class AsSubobject(object):
                                                """
                                                AS sub\-object
                                                
                                                .. attribute:: as_number
                                                
                                                	Autonomous System number
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_number = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_number is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                            class SrlgSubobject(object):
                                                """
                                                SRLG sub\-object
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: srlg_id
                                                
                                                	SRLG ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.exclusion_type = None
                                                    self.srlg_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.srlg_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                            class LspSubobject(object):
                                                """
                                                P2P LSP sub\-object
                                                
                                                .. attribute:: destination_node_exception
                                                
                                                	Destination\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: fec
                                                
                                                	LSP FEC
                                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                
                                                .. attribute:: ignore_lsp_id
                                                
                                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                	**type**\:  bool
                                                
                                                .. attribute:: penultimate_node_exception
                                                
                                                	Penultimate\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: processing_node_exception
                                                
                                                	Processing\-node exception flag
                                                	**type**\:  bool
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.destination_node_exception = None
                                                    self.exclusion_type = None
                                                    self.fec = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                    self.fec.parent = self
                                                    self.ignore_lsp_id = None
                                                    self.penultimate_node_exception = None
                                                    self.processing_node_exception = None


                                                class Fec(object):
                                                    """
                                                    LSP FEC
                                                    
                                                    .. attribute:: fec_destination_info
                                                    
                                                    	Destination or P2MP ID
                                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                    
                                                    .. attribute:: fec_extended_tunnel_id
                                                    
                                                    	Extended tunnel ID
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_lsp_id
                                                    
                                                    	LSP ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_source
                                                    
                                                    	Tunnel source address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_tunnel_id
                                                    
                                                    	Tunnel ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_vrf
                                                    
                                                    	VRF; currently only for GMPLS tunnels
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.fec_destination_info = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                        self.fec_destination_info.parent = self
                                                        self.fec_extended_tunnel_id = None
                                                        self.fec_lsp_id = None
                                                        self.fec_source = None
                                                        self.fec_tunnel_id = None
                                                        self.fec_vrf = None


                                                    class FecDestinationInfo(object):
                                                        """
                                                        Destination or P2MP ID
                                                        
                                                        .. attribute:: fec_ctype
                                                        
                                                        	FEC CType
                                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                        
                                                        .. attribute:: fec_destination_p2mp_id
                                                        
                                                        	P2MP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: p2p_lsp_destination
                                                        
                                                        	P2P LSP destination
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_ctype = None
                                                            self.fec_destination_p2mp_id = None
                                                            self.p2p_lsp_destination = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_ctype is not None:
                                                                return True

                                                            if self.fec_destination_p2mp_id is not None:
                                                                return True

                                                            if self.p2p_lsp_destination is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                            return True

                                                        if self.fec_extended_tunnel_id is not None:
                                                            return True

                                                        if self.fec_lsp_id is not None:
                                                            return True

                                                        if self.fec_source is not None:
                                                            return True

                                                        if self.fec_tunnel_id is not None:
                                                            return True

                                                        if self.fec_vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.destination_node_exception is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.fec is not None and self.fec._has_data():
                                                        return True

                                                    if self.ignore_lsp_id is not None:
                                                        return True

                                                    if self.penultimate_node_exception is not None:
                                                        return True

                                                    if self.processing_node_exception is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.as_subobject is not None and self.as_subobject._has_data():
                                                    return True

                                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                    return True

                                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                    return True

                                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                    return True

                                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.mutual_diversity_flag is not None:
                                                return True

                                            if self.xro_subobject is not None:
                                                for child_ref in self.xro_subobject:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.xro is not None and self.xro._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                class AttributeSetP2Mpte(object):
                                    """
                                    MPLS TE P2MP\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                        self.affinity.parent = self
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.frr_bandwidth_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_priority_configured = None
                                        self.setup_priority = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                class AttributeSetApsPp(object):
                                    """
                                    Attribute Set OTN APS Path Protection
                                    
                                    .. attribute:: hold_off_time
                                    
                                    	Hold\-off time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path Protection Profile Type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: protection_mode
                                    
                                    	Protection Restoration Mode
                                    	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                    
                                    .. attribute:: protection_type
                                    
                                    	Protection Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: restoration_style
                                    
                                    	Restoration Style
                                    	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                    
                                    .. attribute:: revert_schedule
                                    
                                    	Revert Schedule
                                    	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                    
                                    .. attribute:: snc_mode
                                    
                                    	Sub\-network Connection Mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	Sub\-network Connection Monitoring Mode
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wait_to_restore_time
                                    
                                    	Wait to restore time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.hold_off_time = None
                                        self.path_prot_profile_type = None
                                        self.protection_mode = None
                                        self.protection_type = None
                                        self.restoration_style = None
                                        self.revert_schedule = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                        self.revert_schedule.parent = self
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wait_to_restore_time = None


                                    class RevertSchedule(object):
                                        """
                                        Revert Schedule
                                        
                                        .. attribute:: duration
                                        
                                        	Duration for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_tries
                                        
                                        	Max tries for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_date
                                        
                                        	Schedule time for reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_frequency
                                        
                                        	Schedule frequency for reversion
                                        	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                        
                                        .. attribute:: schedulename
                                        
                                        	Schedule name identifier
                                        	**type**\:  str
                                        
                                        	**length:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.duration = None
                                            self.max_tries = None
                                            self.schedule_date = None
                                            self.schedule_frequency = None
                                            self.schedulename = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.duration is not None:
                                                return True

                                            if self.max_tries is not None:
                                                return True

                                            if self.schedule_date is not None:
                                                return True

                                            if self.schedule_frequency is not None:
                                                return True

                                            if self.schedulename is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.hold_off_time is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.protection_mode is not None:
                                            return True

                                        if self.protection_type is not None:
                                            return True

                                        if self.restoration_style is not None:
                                            return True

                                        if self.revert_schedule is not None and self.revert_schedule._has_data():
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wait_to_restore_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                class AttributeSetP2PTe(object):
                                    """
                                    MPLS TE P2P\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is Path Invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is Path Invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_select_configured
                                    
                                    	Is any of the path selection parameters configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_metric_configured
                                    
                                    	Is path selection metric configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                    
                                    	Is path selection segment routing configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_configured
                                    
                                    	Is path selection margin configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_relative
                                    
                                    	Path selection margin is\_relative
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_prepend_list_configured
                                    
                                    	Is SR prepend list configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation timeout on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                    
                                    .. attribute:: path_selection_metric
                                    
                                    	Path selection metric type
                                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_adjacency_protection
                                    
                                    	Path selection segment\-routing type
                                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_margin
                                    
                                    	Path selection margin
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_segment_routing_segment_limit
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: prepend_list
                                    
                                    	SR prepend list
                                    	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                        self.affinity.parent = self
                                        self.is_affinity_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_path_select_configured = None
                                        self.is_path_selection_metric_configured = None
                                        self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                        self.is_path_selection_segment_routing_margin_configured = None
                                        self.is_path_selection_segment_routing_margin_relative = None
                                        self.is_path_selection_segment_routing_segment_limit_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.is_prepend_list_configured = None
                                        self.logging = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                        self.logging.parent = self
                                        self.path_invalidation_timeout = None
                                        self.path_selection_invalidation_action = None
                                        self.path_selection_metric = None
                                        self.path_selection_segment_routing_adjacency_protection = None
                                        self.path_selection_segment_routing_margin = None
                                        self.path_selection_segment_routing_segment_limit = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.prepend_list = MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                        self.prepend_list.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                    class PrependList(object):
                                        """
                                        SR prepend list
                                        
                                        .. attribute:: prepend_entry
                                        
                                        	List of prepend entries
                                        	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.prepend_entry = YList()
                                            self.prepend_entry.parent = self
                                            self.prepend_entry.name = 'prepend_entry'


                                        class PrependEntry(object):
                                            """
                                            List of prepend entries
                                            
                                            .. attribute:: index
                                            
                                            	Prepend index
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: next_label
                                            
                                            	Prepend next label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: type
                                            
                                            	Prepend Type
                                            	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.index = None
                                                self.next_label = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.index is not None:
                                                    return True

                                                if self.next_label is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.prepend_entry is not None:
                                                for child_ref in self.prepend_entry:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_path_select_configured is not None:
                                            return True

                                        if self.is_path_selection_metric_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_relative is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.is_prepend_list_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.path_selection_invalidation_action is not None:
                                            return True

                                        if self.path_selection_metric is not None:
                                            return True

                                        if self.path_selection_segment_routing_adjacency_protection is not None:
                                            return True

                                        if self.path_selection_segment_routing_margin is not None:
                                            return True

                                        if self.path_selection_segment_routing_segment_limit is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.prepend_list is not None and self.prepend_list._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                        return True

                                    if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                        return True

                                    if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                        return True

                                    if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                        return True

                                    if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                        return True

                                    if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                        return True

                                    if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                        return True

                                    if self.tunnel_attribute_set_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                    return True

                                if self.tunnel_attribute_set_name is not None:
                                    return True

                                if self.tunnel_attribute_set_name_crc32 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet']['meta_info']


                        class PathCalculationError(object):
                            """
                            Path computation information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.PathCalculationError']['meta_info']


                        class RemergeError(object):
                            """
                            Path computation remerge resolve info
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.RemergeError']['meta_info']


                        class SignallingError(object):
                            """
                            Signalling information
                            
                            .. attribute:: error
                            
                            	Path Error code
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: error_node
                            
                            	Source address of the error generating node
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: log_time
                            
                            	Time in seconds when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSPMode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            .. attribute:: reverse_lsp
                            
                            	Indicates if error is on the reverse LSP
                            	**type**\:  bool
                            
                            .. attribute:: signalling_lsp_id
                            
                            	LSP\-id for which the error was received
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: sub_code
                            
                            	Path Error subcode
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error = None
                                self.error_message = None
                                self.error_node = None
                                self.log_time = None
                                self.lsp_mode = None
                                self.reverse_lsp = None
                                self.signalling_lsp_id = None
                                self.sub_code = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error is not None:
                                    return True

                                if self.error_message is not None:
                                    return True

                                if self.error_node is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                if self.reverse_lsp is not None:
                                    return True

                                if self.signalling_lsp_id is not None:
                                    return True

                                if self.sub_code is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.SignallingError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-option'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.attribute_set is not None and self.attribute_set._has_data():
                                return True

                            if self.attribute_set_found is not None:
                                return True

                            if self.explicit_path_id is not None:
                                return True

                            if self.explicit_path_name is not None:
                                return True

                            if self.has_attribute_set is not None:
                                return True

                            if self.has_xro_attribute_set is not None:
                                return True

                            if self.holddown_duration is not None:
                                return True

                            if self.is_disabled is not None:
                                return True

                            if self.is_helddown is not None:
                                return True

                            if self.is_lockdown is not None:
                                return True

                            if self.is_segment_routing is not None:
                                return True

                            if self.is_strict_explicit_path is not None:
                                return True

                            if self.is_verbatim is not None:
                                return True

                            if self.option_index is not None:
                                return True

                            if self.option_index_is_valid is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_area_id is not None:
                                return True

                            if self.path_option_name is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.pce_address is not None:
                                return True

                            if self.protected_by_path_option_index is not None:
                                return True

                            if self.remerge_error is not None:
                                for child_ref in self.remerge_error:
                                    if child_ref._has_data():
                                        return True

                            if self.restored_from_path_option_index is not None:
                                return True

                            if self.signalling_error is not None:
                                for child_ref in self.signalling_error:
                                    if child_ref._has_data():
                                        return True

                            if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                return True

                            if self.xro_attribute_set_found is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:destination'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.active_path_option_index is not None:
                            return True

                        if self.destination_address is not None:
                            return True

                        if self.destination_deletion_cause is not None:
                            return True

                        if self.destination_deletion_sub_cause is not None:
                            return True

                        if self.destination_deletion_timestamp is not None:
                            return True

                        if self.destination_state is not None:
                            return True

                        if self.inter_area_reoptimization is not None and self.inter_area_reoptimization._has_data():
                            return True

                        if self.is_inter_area is not None:
                            return True

                        if self.path_change_time is not None:
                            return True

                        if self.path_option is not None:
                            for child_ref in self.path_option:
                                if child_ref._has_data():
                                    return True

                        if self.path_option_entry is not None:
                            for child_ref in self.path_option_entry:
                                if child_ref._has_data():
                                    return True

                        if self.path_option_exhausted is not None:
                            return True

                        if self.s2l_exist is not None:
                            return True

                        if self.total_uptime is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination']['meta_info']

                @property
                def _common_path(self):
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.source_address is None:
                        raise YPYModelError('Key property source_address is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:p2p-p2mp-tunnel/Cisco-IOS-XR-mpls-te-oper:nni-tunnels/Cisco-IOS-XR-mpls-te-oper:nni-tunnel[Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:source-address = ' + str(self.source_address) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.destination_address is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.admin_state is not None:
                        return True

                    if self.affinity_failure_delayed_tear_time_remained is not None:
                        return True

                    if self.affinity_failure_reopt_disabled is not None:
                        return True

                    if self.affinity_failure_reopt_time_remained is not None:
                        return True

                    if self.area_id is not None:
                        return True

                    if self.auto_backup is not None and self.auto_backup._has_data():
                        return True

                    if self.auto_mesh is not None and self.auto_mesh._has_data():
                        return True

                    if self.auto_pcc is not None and self.auto_pcc._has_data():
                        return True

                    if self.auto_route is not None:
                        return True

                    if self.autoroute_announce_exclude_segment_routing is not None:
                        return True

                    if self.bandwidth_requested is not None:
                        return True

                    if self.bandwidth_type is not None:
                        return True

                    if self.bfd_info is not None and self.bfd_info._has_data():
                        return True

                    if self.bidir is not None and self.bidir._has_data():
                        return True

                    if self.binding_label is not None:
                        return True

                    if self.binding_label_exists is not None:
                        return True

                    if self.cleaned_lsp is not None and self.cleaned_lsp._has_data():
                        return True

                    if self.config is not None and self.config._has_data():
                        return True

                    if self.create_time is not None:
                        return True

                    if self.delay_clean_pp_lsp is not None and self.delay_clean_pp_lsp._has_data():
                        return True

                    if self.destination is not None:
                        for child_ref in self.destination:
                            if child_ref._has_data():
                                return True

                    if self.destination_disabled_count is not None:
                        return True

                    if self.destination_down_count is not None:
                        return True

                    if self.destination_up_count is not None:
                        return True

                    if self.drop_mode is not None:
                        return True

                    if self.explicit_path_change is not None:
                        return True

                    if self.fail_reason is not None:
                        return True

                    if self.flex_info is not None and self.flex_info._has_data():
                        return True

                    if self.forwarding_adjacency is not None:
                        return True

                    if self.history is not None and self.history._has_data():
                        return True

                    if self.hop_limit_ignored_reason is not None:
                        return True

                    if self.invalidation_time_remained is not None:
                        return True

                    if self.is_auto_backup is not None:
                        return True

                    if self.is_auto_pcc is not None:
                        return True

                    if self.is_bandwidth_protect is not None:
                        return True

                    if self.is_hop_limit_ignore is not None:
                        return True

                    if self.is_inter_area_tunnel is not None:
                        return True

                    if self.is_interface is not None:
                        return True

                    if self.is_named is not None:
                        return True

                    if self.is_node_protected is not None:
                        return True

                    if self.is_passive is not None:
                        return True

                    if self.is_pce_delegated is not None:
                        return True

                    if self.last_hop_ifindex is not None:
                        return True

                    if self.last_path_change is not None:
                        return True

                    if self.load_share_factor is not None:
                        return True

                    if self.load_share_type is not None:
                        return True

                    if self.lsp_wrap_label is not None:
                        return True

                    if self.lsp_wrap_protection_enabled is not None:
                        return True

                    if self.metric_qualifier is not None:
                        return True

                    if self.metric_type is not None:
                        return True

                    if self.operational_state is not None:
                        return True

                    if self.operational_state_changes is not None:
                        return True

                    if self.otn_bidir is not None and self.otn_bidir._has_data():
                        return True

                    if self.outbound_frr_state is not None:
                        return True

                    if self.p2p_info is not None and self.p2p_info._has_data():
                        return True

                    if self.passive_tunnel_name is not None:
                        return True

                    if self.path_option_change is not None:
                        return True

                    if self.path_protection is not None and self.path_protection._has_data():
                        return True

                    if self.pce_delegation is not None and self.pce_delegation._has_data():
                        return True

                    if self.pce_fail_reason is not None:
                        return True

                    if self.persistent_bytes is not None:
                        return True

                    if self.persistent_packets is not None:
                        return True

                    if self.re_opt_hold_down_timer_remaining is not None:
                        return True

                    if self.reoptimized_p2mp_lsp is not None and self.reoptimized_p2mp_lsp._has_data():
                        return True

                    if self.reoptimized_standby_p2mp_lsp is not None and self.reoptimized_standby_p2mp_lsp._has_data():
                        return True

                    if self.reroute_pending is not None:
                        return True

                    if self.role_standby is not None:
                        return True

                    if self.signaled_name is not None:
                        return True

                    if self.snmp_index is not None:
                        return True

                    if self.soft_preemption is not None and self.soft_preemption._has_data():
                        return True

                    if self.te_tunnel_convergence is not None and self.te_tunnel_convergence._has_data():
                        return True

                    if self.tie_breaker is not None:
                        return True

                    if self.tiebreaker_qualifier is not None:
                        return True

                    if self.tiebreaker_type is not None:
                        return True

                    if self.transport_tunnel_info is not None and self.transport_tunnel_info._has_data():
                        return True

                    if self.tunnel_attribute_set_name is not None:
                        return True

                    if self.tunnel_attribute_set_type is not None:
                        return True

                    if self.tunnel_current_lsp is not None and self.tunnel_current_lsp._has_data():
                        return True

                    if self.tunnel_interface_name is not None:
                        return True

                    if self.tunnel_recovering is not None:
                        return True

                    if self.tunnel_restoration_lsp is not None and self.tunnel_restoration_lsp._has_data():
                        return True

                    if self.tunnel_standby_lsp is not None and self.tunnel_standby_lsp._has_data():
                        return True

                    if self.uptime is not None:
                        return True

                    if self.wdm_unitunnel is not None and self.wdm_unitunnel._has_data():
                        return True

                    if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                        return True

                    if self.xro_attribute_set_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:p2p-p2mp-tunnel/Cisco-IOS-XR-mpls-te-oper:nni-tunnels'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.nni_tunnel is not None:
                    for child_ref in self.nni_tunnel:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.P2PP2MpTunnel.NniTunnels']['meta_info']


        class TunnelHeads(object):
            """
            Restrict display to P2P or P2MP head tunnels
            
            .. attribute:: tunnel_head
            
            	mpls te p2p or p2mp tunnels
            	**type**\: list of    :py:class:`TunnelHead <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tunnel_head = YList()
                self.tunnel_head.parent = self
                self.tunnel_head.name = 'tunnel_head'


            class TunnelHead(object):
                """
                mpls te p2p or p2mp tunnels
                
                .. attribute:: tunnel_name  <key>
                
                	Tunnel Name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: admin_state
                
                	Administrative State
                	**type**\:   :py:class:`MteTunnelAdminStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteTunnelAdminStateEnum>`
                
                .. attribute:: affinity_failure_delayed_tear_time_remained
                
                	Affinity Failure LSP tear down time remaining
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: affinity_failure_reopt_disabled
                
                	AffinityFailureReoptDisabled
                	**type**\:  bool
                
                .. attribute:: affinity_failure_reopt_time_remained
                
                	AffinityFailureReoptTimeRemained
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: area_id
                
                	Indicates the protocol and area used to find Outgoing ERO
                	**type**\:  str
                
                .. attribute:: auto_backup
                
                	Autobackup Information
                	**type**\:   :py:class:`AutoBackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup>`
                
                .. attribute:: auto_mesh
                
                	Automesh Information
                	**type**\:   :py:class:`AutoMesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoMesh>`
                
                .. attribute:: auto_pcc
                
                	Auto\-PCC Information
                	**type**\:   :py:class:`AutoPcc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoPcc>`
                
                .. attribute:: auto_route
                
                	IGP Auto route announce enabled
                	**type**\:  bool
                
                .. attribute:: autoroute_announce_exclude_segment_routing
                
                	Indicates whether this tunnel is autoroute announced with exclude segment\-routing option
                	**type**\:  bool
                
                .. attribute:: bandwidth_requested
                
                	Bandwidth Requested
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: bandwidth_type
                
                	The requested bandwidth type
                	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                
                .. attribute:: bfd_info
                
                	BFD session info. This is NULL if BFD is not configured
                	**type**\:   :py:class:`BfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo>`
                
                .. attribute:: bidir
                
                	Bidir info
                	**type**\:   :py:class:`Bidir <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir>`
                
                .. attribute:: binding_label
                
                	Binding Label
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: binding_label_exists
                
                	True, if binding label exists
                	**type**\:  bool
                
                .. attribute:: cleaned_lsp
                
                	Cleaned LSP
                	**type**\:   :py:class:`CleanedLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp>`
                
                .. attribute:: config
                
                	Configuration data
                	**type**\:   :py:class:`Config <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config>`
                
                .. attribute:: create_time
                
                	Time at which the tunnel was created
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: delay_clean_pp_lsp
                
                	Delay Clean PP LSP
                	**type**\:   :py:class:`DelayCleanPpLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp>`
                
                .. attribute:: destination
                
                	Destinations array
                	**type**\: list of    :py:class:`Destination <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination>`
                
                .. attribute:: destination_disabled_count
                
                	Count of disabled destinations
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: destination_down_count
                
                	Count of down destinations
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: destination_up_count
                
                	Count of up destinations
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: drop_mode
                
                	True if tunnel is in drop mode
                	**type**\:  bool
                
                .. attribute:: explicit_path_change
                
                	Explicit\-path inuse by the current LSP has been modified
                	**type**\:  bool
                
                .. attribute:: fail_reason
                
                	The reason why failure occurred
                	**type**\:   :py:class:`MplsMteTunnelFailReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsMteTunnelFailReasonEnum>`
                
                .. attribute:: flex_info
                
                	Flex Info
                	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.FlexInfo>`
                
                .. attribute:: forwarding_adjacency
                
                	IGP forwarding adjacency enabled
                	**type**\:  bool
                
                .. attribute:: history
                
                	Tunnel history
                	**type**\:   :py:class:`History <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History>`
                
                .. attribute:: hop_limit_ignored_reason
                
                	Hop\-limit ignored reason
                	**type**\:   :py:class:`TeHopLimitIgnoreEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeHopLimitIgnoreEnum>`
                
                .. attribute:: invalidation_time_remained
                
                	Path invalidation time remaining
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_auto_backup
                
                	Indicates whether this is an automatically generated backup tunnel
                	**type**\:  bool
                
                .. attribute:: is_auto_pcc
                
                	Indicates whether this is an automatic PCC tunnel
                	**type**\:  bool
                
                .. attribute:: is_bandwidth_protect
                
                	BW Protection Enabled or Disabled
                	**type**\:  bool
                
                .. attribute:: is_hop_limit_ignore
                
                	Is Hop\-limit ignored
                	**type**\:  bool
                
                .. attribute:: is_inter_area_tunnel
                
                	Indicates whether this tunnel spans multiple areas
                	**type**\:  bool
                
                .. attribute:: is_interface
                
                	True for tunnel head
                	**type**\:  bool
                
                .. attribute:: is_named
                
                	Indicates whether this tunnel is named
                	**type**\:  bool
                
                .. attribute:: is_node_protected
                
                	Node Protection Enabled or Disabled
                	**type**\:  bool
                
                .. attribute:: is_passive
                
                	True for passive tunnel
                	**type**\:  bool
                
                .. attribute:: is_pce_delegated
                
                	Indicates whether this tunnel is delegated to a PCE server or not
                	**type**\:  bool
                
                .. attribute:: last_hop_ifindex
                
                	Termination destination ifindex
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: last_path_change
                
                	Time in seconds since the last path change
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: load_share_factor
                
                	The specified loadsharing for the tunnel
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: load_share_type
                
                	Loadsharing type
                	**type**\:   :py:class:`MplsTeLoadshareEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLoadshareEnum>`
                
                .. attribute:: lsp_wrap_label
                
                	Lsp\-wrap label value
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: lsp_wrap_protection_enabled
                
                	Lsp\-wrap Protection enabled
                	**type**\:  bool
                
                .. attribute:: metric_qualifier
                
                	Describe how the metric was specified\: default, globally set, or per interface
                	**type**\:   :py:class:`MplsTeMetricQualifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricQualifierEnum>`
                
                .. attribute:: metric_type
                
                	The path selection metric
                	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                
                .. attribute:: operational_state
                
                	Operational State
                	**type**\:   :py:class:`MteTunnelOperStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteTunnelOperStateEnum>`
                
                .. attribute:: operational_state_changes
                
                	Counters for operational state changes
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: otn_bidir
                
                	OTN bidir info
                	**type**\:   :py:class:`OtnBidir <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir>`
                
                .. attribute:: outbound_frr_state
                
                	Indicates outbound FRR state
                	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                
                .. attribute:: p2p_info
                
                	P2P specific info
                	**type**\:   :py:class:`P2PInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo>`
                
                .. attribute:: passive_tunnel_name
                
                	Passive tunnel name
                	**type**\:  str
                
                .. attribute:: path_option_change
                
                	Path\-Option inuse by the current LSP has been modified
                	**type**\:  bool
                
                .. attribute:: path_protection
                
                	Path Protect Info
                	**type**\:   :py:class:`PathProtection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection>`
                
                .. attribute:: pce_delegation
                
                	PCE Delegation information
                	**type**\:   :py:class:`PceDelegation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.PceDelegation>`
                
                .. attribute:: pce_fail_reason
                
                	Failure reason for PCE\-based tunnels
                	**type**\:   :py:class:`MplsTePceFailReasonsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePceFailReasonsEnum>`
                
                .. attribute:: persistent_bytes
                
                	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                	**units**\: byte
                
                .. attribute:: persistent_packets
                
                	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: re_opt_hold_down_timer_remaining
                
                	Backup hold\-down timer remaining time in seconds
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: reoptimized_p2mp_lsp
                
                	Reopt LSP
                	**type**\:   :py:class:`ReoptimizedP2MpLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp>`
                
                .. attribute:: reoptimized_standby_p2mp_lsp
                
                	Standby Reopt LSP
                	**type**\:   :py:class:`ReoptimizedStandbyP2MpLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp>`
                
                .. attribute:: reroute_pending
                
                	ReroutePending
                	**type**\:  bool
                
                .. attribute:: role_standby
                
                	TRUE if Role is Standby, Active otherwise
                	**type**\:  bool
                
                .. attribute:: signaled_name
                
                	Signaled Name
                	**type**\:  str
                
                .. attribute:: snmp_index
                
                	SNMP index for interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: soft_preemption
                
                	Tunnel head soft preemption info. This is NULL if soft preemption is not configured
                	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption>`
                
                .. attribute:: te_tunnel_convergence
                
                	TE tunnel convergence related information
                	**type**\:   :py:class:`TeTunnelConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence>`
                
                .. attribute:: tie_breaker
                
                	The path selection tiebreaker
                	**type**\:   :py:class:`TePathSelectionTiebreakerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathSelectionTiebreakerEnum>`
                
                .. attribute:: tiebreaker_qualifier
                
                	Describes how the path selection tiebreaker was specified\: default, globally set, or per interface
                	**type**\:   :py:class:`MplsTeMetricQualifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricQualifierEnum>`
                
                .. attribute:: tiebreaker_type
                
                	Deprecated \- replaced by Tiebreaker
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: transport_tunnel_info
                
                	Transport tunnel data. Only exists for Transport tunnels
                	**type**\:   :py:class:`TransportTunnelInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo>`
                
                .. attribute:: tunnel_attribute_set_name
                
                	AttributeSet name
                	**type**\:  str
                
                .. attribute:: tunnel_attribute_set_type
                
                	AttributeSet type
                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                
                .. attribute:: tunnel_current_lsp
                
                	Current LSP
                	**type**\:   :py:class:`TunnelCurrentLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp>`
                
                .. attribute:: tunnel_interface_name
                
                	Interface handle of the associated tunnel
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: tunnel_recovering
                
                	Tunnel recovering
                	**type**\:  bool
                
                .. attribute:: tunnel_restoration_lsp
                
                	Restoration LSP
                	**type**\:   :py:class:`TunnelRestorationLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp>`
                
                .. attribute:: tunnel_standby_lsp
                
                	Standby LSP
                	**type**\:   :py:class:`TunnelStandbyLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp>`
                
                .. attribute:: uptime
                
                	Time in seconds since the tunnel was up
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: wdm_unitunnel
                
                	WDM\-UNI tunnel data. Only exists for WDM\-UNI tunnels
                	**type**\:   :py:class:`WdmUnitunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.WdmUnitunnel>`
                
                .. attribute:: xro_attribute_set
                
                	XRO attribute\-set
                	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet>`
                
                .. attribute:: xro_attribute_set_name
                
                	Configured XRO attribute\-set name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.tunnel_name = None
                    self.admin_state = None
                    self.affinity_failure_delayed_tear_time_remained = None
                    self.affinity_failure_reopt_disabled = None
                    self.affinity_failure_reopt_time_remained = None
                    self.area_id = None
                    self.auto_backup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup()
                    self.auto_backup.parent = self
                    self.auto_mesh = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoMesh()
                    self.auto_mesh.parent = self
                    self.auto_pcc = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoPcc()
                    self.auto_pcc.parent = self
                    self.auto_route = None
                    self.autoroute_announce_exclude_segment_routing = None
                    self.bandwidth_requested = None
                    self.bandwidth_type = None
                    self.bfd_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo()
                    self.bfd_info.parent = self
                    self.bidir = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir()
                    self.bidir.parent = self
                    self.binding_label = None
                    self.binding_label_exists = None
                    self.cleaned_lsp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp()
                    self.cleaned_lsp.parent = self
                    self.config = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config()
                    self.config.parent = self
                    self.create_time = None
                    self.delay_clean_pp_lsp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp()
                    self.delay_clean_pp_lsp.parent = self
                    self.destination = YList()
                    self.destination.parent = self
                    self.destination.name = 'destination'
                    self.destination_disabled_count = None
                    self.destination_down_count = None
                    self.destination_up_count = None
                    self.drop_mode = None
                    self.explicit_path_change = None
                    self.fail_reason = None
                    self.flex_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.FlexInfo()
                    self.flex_info.parent = self
                    self.forwarding_adjacency = None
                    self.history = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History()
                    self.history.parent = self
                    self.hop_limit_ignored_reason = None
                    self.invalidation_time_remained = None
                    self.is_auto_backup = None
                    self.is_auto_pcc = None
                    self.is_bandwidth_protect = None
                    self.is_hop_limit_ignore = None
                    self.is_inter_area_tunnel = None
                    self.is_interface = None
                    self.is_named = None
                    self.is_node_protected = None
                    self.is_passive = None
                    self.is_pce_delegated = None
                    self.last_hop_ifindex = None
                    self.last_path_change = None
                    self.load_share_factor = None
                    self.load_share_type = None
                    self.lsp_wrap_label = None
                    self.lsp_wrap_protection_enabled = None
                    self.metric_qualifier = None
                    self.metric_type = None
                    self.operational_state = None
                    self.operational_state_changes = None
                    self.otn_bidir = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir()
                    self.otn_bidir.parent = self
                    self.outbound_frr_state = None
                    self.p2p_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo()
                    self.p2p_info.parent = self
                    self.passive_tunnel_name = None
                    self.path_option_change = None
                    self.path_protection = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection()
                    self.path_protection.parent = self
                    self.pce_delegation = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.PceDelegation()
                    self.pce_delegation.parent = self
                    self.pce_fail_reason = None
                    self.persistent_bytes = None
                    self.persistent_packets = None
                    self.re_opt_hold_down_timer_remaining = None
                    self.reoptimized_p2mp_lsp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp()
                    self.reoptimized_p2mp_lsp.parent = self
                    self.reoptimized_standby_p2mp_lsp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp()
                    self.reoptimized_standby_p2mp_lsp.parent = self
                    self.reroute_pending = None
                    self.role_standby = None
                    self.signaled_name = None
                    self.snmp_index = None
                    self.soft_preemption = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption()
                    self.soft_preemption.parent = self
                    self.te_tunnel_convergence = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence()
                    self.te_tunnel_convergence.parent = self
                    self.tie_breaker = None
                    self.tiebreaker_qualifier = None
                    self.tiebreaker_type = None
                    self.transport_tunnel_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo()
                    self.transport_tunnel_info.parent = self
                    self.tunnel_attribute_set_name = None
                    self.tunnel_attribute_set_type = None
                    self.tunnel_current_lsp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp()
                    self.tunnel_current_lsp.parent = self
                    self.tunnel_interface_name = None
                    self.tunnel_recovering = None
                    self.tunnel_restoration_lsp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp()
                    self.tunnel_restoration_lsp.parent = self
                    self.tunnel_standby_lsp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp()
                    self.tunnel_standby_lsp.parent = self
                    self.uptime = None
                    self.wdm_unitunnel = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.WdmUnitunnel()
                    self.wdm_unitunnel.parent = self
                    self.xro_attribute_set = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet()
                    self.xro_attribute_set.parent = self
                    self.xro_attribute_set_name = None


                class Config(object):
                    """
                    Configuration data
                    
                    .. attribute:: affinity
                    
                    	Affinity
                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity>`
                    
                    .. attribute:: affinity_failure_reopt_timer
                    
                    	AffinityFailureReoptTimer
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: autoroute_destination
                    
                    	Autoroute Destinations list
                    	**type**\: list of    :py:class:`AutorouteDestination <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.AutorouteDestination>`
                    
                    .. attribute:: backup_bandwidth
                    
                    	Backup bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: backup_bandwidth_flags
                    
                    	Backup bandwidth flags
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: bandwidth_type
                    
                    	The bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: bfd_config
                    
                    	BFD Configuration Information
                    	**type**\:   :py:class:`BfdConfig <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BfdConfig>`
                    
                    .. attribute:: bidirectional_config
                    
                    	Bidirectional Configuration Information
                    	**type**\:   :py:class:`BidirectionalConfig <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BidirectionalConfig>`
                    
                    .. attribute:: config_load_share
                    
                    	Config loadshare
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: configured_bandwidth
                    
                    	Configured Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: cost_limit
                    
                    	Cost limit on the tunnel path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: cost_limit_global
                    
                    	Global Cost Limit
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: disable_affinity_failure_reopt
                    
                    	DisableAffinityFailureReopt
                    	**type**\:  bool
                    
                    .. attribute:: explicit_null_imposition
                    
                    	Imposition of Explicit NULL
                    	**type**\:  bool
                    
                    .. attribute:: fast_reroute
                    
                    	Fast reroute enabled
                    	**type**\:  bool
                    
                    .. attribute:: forward_class
                    
                    	Forward class
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: hold_priority
                    
                    	Hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: hop_limit
                    
                    	Hop Limit
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: interface_configured_bandwidth
                    
                    	Configured Interface Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_backup_tunnel
                    
                    	TRUE if this is a backup tunnel
                    	**type**\:  bool
                    
                    .. attribute:: is_in_config
                    
                    	Is in config
                    	**type**\:  bool
                    
                    .. attribute:: is_p2mp
                    
                    	True if tunnel is a P2MP tunnel
                    	**type**\:  bool
                    
                    .. attribute:: path_invalidation_action
                    
                    	Path invalidation action on the tunnel path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_invalidation_action_source
                    
                    	Path invalidation action configuration source
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_invalidation_timeout
                    
                    	Path invalidation timeout interval on the tunnel path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_invalidation_timeout_source
                    
                    	Path invalidation timeout configuration source
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_protection_enabled
                    
                    	Path Protection enabled
                    	**type**\:  bool
                    
                    .. attribute:: payload_type
                    
                    	Payload type
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: policy_class
                    
                    	deprecated
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: policy_class_entry
                    
                    	PBTS policy classes
                    	**type**\:  list of int
                    
                    	**range:** 0..255
                    
                    .. attribute:: record_route
                    
                    	Record route
                    	**type**\:  bool
                    
                    .. attribute:: segment_routing_path_selection
                    
                    	Segment\-Routing path selection type
                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                    
                    .. attribute:: setup_priority
                    
                    	Setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: signaled_name
                    
                    	Signaled name
                    	**type**\:  str
                    
                    .. attribute:: soft_preempt
                    
                    	Soft preemption enabled
                    	**type**\:  bool
                    
                    .. attribute:: srlg_discovery
                    
                    	SRLG\-discovery enabled
                    	**type**\:  bool
                    
                    .. attribute:: tunnel_id
                    
                    	Tunnel id
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tunnel_name
                    
                    	Tunnel name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity()
                        self.affinity.parent = self
                        self.affinity_failure_reopt_timer = None
                        self.autoroute_destination = YList()
                        self.autoroute_destination.parent = self
                        self.autoroute_destination.name = 'autoroute_destination'
                        self.backup_bandwidth = None
                        self.backup_bandwidth_flags = None
                        self.bandwidth_type = None
                        self.bfd_config = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BfdConfig()
                        self.bfd_config.parent = self
                        self.bidirectional_config = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BidirectionalConfig()
                        self.bidirectional_config.parent = self
                        self.config_load_share = None
                        self.configured_bandwidth = None
                        self.cost_limit = None
                        self.cost_limit_global = None
                        self.disable_affinity_failure_reopt = None
                        self.explicit_null_imposition = None
                        self.fast_reroute = None
                        self.forward_class = None
                        self.hold_priority = None
                        self.hop_limit = None
                        self.interface_configured_bandwidth = None
                        self.is_backup_tunnel = None
                        self.is_in_config = None
                        self.is_p2mp = None
                        self.path_invalidation_action = None
                        self.path_invalidation_action_source = None
                        self.path_invalidation_timeout = None
                        self.path_invalidation_timeout_source = None
                        self.path_protection_enabled = None
                        self.payload_type = None
                        self.policy_class = None
                        self.policy_class_entry = YLeafList()
                        self.policy_class_entry.parent = self
                        self.policy_class_entry.name = 'policy_class_entry'
                        self.record_route = None
                        self.segment_routing_path_selection = None
                        self.setup_priority = None
                        self.signaled_name = None
                        self.soft_preempt = None
                        self.srlg_discovery = None
                        self.tunnel_id = None
                        self.tunnel_name = None


                    class Affinity(object):
                        """
                        Affinity
                        
                        .. attribute:: affinity_bits
                        
                        	The affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: affinity_mask
                        
                        	The affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: named_affinity
                        
                        	Array of name based constratints currently applied to the tunnel
                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity.NamedAffinity>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.affinity_bits = None
                            self.affinity_mask = None
                            self.named_affinity = YList()
                            self.named_affinity.parent = self
                            self.named_affinity.name = 'named_affinity'


                        class NamedAffinity(object):
                            """
                            Array of name based constratints currently
                            applied to the tunnel
                            
                            .. attribute:: constraint_extended_value
                            
                            	Constraint value
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: constraint_type
                            
                            	Constraint type
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: constraint_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: extended_forward_ref_value
                            
                            	Reference bits for undefined affinity names
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: forward_ref_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.constraint_extended_value = YLeafList()
                                self.constraint_extended_value.parent = self
                                self.constraint_extended_value.name = 'constraint_extended_value'
                                self.constraint_type = None
                                self.constraint_value = None
                                self.extended_forward_ref_value = YLeafList()
                                self.extended_forward_ref_value.parent = self
                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                self.forward_ref_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.constraint_extended_value is not None:
                                    for child in self.constraint_extended_value:
                                        if child is not None:
                                            return True

                                if self.constraint_type is not None:
                                    return True

                                if self.constraint_value is not None:
                                    return True

                                if self.extended_forward_ref_value is not None:
                                    for child in self.extended_forward_ref_value:
                                        if child is not None:
                                            return True

                                if self.forward_ref_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity.NamedAffinity']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.affinity_bits is not None:
                                return True

                            if self.affinity_mask is not None:
                                return True

                            if self.named_affinity is not None:
                                for child_ref in self.named_affinity:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity']['meta_info']


                    class BidirectionalConfig(object):
                        """
                        Bidirectional Configuration Information
                        
                        .. attribute:: association_corouted
                        
                        	Is the association co\-routed
                        	**type**\:  bool
                        
                        .. attribute:: association_global_id
                        
                        	The association global ID
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: association_id
                        
                        	The association ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: association_source
                        
                        	The association source
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: association_type
                        
                        	Association Type (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.association_corouted = None
                            self.association_global_id = None
                            self.association_id = None
                            self.association_source = None
                            self.association_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bidirectional-config'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.association_corouted is not None:
                                return True

                            if self.association_global_id is not None:
                                return True

                            if self.association_id is not None:
                                return True

                            if self.association_source is not None:
                                return True

                            if self.association_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BidirectionalConfig']['meta_info']


                    class BfdConfig(object):
                        """
                        BFD Configuration Information
                        
                        .. attribute:: bfd_encap_mode
                        
                        	BFD Encap Mode
                        	**type**\:   :py:class:`TeVifBfdEncapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEncapModeEnum>`
                        
                        .. attribute:: bfd_fast_detecting_enabled
                        
                        	Deprecated
                        	**type**\:  bool
                        
                        .. attribute:: bfd_session_down_action
                        
                        	BFD Session Down Action
                        	**type**\:   :py:class:`MplsTeBfdSessionDownAction1Enum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBfdSessionDownAction1Enum>`
                        
                        .. attribute:: bfd_session_down_reopt_timeout
                        
                        	BFD Session Down Reopt Timeout
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bfd_type
                        
                        	BFD Type
                        	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                        
                        .. attribute:: bring_up_timeout
                        
                        	Bring Up Timeout in second
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: bring_up_timeout_default
                        
                        	Is default bring up timeout
                        	**type**\:  bool
                        
                        .. attribute:: dampening_initial_wait
                        
                        	Dampening initial wait time in milliseconds
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: dampening_initial_wait_default
                        
                        	Is default dampening inital wait time
                        	**type**\:  bool
                        
                        .. attribute:: dampening_max_wait
                        
                        	Dampening max wait time in milliseconds
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: dampening_max_wait_default
                        
                        	Is default dampening max wait time
                        	**type**\:  bool
                        
                        .. attribute:: dampening_secondary_wait
                        
                        	Dampening secondary wait time in milliseconds
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: dampening_secondary_wait_default
                        
                        	Is default dampening secondary wait time
                        	**type**\:  bool
                        
                        .. attribute:: min_interval
                        
                        	Hello interval in milliseconds
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: min_interval_default
                        
                        	Is default hello interval
                        	**type**\:  bool
                        
                        .. attribute:: multiplier
                        
                        	Multiplier
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: multiplier_default
                        
                        	Is default multiplier
                        	**type**\:  bool
                        
                        .. attribute:: periodic_lsp_ping_disabled
                        
                        	Periodic LSP Ping disabled
                        	**type**\:  bool
                        
                        .. attribute:: periodic_lsp_ping_interval
                        
                        	Periodic LSP Ping interval in seconds
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: periodic_lsp_ping_interval_default
                        
                        	Is default LSP Ping interval
                        	**type**\:  bool
                        
                        .. attribute:: sbfd_target_id
                        
                        	SBFD Target ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bfd_encap_mode = None
                            self.bfd_fast_detecting_enabled = None
                            self.bfd_session_down_action = None
                            self.bfd_session_down_reopt_timeout = None
                            self.bfd_type = None
                            self.bring_up_timeout = None
                            self.bring_up_timeout_default = None
                            self.dampening_initial_wait = None
                            self.dampening_initial_wait_default = None
                            self.dampening_max_wait = None
                            self.dampening_max_wait_default = None
                            self.dampening_secondary_wait = None
                            self.dampening_secondary_wait_default = None
                            self.min_interval = None
                            self.min_interval_default = None
                            self.multiplier = None
                            self.multiplier_default = None
                            self.periodic_lsp_ping_disabled = None
                            self.periodic_lsp_ping_interval = None
                            self.periodic_lsp_ping_interval_default = None
                            self.sbfd_target_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-config'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bfd_encap_mode is not None:
                                return True

                            if self.bfd_fast_detecting_enabled is not None:
                                return True

                            if self.bfd_session_down_action is not None:
                                return True

                            if self.bfd_session_down_reopt_timeout is not None:
                                return True

                            if self.bfd_type is not None:
                                return True

                            if self.bring_up_timeout is not None:
                                return True

                            if self.bring_up_timeout_default is not None:
                                return True

                            if self.dampening_initial_wait is not None:
                                return True

                            if self.dampening_initial_wait_default is not None:
                                return True

                            if self.dampening_max_wait is not None:
                                return True

                            if self.dampening_max_wait_default is not None:
                                return True

                            if self.dampening_secondary_wait is not None:
                                return True

                            if self.dampening_secondary_wait_default is not None:
                                return True

                            if self.min_interval is not None:
                                return True

                            if self.min_interval_default is not None:
                                return True

                            if self.multiplier is not None:
                                return True

                            if self.multiplier_default is not None:
                                return True

                            if self.periodic_lsp_ping_disabled is not None:
                                return True

                            if self.periodic_lsp_ping_interval is not None:
                                return True

                            if self.periodic_lsp_ping_interval_default is not None:
                                return True

                            if self.sbfd_target_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BfdConfig']['meta_info']


                    class AutorouteDestination(object):
                        """
                        Autoroute Destinations list
                        
                        .. attribute:: destination_address
                        
                        	Destination address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: prefix_length
                        
                        	Prefix length
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.destination_address = None
                            self.prefix_length = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:autoroute-destination'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.destination_address is not None:
                                return True

                            if self.prefix_length is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.AutorouteDestination']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:config'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.affinity is not None and self.affinity._has_data():
                            return True

                        if self.affinity_failure_reopt_timer is not None:
                            return True

                        if self.autoroute_destination is not None:
                            for child_ref in self.autoroute_destination:
                                if child_ref._has_data():
                                    return True

                        if self.backup_bandwidth is not None:
                            return True

                        if self.backup_bandwidth_flags is not None:
                            return True

                        if self.bandwidth_type is not None:
                            return True

                        if self.bfd_config is not None and self.bfd_config._has_data():
                            return True

                        if self.bidirectional_config is not None and self.bidirectional_config._has_data():
                            return True

                        if self.config_load_share is not None:
                            return True

                        if self.configured_bandwidth is not None:
                            return True

                        if self.cost_limit is not None:
                            return True

                        if self.cost_limit_global is not None:
                            return True

                        if self.disable_affinity_failure_reopt is not None:
                            return True

                        if self.explicit_null_imposition is not None:
                            return True

                        if self.fast_reroute is not None:
                            return True

                        if self.forward_class is not None:
                            return True

                        if self.hold_priority is not None:
                            return True

                        if self.hop_limit is not None:
                            return True

                        if self.interface_configured_bandwidth is not None:
                            return True

                        if self.is_backup_tunnel is not None:
                            return True

                        if self.is_in_config is not None:
                            return True

                        if self.is_p2mp is not None:
                            return True

                        if self.path_invalidation_action is not None:
                            return True

                        if self.path_invalidation_action_source is not None:
                            return True

                        if self.path_invalidation_timeout is not None:
                            return True

                        if self.path_invalidation_timeout_source is not None:
                            return True

                        if self.path_protection_enabled is not None:
                            return True

                        if self.payload_type is not None:
                            return True

                        if self.policy_class is not None:
                            return True

                        if self.policy_class_entry is not None:
                            for child in self.policy_class_entry:
                                if child is not None:
                                    return True

                        if self.record_route is not None:
                            return True

                        if self.segment_routing_path_selection is not None:
                            return True

                        if self.setup_priority is not None:
                            return True

                        if self.signaled_name is not None:
                            return True

                        if self.soft_preempt is not None:
                            return True

                        if self.srlg_discovery is not None:
                            return True

                        if self.tunnel_id is not None:
                            return True

                        if self.tunnel_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config']['meta_info']


                class TunnelCurrentLsp(object):
                    """
                    Current LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel-current-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp']['meta_info']


                class ReoptimizedP2MpLsp(object):
                    """
                    Reopt LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reoptimized-p2mp-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp']['meta_info']


                class TunnelStandbyLsp(object):
                    """
                    Standby LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel-standby-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp']['meta_info']


                class ReoptimizedStandbyP2MpLsp(object):
                    """
                    Standby Reopt LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reoptimized-standby-p2mp-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp']['meta_info']


                class TunnelRestorationLsp(object):
                    """
                    Restoration LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel-restoration-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp']['meta_info']


                class DelayCleanPpLsp(object):
                    """
                    Delay Clean PP LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:delay-clean-pp-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp']['meta_info']


                class CleanedLsp(object):
                    """
                    Cleaned LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:cleaned-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp']['meta_info']


                class P2PInfo(object):
                    """
                    P2P specific info
                    
                    .. attribute:: auto_bandwidth_config
                    
                    	Tunnels's AutoBandwidth Configuration information
                    	**type**\:   :py:class:`AutoBandwidthConfig <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthConfig>`
                    
                    .. attribute:: auto_bandwidth_oper
                    
                    	Tunnels's AutoBandwidth Operational information
                    	**type**\:   :py:class:`AutoBandwidthOper <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthOper>`
                    
                    .. attribute:: auto_bandwidth_status
                    
                    	Tunnels's AutoBandwidth Status information
                    	**type**\:   :py:class:`AutoBandwidthStatus <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthStatus>`
                    
                    .. attribute:: is_bidirectional
                    
                    	TRUE if the tunnel is bidirectional
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.auto_bandwidth_config = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthConfig()
                        self.auto_bandwidth_config.parent = self
                        self.auto_bandwidth_oper = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthOper()
                        self.auto_bandwidth_oper.parent = self
                        self.auto_bandwidth_status = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthStatus()
                        self.auto_bandwidth_status.parent = self
                        self.is_bidirectional = None


                    class AutoBandwidthStatus(object):
                        """
                        Tunnels's AutoBandwidth Status information
                        
                        .. attribute:: is_auto_bandwidth_enabled
                        
                        	TRUE if auto\-bw is enabled for the tunnel
                        	**type**\:  bool
                        
                        .. attribute:: reactivation_time
                        
                        	Time until auto\-bw gets activated if activation has been delayed due to failover
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.is_auto_bandwidth_enabled = None
                            self.reactivation_time = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-bandwidth-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.is_auto_bandwidth_enabled is not None:
                                return True

                            if self.reactivation_time is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthStatus']['meta_info']


                    class AutoBandwidthConfig(object):
                        """
                        Tunnels's AutoBandwidth Configuration
                        information
                        
                        .. attribute:: adjustment_threshold_percent
                        
                        	Bandwidth change threshold needed to trigger bandwidth adjustment
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: adjustment_threshold_value
                        
                        	Bandwidth change value (kbps) needed to trigger bandwidth adjustment
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: application_frequency
                        
                        	Auto\-bw application frequency for the tunnel (mins)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: minute
                        
                        .. attribute:: collection_frequency
                        
                        	Global auto\-bw collection frequency
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: is_auto_bandwidth_collect_only
                        
                        	TRUE if auto\-bw collection\-only is enabled
                        	**type**\:  bool
                        
                        .. attribute:: maximum_bandwidth
                        
                        	Maximum bandwidth auto\-bw can apply
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: minimum_bandwidth
                        
                        	Minimum bandwidth auto\-bw can apply
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: overflow_threshold_limit
                        
                        	Limit of consecutive collections exceeding threshold to trigger an immediate overflow bandwidth adjustment
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: overflow_threshold_percent
                        
                        	Bandwidth change threshold needed to count a collection towards overflow limit allowed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: overflow_threshold_value
                        
                        	Bandwidth change value needed to count a collection towards overflow limit allowed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: underflow_threshold_limit
                        
                        	Limit of consecutive collections exceeding threshold to trigger an immediate underflow bandwidth adjustment
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: underflow_threshold_percent
                        
                        	Bandwidth change threshold needed to count a collection towards underflow limit allowed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: underflow_threshold_value
                        
                        	Bandwidth change value needed to count a collection towards underflow limit allowed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.adjustment_threshold_percent = None
                            self.adjustment_threshold_value = None
                            self.application_frequency = None
                            self.collection_frequency = None
                            self.is_auto_bandwidth_collect_only = None
                            self.maximum_bandwidth = None
                            self.minimum_bandwidth = None
                            self.overflow_threshold_limit = None
                            self.overflow_threshold_percent = None
                            self.overflow_threshold_value = None
                            self.underflow_threshold_limit = None
                            self.underflow_threshold_percent = None
                            self.underflow_threshold_value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-bandwidth-config'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.adjustment_threshold_percent is not None:
                                return True

                            if self.adjustment_threshold_value is not None:
                                return True

                            if self.application_frequency is not None:
                                return True

                            if self.collection_frequency is not None:
                                return True

                            if self.is_auto_bandwidth_collect_only is not None:
                                return True

                            if self.maximum_bandwidth is not None:
                                return True

                            if self.minimum_bandwidth is not None:
                                return True

                            if self.overflow_threshold_limit is not None:
                                return True

                            if self.overflow_threshold_percent is not None:
                                return True

                            if self.overflow_threshold_value is not None:
                                return True

                            if self.underflow_threshold_limit is not None:
                                return True

                            if self.underflow_threshold_percent is not None:
                                return True

                            if self.underflow_threshold_value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthConfig']['meta_info']


                    class AutoBandwidthOper(object):
                        """
                        Tunnels's AutoBandwidth Operational information
                        
                        .. attribute:: application_jitter
                        
                        	Amount of time introduced to delay first application so that not all tunnels may signal BW at the same time
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: application_reject_reason
                        
                        	Current application reject reason
                        	**type**\:   :py:class:`TeAutobwAppRejEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAutobwAppRejEnum>`
                        
                        .. attribute:: bandwidth_applications
                        
                        	Total number of bandwidth applications requested by auto\-bw
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bandwidth_pool_type
                        
                        	Bandwidth pool type
                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                        
                        .. attribute:: collect_only_requested_bandwidth
                        
                        	Collect\-only Requested Bandwidth for the tunnel
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: highest_bandwidth
                        
                        	Highest bandwidth registered within current application period
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: last_application_trigger
                        
                        	The reason causing the last BW application
                        	**type**\:   :py:class:`TeAutobwAppTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAutobwAppTriggerEnum>`
                        
                        .. attribute:: last_bandwidth_applied
                        
                        	Last bandwidth requested by auto\-bw for the tunnel
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: overflow_early_bw_applications
                        
                        	tunnel counter for number of bandwidth applications due to overflow
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: samples_collected
                        
                        	Number of samples collected within current application period
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: threshold_overflows
                        
                        	counter for current consecutive collections exceeding threshold
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: threshold_underflows
                        
                        	counter for current consecutive collections exceeding threshold
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_left_application
                        
                        	Time left until next auto\-bw application algorithm is performed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_left_collection
                        
                        	Time left until next auto\-bw data collection is performed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: underflow_early_bw_applications
                        
                        	tunnel counter for number of bandwidth applications due to underflow
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: underflow_highest_bandwidth
                        
                        	Highest sample collected during an underflow sequence
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.application_jitter = None
                            self.application_reject_reason = None
                            self.bandwidth_applications = None
                            self.bandwidth_pool_type = None
                            self.collect_only_requested_bandwidth = None
                            self.highest_bandwidth = None
                            self.last_application_trigger = None
                            self.last_bandwidth_applied = None
                            self.overflow_early_bw_applications = None
                            self.samples_collected = None
                            self.threshold_overflows = None
                            self.threshold_underflows = None
                            self.time_left_application = None
                            self.time_left_collection = None
                            self.underflow_early_bw_applications = None
                            self.underflow_highest_bandwidth = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-bandwidth-oper'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.application_jitter is not None:
                                return True

                            if self.application_reject_reason is not None:
                                return True

                            if self.bandwidth_applications is not None:
                                return True

                            if self.bandwidth_pool_type is not None:
                                return True

                            if self.collect_only_requested_bandwidth is not None:
                                return True

                            if self.highest_bandwidth is not None:
                                return True

                            if self.last_application_trigger is not None:
                                return True

                            if self.last_bandwidth_applied is not None:
                                return True

                            if self.overflow_early_bw_applications is not None:
                                return True

                            if self.samples_collected is not None:
                                return True

                            if self.threshold_overflows is not None:
                                return True

                            if self.threshold_underflows is not None:
                                return True

                            if self.time_left_application is not None:
                                return True

                            if self.time_left_collection is not None:
                                return True

                            if self.underflow_early_bw_applications is not None:
                                return True

                            if self.underflow_highest_bandwidth is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthOper']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:p2p-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.auto_bandwidth_config is not None and self.auto_bandwidth_config._has_data():
                            return True

                        if self.auto_bandwidth_oper is not None and self.auto_bandwidth_oper._has_data():
                            return True

                        if self.auto_bandwidth_status is not None and self.auto_bandwidth_status._has_data():
                            return True

                        if self.is_bidirectional is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo']['meta_info']


                class History(object):
                    """
                    Tunnel history
                    
                    .. attribute:: current_setup
                    
                    	Current setup data
                    	**type**\:   :py:class:`CurrentSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup>`
                    
                    .. attribute:: gmpls_other_protect_setup
                    
                    	GMPLS additional protecting setup data
                    	**type**\:   :py:class:`GmplsOtherProtectSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherProtectSetup>`
                    
                    .. attribute:: gmpls_other_setup
                    
                    	GMPLS additional setup data
                    	**type**\:   :py:class:`GmplsOtherSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherSetup>`
                    
                    .. attribute:: gmpls_path_protect_setup
                    
                    	GMPLS protecting setup data
                    	**type**\:   :py:class:`GmplsPathProtectSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsPathProtectSetup>`
                    
                    .. attribute:: last_re_opt_fail
                    
                    	Last re\-opt attempt failure information
                    	**type**\:   :py:class:`LastReOptFail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastReOptFail>`
                    
                    .. attribute:: last_stdby_re_opt_fail
                    
                    	Last standby re\-opt attempt failure information
                    	**type**\:   :py:class:`LastStdbyReOptFail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastStdbyReOptFail>`
                    
                    .. attribute:: previous_gmpls_path_protect_setup
                    
                    	Previous GMPLS protecting setup data
                    	**type**\:   :py:class:`PreviousGmplsPathProtectSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousGmplsPathProtectSetup>`
                    
                    .. attribute:: previous_setup
                    
                    	Previous setup data
                    	**type**\:   :py:class:`PreviousSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousSetup>`
                    
                    .. attribute:: reopt_setup
                    
                    	Reoptimized setup data
                    	**type**\:   :py:class:`ReoptSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.ReoptSetup>`
                    
                    .. attribute:: standby_reopt_setup
                    
                    	Standby Reopt setup data
                    	**type**\:   :py:class:`StandbyReoptSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbyReoptSetup>`
                    
                    .. attribute:: standby_setup
                    
                    	Standby setup data
                    	**type**\:   :py:class:`StandbySetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbySetup>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.current_setup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup()
                        self.current_setup.parent = self
                        self.gmpls_other_protect_setup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherProtectSetup()
                        self.gmpls_other_protect_setup.parent = self
                        self.gmpls_other_setup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherSetup()
                        self.gmpls_other_setup.parent = self
                        self.gmpls_path_protect_setup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsPathProtectSetup()
                        self.gmpls_path_protect_setup.parent = self
                        self.last_re_opt_fail = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastReOptFail()
                        self.last_re_opt_fail.parent = self
                        self.last_stdby_re_opt_fail = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastStdbyReOptFail()
                        self.last_stdby_re_opt_fail.parent = self
                        self.previous_gmpls_path_protect_setup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousGmplsPathProtectSetup()
                        self.previous_gmpls_path_protect_setup.parent = self
                        self.previous_setup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousSetup()
                        self.previous_setup.parent = self
                        self.reopt_setup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.ReoptSetup()
                        self.reopt_setup.parent = self
                        self.standby_reopt_setup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbyReoptSetup()
                        self.standby_reopt_setup.parent = self
                        self.standby_setup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbySetup()
                        self.standby_setup.parent = self


                    class CurrentSetup(object):
                        """
                        Current setup data
                        
                        .. attribute:: connected_uptimes
                        
                        	Uptimes for connected setup
                        	**type**\:   :py:class:`ConnectedUptimes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup.ConnectedUptimes>`
                        
                        .. attribute:: current_setup_last_error
                        
                        	The last error for the current setup
                        	**type**\:  str
                        
                        .. attribute:: current_setup_timer
                        
                        	Time in seconds until the next attempt to connect this setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: selection_reason
                        
                        	The reason why this setup is selected. For display purposes only
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.connected_uptimes = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup.ConnectedUptimes()
                            self.connected_uptimes.parent = self
                            self.current_setup_last_error = None
                            self.current_setup_timer = None
                            self.selection_reason = None


                        class ConnectedUptimes(object):
                            """
                            Uptimes for connected setup
                            
                            .. attribute:: current_lsp_uptime
                            
                            	Time in seconds since the current LSP was up
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: current_uptime
                            
                            	Time in seconds since the tunnel was up
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.current_lsp_uptime = None
                                self.current_uptime = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:connected-uptimes'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.current_lsp_uptime is not None:
                                    return True

                                if self.current_uptime is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup.ConnectedUptimes']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:current-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.connected_uptimes is not None and self.connected_uptimes._has_data():
                                return True

                            if self.current_setup_last_error is not None:
                                return True

                            if self.current_setup_timer is not None:
                                return True

                            if self.selection_reason is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup']['meta_info']


                    class ReoptSetup(object):
                        """
                        Reoptimized setup data
                        
                        .. attribute:: reoptimized_setup_last_error
                        
                        	The last error for the reopt setup
                        	**type**\:  str
                        
                        .. attribute:: reoptimized_setup_timer
                        
                        	Time in seconds until the next attempt to connect the reopt setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: reoptimized_setup_uptime
                        
                        	Time in seconds since the reopt setup came up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.reoptimized_setup_last_error = None
                            self.reoptimized_setup_timer = None
                            self.reoptimized_setup_uptime = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reopt-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.reoptimized_setup_last_error is not None:
                                return True

                            if self.reoptimized_setup_timer is not None:
                                return True

                            if self.reoptimized_setup_uptime is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.ReoptSetup']['meta_info']


                    class GmplsPathProtectSetup(object):
                        """
                        GMPLS protecting setup data
                        
                        .. attribute:: protecting_setup_last_error
                        
                        	The last error for the protecting setup (for display purposes only)
                        	**type**\:  str
                        
                        .. attribute:: protecting_setup_timer
                        
                        	Time in seconds until the next attempt to connect the protecting setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: protecting_setup_uptime
                        
                        	Time in seconds since the protecting setup came up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.protecting_setup_last_error = None
                            self.protecting_setup_timer = None
                            self.protecting_setup_uptime = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-path-protect-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.protecting_setup_last_error is not None:
                                return True

                            if self.protecting_setup_timer is not None:
                                return True

                            if self.protecting_setup_uptime is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsPathProtectSetup']['meta_info']


                    class PreviousSetup(object):
                        """
                        Previous setup data
                        
                        .. attribute:: previous_fail_reason
                        
                        	Reason for the previous setup's failure
                        	**type**\:  str
                        
                        .. attribute:: previous_path_option
                        
                        	The previous setup path option
                        	**type**\:  str
                        
                        .. attribute:: previous_setup_last_error
                        
                        	The last error for the previous setup
                        	**type**\:  str
                        
                        .. attribute:: previous_tunnel_instance
                        
                        	The previous setup's instance
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.previous_fail_reason = None
                            self.previous_path_option = None
                            self.previous_setup_last_error = None
                            self.previous_tunnel_instance = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.previous_fail_reason is not None:
                                return True

                            if self.previous_path_option is not None:
                                return True

                            if self.previous_setup_last_error is not None:
                                return True

                            if self.previous_tunnel_instance is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousSetup']['meta_info']


                    class PreviousGmplsPathProtectSetup(object):
                        """
                        Previous GMPLS protecting setup data
                        
                        .. attribute:: previous_protect_fail_reason
                        
                        	Reason for the previous protect setup's failure
                        	**type**\:  str
                        
                        .. attribute:: previous_protect_path_option
                        
                        	The previous protect setup path option
                        	**type**\:  str
                        
                        .. attribute:: previous_protect_setup_last_error
                        
                        	The last error for the previous setup
                        	**type**\:  str
                        
                        .. attribute:: previous_protect_tunnel_instance
                        
                        	The previous protect setup's instance
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.previous_protect_fail_reason = None
                            self.previous_protect_path_option = None
                            self.previous_protect_setup_last_error = None
                            self.previous_protect_tunnel_instance = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-gmpls-path-protect-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.previous_protect_fail_reason is not None:
                                return True

                            if self.previous_protect_path_option is not None:
                                return True

                            if self.previous_protect_setup_last_error is not None:
                                return True

                            if self.previous_protect_tunnel_instance is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousGmplsPathProtectSetup']['meta_info']


                    class GmplsOtherSetup(object):
                        """
                        GMPLS additional setup data
                        
                        .. attribute:: other_setup_error
                        
                        	The last error for the additional setup
                        	**type**\:  str
                        
                        .. attribute:: path_option_index
                        
                        	Path option index for the additional setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.other_setup_error = None
                            self.path_option_index = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-other-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.other_setup_error is not None:
                                return True

                            if self.path_option_index is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherSetup']['meta_info']


                    class GmplsOtherProtectSetup(object):
                        """
                        GMPLS additional protecting setup data
                        
                        .. attribute:: other_setup_error
                        
                        	The last error for the additional setup
                        	**type**\:  str
                        
                        .. attribute:: path_option_index
                        
                        	Path option index for the additional setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.other_setup_error = None
                            self.path_option_index = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-other-protect-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.other_setup_error is not None:
                                return True

                            if self.path_option_index is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherProtectSetup']['meta_info']


                    class StandbySetup(object):
                        """
                        Standby setup data
                        
                        .. attribute:: standby_lsp_uptime
                        
                        	Time in seconds since the standby LSP was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: standby_setup_timer
                        
                        	Time in seconds until the next attempt to connect this setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.standby_lsp_uptime = None
                            self.standby_setup_timer = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:standby-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.standby_lsp_uptime is not None:
                                return True

                            if self.standby_setup_timer is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbySetup']['meta_info']


                    class StandbyReoptSetup(object):
                        """
                        Standby Reopt setup data
                        
                        .. attribute:: reoptimized_setup_last_error
                        
                        	The last error for the reopt setup
                        	**type**\:  str
                        
                        .. attribute:: reoptimized_setup_timer
                        
                        	Time in seconds until the next attempt to connect the reopt setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: reoptimized_setup_uptime
                        
                        	Time in seconds since the reopt setup came up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.reoptimized_setup_last_error = None
                            self.reoptimized_setup_timer = None
                            self.reoptimized_setup_uptime = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:standby-reopt-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.reoptimized_setup_last_error is not None:
                                return True

                            if self.reoptimized_setup_timer is not None:
                                return True

                            if self.reoptimized_setup_uptime is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbyReoptSetup']['meta_info']


                    class LastReOptFail(object):
                        """
                        Last re\-opt attempt failure information
                        
                        .. attribute:: re_opt_failed_destination
                        
                        	First tunnel destination (if any) in re\-opt LSP that failed to come up
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: re_opt_failed_timestamp
                        
                        	Time stamp of the last re\-opt failure. (seconds since Jan. 1, 1970)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: re_opt_last_fail_reason
                        
                        	Reason (if any) for the last re\-opt attempt failure
                        	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.re_opt_failed_destination = None
                            self.re_opt_failed_timestamp = None
                            self.re_opt_last_fail_reason = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:last-re-opt-fail'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.re_opt_failed_destination is not None:
                                return True

                            if self.re_opt_failed_timestamp is not None:
                                return True

                            if self.re_opt_last_fail_reason is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastReOptFail']['meta_info']


                    class LastStdbyReOptFail(object):
                        """
                        Last standby re\-opt attempt failure information
                        
                        .. attribute:: re_opt_failed_destination
                        
                        	First tunnel destination (if any) in re\-opt LSP that failed to come up
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: re_opt_failed_timestamp
                        
                        	Time stamp of the last re\-opt failure. (seconds since Jan. 1, 1970)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: re_opt_last_fail_reason
                        
                        	Reason (if any) for the last re\-opt attempt failure
                        	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.re_opt_failed_destination = None
                            self.re_opt_failed_timestamp = None
                            self.re_opt_last_fail_reason = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:last-stdby-re-opt-fail'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.re_opt_failed_destination is not None:
                                return True

                            if self.re_opt_failed_timestamp is not None:
                                return True

                            if self.re_opt_last_fail_reason is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastStdbyReOptFail']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:history'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.current_setup is not None and self.current_setup._has_data():
                            return True

                        if self.gmpls_other_protect_setup is not None and self.gmpls_other_protect_setup._has_data():
                            return True

                        if self.gmpls_other_setup is not None and self.gmpls_other_setup._has_data():
                            return True

                        if self.gmpls_path_protect_setup is not None and self.gmpls_path_protect_setup._has_data():
                            return True

                        if self.last_re_opt_fail is not None and self.last_re_opt_fail._has_data():
                            return True

                        if self.last_stdby_re_opt_fail is not None and self.last_stdby_re_opt_fail._has_data():
                            return True

                        if self.previous_gmpls_path_protect_setup is not None and self.previous_gmpls_path_protect_setup._has_data():
                            return True

                        if self.previous_setup is not None and self.previous_setup._has_data():
                            return True

                        if self.reopt_setup is not None and self.reopt_setup._has_data():
                            return True

                        if self.standby_reopt_setup is not None and self.standby_reopt_setup._has_data():
                            return True

                        if self.standby_setup is not None and self.standby_setup._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']


                class PathProtection(object):
                    """
                    Path Protect Info
                    
                    .. attribute:: diversity_type
                    
                    	Standby path diversity type
                    	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                    
                    .. attribute:: is_path_protect_configured
                    
                    	Is Path Protection Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_protect_switch_over_underway
                    
                    	Is Switchover Underway
                    	**type**\:  bool
                    
                    .. attribute:: path_protection_protected_by_id
                    
                    	The path option ID (level/index) of the configured explicit protecting path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: reoptimization_time_remaining
                    
                    	Remaining time until path protection reoptimization (seconds)
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: standby_reoptimized_number
                    
                    	Number of times the standby LSP was reoptimized
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: switchover
                    
                    	Path Protected Switchover Information
                    	**type**\:   :py:class:`Switchover <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection.Switchover>`
                    
                    .. attribute:: switchover_ready
                    
                    	Total times, Standby LSP ready for use
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: switchover_reason
                    
                    	Reason for last switchover
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: switchover_total
                    
                    	Number of times switchover occurred
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: time_of_switchover_sec
                    
                    	The date when the switchover was completed. This date is the number of seconds since Jan 1st 1970
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: valid_path_protection_path_option_exists
                    
                    	Flag to indicate whether tunnel has a path\-option which is valid for path\-protection
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.diversity_type = None
                        self.is_path_protect_configured = None
                        self.is_path_protect_switch_over_underway = None
                        self.path_protection_protected_by_id = None
                        self.reoptimization_time_remaining = None
                        self.standby_reoptimized_number = None
                        self.switchover = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection.Switchover()
                        self.switchover.parent = self
                        self.switchover_ready = None
                        self.switchover_reason = None
                        self.switchover_total = None
                        self.time_of_switchover_sec = None
                        self.valid_path_protection_path_option_exists = None


                    class Switchover(object):
                        """
                        Path Protected Switchover Information
                        
                        .. attribute:: date_of_error_detection
                        
                        	The date when the error that caused the switchover was detected. This date is the number of seconds since Jan 1st 1970
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: date_of_error_detection_millisec
                        
                        	The milliseconds offset of the date when the error that caused  the switchover was detected
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: from_lsp_id
                        
                        	The LSP ID from which the traffic was switched over
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: path_protection_switchover_event_index
                        
                        	The index number of the path protection switch over event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_protection_switchover_reason
                        
                        	The reason that caused the path protection switchover
                        	**type**\:   :py:class:`TeP2MpS2LDeletionSubcauseEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeP2MpS2LDeletionSubcauseEnum>`
                        
                        .. attribute:: path_protection_tunnel_id
                        
                        	The ID of the tunnel that experienced switchover
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: switchover_duration_millisec
                        
                        	The time in milliseconds between the detection of the error and switching the traffic
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: to_lsp_id
                        
                        	The LSP ID to which the traffic was switched over
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.date_of_error_detection = None
                            self.date_of_error_detection_millisec = None
                            self.from_lsp_id = None
                            self.path_protection_switchover_event_index = None
                            self.path_protection_switchover_reason = None
                            self.path_protection_tunnel_id = None
                            self.switchover_duration_millisec = None
                            self.to_lsp_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:switchover'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.date_of_error_detection is not None:
                                return True

                            if self.date_of_error_detection_millisec is not None:
                                return True

                            if self.from_lsp_id is not None:
                                return True

                            if self.path_protection_switchover_event_index is not None:
                                return True

                            if self.path_protection_switchover_reason is not None:
                                return True

                            if self.path_protection_tunnel_id is not None:
                                return True

                            if self.switchover_duration_millisec is not None:
                                return True

                            if self.to_lsp_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection.Switchover']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-protection'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.diversity_type is not None:
                            return True

                        if self.is_path_protect_configured is not None:
                            return True

                        if self.is_path_protect_switch_over_underway is not None:
                            return True

                        if self.path_protection_protected_by_id is not None:
                            return True

                        if self.reoptimization_time_remaining is not None:
                            return True

                        if self.standby_reoptimized_number is not None:
                            return True

                        if self.switchover is not None and self.switchover._has_data():
                            return True

                        if self.switchover_ready is not None:
                            return True

                        if self.switchover_reason is not None:
                            return True

                        if self.switchover_total is not None:
                            return True

                        if self.time_of_switchover_sec is not None:
                            return True

                        if self.valid_path_protection_path_option_exists is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection']['meta_info']


                class AutoBackup(object):
                    """
                    Autobackup Information
                    
                    .. attribute:: ab_protected_interface
                    
                    	Protected Interface
                    	**type**\:  str
                    
                    .. attribute:: ab_protection_type
                    
                    	Protection type
                    	**type**\:   :py:class:`AutoBackupProtectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AutoBackupProtectionEnum>`
                    
                    .. attribute:: iep
                    
                    	List of IEPs for the path options on this tunnel
                    	**type**\: list of    :py:class:`Iep <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep>`
                    
                    .. attribute:: is_unused_removal_timer_running
                    
                    	Indicates if the unused removal timer is running
                    	**type**\:  bool
                    
                    .. attribute:: is_using_srlg
                    
                    	Indicates whether SRLG Path Option is in use
                    	**type**\:  bool
                    
                    .. attribute:: protected_address
                    
                    	Protected Address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: protected_ls_ps
                    
                    	Number Of Protected LSPs
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: protected_s2_ls
                    
                    	Number of Protected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sharing_families
                    
                    	Number of S2L Sharing Families
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srlg_prot_type
                    
                    	SRLG Protection Type
                    	**type**\:   :py:class:`AutoBackupSrlgModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AutoBackupSrlgModeEnum>`
                    
                    .. attribute:: tunnel_attribute_set_name
                    
                    	AttributeSet name
                    	**type**\:  str
                    
                    .. attribute:: unused_removal_remaining_time
                    
                    	Time Remaining in Unused Removal Time in seconds
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: weighted_srlg_info
                    
                    	Weighted SRLG info for the autobackup tunnel
                    	**type**\:   :py:class:`WeightedSrlgInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.ab_protected_interface = None
                        self.ab_protection_type = None
                        self.iep = YList()
                        self.iep.parent = self
                        self.iep.name = 'iep'
                        self.is_unused_removal_timer_running = None
                        self.is_using_srlg = None
                        self.protected_address = None
                        self.protected_ls_ps = None
                        self.protected_s2_ls = None
                        self.sharing_families = None
                        self.srlg_prot_type = None
                        self.tunnel_attribute_set_name = None
                        self.unused_removal_remaining_time = None
                        self.weighted_srlg_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo()
                        self.weighted_srlg_info.parent = self


                    class WeightedSrlgInfo(object):
                        """
                        Weighted SRLG info for the autobackup tunnel
                        
                        .. attribute:: protected_interface_srlg
                        
                        	SRLG values and admin weight penalties of the protected interface
                        	**type**\: list of    :py:class:`ProtectedInterfaceSrlg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg>`
                        
                        .. attribute:: weighted_srlg_hop
                        
                        	Autobackup hops and the common SRLG with the protected interface
                        	**type**\: list of    :py:class:`WeightedSrlgHop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.protected_interface_srlg = YList()
                            self.protected_interface_srlg.parent = self
                            self.protected_interface_srlg.name = 'protected_interface_srlg'
                            self.weighted_srlg_hop = YList()
                            self.weighted_srlg_hop.parent = self
                            self.weighted_srlg_hop.name = 'weighted_srlg_hop'


                        class ProtectedInterfaceSrlg(object):
                            """
                            SRLG values and admin weight penalties of the
                            protected interface
                            
                            .. attribute:: admin_weight
                            
                            	Admin weight
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.admin_weight = None
                                self.srlg = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface-srlg'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.admin_weight is not None:
                                    return True

                                if self.srlg is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg']['meta_info']


                        class WeightedSrlgHop(object):
                            """
                            Autobackup hops and the common SRLG with the
                            protected interface
                            
                            .. attribute:: aggregate_admin_weight
                            
                            	Sum of the admin weights for all the common SRLG values
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            .. attribute:: common_srlg
                            
                            	Common SRLG between this hop and the protected interface
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: from_address
                            
                            	Local IP address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: to_address
                            
                            	Remote IP address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aggregate_admin_weight = None
                                self.common_srlg = YLeafList()
                                self.common_srlg.parent = self
                                self.common_srlg.name = 'common_srlg'
                                self.from_address = None
                                self.to_address = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:weighted-srlg-hop'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aggregate_admin_weight is not None:
                                    return True

                                if self.common_srlg is not None:
                                    for child in self.common_srlg:
                                        if child is not None:
                                            return True

                                if self.from_address is not None:
                                    return True

                                if self.to_address is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:weighted-srlg-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.protected_interface_srlg is not None:
                                for child_ref in self.protected_interface_srlg:
                                    if child_ref._has_data():
                                        return True

                            if self.weighted_srlg_hop is not None:
                                for child_ref in self.weighted_srlg_hop:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo']['meta_info']


                    class Iep(object):
                        """
                        List of IEPs for the path options on this tunnel
                        
                        .. attribute:: iep_hop
                        
                        	IEP Hop List
                        	**type**\: list of    :py:class:`IepHop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep.IepHop>`
                        
                        .. attribute:: path_option_id
                        
                        	Path option ID this IEP is associated with
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.iep_hop = YList()
                            self.iep_hop.parent = self
                            self.iep_hop.name = 'iep_hop'
                            self.path_option_id = None


                        class IepHop(object):
                            """
                            IEP Hop List
                            
                            .. attribute:: hop_index
                            
                            	Hop Index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: iep_hop_address
                            
                            	IEP Hop Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: iep_hop_type
                            
                            	IEP type
                            	**type**\:   :py:class:`MplsTeIepHopEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeIepHopEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_index = None
                                self.iep_hop_address = None
                                self.iep_hop_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:iep-hop'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_index is not None:
                                    return True

                                if self.iep_hop_address is not None:
                                    return True

                                if self.iep_hop_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep.IepHop']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:iep'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.iep_hop is not None:
                                for child_ref in self.iep_hop:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-backup'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.ab_protected_interface is not None:
                            return True

                        if self.ab_protection_type is not None:
                            return True

                        if self.iep is not None:
                            for child_ref in self.iep:
                                if child_ref._has_data():
                                    return True

                        if self.is_unused_removal_timer_running is not None:
                            return True

                        if self.is_using_srlg is not None:
                            return True

                        if self.protected_address is not None:
                            return True

                        if self.protected_ls_ps is not None:
                            return True

                        if self.protected_s2_ls is not None:
                            return True

                        if self.sharing_families is not None:
                            return True

                        if self.srlg_prot_type is not None:
                            return True

                        if self.tunnel_attribute_set_name is not None:
                            return True

                        if self.unused_removal_remaining_time is not None:
                            return True

                        if self.weighted_srlg_info is not None and self.weighted_srlg_info._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup']['meta_info']


                class AutoMesh(object):
                    """
                    Automesh Information
                    
                    .. attribute:: is_tunnel_unused_timer_running
                    
                    	Flag to indicate whether unused timer running
                    	**type**\:  bool
                    
                    .. attribute:: mesh_group_id
                    
                    	Auto\-mesh tunnel Mesh Group ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: mesh_group_type
                    
                    	Auto\-tunnel mesh group type
                    	**type**\:   :py:class:`TeMeshgroupEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMeshgroupEnum>`
                    
                    .. attribute:: remaining_unused_time
                    
                    	Remaining time for unused timer in seconds
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: tunnel_destination_list_name
                    
                    	Destination List name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.is_tunnel_unused_timer_running = None
                        self.mesh_group_id = None
                        self.mesh_group_type = None
                        self.remaining_unused_time = None
                        self.tunnel_destination_list_name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-mesh'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.is_tunnel_unused_timer_running is not None:
                            return True

                        if self.mesh_group_id is not None:
                            return True

                        if self.mesh_group_type is not None:
                            return True

                        if self.remaining_unused_time is not None:
                            return True

                        if self.tunnel_destination_list_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoMesh']['meta_info']


                class AutoPcc(object):
                    """
                    Auto\-PCC Information
                    
                    .. attribute:: creator_address
                    
                    	Address of creating node
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: creator_id
                    
                    	ID of creating node
                    	**type**\:  str
                    
                    .. attribute:: has_creator_id
                    
                    	Indicates if the ID of the creating node is set
                    	**type**\:  bool
                    
                    .. attribute:: operationally_up
                    
                    	Operationally up
                    	**type**\:  bool
                    
                    .. attribute:: owner_address
                    
                    	Address of owner node
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: plspid
                    
                    	PLSP ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: symbolic_name
                    
                    	Symbolic name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.creator_address = None
                        self.creator_id = None
                        self.has_creator_id = None
                        self.operationally_up = None
                        self.owner_address = None
                        self.plspid = None
                        self.symbolic_name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-pcc'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.creator_address is not None:
                            return True

                        if self.creator_id is not None:
                            return True

                        if self.has_creator_id is not None:
                            return True

                        if self.operationally_up is not None:
                            return True

                        if self.owner_address is not None:
                            return True

                        if self.plspid is not None:
                            return True

                        if self.symbolic_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoPcc']['meta_info']


                class PceDelegation(object):
                    """
                    PCE Delegation information
                    
                    .. attribute:: operationally_up
                    
                    	Operationally up
                    	**type**\:  bool
                    
                    .. attribute:: owner_address
                    
                    	Address of owner node
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: plsp_id
                    
                    	PLSP ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: symbolic_name
                    
                    	Symbolic name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.operationally_up = None
                        self.owner_address = None
                        self.plsp_id = None
                        self.symbolic_name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:pce-delegation'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.operationally_up is not None:
                            return True

                        if self.owner_address is not None:
                            return True

                        if self.plsp_id is not None:
                            return True

                        if self.symbolic_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.PceDelegation']['meta_info']


                class SoftPreemption(object):
                    """
                    Tunnel head soft preemption info. This is NULL
                    if soft preemption is not configured
                    
                    .. attribute:: preemption_pending_resolution
                    
                    	Indicates how the soft preemption operation ended
                    	**type**\:   :py:class:`MplsTeSoftPreemptionResolutionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionResolutionEnum>`
                    
                    .. attribute:: soft_preemption_counters
                    
                    	The soft preemption counters for this tunnel head
                    	**type**\:   :py:class:`SoftPreemptionCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionCounters>`
                    
                    .. attribute:: soft_preemption_path_error
                    
                    	The array of soft preemption path errors info received for the LSP that is being soft preempted
                    	**type**\: list of    :py:class:`SoftPreemptionPathError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionPathError>`
                    
                    .. attribute:: status
                    
                    	The preemption state
                    	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                    
                    .. attribute:: time_in_preemption_pending
                    
                    	The number of seconds that were spent in the preemption\-pending state
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.preemption_pending_resolution = None
                        self.soft_preemption_counters = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionCounters()
                        self.soft_preemption_counters.parent = self
                        self.soft_preemption_path_error = YList()
                        self.soft_preemption_path_error.parent = self
                        self.soft_preemption_path_error.name = 'soft_preemption_path_error'
                        self.status = None
                        self.time_in_preemption_pending = None


                    class SoftPreemptionCounters(object):
                        """
                        The soft preemption counters for this tunnel
                        head
                        
                        .. attribute:: frr_triggered_ls_ps
                        
                        	The number of soft preempted LSPs that were fast rerouted at the             headend or any remote node before the reoptimization is done
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_protection_switchover_ls_ps
                        
                        	The number of soft preempted LSPs that were switched over to a             standby LSP
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: reopt_completed_ls_ps
                        
                        	The number of soft preempted LSPs that were torn down by the ingress router after the reopt LSP was successfully setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: soft_preemption_events
                        
                        	The number of soft preemption events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_in_preemption_pending_avg
                        
                        	The average time in seconds that an LSP was in preemption pending state
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        .. attribute:: time_in_preemption_pending_max
                        
                        	The maximum time in seconds that an LSP was in preemption pending state
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        .. attribute:: time_in_preemption_pending_min
                        
                        	The minimum time in seconds that an LSP was in preemption pending state
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        .. attribute:: torn_down_ls_ps
                        
                        	The number of soft preempted LSPs that were torn down by the              headend or any remote node before the reoptimization is done
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.frr_triggered_ls_ps = None
                            self.path_protection_switchover_ls_ps = None
                            self.reopt_completed_ls_ps = None
                            self.soft_preemption_events = None
                            self.time_in_preemption_pending_avg = None
                            self.time_in_preemption_pending_max = None
                            self.time_in_preemption_pending_min = None
                            self.torn_down_ls_ps = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption-counters'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.frr_triggered_ls_ps is not None:
                                return True

                            if self.path_protection_switchover_ls_ps is not None:
                                return True

                            if self.reopt_completed_ls_ps is not None:
                                return True

                            if self.soft_preemption_events is not None:
                                return True

                            if self.time_in_preemption_pending_avg is not None:
                                return True

                            if self.time_in_preemption_pending_max is not None:
                                return True

                            if self.time_in_preemption_pending_min is not None:
                                return True

                            if self.torn_down_ls_ps is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionCounters']['meta_info']


                    class SoftPreemptionPathError(object):
                        """
                        The array of soft preemption path errors info
                        received for the LSP that is being soft
                        preempted
                        
                        .. attribute:: preempting_link_address
                        
                        	The address of the link where the preemption happened
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: timestamp
                        
                        	The POSIX timestamp when the soft preemption error is received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.preempting_link_address = None
                            self.timestamp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption-path-error'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.preempting_link_address is not None:
                                return True

                            if self.timestamp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionPathError']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.preemption_pending_resolution is not None:
                            return True

                        if self.soft_preemption_counters is not None and self.soft_preemption_counters._has_data():
                            return True

                        if self.soft_preemption_path_error is not None:
                            for child_ref in self.soft_preemption_path_error:
                                if child_ref._has_data():
                                    return True

                        if self.status is not None:
                            return True

                        if self.time_in_preemption_pending is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption']['meta_info']


                class WdmUnitunnel(object):
                    """
                    WDM\-UNI tunnel data. Only exists for WDM\-UNI
                    tunnels
                    
                    .. attribute:: controlled_interface
                    
                    	Interface being controlled
                    	**type**\:  str
                    
                    .. attribute:: destination_address
                    
                    	Destination address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: extended_tunnel_id
                    
                    	Extended tunnel\-id
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: label_origin
                    
                    	Label origin
                    	**type**\:   :py:class:`MplsTeMgmtGmplsLabelOriginEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelOriginEnum>`
                    
                    .. attribute:: local_optical_router_id
                    
                    	Local optical router id
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: lsp_id
                    
                    	LSP ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: remote_optical_router_id
                    
                    	Remote optical router id
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: source_address
                    
                    	Source address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: srlg_discovery
                    
                    	SRLG\-discovery enabled
                    	**type**\:  bool
                    
                    .. attribute:: tunnel_id
                    
                    	Tunnel ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tunnel_role
                    
                    	Tunnel Role
                    	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                    
                    .. attribute:: tunnel_state
                    
                    	Tunnel state
                    	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.controlled_interface = None
                        self.destination_address = None
                        self.extended_tunnel_id = None
                        self.label_origin = None
                        self.local_optical_router_id = None
                        self.lsp_id = None
                        self.remote_optical_router_id = None
                        self.source_address = None
                        self.srlg_discovery = None
                        self.tunnel_id = None
                        self.tunnel_role = None
                        self.tunnel_state = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm-unitunnel'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.controlled_interface is not None:
                            return True

                        if self.destination_address is not None:
                            return True

                        if self.extended_tunnel_id is not None:
                            return True

                        if self.label_origin is not None:
                            return True

                        if self.local_optical_router_id is not None:
                            return True

                        if self.lsp_id is not None:
                            return True

                        if self.remote_optical_router_id is not None:
                            return True

                        if self.source_address is not None:
                            return True

                        if self.srlg_discovery is not None:
                            return True

                        if self.tunnel_id is not None:
                            return True

                        if self.tunnel_role is not None:
                            return True

                        if self.tunnel_state is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.WdmUnitunnel']['meta_info']


                class TransportTunnelInfo(object):
                    """
                    Transport tunnel data. Only exists for Transport
                    tunnels
                    
                    .. attribute:: diversity_info
                    
                    	Diversity Info
                    	**type**\: list of    :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.DiversityInfo>`
                    
                    .. attribute:: egress_static_uni
                    
                    	Tunnel EgressStatic UNI Info
                    	**type**\:   :py:class:`EgressStaticUni <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni>`
                    
                    .. attribute:: homepath_ero
                    
                    	Homepath ero for working lsp
                    	**type**\: list of    :py:class:`HomepathEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro>`
                    
                    .. attribute:: otn
                    
                    	Info Related to OTN technology in S2L
                    	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn>`
                    
                    .. attribute:: static_uni
                    
                    	Tunnel Static UNI Info
                    	**type**\:   :py:class:`StaticUni <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.StaticUni>`
                    
                    .. attribute:: status_homepath_working
                    
                    	Status of working homepath
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.diversity_info = YList()
                        self.diversity_info.parent = self
                        self.diversity_info.name = 'diversity_info'
                        self.egress_static_uni = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni()
                        self.egress_static_uni.parent = self
                        self.homepath_ero = YList()
                        self.homepath_ero.parent = self
                        self.homepath_ero.name = 'homepath_ero'
                        self.otn = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn()
                        self.otn.parent = self
                        self.static_uni = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.StaticUni()
                        self.static_uni.parent = self
                        self.status_homepath_working = None


                    class Otn(object):
                        """
                        Info Related to OTN technology in S2L
                        
                        .. attribute:: bandwidth_cfg
                        
                        	Configured OTN Bandwidth for tunnel
                        	**type**\:   :py:class:`BandwidthCfg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bandwidth_cfg = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg()
                            self.bandwidth_cfg.parent = self


                        class BandwidthCfg(object):
                            """
                            Configured OTN Bandwidth for tunnel
                            
                            .. attribute:: odu_flex_cbr
                            
                            	Odu flex CBR info
                            	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr>`
                            
                            .. attribute:: odu_flex_gfp_f_non_res
                            
                            	Odu flex GFP\-F non\-resizable info
                            	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes>`
                            
                            .. attribute:: odu_flex_gfp_f_res
                            
                            	Odu flex GFP\-F resizable info
                            	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes>`
                            
                            .. attribute:: odu_level
                            
                            	ODULevel
                            	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.odu_flex_cbr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr()
                                self.odu_flex_cbr.parent = self
                                self.odu_flex_gfp_f_non_res = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes()
                                self.odu_flex_gfp_f_non_res.parent = self
                                self.odu_flex_gfp_f_res = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes()
                                self.odu_flex_gfp_f_res.parent = self
                                self.odu_level = None


                            class OduFlexCbr(object):
                                """
                                Odu flex CBR info
                                
                                .. attribute:: bit_rate
                                
                                	Bit rate in kbit/s
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tolerance
                                
                                	Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.tolerance = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.tolerance is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr']['meta_info']


                            class OduFlexGfpFRes(object):
                                """
                                Odu flex GFP\-F resizable info
                                
                                .. attribute:: bit_rate
                                
                                	Bit rate in kbit/s
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes']['meta_info']


                            class OduFlexGfpFNonRes(object):
                                """
                                Odu flex GFP\-F non\-resizable info
                                
                                .. attribute:: bit_rate
                                
                                	Bit rate in kbit/s
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-cfg'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                    return True

                                if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                    return True

                                if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                    return True

                                if self.odu_level is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bandwidth_cfg is not None and self.bandwidth_cfg._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn']['meta_info']


                    class StaticUni(object):
                        """
                        Tunnel Static UNI Info
                        
                        .. attribute:: client_if_handle
                        
                        	Ingress Client Port Ifhandle
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: client_odu_if_handle
                        
                        	Client Odu Interface
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: client_odu_name
                        
                        	Client Odu Name
                        	**type**\:  str
                        
                        .. attribute:: client_port
                        
                        	Ingress Client Port
                        	**type**\:  str
                        
                        .. attribute:: cross_connect_id
                        
                        	Cross connect id
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: is_connected
                        
                        	True if client port is connected
                        	**type**\:  bool
                        
                        .. attribute:: local_termination
                        
                        	Local Termination Type
                        	**type**\:   :py:class:`MplsTeTerminationEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTerminationEnum>`
                        
                        .. attribute:: static_uni_type
                        
                        	Static uni type
                        	**type**\:   :py:class:`MplsTeUniEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeUniEnum>`
                        
                        .. attribute:: term_client_if_handle
                        
                        	Termination Ingress Client Port Ifhandle
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: term_client_port
                        
                        	Termination Ingress Client Port
                        	**type**\:  str
                        
                        .. attribute:: uptime
                        
                        	Client Port Uptime
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.client_if_handle = None
                            self.client_odu_if_handle = None
                            self.client_odu_name = None
                            self.client_port = None
                            self.cross_connect_id = None
                            self.is_connected = None
                            self.local_termination = None
                            self.static_uni_type = None
                            self.term_client_if_handle = None
                            self.term_client_port = None
                            self.uptime = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:static-uni'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.client_if_handle is not None:
                                return True

                            if self.client_odu_if_handle is not None:
                                return True

                            if self.client_odu_name is not None:
                                return True

                            if self.client_port is not None:
                                return True

                            if self.cross_connect_id is not None:
                                return True

                            if self.is_connected is not None:
                                return True

                            if self.local_termination is not None:
                                return True

                            if self.static_uni_type is not None:
                                return True

                            if self.term_client_if_handle is not None:
                                return True

                            if self.term_client_port is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.StaticUni']['meta_info']


                    class EgressStaticUni(object):
                        """
                        Tunnel EgressStatic UNI Info
                        
                        .. attribute:: egress_port
                        
                        	Egress Client Port of Tunnel
                        	**type**\:   :py:class:`EgressPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort>`
                        
                        .. attribute:: local_termination
                        
                        	Local Termination Type
                        	**type**\:   :py:class:`MplsTeTerminationEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTerminationEnum>`
                        
                        .. attribute:: remote_uni_type
                        
                        	Remote uni type
                        	**type**\:   :py:class:`MplsTeUniEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeUniEnum>`
                        
                        .. attribute:: term_egress_port
                        
                        	Termination Egress Client Port of Tunnel
                        	**type**\:   :py:class:`TermEgressPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.egress_port = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort()
                            self.egress_port.parent = self
                            self.local_termination = None
                            self.remote_uni_type = None
                            self.term_egress_port = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort()
                            self.term_egress_port.parent = self


                        class EgressPort(object):
                            """
                            Egress Client Port of Tunnel
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:egress-port'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort']['meta_info']


                        class TermEgressPort(object):
                            """
                            Termination Egress Client Port of Tunnel
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:term-egress-port'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:egress-static-uni'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.egress_port is not None and self.egress_port._has_data():
                                return True

                            if self.local_termination is not None:
                                return True

                            if self.remote_uni_type is not None:
                                return True

                            if self.term_egress_port is not None and self.term_egress_port._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni']['meta_info']


                    class HomepathEro(object):
                        """
                        Homepath ero for working lsp
                        
                        .. attribute:: ero_type
                        
                        	EROType
                        	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                        
                        .. attribute:: ipv4ero_sub_object
                        
                        	IPV4 ERO Sub Object
                        	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject>`
                        
                        .. attribute:: unnumbered_ero_sub_object
                        
                        	Unnumbered ERO Sub Object
                        	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_type = None
                            self.ipv4ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject()
                            self.ipv4ero_sub_object.parent = self
                            self.unnumbered_ero_sub_object = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject()
                            self.unnumbered_ero_sub_object.parent = self


                        class Ipv4EroSubObject(object):
                            """
                            IPV4 ERO Sub Object
                            
                            .. attribute:: ero_address
                            
                            	The ERO IPV4 Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: prefix_length
                            
                            	ERO Prefix Length
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_address = None
                                self.is_strict_route = None
                                self.prefix_length = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_address is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.prefix_length is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject']['meta_info']


                        class UnnumberedEroSubObject(object):
                            """
                            Unnumbered ERO Sub Object
                            
                            .. attribute:: ero_interface_id
                            
                            	The Interface ID in ERO
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: ero_router_id
                            
                            	The Router ID in ERO
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: status
                            
                            	Status of ERO
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_interface_id = None
                                self.ero_router_id = None
                                self.is_strict_route = None
                                self.status = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_interface_id is not None:
                                    return True

                                if self.ero_router_id is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:homepath-ero'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_type is not None:
                                return True

                            if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                return True

                            if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro']['meta_info']


                    class DiversityInfo(object):
                        """
                        Diversity Info
                        
                        .. attribute:: tunnel_id
                        
                        	Dependent Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.tunnel_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.tunnel_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.DiversityInfo']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:transport-tunnel-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.diversity_info is not None:
                            for child_ref in self.diversity_info:
                                if child_ref._has_data():
                                    return True

                        if self.egress_static_uni is not None and self.egress_static_uni._has_data():
                            return True

                        if self.homepath_ero is not None:
                            for child_ref in self.homepath_ero:
                                if child_ref._has_data():
                                    return True

                        if self.otn is not None and self.otn._has_data():
                            return True

                        if self.static_uni is not None and self.static_uni._has_data():
                            return True

                        if self.status_homepath_working is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo']['meta_info']


                class BfdInfo(object):
                    """
                    BFD session info. This is NULL if BFD is not
                    configured
                    
                    .. attribute:: bfd_session_up
                    
                    	Tunnel BFD session state up or down
                    	**type**\:  bool
                    
                    .. attribute:: dampening_info
                    
                    	Path option dampening info
                    	**type**\: list of    :py:class:`DampeningInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.DampeningInfo>`
                    
                    .. attribute:: event_counters
                    
                    	Per tunnel BFD session event counters
                    	**type**\:   :py:class:`EventCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.EventCounters>`
                    
                    .. attribute:: failure_diagnostic_code
                    
                    	BFD session failure diagnostic code
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: failure_reason
                    
                    	BFD session failure reason
                    	**type**\:  str
                    
                    .. attribute:: maximum_session_up_interval
                    
                    	Maximum time in mini second for session to come up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: minimum_session_up_interval
                    
                    	Minimum time in mini second for session to come up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: session_up_time
                    
                    	Time in seconds since the last session state up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bfd_session_up = None
                        self.dampening_info = YList()
                        self.dampening_info.parent = self
                        self.dampening_info.name = 'dampening_info'
                        self.event_counters = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.EventCounters()
                        self.event_counters.parent = self
                        self.failure_diagnostic_code = None
                        self.failure_reason = None
                        self.maximum_session_up_interval = None
                        self.minimum_session_up_interval = None
                        self.session_up_time = None


                    class EventCounters(object):
                        """
                        Per tunnel BFD session event counters
                        
                        .. attribute:: session_admin_down_events
                        
                        	The number of BFDOverLSP session admin down events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_create_events
                        
                        	The number of BFDOverLSP session create events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_create_timeout_events
                        
                        	The number of BFDOverLSP session create timeout events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_creation_failed_events
                        
                        	The number of BFDOverLSP session creation failed events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_down_events
                        
                        	The number of BFDOverLSP session down events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_gracefully_delete_events
                        
                        	The number of BFDOverLSP session gracefully delete events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_non_gracefully_delete_events
                        
                        	The number of BFDOverLSP session non gracefully delete events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_replay_events
                        
                        	The number of BFDOverLSP session replay events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_up_events
                        
                        	The number of BFDOverLSP session up events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.session_admin_down_events = None
                            self.session_create_events = None
                            self.session_create_timeout_events = None
                            self.session_creation_failed_events = None
                            self.session_down_events = None
                            self.session_gracefully_delete_events = None
                            self.session_non_gracefully_delete_events = None
                            self.session_replay_events = None
                            self.session_up_events = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:event-counters'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.session_admin_down_events is not None:
                                return True

                            if self.session_create_events is not None:
                                return True

                            if self.session_create_timeout_events is not None:
                                return True

                            if self.session_creation_failed_events is not None:
                                return True

                            if self.session_down_events is not None:
                                return True

                            if self.session_gracefully_delete_events is not None:
                                return True

                            if self.session_non_gracefully_delete_events is not None:
                                return True

                            if self.session_replay_events is not None:
                                return True

                            if self.session_up_events is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.EventCounters']['meta_info']


                    class DampeningInfo(object):
                        """
                        Path option dampening info
                        
                        .. attribute:: backoff_count
                        
                        	Backoff count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: hold_down_time
                        
                        	Hold down time in second
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: option_index
                        
                        	Path option index
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: remained_time
                        
                        	Remained time to resignal in second
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.backoff_count = None
                            self.hold_down_time = None
                            self.option_index = None
                            self.remained_time = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:dampening-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.backoff_count is not None:
                                return True

                            if self.hold_down_time is not None:
                                return True

                            if self.option_index is not None:
                                return True

                            if self.remained_time is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.DampeningInfo']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bfd_session_up is not None:
                            return True

                        if self.dampening_info is not None:
                            for child_ref in self.dampening_info:
                                if child_ref._has_data():
                                    return True

                        if self.event_counters is not None and self.event_counters._has_data():
                            return True

                        if self.failure_diagnostic_code is not None:
                            return True

                        if self.failure_reason is not None:
                            return True

                        if self.maximum_session_up_interval is not None:
                            return True

                        if self.minimum_session_up_interval is not None:
                            return True

                        if self.session_up_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo']['meta_info']


                class OtnBidir(object):
                    """
                    OTN bidir info
                    
                    .. attribute:: aps
                    
                    	APS Protection Info
                    	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps>`
                    
                    .. attribute:: restoration
                    
                    	Restoration Info
                    	**type**\:   :py:class:`Restoration <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Restoration>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.aps = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps()
                        self.aps.parent = self
                        self.restoration = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Restoration()
                        self.restoration.parent = self


                    class Aps(object):
                        """
                        APS Protection Info
                        
                        .. attribute:: active_lsp
                        
                        	Active LSP for Incoming Data
                        	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                        
                        .. attribute:: diversity_type
                        
                        	Standby path diversity type
                        	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                        
                        .. attribute:: protection_profile
                        
                        	Protection Profile Information of tunnel
                        	**type**\:   :py:class:`ProtectionProfile <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.active_lsp = None
                            self.diversity_type = None
                            self.protection_profile = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile()
                            self.protection_profile.parent = self


                        class ProtectionProfile(object):
                            """
                            Protection Profile Information of tunnel
                            
                            .. attribute:: hold_off_time
                            
                            	Hold\-off time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: path_prot_profile_type
                            
                            	Path Protection Profile Type
                            	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                            
                            .. attribute:: protection_mode
                            
                            	Protection Restoration Mode
                            	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                            
                            .. attribute:: protection_type
                            
                            	Protection Type
                            	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                            
                            .. attribute:: restoration_style
                            
                            	Restoration Style
                            	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                            
                            .. attribute:: revert_schedule
                            
                            	Revert Schedule
                            	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile.RevertSchedule>`
                            
                            .. attribute:: snc_mode
                            
                            	Sub\-network Connection Mode
                            	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                            
                            .. attribute:: tcm_id
                            
                            	Sub\-network Connection Monitoring Mode
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: wait_to_restore_time
                            
                            	Wait to restore time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hold_off_time = None
                                self.path_prot_profile_type = None
                                self.protection_mode = None
                                self.protection_type = None
                                self.restoration_style = None
                                self.revert_schedule = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile.RevertSchedule()
                                self.revert_schedule.parent = self
                                self.snc_mode = None
                                self.tcm_id = None
                                self.wait_to_restore_time = None


                            class RevertSchedule(object):
                                """
                                Revert Schedule
                                
                                .. attribute:: duration
                                
                                	Duration for scheduled reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: max_tries
                                
                                	Max tries for scheduled reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: schedule_date
                                
                                	Schedule time for reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: schedule_frequency
                                
                                	Schedule frequency for reversion
                                	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                
                                .. attribute:: schedulename
                                
                                	Schedule name identifier
                                	**type**\:  str
                                
                                	**length:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.duration = None
                                    self.max_tries = None
                                    self.schedule_date = None
                                    self.schedule_frequency = None
                                    self.schedulename = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.duration is not None:
                                        return True

                                    if self.max_tries is not None:
                                        return True

                                    if self.schedule_date is not None:
                                        return True

                                    if self.schedule_frequency is not None:
                                        return True

                                    if self.schedulename is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile.RevertSchedule']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-profile'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hold_off_time is not None:
                                    return True

                                if self.path_prot_profile_type is not None:
                                    return True

                                if self.protection_mode is not None:
                                    return True

                                if self.protection_type is not None:
                                    return True

                                if self.restoration_style is not None:
                                    return True

                                if self.revert_schedule is not None and self.revert_schedule._has_data():
                                    return True

                                if self.snc_mode is not None:
                                    return True

                                if self.tcm_id is not None:
                                    return True

                                if self.wait_to_restore_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.active_lsp is not None:
                                return True

                            if self.diversity_type is not None:
                                return True

                            if self.protection_profile is not None and self.protection_profile._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps']['meta_info']


                    class Restoration(object):
                        """
                        Restoration Info
                        
                        .. attribute:: diverse_lsp
                        
                        	LSP from which restoration LSP is DIVERSED
                        	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                        
                        .. attribute:: diversity_type
                        
                        	Restoration path diversity type
                        	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                        
                        .. attribute:: revert_option
                        
                        	Revertive or non\-revertive
                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.diverse_lsp = None
                            self.diversity_type = None
                            self.revert_option = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:restoration'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.diverse_lsp is not None:
                                return True

                            if self.diversity_type is not None:
                                return True

                            if self.revert_option is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Restoration']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-bidir'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.aps is not None and self.aps._has_data():
                            return True

                        if self.restoration is not None and self.restoration._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir']['meta_info']


                class Bidir(object):
                    """
                    Bidir info
                    
                    .. attribute:: reverse_bandwidth
                    
                    	Reverse Bandwidth value in kbps
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: kbit/s
                    
                    .. attribute:: reverse_bandwidth_standby
                    
                    	Reverse Bandwidth value for standby in kbps
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: kbit/s
                    
                    .. attribute:: reverse_ero_error_current
                    
                    	Reverse ERO Error Current LSP
                    	**type**\:   :py:class:`ReverseEroErrorCurrent <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent>`
                    
                    .. attribute:: reverse_ero_error_reopt
                    
                    	Reverse ERO Error Reopt LSP
                    	**type**\:   :py:class:`ReverseEroErrorReopt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt>`
                    
                    .. attribute:: reverse_ero_error_standby
                    
                    	Reverse ERO Error Standby LSP
                    	**type**\:   :py:class:`ReverseEroErrorStandby <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby>`
                    
                    .. attribute:: reverse_ero_error_standby_reopt
                    
                    	Reverse ERO Error Standby Reopt LSP
                    	**type**\:   :py:class:`ReverseEroErrorStandbyReopt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.reverse_bandwidth = None
                        self.reverse_bandwidth_standby = None
                        self.reverse_ero_error_current = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent()
                        self.reverse_ero_error_current.parent = self
                        self.reverse_ero_error_reopt = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt()
                        self.reverse_ero_error_reopt.parent = self
                        self.reverse_ero_error_standby = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby()
                        self.reverse_ero_error_standby.parent = self
                        self.reverse_ero_error_standby_reopt = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt()
                        self.reverse_ero_error_standby_reopt.parent = self


                    class ReverseEroErrorCurrent(object):
                        """
                        Reverse ERO Error Current LSP
                        
                        .. attribute:: ero_reject_reason
                        
                        	Reverse ERO Reject Reason
                        	**type**\:   :py:class:`TeRevEroRejectReasonsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRevEroRejectReasonsEnum>`
                        
                        .. attribute:: path_calculation_error
                        
                        	Path Computation Information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent.PathCalculationError>`
                        
                        .. attribute:: path_option_index
                        
                        	Path Option Index
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: path_option_type
                        
                        	Path Option Type
                        	**type**\:   :py:class:`MtePathOptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MtePathOptionEnum>`
                        
                        .. attribute:: path_reject_reason_affinity
                        
                        	Path Reject due to affinity
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_bw
                        
                        	Path Reject due to bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_link
                        
                        	Path Reject due to exclude link
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_node
                        
                        	Path Reject due to exclude node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_srlg
                        
                        	Path Reject due to exclude SRLG
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_holddown
                        
                        	Path Reject due to holddown
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_hop_limit
                        
                        	Path Reject due to hop limit
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ip_addr
                        
                        	Path Reject due to IP address
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ixcd
                        
                        	Path Reject due to IXCD
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_head
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_mid
                        
                        	Path Reject due to mid node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_tail
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_unknown
                        
                        	Path Reject due to unknown node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_unreachable
                        
                        	Path Reject due to unreachable node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_bw
                        
                        	Path Reject due to reverse bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_link
                        
                        	Path Reject due to reverse link
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_id
                        
                        	Reverse LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_reject_reason = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_index = None
                            self.path_option_type = None
                            self.path_reject_reason_affinity = None
                            self.path_reject_reason_bw = None
                            self.path_reject_reason_exclude_link = None
                            self.path_reject_reason_exclude_node = None
                            self.path_reject_reason_exclude_srlg = None
                            self.path_reject_reason_holddown = None
                            self.path_reject_reason_hop_limit = None
                            self.path_reject_reason_ip_addr = None
                            self.path_reject_reason_ixcd = None
                            self.path_reject_reason_node_ol_head = None
                            self.path_reject_reason_node_ol_mid = None
                            self.path_reject_reason_node_ol_tail = None
                            self.path_reject_reason_node_ol_unknown = None
                            self.path_reject_reason_node_unreachable = None
                            self.path_reject_reason_reverse_bw = None
                            self.path_reject_reason_reverse_link = None
                            self.reverse_lsp_id = None


                        class PathCalculationError(object):
                            """
                            Path Computation Information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent.PathCalculationError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-error-current'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_reject_reason is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_index is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.path_reject_reason_affinity is not None:
                                return True

                            if self.path_reject_reason_bw is not None:
                                return True

                            if self.path_reject_reason_exclude_link is not None:
                                return True

                            if self.path_reject_reason_exclude_node is not None:
                                return True

                            if self.path_reject_reason_exclude_srlg is not None:
                                return True

                            if self.path_reject_reason_holddown is not None:
                                return True

                            if self.path_reject_reason_hop_limit is not None:
                                return True

                            if self.path_reject_reason_ip_addr is not None:
                                return True

                            if self.path_reject_reason_ixcd is not None:
                                return True

                            if self.path_reject_reason_node_ol_head is not None:
                                return True

                            if self.path_reject_reason_node_ol_mid is not None:
                                return True

                            if self.path_reject_reason_node_ol_tail is not None:
                                return True

                            if self.path_reject_reason_node_ol_unknown is not None:
                                return True

                            if self.path_reject_reason_node_unreachable is not None:
                                return True

                            if self.path_reject_reason_reverse_bw is not None:
                                return True

                            if self.path_reject_reason_reverse_link is not None:
                                return True

                            if self.reverse_lsp_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent']['meta_info']


                    class ReverseEroErrorReopt(object):
                        """
                        Reverse ERO Error Reopt LSP
                        
                        .. attribute:: ero_reject_reason
                        
                        	Reverse ERO Reject Reason
                        	**type**\:   :py:class:`TeRevEroRejectReasonsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRevEroRejectReasonsEnum>`
                        
                        .. attribute:: path_calculation_error
                        
                        	Path Computation Information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt.PathCalculationError>`
                        
                        .. attribute:: path_option_index
                        
                        	Path Option Index
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: path_option_type
                        
                        	Path Option Type
                        	**type**\:   :py:class:`MtePathOptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MtePathOptionEnum>`
                        
                        .. attribute:: path_reject_reason_affinity
                        
                        	Path Reject due to affinity
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_bw
                        
                        	Path Reject due to bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_link
                        
                        	Path Reject due to exclude link
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_node
                        
                        	Path Reject due to exclude node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_srlg
                        
                        	Path Reject due to exclude SRLG
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_holddown
                        
                        	Path Reject due to holddown
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_hop_limit
                        
                        	Path Reject due to hop limit
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ip_addr
                        
                        	Path Reject due to IP address
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ixcd
                        
                        	Path Reject due to IXCD
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_head
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_mid
                        
                        	Path Reject due to mid node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_tail
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_unknown
                        
                        	Path Reject due to unknown node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_unreachable
                        
                        	Path Reject due to unreachable node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_bw
                        
                        	Path Reject due to reverse bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_link
                        
                        	Path Reject due to reverse link
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_id
                        
                        	Reverse LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_reject_reason = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_index = None
                            self.path_option_type = None
                            self.path_reject_reason_affinity = None
                            self.path_reject_reason_bw = None
                            self.path_reject_reason_exclude_link = None
                            self.path_reject_reason_exclude_node = None
                            self.path_reject_reason_exclude_srlg = None
                            self.path_reject_reason_holddown = None
                            self.path_reject_reason_hop_limit = None
                            self.path_reject_reason_ip_addr = None
                            self.path_reject_reason_ixcd = None
                            self.path_reject_reason_node_ol_head = None
                            self.path_reject_reason_node_ol_mid = None
                            self.path_reject_reason_node_ol_tail = None
                            self.path_reject_reason_node_ol_unknown = None
                            self.path_reject_reason_node_unreachable = None
                            self.path_reject_reason_reverse_bw = None
                            self.path_reject_reason_reverse_link = None
                            self.reverse_lsp_id = None


                        class PathCalculationError(object):
                            """
                            Path Computation Information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt.PathCalculationError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-error-reopt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_reject_reason is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_index is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.path_reject_reason_affinity is not None:
                                return True

                            if self.path_reject_reason_bw is not None:
                                return True

                            if self.path_reject_reason_exclude_link is not None:
                                return True

                            if self.path_reject_reason_exclude_node is not None:
                                return True

                            if self.path_reject_reason_exclude_srlg is not None:
                                return True

                            if self.path_reject_reason_holddown is not None:
                                return True

                            if self.path_reject_reason_hop_limit is not None:
                                return True

                            if self.path_reject_reason_ip_addr is not None:
                                return True

                            if self.path_reject_reason_ixcd is not None:
                                return True

                            if self.path_reject_reason_node_ol_head is not None:
                                return True

                            if self.path_reject_reason_node_ol_mid is not None:
                                return True

                            if self.path_reject_reason_node_ol_tail is not None:
                                return True

                            if self.path_reject_reason_node_ol_unknown is not None:
                                return True

                            if self.path_reject_reason_node_unreachable is not None:
                                return True

                            if self.path_reject_reason_reverse_bw is not None:
                                return True

                            if self.path_reject_reason_reverse_link is not None:
                                return True

                            if self.reverse_lsp_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt']['meta_info']


                    class ReverseEroErrorStandby(object):
                        """
                        Reverse ERO Error Standby LSP
                        
                        .. attribute:: ero_reject_reason
                        
                        	Reverse ERO Reject Reason
                        	**type**\:   :py:class:`TeRevEroRejectReasonsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRevEroRejectReasonsEnum>`
                        
                        .. attribute:: path_calculation_error
                        
                        	Path Computation Information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby.PathCalculationError>`
                        
                        .. attribute:: path_option_index
                        
                        	Path Option Index
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: path_option_type
                        
                        	Path Option Type
                        	**type**\:   :py:class:`MtePathOptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MtePathOptionEnum>`
                        
                        .. attribute:: path_reject_reason_affinity
                        
                        	Path Reject due to affinity
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_bw
                        
                        	Path Reject due to bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_link
                        
                        	Path Reject due to exclude link
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_node
                        
                        	Path Reject due to exclude node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_srlg
                        
                        	Path Reject due to exclude SRLG
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_holddown
                        
                        	Path Reject due to holddown
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_hop_limit
                        
                        	Path Reject due to hop limit
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ip_addr
                        
                        	Path Reject due to IP address
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ixcd
                        
                        	Path Reject due to IXCD
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_head
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_mid
                        
                        	Path Reject due to mid node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_tail
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_unknown
                        
                        	Path Reject due to unknown node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_unreachable
                        
                        	Path Reject due to unreachable node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_bw
                        
                        	Path Reject due to reverse bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_link
                        
                        	Path Reject due to reverse link
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_id
                        
                        	Reverse LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_reject_reason = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_index = None
                            self.path_option_type = None
                            self.path_reject_reason_affinity = None
                            self.path_reject_reason_bw = None
                            self.path_reject_reason_exclude_link = None
                            self.path_reject_reason_exclude_node = None
                            self.path_reject_reason_exclude_srlg = None
                            self.path_reject_reason_holddown = None
                            self.path_reject_reason_hop_limit = None
                            self.path_reject_reason_ip_addr = None
                            self.path_reject_reason_ixcd = None
                            self.path_reject_reason_node_ol_head = None
                            self.path_reject_reason_node_ol_mid = None
                            self.path_reject_reason_node_ol_tail = None
                            self.path_reject_reason_node_ol_unknown = None
                            self.path_reject_reason_node_unreachable = None
                            self.path_reject_reason_reverse_bw = None
                            self.path_reject_reason_reverse_link = None
                            self.reverse_lsp_id = None


                        class PathCalculationError(object):
                            """
                            Path Computation Information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby.PathCalculationError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-error-standby'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_reject_reason is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_index is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.path_reject_reason_affinity is not None:
                                return True

                            if self.path_reject_reason_bw is not None:
                                return True

                            if self.path_reject_reason_exclude_link is not None:
                                return True

                            if self.path_reject_reason_exclude_node is not None:
                                return True

                            if self.path_reject_reason_exclude_srlg is not None:
                                return True

                            if self.path_reject_reason_holddown is not None:
                                return True

                            if self.path_reject_reason_hop_limit is not None:
                                return True

                            if self.path_reject_reason_ip_addr is not None:
                                return True

                            if self.path_reject_reason_ixcd is not None:
                                return True

                            if self.path_reject_reason_node_ol_head is not None:
                                return True

                            if self.path_reject_reason_node_ol_mid is not None:
                                return True

                            if self.path_reject_reason_node_ol_tail is not None:
                                return True

                            if self.path_reject_reason_node_ol_unknown is not None:
                                return True

                            if self.path_reject_reason_node_unreachable is not None:
                                return True

                            if self.path_reject_reason_reverse_bw is not None:
                                return True

                            if self.path_reject_reason_reverse_link is not None:
                                return True

                            if self.reverse_lsp_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby']['meta_info']


                    class ReverseEroErrorStandbyReopt(object):
                        """
                        Reverse ERO Error Standby Reopt LSP
                        
                        .. attribute:: ero_reject_reason
                        
                        	Reverse ERO Reject Reason
                        	**type**\:   :py:class:`TeRevEroRejectReasonsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRevEroRejectReasonsEnum>`
                        
                        .. attribute:: path_calculation_error
                        
                        	Path Computation Information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError>`
                        
                        .. attribute:: path_option_index
                        
                        	Path Option Index
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: path_option_type
                        
                        	Path Option Type
                        	**type**\:   :py:class:`MtePathOptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MtePathOptionEnum>`
                        
                        .. attribute:: path_reject_reason_affinity
                        
                        	Path Reject due to affinity
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_bw
                        
                        	Path Reject due to bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_link
                        
                        	Path Reject due to exclude link
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_node
                        
                        	Path Reject due to exclude node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_srlg
                        
                        	Path Reject due to exclude SRLG
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_holddown
                        
                        	Path Reject due to holddown
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_hop_limit
                        
                        	Path Reject due to hop limit
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ip_addr
                        
                        	Path Reject due to IP address
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ixcd
                        
                        	Path Reject due to IXCD
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_head
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_mid
                        
                        	Path Reject due to mid node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_tail
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_unknown
                        
                        	Path Reject due to unknown node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_unreachable
                        
                        	Path Reject due to unreachable node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_bw
                        
                        	Path Reject due to reverse bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_link
                        
                        	Path Reject due to reverse link
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_id
                        
                        	Reverse LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_reject_reason = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_index = None
                            self.path_option_type = None
                            self.path_reject_reason_affinity = None
                            self.path_reject_reason_bw = None
                            self.path_reject_reason_exclude_link = None
                            self.path_reject_reason_exclude_node = None
                            self.path_reject_reason_exclude_srlg = None
                            self.path_reject_reason_holddown = None
                            self.path_reject_reason_hop_limit = None
                            self.path_reject_reason_ip_addr = None
                            self.path_reject_reason_ixcd = None
                            self.path_reject_reason_node_ol_head = None
                            self.path_reject_reason_node_ol_mid = None
                            self.path_reject_reason_node_ol_tail = None
                            self.path_reject_reason_node_ol_unknown = None
                            self.path_reject_reason_node_unreachable = None
                            self.path_reject_reason_reverse_bw = None
                            self.path_reject_reason_reverse_link = None
                            self.reverse_lsp_id = None


                        class PathCalculationError(object):
                            """
                            Path Computation Information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-error-standby-reopt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_reject_reason is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_index is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.path_reject_reason_affinity is not None:
                                return True

                            if self.path_reject_reason_bw is not None:
                                return True

                            if self.path_reject_reason_exclude_link is not None:
                                return True

                            if self.path_reject_reason_exclude_node is not None:
                                return True

                            if self.path_reject_reason_exclude_srlg is not None:
                                return True

                            if self.path_reject_reason_holddown is not None:
                                return True

                            if self.path_reject_reason_hop_limit is not None:
                                return True

                            if self.path_reject_reason_ip_addr is not None:
                                return True

                            if self.path_reject_reason_ixcd is not None:
                                return True

                            if self.path_reject_reason_node_ol_head is not None:
                                return True

                            if self.path_reject_reason_node_ol_mid is not None:
                                return True

                            if self.path_reject_reason_node_ol_tail is not None:
                                return True

                            if self.path_reject_reason_node_ol_unknown is not None:
                                return True

                            if self.path_reject_reason_node_unreachable is not None:
                                return True

                            if self.path_reject_reason_reverse_bw is not None:
                                return True

                            if self.path_reject_reason_reverse_link is not None:
                                return True

                            if self.reverse_lsp_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bidir'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.reverse_bandwidth is not None:
                            return True

                        if self.reverse_bandwidth_standby is not None:
                            return True

                        if self.reverse_ero_error_current is not None and self.reverse_ero_error_current._has_data():
                            return True

                        if self.reverse_ero_error_reopt is not None and self.reverse_ero_error_reopt._has_data():
                            return True

                        if self.reverse_ero_error_standby is not None and self.reverse_ero_error_standby._has_data():
                            return True

                        if self.reverse_ero_error_standby_reopt is not None and self.reverse_ero_error_standby_reopt._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir']['meta_info']


                class XroAttributeSet(object):
                    """
                    XRO attribute\-set
                    
                    .. attribute:: attribute_set_union
                    
                    	Union of Attribute Sets
                    	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion>`
                    
                    .. attribute:: tunnel_attribute_set_name
                    
                    	Attribute Set Name
                    	**type**\:  str
                    
                    .. attribute:: tunnel_attribute_set_name_crc32
                    
                    	Attribute Set name CRC32 value
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.attribute_set_union = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion()
                        self.attribute_set_union.parent = self
                        self.tunnel_attribute_set_name = None
                        self.tunnel_attribute_set_name_crc32 = None


                    class AttributeSetUnion(object):
                        """
                        Union of Attribute Sets
                        
                        .. attribute:: attribute_set_aps_pp
                        
                        	Attribute Set OTN APS Path Protection
                        	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                        
                        .. attribute:: attribute_set_autobackup
                        
                        	MPLS TE Auto\-backup Attribute Set
                        	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                        
                        .. attribute:: attribute_set_automesh
                        
                        	MPLS TE Auto\-mesh Attribute Set
                        	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                        
                        .. attribute:: attribute_set_p2mpte
                        
                        	MPLS TE P2MP\-TE Attribute Set
                        	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                        
                        .. attribute:: attribute_set_p2p_te
                        
                        	MPLS TE P2P\-TE Attribute Set
                        	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                        
                        .. attribute:: attribute_set_path_option
                        
                        	MPLS TE Path Option Attribute Set
                        	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                        
                        .. attribute:: attribute_set_xro
                        
                        	Attribute Set XRO
                        	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                        
                        .. attribute:: tunnel_attribute_set_type
                        
                        	TunnelAttributeSetType
                        	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                            self.attribute_set_aps_pp.parent = self
                            self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                            self.attribute_set_autobackup.parent = self
                            self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                            self.attribute_set_automesh.parent = self
                            self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                            self.attribute_set_p2mpte.parent = self
                            self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                            self.attribute_set_p2p_te.parent = self
                            self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                            self.attribute_set_path_option.parent = self
                            self.attribute_set_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                            self.attribute_set_xro.parent = self
                            self.tunnel_attribute_set_type = None


                        class AttributeSetPathOption(object):
                            """
                            MPLS TE Path Option Attribute Set
                            
                            .. attribute:: affinity
                            
                            	Affinity
                            	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                            
                            .. attribute:: bandwidth_type
                            
                            	The bandwidth type
                            	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                            
                            .. attribute:: bfd_reverse_path
                            
                            	BFD reverse path
                            	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                            
                            .. attribute:: configured_bandwidth
                            
                            	Bandwidth value in kbps
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: cost_limit
                            
                            	Cost limit on the tunnel path
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: dste_class_type
                            
                            	DSTE Class
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: exclude_list_name
                            
                            	Exclude list name
                            	**type**\:  str
                            
                            .. attribute:: generation
                            
                            	Generation
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: is_affinity_configured
                            
                            	Is affinity configured
                            	**type**\:  bool
                            
                            .. attribute:: is_bandwidth_configured
                            
                            	Is bandwidth configured
                            	**type**\:  bool
                            
                            .. attribute:: is_bfd_reverse_pat_configured
                            
                            	Is BFD reverse path configured
                            	**type**\:  bool
                            
                            .. attribute:: is_cost_limit_configured
                            
                            	Is Cost Limit configured
                            	**type**\:  bool
                            
                            .. attribute:: is_exclude_list_name_configured
                            
                            	Is exclude list name configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_invalidation_action_configured
                            
                            	Is path invalidation action configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_invalidation_timeout_configured
                            
                            	Is path invalidation timeout configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_configured
                            
                            	Is PCE Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_group_id_configured
                            
                            	Is PCE Disjoint Path Group ID Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_source_configured
                            
                            	Is PCE Disjoint Path Source Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_type_configured
                            
                            	Is PCE Disjoint Path Type Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pceb_dj_source_configured
                            
                            	Is PCE Bidirectional Source Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pcebd_group_id_configured
                            
                            	Is PCE Bidirectional Group ID Configured
                            	**type**\:  bool
                            
                            .. attribute:: path_invalidation_action
                            
                            	Path invalidation action
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: path_invalidation_timeout
                            
                            	Path invalidation interval on the tunnel path
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcebd_group_id
                            
                            	PCE Bidirectional Group ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcebd_source_address
                            
                            	PCE Bidirectional Source Address
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_group_id
                            
                            	PCE Disjoint Path Group ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_source_address
                            
                            	PCE Disjoint Path Source Address
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_type
                            
                            	PCE Disjoint Path Type
                            	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: version_info
                            
                            	Version Info
                            	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                self.affinity.parent = self
                                self.bandwidth_type = None
                                self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                self.bfd_reverse_path.parent = self
                                self.configured_bandwidth = None
                                self.cost_limit = None
                                self.dste_class_type = None
                                self.exclude_list_name = None
                                self.generation = None
                                self.is_affinity_configured = None
                                self.is_bandwidth_configured = None
                                self.is_bfd_reverse_pat_configured = None
                                self.is_cost_limit_configured = None
                                self.is_exclude_list_name_configured = None
                                self.is_path_invalidation_action_configured = None
                                self.is_path_invalidation_timeout_configured = None
                                self.is_pce_configured = None
                                self.is_pce_disj_group_id_configured = None
                                self.is_pce_disj_source_configured = None
                                self.is_pce_disj_type_configured = None
                                self.is_pceb_dj_source_configured = None
                                self.is_pcebd_group_id_configured = None
                                self.path_invalidation_action = None
                                self.path_invalidation_timeout = None
                                self.pcebd_group_id = None
                                self.pcebd_source_address = None
                                self.pcedp_group_id = None
                                self.pcedp_source_address = None
                                self.pcedp_type = None
                                self.tunnel_id = YLeafList()
                                self.tunnel_id.parent = self
                                self.tunnel_id.name = 'tunnel_id'
                                self.version_info = YList()
                                self.version_info.parent = self
                                self.version_info.name = 'version_info'


                            class Affinity(object):
                                """
                                Affinity
                                
                                .. attribute:: affinity_bits
                                
                                	The affinity bits (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: affinity_mask
                                
                                	The affinity mask (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: named_affinity
                                
                                	Array of name based constratints currently applied to the tunnel
                                	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.affinity_bits = None
                                    self.affinity_mask = None
                                    self.named_affinity = YList()
                                    self.named_affinity.parent = self
                                    self.named_affinity.name = 'named_affinity'


                                class NamedAffinity(object):
                                    """
                                    Array of name based constratints currently
                                    applied to the tunnel
                                    
                                    .. attribute:: constraint_extended_value
                                    
                                    	Constraint value
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: constraint_type
                                    
                                    	Constraint type
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: constraint_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: extended_forward_ref_value
                                    
                                    	Reference bits for undefined affinity names
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: forward_ref_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.constraint_extended_value = YLeafList()
                                        self.constraint_extended_value.parent = self
                                        self.constraint_extended_value.name = 'constraint_extended_value'
                                        self.constraint_type = None
                                        self.constraint_value = None
                                        self.extended_forward_ref_value = YLeafList()
                                        self.extended_forward_ref_value.parent = self
                                        self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                        self.forward_ref_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.constraint_extended_value is not None:
                                            for child in self.constraint_extended_value:
                                                if child is not None:
                                                    return True

                                        if self.constraint_type is not None:
                                            return True

                                        if self.constraint_value is not None:
                                            return True

                                        if self.extended_forward_ref_value is not None:
                                            for child in self.extended_forward_ref_value:
                                                if child is not None:
                                                    return True

                                        if self.forward_ref_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.affinity_bits is not None:
                                        return True

                                    if self.affinity_mask is not None:
                                        return True

                                    if self.named_affinity is not None:
                                        for child_ref in self.named_affinity:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                            class BfdReversePath(object):
                                """
                                BFD reverse path
                                
                                .. attribute:: binding_label
                                
                                	BFD reverse path binding label
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: path_type
                                
                                	BFD reverse path type
                                	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.binding_label = None
                                    self.path_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.binding_label is not None:
                                        return True

                                    if self.path_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                            class VersionInfo(object):
                                """
                                Version Info
                                
                                .. attribute:: attribute_type
                                
                                	Attribute Type
                                	**type**\:  str
                                
                                .. attribute:: generation
                                
                                	Generation
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: is_default
                                
                                	Is default
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_type = None
                                    self.generation = None
                                    self.is_default = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_type is not None:
                                        return True

                                    if self.generation is not None:
                                        return True

                                    if self.is_default is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.affinity is not None and self.affinity._has_data():
                                    return True

                                if self.bandwidth_type is not None:
                                    return True

                                if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                    return True

                                if self.configured_bandwidth is not None:
                                    return True

                                if self.cost_limit is not None:
                                    return True

                                if self.dste_class_type is not None:
                                    return True

                                if self.exclude_list_name is not None:
                                    return True

                                if self.generation is not None:
                                    return True

                                if self.is_affinity_configured is not None:
                                    return True

                                if self.is_bandwidth_configured is not None:
                                    return True

                                if self.is_bfd_reverse_pat_configured is not None:
                                    return True

                                if self.is_cost_limit_configured is not None:
                                    return True

                                if self.is_exclude_list_name_configured is not None:
                                    return True

                                if self.is_path_invalidation_action_configured is not None:
                                    return True

                                if self.is_path_invalidation_timeout_configured is not None:
                                    return True

                                if self.is_pce_configured is not None:
                                    return True

                                if self.is_pce_disj_group_id_configured is not None:
                                    return True

                                if self.is_pce_disj_source_configured is not None:
                                    return True

                                if self.is_pce_disj_type_configured is not None:
                                    return True

                                if self.is_pceb_dj_source_configured is not None:
                                    return True

                                if self.is_pcebd_group_id_configured is not None:
                                    return True

                                if self.path_invalidation_action is not None:
                                    return True

                                if self.path_invalidation_timeout is not None:
                                    return True

                                if self.pcebd_group_id is not None:
                                    return True

                                if self.pcebd_source_address is not None:
                                    return True

                                if self.pcedp_group_id is not None:
                                    return True

                                if self.pcedp_source_address is not None:
                                    return True

                                if self.pcedp_type is not None:
                                    return True

                                if self.tunnel_id is not None:
                                    for child in self.tunnel_id:
                                        if child is not None:
                                            return True

                                if self.version_info is not None:
                                    for child_ref in self.version_info:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                        class AttributeSetAutobackup(object):
                            """
                            MPLS TE Auto\-backup Attribute Set
                            
                            .. attribute:: affinity
                            
                            	Affinity
                            	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                            
                            .. attribute:: hold_priority
                            
                            	Hold priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: is_affinity_configured
                            
                            	Is affinity configured
                            	**type**\:  bool
                            
                            .. attribute:: is_policyclass_configured
                            
                            	Is policy class configured
                            	**type**\:  bool
                            
                            .. attribute:: is_priority_configured
                            
                            	Is priority configured
                            	**type**\:  bool
                            
                            .. attribute:: is_signalled_name_configured
                            
                            	Is signalled name configured
                            	**type**\:  bool
                            
                            .. attribute:: logging
                            
                            	Logging attributes
                            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                            
                            .. attribute:: policy_class
                            
                            	deprecated
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: policy_class_entry
                            
                            	PBTS policy classes
                            	**type**\:  list of int
                            
                            	**range:** 0..255
                            
                            .. attribute:: protected_interface
                            
                            	Array of Protected Interface Names
                            	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                            
                            .. attribute:: record_route
                            
                            	Record route
                            	**type**\:  bool
                            
                            .. attribute:: setup_priority
                            
                            	Setup priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: signalled_name
                            
                            	Signalled name
                            	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                self.affinity.parent = self
                                self.hold_priority = None
                                self.is_affinity_configured = None
                                self.is_policyclass_configured = None
                                self.is_priority_configured = None
                                self.is_signalled_name_configured = None
                                self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                self.logging.parent = self
                                self.policy_class = None
                                self.policy_class_entry = YLeafList()
                                self.policy_class_entry.parent = self
                                self.policy_class_entry.name = 'policy_class_entry'
                                self.protected_interface = YList()
                                self.protected_interface.parent = self
                                self.protected_interface.name = 'protected_interface'
                                self.record_route = None
                                self.setup_priority = None
                                self.signalled_name = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                self.signalled_name.parent = self
                                self.tunnel_id = YLeafList()
                                self.tunnel_id.parent = self
                                self.tunnel_id.name = 'tunnel_id'


                            class SignalledName(object):
                                """
                                Signalled name
                                
                                .. attribute:: is_mp_addresses
                                
                                	MP address appended
                                	**type**\:  bool
                                
                                .. attribute:: name
                                
                                	Signalled name
                                	**type**\:  str
                                
                                .. attribute:: protected_interface_type
                                
                                	Protected interface address or name
                                	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                
                                .. attribute:: source_type
                                
                                	Source address or name
                                	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.is_mp_addresses = None
                                    self.name = None
                                    self.protected_interface_type = None
                                    self.source_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.is_mp_addresses is not None:
                                        return True

                                    if self.name is not None:
                                        return True

                                    if self.protected_interface_type is not None:
                                        return True

                                    if self.source_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                            class Affinity(object):
                                """
                                Affinity
                                
                                .. attribute:: affinity_bits
                                
                                	The affinity bits (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: affinity_mask
                                
                                	The affinity mask (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: named_affinity
                                
                                	Array of name based constratints currently applied to the tunnel
                                	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.affinity_bits = None
                                    self.affinity_mask = None
                                    self.named_affinity = YList()
                                    self.named_affinity.parent = self
                                    self.named_affinity.name = 'named_affinity'


                                class NamedAffinity(object):
                                    """
                                    Array of name based constratints currently
                                    applied to the tunnel
                                    
                                    .. attribute:: constraint_extended_value
                                    
                                    	Constraint value
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: constraint_type
                                    
                                    	Constraint type
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: constraint_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: extended_forward_ref_value
                                    
                                    	Reference bits for undefined affinity names
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: forward_ref_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.constraint_extended_value = YLeafList()
                                        self.constraint_extended_value.parent = self
                                        self.constraint_extended_value.name = 'constraint_extended_value'
                                        self.constraint_type = None
                                        self.constraint_value = None
                                        self.extended_forward_ref_value = YLeafList()
                                        self.extended_forward_ref_value.parent = self
                                        self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                        self.forward_ref_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.constraint_extended_value is not None:
                                            for child in self.constraint_extended_value:
                                                if child is not None:
                                                    return True

                                        if self.constraint_type is not None:
                                            return True

                                        if self.constraint_value is not None:
                                            return True

                                        if self.extended_forward_ref_value is not None:
                                            for child in self.extended_forward_ref_value:
                                                if child is not None:
                                                    return True

                                        if self.forward_ref_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.affinity_bits is not None:
                                        return True

                                    if self.affinity_mask is not None:
                                        return True

                                    if self.named_affinity is not None:
                                        for child_ref in self.named_affinity:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                            class Logging(object):
                                """
                                Logging attributes
                                
                                .. attribute:: all_logging_enabled
                                
                                	All logging option\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_bandwidth_change
                                
                                	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_insufficient_bw
                                
                                	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_pcalc_failure_logging_enabled
                                
                                	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_opt
                                
                                	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_route
                                
                                	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_state
                                
                                	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: s2l_state
                                
                                	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.all_logging_enabled = None
                                    self.lsp_bandwidth_change = None
                                    self.lsp_insufficient_bw = None
                                    self.lsp_pcalc_failure_logging_enabled = None
                                    self.lsp_re_opt = None
                                    self.lsp_re_route = None
                                    self.lsp_state = None
                                    self.s2l_state = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.all_logging_enabled is not None:
                                        return True

                                    if self.lsp_bandwidth_change is not None:
                                        return True

                                    if self.lsp_insufficient_bw is not None:
                                        return True

                                    if self.lsp_pcalc_failure_logging_enabled is not None:
                                        return True

                                    if self.lsp_re_opt is not None:
                                        return True

                                    if self.lsp_re_route is not None:
                                        return True

                                    if self.lsp_state is not None:
                                        return True

                                    if self.s2l_state is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                            class ProtectedInterface(object):
                                """
                                Array of Protected Interface Names
                                
                                .. attribute:: protected_interface
                                
                                	Protected Interface Name
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protected_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protected_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.affinity is not None and self.affinity._has_data():
                                    return True

                                if self.hold_priority is not None:
                                    return True

                                if self.is_affinity_configured is not None:
                                    return True

                                if self.is_policyclass_configured is not None:
                                    return True

                                if self.is_priority_configured is not None:
                                    return True

                                if self.is_signalled_name_configured is not None:
                                    return True

                                if self.logging is not None and self.logging._has_data():
                                    return True

                                if self.policy_class is not None:
                                    return True

                                if self.policy_class_entry is not None:
                                    for child in self.policy_class_entry:
                                        if child is not None:
                                            return True

                                if self.protected_interface is not None:
                                    for child_ref in self.protected_interface:
                                        if child_ref._has_data():
                                            return True

                                if self.record_route is not None:
                                    return True

                                if self.setup_priority is not None:
                                    return True

                                if self.signalled_name is not None and self.signalled_name._has_data():
                                    return True

                                if self.tunnel_id is not None:
                                    for child in self.tunnel_id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                        class AttributeSetAutomesh(object):
                            """
                            MPLS TE Auto\-mesh Attribute Set
                            
                            .. attribute:: affinity
                            
                            	Affinity
                            	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                            
                            .. attribute:: auto_bandwidth_collect
                            
                            	Auto bandwidth collect only
                            	**type**\:  bool
                            
                            .. attribute:: auto_route_announce
                            
                            	Announce auto route to IGP
                            	**type**\:  bool
                            
                            .. attribute:: bandwidth
                            
                            	IM bandwidth
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: configured_bandwidth
                            
                            	Bandwidth value in kbps
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: dste_class_type
                            
                            	DSTE Class
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: fast_reroute
                            
                            	Fast reroute
                            	**type**\:  bool
                            
                            .. attribute:: forward_class
                            
                            	Forward class
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: frr_bandwidth_protection
                            
                            	FRR bandwidth protection
                            	**type**\:  bool
                            
                            .. attribute:: frr_node_protection
                            
                            	FRR Node protection
                            	**type**\:  bool
                            
                            .. attribute:: hold_priority
                            
                            	Hold priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: is_affinity_configured
                            
                            	Is affinity configured
                            	**type**\:  bool
                            
                            .. attribute:: is_bandwidth_configured
                            
                            	Is bandwidth configured
                            	**type**\:  bool
                            
                            .. attribute:: is_interface_bw_configured
                            
                            	Is Interface BW configured
                            	**type**\:  bool
                            
                            .. attribute:: is_policyclass_configured
                            
                            	Is policy class configured
                            	**type**\:  bool
                            
                            .. attribute:: is_priority_configured
                            
                            	Is priority configured
                            	**type**\:  bool
                            
                            .. attribute:: load_share
                            
                            	Load Share
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: logging
                            
                            	Logging attributes
                            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                            
                            .. attribute:: mesh_group_id
                            
                            	Meshgroup ID
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: policy_class
                            
                            	deprecated
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: policy_class_entry
                            
                            	PBTS policy classes
                            	**type**\:  list of int
                            
                            	**range:** 0..255
                            
                            .. attribute:: record_route
                            
                            	Record route
                            	**type**\:  bool
                            
                            .. attribute:: setup_priority
                            
                            	Setup priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: soft_preemption_configured
                            
                            	Soft preemption is configured
                            	**type**\:  bool
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                self.affinity.parent = self
                                self.auto_bandwidth_collect = None
                                self.auto_route_announce = None
                                self.bandwidth = None
                                self.configured_bandwidth = None
                                self.dste_class_type = None
                                self.fast_reroute = None
                                self.forward_class = None
                                self.frr_bandwidth_protection = None
                                self.frr_node_protection = None
                                self.hold_priority = None
                                self.is_affinity_configured = None
                                self.is_bandwidth_configured = None
                                self.is_interface_bw_configured = None
                                self.is_policyclass_configured = None
                                self.is_priority_configured = None
                                self.load_share = None
                                self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                self.logging.parent = self
                                self.mesh_group_id = YLeafList()
                                self.mesh_group_id.parent = self
                                self.mesh_group_id.name = 'mesh_group_id'
                                self.policy_class = None
                                self.policy_class_entry = YLeafList()
                                self.policy_class_entry.parent = self
                                self.policy_class_entry.name = 'policy_class_entry'
                                self.record_route = None
                                self.setup_priority = None
                                self.soft_preemption_configured = None
                                self.tunnel_id = YLeafList()
                                self.tunnel_id.parent = self
                                self.tunnel_id.name = 'tunnel_id'


                            class Affinity(object):
                                """
                                Affinity
                                
                                .. attribute:: affinity_bits
                                
                                	The affinity bits (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: affinity_mask
                                
                                	The affinity mask (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: named_affinity
                                
                                	Array of name based constratints currently applied to the tunnel
                                	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.affinity_bits = None
                                    self.affinity_mask = None
                                    self.named_affinity = YList()
                                    self.named_affinity.parent = self
                                    self.named_affinity.name = 'named_affinity'


                                class NamedAffinity(object):
                                    """
                                    Array of name based constratints currently
                                    applied to the tunnel
                                    
                                    .. attribute:: constraint_extended_value
                                    
                                    	Constraint value
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: constraint_type
                                    
                                    	Constraint type
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: constraint_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: extended_forward_ref_value
                                    
                                    	Reference bits for undefined affinity names
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: forward_ref_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.constraint_extended_value = YLeafList()
                                        self.constraint_extended_value.parent = self
                                        self.constraint_extended_value.name = 'constraint_extended_value'
                                        self.constraint_type = None
                                        self.constraint_value = None
                                        self.extended_forward_ref_value = YLeafList()
                                        self.extended_forward_ref_value.parent = self
                                        self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                        self.forward_ref_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.constraint_extended_value is not None:
                                            for child in self.constraint_extended_value:
                                                if child is not None:
                                                    return True

                                        if self.constraint_type is not None:
                                            return True

                                        if self.constraint_value is not None:
                                            return True

                                        if self.extended_forward_ref_value is not None:
                                            for child in self.extended_forward_ref_value:
                                                if child is not None:
                                                    return True

                                        if self.forward_ref_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.affinity_bits is not None:
                                        return True

                                    if self.affinity_mask is not None:
                                        return True

                                    if self.named_affinity is not None:
                                        for child_ref in self.named_affinity:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                            class Logging(object):
                                """
                                Logging attributes
                                
                                .. attribute:: all_logging_enabled
                                
                                	All logging option\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_bandwidth_change
                                
                                	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_insufficient_bw
                                
                                	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_pcalc_failure_logging_enabled
                                
                                	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_opt
                                
                                	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_route
                                
                                	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_state
                                
                                	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: s2l_state
                                
                                	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.all_logging_enabled = None
                                    self.lsp_bandwidth_change = None
                                    self.lsp_insufficient_bw = None
                                    self.lsp_pcalc_failure_logging_enabled = None
                                    self.lsp_re_opt = None
                                    self.lsp_re_route = None
                                    self.lsp_state = None
                                    self.s2l_state = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.all_logging_enabled is not None:
                                        return True

                                    if self.lsp_bandwidth_change is not None:
                                        return True

                                    if self.lsp_insufficient_bw is not None:
                                        return True

                                    if self.lsp_pcalc_failure_logging_enabled is not None:
                                        return True

                                    if self.lsp_re_opt is not None:
                                        return True

                                    if self.lsp_re_route is not None:
                                        return True

                                    if self.lsp_state is not None:
                                        return True

                                    if self.s2l_state is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.affinity is not None and self.affinity._has_data():
                                    return True

                                if self.auto_bandwidth_collect is not None:
                                    return True

                                if self.auto_route_announce is not None:
                                    return True

                                if self.bandwidth is not None:
                                    return True

                                if self.configured_bandwidth is not None:
                                    return True

                                if self.dste_class_type is not None:
                                    return True

                                if self.fast_reroute is not None:
                                    return True

                                if self.forward_class is not None:
                                    return True

                                if self.frr_bandwidth_protection is not None:
                                    return True

                                if self.frr_node_protection is not None:
                                    return True

                                if self.hold_priority is not None:
                                    return True

                                if self.is_affinity_configured is not None:
                                    return True

                                if self.is_bandwidth_configured is not None:
                                    return True

                                if self.is_interface_bw_configured is not None:
                                    return True

                                if self.is_policyclass_configured is not None:
                                    return True

                                if self.is_priority_configured is not None:
                                    return True

                                if self.load_share is not None:
                                    return True

                                if self.logging is not None and self.logging._has_data():
                                    return True

                                if self.mesh_group_id is not None:
                                    for child in self.mesh_group_id:
                                        if child is not None:
                                            return True

                                if self.policy_class is not None:
                                    return True

                                if self.policy_class_entry is not None:
                                    for child in self.policy_class_entry:
                                        if child is not None:
                                            return True

                                if self.record_route is not None:
                                    return True

                                if self.setup_priority is not None:
                                    return True

                                if self.soft_preemption_configured is not None:
                                    return True

                                if self.tunnel_id is not None:
                                    for child in self.tunnel_id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                        class AttributeSetXro(object):
                            """
                            Attribute Set XRO
                            
                            .. attribute:: xro
                            
                            	The XRO specified by this attribute\-set
                            	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                self.xro.parent = self


                            class Xro(object):
                                """
                                The XRO specified by this attribute\-set
                                
                                .. attribute:: mutual_diversity_flag
                                
                                	Mutual Diversity Flag
                                	**type**\:  bool
                                
                                .. attribute:: xro_subobject
                                
                                	List of XRO sub\-objects
                                	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.mutual_diversity_flag = None
                                    self.xro_subobject = YList()
                                    self.xro_subobject.parent = self
                                    self.xro_subobject.name = 'xro_subobject'


                                class XroSubobject(object):
                                    """
                                    List of XRO sub\-objects
                                    
                                    .. attribute:: as_subobject
                                    
                                    	AS sub\-object
                                    	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                    
                                    .. attribute:: ipv4_subobject
                                    
                                    	IPv4 sub\-object
                                    	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                    
                                    .. attribute:: ipv6_subobject
                                    
                                    	IPv6 sub\-object
                                    	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                    
                                    .. attribute:: lsp_subobject
                                    
                                    	P2P LSP sub\-object
                                    	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                    
                                    .. attribute:: srlg_subobject
                                    
                                    	SRLG sub\-object
                                    	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                    
                                    .. attribute:: type
                                    
                                    	Type
                                    	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                    
                                    .. attribute:: unnumbered_subobject
                                    
                                    	Unnumbered sub\-object
                                    	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                        self.as_subobject.parent = self
                                        self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                        self.ipv4_subobject.parent = self
                                        self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                        self.ipv6_subobject.parent = self
                                        self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                        self.lsp_subobject.parent = self
                                        self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                        self.srlg_subobject.parent = self
                                        self.type = None
                                        self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                        self.unnumbered_subobject.parent = self


                                    class Ipv4Subobject(object):
                                        """
                                        IPv4 sub\-object
                                        
                                        .. attribute:: address
                                        
                                        	IPv4 address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: attribute
                                        
                                        	Attribute
                                        	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                        
                                        .. attribute:: exclusion_type
                                        
                                        	Exclusion Type
                                        	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                        
                                        .. attribute:: prefix_len
                                        
                                        	Prefix length
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.address = None
                                            self.attribute = None
                                            self.exclusion_type = None
                                            self.prefix_len = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.address is not None:
                                                return True

                                            if self.attribute is not None:
                                                return True

                                            if self.exclusion_type is not None:
                                                return True

                                            if self.prefix_len is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                    class Ipv6Subobject(object):
                                        """
                                        IPv6 sub\-object
                                        
                                        .. attribute:: address
                                        
                                        	IPv6 address
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: attribute
                                        
                                        	Attribute
                                        	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                        
                                        .. attribute:: exclusion_type
                                        
                                        	Exclusion Type
                                        	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                        
                                        .. attribute:: prefix_len
                                        
                                        	Prefix length
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.address = None
                                            self.attribute = None
                                            self.exclusion_type = None
                                            self.prefix_len = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.address is not None:
                                                return True

                                            if self.attribute is not None:
                                                return True

                                            if self.exclusion_type is not None:
                                                return True

                                            if self.prefix_len is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                    class UnnumberedSubobject(object):
                                        """
                                        Unnumbered sub\-object
                                        
                                        .. attribute:: attribute
                                        
                                        	Attribute
                                        	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                        
                                        .. attribute:: exclusion_type
                                        
                                        	Exclusion Type
                                        	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                        
                                        .. attribute:: interface_id
                                        
                                        	Interface ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: te_router_id
                                        
                                        	TE router\-id
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute = None
                                            self.exclusion_type = None
                                            self.interface_id = None
                                            self.te_router_id = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute is not None:
                                                return True

                                            if self.exclusion_type is not None:
                                                return True

                                            if self.interface_id is not None:
                                                return True

                                            if self.te_router_id is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                    class AsSubobject(object):
                                        """
                                        AS sub\-object
                                        
                                        .. attribute:: as_number
                                        
                                        	Autonomous System number
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.as_number = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.as_number is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                    class SrlgSubobject(object):
                                        """
                                        SRLG sub\-object
                                        
                                        .. attribute:: exclusion_type
                                        
                                        	Exclusion Type
                                        	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                        
                                        .. attribute:: srlg_id
                                        
                                        	SRLG ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.exclusion_type = None
                                            self.srlg_id = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.exclusion_type is not None:
                                                return True

                                            if self.srlg_id is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                    class LspSubobject(object):
                                        """
                                        P2P LSP sub\-object
                                        
                                        .. attribute:: destination_node_exception
                                        
                                        	Destination\-node exception flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: exclusion_type
                                        
                                        	Exclusion Type
                                        	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                        
                                        .. attribute:: fec
                                        
                                        	LSP FEC
                                        	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                        
                                        .. attribute:: ignore_lsp_id
                                        
                                        	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                        	**type**\:  bool
                                        
                                        .. attribute:: penultimate_node_exception
                                        
                                        	Penultimate\-node exception flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: processing_node_exception
                                        
                                        	Processing\-node exception flag
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.destination_node_exception = None
                                            self.exclusion_type = None
                                            self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                            self.fec.parent = self
                                            self.ignore_lsp_id = None
                                            self.penultimate_node_exception = None
                                            self.processing_node_exception = None


                                        class Fec(object):
                                            """
                                            LSP FEC
                                            
                                            .. attribute:: fec_destination_info
                                            
                                            	Destination or P2MP ID
                                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                            
                                            .. attribute:: fec_extended_tunnel_id
                                            
                                            	Extended tunnel ID
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: fec_lsp_id
                                            
                                            	LSP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: fec_source
                                            
                                            	Tunnel source address
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: fec_tunnel_id
                                            
                                            	Tunnel ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: fec_vrf
                                            
                                            	VRF; currently only for GMPLS tunnels
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                self.fec_destination_info.parent = self
                                                self.fec_extended_tunnel_id = None
                                                self.fec_lsp_id = None
                                                self.fec_source = None
                                                self.fec_tunnel_id = None
                                                self.fec_vrf = None


                                            class FecDestinationInfo(object):
                                                """
                                                Destination or P2MP ID
                                                
                                                .. attribute:: fec_ctype
                                                
                                                	FEC CType
                                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                
                                                .. attribute:: fec_destination_p2mp_id
                                                
                                                	P2MP ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: p2p_lsp_destination
                                                
                                                	P2P LSP destination
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.fec_ctype = None
                                                    self.fec_destination_p2mp_id = None
                                                    self.p2p_lsp_destination = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.fec_ctype is not None:
                                                        return True

                                                    if self.fec_destination_p2mp_id is not None:
                                                        return True

                                                    if self.p2p_lsp_destination is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                    return True

                                                if self.fec_extended_tunnel_id is not None:
                                                    return True

                                                if self.fec_lsp_id is not None:
                                                    return True

                                                if self.fec_source is not None:
                                                    return True

                                                if self.fec_tunnel_id is not None:
                                                    return True

                                                if self.fec_vrf is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.destination_node_exception is not None:
                                                return True

                                            if self.exclusion_type is not None:
                                                return True

                                            if self.fec is not None and self.fec._has_data():
                                                return True

                                            if self.ignore_lsp_id is not None:
                                                return True

                                            if self.penultimate_node_exception is not None:
                                                return True

                                            if self.processing_node_exception is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_subobject is not None and self.as_subobject._has_data():
                                            return True

                                        if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                            return True

                                        if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                            return True

                                        if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                            return True

                                        if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                            return True

                                        if self.type is not None:
                                            return True

                                        if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.mutual_diversity_flag is not None:
                                        return True

                                    if self.xro_subobject is not None:
                                        for child_ref in self.xro_subobject:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.xro is not None and self.xro._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                        class AttributeSetP2Mpte(object):
                            """
                            MPLS TE P2MP\-TE Attribute Set
                            
                            .. attribute:: affinity
                            
                            	Affinity
                            	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                            
                            .. attribute:: configured_bandwidth
                            
                            	Bandwidth value in kbps
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: dste_class_type
                            
                            	DSTE Class
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: fast_reroute
                            
                            	Fast reroute
                            	**type**\:  bool
                            
                            .. attribute:: frr_bandwidth_protection
                            
                            	FRR bandwidth protection
                            	**type**\:  bool
                            
                            .. attribute:: hold_priority
                            
                            	Hold priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: is_affinity_configured
                            
                            	Is affinity configured
                            	**type**\:  bool
                            
                            .. attribute:: is_bandwidth_configured
                            
                            	Is bandwidth configured
                            	**type**\:  bool
                            
                            .. attribute:: is_priority_configured
                            
                            	Is priority configured
                            	**type**\:  bool
                            
                            .. attribute:: setup_priority
                            
                            	Setup priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                self.affinity.parent = self
                                self.configured_bandwidth = None
                                self.dste_class_type = None
                                self.fast_reroute = None
                                self.frr_bandwidth_protection = None
                                self.hold_priority = None
                                self.is_affinity_configured = None
                                self.is_bandwidth_configured = None
                                self.is_priority_configured = None
                                self.setup_priority = None
                                self.tunnel_id = YLeafList()
                                self.tunnel_id.parent = self
                                self.tunnel_id.name = 'tunnel_id'


                            class Affinity(object):
                                """
                                Affinity
                                
                                .. attribute:: affinity_bits
                                
                                	The affinity bits (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: affinity_mask
                                
                                	The affinity mask (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: named_affinity
                                
                                	Array of name based constratints currently applied to the tunnel
                                	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.affinity_bits = None
                                    self.affinity_mask = None
                                    self.named_affinity = YList()
                                    self.named_affinity.parent = self
                                    self.named_affinity.name = 'named_affinity'


                                class NamedAffinity(object):
                                    """
                                    Array of name based constratints currently
                                    applied to the tunnel
                                    
                                    .. attribute:: constraint_extended_value
                                    
                                    	Constraint value
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: constraint_type
                                    
                                    	Constraint type
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: constraint_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: extended_forward_ref_value
                                    
                                    	Reference bits for undefined affinity names
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: forward_ref_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.constraint_extended_value = YLeafList()
                                        self.constraint_extended_value.parent = self
                                        self.constraint_extended_value.name = 'constraint_extended_value'
                                        self.constraint_type = None
                                        self.constraint_value = None
                                        self.extended_forward_ref_value = YLeafList()
                                        self.extended_forward_ref_value.parent = self
                                        self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                        self.forward_ref_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.constraint_extended_value is not None:
                                            for child in self.constraint_extended_value:
                                                if child is not None:
                                                    return True

                                        if self.constraint_type is not None:
                                            return True

                                        if self.constraint_value is not None:
                                            return True

                                        if self.extended_forward_ref_value is not None:
                                            for child in self.extended_forward_ref_value:
                                                if child is not None:
                                                    return True

                                        if self.forward_ref_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.affinity_bits is not None:
                                        return True

                                    if self.affinity_mask is not None:
                                        return True

                                    if self.named_affinity is not None:
                                        for child_ref in self.named_affinity:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.affinity is not None and self.affinity._has_data():
                                    return True

                                if self.configured_bandwidth is not None:
                                    return True

                                if self.dste_class_type is not None:
                                    return True

                                if self.fast_reroute is not None:
                                    return True

                                if self.frr_bandwidth_protection is not None:
                                    return True

                                if self.hold_priority is not None:
                                    return True

                                if self.is_affinity_configured is not None:
                                    return True

                                if self.is_bandwidth_configured is not None:
                                    return True

                                if self.is_priority_configured is not None:
                                    return True

                                if self.setup_priority is not None:
                                    return True

                                if self.tunnel_id is not None:
                                    for child in self.tunnel_id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                        class AttributeSetApsPp(object):
                            """
                            Attribute Set OTN APS Path Protection
                            
                            .. attribute:: hold_off_time
                            
                            	Hold\-off time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: path_prot_profile_type
                            
                            	Path Protection Profile Type
                            	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                            
                            .. attribute:: protection_mode
                            
                            	Protection Restoration Mode
                            	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                            
                            .. attribute:: protection_type
                            
                            	Protection Type
                            	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                            
                            .. attribute:: restoration_style
                            
                            	Restoration Style
                            	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                            
                            .. attribute:: revert_schedule
                            
                            	Revert Schedule
                            	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                            
                            .. attribute:: snc_mode
                            
                            	Sub\-network Connection Mode
                            	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                            
                            .. attribute:: tcm_id
                            
                            	Sub\-network Connection Monitoring Mode
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: wait_to_restore_time
                            
                            	Wait to restore time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hold_off_time = None
                                self.path_prot_profile_type = None
                                self.protection_mode = None
                                self.protection_type = None
                                self.restoration_style = None
                                self.revert_schedule = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                self.revert_schedule.parent = self
                                self.snc_mode = None
                                self.tcm_id = None
                                self.wait_to_restore_time = None


                            class RevertSchedule(object):
                                """
                                Revert Schedule
                                
                                .. attribute:: duration
                                
                                	Duration for scheduled reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: max_tries
                                
                                	Max tries for scheduled reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: schedule_date
                                
                                	Schedule time for reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: schedule_frequency
                                
                                	Schedule frequency for reversion
                                	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                
                                .. attribute:: schedulename
                                
                                	Schedule name identifier
                                	**type**\:  str
                                
                                	**length:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.duration = None
                                    self.max_tries = None
                                    self.schedule_date = None
                                    self.schedule_frequency = None
                                    self.schedulename = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.duration is not None:
                                        return True

                                    if self.max_tries is not None:
                                        return True

                                    if self.schedule_date is not None:
                                        return True

                                    if self.schedule_frequency is not None:
                                        return True

                                    if self.schedulename is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hold_off_time is not None:
                                    return True

                                if self.path_prot_profile_type is not None:
                                    return True

                                if self.protection_mode is not None:
                                    return True

                                if self.protection_type is not None:
                                    return True

                                if self.restoration_style is not None:
                                    return True

                                if self.revert_schedule is not None and self.revert_schedule._has_data():
                                    return True

                                if self.snc_mode is not None:
                                    return True

                                if self.tcm_id is not None:
                                    return True

                                if self.wait_to_restore_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                        class AttributeSetP2PTe(object):
                            """
                            MPLS TE P2P\-TE Attribute Set
                            
                            .. attribute:: affinity
                            
                            	Affinity
                            	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                            
                            .. attribute:: is_affinity_configured
                            
                            	Is affinity configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_invalidation_action_configured
                            
                            	Is Path Invalidation action configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_invalidation_timeout_configured
                            
                            	Is Path Invalidation timeout configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_select_configured
                            
                            	Is any of the path selection parameters configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_selection_metric_configured
                            
                            	Is path selection metric configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                            
                            	Is path selection segment routing configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_selection_segment_routing_margin_configured
                            
                            	Is path selection margin configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_selection_segment_routing_margin_relative
                            
                            	Path selection margin is\_relative
                            	**type**\:  bool
                            
                            .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                            
                            	Is path selection segment limit configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_configured
                            
                            	Is PCE Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_group_id_configured
                            
                            	Is PCE Disjoint Path Group ID Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_source_configured
                            
                            	Is PCE Disjoint Path Source Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_type_configured
                            
                            	Is PCE Disjoint Path Type Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pceb_dj_source_configured
                            
                            	Is PCE Bidirectional Source Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pcebd_group_id_configured
                            
                            	Is PCE Bidirectional Group ID Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_prepend_list_configured
                            
                            	Is SR prepend list configured
                            	**type**\:  bool
                            
                            .. attribute:: logging
                            
                            	Logging attributes
                            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                            
                            .. attribute:: path_invalidation_timeout
                            
                            	Path invalidation timeout on the tunnel path
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: path_selection_invalidation_action
                            
                            	Path invalidation action
                            	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                            
                            .. attribute:: path_selection_metric
                            
                            	Path selection metric type
                            	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                            
                            .. attribute:: path_selection_segment_routing_adjacency_protection
                            
                            	Path selection segment\-routing type
                            	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                            
                            .. attribute:: path_selection_segment_routing_margin
                            
                            	Path selection margin
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: path_selection_segment_routing_segment_limit
                            
                            	Is path selection segment limit configured
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcebd_group_id
                            
                            	PCE Bidirectional Group ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcebd_source_address
                            
                            	PCE Bidirectional Source Address
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_group_id
                            
                            	PCE Disjoint Path Group ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_source_address
                            
                            	PCE Disjoint Path Source Address
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_type
                            
                            	PCE Disjoint Path Type
                            	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                            
                            .. attribute:: prepend_list
                            
                            	SR prepend list
                            	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                self.affinity.parent = self
                                self.is_affinity_configured = None
                                self.is_path_invalidation_action_configured = None
                                self.is_path_invalidation_timeout_configured = None
                                self.is_path_select_configured = None
                                self.is_path_selection_metric_configured = None
                                self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                self.is_path_selection_segment_routing_margin_configured = None
                                self.is_path_selection_segment_routing_margin_relative = None
                                self.is_path_selection_segment_routing_segment_limit_configured = None
                                self.is_pce_configured = None
                                self.is_pce_disj_group_id_configured = None
                                self.is_pce_disj_source_configured = None
                                self.is_pce_disj_type_configured = None
                                self.is_pceb_dj_source_configured = None
                                self.is_pcebd_group_id_configured = None
                                self.is_prepend_list_configured = None
                                self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                self.logging.parent = self
                                self.path_invalidation_timeout = None
                                self.path_selection_invalidation_action = None
                                self.path_selection_metric = None
                                self.path_selection_segment_routing_adjacency_protection = None
                                self.path_selection_segment_routing_margin = None
                                self.path_selection_segment_routing_segment_limit = None
                                self.pcebd_group_id = None
                                self.pcebd_source_address = None
                                self.pcedp_group_id = None
                                self.pcedp_source_address = None
                                self.pcedp_type = None
                                self.prepend_list = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                self.prepend_list.parent = self
                                self.tunnel_id = YLeafList()
                                self.tunnel_id.parent = self
                                self.tunnel_id.name = 'tunnel_id'


                            class Affinity(object):
                                """
                                Affinity
                                
                                .. attribute:: affinity_bits
                                
                                	The affinity bits (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: affinity_mask
                                
                                	The affinity mask (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: named_affinity
                                
                                	Array of name based constratints currently applied to the tunnel
                                	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.affinity_bits = None
                                    self.affinity_mask = None
                                    self.named_affinity = YList()
                                    self.named_affinity.parent = self
                                    self.named_affinity.name = 'named_affinity'


                                class NamedAffinity(object):
                                    """
                                    Array of name based constratints currently
                                    applied to the tunnel
                                    
                                    .. attribute:: constraint_extended_value
                                    
                                    	Constraint value
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: constraint_type
                                    
                                    	Constraint type
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: constraint_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: extended_forward_ref_value
                                    
                                    	Reference bits for undefined affinity names
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: forward_ref_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.constraint_extended_value = YLeafList()
                                        self.constraint_extended_value.parent = self
                                        self.constraint_extended_value.name = 'constraint_extended_value'
                                        self.constraint_type = None
                                        self.constraint_value = None
                                        self.extended_forward_ref_value = YLeafList()
                                        self.extended_forward_ref_value.parent = self
                                        self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                        self.forward_ref_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.constraint_extended_value is not None:
                                            for child in self.constraint_extended_value:
                                                if child is not None:
                                                    return True

                                        if self.constraint_type is not None:
                                            return True

                                        if self.constraint_value is not None:
                                            return True

                                        if self.extended_forward_ref_value is not None:
                                            for child in self.extended_forward_ref_value:
                                                if child is not None:
                                                    return True

                                        if self.forward_ref_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.affinity_bits is not None:
                                        return True

                                    if self.affinity_mask is not None:
                                        return True

                                    if self.named_affinity is not None:
                                        for child_ref in self.named_affinity:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                            class Logging(object):
                                """
                                Logging attributes
                                
                                .. attribute:: all_logging_enabled
                                
                                	All logging option\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_bandwidth_change
                                
                                	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_insufficient_bw
                                
                                	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_pcalc_failure_logging_enabled
                                
                                	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_opt
                                
                                	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_route
                                
                                	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_state
                                
                                	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: s2l_state
                                
                                	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.all_logging_enabled = None
                                    self.lsp_bandwidth_change = None
                                    self.lsp_insufficient_bw = None
                                    self.lsp_pcalc_failure_logging_enabled = None
                                    self.lsp_re_opt = None
                                    self.lsp_re_route = None
                                    self.lsp_state = None
                                    self.s2l_state = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.all_logging_enabled is not None:
                                        return True

                                    if self.lsp_bandwidth_change is not None:
                                        return True

                                    if self.lsp_insufficient_bw is not None:
                                        return True

                                    if self.lsp_pcalc_failure_logging_enabled is not None:
                                        return True

                                    if self.lsp_re_opt is not None:
                                        return True

                                    if self.lsp_re_route is not None:
                                        return True

                                    if self.lsp_state is not None:
                                        return True

                                    if self.s2l_state is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                            class PrependList(object):
                                """
                                SR prepend list
                                
                                .. attribute:: prepend_entry
                                
                                	List of prepend entries
                                	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.prepend_entry = YList()
                                    self.prepend_entry.parent = self
                                    self.prepend_entry.name = 'prepend_entry'


                                class PrependEntry(object):
                                    """
                                    List of prepend entries
                                    
                                    .. attribute:: index
                                    
                                    	Prepend index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: next_label
                                    
                                    	Prepend next label
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: type
                                    
                                    	Prepend Type
                                    	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.index = None
                                        self.next_label = None
                                        self.type = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.index is not None:
                                            return True

                                        if self.next_label is not None:
                                            return True

                                        if self.type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.prepend_entry is not None:
                                        for child_ref in self.prepend_entry:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.affinity is not None and self.affinity._has_data():
                                    return True

                                if self.is_affinity_configured is not None:
                                    return True

                                if self.is_path_invalidation_action_configured is not None:
                                    return True

                                if self.is_path_invalidation_timeout_configured is not None:
                                    return True

                                if self.is_path_select_configured is not None:
                                    return True

                                if self.is_path_selection_metric_configured is not None:
                                    return True

                                if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                    return True

                                if self.is_path_selection_segment_routing_margin_configured is not None:
                                    return True

                                if self.is_path_selection_segment_routing_margin_relative is not None:
                                    return True

                                if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                    return True

                                if self.is_pce_configured is not None:
                                    return True

                                if self.is_pce_disj_group_id_configured is not None:
                                    return True

                                if self.is_pce_disj_source_configured is not None:
                                    return True

                                if self.is_pce_disj_type_configured is not None:
                                    return True

                                if self.is_pceb_dj_source_configured is not None:
                                    return True

                                if self.is_pcebd_group_id_configured is not None:
                                    return True

                                if self.is_prepend_list_configured is not None:
                                    return True

                                if self.logging is not None and self.logging._has_data():
                                    return True

                                if self.path_invalidation_timeout is not None:
                                    return True

                                if self.path_selection_invalidation_action is not None:
                                    return True

                                if self.path_selection_metric is not None:
                                    return True

                                if self.path_selection_segment_routing_adjacency_protection is not None:
                                    return True

                                if self.path_selection_segment_routing_margin is not None:
                                    return True

                                if self.path_selection_segment_routing_segment_limit is not None:
                                    return True

                                if self.pcebd_group_id is not None:
                                    return True

                                if self.pcebd_source_address is not None:
                                    return True

                                if self.pcedp_group_id is not None:
                                    return True

                                if self.pcedp_source_address is not None:
                                    return True

                                if self.pcedp_type is not None:
                                    return True

                                if self.prepend_list is not None and self.prepend_list._has_data():
                                    return True

                                if self.tunnel_id is not None:
                                    for child in self.tunnel_id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                return True

                            if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                return True

                            if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                return True

                            if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                return True

                            if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                return True

                            if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                return True

                            if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                return True

                            if self.tunnel_attribute_set_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                            return True

                        if self.tunnel_attribute_set_name is not None:
                            return True

                        if self.tunnel_attribute_set_name_crc32 is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet']['meta_info']


                class TeTunnelConvergence(object):
                    """
                    TE tunnel convergence related information
                    
                    .. attribute:: binding_label_rewrite_time
                    
                    	Binding label timestamp (clocktime in nsecs)
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    .. attribute:: convergence_complete_time
                    
                    	TE convergence completion time
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: convergence_lsp
                    
                    	TE LSP convergence related information
                    	**type**\:   :py:class:`ConvergenceLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence.ConvergenceLsp>`
                    
                    .. attribute:: frr_trigger_time
                    
                    	FRR trigger time
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: is_convergence_in_progress
                    
                    	TE convergence in progress
                    	**type**\:  bool
                    
                    .. attribute:: pcalc_complete_time
                    
                    	Path computation completion timestamp (clocktime in nsecs)
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    .. attribute:: vif_creation_time
                    
                    	Vif creation timestamp (clocktime in nsecs)
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.binding_label_rewrite_time = None
                        self.convergence_complete_time = None
                        self.convergence_lsp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence.ConvergenceLsp()
                        self.convergence_lsp.parent = self
                        self.frr_trigger_time = None
                        self.is_convergence_in_progress = None
                        self.pcalc_complete_time = None
                        self.vif_creation_time = None


                    class ConvergenceLsp(object):
                        """
                        TE LSP convergence related information
                        
                        .. attribute:: creation_time
                        
                        	Tunnel creation timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: label_rewrite
                        
                        	LSP Label rewrite timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: path_in
                        
                        	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: path_out
                        
                        	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: resv_in
                        
                        	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: resv_out
                        
                        	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: tunnel_rewrite
                        
                        	Tunnel rewrite timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.creation_time = None
                            self.label_rewrite = None
                            self.path_in = None
                            self.path_out = None
                            self.resv_in = None
                            self.resv_out = None
                            self.tunnel_rewrite = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:convergence-lsp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.creation_time is not None:
                                return True

                            if self.label_rewrite is not None:
                                return True

                            if self.path_in is not None:
                                return True

                            if self.path_out is not None:
                                return True

                            if self.resv_in is not None:
                                return True

                            if self.resv_out is not None:
                                return True

                            if self.tunnel_rewrite is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence.ConvergenceLsp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-tunnel-convergence'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.binding_label_rewrite_time is not None:
                            return True

                        if self.convergence_complete_time is not None:
                            return True

                        if self.convergence_lsp is not None and self.convergence_lsp._has_data():
                            return True

                        if self.frr_trigger_time is not None:
                            return True

                        if self.is_convergence_in_progress is not None:
                            return True

                        if self.pcalc_complete_time is not None:
                            return True

                        if self.vif_creation_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence']['meta_info']


                class FlexInfo(object):
                    """
                    Flex Info
                    
                    .. attribute:: fault_ais
                    
                    	Fault AIS
                    	**type**\:  bool
                    
                    .. attribute:: fault_in_label
                    
                    	Fault In Label
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: fault_ldi
                    
                    	Fault LDI
                    	**type**\:  bool
                    
                    .. attribute:: fault_ldi_lockout
                    
                    	Fault LDI Lockout
                    	**type**\:  bool
                    
                    .. attribute:: fault_lkr
                    
                    	Fault LKR
                    	**type**\:  bool
                    
                    .. attribute:: fault_time
                    
                    	Fault Time
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_lockout
                    
                    	Lockout Status
                    	**type**\:  bool
                    
                    .. attribute:: lockout_lsp_id
                    
                    	The LSP ID of the locked out LSP
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: lockout_timestamp
                    
                    	The timestamp when the lockout is set
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: origination
                    
                    	Flex LSP Lockout Origination Source
                    	**type**\:   :py:class:`FlexLspLockoutOriginationEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.FlexLspLockoutOriginationEnum>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.fault_ais = None
                        self.fault_in_label = None
                        self.fault_ldi = None
                        self.fault_ldi_lockout = None
                        self.fault_lkr = None
                        self.fault_time = None
                        self.is_lockout = None
                        self.lockout_lsp_id = None
                        self.lockout_timestamp = None
                        self.origination = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.fault_ais is not None:
                            return True

                        if self.fault_in_label is not None:
                            return True

                        if self.fault_ldi is not None:
                            return True

                        if self.fault_ldi_lockout is not None:
                            return True

                        if self.fault_lkr is not None:
                            return True

                        if self.fault_time is not None:
                            return True

                        if self.is_lockout is not None:
                            return True

                        if self.lockout_lsp_id is not None:
                            return True

                        if self.lockout_timestamp is not None:
                            return True

                        if self.origination is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.FlexInfo']['meta_info']


                class Destination(object):
                    """
                    Destinations array
                    
                    .. attribute:: active_path_option_index
                    
                    	Index of active path option
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: destination_address
                    
                    	Destination address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: destination_deletion_cause
                    
                    	Destination deletion cause
                    	**type**\:   :py:class:`TeP2MpS2LDeletionCauseEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeP2MpS2LDeletionCauseEnum>`
                    
                    .. attribute:: destination_deletion_sub_cause
                    
                    	Destination deletion subcause
                    	**type**\:   :py:class:`TeP2MpS2LDeletionSubcauseEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeP2MpS2LDeletionSubcauseEnum>`
                    
                    .. attribute:: destination_deletion_timestamp
                    
                    	Destination deletion timestamp in seconds
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: destination_state
                    
                    	The state of the destination
                    	**type**\:   :py:class:`TeDestinationStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeDestinationStateEnum>`
                    
                    .. attribute:: inter_area_reoptimization
                    
                    	The timing and count information of interarea reoptimization
                    	**type**\:   :py:class:`InterAreaReoptimization <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.InterAreaReoptimization>`
                    
                    .. attribute:: is_inter_area
                    
                    	Indicates whether this destination is in different area
                    	**type**\:  bool
                    
                    .. attribute:: path_change_time
                    
                    	Last path change time
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_option
                    
                    	Destination's list of path options
                    	**type**\: list of    :py:class:`PathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption>`
                    
                    .. attribute:: path_option_entry
                    
                    	Deprecated; replaced by PathOption
                    	**type**\: list of    :py:class:`PathOptionEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry>`
                    
                    .. attribute:: path_option_exhausted
                    
                    	Path options are exhausted
                    	**type**\:  bool
                    
                    .. attribute:: s2l_exist
                    
                    	Dest state may not be up but S2L may exist
                    	**type**\:  bool
                    
                    .. attribute:: total_uptime
                    
                    	Unused
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the destination was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.active_path_option_index = None
                        self.destination_address = None
                        self.destination_deletion_cause = None
                        self.destination_deletion_sub_cause = None
                        self.destination_deletion_timestamp = None
                        self.destination_state = None
                        self.inter_area_reoptimization = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.InterAreaReoptimization()
                        self.inter_area_reoptimization.parent = self
                        self.is_inter_area = None
                        self.path_change_time = None
                        self.path_option = YList()
                        self.path_option.parent = self
                        self.path_option.name = 'path_option'
                        self.path_option_entry = YList()
                        self.path_option_entry.parent = self
                        self.path_option_entry.name = 'path_option_entry'
                        self.path_option_exhausted = None
                        self.s2l_exist = None
                        self.total_uptime = None
                        self.uptime = None


                    class InterAreaReoptimization(object):
                        """
                        The timing and count information of interarea
                        reoptimization.
                        
                        .. attribute:: preferred_path_error_node
                        
                        	Address of the preferred path error generating node
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: preferred_tree_error_node
                        
                        	Address of the preferred tree error generating node
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: received_preferred_path_errors
                        
                        	Number of received Preferred Path Exists Error
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: received_preferred_tree_errors
                        
                        	Number of received Preferred Tree Exists Error
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: sent_path_queries
                        
                        	Number of better path queries sent
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: time_since_last_preferred_path_error
                        
                        	Time since last Preferred Path Exists error received (seconds)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: time_since_last_preferred_tree_error
                        
                        	Time since last Preferred Tree Exists error received (seconds)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: time_since_last_query_sent
                        
                        	Time since the last better path query was sent (seconds)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.preferred_path_error_node = None
                            self.preferred_tree_error_node = None
                            self.received_preferred_path_errors = None
                            self.received_preferred_tree_errors = None
                            self.sent_path_queries = None
                            self.time_since_last_preferred_path_error = None
                            self.time_since_last_preferred_tree_error = None
                            self.time_since_last_query_sent = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:inter-area-reoptimization'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.preferred_path_error_node is not None:
                                return True

                            if self.preferred_tree_error_node is not None:
                                return True

                            if self.received_preferred_path_errors is not None:
                                return True

                            if self.received_preferred_tree_errors is not None:
                                return True

                            if self.sent_path_queries is not None:
                                return True

                            if self.time_since_last_preferred_path_error is not None:
                                return True

                            if self.time_since_last_preferred_tree_error is not None:
                                return True

                            if self.time_since_last_query_sent is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.InterAreaReoptimization']['meta_info']


                    class PathOptionEntry(object):
                        """
                        Deprecated; replaced by PathOption
                        
                        .. attribute:: attribute_set
                        
                        	The path option attribute set used by this path
                        	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet>`
                        
                        .. attribute:: attribute_set_found
                        
                        	TRUE if the path has found the defined attribute set
                        	**type**\:  bool
                        
                        .. attribute:: explicit_path_id
                        
                        	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: explicit_path_name
                        
                        	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                        	**type**\:  str
                        
                        .. attribute:: has_attribute_set
                        
                        	TRUE if the path has an attribute set defined
                        	**type**\:  bool
                        
                        .. attribute:: has_xro_attribute_set
                        
                        	TRUE if the path has an XRO attribute set configured
                        	**type**\:  bool
                        
                        .. attribute:: holddown_duration
                        
                        	Holddown Duration (seconds)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        .. attribute:: is_disabled
                        
                        	TRUE if the path option is disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_helddown
                        
                        	TRUE if path is helddown
                        	**type**\:  bool
                        
                        .. attribute:: is_lockdown
                        
                        	TRUE if the path is locked down
                        	**type**\:  bool
                        
                        .. attribute:: is_segment_routing
                        
                        	TRUE if the path is Segment\-Routing
                        	**type**\:  bool
                        
                        .. attribute:: is_strict_explicit_path
                        
                        	TRUE if explicit path is strict
                        	**type**\:  bool
                        
                        .. attribute:: is_verbatim
                        
                        	TRUE if the path is verbatim
                        	**type**\:  bool
                        
                        .. attribute:: option_index
                        
                        	Path option index
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: option_index_is_valid
                        
                        	The path option index is valid
                        	**type**\:  bool
                        
                        .. attribute:: path_calculation_error
                        
                        	Path computation information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.PathCalculationError>`
                        
                        .. attribute:: path_option_area_id
                        
                        	The path\-option area constraint
                        	**type**\:  str
                        
                        .. attribute:: path_option_name
                        
                        	Path option name
                        	**type**\:  str
                        
                        .. attribute:: path_option_type
                        
                        	Path option type
                        	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                        
                        .. attribute:: pce_address
                        
                        	PCE server address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: protected_by_path_option_index
                        
                        	Path option index for Protect path options
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: remerge_error
                        
                        	Path computation remerge resolve info
                        	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.RemergeError>`
                        
                        .. attribute:: restored_from_path_option_index
                        
                        	Path option index for Restore path options
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: signalling_error
                        
                        	Signalling information
                        	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.SignallingError>`
                        
                        .. attribute:: xro_attribute_set
                        
                        	The XRO attribute set used by this path\-option
                        	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet>`
                        
                        .. attribute:: xro_attribute_set_found
                        
                        	TRUE if the path's XRO attribute set is known
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.attribute_set = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet()
                            self.attribute_set.parent = self
                            self.attribute_set_found = None
                            self.explicit_path_id = None
                            self.explicit_path_name = None
                            self.has_attribute_set = None
                            self.has_xro_attribute_set = None
                            self.holddown_duration = None
                            self.is_disabled = None
                            self.is_helddown = None
                            self.is_lockdown = None
                            self.is_segment_routing = None
                            self.is_strict_explicit_path = None
                            self.is_verbatim = None
                            self.option_index = None
                            self.option_index_is_valid = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_area_id = None
                            self.path_option_name = None
                            self.path_option_type = None
                            self.pce_address = None
                            self.protected_by_path_option_index = None
                            self.remerge_error = YList()
                            self.remerge_error.parent = self
                            self.remerge_error.name = 'remerge_error'
                            self.restored_from_path_option_index = None
                            self.signalling_error = YList()
                            self.signalling_error.parent = self
                            self.signalling_error.name = 'signalling_error'
                            self.xro_attribute_set = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet()
                            self.xro_attribute_set.parent = self
                            self.xro_attribute_set_found = None


                        class AttributeSet(object):
                            """
                            The path option attribute set used by this path
                            
                            .. attribute:: attribute_set_union
                            
                            	Union of Attribute Sets
                            	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion>`
                            
                            .. attribute:: tunnel_attribute_set_name
                            
                            	Attribute Set Name
                            	**type**\:  str
                            
                            .. attribute:: tunnel_attribute_set_name_crc32
                            
                            	Attribute Set name CRC32 value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set_union = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion()
                                self.attribute_set_union.parent = self
                                self.tunnel_attribute_set_name = None
                                self.tunnel_attribute_set_name_crc32 = None


                            class AttributeSetUnion(object):
                                """
                                Union of Attribute Sets
                                
                                .. attribute:: attribute_set_aps_pp
                                
                                	Attribute Set OTN APS Path Protection
                                	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                
                                .. attribute:: attribute_set_autobackup
                                
                                	MPLS TE Auto\-backup Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                
                                .. attribute:: attribute_set_automesh
                                
                                	MPLS TE Auto\-mesh Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                
                                .. attribute:: attribute_set_p2mpte
                                
                                	MPLS TE P2MP\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                
                                .. attribute:: attribute_set_p2p_te
                                
                                	MPLS TE P2P\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                
                                .. attribute:: attribute_set_path_option
                                
                                	MPLS TE Path Option Attribute Set
                                	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                
                                .. attribute:: attribute_set_xro
                                
                                	Attribute Set XRO
                                	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                
                                .. attribute:: tunnel_attribute_set_type
                                
                                	TunnelAttributeSetType
                                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                    self.attribute_set_aps_pp.parent = self
                                    self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                    self.attribute_set_autobackup.parent = self
                                    self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                    self.attribute_set_automesh.parent = self
                                    self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                    self.attribute_set_p2mpte.parent = self
                                    self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                    self.attribute_set_p2p_te.parent = self
                                    self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                    self.attribute_set_path_option.parent = self
                                    self.attribute_set_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                    self.attribute_set_xro.parent = self
                                    self.tunnel_attribute_set_type = None


                                class AttributeSetPathOption(object):
                                    """
                                    MPLS TE Path Option Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                    
                                    .. attribute:: bandwidth_type
                                    
                                    	The bandwidth type
                                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                    
                                    .. attribute:: bfd_reverse_path
                                    
                                    	BFD reverse path
                                    	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: cost_limit
                                    
                                    	Cost limit on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: exclude_list_name
                                    
                                    	Exclude list name
                                    	**type**\:  str
                                    
                                    .. attribute:: generation
                                    
                                    	Generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bfd_reverse_pat_configured
                                    
                                    	Is BFD reverse path configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_cost_limit_configured
                                    
                                    	Is Cost Limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_exclude_list_name_configured
                                    
                                    	Is exclude list name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is path invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is path invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation interval on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: version_info
                                    
                                    	Version Info
                                    	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                        self.affinity.parent = self
                                        self.bandwidth_type = None
                                        self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                        self.bfd_reverse_path.parent = self
                                        self.configured_bandwidth = None
                                        self.cost_limit = None
                                        self.dste_class_type = None
                                        self.exclude_list_name = None
                                        self.generation = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_bfd_reverse_pat_configured = None
                                        self.is_cost_limit_configured = None
                                        self.is_exclude_list_name_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.path_invalidation_action = None
                                        self.path_invalidation_timeout = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'
                                        self.version_info = YList()
                                        self.version_info.parent = self
                                        self.version_info.name = 'version_info'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                    class BfdReversePath(object):
                                        """
                                        BFD reverse path
                                        
                                        .. attribute:: binding_label
                                        
                                        	BFD reverse path binding label
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_type
                                        
                                        	BFD reverse path type
                                        	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.binding_label = None
                                            self.path_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.binding_label is not None:
                                                return True

                                            if self.path_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                    class VersionInfo(object):
                                        """
                                        Version Info
                                        
                                        .. attribute:: attribute_type
                                        
                                        	Attribute Type
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_default
                                        
                                        	Is default
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute_type = None
                                            self.generation = None
                                            self.is_default = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute_type is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_default is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.bandwidth_type is not None:
                                            return True

                                        if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.cost_limit is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.exclude_list_name is not None:
                                            return True

                                        if self.generation is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_bfd_reverse_pat_configured is not None:
                                            return True

                                        if self.is_cost_limit_configured is not None:
                                            return True

                                        if self.is_exclude_list_name_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.path_invalidation_action is not None:
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        if self.version_info is not None:
                                            for child_ref in self.version_info:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                class AttributeSetAutobackup(object):
                                    """
                                    MPLS TE Auto\-backup Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_signalled_name_configured
                                    
                                    	Is signalled name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: protected_interface
                                    
                                    	Array of Protected Interface Names
                                    	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: signalled_name
                                    
                                    	Signalled name
                                    	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                        self.affinity.parent = self
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.is_signalled_name_configured = None
                                        self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                        self.logging.parent = self
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.protected_interface = YList()
                                        self.protected_interface.parent = self
                                        self.protected_interface.name = 'protected_interface'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.signalled_name = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                        self.signalled_name.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class SignalledName(object):
                                        """
                                        Signalled name
                                        
                                        .. attribute:: is_mp_addresses
                                        
                                        	MP address appended
                                        	**type**\:  bool
                                        
                                        .. attribute:: name
                                        
                                        	Signalled name
                                        	**type**\:  str
                                        
                                        .. attribute:: protected_interface_type
                                        
                                        	Protected interface address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        .. attribute:: source_type
                                        
                                        	Source address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.is_mp_addresses = None
                                            self.name = None
                                            self.protected_interface_type = None
                                            self.source_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.is_mp_addresses is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.protected_interface_type is not None:
                                                return True

                                            if self.source_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                    class ProtectedInterface(object):
                                        """
                                        Array of Protected Interface Names
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Protected Interface Name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.protected_interface = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.protected_interface is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.is_signalled_name_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.protected_interface is not None:
                                            for child_ref in self.protected_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.signalled_name is not None and self.signalled_name._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                class AttributeSetAutomesh(object):
                                    """
                                    MPLS TE Auto\-mesh Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                    
                                    .. attribute:: auto_bandwidth_collect
                                    
                                    	Auto bandwidth collect only
                                    	**type**\:  bool
                                    
                                    .. attribute:: auto_route_announce
                                    
                                    	Announce auto route to IGP
                                    	**type**\:  bool
                                    
                                    .. attribute:: bandwidth
                                    
                                    	IM bandwidth
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: forward_class
                                    
                                    	Forward class
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_node_protection
                                    
                                    	FRR Node protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_interface_bw_configured
                                    
                                    	Is Interface BW configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: load_share
                                    
                                    	Load Share
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                    
                                    .. attribute:: mesh_group_id
                                    
                                    	Meshgroup ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: soft_preemption_configured
                                    
                                    	Soft preemption is configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                        self.affinity.parent = self
                                        self.auto_bandwidth_collect = None
                                        self.auto_route_announce = None
                                        self.bandwidth = None
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.forward_class = None
                                        self.frr_bandwidth_protection = None
                                        self.frr_node_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_interface_bw_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.load_share = None
                                        self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                        self.logging.parent = self
                                        self.mesh_group_id = YLeafList()
                                        self.mesh_group_id.parent = self
                                        self.mesh_group_id.name = 'mesh_group_id'
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.soft_preemption_configured = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.auto_bandwidth_collect is not None:
                                            return True

                                        if self.auto_route_announce is not None:
                                            return True

                                        if self.bandwidth is not None:
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.forward_class is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.frr_node_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_interface_bw_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.load_share is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.mesh_group_id is not None:
                                            for child in self.mesh_group_id:
                                                if child is not None:
                                                    return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.soft_preemption_configured is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                class AttributeSetXro(object):
                                    """
                                    Attribute Set XRO
                                    
                                    .. attribute:: xro
                                    
                                    	The XRO specified by this attribute\-set
                                    	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                        self.xro.parent = self


                                    class Xro(object):
                                        """
                                        The XRO specified by this attribute\-set
                                        
                                        .. attribute:: mutual_diversity_flag
                                        
                                        	Mutual Diversity Flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: xro_subobject
                                        
                                        	List of XRO sub\-objects
                                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.mutual_diversity_flag = None
                                            self.xro_subobject = YList()
                                            self.xro_subobject.parent = self
                                            self.xro_subobject.name = 'xro_subobject'


                                        class XroSubobject(object):
                                            """
                                            List of XRO sub\-objects
                                            
                                            .. attribute:: as_subobject
                                            
                                            	AS sub\-object
                                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                            
                                            .. attribute:: ipv4_subobject
                                            
                                            	IPv4 sub\-object
                                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                            
                                            .. attribute:: ipv6_subobject
                                            
                                            	IPv6 sub\-object
                                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                            
                                            .. attribute:: lsp_subobject
                                            
                                            	P2P LSP sub\-object
                                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                            
                                            .. attribute:: srlg_subobject
                                            
                                            	SRLG sub\-object
                                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                            
                                            .. attribute:: unnumbered_subobject
                                            
                                            	Unnumbered sub\-object
                                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                self.as_subobject.parent = self
                                                self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                self.ipv4_subobject.parent = self
                                                self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                self.ipv6_subobject.parent = self
                                                self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                self.lsp_subobject.parent = self
                                                self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                self.srlg_subobject.parent = self
                                                self.type = None
                                                self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                self.unnumbered_subobject.parent = self


                                            class Ipv4Subobject(object):
                                                """
                                                IPv4 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv4 address
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                            class Ipv6Subobject(object):
                                                """
                                                IPv6 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv6 address
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                            class UnnumberedSubobject(object):
                                                """
                                                Unnumbered sub\-object
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: interface_id
                                                
                                                	Interface ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: te_router_id
                                                
                                                	TE router\-id
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.interface_id = None
                                                    self.te_router_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.interface_id is not None:
                                                        return True

                                                    if self.te_router_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                            class AsSubobject(object):
                                                """
                                                AS sub\-object
                                                
                                                .. attribute:: as_number
                                                
                                                	Autonomous System number
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_number = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_number is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                            class SrlgSubobject(object):
                                                """
                                                SRLG sub\-object
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: srlg_id
                                                
                                                	SRLG ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.exclusion_type = None
                                                    self.srlg_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.srlg_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                            class LspSubobject(object):
                                                """
                                                P2P LSP sub\-object
                                                
                                                .. attribute:: destination_node_exception
                                                
                                                	Destination\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: fec
                                                
                                                	LSP FEC
                                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                
                                                .. attribute:: ignore_lsp_id
                                                
                                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                	**type**\:  bool
                                                
                                                .. attribute:: penultimate_node_exception
                                                
                                                	Penultimate\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: processing_node_exception
                                                
                                                	Processing\-node exception flag
                                                	**type**\:  bool
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.destination_node_exception = None
                                                    self.exclusion_type = None
                                                    self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                    self.fec.parent = self
                                                    self.ignore_lsp_id = None
                                                    self.penultimate_node_exception = None
                                                    self.processing_node_exception = None


                                                class Fec(object):
                                                    """
                                                    LSP FEC
                                                    
                                                    .. attribute:: fec_destination_info
                                                    
                                                    	Destination or P2MP ID
                                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                    
                                                    .. attribute:: fec_extended_tunnel_id
                                                    
                                                    	Extended tunnel ID
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_lsp_id
                                                    
                                                    	LSP ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_source
                                                    
                                                    	Tunnel source address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_tunnel_id
                                                    
                                                    	Tunnel ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_vrf
                                                    
                                                    	VRF; currently only for GMPLS tunnels
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                        self.fec_destination_info.parent = self
                                                        self.fec_extended_tunnel_id = None
                                                        self.fec_lsp_id = None
                                                        self.fec_source = None
                                                        self.fec_tunnel_id = None
                                                        self.fec_vrf = None


                                                    class FecDestinationInfo(object):
                                                        """
                                                        Destination or P2MP ID
                                                        
                                                        .. attribute:: fec_ctype
                                                        
                                                        	FEC CType
                                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                        
                                                        .. attribute:: fec_destination_p2mp_id
                                                        
                                                        	P2MP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: p2p_lsp_destination
                                                        
                                                        	P2P LSP destination
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_ctype = None
                                                            self.fec_destination_p2mp_id = None
                                                            self.p2p_lsp_destination = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_ctype is not None:
                                                                return True

                                                            if self.fec_destination_p2mp_id is not None:
                                                                return True

                                                            if self.p2p_lsp_destination is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                            return True

                                                        if self.fec_extended_tunnel_id is not None:
                                                            return True

                                                        if self.fec_lsp_id is not None:
                                                            return True

                                                        if self.fec_source is not None:
                                                            return True

                                                        if self.fec_tunnel_id is not None:
                                                            return True

                                                        if self.fec_vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.destination_node_exception is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.fec is not None and self.fec._has_data():
                                                        return True

                                                    if self.ignore_lsp_id is not None:
                                                        return True

                                                    if self.penultimate_node_exception is not None:
                                                        return True

                                                    if self.processing_node_exception is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.as_subobject is not None and self.as_subobject._has_data():
                                                    return True

                                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                    return True

                                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                    return True

                                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                    return True

                                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.mutual_diversity_flag is not None:
                                                return True

                                            if self.xro_subobject is not None:
                                                for child_ref in self.xro_subobject:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.xro is not None and self.xro._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                class AttributeSetP2Mpte(object):
                                    """
                                    MPLS TE P2MP\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                        self.affinity.parent = self
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.frr_bandwidth_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_priority_configured = None
                                        self.setup_priority = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                class AttributeSetApsPp(object):
                                    """
                                    Attribute Set OTN APS Path Protection
                                    
                                    .. attribute:: hold_off_time
                                    
                                    	Hold\-off time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path Protection Profile Type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: protection_mode
                                    
                                    	Protection Restoration Mode
                                    	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                    
                                    .. attribute:: protection_type
                                    
                                    	Protection Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: restoration_style
                                    
                                    	Restoration Style
                                    	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                    
                                    .. attribute:: revert_schedule
                                    
                                    	Revert Schedule
                                    	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                    
                                    .. attribute:: snc_mode
                                    
                                    	Sub\-network Connection Mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	Sub\-network Connection Monitoring Mode
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wait_to_restore_time
                                    
                                    	Wait to restore time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.hold_off_time = None
                                        self.path_prot_profile_type = None
                                        self.protection_mode = None
                                        self.protection_type = None
                                        self.restoration_style = None
                                        self.revert_schedule = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                        self.revert_schedule.parent = self
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wait_to_restore_time = None


                                    class RevertSchedule(object):
                                        """
                                        Revert Schedule
                                        
                                        .. attribute:: duration
                                        
                                        	Duration for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_tries
                                        
                                        	Max tries for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_date
                                        
                                        	Schedule time for reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_frequency
                                        
                                        	Schedule frequency for reversion
                                        	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                        
                                        .. attribute:: schedulename
                                        
                                        	Schedule name identifier
                                        	**type**\:  str
                                        
                                        	**length:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.duration = None
                                            self.max_tries = None
                                            self.schedule_date = None
                                            self.schedule_frequency = None
                                            self.schedulename = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.duration is not None:
                                                return True

                                            if self.max_tries is not None:
                                                return True

                                            if self.schedule_date is not None:
                                                return True

                                            if self.schedule_frequency is not None:
                                                return True

                                            if self.schedulename is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.hold_off_time is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.protection_mode is not None:
                                            return True

                                        if self.protection_type is not None:
                                            return True

                                        if self.restoration_style is not None:
                                            return True

                                        if self.revert_schedule is not None and self.revert_schedule._has_data():
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wait_to_restore_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                class AttributeSetP2PTe(object):
                                    """
                                    MPLS TE P2P\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is Path Invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is Path Invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_select_configured
                                    
                                    	Is any of the path selection parameters configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_metric_configured
                                    
                                    	Is path selection metric configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                    
                                    	Is path selection segment routing configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_configured
                                    
                                    	Is path selection margin configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_relative
                                    
                                    	Path selection margin is\_relative
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_prepend_list_configured
                                    
                                    	Is SR prepend list configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation timeout on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                    
                                    .. attribute:: path_selection_metric
                                    
                                    	Path selection metric type
                                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_adjacency_protection
                                    
                                    	Path selection segment\-routing type
                                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_margin
                                    
                                    	Path selection margin
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_segment_routing_segment_limit
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: prepend_list
                                    
                                    	SR prepend list
                                    	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                        self.affinity.parent = self
                                        self.is_affinity_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_path_select_configured = None
                                        self.is_path_selection_metric_configured = None
                                        self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                        self.is_path_selection_segment_routing_margin_configured = None
                                        self.is_path_selection_segment_routing_margin_relative = None
                                        self.is_path_selection_segment_routing_segment_limit_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.is_prepend_list_configured = None
                                        self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                        self.logging.parent = self
                                        self.path_invalidation_timeout = None
                                        self.path_selection_invalidation_action = None
                                        self.path_selection_metric = None
                                        self.path_selection_segment_routing_adjacency_protection = None
                                        self.path_selection_segment_routing_margin = None
                                        self.path_selection_segment_routing_segment_limit = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.prepend_list = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                        self.prepend_list.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                    class PrependList(object):
                                        """
                                        SR prepend list
                                        
                                        .. attribute:: prepend_entry
                                        
                                        	List of prepend entries
                                        	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.prepend_entry = YList()
                                            self.prepend_entry.parent = self
                                            self.prepend_entry.name = 'prepend_entry'


                                        class PrependEntry(object):
                                            """
                                            List of prepend entries
                                            
                                            .. attribute:: index
                                            
                                            	Prepend index
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: next_label
                                            
                                            	Prepend next label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: type
                                            
                                            	Prepend Type
                                            	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.index = None
                                                self.next_label = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.index is not None:
                                                    return True

                                                if self.next_label is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.prepend_entry is not None:
                                                for child_ref in self.prepend_entry:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_path_select_configured is not None:
                                            return True

                                        if self.is_path_selection_metric_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_relative is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.is_prepend_list_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.path_selection_invalidation_action is not None:
                                            return True

                                        if self.path_selection_metric is not None:
                                            return True

                                        if self.path_selection_segment_routing_adjacency_protection is not None:
                                            return True

                                        if self.path_selection_segment_routing_margin is not None:
                                            return True

                                        if self.path_selection_segment_routing_segment_limit is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.prepend_list is not None and self.prepend_list._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                        return True

                                    if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                        return True

                                    if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                        return True

                                    if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                        return True

                                    if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                        return True

                                    if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                        return True

                                    if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                        return True

                                    if self.tunnel_attribute_set_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                    return True

                                if self.tunnel_attribute_set_name is not None:
                                    return True

                                if self.tunnel_attribute_set_name_crc32 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet']['meta_info']


                        class XroAttributeSet(object):
                            """
                            The XRO attribute set used by this path\-option
                            
                            .. attribute:: attribute_set_union
                            
                            	Union of Attribute Sets
                            	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion>`
                            
                            .. attribute:: tunnel_attribute_set_name
                            
                            	Attribute Set Name
                            	**type**\:  str
                            
                            .. attribute:: tunnel_attribute_set_name_crc32
                            
                            	Attribute Set name CRC32 value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set_union = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion()
                                self.attribute_set_union.parent = self
                                self.tunnel_attribute_set_name = None
                                self.tunnel_attribute_set_name_crc32 = None


                            class AttributeSetUnion(object):
                                """
                                Union of Attribute Sets
                                
                                .. attribute:: attribute_set_aps_pp
                                
                                	Attribute Set OTN APS Path Protection
                                	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                
                                .. attribute:: attribute_set_autobackup
                                
                                	MPLS TE Auto\-backup Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                
                                .. attribute:: attribute_set_automesh
                                
                                	MPLS TE Auto\-mesh Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                
                                .. attribute:: attribute_set_p2mpte
                                
                                	MPLS TE P2MP\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                
                                .. attribute:: attribute_set_p2p_te
                                
                                	MPLS TE P2P\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                
                                .. attribute:: attribute_set_path_option
                                
                                	MPLS TE Path Option Attribute Set
                                	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                
                                .. attribute:: attribute_set_xro
                                
                                	Attribute Set XRO
                                	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                
                                .. attribute:: tunnel_attribute_set_type
                                
                                	TunnelAttributeSetType
                                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                    self.attribute_set_aps_pp.parent = self
                                    self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                    self.attribute_set_autobackup.parent = self
                                    self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                    self.attribute_set_automesh.parent = self
                                    self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                    self.attribute_set_p2mpte.parent = self
                                    self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                    self.attribute_set_p2p_te.parent = self
                                    self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                    self.attribute_set_path_option.parent = self
                                    self.attribute_set_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                    self.attribute_set_xro.parent = self
                                    self.tunnel_attribute_set_type = None


                                class AttributeSetPathOption(object):
                                    """
                                    MPLS TE Path Option Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                    
                                    .. attribute:: bandwidth_type
                                    
                                    	The bandwidth type
                                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                    
                                    .. attribute:: bfd_reverse_path
                                    
                                    	BFD reverse path
                                    	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: cost_limit
                                    
                                    	Cost limit on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: exclude_list_name
                                    
                                    	Exclude list name
                                    	**type**\:  str
                                    
                                    .. attribute:: generation
                                    
                                    	Generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bfd_reverse_pat_configured
                                    
                                    	Is BFD reverse path configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_cost_limit_configured
                                    
                                    	Is Cost Limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_exclude_list_name_configured
                                    
                                    	Is exclude list name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is path invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is path invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation interval on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: version_info
                                    
                                    	Version Info
                                    	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                        self.affinity.parent = self
                                        self.bandwidth_type = None
                                        self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                        self.bfd_reverse_path.parent = self
                                        self.configured_bandwidth = None
                                        self.cost_limit = None
                                        self.dste_class_type = None
                                        self.exclude_list_name = None
                                        self.generation = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_bfd_reverse_pat_configured = None
                                        self.is_cost_limit_configured = None
                                        self.is_exclude_list_name_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.path_invalidation_action = None
                                        self.path_invalidation_timeout = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'
                                        self.version_info = YList()
                                        self.version_info.parent = self
                                        self.version_info.name = 'version_info'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                    class BfdReversePath(object):
                                        """
                                        BFD reverse path
                                        
                                        .. attribute:: binding_label
                                        
                                        	BFD reverse path binding label
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_type
                                        
                                        	BFD reverse path type
                                        	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.binding_label = None
                                            self.path_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.binding_label is not None:
                                                return True

                                            if self.path_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                    class VersionInfo(object):
                                        """
                                        Version Info
                                        
                                        .. attribute:: attribute_type
                                        
                                        	Attribute Type
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_default
                                        
                                        	Is default
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute_type = None
                                            self.generation = None
                                            self.is_default = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute_type is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_default is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.bandwidth_type is not None:
                                            return True

                                        if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.cost_limit is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.exclude_list_name is not None:
                                            return True

                                        if self.generation is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_bfd_reverse_pat_configured is not None:
                                            return True

                                        if self.is_cost_limit_configured is not None:
                                            return True

                                        if self.is_exclude_list_name_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.path_invalidation_action is not None:
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        if self.version_info is not None:
                                            for child_ref in self.version_info:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                class AttributeSetAutobackup(object):
                                    """
                                    MPLS TE Auto\-backup Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_signalled_name_configured
                                    
                                    	Is signalled name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: protected_interface
                                    
                                    	Array of Protected Interface Names
                                    	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: signalled_name
                                    
                                    	Signalled name
                                    	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                        self.affinity.parent = self
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.is_signalled_name_configured = None
                                        self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                        self.logging.parent = self
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.protected_interface = YList()
                                        self.protected_interface.parent = self
                                        self.protected_interface.name = 'protected_interface'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.signalled_name = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                        self.signalled_name.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class SignalledName(object):
                                        """
                                        Signalled name
                                        
                                        .. attribute:: is_mp_addresses
                                        
                                        	MP address appended
                                        	**type**\:  bool
                                        
                                        .. attribute:: name
                                        
                                        	Signalled name
                                        	**type**\:  str
                                        
                                        .. attribute:: protected_interface_type
                                        
                                        	Protected interface address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        .. attribute:: source_type
                                        
                                        	Source address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.is_mp_addresses = None
                                            self.name = None
                                            self.protected_interface_type = None
                                            self.source_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.is_mp_addresses is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.protected_interface_type is not None:
                                                return True

                                            if self.source_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                    class ProtectedInterface(object):
                                        """
                                        Array of Protected Interface Names
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Protected Interface Name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.protected_interface = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.protected_interface is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.is_signalled_name_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.protected_interface is not None:
                                            for child_ref in self.protected_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.signalled_name is not None and self.signalled_name._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                class AttributeSetAutomesh(object):
                                    """
                                    MPLS TE Auto\-mesh Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                    
                                    .. attribute:: auto_bandwidth_collect
                                    
                                    	Auto bandwidth collect only
                                    	**type**\:  bool
                                    
                                    .. attribute:: auto_route_announce
                                    
                                    	Announce auto route to IGP
                                    	**type**\:  bool
                                    
                                    .. attribute:: bandwidth
                                    
                                    	IM bandwidth
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: forward_class
                                    
                                    	Forward class
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_node_protection
                                    
                                    	FRR Node protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_interface_bw_configured
                                    
                                    	Is Interface BW configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: load_share
                                    
                                    	Load Share
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                    
                                    .. attribute:: mesh_group_id
                                    
                                    	Meshgroup ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: soft_preemption_configured
                                    
                                    	Soft preemption is configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                        self.affinity.parent = self
                                        self.auto_bandwidth_collect = None
                                        self.auto_route_announce = None
                                        self.bandwidth = None
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.forward_class = None
                                        self.frr_bandwidth_protection = None
                                        self.frr_node_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_interface_bw_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.load_share = None
                                        self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                        self.logging.parent = self
                                        self.mesh_group_id = YLeafList()
                                        self.mesh_group_id.parent = self
                                        self.mesh_group_id.name = 'mesh_group_id'
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.soft_preemption_configured = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.auto_bandwidth_collect is not None:
                                            return True

                                        if self.auto_route_announce is not None:
                                            return True

                                        if self.bandwidth is not None:
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.forward_class is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.frr_node_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_interface_bw_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.load_share is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.mesh_group_id is not None:
                                            for child in self.mesh_group_id:
                                                if child is not None:
                                                    return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.soft_preemption_configured is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                class AttributeSetXro(object):
                                    """
                                    Attribute Set XRO
                                    
                                    .. attribute:: xro
                                    
                                    	The XRO specified by this attribute\-set
                                    	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                        self.xro.parent = self


                                    class Xro(object):
                                        """
                                        The XRO specified by this attribute\-set
                                        
                                        .. attribute:: mutual_diversity_flag
                                        
                                        	Mutual Diversity Flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: xro_subobject
                                        
                                        	List of XRO sub\-objects
                                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.mutual_diversity_flag = None
                                            self.xro_subobject = YList()
                                            self.xro_subobject.parent = self
                                            self.xro_subobject.name = 'xro_subobject'


                                        class XroSubobject(object):
                                            """
                                            List of XRO sub\-objects
                                            
                                            .. attribute:: as_subobject
                                            
                                            	AS sub\-object
                                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                            
                                            .. attribute:: ipv4_subobject
                                            
                                            	IPv4 sub\-object
                                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                            
                                            .. attribute:: ipv6_subobject
                                            
                                            	IPv6 sub\-object
                                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                            
                                            .. attribute:: lsp_subobject
                                            
                                            	P2P LSP sub\-object
                                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                            
                                            .. attribute:: srlg_subobject
                                            
                                            	SRLG sub\-object
                                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                            
                                            .. attribute:: unnumbered_subobject
                                            
                                            	Unnumbered sub\-object
                                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                self.as_subobject.parent = self
                                                self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                self.ipv4_subobject.parent = self
                                                self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                self.ipv6_subobject.parent = self
                                                self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                self.lsp_subobject.parent = self
                                                self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                self.srlg_subobject.parent = self
                                                self.type = None
                                                self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                self.unnumbered_subobject.parent = self


                                            class Ipv4Subobject(object):
                                                """
                                                IPv4 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv4 address
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                            class Ipv6Subobject(object):
                                                """
                                                IPv6 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv6 address
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                            class UnnumberedSubobject(object):
                                                """
                                                Unnumbered sub\-object
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: interface_id
                                                
                                                	Interface ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: te_router_id
                                                
                                                	TE router\-id
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.interface_id = None
                                                    self.te_router_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.interface_id is not None:
                                                        return True

                                                    if self.te_router_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                            class AsSubobject(object):
                                                """
                                                AS sub\-object
                                                
                                                .. attribute:: as_number
                                                
                                                	Autonomous System number
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_number = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_number is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                            class SrlgSubobject(object):
                                                """
                                                SRLG sub\-object
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: srlg_id
                                                
                                                	SRLG ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.exclusion_type = None
                                                    self.srlg_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.srlg_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                            class LspSubobject(object):
                                                """
                                                P2P LSP sub\-object
                                                
                                                .. attribute:: destination_node_exception
                                                
                                                	Destination\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: fec
                                                
                                                	LSP FEC
                                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                
                                                .. attribute:: ignore_lsp_id
                                                
                                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                	**type**\:  bool
                                                
                                                .. attribute:: penultimate_node_exception
                                                
                                                	Penultimate\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: processing_node_exception
                                                
                                                	Processing\-node exception flag
                                                	**type**\:  bool
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.destination_node_exception = None
                                                    self.exclusion_type = None
                                                    self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                    self.fec.parent = self
                                                    self.ignore_lsp_id = None
                                                    self.penultimate_node_exception = None
                                                    self.processing_node_exception = None


                                                class Fec(object):
                                                    """
                                                    LSP FEC
                                                    
                                                    .. attribute:: fec_destination_info
                                                    
                                                    	Destination or P2MP ID
                                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                    
                                                    .. attribute:: fec_extended_tunnel_id
                                                    
                                                    	Extended tunnel ID
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_lsp_id
                                                    
                                                    	LSP ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_source
                                                    
                                                    	Tunnel source address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_tunnel_id
                                                    
                                                    	Tunnel ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_vrf
                                                    
                                                    	VRF; currently only for GMPLS tunnels
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                        self.fec_destination_info.parent = self
                                                        self.fec_extended_tunnel_id = None
                                                        self.fec_lsp_id = None
                                                        self.fec_source = None
                                                        self.fec_tunnel_id = None
                                                        self.fec_vrf = None


                                                    class FecDestinationInfo(object):
                                                        """
                                                        Destination or P2MP ID
                                                        
                                                        .. attribute:: fec_ctype
                                                        
                                                        	FEC CType
                                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                        
                                                        .. attribute:: fec_destination_p2mp_id
                                                        
                                                        	P2MP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: p2p_lsp_destination
                                                        
                                                        	P2P LSP destination
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_ctype = None
                                                            self.fec_destination_p2mp_id = None
                                                            self.p2p_lsp_destination = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_ctype is not None:
                                                                return True

                                                            if self.fec_destination_p2mp_id is not None:
                                                                return True

                                                            if self.p2p_lsp_destination is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                            return True

                                                        if self.fec_extended_tunnel_id is not None:
                                                            return True

                                                        if self.fec_lsp_id is not None:
                                                            return True

                                                        if self.fec_source is not None:
                                                            return True

                                                        if self.fec_tunnel_id is not None:
                                                            return True

                                                        if self.fec_vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.destination_node_exception is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.fec is not None and self.fec._has_data():
                                                        return True

                                                    if self.ignore_lsp_id is not None:
                                                        return True

                                                    if self.penultimate_node_exception is not None:
                                                        return True

                                                    if self.processing_node_exception is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.as_subobject is not None and self.as_subobject._has_data():
                                                    return True

                                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                    return True

                                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                    return True

                                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                    return True

                                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.mutual_diversity_flag is not None:
                                                return True

                                            if self.xro_subobject is not None:
                                                for child_ref in self.xro_subobject:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.xro is not None and self.xro._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                class AttributeSetP2Mpte(object):
                                    """
                                    MPLS TE P2MP\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                        self.affinity.parent = self
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.frr_bandwidth_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_priority_configured = None
                                        self.setup_priority = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                class AttributeSetApsPp(object):
                                    """
                                    Attribute Set OTN APS Path Protection
                                    
                                    .. attribute:: hold_off_time
                                    
                                    	Hold\-off time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path Protection Profile Type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: protection_mode
                                    
                                    	Protection Restoration Mode
                                    	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                    
                                    .. attribute:: protection_type
                                    
                                    	Protection Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: restoration_style
                                    
                                    	Restoration Style
                                    	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                    
                                    .. attribute:: revert_schedule
                                    
                                    	Revert Schedule
                                    	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                    
                                    .. attribute:: snc_mode
                                    
                                    	Sub\-network Connection Mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	Sub\-network Connection Monitoring Mode
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wait_to_restore_time
                                    
                                    	Wait to restore time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.hold_off_time = None
                                        self.path_prot_profile_type = None
                                        self.protection_mode = None
                                        self.protection_type = None
                                        self.restoration_style = None
                                        self.revert_schedule = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                        self.revert_schedule.parent = self
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wait_to_restore_time = None


                                    class RevertSchedule(object):
                                        """
                                        Revert Schedule
                                        
                                        .. attribute:: duration
                                        
                                        	Duration for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_tries
                                        
                                        	Max tries for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_date
                                        
                                        	Schedule time for reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_frequency
                                        
                                        	Schedule frequency for reversion
                                        	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                        
                                        .. attribute:: schedulename
                                        
                                        	Schedule name identifier
                                        	**type**\:  str
                                        
                                        	**length:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.duration = None
                                            self.max_tries = None
                                            self.schedule_date = None
                                            self.schedule_frequency = None
                                            self.schedulename = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.duration is not None:
                                                return True

                                            if self.max_tries is not None:
                                                return True

                                            if self.schedule_date is not None:
                                                return True

                                            if self.schedule_frequency is not None:
                                                return True

                                            if self.schedulename is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.hold_off_time is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.protection_mode is not None:
                                            return True

                                        if self.protection_type is not None:
                                            return True

                                        if self.restoration_style is not None:
                                            return True

                                        if self.revert_schedule is not None and self.revert_schedule._has_data():
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wait_to_restore_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                class AttributeSetP2PTe(object):
                                    """
                                    MPLS TE P2P\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is Path Invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is Path Invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_select_configured
                                    
                                    	Is any of the path selection parameters configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_metric_configured
                                    
                                    	Is path selection metric configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                    
                                    	Is path selection segment routing configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_configured
                                    
                                    	Is path selection margin configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_relative
                                    
                                    	Path selection margin is\_relative
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_prepend_list_configured
                                    
                                    	Is SR prepend list configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation timeout on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                    
                                    .. attribute:: path_selection_metric
                                    
                                    	Path selection metric type
                                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_adjacency_protection
                                    
                                    	Path selection segment\-routing type
                                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_margin
                                    
                                    	Path selection margin
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_segment_routing_segment_limit
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: prepend_list
                                    
                                    	SR prepend list
                                    	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                        self.affinity.parent = self
                                        self.is_affinity_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_path_select_configured = None
                                        self.is_path_selection_metric_configured = None
                                        self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                        self.is_path_selection_segment_routing_margin_configured = None
                                        self.is_path_selection_segment_routing_margin_relative = None
                                        self.is_path_selection_segment_routing_segment_limit_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.is_prepend_list_configured = None
                                        self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                        self.logging.parent = self
                                        self.path_invalidation_timeout = None
                                        self.path_selection_invalidation_action = None
                                        self.path_selection_metric = None
                                        self.path_selection_segment_routing_adjacency_protection = None
                                        self.path_selection_segment_routing_margin = None
                                        self.path_selection_segment_routing_segment_limit = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.prepend_list = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                        self.prepend_list.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                    class PrependList(object):
                                        """
                                        SR prepend list
                                        
                                        .. attribute:: prepend_entry
                                        
                                        	List of prepend entries
                                        	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.prepend_entry = YList()
                                            self.prepend_entry.parent = self
                                            self.prepend_entry.name = 'prepend_entry'


                                        class PrependEntry(object):
                                            """
                                            List of prepend entries
                                            
                                            .. attribute:: index
                                            
                                            	Prepend index
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: next_label
                                            
                                            	Prepend next label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: type
                                            
                                            	Prepend Type
                                            	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.index = None
                                                self.next_label = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.index is not None:
                                                    return True

                                                if self.next_label is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.prepend_entry is not None:
                                                for child_ref in self.prepend_entry:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_path_select_configured is not None:
                                            return True

                                        if self.is_path_selection_metric_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_relative is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.is_prepend_list_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.path_selection_invalidation_action is not None:
                                            return True

                                        if self.path_selection_metric is not None:
                                            return True

                                        if self.path_selection_segment_routing_adjacency_protection is not None:
                                            return True

                                        if self.path_selection_segment_routing_margin is not None:
                                            return True

                                        if self.path_selection_segment_routing_segment_limit is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.prepend_list is not None and self.prepend_list._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                        return True

                                    if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                        return True

                                    if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                        return True

                                    if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                        return True

                                    if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                        return True

                                    if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                        return True

                                    if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                        return True

                                    if self.tunnel_attribute_set_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                    return True

                                if self.tunnel_attribute_set_name is not None:
                                    return True

                                if self.tunnel_attribute_set_name_crc32 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet']['meta_info']


                        class PathCalculationError(object):
                            """
                            Path computation information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.PathCalculationError']['meta_info']


                        class RemergeError(object):
                            """
                            Path computation remerge resolve info
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.RemergeError']['meta_info']


                        class SignallingError(object):
                            """
                            Signalling information
                            
                            .. attribute:: error
                            
                            	Path Error code
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: error_node
                            
                            	Source address of the error generating node
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: log_time
                            
                            	Time in seconds when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSPMode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            .. attribute:: reverse_lsp
                            
                            	Indicates if error is on the reverse LSP
                            	**type**\:  bool
                            
                            .. attribute:: signalling_lsp_id
                            
                            	LSP\-id for which the error was received
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: sub_code
                            
                            	Path Error subcode
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error = None
                                self.error_message = None
                                self.error_node = None
                                self.log_time = None
                                self.lsp_mode = None
                                self.reverse_lsp = None
                                self.signalling_lsp_id = None
                                self.sub_code = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error is not None:
                                    return True

                                if self.error_message is not None:
                                    return True

                                if self.error_node is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                if self.reverse_lsp is not None:
                                    return True

                                if self.signalling_lsp_id is not None:
                                    return True

                                if self.sub_code is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.SignallingError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-option-entry'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.attribute_set is not None and self.attribute_set._has_data():
                                return True

                            if self.attribute_set_found is not None:
                                return True

                            if self.explicit_path_id is not None:
                                return True

                            if self.explicit_path_name is not None:
                                return True

                            if self.has_attribute_set is not None:
                                return True

                            if self.has_xro_attribute_set is not None:
                                return True

                            if self.holddown_duration is not None:
                                return True

                            if self.is_disabled is not None:
                                return True

                            if self.is_helddown is not None:
                                return True

                            if self.is_lockdown is not None:
                                return True

                            if self.is_segment_routing is not None:
                                return True

                            if self.is_strict_explicit_path is not None:
                                return True

                            if self.is_verbatim is not None:
                                return True

                            if self.option_index is not None:
                                return True

                            if self.option_index_is_valid is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_area_id is not None:
                                return True

                            if self.path_option_name is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.pce_address is not None:
                                return True

                            if self.protected_by_path_option_index is not None:
                                return True

                            if self.remerge_error is not None:
                                for child_ref in self.remerge_error:
                                    if child_ref._has_data():
                                        return True

                            if self.restored_from_path_option_index is not None:
                                return True

                            if self.signalling_error is not None:
                                for child_ref in self.signalling_error:
                                    if child_ref._has_data():
                                        return True

                            if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                return True

                            if self.xro_attribute_set_found is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry']['meta_info']


                    class PathOption(object):
                        """
                        Destination's list of path options
                        
                        .. attribute:: attribute_set
                        
                        	The path option attribute set used by this path
                        	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet>`
                        
                        .. attribute:: attribute_set_found
                        
                        	TRUE if the path has found the defined attribute set
                        	**type**\:  bool
                        
                        .. attribute:: explicit_path_id
                        
                        	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: explicit_path_name
                        
                        	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                        	**type**\:  str
                        
                        .. attribute:: has_attribute_set
                        
                        	TRUE if the path has an attribute set defined
                        	**type**\:  bool
                        
                        .. attribute:: has_xro_attribute_set
                        
                        	TRUE if the path has an XRO attribute set configured
                        	**type**\:  bool
                        
                        .. attribute:: holddown_duration
                        
                        	Holddown Duration (seconds)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        .. attribute:: is_disabled
                        
                        	TRUE if the path option is disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_helddown
                        
                        	TRUE if path is helddown
                        	**type**\:  bool
                        
                        .. attribute:: is_lockdown
                        
                        	TRUE if the path is locked down
                        	**type**\:  bool
                        
                        .. attribute:: is_segment_routing
                        
                        	TRUE if the path is Segment\-Routing
                        	**type**\:  bool
                        
                        .. attribute:: is_strict_explicit_path
                        
                        	TRUE if explicit path is strict
                        	**type**\:  bool
                        
                        .. attribute:: is_verbatim
                        
                        	TRUE if the path is verbatim
                        	**type**\:  bool
                        
                        .. attribute:: option_index
                        
                        	Path option index
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: option_index_is_valid
                        
                        	The path option index is valid
                        	**type**\:  bool
                        
                        .. attribute:: path_calculation_error
                        
                        	Path computation information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.PathCalculationError>`
                        
                        .. attribute:: path_option_area_id
                        
                        	The path\-option area constraint
                        	**type**\:  str
                        
                        .. attribute:: path_option_name
                        
                        	Path option name
                        	**type**\:  str
                        
                        .. attribute:: path_option_type
                        
                        	Path option type
                        	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                        
                        .. attribute:: pce_address
                        
                        	PCE server address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: protected_by_path_option_index
                        
                        	Path option index for Protect path options
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: remerge_error
                        
                        	Path computation remerge resolve info
                        	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.RemergeError>`
                        
                        .. attribute:: restored_from_path_option_index
                        
                        	Path option index for Restore path options
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: signalling_error
                        
                        	Signalling information
                        	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.SignallingError>`
                        
                        .. attribute:: xro_attribute_set
                        
                        	The XRO attribute set used by this path\-option
                        	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet>`
                        
                        .. attribute:: xro_attribute_set_found
                        
                        	TRUE if the path's XRO attribute set is known
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.attribute_set = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet()
                            self.attribute_set.parent = self
                            self.attribute_set_found = None
                            self.explicit_path_id = None
                            self.explicit_path_name = None
                            self.has_attribute_set = None
                            self.has_xro_attribute_set = None
                            self.holddown_duration = None
                            self.is_disabled = None
                            self.is_helddown = None
                            self.is_lockdown = None
                            self.is_segment_routing = None
                            self.is_strict_explicit_path = None
                            self.is_verbatim = None
                            self.option_index = None
                            self.option_index_is_valid = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_area_id = None
                            self.path_option_name = None
                            self.path_option_type = None
                            self.pce_address = None
                            self.protected_by_path_option_index = None
                            self.remerge_error = YList()
                            self.remerge_error.parent = self
                            self.remerge_error.name = 'remerge_error'
                            self.restored_from_path_option_index = None
                            self.signalling_error = YList()
                            self.signalling_error.parent = self
                            self.signalling_error.name = 'signalling_error'
                            self.xro_attribute_set = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet()
                            self.xro_attribute_set.parent = self
                            self.xro_attribute_set_found = None


                        class AttributeSet(object):
                            """
                            The path option attribute set used by this path
                            
                            .. attribute:: attribute_set_union
                            
                            	Union of Attribute Sets
                            	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion>`
                            
                            .. attribute:: tunnel_attribute_set_name
                            
                            	Attribute Set Name
                            	**type**\:  str
                            
                            .. attribute:: tunnel_attribute_set_name_crc32
                            
                            	Attribute Set name CRC32 value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set_union = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion()
                                self.attribute_set_union.parent = self
                                self.tunnel_attribute_set_name = None
                                self.tunnel_attribute_set_name_crc32 = None


                            class AttributeSetUnion(object):
                                """
                                Union of Attribute Sets
                                
                                .. attribute:: attribute_set_aps_pp
                                
                                	Attribute Set OTN APS Path Protection
                                	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                
                                .. attribute:: attribute_set_autobackup
                                
                                	MPLS TE Auto\-backup Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                
                                .. attribute:: attribute_set_automesh
                                
                                	MPLS TE Auto\-mesh Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                
                                .. attribute:: attribute_set_p2mpte
                                
                                	MPLS TE P2MP\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                
                                .. attribute:: attribute_set_p2p_te
                                
                                	MPLS TE P2P\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                
                                .. attribute:: attribute_set_path_option
                                
                                	MPLS TE Path Option Attribute Set
                                	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                
                                .. attribute:: attribute_set_xro
                                
                                	Attribute Set XRO
                                	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                
                                .. attribute:: tunnel_attribute_set_type
                                
                                	TunnelAttributeSetType
                                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                    self.attribute_set_aps_pp.parent = self
                                    self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                    self.attribute_set_autobackup.parent = self
                                    self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                    self.attribute_set_automesh.parent = self
                                    self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                    self.attribute_set_p2mpte.parent = self
                                    self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                    self.attribute_set_p2p_te.parent = self
                                    self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                    self.attribute_set_path_option.parent = self
                                    self.attribute_set_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                    self.attribute_set_xro.parent = self
                                    self.tunnel_attribute_set_type = None


                                class AttributeSetPathOption(object):
                                    """
                                    MPLS TE Path Option Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                    
                                    .. attribute:: bandwidth_type
                                    
                                    	The bandwidth type
                                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                    
                                    .. attribute:: bfd_reverse_path
                                    
                                    	BFD reverse path
                                    	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: cost_limit
                                    
                                    	Cost limit on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: exclude_list_name
                                    
                                    	Exclude list name
                                    	**type**\:  str
                                    
                                    .. attribute:: generation
                                    
                                    	Generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bfd_reverse_pat_configured
                                    
                                    	Is BFD reverse path configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_cost_limit_configured
                                    
                                    	Is Cost Limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_exclude_list_name_configured
                                    
                                    	Is exclude list name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is path invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is path invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation interval on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: version_info
                                    
                                    	Version Info
                                    	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                        self.affinity.parent = self
                                        self.bandwidth_type = None
                                        self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                        self.bfd_reverse_path.parent = self
                                        self.configured_bandwidth = None
                                        self.cost_limit = None
                                        self.dste_class_type = None
                                        self.exclude_list_name = None
                                        self.generation = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_bfd_reverse_pat_configured = None
                                        self.is_cost_limit_configured = None
                                        self.is_exclude_list_name_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.path_invalidation_action = None
                                        self.path_invalidation_timeout = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'
                                        self.version_info = YList()
                                        self.version_info.parent = self
                                        self.version_info.name = 'version_info'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                    class BfdReversePath(object):
                                        """
                                        BFD reverse path
                                        
                                        .. attribute:: binding_label
                                        
                                        	BFD reverse path binding label
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_type
                                        
                                        	BFD reverse path type
                                        	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.binding_label = None
                                            self.path_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.binding_label is not None:
                                                return True

                                            if self.path_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                    class VersionInfo(object):
                                        """
                                        Version Info
                                        
                                        .. attribute:: attribute_type
                                        
                                        	Attribute Type
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_default
                                        
                                        	Is default
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute_type = None
                                            self.generation = None
                                            self.is_default = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute_type is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_default is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.bandwidth_type is not None:
                                            return True

                                        if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.cost_limit is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.exclude_list_name is not None:
                                            return True

                                        if self.generation is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_bfd_reverse_pat_configured is not None:
                                            return True

                                        if self.is_cost_limit_configured is not None:
                                            return True

                                        if self.is_exclude_list_name_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.path_invalidation_action is not None:
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        if self.version_info is not None:
                                            for child_ref in self.version_info:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                class AttributeSetAutobackup(object):
                                    """
                                    MPLS TE Auto\-backup Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_signalled_name_configured
                                    
                                    	Is signalled name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: protected_interface
                                    
                                    	Array of Protected Interface Names
                                    	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: signalled_name
                                    
                                    	Signalled name
                                    	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                        self.affinity.parent = self
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.is_signalled_name_configured = None
                                        self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                        self.logging.parent = self
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.protected_interface = YList()
                                        self.protected_interface.parent = self
                                        self.protected_interface.name = 'protected_interface'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.signalled_name = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                        self.signalled_name.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class SignalledName(object):
                                        """
                                        Signalled name
                                        
                                        .. attribute:: is_mp_addresses
                                        
                                        	MP address appended
                                        	**type**\:  bool
                                        
                                        .. attribute:: name
                                        
                                        	Signalled name
                                        	**type**\:  str
                                        
                                        .. attribute:: protected_interface_type
                                        
                                        	Protected interface address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        .. attribute:: source_type
                                        
                                        	Source address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.is_mp_addresses = None
                                            self.name = None
                                            self.protected_interface_type = None
                                            self.source_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.is_mp_addresses is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.protected_interface_type is not None:
                                                return True

                                            if self.source_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                    class ProtectedInterface(object):
                                        """
                                        Array of Protected Interface Names
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Protected Interface Name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.protected_interface = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.protected_interface is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.is_signalled_name_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.protected_interface is not None:
                                            for child_ref in self.protected_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.signalled_name is not None and self.signalled_name._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                class AttributeSetAutomesh(object):
                                    """
                                    MPLS TE Auto\-mesh Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                    
                                    .. attribute:: auto_bandwidth_collect
                                    
                                    	Auto bandwidth collect only
                                    	**type**\:  bool
                                    
                                    .. attribute:: auto_route_announce
                                    
                                    	Announce auto route to IGP
                                    	**type**\:  bool
                                    
                                    .. attribute:: bandwidth
                                    
                                    	IM bandwidth
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: forward_class
                                    
                                    	Forward class
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_node_protection
                                    
                                    	FRR Node protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_interface_bw_configured
                                    
                                    	Is Interface BW configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: load_share
                                    
                                    	Load Share
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                    
                                    .. attribute:: mesh_group_id
                                    
                                    	Meshgroup ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: soft_preemption_configured
                                    
                                    	Soft preemption is configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                        self.affinity.parent = self
                                        self.auto_bandwidth_collect = None
                                        self.auto_route_announce = None
                                        self.bandwidth = None
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.forward_class = None
                                        self.frr_bandwidth_protection = None
                                        self.frr_node_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_interface_bw_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.load_share = None
                                        self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                        self.logging.parent = self
                                        self.mesh_group_id = YLeafList()
                                        self.mesh_group_id.parent = self
                                        self.mesh_group_id.name = 'mesh_group_id'
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.soft_preemption_configured = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.auto_bandwidth_collect is not None:
                                            return True

                                        if self.auto_route_announce is not None:
                                            return True

                                        if self.bandwidth is not None:
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.forward_class is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.frr_node_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_interface_bw_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.load_share is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.mesh_group_id is not None:
                                            for child in self.mesh_group_id:
                                                if child is not None:
                                                    return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.soft_preemption_configured is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                class AttributeSetXro(object):
                                    """
                                    Attribute Set XRO
                                    
                                    .. attribute:: xro
                                    
                                    	The XRO specified by this attribute\-set
                                    	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                        self.xro.parent = self


                                    class Xro(object):
                                        """
                                        The XRO specified by this attribute\-set
                                        
                                        .. attribute:: mutual_diversity_flag
                                        
                                        	Mutual Diversity Flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: xro_subobject
                                        
                                        	List of XRO sub\-objects
                                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.mutual_diversity_flag = None
                                            self.xro_subobject = YList()
                                            self.xro_subobject.parent = self
                                            self.xro_subobject.name = 'xro_subobject'


                                        class XroSubobject(object):
                                            """
                                            List of XRO sub\-objects
                                            
                                            .. attribute:: as_subobject
                                            
                                            	AS sub\-object
                                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                            
                                            .. attribute:: ipv4_subobject
                                            
                                            	IPv4 sub\-object
                                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                            
                                            .. attribute:: ipv6_subobject
                                            
                                            	IPv6 sub\-object
                                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                            
                                            .. attribute:: lsp_subobject
                                            
                                            	P2P LSP sub\-object
                                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                            
                                            .. attribute:: srlg_subobject
                                            
                                            	SRLG sub\-object
                                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                            
                                            .. attribute:: unnumbered_subobject
                                            
                                            	Unnumbered sub\-object
                                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                self.as_subobject.parent = self
                                                self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                self.ipv4_subobject.parent = self
                                                self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                self.ipv6_subobject.parent = self
                                                self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                self.lsp_subobject.parent = self
                                                self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                self.srlg_subobject.parent = self
                                                self.type = None
                                                self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                self.unnumbered_subobject.parent = self


                                            class Ipv4Subobject(object):
                                                """
                                                IPv4 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv4 address
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                            class Ipv6Subobject(object):
                                                """
                                                IPv6 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv6 address
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                            class UnnumberedSubobject(object):
                                                """
                                                Unnumbered sub\-object
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: interface_id
                                                
                                                	Interface ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: te_router_id
                                                
                                                	TE router\-id
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.interface_id = None
                                                    self.te_router_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.interface_id is not None:
                                                        return True

                                                    if self.te_router_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                            class AsSubobject(object):
                                                """
                                                AS sub\-object
                                                
                                                .. attribute:: as_number
                                                
                                                	Autonomous System number
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_number = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_number is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                            class SrlgSubobject(object):
                                                """
                                                SRLG sub\-object
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: srlg_id
                                                
                                                	SRLG ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.exclusion_type = None
                                                    self.srlg_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.srlg_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                            class LspSubobject(object):
                                                """
                                                P2P LSP sub\-object
                                                
                                                .. attribute:: destination_node_exception
                                                
                                                	Destination\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: fec
                                                
                                                	LSP FEC
                                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                
                                                .. attribute:: ignore_lsp_id
                                                
                                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                	**type**\:  bool
                                                
                                                .. attribute:: penultimate_node_exception
                                                
                                                	Penultimate\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: processing_node_exception
                                                
                                                	Processing\-node exception flag
                                                	**type**\:  bool
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.destination_node_exception = None
                                                    self.exclusion_type = None
                                                    self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                    self.fec.parent = self
                                                    self.ignore_lsp_id = None
                                                    self.penultimate_node_exception = None
                                                    self.processing_node_exception = None


                                                class Fec(object):
                                                    """
                                                    LSP FEC
                                                    
                                                    .. attribute:: fec_destination_info
                                                    
                                                    	Destination or P2MP ID
                                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                    
                                                    .. attribute:: fec_extended_tunnel_id
                                                    
                                                    	Extended tunnel ID
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_lsp_id
                                                    
                                                    	LSP ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_source
                                                    
                                                    	Tunnel source address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_tunnel_id
                                                    
                                                    	Tunnel ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_vrf
                                                    
                                                    	VRF; currently only for GMPLS tunnels
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                        self.fec_destination_info.parent = self
                                                        self.fec_extended_tunnel_id = None
                                                        self.fec_lsp_id = None
                                                        self.fec_source = None
                                                        self.fec_tunnel_id = None
                                                        self.fec_vrf = None


                                                    class FecDestinationInfo(object):
                                                        """
                                                        Destination or P2MP ID
                                                        
                                                        .. attribute:: fec_ctype
                                                        
                                                        	FEC CType
                                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                        
                                                        .. attribute:: fec_destination_p2mp_id
                                                        
                                                        	P2MP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: p2p_lsp_destination
                                                        
                                                        	P2P LSP destination
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_ctype = None
                                                            self.fec_destination_p2mp_id = None
                                                            self.p2p_lsp_destination = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_ctype is not None:
                                                                return True

                                                            if self.fec_destination_p2mp_id is not None:
                                                                return True

                                                            if self.p2p_lsp_destination is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                            return True

                                                        if self.fec_extended_tunnel_id is not None:
                                                            return True

                                                        if self.fec_lsp_id is not None:
                                                            return True

                                                        if self.fec_source is not None:
                                                            return True

                                                        if self.fec_tunnel_id is not None:
                                                            return True

                                                        if self.fec_vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.destination_node_exception is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.fec is not None and self.fec._has_data():
                                                        return True

                                                    if self.ignore_lsp_id is not None:
                                                        return True

                                                    if self.penultimate_node_exception is not None:
                                                        return True

                                                    if self.processing_node_exception is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.as_subobject is not None and self.as_subobject._has_data():
                                                    return True

                                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                    return True

                                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                    return True

                                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                    return True

                                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.mutual_diversity_flag is not None:
                                                return True

                                            if self.xro_subobject is not None:
                                                for child_ref in self.xro_subobject:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.xro is not None and self.xro._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                class AttributeSetP2Mpte(object):
                                    """
                                    MPLS TE P2MP\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                        self.affinity.parent = self
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.frr_bandwidth_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_priority_configured = None
                                        self.setup_priority = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                class AttributeSetApsPp(object):
                                    """
                                    Attribute Set OTN APS Path Protection
                                    
                                    .. attribute:: hold_off_time
                                    
                                    	Hold\-off time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path Protection Profile Type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: protection_mode
                                    
                                    	Protection Restoration Mode
                                    	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                    
                                    .. attribute:: protection_type
                                    
                                    	Protection Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: restoration_style
                                    
                                    	Restoration Style
                                    	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                    
                                    .. attribute:: revert_schedule
                                    
                                    	Revert Schedule
                                    	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                    
                                    .. attribute:: snc_mode
                                    
                                    	Sub\-network Connection Mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	Sub\-network Connection Monitoring Mode
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wait_to_restore_time
                                    
                                    	Wait to restore time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.hold_off_time = None
                                        self.path_prot_profile_type = None
                                        self.protection_mode = None
                                        self.protection_type = None
                                        self.restoration_style = None
                                        self.revert_schedule = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                        self.revert_schedule.parent = self
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wait_to_restore_time = None


                                    class RevertSchedule(object):
                                        """
                                        Revert Schedule
                                        
                                        .. attribute:: duration
                                        
                                        	Duration for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_tries
                                        
                                        	Max tries for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_date
                                        
                                        	Schedule time for reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_frequency
                                        
                                        	Schedule frequency for reversion
                                        	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                        
                                        .. attribute:: schedulename
                                        
                                        	Schedule name identifier
                                        	**type**\:  str
                                        
                                        	**length:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.duration = None
                                            self.max_tries = None
                                            self.schedule_date = None
                                            self.schedule_frequency = None
                                            self.schedulename = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.duration is not None:
                                                return True

                                            if self.max_tries is not None:
                                                return True

                                            if self.schedule_date is not None:
                                                return True

                                            if self.schedule_frequency is not None:
                                                return True

                                            if self.schedulename is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.hold_off_time is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.protection_mode is not None:
                                            return True

                                        if self.protection_type is not None:
                                            return True

                                        if self.restoration_style is not None:
                                            return True

                                        if self.revert_schedule is not None and self.revert_schedule._has_data():
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wait_to_restore_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                class AttributeSetP2PTe(object):
                                    """
                                    MPLS TE P2P\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is Path Invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is Path Invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_select_configured
                                    
                                    	Is any of the path selection parameters configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_metric_configured
                                    
                                    	Is path selection metric configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                    
                                    	Is path selection segment routing configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_configured
                                    
                                    	Is path selection margin configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_relative
                                    
                                    	Path selection margin is\_relative
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_prepend_list_configured
                                    
                                    	Is SR prepend list configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation timeout on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                    
                                    .. attribute:: path_selection_metric
                                    
                                    	Path selection metric type
                                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_adjacency_protection
                                    
                                    	Path selection segment\-routing type
                                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_margin
                                    
                                    	Path selection margin
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_segment_routing_segment_limit
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: prepend_list
                                    
                                    	SR prepend list
                                    	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                        self.affinity.parent = self
                                        self.is_affinity_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_path_select_configured = None
                                        self.is_path_selection_metric_configured = None
                                        self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                        self.is_path_selection_segment_routing_margin_configured = None
                                        self.is_path_selection_segment_routing_margin_relative = None
                                        self.is_path_selection_segment_routing_segment_limit_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.is_prepend_list_configured = None
                                        self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                        self.logging.parent = self
                                        self.path_invalidation_timeout = None
                                        self.path_selection_invalidation_action = None
                                        self.path_selection_metric = None
                                        self.path_selection_segment_routing_adjacency_protection = None
                                        self.path_selection_segment_routing_margin = None
                                        self.path_selection_segment_routing_segment_limit = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.prepend_list = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                        self.prepend_list.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                    class PrependList(object):
                                        """
                                        SR prepend list
                                        
                                        .. attribute:: prepend_entry
                                        
                                        	List of prepend entries
                                        	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.prepend_entry = YList()
                                            self.prepend_entry.parent = self
                                            self.prepend_entry.name = 'prepend_entry'


                                        class PrependEntry(object):
                                            """
                                            List of prepend entries
                                            
                                            .. attribute:: index
                                            
                                            	Prepend index
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: next_label
                                            
                                            	Prepend next label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: type
                                            
                                            	Prepend Type
                                            	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.index = None
                                                self.next_label = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.index is not None:
                                                    return True

                                                if self.next_label is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.prepend_entry is not None:
                                                for child_ref in self.prepend_entry:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_path_select_configured is not None:
                                            return True

                                        if self.is_path_selection_metric_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_relative is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.is_prepend_list_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.path_selection_invalidation_action is not None:
                                            return True

                                        if self.path_selection_metric is not None:
                                            return True

                                        if self.path_selection_segment_routing_adjacency_protection is not None:
                                            return True

                                        if self.path_selection_segment_routing_margin is not None:
                                            return True

                                        if self.path_selection_segment_routing_segment_limit is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.prepend_list is not None and self.prepend_list._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                        return True

                                    if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                        return True

                                    if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                        return True

                                    if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                        return True

                                    if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                        return True

                                    if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                        return True

                                    if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                        return True

                                    if self.tunnel_attribute_set_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                    return True

                                if self.tunnel_attribute_set_name is not None:
                                    return True

                                if self.tunnel_attribute_set_name_crc32 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet']['meta_info']


                        class XroAttributeSet(object):
                            """
                            The XRO attribute set used by this path\-option
                            
                            .. attribute:: attribute_set_union
                            
                            	Union of Attribute Sets
                            	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion>`
                            
                            .. attribute:: tunnel_attribute_set_name
                            
                            	Attribute Set Name
                            	**type**\:  str
                            
                            .. attribute:: tunnel_attribute_set_name_crc32
                            
                            	Attribute Set name CRC32 value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set_union = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion()
                                self.attribute_set_union.parent = self
                                self.tunnel_attribute_set_name = None
                                self.tunnel_attribute_set_name_crc32 = None


                            class AttributeSetUnion(object):
                                """
                                Union of Attribute Sets
                                
                                .. attribute:: attribute_set_aps_pp
                                
                                	Attribute Set OTN APS Path Protection
                                	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                
                                .. attribute:: attribute_set_autobackup
                                
                                	MPLS TE Auto\-backup Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                
                                .. attribute:: attribute_set_automesh
                                
                                	MPLS TE Auto\-mesh Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                
                                .. attribute:: attribute_set_p2mpte
                                
                                	MPLS TE P2MP\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                
                                .. attribute:: attribute_set_p2p_te
                                
                                	MPLS TE P2P\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                
                                .. attribute:: attribute_set_path_option
                                
                                	MPLS TE Path Option Attribute Set
                                	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                
                                .. attribute:: attribute_set_xro
                                
                                	Attribute Set XRO
                                	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                
                                .. attribute:: tunnel_attribute_set_type
                                
                                	TunnelAttributeSetType
                                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_aps_pp = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                    self.attribute_set_aps_pp.parent = self
                                    self.attribute_set_autobackup = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                    self.attribute_set_autobackup.parent = self
                                    self.attribute_set_automesh = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                    self.attribute_set_automesh.parent = self
                                    self.attribute_set_p2mpte = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                    self.attribute_set_p2mpte.parent = self
                                    self.attribute_set_p2p_te = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                    self.attribute_set_p2p_te.parent = self
                                    self.attribute_set_path_option = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                    self.attribute_set_path_option.parent = self
                                    self.attribute_set_xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                    self.attribute_set_xro.parent = self
                                    self.tunnel_attribute_set_type = None


                                class AttributeSetPathOption(object):
                                    """
                                    MPLS TE Path Option Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                    
                                    .. attribute:: bandwidth_type
                                    
                                    	The bandwidth type
                                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                    
                                    .. attribute:: bfd_reverse_path
                                    
                                    	BFD reverse path
                                    	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: cost_limit
                                    
                                    	Cost limit on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: exclude_list_name
                                    
                                    	Exclude list name
                                    	**type**\:  str
                                    
                                    .. attribute:: generation
                                    
                                    	Generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bfd_reverse_pat_configured
                                    
                                    	Is BFD reverse path configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_cost_limit_configured
                                    
                                    	Is Cost Limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_exclude_list_name_configured
                                    
                                    	Is exclude list name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is path invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is path invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation interval on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: version_info
                                    
                                    	Version Info
                                    	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                        self.affinity.parent = self
                                        self.bandwidth_type = None
                                        self.bfd_reverse_path = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                        self.bfd_reverse_path.parent = self
                                        self.configured_bandwidth = None
                                        self.cost_limit = None
                                        self.dste_class_type = None
                                        self.exclude_list_name = None
                                        self.generation = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_bfd_reverse_pat_configured = None
                                        self.is_cost_limit_configured = None
                                        self.is_exclude_list_name_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.path_invalidation_action = None
                                        self.path_invalidation_timeout = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'
                                        self.version_info = YList()
                                        self.version_info.parent = self
                                        self.version_info.name = 'version_info'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                    class BfdReversePath(object):
                                        """
                                        BFD reverse path
                                        
                                        .. attribute:: binding_label
                                        
                                        	BFD reverse path binding label
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_type
                                        
                                        	BFD reverse path type
                                        	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.binding_label = None
                                            self.path_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.binding_label is not None:
                                                return True

                                            if self.path_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                    class VersionInfo(object):
                                        """
                                        Version Info
                                        
                                        .. attribute:: attribute_type
                                        
                                        	Attribute Type
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_default
                                        
                                        	Is default
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute_type = None
                                            self.generation = None
                                            self.is_default = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute_type is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_default is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.bandwidth_type is not None:
                                            return True

                                        if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.cost_limit is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.exclude_list_name is not None:
                                            return True

                                        if self.generation is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_bfd_reverse_pat_configured is not None:
                                            return True

                                        if self.is_cost_limit_configured is not None:
                                            return True

                                        if self.is_exclude_list_name_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.path_invalidation_action is not None:
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        if self.version_info is not None:
                                            for child_ref in self.version_info:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                class AttributeSetAutobackup(object):
                                    """
                                    MPLS TE Auto\-backup Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_signalled_name_configured
                                    
                                    	Is signalled name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: protected_interface
                                    
                                    	Array of Protected Interface Names
                                    	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: signalled_name
                                    
                                    	Signalled name
                                    	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                        self.affinity.parent = self
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.is_signalled_name_configured = None
                                        self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                        self.logging.parent = self
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.protected_interface = YList()
                                        self.protected_interface.parent = self
                                        self.protected_interface.name = 'protected_interface'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.signalled_name = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                        self.signalled_name.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class SignalledName(object):
                                        """
                                        Signalled name
                                        
                                        .. attribute:: is_mp_addresses
                                        
                                        	MP address appended
                                        	**type**\:  bool
                                        
                                        .. attribute:: name
                                        
                                        	Signalled name
                                        	**type**\:  str
                                        
                                        .. attribute:: protected_interface_type
                                        
                                        	Protected interface address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        .. attribute:: source_type
                                        
                                        	Source address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.is_mp_addresses = None
                                            self.name = None
                                            self.protected_interface_type = None
                                            self.source_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.is_mp_addresses is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.protected_interface_type is not None:
                                                return True

                                            if self.source_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                    class ProtectedInterface(object):
                                        """
                                        Array of Protected Interface Names
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Protected Interface Name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.protected_interface = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.protected_interface is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.is_signalled_name_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.protected_interface is not None:
                                            for child_ref in self.protected_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.signalled_name is not None and self.signalled_name._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                class AttributeSetAutomesh(object):
                                    """
                                    MPLS TE Auto\-mesh Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                    
                                    .. attribute:: auto_bandwidth_collect
                                    
                                    	Auto bandwidth collect only
                                    	**type**\:  bool
                                    
                                    .. attribute:: auto_route_announce
                                    
                                    	Announce auto route to IGP
                                    	**type**\:  bool
                                    
                                    .. attribute:: bandwidth
                                    
                                    	IM bandwidth
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: forward_class
                                    
                                    	Forward class
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_node_protection
                                    
                                    	FRR Node protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_interface_bw_configured
                                    
                                    	Is Interface BW configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: load_share
                                    
                                    	Load Share
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                    
                                    .. attribute:: mesh_group_id
                                    
                                    	Meshgroup ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: soft_preemption_configured
                                    
                                    	Soft preemption is configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                        self.affinity.parent = self
                                        self.auto_bandwidth_collect = None
                                        self.auto_route_announce = None
                                        self.bandwidth = None
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.forward_class = None
                                        self.frr_bandwidth_protection = None
                                        self.frr_node_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_interface_bw_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.load_share = None
                                        self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                        self.logging.parent = self
                                        self.mesh_group_id = YLeafList()
                                        self.mesh_group_id.parent = self
                                        self.mesh_group_id.name = 'mesh_group_id'
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.soft_preemption_configured = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.auto_bandwidth_collect is not None:
                                            return True

                                        if self.auto_route_announce is not None:
                                            return True

                                        if self.bandwidth is not None:
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.forward_class is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.frr_node_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_interface_bw_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.load_share is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.mesh_group_id is not None:
                                            for child in self.mesh_group_id:
                                                if child is not None:
                                                    return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.soft_preemption_configured is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                class AttributeSetXro(object):
                                    """
                                    Attribute Set XRO
                                    
                                    .. attribute:: xro
                                    
                                    	The XRO specified by this attribute\-set
                                    	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.xro = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                        self.xro.parent = self


                                    class Xro(object):
                                        """
                                        The XRO specified by this attribute\-set
                                        
                                        .. attribute:: mutual_diversity_flag
                                        
                                        	Mutual Diversity Flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: xro_subobject
                                        
                                        	List of XRO sub\-objects
                                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.mutual_diversity_flag = None
                                            self.xro_subobject = YList()
                                            self.xro_subobject.parent = self
                                            self.xro_subobject.name = 'xro_subobject'


                                        class XroSubobject(object):
                                            """
                                            List of XRO sub\-objects
                                            
                                            .. attribute:: as_subobject
                                            
                                            	AS sub\-object
                                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                            
                                            .. attribute:: ipv4_subobject
                                            
                                            	IPv4 sub\-object
                                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                            
                                            .. attribute:: ipv6_subobject
                                            
                                            	IPv6 sub\-object
                                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                            
                                            .. attribute:: lsp_subobject
                                            
                                            	P2P LSP sub\-object
                                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                            
                                            .. attribute:: srlg_subobject
                                            
                                            	SRLG sub\-object
                                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                            
                                            .. attribute:: unnumbered_subobject
                                            
                                            	Unnumbered sub\-object
                                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.as_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                self.as_subobject.parent = self
                                                self.ipv4_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                self.ipv4_subobject.parent = self
                                                self.ipv6_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                self.ipv6_subobject.parent = self
                                                self.lsp_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                self.lsp_subobject.parent = self
                                                self.srlg_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                self.srlg_subobject.parent = self
                                                self.type = None
                                                self.unnumbered_subobject = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                self.unnumbered_subobject.parent = self


                                            class Ipv4Subobject(object):
                                                """
                                                IPv4 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv4 address
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                            class Ipv6Subobject(object):
                                                """
                                                IPv6 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv6 address
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                            class UnnumberedSubobject(object):
                                                """
                                                Unnumbered sub\-object
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: interface_id
                                                
                                                	Interface ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: te_router_id
                                                
                                                	TE router\-id
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.interface_id = None
                                                    self.te_router_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.interface_id is not None:
                                                        return True

                                                    if self.te_router_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                            class AsSubobject(object):
                                                """
                                                AS sub\-object
                                                
                                                .. attribute:: as_number
                                                
                                                	Autonomous System number
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_number = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_number is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                            class SrlgSubobject(object):
                                                """
                                                SRLG sub\-object
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: srlg_id
                                                
                                                	SRLG ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.exclusion_type = None
                                                    self.srlg_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.srlg_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                            class LspSubobject(object):
                                                """
                                                P2P LSP sub\-object
                                                
                                                .. attribute:: destination_node_exception
                                                
                                                	Destination\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: fec
                                                
                                                	LSP FEC
                                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                
                                                .. attribute:: ignore_lsp_id
                                                
                                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                	**type**\:  bool
                                                
                                                .. attribute:: penultimate_node_exception
                                                
                                                	Penultimate\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: processing_node_exception
                                                
                                                	Processing\-node exception flag
                                                	**type**\:  bool
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.destination_node_exception = None
                                                    self.exclusion_type = None
                                                    self.fec = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                    self.fec.parent = self
                                                    self.ignore_lsp_id = None
                                                    self.penultimate_node_exception = None
                                                    self.processing_node_exception = None


                                                class Fec(object):
                                                    """
                                                    LSP FEC
                                                    
                                                    .. attribute:: fec_destination_info
                                                    
                                                    	Destination or P2MP ID
                                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                    
                                                    .. attribute:: fec_extended_tunnel_id
                                                    
                                                    	Extended tunnel ID
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_lsp_id
                                                    
                                                    	LSP ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_source
                                                    
                                                    	Tunnel source address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_tunnel_id
                                                    
                                                    	Tunnel ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_vrf
                                                    
                                                    	VRF; currently only for GMPLS tunnels
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.fec_destination_info = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                        self.fec_destination_info.parent = self
                                                        self.fec_extended_tunnel_id = None
                                                        self.fec_lsp_id = None
                                                        self.fec_source = None
                                                        self.fec_tunnel_id = None
                                                        self.fec_vrf = None


                                                    class FecDestinationInfo(object):
                                                        """
                                                        Destination or P2MP ID
                                                        
                                                        .. attribute:: fec_ctype
                                                        
                                                        	FEC CType
                                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                        
                                                        .. attribute:: fec_destination_p2mp_id
                                                        
                                                        	P2MP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: p2p_lsp_destination
                                                        
                                                        	P2P LSP destination
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_ctype = None
                                                            self.fec_destination_p2mp_id = None
                                                            self.p2p_lsp_destination = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_ctype is not None:
                                                                return True

                                                            if self.fec_destination_p2mp_id is not None:
                                                                return True

                                                            if self.p2p_lsp_destination is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                            return True

                                                        if self.fec_extended_tunnel_id is not None:
                                                            return True

                                                        if self.fec_lsp_id is not None:
                                                            return True

                                                        if self.fec_source is not None:
                                                            return True

                                                        if self.fec_tunnel_id is not None:
                                                            return True

                                                        if self.fec_vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.destination_node_exception is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.fec is not None and self.fec._has_data():
                                                        return True

                                                    if self.ignore_lsp_id is not None:
                                                        return True

                                                    if self.penultimate_node_exception is not None:
                                                        return True

                                                    if self.processing_node_exception is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.as_subobject is not None and self.as_subobject._has_data():
                                                    return True

                                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                    return True

                                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                    return True

                                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                    return True

                                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.mutual_diversity_flag is not None:
                                                return True

                                            if self.xro_subobject is not None:
                                                for child_ref in self.xro_subobject:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.xro is not None and self.xro._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                class AttributeSetP2Mpte(object):
                                    """
                                    MPLS TE P2MP\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                        self.affinity.parent = self
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.frr_bandwidth_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_priority_configured = None
                                        self.setup_priority = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                class AttributeSetApsPp(object):
                                    """
                                    Attribute Set OTN APS Path Protection
                                    
                                    .. attribute:: hold_off_time
                                    
                                    	Hold\-off time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path Protection Profile Type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: protection_mode
                                    
                                    	Protection Restoration Mode
                                    	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                    
                                    .. attribute:: protection_type
                                    
                                    	Protection Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: restoration_style
                                    
                                    	Restoration Style
                                    	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                    
                                    .. attribute:: revert_schedule
                                    
                                    	Revert Schedule
                                    	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                    
                                    .. attribute:: snc_mode
                                    
                                    	Sub\-network Connection Mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	Sub\-network Connection Monitoring Mode
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wait_to_restore_time
                                    
                                    	Wait to restore time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.hold_off_time = None
                                        self.path_prot_profile_type = None
                                        self.protection_mode = None
                                        self.protection_type = None
                                        self.restoration_style = None
                                        self.revert_schedule = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                        self.revert_schedule.parent = self
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wait_to_restore_time = None


                                    class RevertSchedule(object):
                                        """
                                        Revert Schedule
                                        
                                        .. attribute:: duration
                                        
                                        	Duration for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_tries
                                        
                                        	Max tries for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_date
                                        
                                        	Schedule time for reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_frequency
                                        
                                        	Schedule frequency for reversion
                                        	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                        
                                        .. attribute:: schedulename
                                        
                                        	Schedule name identifier
                                        	**type**\:  str
                                        
                                        	**length:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.duration = None
                                            self.max_tries = None
                                            self.schedule_date = None
                                            self.schedule_frequency = None
                                            self.schedulename = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.duration is not None:
                                                return True

                                            if self.max_tries is not None:
                                                return True

                                            if self.schedule_date is not None:
                                                return True

                                            if self.schedule_frequency is not None:
                                                return True

                                            if self.schedulename is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.hold_off_time is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.protection_mode is not None:
                                            return True

                                        if self.protection_type is not None:
                                            return True

                                        if self.restoration_style is not None:
                                            return True

                                        if self.revert_schedule is not None and self.revert_schedule._has_data():
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wait_to_restore_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                class AttributeSetP2PTe(object):
                                    """
                                    MPLS TE P2P\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is Path Invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is Path Invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_select_configured
                                    
                                    	Is any of the path selection parameters configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_metric_configured
                                    
                                    	Is path selection metric configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                    
                                    	Is path selection segment routing configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_configured
                                    
                                    	Is path selection margin configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_relative
                                    
                                    	Path selection margin is\_relative
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_prepend_list_configured
                                    
                                    	Is SR prepend list configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation timeout on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                    
                                    .. attribute:: path_selection_metric
                                    
                                    	Path selection metric type
                                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_adjacency_protection
                                    
                                    	Path selection segment\-routing type
                                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_margin
                                    
                                    	Path selection margin
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_segment_routing_segment_limit
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: prepend_list
                                    
                                    	SR prepend list
                                    	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                        self.affinity.parent = self
                                        self.is_affinity_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_path_select_configured = None
                                        self.is_path_selection_metric_configured = None
                                        self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                        self.is_path_selection_segment_routing_margin_configured = None
                                        self.is_path_selection_segment_routing_margin_relative = None
                                        self.is_path_selection_segment_routing_segment_limit_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.is_prepend_list_configured = None
                                        self.logging = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                        self.logging.parent = self
                                        self.path_invalidation_timeout = None
                                        self.path_selection_invalidation_action = None
                                        self.path_selection_metric = None
                                        self.path_selection_segment_routing_adjacency_protection = None
                                        self.path_selection_segment_routing_margin = None
                                        self.path_selection_segment_routing_segment_limit = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.prepend_list = MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                        self.prepend_list.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                    class PrependList(object):
                                        """
                                        SR prepend list
                                        
                                        .. attribute:: prepend_entry
                                        
                                        	List of prepend entries
                                        	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.prepend_entry = YList()
                                            self.prepend_entry.parent = self
                                            self.prepend_entry.name = 'prepend_entry'


                                        class PrependEntry(object):
                                            """
                                            List of prepend entries
                                            
                                            .. attribute:: index
                                            
                                            	Prepend index
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: next_label
                                            
                                            	Prepend next label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: type
                                            
                                            	Prepend Type
                                            	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.index = None
                                                self.next_label = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.index is not None:
                                                    return True

                                                if self.next_label is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.prepend_entry is not None:
                                                for child_ref in self.prepend_entry:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_path_select_configured is not None:
                                            return True

                                        if self.is_path_selection_metric_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_relative is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.is_prepend_list_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.path_selection_invalidation_action is not None:
                                            return True

                                        if self.path_selection_metric is not None:
                                            return True

                                        if self.path_selection_segment_routing_adjacency_protection is not None:
                                            return True

                                        if self.path_selection_segment_routing_margin is not None:
                                            return True

                                        if self.path_selection_segment_routing_segment_limit is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.prepend_list is not None and self.prepend_list._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                        return True

                                    if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                        return True

                                    if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                        return True

                                    if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                        return True

                                    if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                        return True

                                    if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                        return True

                                    if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                        return True

                                    if self.tunnel_attribute_set_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                    return True

                                if self.tunnel_attribute_set_name is not None:
                                    return True

                                if self.tunnel_attribute_set_name_crc32 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet']['meta_info']


                        class PathCalculationError(object):
                            """
                            Path computation information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.PathCalculationError']['meta_info']


                        class RemergeError(object):
                            """
                            Path computation remerge resolve info
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.RemergeError']['meta_info']


                        class SignallingError(object):
                            """
                            Signalling information
                            
                            .. attribute:: error
                            
                            	Path Error code
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: error_node
                            
                            	Source address of the error generating node
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: log_time
                            
                            	Time in seconds when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSPMode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            .. attribute:: reverse_lsp
                            
                            	Indicates if error is on the reverse LSP
                            	**type**\:  bool
                            
                            .. attribute:: signalling_lsp_id
                            
                            	LSP\-id for which the error was received
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: sub_code
                            
                            	Path Error subcode
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error = None
                                self.error_message = None
                                self.error_node = None
                                self.log_time = None
                                self.lsp_mode = None
                                self.reverse_lsp = None
                                self.signalling_lsp_id = None
                                self.sub_code = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error is not None:
                                    return True

                                if self.error_message is not None:
                                    return True

                                if self.error_node is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                if self.reverse_lsp is not None:
                                    return True

                                if self.signalling_lsp_id is not None:
                                    return True

                                if self.sub_code is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.SignallingError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-option'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.attribute_set is not None and self.attribute_set._has_data():
                                return True

                            if self.attribute_set_found is not None:
                                return True

                            if self.explicit_path_id is not None:
                                return True

                            if self.explicit_path_name is not None:
                                return True

                            if self.has_attribute_set is not None:
                                return True

                            if self.has_xro_attribute_set is not None:
                                return True

                            if self.holddown_duration is not None:
                                return True

                            if self.is_disabled is not None:
                                return True

                            if self.is_helddown is not None:
                                return True

                            if self.is_lockdown is not None:
                                return True

                            if self.is_segment_routing is not None:
                                return True

                            if self.is_strict_explicit_path is not None:
                                return True

                            if self.is_verbatim is not None:
                                return True

                            if self.option_index is not None:
                                return True

                            if self.option_index_is_valid is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_area_id is not None:
                                return True

                            if self.path_option_name is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.pce_address is not None:
                                return True

                            if self.protected_by_path_option_index is not None:
                                return True

                            if self.remerge_error is not None:
                                for child_ref in self.remerge_error:
                                    if child_ref._has_data():
                                        return True

                            if self.restored_from_path_option_index is not None:
                                return True

                            if self.signalling_error is not None:
                                for child_ref in self.signalling_error:
                                    if child_ref._has_data():
                                        return True

                            if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                return True

                            if self.xro_attribute_set_found is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:destination'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.active_path_option_index is not None:
                            return True

                        if self.destination_address is not None:
                            return True

                        if self.destination_deletion_cause is not None:
                            return True

                        if self.destination_deletion_sub_cause is not None:
                            return True

                        if self.destination_deletion_timestamp is not None:
                            return True

                        if self.destination_state is not None:
                            return True

                        if self.inter_area_reoptimization is not None and self.inter_area_reoptimization._has_data():
                            return True

                        if self.is_inter_area is not None:
                            return True

                        if self.path_change_time is not None:
                            return True

                        if self.path_option is not None:
                            for child_ref in self.path_option:
                                if child_ref._has_data():
                                    return True

                        if self.path_option_entry is not None:
                            for child_ref in self.path_option_entry:
                                if child_ref._has_data():
                                    return True

                        if self.path_option_exhausted is not None:
                            return True

                        if self.s2l_exist is not None:
                            return True

                        if self.total_uptime is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination']['meta_info']

                @property
                def _common_path(self):
                    if self.tunnel_name is None:
                        raise YPYModelError('Key property tunnel_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:p2p-p2mp-tunnel/Cisco-IOS-XR-mpls-te-oper:tunnel-heads/Cisco-IOS-XR-mpls-te-oper:tunnel-head[Cisco-IOS-XR-mpls-te-oper:tunnel-name = ' + str(self.tunnel_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.tunnel_name is not None:
                        return True

                    if self.admin_state is not None:
                        return True

                    if self.affinity_failure_delayed_tear_time_remained is not None:
                        return True

                    if self.affinity_failure_reopt_disabled is not None:
                        return True

                    if self.affinity_failure_reopt_time_remained is not None:
                        return True

                    if self.area_id is not None:
                        return True

                    if self.auto_backup is not None and self.auto_backup._has_data():
                        return True

                    if self.auto_mesh is not None and self.auto_mesh._has_data():
                        return True

                    if self.auto_pcc is not None and self.auto_pcc._has_data():
                        return True

                    if self.auto_route is not None:
                        return True

                    if self.autoroute_announce_exclude_segment_routing is not None:
                        return True

                    if self.bandwidth_requested is not None:
                        return True

                    if self.bandwidth_type is not None:
                        return True

                    if self.bfd_info is not None and self.bfd_info._has_data():
                        return True

                    if self.bidir is not None and self.bidir._has_data():
                        return True

                    if self.binding_label is not None:
                        return True

                    if self.binding_label_exists is not None:
                        return True

                    if self.cleaned_lsp is not None and self.cleaned_lsp._has_data():
                        return True

                    if self.config is not None and self.config._has_data():
                        return True

                    if self.create_time is not None:
                        return True

                    if self.delay_clean_pp_lsp is not None and self.delay_clean_pp_lsp._has_data():
                        return True

                    if self.destination is not None:
                        for child_ref in self.destination:
                            if child_ref._has_data():
                                return True

                    if self.destination_disabled_count is not None:
                        return True

                    if self.destination_down_count is not None:
                        return True

                    if self.destination_up_count is not None:
                        return True

                    if self.drop_mode is not None:
                        return True

                    if self.explicit_path_change is not None:
                        return True

                    if self.fail_reason is not None:
                        return True

                    if self.flex_info is not None and self.flex_info._has_data():
                        return True

                    if self.forwarding_adjacency is not None:
                        return True

                    if self.history is not None and self.history._has_data():
                        return True

                    if self.hop_limit_ignored_reason is not None:
                        return True

                    if self.invalidation_time_remained is not None:
                        return True

                    if self.is_auto_backup is not None:
                        return True

                    if self.is_auto_pcc is not None:
                        return True

                    if self.is_bandwidth_protect is not None:
                        return True

                    if self.is_hop_limit_ignore is not None:
                        return True

                    if self.is_inter_area_tunnel is not None:
                        return True

                    if self.is_interface is not None:
                        return True

                    if self.is_named is not None:
                        return True

                    if self.is_node_protected is not None:
                        return True

                    if self.is_passive is not None:
                        return True

                    if self.is_pce_delegated is not None:
                        return True

                    if self.last_hop_ifindex is not None:
                        return True

                    if self.last_path_change is not None:
                        return True

                    if self.load_share_factor is not None:
                        return True

                    if self.load_share_type is not None:
                        return True

                    if self.lsp_wrap_label is not None:
                        return True

                    if self.lsp_wrap_protection_enabled is not None:
                        return True

                    if self.metric_qualifier is not None:
                        return True

                    if self.metric_type is not None:
                        return True

                    if self.operational_state is not None:
                        return True

                    if self.operational_state_changes is not None:
                        return True

                    if self.otn_bidir is not None and self.otn_bidir._has_data():
                        return True

                    if self.outbound_frr_state is not None:
                        return True

                    if self.p2p_info is not None and self.p2p_info._has_data():
                        return True

                    if self.passive_tunnel_name is not None:
                        return True

                    if self.path_option_change is not None:
                        return True

                    if self.path_protection is not None and self.path_protection._has_data():
                        return True

                    if self.pce_delegation is not None and self.pce_delegation._has_data():
                        return True

                    if self.pce_fail_reason is not None:
                        return True

                    if self.persistent_bytes is not None:
                        return True

                    if self.persistent_packets is not None:
                        return True

                    if self.re_opt_hold_down_timer_remaining is not None:
                        return True

                    if self.reoptimized_p2mp_lsp is not None and self.reoptimized_p2mp_lsp._has_data():
                        return True

                    if self.reoptimized_standby_p2mp_lsp is not None and self.reoptimized_standby_p2mp_lsp._has_data():
                        return True

                    if self.reroute_pending is not None:
                        return True

                    if self.role_standby is not None:
                        return True

                    if self.signaled_name is not None:
                        return True

                    if self.snmp_index is not None:
                        return True

                    if self.soft_preemption is not None and self.soft_preemption._has_data():
                        return True

                    if self.te_tunnel_convergence is not None and self.te_tunnel_convergence._has_data():
                        return True

                    if self.tie_breaker is not None:
                        return True

                    if self.tiebreaker_qualifier is not None:
                        return True

                    if self.tiebreaker_type is not None:
                        return True

                    if self.transport_tunnel_info is not None and self.transport_tunnel_info._has_data():
                        return True

                    if self.tunnel_attribute_set_name is not None:
                        return True

                    if self.tunnel_attribute_set_type is not None:
                        return True

                    if self.tunnel_current_lsp is not None and self.tunnel_current_lsp._has_data():
                        return True

                    if self.tunnel_interface_name is not None:
                        return True

                    if self.tunnel_recovering is not None:
                        return True

                    if self.tunnel_restoration_lsp is not None and self.tunnel_restoration_lsp._has_data():
                        return True

                    if self.tunnel_standby_lsp is not None and self.tunnel_standby_lsp._has_data():
                        return True

                    if self.uptime is not None:
                        return True

                    if self.wdm_unitunnel is not None and self.wdm_unitunnel._has_data():
                        return True

                    if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                        return True

                    if self.xro_attribute_set_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:p2p-p2mp-tunnel/Cisco-IOS-XR-mpls-te-oper:tunnel-heads'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tunnel_head is not None:
                    for child_ref in self.tunnel_head:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:p2p-p2mp-tunnel'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.nni_tunnels is not None and self.nni_tunnels._has_data():
                return True

            if self.tunnel_heads is not None and self.tunnel_heads._has_data():
                return True

            if self.tunnel_remote_briefs is not None and self.tunnel_remote_briefs._has_data():
                return True

            if self.tunnel_remotes is not None and self.tunnel_remotes._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.P2PP2MpTunnel']['meta_info']


    class TopologyNodes(object):
        """
        A node in the MPLS\-TE topology
        
        .. attribute:: topology_node
        
        	A node in the MPLS\-TE topology
        	**type**\: list of    :py:class:`TopologyNode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyNodes.TopologyNode>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.topology_node = YList()
            self.topology_node.parent = self
            self.topology_node.name = 'topology_node'


        class TopologyNode(object):
            """
            A node in the MPLS\-TE topology
            
            .. attribute:: area  <key>
            
            	IGP area
            	**type**\:  int
            
            	**range:** \-2147483648..2147483647
            
            .. attribute:: igp_id  <key>
            
            	IGP instance
            	**type**\:  str
            
            	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
            
            .. attribute:: igp_node_id  <key>
            
            	IGP Node ID
            	**type**\:  str
            
            .. attribute:: protocol  <key>
            
            	IGP protocol type
            	**type**\:   :py:class:`MplsTeIgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeIgpProtocolEnum>`
            
            .. attribute:: topology_node_type  <key>
            
            	Node type
            	**type**\:   :py:class:`MplsTeNodeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeNodeEnum>`
            
            .. attribute:: topology_node_link
            
            	This node's link information
            	**type**\: list of    :py:class:`TopologyNodeLink <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink>`
            
            .. attribute:: topology_node_overloaded
            
            	Flag to indicate whether this node is overloaded
            	**type**\:  bool
            
            .. attribute:: topology_node_sid_and_srbg
            
            	This node's SID and SRBG information
            	**type**\:   :py:class:`TopologyNodeSidAndSrbg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyNodes.TopologyNode.TopologyNodeSidAndSrbg>`
            
            .. attribute:: topology_node_te_router_id
            
            	The node's TE router\-id. Not set for network nodes
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.area = None
                self.igp_id = None
                self.igp_node_id = None
                self.protocol = None
                self.topology_node_type = None
                self.topology_node_link = YList()
                self.topology_node_link.parent = self
                self.topology_node_link.name = 'topology_node_link'
                self.topology_node_overloaded = None
                self.topology_node_sid_and_srbg = MplsTe.TopologyNodes.TopologyNode.TopologyNodeSidAndSrbg()
                self.topology_node_sid_and_srbg.parent = self
                self.topology_node_te_router_id = None


            class TopologyNodeSidAndSrbg(object):
                """
                This node's SID and SRBG information
                
                .. attribute:: segment_id
                
                	Segment\-Routing Node\-SID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: segment_id_local_absolute_value
                
                	Node\-SID local absolute value
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: srgb_size
                
                	Segment\-Routing global block size
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: srgb_start
                
                	Segment\-Routring global block start value
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.segment_id = None
                    self.segment_id_local_absolute_value = None
                    self.srgb_size = None
                    self.srgb_start = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-node-sid-and-srbg'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.segment_id is not None:
                        return True

                    if self.segment_id_local_absolute_value is not None:
                        return True

                    if self.srgb_size is not None:
                        return True

                    if self.srgb_start is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeSidAndSrbg']['meta_info']


            class TopologyNodeLink(object):
                """
                This node's link information
                
                .. attribute:: adjacency_sid
                
                	Adjacency SIDs assigned for adjacency nodes
                	**type**\: list of    :py:class:`AdjacencySid <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.AdjacencySid>`
                
                .. attribute:: odu_link_capabilities
                
                	ODU Link Capabilities
                	**type**\:   :py:class:`OduLinkCapabilities <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities>`
                
                .. attribute:: shared_risk_link_group
                
                	The link's shared risk link groups
                	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.SharedRiskLinkGroup>`
                
                .. attribute:: topology_link_affinity_bits
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_bandwidth
                
                	Bandwidth information for this link
                	**type**\:   :py:class:`TopologyLinkBandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth>`
                
                .. attribute:: topology_link_bandwidth_model
                
                	The link's topology bandwidth model
                	**type**\:   :py:class:`IgpteLibBwModelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpteLibBwModelEnum>`
                
                .. attribute:: topology_link_encoding
                
                	The link's encoding
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: topology_link_extended_affinity_bit
                
                	The link's affinity bits (colors)
                	**type**\:  list of int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_fragment_id
                
                	Neighbor's link version counter
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_igp_metric
                
                	The link's IGP metric
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_interface_address
                
                	Link's local interface address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: topology_link_interface_id
                
                	Link's local interface ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_neighbor_address
                
                	Link's neighbor interface address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: topology_link_neighbor_generation
                
                	Neighbor's link version counter
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_neighbor_id
                
                	Link's neighbor interface ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_neighbor_node_id
                
                	Node id of neighbor
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_neighbor_system_id
                
                	System id of neighbor
                	**type**\:  str
                
                .. attribute:: topology_link_switching_capability
                
                	The link's switching capability
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: topology_link_te_metric
                
                	The link's TE metric
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_type
                
                	Link type
                	**type**\:   :py:class:`IgpSubnetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpSubnetEnum>`
                
                .. attribute:: topology_link_uni_delay
                
                	Unidirectional Link Delay in micro\-sec
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.adjacency_sid = YList()
                    self.adjacency_sid.parent = self
                    self.adjacency_sid.name = 'adjacency_sid'
                    self.odu_link_capabilities = MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities()
                    self.odu_link_capabilities.parent = self
                    self.shared_risk_link_group = YList()
                    self.shared_risk_link_group.parent = self
                    self.shared_risk_link_group.name = 'shared_risk_link_group'
                    self.topology_link_affinity_bits = None
                    self.topology_link_bandwidth = MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth()
                    self.topology_link_bandwidth.parent = self
                    self.topology_link_bandwidth_model = None
                    self.topology_link_encoding = None
                    self.topology_link_extended_affinity_bit = YLeafList()
                    self.topology_link_extended_affinity_bit.parent = self
                    self.topology_link_extended_affinity_bit.name = 'topology_link_extended_affinity_bit'
                    self.topology_link_fragment_id = None
                    self.topology_link_igp_metric = None
                    self.topology_link_interface_address = None
                    self.topology_link_interface_id = None
                    self.topology_link_neighbor_address = None
                    self.topology_link_neighbor_generation = None
                    self.topology_link_neighbor_id = None
                    self.topology_link_neighbor_node_id = None
                    self.topology_link_neighbor_system_id = None
                    self.topology_link_switching_capability = None
                    self.topology_link_te_metric = None
                    self.topology_link_type = None
                    self.topology_link_uni_delay = None


                class TopologyLinkBandwidth(object):
                    """
                    Bandwidth information for this link
                    
                    .. attribute:: bandwidth_migration_mode
                    
                    	BandwidthMigrationMode
                    	**type**\:   :py:class:`RrrDsteMigrationModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RrrDsteMigrationModeEnum>`
                    
                    .. attribute:: topology_link_bandwidth_prestandard
                    
                    	Pre\-standard bandwidth information for this link
                    	**type**\:   :py:class:`TopologyLinkBandwidthPrestandard <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard>`
                    
                    .. attribute:: topology_link_bandwidth_standard
                    
                    	IETF\-standard bandwidth information for this link
                    	**type**\:   :py:class:`TopologyLinkBandwidthStandard <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bandwidth_migration_mode = None
                        self.topology_link_bandwidth_prestandard = MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard()
                        self.topology_link_bandwidth_prestandard.parent = self
                        self.topology_link_bandwidth_standard = MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard()
                        self.topology_link_bandwidth_standard.parent = self


                    class TopologyLinkBandwidthPrestandard(object):
                        """
                        Pre\-standard bandwidth information for this link
                        
                        .. attribute:: topology_link_prestandard_bandwidth_detail
                        
                        	Detailed bandwidth information for this link
                        	**type**\:   :py:class:`TopologyLinkPrestandardBandwidthDetail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail>`
                        
                        .. attribute:: topology_link_prestandard_bandwidth_physical
                        
                        	The link's physical bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: topology_link_prestandard_bandwidth_reservation_global
                        
                        	The link's reservable global bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: topology_link_prestandard_bandwidth_reservation_subpool
                        
                        	The link's reservable subpool bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.topology_link_prestandard_bandwidth_detail = MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail()
                            self.topology_link_prestandard_bandwidth_detail.parent = self
                            self.topology_link_prestandard_bandwidth_physical = None
                            self.topology_link_prestandard_bandwidth_reservation_global = None
                            self.topology_link_prestandard_bandwidth_reservation_subpool = None


                        class TopologyLinkPrestandardBandwidthDetail(object):
                            """
                            Detailed bandwidth information for this link
                            
                            .. attribute:: topology_link_prestandard_bandwidth_allocated
                            
                            	Link's allocated bandwidth at priority levels (priority 0 to priority 7)
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: topology_link_prestandard_bandwidth_available_global
                            
                            	Link's available global\-pool bandwidth at priority levels (priority 0 to priority 7)
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: topology_link_prestandard_bandwidth_available_subpool
                            
                            	Link's available sub\-pool bandwidth at priority levels (priority 0 to priority 7)
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.topology_link_prestandard_bandwidth_allocated = YLeafList()
                                self.topology_link_prestandard_bandwidth_allocated.parent = self
                                self.topology_link_prestandard_bandwidth_allocated.name = 'topology_link_prestandard_bandwidth_allocated'
                                self.topology_link_prestandard_bandwidth_available_global = YLeafList()
                                self.topology_link_prestandard_bandwidth_available_global.parent = self
                                self.topology_link_prestandard_bandwidth_available_global.name = 'topology_link_prestandard_bandwidth_available_global'
                                self.topology_link_prestandard_bandwidth_available_subpool = YLeafList()
                                self.topology_link_prestandard_bandwidth_available_subpool.parent = self
                                self.topology_link_prestandard_bandwidth_available_subpool.name = 'topology_link_prestandard_bandwidth_available_subpool'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-link-prestandard-bandwidth-detail'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.topology_link_prestandard_bandwidth_allocated is not None:
                                    for child in self.topology_link_prestandard_bandwidth_allocated:
                                        if child is not None:
                                            return True

                                if self.topology_link_prestandard_bandwidth_available_global is not None:
                                    for child in self.topology_link_prestandard_bandwidth_available_global:
                                        if child is not None:
                                            return True

                                if self.topology_link_prestandard_bandwidth_available_subpool is not None:
                                    for child in self.topology_link_prestandard_bandwidth_available_subpool:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-link-bandwidth-prestandard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.topology_link_prestandard_bandwidth_detail is not None and self.topology_link_prestandard_bandwidth_detail._has_data():
                                return True

                            if self.topology_link_prestandard_bandwidth_physical is not None:
                                return True

                            if self.topology_link_prestandard_bandwidth_reservation_global is not None:
                                return True

                            if self.topology_link_prestandard_bandwidth_reservation_subpool is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard']['meta_info']


                    class TopologyLinkBandwidthStandard(object):
                        """
                        IETF\-standard bandwidth information for this
                        link
                        
                        .. attribute:: topo_link_std_bw_detail
                        
                        	Detailed bandwidth information for this link
                        	**type**\:   :py:class:`TopoLinkStdBwDetail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail>`
                        
                        .. attribute:: topo_link_std_bw_physical
                        
                        	The link's physical bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: topo_link_std_bw_res_max
                        
                        	The link's maximum reservable bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: topo_link_std_bw_res_pool0
                        
                        	The link's reservable BC0 bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: topo_link_std_bw_res_pool1
                        
                        	The link's reservable BC1 bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.topo_link_std_bw_detail = MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail()
                            self.topo_link_std_bw_detail.parent = self
                            self.topo_link_std_bw_physical = None
                            self.topo_link_std_bw_res_max = None
                            self.topo_link_std_bw_res_pool0 = None
                            self.topo_link_std_bw_res_pool1 = None


                        class TopoLinkStdBwDetail(object):
                            """
                            Detailed bandwidth information for this link
                            
                            .. attribute:: topo_link_std_bw_allocated
                            
                            	Link's allocated bandwidth per class
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: topo_link_std_bw_available
                            
                            	Link's available bandwidth per class
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.topo_link_std_bw_allocated = YLeafList()
                                self.topo_link_std_bw_allocated.parent = self
                                self.topo_link_std_bw_allocated.name = 'topo_link_std_bw_allocated'
                                self.topo_link_std_bw_available = YLeafList()
                                self.topo_link_std_bw_available.parent = self
                                self.topo_link_std_bw_available.name = 'topo_link_std_bw_available'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topo-link-std-bw-detail'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.topo_link_std_bw_allocated is not None:
                                    for child in self.topo_link_std_bw_allocated:
                                        if child is not None:
                                            return True

                                if self.topo_link_std_bw_available is not None:
                                    for child in self.topo_link_std_bw_available:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-link-bandwidth-standard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.topo_link_std_bw_detail is not None and self.topo_link_std_bw_detail._has_data():
                                return True

                            if self.topo_link_std_bw_physical is not None:
                                return True

                            if self.topo_link_std_bw_res_max is not None:
                                return True

                            if self.topo_link_std_bw_res_pool0 is not None:
                                return True

                            if self.topo_link_std_bw_res_pool1 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-link-bandwidth'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bandwidth_migration_mode is not None:
                            return True

                        if self.topology_link_bandwidth_prestandard is not None and self.topology_link_bandwidth_prestandard._has_data():
                            return True

                        if self.topology_link_bandwidth_standard is not None and self.topology_link_bandwidth_standard._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth']['meta_info']


                class OduLinkCapabilities(object):
                    """
                    ODU Link Capabilities
                    
                    .. attribute:: max_lsp_bandwidth
                    
                    	Max LSP Bandwidth per priority in kbit/s
                    	**type**\:  list of int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: odu_capability
                    
                    	ODU Capabilities of Link
                    	**type**\: list of    :py:class:`OduCapability <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.max_lsp_bandwidth = YLeafList()
                        self.max_lsp_bandwidth.parent = self
                        self.max_lsp_bandwidth.name = 'max_lsp_bandwidth'
                        self.odu_capability = YList()
                        self.odu_capability.parent = self
                        self.odu_capability.name = 'odu_capability'


                    class OduCapability(object):
                        """
                        ODU Capabilities of Link
                        
                        .. attribute:: bandwidth_info
                        
                        	Bandwidth related info for this ODU level
                        	**type**\:   :py:class:`BandwidthInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo>`
                        
                        .. attribute:: lcas_capable
                        
                        	True if link LCAS capable for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: signal_type
                        
                        	Signal Type
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage1
                        
                        	ODU Type at stage 1, Not Set for HO ODU
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage2
                        
                        	ODU Type at stage 2, Not Set for single stage mulitplexing
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage3
                        
                        	ODU Type at stage 3, Not set up to two levels of multiplexing
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage4
                        
                        	ODU Type at stage 4, Not set up to three levels of multiplexing
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: switchable
                        
                        	True if link is switchable for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: terminable
                        
                        	True if link is terminable for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: tsg1p25
                        
                        	True if link supports 1.25G TSG for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: tsg2p5
                        
                        	True if link supports 2.5G TSG for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: vcat_capable
                        
                        	True if link VCAT capable for this ODU level
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bandwidth_info = MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo()
                            self.bandwidth_info.parent = self
                            self.lcas_capable = None
                            self.signal_type = None
                            self.stage1 = None
                            self.stage2 = None
                            self.stage3 = None
                            self.stage4 = None
                            self.switchable = None
                            self.terminable = None
                            self.tsg1p25 = None
                            self.tsg2p5 = None
                            self.vcat_capable = None


                        class BandwidthInfo(object):
                            """
                            Bandwidth related info for this ODU level
                            
                            .. attribute:: fixed
                            
                            	ODU capability for Fixed ODUs
                            	**type**\:   :py:class:`Fixed <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed>`
                            
                            .. attribute:: flex
                            
                            	ODU capability for Flex ODUs
                            	**type**\:   :py:class:`Flex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex>`
                            
                            .. attribute:: type
                            
                            	type
                            	**type**\:   :py:class:`TeOduCapabilityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduCapabilityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fixed = MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed()
                                self.fixed.parent = self
                                self.flex = MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex()
                                self.flex.parent = self
                                self.type = None


                            class Fixed(object):
                                """
                                ODU capability for Fixed ODUs
                                
                                .. attribute:: maximum_od_us
                                
                                	Maximum Number of ODUs of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: unreserved_od_us
                                
                                	Maximum Number of ODUs of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.maximum_od_us = None
                                    self.unreserved_od_us = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fixed'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.maximum_od_us is not None:
                                        return True

                                    if self.unreserved_od_us is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed']['meta_info']


                            class Flex(object):
                                """
                                ODU capability for Flex ODUs
                                
                                .. attribute:: max_bandwidth
                                
                                	Max kbps Bandwidth of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: max_lsp_bandwidth
                                
                                	Per LSP Max kbps Bandwidth of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: unreserved_bandwidth
                                
                                	Unreserved kbps Bandwidth of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.max_bandwidth = None
                                    self.max_lsp_bandwidth = None
                                    self.unreserved_bandwidth = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.max_bandwidth is not None:
                                        return True

                                    if self.max_lsp_bandwidth is not None:
                                        return True

                                    if self.unreserved_bandwidth is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fixed is not None and self.fixed._has_data():
                                    return True

                                if self.flex is not None and self.flex._has_data():
                                    return True

                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-capability'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bandwidth_info is not None and self.bandwidth_info._has_data():
                                return True

                            if self.lcas_capable is not None:
                                return True

                            if self.signal_type is not None:
                                return True

                            if self.stage1 is not None:
                                return True

                            if self.stage2 is not None:
                                return True

                            if self.stage3 is not None:
                                return True

                            if self.stage4 is not None:
                                return True

                            if self.switchable is not None:
                                return True

                            if self.terminable is not None:
                                return True

                            if self.tsg1p25 is not None:
                                return True

                            if self.tsg2p5 is not None:
                                return True

                            if self.vcat_capable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-link-capabilities'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.max_lsp_bandwidth is not None:
                            for child in self.max_lsp_bandwidth:
                                if child is not None:
                                    return True

                        if self.odu_capability is not None:
                            for child_ref in self.odu_capability:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities']['meta_info']


                class SharedRiskLinkGroup(object):
                    """
                    The link's shared risk link groups
                    
                    .. attribute:: shared_risk_group
                    
                    	SRLG number
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srlg_name
                    
                    	SRLG name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.shared_risk_group = None
                        self.srlg_name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.shared_risk_group is not None:
                            return True

                        if self.srlg_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.SharedRiskLinkGroup']['meta_info']


                class AdjacencySid(object):
                    """
                    Adjacency SIDs assigned for adjacency nodes
                    
                    .. attribute:: adjacency_sid
                    
                    	The adjacency SID assigned for the topology node
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: flag_b
                    
                    	IGP Flag B
                    	**type**\:  bool
                    
                    .. attribute:: flag_f
                    
                    	IGP Flag F
                    	**type**\:  bool
                    
                    .. attribute:: flag_l
                    
                    	IGP Flag L
                    	**type**\:  bool
                    
                    .. attribute:: flag_s
                    
                    	IGP Flag S
                    	**type**\:  bool
                    
                    .. attribute:: flag_v
                    
                    	IGP Flag V
                    	**type**\:  bool
                    
                    .. attribute:: link_type
                    
                    	Link Type
                    	**type**\:   :py:class:`IgpSubnetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpSubnetEnum>`
                    
                    .. attribute:: local_addr
                    
                    	Local Address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: nbr_node_igpid
                    
                    	The neighbor node's IGP ID
                    	**type**\:  str
                    
                    .. attribute:: nbr_node_te_router_id
                    
                    	The neigbor node's TE router\-id
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: remote_addr
                    
                    	Remote Address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.adjacency_sid = None
                        self.flag_b = None
                        self.flag_f = None
                        self.flag_l = None
                        self.flag_s = None
                        self.flag_v = None
                        self.link_type = None
                        self.local_addr = None
                        self.nbr_node_igpid = None
                        self.nbr_node_te_router_id = None
                        self.remote_addr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:adjacency-sid'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.adjacency_sid is not None:
                            return True

                        if self.flag_b is not None:
                            return True

                        if self.flag_f is not None:
                            return True

                        if self.flag_l is not None:
                            return True

                        if self.flag_s is not None:
                            return True

                        if self.flag_v is not None:
                            return True

                        if self.link_type is not None:
                            return True

                        if self.local_addr is not None:
                            return True

                        if self.nbr_node_igpid is not None:
                            return True

                        if self.nbr_node_te_router_id is not None:
                            return True

                        if self.remote_addr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.AdjacencySid']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-node-link'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.adjacency_sid is not None:
                        for child_ref in self.adjacency_sid:
                            if child_ref._has_data():
                                return True

                    if self.odu_link_capabilities is not None and self.odu_link_capabilities._has_data():
                        return True

                    if self.shared_risk_link_group is not None:
                        for child_ref in self.shared_risk_link_group:
                            if child_ref._has_data():
                                return True

                    if self.topology_link_affinity_bits is not None:
                        return True

                    if self.topology_link_bandwidth is not None and self.topology_link_bandwidth._has_data():
                        return True

                    if self.topology_link_bandwidth_model is not None:
                        return True

                    if self.topology_link_encoding is not None:
                        return True

                    if self.topology_link_extended_affinity_bit is not None:
                        for child in self.topology_link_extended_affinity_bit:
                            if child is not None:
                                return True

                    if self.topology_link_fragment_id is not None:
                        return True

                    if self.topology_link_igp_metric is not None:
                        return True

                    if self.topology_link_interface_address is not None:
                        return True

                    if self.topology_link_interface_id is not None:
                        return True

                    if self.topology_link_neighbor_address is not None:
                        return True

                    if self.topology_link_neighbor_generation is not None:
                        return True

                    if self.topology_link_neighbor_id is not None:
                        return True

                    if self.topology_link_neighbor_node_id is not None:
                        return True

                    if self.topology_link_neighbor_system_id is not None:
                        return True

                    if self.topology_link_switching_capability is not None:
                        return True

                    if self.topology_link_te_metric is not None:
                        return True

                    if self.topology_link_type is not None:
                        return True

                    if self.topology_link_uni_delay is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink']['meta_info']

            @property
            def _common_path(self):
                if self.area is None:
                    raise YPYModelError('Key property area is None')
                if self.igp_id is None:
                    raise YPYModelError('Key property igp_id is None')
                if self.igp_node_id is None:
                    raise YPYModelError('Key property igp_node_id is None')
                if self.protocol is None:
                    raise YPYModelError('Key property protocol is None')
                if self.topology_node_type is None:
                    raise YPYModelError('Key property topology_node_type is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology-nodes/Cisco-IOS-XR-mpls-te-oper:topology-node[Cisco-IOS-XR-mpls-te-oper:area = ' + str(self.area) + '][Cisco-IOS-XR-mpls-te-oper:igp-id = ' + str(self.igp_id) + '][Cisco-IOS-XR-mpls-te-oper:igp-node-id = ' + str(self.igp_node_id) + '][Cisco-IOS-XR-mpls-te-oper:protocol = ' + str(self.protocol) + '][Cisco-IOS-XR-mpls-te-oper:topology-node-type = ' + str(self.topology_node_type) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.area is not None:
                    return True

                if self.igp_id is not None:
                    return True

                if self.igp_node_id is not None:
                    return True

                if self.protocol is not None:
                    return True

                if self.topology_node_type is not None:
                    return True

                if self.topology_node_link is not None:
                    for child_ref in self.topology_node_link:
                        if child_ref._has_data():
                            return True

                if self.topology_node_overloaded is not None:
                    return True

                if self.topology_node_sid_and_srbg is not None and self.topology_node_sid_and_srbg._has_data():
                    return True

                if self.topology_node_te_router_id is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.TopologyNodes.TopologyNode']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology-nodes'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.topology_node is not None:
                for child_ref in self.topology_node:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.TopologyNodes']['meta_info']


    class AnnounceTunnelsInfo(object):
        """
        Announced tunnels (forwarding adjacency and
        autoroute annonce)
        
        .. attribute:: all_autoroute_table
        
        	Autoroute announce and forwarding adjacency table
        	**type**\:   :py:class:`AllAutorouteTable <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AnnounceTunnelsInfo.AllAutorouteTable>`
        
        .. attribute:: autoroute_announce_table
        
        	Autoroute announce and forwarding adjacency table
        	**type**\:   :py:class:`AutorouteAnnounceTable <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.all_autoroute_table = MplsTe.AnnounceTunnelsInfo.AllAutorouteTable()
            self.all_autoroute_table.parent = self
            self.autoroute_announce_table = MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable()
            self.autoroute_announce_table.parent = self


        class AutorouteAnnounceTable(object):
            """
            Autoroute announce and forwarding adjacency
            table
            
            .. attribute:: announce_dest
            
            	Autoroute tunnels per destination information
            	**type**\: list of    :py:class:`AnnounceDest <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.announce_dest = YList()
                self.announce_dest.parent = self
                self.announce_dest.name = 'announce_dest'


            class AnnounceDest(object):
                """
                Autoroute tunnels per destination information
                
                .. attribute:: area  <key>
                
                	Area
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: igp_id  <key>
                
                	IGP Instance ID
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: protocol  <key>
                
                	The IGP protocol used by the tunnel
                	**type**\:   :py:class:`MplsTeIgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeIgpProtocolEnum>`
                
                .. attribute:: announced_tunnels_count
                
                	The number of announced tunnels
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: area_format
                
                	The format for the area\: IPv4 address or a positive integer
                	**type**\:   :py:class:`IgpOspfAreaFormatEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpOspfAreaFormatEnum>`
                
                .. attribute:: autorouted_tunnels_count
                
                	The number of tunnels that are announced as shortcuts
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: destination
                
                	Destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: forwarding_adjacency_tunnels_count
                
                	The number of tunnels that are announced as forwarding adjacencies
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: igp_area
                
                	IGP Area ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: igp_instance
                
                	IGP Instance name
                	**type**\:  str
                
                .. attribute:: igp_type
                
                	IGP type
                	**type**\:   :py:class:`IgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpProtocolEnum>`
                
                .. attribute:: total_tunnel
                
                	Announced tunnels for this destination
                	**type**\: list of    :py:class:`TotalTunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.area = None
                    self.destination_address = None
                    self.igp_id = None
                    self.protocol = None
                    self.announced_tunnels_count = None
                    self.area_format = None
                    self.autorouted_tunnels_count = None
                    self.destination = None
                    self.forwarding_adjacency_tunnels_count = None
                    self.igp_area = None
                    self.igp_instance = None
                    self.igp_type = None
                    self.total_tunnel = YList()
                    self.total_tunnel.parent = self
                    self.total_tunnel.name = 'total_tunnel'


                class TotalTunnel(object):
                    """
                    Announced tunnels for this destination
                    
                    .. attribute:: announce_type
                    
                    	Announcement type
                    	**type**\:   :py:class:`MplsTeTunnelAnnounceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelAnnounceEnum>`
                    
                    .. attribute:: area_format
                    
                    	IGP Area Format
                    	**type**\:   :py:class:`IgpOspfAreaFormatEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpOspfAreaFormatEnum>`
                    
                    .. attribute:: hold_time
                    
                    	Hold time in seconds
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: ig_ps
                    
                    	List of IGPs to which it is announced
                    	**type**\: list of    :py:class:`IgPs <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel.IgPs>`
                    
                    .. attribute:: igp_metric
                    
                    	IGP metric
                    	**type**\:  int
                    
                    	**range:** \-2147483648..2147483647
                    
                    .. attribute:: is_auto_mesh_aa
                    
                    	True if this is auto\-tunnel mesh AA
                    	**type**\:  bool
                    
                    .. attribute:: is_exclude_segment_routing
                    
                    	True if autoroute\-announce has exclude segment\-routing option
                    	**type**\:  bool
                    
                    .. attribute:: is_sr
                    
                    	True if this is a segment routing tunnel
                    	**type**\:  bool
                    
                    .. attribute:: is_sr_strict
                    
                    	True if this is a strict SID SR tunnel
                    	**type**\:  bool
                    
                    .. attribute:: mesh_group_idaa
                    
                    	MeshGroup ID for AA
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: mode
                    
                    	Autoroute mode
                    	**type**\:   :py:class:`IgpteAaMetricModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpteAaMetricModeEnum>`
                    
                    .. attribute:: next_hop_address
                    
                    	The tunnel destination
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: tunnel_loadshare
                    
                    	Tunnel loadshare
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tunnel_name
                    
                    	The tunnel name
                    	**type**\:  str
                    
                    .. attribute:: tunnel_sig_name
                    
                    	The tunnel signaled\-name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.announce_type = None
                        self.area_format = None
                        self.hold_time = None
                        self.ig_ps = YList()
                        self.ig_ps.parent = self
                        self.ig_ps.name = 'ig_ps'
                        self.igp_metric = None
                        self.is_auto_mesh_aa = None
                        self.is_exclude_segment_routing = None
                        self.is_sr = None
                        self.is_sr_strict = None
                        self.mesh_group_idaa = None
                        self.mode = None
                        self.next_hop_address = None
                        self.tunnel_loadshare = None
                        self.tunnel_name = None
                        self.tunnel_sig_name = None


                    class IgPs(object):
                        """
                        List of IGPs to which it is announced
                        
                        .. attribute:: afi
                        
                        	AFI
                        	**type**\:   :py:class:`MplsTeAfiEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeAfiEnum>`
                        
                        .. attribute:: igp_area_id
                        
                        	The IGP Instance and Area ID
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.afi = None
                            self.igp_area_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ig-ps'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.afi is not None:
                                return True

                            if self.igp_area_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel.IgPs']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:total-tunnel'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.announce_type is not None:
                            return True

                        if self.area_format is not None:
                            return True

                        if self.hold_time is not None:
                            return True

                        if self.ig_ps is not None:
                            for child_ref in self.ig_ps:
                                if child_ref._has_data():
                                    return True

                        if self.igp_metric is not None:
                            return True

                        if self.is_auto_mesh_aa is not None:
                            return True

                        if self.is_exclude_segment_routing is not None:
                            return True

                        if self.is_sr is not None:
                            return True

                        if self.is_sr_strict is not None:
                            return True

                        if self.mesh_group_idaa is not None:
                            return True

                        if self.mode is not None:
                            return True

                        if self.next_hop_address is not None:
                            return True

                        if self.tunnel_loadshare is not None:
                            return True

                        if self.tunnel_name is not None:
                            return True

                        if self.tunnel_sig_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel']['meta_info']

                @property
                def _common_path(self):
                    if self.area is None:
                        raise YPYModelError('Key property area is None')
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.igp_id is None:
                        raise YPYModelError('Key property igp_id is None')
                    if self.protocol is None:
                        raise YPYModelError('Key property protocol is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:announce-tunnels-info/Cisco-IOS-XR-mpls-te-oper:autoroute-announce-table/Cisco-IOS-XR-mpls-te-oper:announce-dest[Cisco-IOS-XR-mpls-te-oper:area = ' + str(self.area) + '][Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:igp-id = ' + str(self.igp_id) + '][Cisco-IOS-XR-mpls-te-oper:protocol = ' + str(self.protocol) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.area is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.igp_id is not None:
                        return True

                    if self.protocol is not None:
                        return True

                    if self.announced_tunnels_count is not None:
                        return True

                    if self.area_format is not None:
                        return True

                    if self.autorouted_tunnels_count is not None:
                        return True

                    if self.destination is not None:
                        return True

                    if self.forwarding_adjacency_tunnels_count is not None:
                        return True

                    if self.igp_area is not None:
                        return True

                    if self.igp_instance is not None:
                        return True

                    if self.igp_type is not None:
                        return True

                    if self.total_tunnel is not None:
                        for child_ref in self.total_tunnel:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:announce-tunnels-info/Cisco-IOS-XR-mpls-te-oper:autoroute-announce-table'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.announce_dest is not None:
                    for child_ref in self.announce_dest:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable']['meta_info']


        class AllAutorouteTable(object):
            """
            Autoroute announce and forwarding adjacency
            table
            
            .. attribute:: announce_dest
            
            	Autoroute tunnels per destination information
            	**type**\: list of    :py:class:`AnnounceDest <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.announce_dest = YList()
                self.announce_dest.parent = self
                self.announce_dest.name = 'announce_dest'


            class AnnounceDest(object):
                """
                Autoroute tunnels per destination information
                
                .. attribute:: area  <key>
                
                	Area
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: igp_id  <key>
                
                	IGP Instance ID
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: protocol  <key>
                
                	The IGP protocol used by the tunnel
                	**type**\:   :py:class:`MplsTeIgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeIgpProtocolEnum>`
                
                .. attribute:: announced_tunnels_count
                
                	The number of announced tunnels
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: area_format
                
                	The format for the area\: IPv4 address or a positive integer
                	**type**\:   :py:class:`IgpOspfAreaFormatEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpOspfAreaFormatEnum>`
                
                .. attribute:: autorouted_tunnels_count
                
                	The number of tunnels that are announced as shortcuts
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: destination
                
                	Destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: forwarding_adjacency_tunnels_count
                
                	The number of tunnels that are announced as forwarding adjacencies
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: igp_area
                
                	IGP Area ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: igp_instance
                
                	IGP Instance name
                	**type**\:  str
                
                .. attribute:: igp_type
                
                	IGP type
                	**type**\:   :py:class:`IgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpProtocolEnum>`
                
                .. attribute:: total_tunnel
                
                	Announced tunnels for this destination
                	**type**\: list of    :py:class:`TotalTunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.area = None
                    self.destination_address = None
                    self.igp_id = None
                    self.protocol = None
                    self.announced_tunnels_count = None
                    self.area_format = None
                    self.autorouted_tunnels_count = None
                    self.destination = None
                    self.forwarding_adjacency_tunnels_count = None
                    self.igp_area = None
                    self.igp_instance = None
                    self.igp_type = None
                    self.total_tunnel = YList()
                    self.total_tunnel.parent = self
                    self.total_tunnel.name = 'total_tunnel'


                class TotalTunnel(object):
                    """
                    Announced tunnels for this destination
                    
                    .. attribute:: announce_type
                    
                    	Announcement type
                    	**type**\:   :py:class:`MplsTeTunnelAnnounceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelAnnounceEnum>`
                    
                    .. attribute:: area_format
                    
                    	IGP Area Format
                    	**type**\:   :py:class:`IgpOspfAreaFormatEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpOspfAreaFormatEnum>`
                    
                    .. attribute:: hold_time
                    
                    	Hold time in seconds
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: ig_ps
                    
                    	List of IGPs to which it is announced
                    	**type**\: list of    :py:class:`IgPs <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel.IgPs>`
                    
                    .. attribute:: igp_metric
                    
                    	IGP metric
                    	**type**\:  int
                    
                    	**range:** \-2147483648..2147483647
                    
                    .. attribute:: is_auto_mesh_aa
                    
                    	True if this is auto\-tunnel mesh AA
                    	**type**\:  bool
                    
                    .. attribute:: is_exclude_segment_routing
                    
                    	True if autoroute\-announce has exclude segment\-routing option
                    	**type**\:  bool
                    
                    .. attribute:: is_sr
                    
                    	True if this is a segment routing tunnel
                    	**type**\:  bool
                    
                    .. attribute:: is_sr_strict
                    
                    	True if this is a strict SID SR tunnel
                    	**type**\:  bool
                    
                    .. attribute:: mesh_group_idaa
                    
                    	MeshGroup ID for AA
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: mode
                    
                    	Autoroute mode
                    	**type**\:   :py:class:`IgpteAaMetricModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpteAaMetricModeEnum>`
                    
                    .. attribute:: next_hop_address
                    
                    	The tunnel destination
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: tunnel_loadshare
                    
                    	Tunnel loadshare
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tunnel_name
                    
                    	The tunnel name
                    	**type**\:  str
                    
                    .. attribute:: tunnel_sig_name
                    
                    	The tunnel signaled\-name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.announce_type = None
                        self.area_format = None
                        self.hold_time = None
                        self.ig_ps = YList()
                        self.ig_ps.parent = self
                        self.ig_ps.name = 'ig_ps'
                        self.igp_metric = None
                        self.is_auto_mesh_aa = None
                        self.is_exclude_segment_routing = None
                        self.is_sr = None
                        self.is_sr_strict = None
                        self.mesh_group_idaa = None
                        self.mode = None
                        self.next_hop_address = None
                        self.tunnel_loadshare = None
                        self.tunnel_name = None
                        self.tunnel_sig_name = None


                    class IgPs(object):
                        """
                        List of IGPs to which it is announced
                        
                        .. attribute:: afi
                        
                        	AFI
                        	**type**\:   :py:class:`MplsTeAfiEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeAfiEnum>`
                        
                        .. attribute:: igp_area_id
                        
                        	The IGP Instance and Area ID
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.afi = None
                            self.igp_area_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ig-ps'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.afi is not None:
                                return True

                            if self.igp_area_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel.IgPs']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:total-tunnel'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.announce_type is not None:
                            return True

                        if self.area_format is not None:
                            return True

                        if self.hold_time is not None:
                            return True

                        if self.ig_ps is not None:
                            for child_ref in self.ig_ps:
                                if child_ref._has_data():
                                    return True

                        if self.igp_metric is not None:
                            return True

                        if self.is_auto_mesh_aa is not None:
                            return True

                        if self.is_exclude_segment_routing is not None:
                            return True

                        if self.is_sr is not None:
                            return True

                        if self.is_sr_strict is not None:
                            return True

                        if self.mesh_group_idaa is not None:
                            return True

                        if self.mode is not None:
                            return True

                        if self.next_hop_address is not None:
                            return True

                        if self.tunnel_loadshare is not None:
                            return True

                        if self.tunnel_name is not None:
                            return True

                        if self.tunnel_sig_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel']['meta_info']

                @property
                def _common_path(self):
                    if self.area is None:
                        raise YPYModelError('Key property area is None')
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.igp_id is None:
                        raise YPYModelError('Key property igp_id is None')
                    if self.protocol is None:
                        raise YPYModelError('Key property protocol is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:announce-tunnels-info/Cisco-IOS-XR-mpls-te-oper:all-autoroute-table/Cisco-IOS-XR-mpls-te-oper:announce-dest[Cisco-IOS-XR-mpls-te-oper:area = ' + str(self.area) + '][Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:igp-id = ' + str(self.igp_id) + '][Cisco-IOS-XR-mpls-te-oper:protocol = ' + str(self.protocol) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.area is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.igp_id is not None:
                        return True

                    if self.protocol is not None:
                        return True

                    if self.announced_tunnels_count is not None:
                        return True

                    if self.area_format is not None:
                        return True

                    if self.autorouted_tunnels_count is not None:
                        return True

                    if self.destination is not None:
                        return True

                    if self.forwarding_adjacency_tunnels_count is not None:
                        return True

                    if self.igp_area is not None:
                        return True

                    if self.igp_instance is not None:
                        return True

                    if self.igp_type is not None:
                        return True

                    if self.total_tunnel is not None:
                        for child_ref in self.total_tunnel:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:announce-tunnels-info/Cisco-IOS-XR-mpls-te-oper:all-autoroute-table'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.announce_dest is not None:
                    for child_ref in self.announce_dest:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.AnnounceTunnelsInfo.AllAutorouteTable']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:announce-tunnels-info'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.all_autoroute_table is not None and self.all_autoroute_table._has_data():
                return True

            if self.autoroute_announce_table is not None and self.autoroute_announce_table._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.AnnounceTunnelsInfo']['meta_info']


    class CollaboratorTimers(object):
        """
        TE Collaborator timer status
        
        .. attribute:: p2mp_timer
        
        	Description of all P2MP timers
        	**type**\: list of    :py:class:`P2MpTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.CollaboratorTimers.P2MpTimer>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.p2mp_timer = YList()
            self.p2mp_timer.parent = self
            self.p2mp_timer.name = 'p2mp_timer'


        class P2MpTimer(object):
            """
            Description of all P2MP timers
            
            .. attribute:: duration
            
            	The expiry delay in seconds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: expiry_time
            
            	Date when the timer last expired in seconds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: is_running
            
            	True if the timer is running
            	**type**\:  bool
            
            .. attribute:: start_time
            
            	Date when timer was last started in seconds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: stop_time
            
            	Date when the timer was last stopped in seconds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: timer_name
            
            	Timer Name
            	**type**\:  str
            
            .. attribute:: timer_type
            
            	Timer Type
            	**type**\:   :py:class:`MplsTeP2MpTimerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeP2MpTimerEnum>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.duration = None
                self.expiry_time = None
                self.is_running = None
                self.start_time = None
                self.stop_time = None
                self.timer_name = None
                self.timer_type = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:collaborator-timers/Cisco-IOS-XR-mpls-te-oper:p2mp-timer'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.duration is not None:
                    return True

                if self.expiry_time is not None:
                    return True

                if self.is_running is not None:
                    return True

                if self.start_time is not None:
                    return True

                if self.stop_time is not None:
                    return True

                if self.timer_name is not None:
                    return True

                if self.timer_type is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.CollaboratorTimers.P2MpTimer']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:collaborator-timers'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.p2mp_timer is not None:
                for child_ref in self.p2mp_timer:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.CollaboratorTimers']['meta_info']


    class AutoTunnel(object):
        """
        Auto tunnel information.
        
        .. attribute:: backup
        
        	Auto tunnel backup information
        	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Backup>`
        
        .. attribute:: mesh
        
        	Auto tunnel mesh information
        	**type**\:   :py:class:`Mesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Mesh>`
        
        .. attribute:: pcc
        
        	Auto tunnel PCC (Path Computation Client) information
        	**type**\:   :py:class:`Pcc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Pcc>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.backup = MplsTe.AutoTunnel.Backup()
            self.backup.parent = self
            self.mesh = MplsTe.AutoTunnel.Mesh()
            self.mesh.parent = self
            self.pcc = MplsTe.AutoTunnel.Pcc()
            self.pcc.parent = self


        class Pcc(object):
            """
            Auto tunnel PCC (Path Computation Client)
            information.
            
            .. attribute:: summary
            
            	MPLS TE auto\-tunnel pcc summary information
            	**type**\:   :py:class:`Summary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Pcc.Summary>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.summary = MplsTe.AutoTunnel.Pcc.Summary()
                self.summary.parent = self


            class Summary(object):
                """
                MPLS TE auto\-tunnel pcc summary information
                
                .. attribute:: down_pcc_auto_tunnels
                
                	Total number of stateful PCE client auto\-tunnels that are down
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: pcc_auto_tunnel
                
                	Total number of stateful PCE client auto\-tunnels
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: up_pcc_auto_tunnels
                
                	Total number of stateful PCE client auto\-tunnels that are up
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.down_pcc_auto_tunnels = None
                    self.pcc_auto_tunnel = None
                    self.up_pcc_auto_tunnels = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:pcc/Cisco-IOS-XR-mpls-te-oper:summary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.down_pcc_auto_tunnels is not None:
                        return True

                    if self.pcc_auto_tunnel is not None:
                        return True

                    if self.up_pcc_auto_tunnels is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.AutoTunnel.Pcc.Summary']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:pcc'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.summary is not None and self.summary._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.AutoTunnel.Pcc']['meta_info']


        class Mesh(object):
            """
            Auto tunnel mesh information.
            
            .. attribute:: config
            
            	MPLS TE auto\-tunnel mesh configuration information
            	**type**\:   :py:class:`Config <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Mesh.Config>`
            
            .. attribute:: mesh_groups
            
            	Display auto\-tunnel mesh group
            	**type**\:   :py:class:`MeshGroups <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Mesh.MeshGroups>`
            
            .. attribute:: one_hop
            
            	MPLS TE auto\-tunnel mesh onehop information
            	**type**\:   :py:class:`OneHop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Mesh.OneHop>`
            
            .. attribute:: statistics
            
            	MPLS TE auto\-tunnel mesh counters (stats) information
            	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Mesh.Statistics>`
            
            .. attribute:: summary
            
            	MPLS TE auto\-tunnel mesh summary information
            	**type**\:   :py:class:`Summary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Mesh.Summary>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.config = MplsTe.AutoTunnel.Mesh.Config()
                self.config.parent = self
                self.mesh_groups = MplsTe.AutoTunnel.Mesh.MeshGroups()
                self.mesh_groups.parent = self
                self.one_hop = MplsTe.AutoTunnel.Mesh.OneHop()
                self.one_hop.parent = self
                self.statistics = MplsTe.AutoTunnel.Mesh.Statistics()
                self.statistics.parent = self
                self.summary = MplsTe.AutoTunnel.Mesh.Summary()
                self.summary.parent = self


            class MeshGroups(object):
                """
                Display auto\-tunnel mesh group
                
                .. attribute:: mesh_group
                
                	Display auto\-tunnel mesh group information
                	**type**\: list of    :py:class:`MeshGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Mesh.MeshGroups.MeshGroup>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.mesh_group = YList()
                    self.mesh_group.parent = self
                    self.mesh_group.name = 'mesh_group'


                class MeshGroup(object):
                    """
                    Display auto\-tunnel mesh group information
                    
                    .. attribute:: mesh_group_id  <key>
                    
                    	Mesh group ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: attribute_set_name
                    
                    	Attribute set name
                    	**type**\:  str
                    
                    .. attribute:: auto_mesh_group_type
                    
                    	Meshgroup Type
                    	**type**\:   :py:class:`TeMeshgroupEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMeshgroupEnum>`
                    
                    .. attribute:: auto_mesh_total_destinations
                    
                    	Total number of destinations
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: auto_mesh_tunnels
                    
                    	Total number of automesh tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: destination
                    
                    	List of destinations for this meshgroup
                    	**type**\: list of    :py:class:`Destination <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Mesh.MeshGroups.MeshGroup.Destination>`
                    
                    .. attribute:: destination_list_name
                    
                    	Destination List name
                    	**type**\:  str
                    
                    .. attribute:: destination_list_type
                    
                    	Type of the  destlist
                    	**type**\:   :py:class:`TeAclEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAclEnum>`
                    
                    .. attribute:: down_auto_mesh_tunnels
                    
                    	Total number of automesh tunnels that are down
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: frr_auto_mesh_tunnels
                    
                    	Total number of automesh tunnels that are FRR enabled
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_attribute_set_configured
                    
                    	Is any attribute\-set associated to this meshgroup
                    	**type**\:  bool
                    
                    .. attribute:: is_attribute_set_in_db
                    
                    	Flag to indicate the existence of attribute set found in database
                    	**type**\:  bool
                    
                    .. attribute:: is_destination_list_configured
                    
                    	Is any destiantion\-list associated to this meshgroup
                    	**type**\:  bool
                    
                    .. attribute:: is_meshgroup_disabled
                    
                    	Is the meshgroup disabled
                    	**type**\:  bool
                    
                    .. attribute:: mesh_group_id_xr
                    
                    	Meshgroup ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: remaining_time
                    
                    	Remaining time for recreate timer in seconds
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: up_auto_mesh_tunnels
                    
                    	Total number of automesh tunnels that are up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.mesh_group_id = None
                        self.attribute_set_name = None
                        self.auto_mesh_group_type = None
                        self.auto_mesh_total_destinations = None
                        self.auto_mesh_tunnels = None
                        self.destination = YList()
                        self.destination.parent = self
                        self.destination.name = 'destination'
                        self.destination_list_name = None
                        self.destination_list_type = None
                        self.down_auto_mesh_tunnels = None
                        self.frr_auto_mesh_tunnels = None
                        self.is_attribute_set_configured = None
                        self.is_attribute_set_in_db = None
                        self.is_destination_list_configured = None
                        self.is_meshgroup_disabled = None
                        self.mesh_group_id_xr = None
                        self.remaining_time = None
                        self.up_auto_mesh_tunnels = None


                    class Destination(object):
                        """
                        List of destinations for this meshgroup
                        
                        .. attribute:: destination_address
                        
                        	Destination address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: operational_status
                        
                        	Tunnel operational status
                        	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                        
                        .. attribute:: remaining_time
                        
                        	Remaining time for unused timer in seconds
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.destination_address = None
                            self.operational_status = None
                            self.remaining_time = None
                            self.tunnel_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:destination'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.destination_address is not None:
                                return True

                            if self.operational_status is not None:
                                return True

                            if self.remaining_time is not None:
                                return True

                            if self.tunnel_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.AutoTunnel.Mesh.MeshGroups.MeshGroup.Destination']['meta_info']

                    @property
                    def _common_path(self):
                        if self.mesh_group_id is None:
                            raise YPYModelError('Key property mesh_group_id is None')

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:mesh/Cisco-IOS-XR-mpls-te-oper:mesh-groups/Cisco-IOS-XR-mpls-te-oper:mesh-group[Cisco-IOS-XR-mpls-te-oper:mesh-group-id = ' + str(self.mesh_group_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.mesh_group_id is not None:
                            return True

                        if self.attribute_set_name is not None:
                            return True

                        if self.auto_mesh_group_type is not None:
                            return True

                        if self.auto_mesh_total_destinations is not None:
                            return True

                        if self.auto_mesh_tunnels is not None:
                            return True

                        if self.destination is not None:
                            for child_ref in self.destination:
                                if child_ref._has_data():
                                    return True

                        if self.destination_list_name is not None:
                            return True

                        if self.destination_list_type is not None:
                            return True

                        if self.down_auto_mesh_tunnels is not None:
                            return True

                        if self.frr_auto_mesh_tunnels is not None:
                            return True

                        if self.is_attribute_set_configured is not None:
                            return True

                        if self.is_attribute_set_in_db is not None:
                            return True

                        if self.is_destination_list_configured is not None:
                            return True

                        if self.is_meshgroup_disabled is not None:
                            return True

                        if self.mesh_group_id_xr is not None:
                            return True

                        if self.remaining_time is not None:
                            return True

                        if self.up_auto_mesh_tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.AutoTunnel.Mesh.MeshGroups.MeshGroup']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:mesh/Cisco-IOS-XR-mpls-te-oper:mesh-groups'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.mesh_group is not None:
                        for child_ref in self.mesh_group:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.AutoTunnel.Mesh.MeshGroups']['meta_info']


            class Statistics(object):
                """
                MPLS TE auto\-tunnel mesh counters (stats)
                information
                
                .. attribute:: connected
                
                	Number of connected automesh tunnels
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: created
                
                	Number of connected automesh tunnels
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: last_cleared_time
                
                	Time at which these were last cleared in seconds since (in seconds since 1st Jan 1970 00\:00\:00)'
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: removed_in_use
                
                	Number of automesh tunnels removed while up and in use
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: removed_range_exceeded
                
                	Number of automesh tunnel attempts rejected because the total number exceeds the range
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: removed_unused
                
                	Number of automesh tunnels removed while unused
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.connected = None
                    self.created = None
                    self.last_cleared_time = None
                    self.removed_in_use = None
                    self.removed_range_exceeded = None
                    self.removed_unused = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:mesh/Cisco-IOS-XR-mpls-te-oper:statistics'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.connected is not None:
                        return True

                    if self.created is not None:
                        return True

                    if self.last_cleared_time is not None:
                        return True

                    if self.removed_in_use is not None:
                        return True

                    if self.removed_range_exceeded is not None:
                        return True

                    if self.removed_unused is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.AutoTunnel.Mesh.Statistics']['meta_info']


            class Summary(object):
                """
                MPLS TE auto\-tunnel mesh summary information
                
                .. attribute:: auto_mesh_destinations
                
                	Total number of automesh destinations
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: auto_mesh_groups
                
                	Total number of automesh mesh\-groups
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: auto_mesh_tunnels
                
                	Total number of automesh tunnels
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: down_auto_mesh_tunnels
                
                	Total number of automesh tunnels that are down
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: frr_auto_mesh_tunnels
                
                	Total number of automesh tunnels that are FRR enabled
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: up_auto_mesh_tunnels
                
                	Total number of automesh tunnels that are up
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.auto_mesh_destinations = None
                    self.auto_mesh_groups = None
                    self.auto_mesh_tunnels = None
                    self.down_auto_mesh_tunnels = None
                    self.frr_auto_mesh_tunnels = None
                    self.up_auto_mesh_tunnels = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:mesh/Cisco-IOS-XR-mpls-te-oper:summary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.auto_mesh_destinations is not None:
                        return True

                    if self.auto_mesh_groups is not None:
                        return True

                    if self.auto_mesh_tunnels is not None:
                        return True

                    if self.down_auto_mesh_tunnels is not None:
                        return True

                    if self.frr_auto_mesh_tunnels is not None:
                        return True

                    if self.up_auto_mesh_tunnels is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.AutoTunnel.Mesh.Summary']['meta_info']


            class Config(object):
                """
                MPLS TE auto\-tunnel mesh configuration
                information
                
                .. attribute:: is_configured
                
                	Indicate if auto\-tunnel mesh feature is configured 
                	**type**\:  bool
                
                .. attribute:: max_tunnel_id
                
                	Upper bound of configured tunnel ID range
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: min_tunnel_id
                
                	Lower bound of configured tunnel ID range
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: unused_removal_timeout_configured
                
                	Configured value of unused removal timer in seconds
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.is_configured = None
                    self.max_tunnel_id = None
                    self.min_tunnel_id = None
                    self.unused_removal_timeout_configured = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:mesh/Cisco-IOS-XR-mpls-te-oper:config'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.is_configured is not None:
                        return True

                    if self.max_tunnel_id is not None:
                        return True

                    if self.min_tunnel_id is not None:
                        return True

                    if self.unused_removal_timeout_configured is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.AutoTunnel.Mesh.Config']['meta_info']


            class OneHop(object):
                """
                MPLS TE auto\-tunnel mesh onehop information
                
                .. attribute:: interfaces
                
                	Display auto\-tunnel onehop interfaces
                	**type**\:   :py:class:`Interfaces <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Mesh.OneHop.Interfaces>`
                
                .. attribute:: statistics
                
                	MPLS TE auto\-tunnel mesh onehop counters (stats) information
                	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Mesh.OneHop.Statistics>`
                
                .. attribute:: summary
                
                	MPLS TE auto\-tunnel mesh onehop summary information
                	**type**\:   :py:class:`Summary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Mesh.OneHop.Summary>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.interfaces = MplsTe.AutoTunnel.Mesh.OneHop.Interfaces()
                    self.interfaces.parent = self
                    self.statistics = MplsTe.AutoTunnel.Mesh.OneHop.Statistics()
                    self.statistics.parent = self
                    self.summary = MplsTe.AutoTunnel.Mesh.OneHop.Summary()
                    self.summary.parent = self


                class Interfaces(object):
                    """
                    Display auto\-tunnel onehop interfaces
                    
                    .. attribute:: interface
                    
                    	Display auto\-tunnel mesh onehop interface information
                    	**type**\: list of    :py:class:`Interface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Mesh.OneHop.Interfaces.Interface>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.interface = YList()
                        self.interface.parent = self
                        self.interface.name = 'interface'


                    class Interface(object):
                        """
                        Display auto\-tunnel mesh onehop interface
                        information
                        
                        .. attribute:: interface_name  <key>
                        
                        	Interface Name
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: interface_name_xr
                        
                        	Interface name
                        	**type**\:  str
                        
                        .. attribute:: tunnel
                        
                        	Onehop tunnels created for this interface
                        	**type**\: list of    :py:class:`Tunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Mesh.OneHop.Interfaces.Interface.Tunnel>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.interface_name = None
                            self.interface_name_xr = None
                            self.tunnel = YList()
                            self.tunnel.parent = self
                            self.tunnel.name = 'tunnel'


                        class Tunnel(object):
                            """
                            Onehop tunnels created for this interface
                            
                            .. attribute:: destination_address
                            
                            	Destination Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mesh_group_id
                            
                            	Meshgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: tunnel_lspid
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: tunnel_state
                            
                            	Tunnel state
                            	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.destination_address = None
                                self.mesh_group_id = None
                                self.tunnel_id = None
                                self.tunnel_lspid = None
                                self.tunnel_state = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.destination_address is not None:
                                    return True

                                if self.mesh_group_id is not None:
                                    return True

                                if self.tunnel_id is not None:
                                    return True

                                if self.tunnel_lspid is not None:
                                    return True

                                if self.tunnel_state is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.AutoTunnel.Mesh.OneHop.Interfaces.Interface.Tunnel']['meta_info']

                        @property
                        def _common_path(self):
                            if self.interface_name is None:
                                raise YPYModelError('Key property interface_name is None')

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:mesh/Cisco-IOS-XR-mpls-te-oper:one-hop/Cisco-IOS-XR-mpls-te-oper:interfaces/Cisco-IOS-XR-mpls-te-oper:interface[Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.interface_name is not None:
                                return True

                            if self.interface_name_xr is not None:
                                return True

                            if self.tunnel is not None:
                                for child_ref in self.tunnel:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.AutoTunnel.Mesh.OneHop.Interfaces.Interface']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:mesh/Cisco-IOS-XR-mpls-te-oper:one-hop/Cisco-IOS-XR-mpls-te-oper:interfaces'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.interface is not None:
                            for child_ref in self.interface:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.AutoTunnel.Mesh.OneHop.Interfaces']['meta_info']


                class Statistics(object):
                    """
                    MPLS TE auto\-tunnel mesh onehop counters
                    (stats) information
                    
                    .. attribute:: connected
                    
                    	Number of connected automesh tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: created
                    
                    	Number of connected automesh tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: last_cleared_time
                    
                    	Time at which these were last cleared in seconds since (in seconds since 1st Jan 1970 00\:00\:00)'
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: removed_in_use
                    
                    	Number of automesh tunnels removed while up and in use
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: removed_range_exceeded
                    
                    	Number of automesh tunnel attempts rejected because the total number exceeds the range
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: removed_unused
                    
                    	Number of automesh tunnels removed while unused
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.connected = None
                        self.created = None
                        self.last_cleared_time = None
                        self.removed_in_use = None
                        self.removed_range_exceeded = None
                        self.removed_unused = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:mesh/Cisco-IOS-XR-mpls-te-oper:one-hop/Cisco-IOS-XR-mpls-te-oper:statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.connected is not None:
                            return True

                        if self.created is not None:
                            return True

                        if self.last_cleared_time is not None:
                            return True

                        if self.removed_in_use is not None:
                            return True

                        if self.removed_range_exceeded is not None:
                            return True

                        if self.removed_unused is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.AutoTunnel.Mesh.OneHop.Statistics']['meta_info']


                class Summary(object):
                    """
                    MPLS TE auto\-tunnel mesh onehop summary
                    information
                    
                    .. attribute:: auto_mesh_one_hop_destinations
                    
                    	Total number of automesh onehop destinations
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: auto_mesh_one_hop_groups
                    
                    	Total number of automesh onehop mesh\-groups
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: auto_mesh_one_hop_tunnels
                    
                    	Total number of automesh onehop tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: down_auto_mesh_one_hop_tunnels
                    
                    	Total number of automesh onehop tunnels that are down
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: frr_auto_mesh_tunnels
                    
                    	Total number of automesh onehop tunnels that are FRR enabled
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: up_auto_mesh_one_hop_tunnels
                    
                    	Total number of automesh onehop tunnels that are up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.auto_mesh_one_hop_destinations = None
                        self.auto_mesh_one_hop_groups = None
                        self.auto_mesh_one_hop_tunnels = None
                        self.down_auto_mesh_one_hop_tunnels = None
                        self.frr_auto_mesh_tunnels = None
                        self.up_auto_mesh_one_hop_tunnels = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:mesh/Cisco-IOS-XR-mpls-te-oper:one-hop/Cisco-IOS-XR-mpls-te-oper:summary'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.auto_mesh_one_hop_destinations is not None:
                            return True

                        if self.auto_mesh_one_hop_groups is not None:
                            return True

                        if self.auto_mesh_one_hop_tunnels is not None:
                            return True

                        if self.down_auto_mesh_one_hop_tunnels is not None:
                            return True

                        if self.frr_auto_mesh_tunnels is not None:
                            return True

                        if self.up_auto_mesh_one_hop_tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.AutoTunnel.Mesh.OneHop.Summary']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:mesh/Cisco-IOS-XR-mpls-te-oper:one-hop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.interfaces is not None and self.interfaces._has_data():
                        return True

                    if self.statistics is not None and self.statistics._has_data():
                        return True

                    if self.summary is not None and self.summary._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.AutoTunnel.Mesh.OneHop']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:mesh'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.config is not None and self.config._has_data():
                    return True

                if self.mesh_groups is not None and self.mesh_groups._has_data():
                    return True

                if self.one_hop is not None and self.one_hop._has_data():
                    return True

                if self.statistics is not None and self.statistics._has_data():
                    return True

                if self.summary is not None and self.summary._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.AutoTunnel.Mesh']['meta_info']


        class Backup(object):
            """
            Auto tunnel backup information.
            
            .. attribute:: config
            
            	MPLS TE auto\-tunnel backup configuration information
            	**type**\:   :py:class:`Config <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Backup.Config>`
            
            .. attribute:: statistics
            
            	MPLS TE auto\-tunnel backup counters (stats) information
            	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Backup.Statistics>`
            
            .. attribute:: summary
            
            	MPLS TE auto\-tunnel backup summary information
            	**type**\:   :py:class:`Summary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Backup.Summary>`
            
            .. attribute:: tunnels
            
            	auto\-tunnel backup information
            	**type**\:   :py:class:`Tunnels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Backup.Tunnels>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.config = MplsTe.AutoTunnel.Backup.Config()
                self.config.parent = self
                self.statistics = MplsTe.AutoTunnel.Backup.Statistics()
                self.statistics.parent = self
                self.summary = MplsTe.AutoTunnel.Backup.Summary()
                self.summary.parent = self
                self.tunnels = MplsTe.AutoTunnel.Backup.Tunnels()
                self.tunnels.parent = self


            class Tunnels(object):
                """
                auto\-tunnel backup information
                
                .. attribute:: tunnel
                
                	Display auto tunnel backup tunnel information
                	**type**\: list of    :py:class:`Tunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Backup.Tunnels.Tunnel>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.tunnel = YList()
                    self.tunnel.parent = self
                    self.tunnel.name = 'tunnel'


                class Tunnel(object):
                    """
                    Display auto tunnel backup tunnel information
                    
                    .. attribute:: backup_tunnel_name  <key>
                    
                    	Backup tunnel name
                    	**type**\:  str
                    
                    	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                    
                    .. attribute:: atb_protection_type
                    
                    	Type of protection offered by this auto\-tunnel backup
                    	**type**\:   :py:class:`AutoBackupProtectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AutoBackupProtectionEnum>`
                    
                    .. attribute:: operational_status
                    
                    	Tunnel operational status
                    	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                    
                    .. attribute:: protected_flows
                    
                    	Number of protected flows
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: protected_interface_name
                    
                    	Interface protected by this auto\-tunnel backup
                    	**type**\:  str
                    
                    .. attribute:: protected_router_id
                    
                    	Router ID of node protected by this auto\-tunnel backup
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: srlg_mode
                    
                    	SRLG exclude mode for this auto\-tunnel backup
                    	**type**\:   :py:class:`AutoBackupSrlgModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AutoBackupSrlgModeEnum>`
                    
                    .. attribute:: tunnel_name
                    
                    	Tunnel Name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.backup_tunnel_name = None
                        self.atb_protection_type = None
                        self.operational_status = None
                        self.protected_flows = None
                        self.protected_interface_name = None
                        self.protected_router_id = None
                        self.srlg_mode = None
                        self.tunnel_name = None

                    @property
                    def _common_path(self):
                        if self.backup_tunnel_name is None:
                            raise YPYModelError('Key property backup_tunnel_name is None')

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel[Cisco-IOS-XR-mpls-te-oper:backup-tunnel-name = ' + str(self.backup_tunnel_name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.backup_tunnel_name is not None:
                            return True

                        if self.atb_protection_type is not None:
                            return True

                        if self.operational_status is not None:
                            return True

                        if self.protected_flows is not None:
                            return True

                        if self.protected_interface_name is not None:
                            return True

                        if self.protected_router_id is not None:
                            return True

                        if self.srlg_mode is not None:
                            return True

                        if self.tunnel_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.AutoTunnel.Backup.Tunnels.Tunnel']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup/Cisco-IOS-XR-mpls-te-oper:tunnels'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.tunnel is not None:
                        for child_ref in self.tunnel:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.AutoTunnel.Backup.Tunnels']['meta_info']


            class Statistics(object):
                """
                MPLS TE auto\-tunnel backup counters (stats)
                information
                
                .. attribute:: connected
                
                	Number of connected auto backup tunnels
                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Backup.Statistics.Connected>`
                
                .. attribute:: created
                
                	Number of connected auto backup tunnels
                	**type**\:   :py:class:`Created <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Backup.Statistics.Created>`
                
                .. attribute:: last_cleared_time
                
                	Timestamp when the stat has been cleared
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: removed_down
                
                	Number of NNHOP auto backup tunnels removed while down
                	**type**\:   :py:class:`RemovedDown <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Backup.Statistics.RemovedDown>`
                
                .. attribute:: removed_in_use
                
                	Number of auto backup tunnels removed while up and in use
                	**type**\:   :py:class:`RemovedInUse <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Backup.Statistics.RemovedInUse>`
                
                .. attribute:: removed_range_exceeded
                
                	Number of auto backup tunnel attempts rejected because the total number exceeds the range
                	**type**\:   :py:class:`RemovedRangeExceeded <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Backup.Statistics.RemovedRangeExceeded>`
                
                .. attribute:: removed_unused
                
                	Number of auto backup tunnels removed while unused
                	**type**\:   :py:class:`RemovedUnused <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnel.Backup.Statistics.RemovedUnused>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.connected = MplsTe.AutoTunnel.Backup.Statistics.Connected()
                    self.connected.parent = self
                    self.created = MplsTe.AutoTunnel.Backup.Statistics.Created()
                    self.created.parent = self
                    self.last_cleared_time = None
                    self.removed_down = MplsTe.AutoTunnel.Backup.Statistics.RemovedDown()
                    self.removed_down.parent = self
                    self.removed_in_use = MplsTe.AutoTunnel.Backup.Statistics.RemovedInUse()
                    self.removed_in_use.parent = self
                    self.removed_range_exceeded = MplsTe.AutoTunnel.Backup.Statistics.RemovedRangeExceeded()
                    self.removed_range_exceeded.parent = self
                    self.removed_unused = MplsTe.AutoTunnel.Backup.Statistics.RemovedUnused()
                    self.removed_unused.parent = self


                class Created(object):
                    """
                    Number of connected auto backup tunnels
                    
                    .. attribute:: next_hop_tunnels
                    
                    	Next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: next_next_hop_tunnels
                    
                    	Next next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_tunnels
                    
                    	Total auto backup tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.next_hop_tunnels = None
                        self.next_next_hop_tunnels = None
                        self.total_tunnels = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:created'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.next_hop_tunnels is not None:
                            return True

                        if self.next_next_hop_tunnels is not None:
                            return True

                        if self.total_tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.AutoTunnel.Backup.Statistics.Created']['meta_info']


                class Connected(object):
                    """
                    Number of connected auto backup tunnels
                    
                    .. attribute:: next_hop_tunnels
                    
                    	Next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: next_next_hop_tunnels
                    
                    	Next next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_tunnels
                    
                    	Total auto backup tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.next_hop_tunnels = None
                        self.next_next_hop_tunnels = None
                        self.total_tunnels = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:connected'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.next_hop_tunnels is not None:
                            return True

                        if self.next_next_hop_tunnels is not None:
                            return True

                        if self.total_tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.AutoTunnel.Backup.Statistics.Connected']['meta_info']


                class RemovedDown(object):
                    """
                    Number of NNHOP auto backup tunnels removed
                    while down
                    
                    .. attribute:: next_hop_tunnels
                    
                    	Next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: next_next_hop_tunnels
                    
                    	Next next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_tunnels
                    
                    	Total auto backup tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.next_hop_tunnels = None
                        self.next_next_hop_tunnels = None
                        self.total_tunnels = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:removed-down'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.next_hop_tunnels is not None:
                            return True

                        if self.next_next_hop_tunnels is not None:
                            return True

                        if self.total_tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.AutoTunnel.Backup.Statistics.RemovedDown']['meta_info']


                class RemovedUnused(object):
                    """
                    Number of auto backup tunnels removed while
                    unused
                    
                    .. attribute:: next_hop_tunnels
                    
                    	Next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: next_next_hop_tunnels
                    
                    	Next next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_tunnels
                    
                    	Total auto backup tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.next_hop_tunnels = None
                        self.next_next_hop_tunnels = None
                        self.total_tunnels = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:removed-unused'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.next_hop_tunnels is not None:
                            return True

                        if self.next_next_hop_tunnels is not None:
                            return True

                        if self.total_tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.AutoTunnel.Backup.Statistics.RemovedUnused']['meta_info']


                class RemovedInUse(object):
                    """
                    Number of auto backup tunnels removed while up
                    and in use
                    
                    .. attribute:: next_hop_tunnels
                    
                    	Next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: next_next_hop_tunnels
                    
                    	Next next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_tunnels
                    
                    	Total auto backup tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.next_hop_tunnels = None
                        self.next_next_hop_tunnels = None
                        self.total_tunnels = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:removed-in-use'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.next_hop_tunnels is not None:
                            return True

                        if self.next_next_hop_tunnels is not None:
                            return True

                        if self.total_tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.AutoTunnel.Backup.Statistics.RemovedInUse']['meta_info']


                class RemovedRangeExceeded(object):
                    """
                    Number of auto backup tunnel attempts rejected
                    because the total number exceeds the range
                    
                    .. attribute:: next_hop_tunnels
                    
                    	Next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: next_next_hop_tunnels
                    
                    	Next next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_tunnels
                    
                    	Total auto backup tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.next_hop_tunnels = None
                        self.next_next_hop_tunnels = None
                        self.total_tunnels = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:removed-range-exceeded'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.next_hop_tunnels is not None:
                            return True

                        if self.next_next_hop_tunnels is not None:
                            return True

                        if self.total_tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.AutoTunnel.Backup.Statistics.RemovedRangeExceeded']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup/Cisco-IOS-XR-mpls-te-oper:statistics'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.connected is not None and self.connected._has_data():
                        return True

                    if self.created is not None and self.created._has_data():
                        return True

                    if self.last_cleared_time is not None:
                        return True

                    if self.removed_down is not None and self.removed_down._has_data():
                        return True

                    if self.removed_in_use is not None and self.removed_in_use._has_data():
                        return True

                    if self.removed_range_exceeded is not None and self.removed_range_exceeded._has_data():
                        return True

                    if self.removed_unused is not None and self.removed_unused._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.AutoTunnel.Backup.Statistics']['meta_info']


            class Summary(object):
                """
                MPLS TE auto\-tunnel backup summary information
                
                .. attribute:: autobackups
                
                	Total number of autobackup tunnels
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: down_autobackups
                
                	Total number of autobackup tunnels that are down
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_autobackup_protected_ls_ps
                
                	Total number of autobackup protected LSPs with NHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_autobackup_protected_s2_ls
                
                	Total number of autobackup protected S2Ls with NHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_autobackup_protected_s2l_families
                
                	Total number of autobackup protected S2L Families with NHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_autobackups
                
                	Total number of autobackup tunnels that are NHOP
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_srlg_autobackup_protected_ls_ps
                
                	Total number of autobackup protected LSPs with NHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_srlg_autobackup_protected_s2_ls
                
                	Total number of autobackup protected S2Ls with NHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_srlg_autobackup_protected_s2l_families
                
                	Total number of autobackup protected S2L Families with NHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_autobackup_protected_ls_ps
                
                	Total number of autobackup protected LSPs with NNHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_autobackup_protected_s2_ls
                
                	Total number of autobackup protected S2Ls with NNHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_autobackup_protected_s2l_families
                
                	Total number of autobackup protected S2L Families with NNHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_autobackups
                
                	Total number of autobackup tunnels that are NNHOP
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_srlg_autobackup_protected_ls_ps
                
                	Total number of autobackup protected LSPs with NNHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_srlg_autobackup_protected_s2_ls
                
                	Total number of autobackup protected S2Ls with NNHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_srlg_autobackup_protected_s2l_families
                
                	Total number of autobackup protected S2L Families with NNHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: srlg_preferred_autobackups
                
                	Total number of autobackup tunnels that are using SRLG preferred
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: srlg_strict_autobackups
                
                	Total number of autobackup tunnels that are using SRLG strict
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: srlg_weighted_autobackups
                
                	Total number of autobackup tunnels that are using weighted SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: unused_autobackups
                
                	Total number of autobackup tunnels that are unused
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: up_autobackups
                
                	Total number of autobackup tunnels that are up
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.autobackups = None
                    self.down_autobackups = None
                    self.next_hop_autobackup_protected_ls_ps = None
                    self.next_hop_autobackup_protected_s2_ls = None
                    self.next_hop_autobackup_protected_s2l_families = None
                    self.next_hop_autobackups = None
                    self.next_hop_srlg_autobackup_protected_ls_ps = None
                    self.next_hop_srlg_autobackup_protected_s2_ls = None
                    self.next_hop_srlg_autobackup_protected_s2l_families = None
                    self.next_next_hop_autobackup_protected_ls_ps = None
                    self.next_next_hop_autobackup_protected_s2_ls = None
                    self.next_next_hop_autobackup_protected_s2l_families = None
                    self.next_next_hop_autobackups = None
                    self.next_next_hop_srlg_autobackup_protected_ls_ps = None
                    self.next_next_hop_srlg_autobackup_protected_s2_ls = None
                    self.next_next_hop_srlg_autobackup_protected_s2l_families = None
                    self.srlg_preferred_autobackups = None
                    self.srlg_strict_autobackups = None
                    self.srlg_weighted_autobackups = None
                    self.unused_autobackups = None
                    self.up_autobackups = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup/Cisco-IOS-XR-mpls-te-oper:summary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.autobackups is not None:
                        return True

                    if self.down_autobackups is not None:
                        return True

                    if self.next_hop_autobackup_protected_ls_ps is not None:
                        return True

                    if self.next_hop_autobackup_protected_s2_ls is not None:
                        return True

                    if self.next_hop_autobackup_protected_s2l_families is not None:
                        return True

                    if self.next_hop_autobackups is not None:
                        return True

                    if self.next_hop_srlg_autobackup_protected_ls_ps is not None:
                        return True

                    if self.next_hop_srlg_autobackup_protected_s2_ls is not None:
                        return True

                    if self.next_hop_srlg_autobackup_protected_s2l_families is not None:
                        return True

                    if self.next_next_hop_autobackup_protected_ls_ps is not None:
                        return True

                    if self.next_next_hop_autobackup_protected_s2_ls is not None:
                        return True

                    if self.next_next_hop_autobackup_protected_s2l_families is not None:
                        return True

                    if self.next_next_hop_autobackups is not None:
                        return True

                    if self.next_next_hop_srlg_autobackup_protected_ls_ps is not None:
                        return True

                    if self.next_next_hop_srlg_autobackup_protected_s2_ls is not None:
                        return True

                    if self.next_next_hop_srlg_autobackup_protected_s2l_families is not None:
                        return True

                    if self.srlg_preferred_autobackups is not None:
                        return True

                    if self.srlg_strict_autobackups is not None:
                        return True

                    if self.srlg_weighted_autobackups is not None:
                        return True

                    if self.unused_autobackups is not None:
                        return True

                    if self.up_autobackups is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.AutoTunnel.Backup.Summary']['meta_info']


            class Config(object):
                """
                MPLS TE auto\-tunnel backup configuration
                information
                
                .. attribute:: interface_count
                
                	Number of TE link interfaces with auto\-tunnel backup configured
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_configured
                
                	Indicate if auto\-tunnel bacukp feature is configured 
                	**type**\:  bool
                
                .. attribute:: max_tunnel_id
                
                	Upper bound of configured tunnel ID range
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: min_tunnel_id
                
                	Lower bound of configured tunnel ID range
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: unused_removal_timeout_configured
                
                	Configured value of unused removal timer in seconds
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.interface_count = None
                    self.is_configured = None
                    self.max_tunnel_id = None
                    self.min_tunnel_id = None
                    self.unused_removal_timeout_configured = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup/Cisco-IOS-XR-mpls-te-oper:config'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.interface_count is not None:
                        return True

                    if self.is_configured is not None:
                        return True

                    if self.max_tunnel_id is not None:
                        return True

                    if self.min_tunnel_id is not None:
                        return True

                    if self.unused_removal_timeout_configured is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.AutoTunnel.Backup.Config']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.config is not None and self.config._has_data():
                    return True

                if self.statistics is not None and self.statistics._has_data():
                    return True

                if self.summary is not None and self.summary._has_data():
                    return True

                if self.tunnels is not None and self.tunnels._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.AutoTunnel.Backup']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.backup is not None and self.backup._has_data():
                return True

            if self.mesh is not None and self.mesh._has_data():
                return True

            if self.pcc is not None and self.pcc._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.AutoTunnel']['meta_info']


    class SoftPreemption(object):
        """
        Soft Preemption information.
        
        .. attribute:: statistics
        
        	MPLS TE soft preemption stats information
        	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SoftPreemption.Statistics>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.statistics = MplsTe.SoftPreemption.Statistics()
            self.statistics.parent = self


        class Statistics(object):
            """
            MPLS TE soft preemption stats information
            
            .. attribute:: frr_triggered_soft_preempted_lsp_ss
            
            	The number of LSPs that have been soft preempted and then fast rerouted at this node
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: last_cleared_timestamp
            
            	The timestamp when these stats are cleared relative to Jan 1, 1970
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: minimum_time_in_soft_preempted_state
            
            	The minimum number of seconds an LSP remained in the soft preempted state
            	**type**\:  int
            
            	**range:** 0..65535
            
            	**units**\: second
            
            .. attribute:: path_protected_switchover_soft_preempted_ls_ps
            
            	Number of soft preemption LSPs that are replaced with the path protection LSP. This is relevant to the headend
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: reoptimized_soft_preempted_ls_ps
            
            	Number of soft preemption LSPs that are reoptimized. This is relevant to the headend
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: soft_preempted_head_ls_ps
            
            	Number of soft preempted LSPs at the headend. This is relevant to the headend
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: soft_preempted_ls_ps
            
            	The number of LSPs that have been soft preempted at this node
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: soft_preemption_events
            
            	The number of soft preemption events triggered
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: time_in_soft_preempted_state_avg
            
            	The average number of seconds an LSP remained in the soft preempted state. This excludes the timed out LSPs
            	**type**\:  int
            
            	**range:** 0..65535
            
            	**units**\: second
            
            .. attribute:: time_in_soft_preempted_state_max
            
            	The maximum number of seconds an LSP remained in the soft preempted state without being hard preempted
            	**type**\:  int
            
            	**range:** 0..65535
            
            	**units**\: second
            
            .. attribute:: timed_out_soft_preempted_lsp_ss
            
            	The number of LSPs that have been soft preempted and timed out at this node
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: torn_down_soft_preempted_ls_ps
            
            	The number of LSPs that have been soft preempted at this node and torn down before timing out
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: torndown_soft_preempted_ls_ps
            
            	Number of soft preemption LSPs that are torn down instead of being reoptimized. This is relevant to the headend
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.frr_triggered_soft_preempted_lsp_ss = None
                self.last_cleared_timestamp = None
                self.minimum_time_in_soft_preempted_state = None
                self.path_protected_switchover_soft_preempted_ls_ps = None
                self.reoptimized_soft_preempted_ls_ps = None
                self.soft_preempted_head_ls_ps = None
                self.soft_preempted_ls_ps = None
                self.soft_preemption_events = None
                self.time_in_soft_preempted_state_avg = None
                self.time_in_soft_preempted_state_max = None
                self.timed_out_soft_preempted_lsp_ss = None
                self.torn_down_soft_preempted_ls_ps = None
                self.torndown_soft_preempted_ls_ps = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:soft-preemption/Cisco-IOS-XR-mpls-te-oper:statistics'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.frr_triggered_soft_preempted_lsp_ss is not None:
                    return True

                if self.last_cleared_timestamp is not None:
                    return True

                if self.minimum_time_in_soft_preempted_state is not None:
                    return True

                if self.path_protected_switchover_soft_preempted_ls_ps is not None:
                    return True

                if self.reoptimized_soft_preempted_ls_ps is not None:
                    return True

                if self.soft_preempted_head_ls_ps is not None:
                    return True

                if self.soft_preempted_ls_ps is not None:
                    return True

                if self.soft_preemption_events is not None:
                    return True

                if self.time_in_soft_preempted_state_avg is not None:
                    return True

                if self.time_in_soft_preempted_state_max is not None:
                    return True

                if self.timed_out_soft_preempted_lsp_ss is not None:
                    return True

                if self.torn_down_soft_preempted_ls_ps is not None:
                    return True

                if self.torndown_soft_preempted_ls_ps is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.SoftPreemption.Statistics']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.statistics is not None and self.statistics._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.SoftPreemption']['meta_info']


    class ForwardingAdjacencyDestinations(object):
        """
        Announced Destination tunnel
        
        .. attribute:: forwarding_adjacency_destination
        
        	Forwarding Adjacencies for a destination
        	**type**\: list of    :py:class:`ForwardingAdjacencyDestination <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.forwarding_adjacency_destination = YList()
            self.forwarding_adjacency_destination.parent = self
            self.forwarding_adjacency_destination.name = 'forwarding_adjacency_destination'


        class ForwardingAdjacencyDestination(object):
            """
            Forwarding Adjacencies for a destination
            
            .. attribute:: destination_address  <key>
            
            	Destination address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: adjacencies
            
            	Number of Forwarding Adjacencies
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: destination_address_xr
            
            	The tunnel destination
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: forward_adjacency
            
            	Forwarding\-adjacency list
            	**type**\: list of    :py:class:`ForwardAdjacency <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency>`
            
            .. attribute:: ipv6_adjacencies
            
            	Number of IPv6 Forwarding Adjacencies
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.destination_address = None
                self.adjacencies = None
                self.destination_address_xr = None
                self.forward_adjacency = YList()
                self.forward_adjacency.parent = self
                self.forward_adjacency.name = 'forward_adjacency'
                self.ipv6_adjacencies = None


            class ForwardAdjacency(object):
                """
                Forwarding\-adjacency list
                
                .. attribute:: hold_time
                
                	Hold time in seconds
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: ig_ps
                
                	List of IGPs to which it is announced
                	**type**\: list of    :py:class:`IgPs <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency.IgPs>`
                
                .. attribute:: is_adjacency_up
                
                	True if adj is up
                	**type**\:  bool
                
                .. attribute:: traffic_share
                
                	Traffic Share
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_name
                
                	The tunnel name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.hold_time = None
                    self.ig_ps = YList()
                    self.ig_ps.parent = self
                    self.ig_ps.name = 'ig_ps'
                    self.is_adjacency_up = None
                    self.traffic_share = None
                    self.tunnel_name = None


                class IgPs(object):
                    """
                    List of IGPs to which it is announced
                    
                    .. attribute:: afi
                    
                    	AFI
                    	**type**\:   :py:class:`MplsTeAfiEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeAfiEnum>`
                    
                    .. attribute:: igp_area_id
                    
                    	The IGP Instance and Area ID
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.afi = None
                        self.igp_area_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ig-ps'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.afi is not None:
                            return True

                        if self.igp_area_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency.IgPs']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:forward-adjacency'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.hold_time is not None:
                        return True

                    if self.ig_ps is not None:
                        for child_ref in self.ig_ps:
                            if child_ref._has_data():
                                return True

                    if self.is_adjacency_up is not None:
                        return True

                    if self.traffic_share is not None:
                        return True

                    if self.tunnel_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency']['meta_info']

            @property
            def _common_path(self):
                if self.destination_address is None:
                    raise YPYModelError('Key property destination_address is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:forwarding-adjacency-destinations/Cisco-IOS-XR-mpls-te-oper:forwarding-adjacency-destination[Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.destination_address is not None:
                    return True

                if self.adjacencies is not None:
                    return True

                if self.destination_address_xr is not None:
                    return True

                if self.forward_adjacency is not None:
                    for child_ref in self.forward_adjacency:
                        if child_ref._has_data():
                            return True

                if self.ipv6_adjacencies is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:forwarding-adjacency-destinations'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.forwarding_adjacency_destination is not None:
                for child_ref in self.forwarding_adjacency_destination:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.ForwardingAdjacencyDestinations']['meta_info']


    class IgpAreas(object):
        """
        The set of IGP\-areas known to MPLS\-TE
        
        .. attribute:: igp_area
        
        	An IGP instance
        	**type**\: list of    :py:class:`IgpArea <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.IgpAreas.IgpArea>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.igp_area = YList()
            self.igp_area.parent = self
            self.igp_area.name = 'igp_area'


        class IgpArea(object):
            """
            An IGP instance
            
            .. attribute:: process_tag  <key>
            
            	IGP Process Tag
            	**type**\:  str
            
            	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
            
            .. attribute:: protocol  <key>
            
            	The IGP protocol
            	**type**\:   :py:class:`MplsTeIgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeIgpProtocolEnum>`
            
            .. attribute:: area
            
            	IGP area information
            	**type**\: list of    :py:class:`Area <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.IgpAreas.IgpArea.Area>`
            
            .. attribute:: configured_te_router_id
            
            	Configured TE router\-id
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: connection_down_count
            
            	Number of times IGP connection has gone down
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: connection_up_count
            
            	Number of times IGP connection has gone up
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: global_router_id
            
            	Global router\-id
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: globall_router_id_optical
            
            	Global router\-id for GMPLS (optical TE)
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: igp_system_id
            
            	 The IGP instance's system/router\-id; interpret appropriately depending on IGP type
            	**type**\:  str
            
            .. attribute:: igp_type
            
            	IGP type
            	**type**\:   :py:class:`IgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpProtocolEnum>`
            
            .. attribute:: in_use_te_router_id
            
            	TE router\-id in use
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: instance_name
            
            	 The IGP instance name
            	**type**\:  str
            
            .. attribute:: is_connection_up
            
            	Flag to indicate whether the IGP connection is open or not
            	**type**\:  bool
            
            .. attribute:: secondary_router_id
            
            	Secondary router\-ids
            	**type**\:  list of str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.process_tag = None
                self.protocol = None
                self.area = YList()
                self.area.parent = self
                self.area.name = 'area'
                self.configured_te_router_id = None
                self.connection_down_count = None
                self.connection_up_count = None
                self.global_router_id = None
                self.globall_router_id_optical = None
                self.igp_system_id = None
                self.igp_type = None
                self.in_use_te_router_id = None
                self.instance_name = None
                self.is_connection_up = None
                self.secondary_router_id = YLeafList()
                self.secondary_router_id.parent = self
                self.secondary_router_id.name = 'secondary_router_id'


            class Area(object):
                """
                IGP area information
                
                .. attribute:: active_data
                
                	Data which applies only to an active area
                	**type**\:   :py:class:`ActiveData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.IgpAreas.IgpArea.Area.ActiveData>`
                
                .. attribute:: area_format
                
                	IGP Area Format
                	**type**\:   :py:class:`IgpOspfAreaFormatEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpOspfAreaFormatEnum>`
                
                .. attribute:: area_index
                
                	Internal area index
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: area_number
                
                	Area number
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_config_ready
                
                	Indicates whether or not the area is correctly configured under the IGP submode to run TE
                	**type**\:  bool
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.active_data = MplsTe.IgpAreas.IgpArea.Area.ActiveData()
                    self.active_data.parent = self
                    self.area_format = None
                    self.area_index = None
                    self.area_number = None
                    self.is_config_ready = None


                class ActiveData(object):
                    """
                    Data which applies only to an active area
                    
                    .. attribute:: area_statistics
                    
                    	Area communication statistics
                    	**type**\:   :py:class:`AreaStatistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.IgpAreas.IgpArea.Area.ActiveData.AreaStatistics>`
                    
                    .. attribute:: interfaces_count
                    
                    	Number of interfaces running over this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: link_idt_received
                    
                    	Flag to indicate IDT for link adjacencies was received
                    	**type**\:  bool
                    
                    .. attribute:: p2mp_destination_count
                    
                    	Number of P2MP destinations whose path was calculated over this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: p2p_autoroute_announced_count
                    
                    	Number of p2p tunnel heads which have been autoroute\-announced into this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: p2p_forwarding_adjacency_count
                    
                    	Number of p2p tunnel heads which have been announced as forwarding adjacencies in this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: p2p_heads_count
                    
                    	Number of p2p tunnel heads whose path was calculated over this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sr_strict
                    
                    	Flag to indicate if the area is SR strict
                    	**type**\:  bool
                    
                    .. attribute:: topology_idt_received
                    
                    	Flag to indicate IDT topology was received
                    	**type**\:  bool
                    
                    .. attribute:: tunnel_loose_hops
                    
                    	Number of tunnels with a loose hop ERO expanded in this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.area_statistics = MplsTe.IgpAreas.IgpArea.Area.ActiveData.AreaStatistics()
                        self.area_statistics.parent = self
                        self.interfaces_count = None
                        self.link_idt_received = None
                        self.p2mp_destination_count = None
                        self.p2p_autoroute_announced_count = None
                        self.p2p_forwarding_adjacency_count = None
                        self.p2p_heads_count = None
                        self.sr_strict = None
                        self.topology_idt_received = None
                        self.tunnel_loose_hops = None


                    class AreaStatistics(object):
                        """
                        Area communication statistics
                        
                        .. attribute:: area_adjacency_announce_messages
                        
                        	Number of adjacency announcement messages received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_adjacency_request_messages
                        
                        	Number of adjacency request messages sent
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_flood_messages
                        
                        	Number of local LSA floods sent
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_lsa_announce_messages
                        
                        	Number of LSA announcement messages received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_lsa_delete_messages
                        
                        	Number of LSA delete messages received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_lsa_fragment_announce_messages
                        
                        	Number of LSA fragment announcement messages received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_lsa_fragment_delete_messages
                        
                        	Number of LSA fragment delete messages received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_tunnel_announce_messages
                        
                        	Number of tunnel announcement messages sent
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.area_adjacency_announce_messages = None
                            self.area_adjacency_request_messages = None
                            self.area_flood_messages = None
                            self.area_lsa_announce_messages = None
                            self.area_lsa_delete_messages = None
                            self.area_lsa_fragment_announce_messages = None
                            self.area_lsa_fragment_delete_messages = None
                            self.area_tunnel_announce_messages = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:area-statistics'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.area_adjacency_announce_messages is not None:
                                return True

                            if self.area_adjacency_request_messages is not None:
                                return True

                            if self.area_flood_messages is not None:
                                return True

                            if self.area_lsa_announce_messages is not None:
                                return True

                            if self.area_lsa_delete_messages is not None:
                                return True

                            if self.area_lsa_fragment_announce_messages is not None:
                                return True

                            if self.area_lsa_fragment_delete_messages is not None:
                                return True

                            if self.area_tunnel_announce_messages is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.IgpAreas.IgpArea.Area.ActiveData.AreaStatistics']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-data'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.area_statistics is not None and self.area_statistics._has_data():
                            return True

                        if self.interfaces_count is not None:
                            return True

                        if self.link_idt_received is not None:
                            return True

                        if self.p2mp_destination_count is not None:
                            return True

                        if self.p2p_autoroute_announced_count is not None:
                            return True

                        if self.p2p_forwarding_adjacency_count is not None:
                            return True

                        if self.p2p_heads_count is not None:
                            return True

                        if self.sr_strict is not None:
                            return True

                        if self.topology_idt_received is not None:
                            return True

                        if self.tunnel_loose_hops is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.IgpAreas.IgpArea.Area.ActiveData']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:area'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.active_data is not None and self.active_data._has_data():
                        return True

                    if self.area_format is not None:
                        return True

                    if self.area_index is not None:
                        return True

                    if self.area_number is not None:
                        return True

                    if self.is_config_ready is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.IgpAreas.IgpArea.Area']['meta_info']

            @property
            def _common_path(self):
                if self.process_tag is None:
                    raise YPYModelError('Key property process_tag is None')
                if self.protocol is None:
                    raise YPYModelError('Key property protocol is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:igp-areas/Cisco-IOS-XR-mpls-te-oper:igp-area[Cisco-IOS-XR-mpls-te-oper:process-tag = ' + str(self.process_tag) + '][Cisco-IOS-XR-mpls-te-oper:protocol = ' + str(self.protocol) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.process_tag is not None:
                    return True

                if self.protocol is not None:
                    return True

                if self.area is not None:
                    for child_ref in self.area:
                        if child_ref._has_data():
                            return True

                if self.configured_te_router_id is not None:
                    return True

                if self.connection_down_count is not None:
                    return True

                if self.connection_up_count is not None:
                    return True

                if self.global_router_id is not None:
                    return True

                if self.globall_router_id_optical is not None:
                    return True

                if self.igp_system_id is not None:
                    return True

                if self.igp_type is not None:
                    return True

                if self.in_use_te_router_id is not None:
                    return True

                if self.instance_name is not None:
                    return True

                if self.is_connection_up is not None:
                    return True

                if self.secondary_router_id is not None:
                    for child in self.secondary_router_id:
                        if child is not None:
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.IgpAreas.IgpArea']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:igp-areas'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.igp_area is not None:
                for child_ref in self.igp_area:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.IgpAreas']['meta_info']


    class WrapProtection(object):
        """
        Represent all the LSP Wrap Protection info in
        MPLS\-TE
        
        .. attribute:: protected_lsps
        
        	The set of wrap protected LSPs available in MPLS\-TE
        	**type**\:   :py:class:`ProtectedLsps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.WrapProtection.ProtectedLsps>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.protected_lsps = MplsTe.WrapProtection.ProtectedLsps()
            self.protected_lsps.parent = self


        class ProtectedLsps(object):
            """
            The set of wrap protected LSPs available in
            MPLS\-TE
            
            .. attribute:: protected_lsp
            
            	Wrap protection info for a given protected LSP
            	**type**\: list of    :py:class:`ProtectedLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.WrapProtection.ProtectedLsps.ProtectedLsp>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.protected_lsp = YList()
                self.protected_lsp.parent = self
                self.protected_lsp.name = 'protected_lsp'


            class ProtectedLsp(object):
                """
                Wrap protection info for a given protected LSP
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id  <key>
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lsp_id  <key>
                
                	LSP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: p2mp_id  <key>
                
                	P2MP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: session_type  <key>
                
                	Session Type
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: source_address  <key>
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: sub_group_id  <key>
                
                	Subgroup ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: sub_group_originator  <key>
                
                	Subgroup Orig ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id  <key>
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: destination_address_xr
                
                	Destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id_xr
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lsp_wrap_protection_enable
                
                	LSP Wrap protection enabled
                	**type**\:  bool
                
                .. attribute:: lsp_wrap_protection_label
                
                	LSP Wrap Merge Point Label
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: lsp_wrap_protection_state
                
                	LSP wrap protection state
                	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                
                .. attribute:: p2mp_id_xr
                
                	S2L P2MP ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: reverse_egress_interface
                
                	Reverse Egress Interface
                	**type**\:  str
                
                .. attribute:: reverse_lsp_label
                
                	Reverse LSP label
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: source_address_xr
                
                	Source
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: sub_group_id_xr
                
                	S2L Sub\-Group ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: sub_group_original_id
                
                	S2L Sub\-Group Originator ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id_xr
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tunnel_instance
                
                	Tunnel instance
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_name
                
                	Tunnel Name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.lsp_id = None
                    self.p2mp_id = None
                    self.session_type = None
                    self.source_address = None
                    self.sub_group_id = None
                    self.sub_group_originator = None
                    self.tunnel_id = None
                    self.destination_address_xr = None
                    self.extended_tunnel_id_xr = None
                    self.lsp_wrap_protection_enable = None
                    self.lsp_wrap_protection_label = None
                    self.lsp_wrap_protection_state = None
                    self.p2mp_id_xr = None
                    self.reverse_egress_interface = None
                    self.reverse_lsp_label = None
                    self.source_address_xr = None
                    self.sub_group_id_xr = None
                    self.sub_group_original_id = None
                    self.tunnel_id_xr = None
                    self.tunnel_instance = None
                    self.tunnel_name = None

                @property
                def _common_path(self):
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.extended_tunnel_id is None:
                        raise YPYModelError('Key property extended_tunnel_id is None')
                    if self.lsp_id is None:
                        raise YPYModelError('Key property lsp_id is None')
                    if self.p2mp_id is None:
                        raise YPYModelError('Key property p2mp_id is None')
                    if self.session_type is None:
                        raise YPYModelError('Key property session_type is None')
                    if self.source_address is None:
                        raise YPYModelError('Key property source_address is None')
                    if self.sub_group_id is None:
                        raise YPYModelError('Key property sub_group_id is None')
                    if self.sub_group_originator is None:
                        raise YPYModelError('Key property sub_group_originator is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:wrap-protection/Cisco-IOS-XR-mpls-te-oper:protected-lsps/Cisco-IOS-XR-mpls-te-oper:protected-lsp[Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:extended-tunnel-id = ' + str(self.extended_tunnel_id) + '][Cisco-IOS-XR-mpls-te-oper:lsp-id = ' + str(self.lsp_id) + '][Cisco-IOS-XR-mpls-te-oper:p2mp-id = ' + str(self.p2mp_id) + '][Cisco-IOS-XR-mpls-te-oper:session-type = ' + str(self.session_type) + '][Cisco-IOS-XR-mpls-te-oper:source-address = ' + str(self.source_address) + '][Cisco-IOS-XR-mpls-te-oper:sub-group-id = ' + str(self.sub_group_id) + '][Cisco-IOS-XR-mpls-te-oper:sub-group-originator = ' + str(self.sub_group_originator) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.p2mp_id is not None:
                        return True

                    if self.session_type is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.sub_group_id is not None:
                        return True

                    if self.sub_group_originator is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.destination_address_xr is not None:
                        return True

                    if self.extended_tunnel_id_xr is not None:
                        return True

                    if self.lsp_wrap_protection_enable is not None:
                        return True

                    if self.lsp_wrap_protection_label is not None:
                        return True

                    if self.lsp_wrap_protection_state is not None:
                        return True

                    if self.p2mp_id_xr is not None:
                        return True

                    if self.reverse_egress_interface is not None:
                        return True

                    if self.reverse_lsp_label is not None:
                        return True

                    if self.source_address_xr is not None:
                        return True

                    if self.sub_group_id_xr is not None:
                        return True

                    if self.sub_group_original_id is not None:
                        return True

                    if self.tunnel_id_xr is not None:
                        return True

                    if self.tunnel_instance is not None:
                        return True

                    if self.tunnel_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.WrapProtection.ProtectedLsps.ProtectedLsp']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:wrap-protection/Cisco-IOS-XR-mpls-te-oper:protected-lsps'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.protected_lsp is not None:
                    for child_ref in self.protected_lsp:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.WrapProtection.ProtectedLsps']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:wrap-protection'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.protected_lsps is not None and self.protected_lsps._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.WrapProtection']['meta_info']


    class Topology(object):
        """
        The topology information in MPLS\-TE
        
        .. attribute:: configured_srlgs
        
        	Set of configured SRLG
        	**type**\:   :py:class:`ConfiguredSrlgs <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.ConfiguredSrlgs>`
        
        .. attribute:: destination_paths
        
        	This table models the path calculation capabilities in MPLS\-TE.A GET operation for the complete table will return no entries.See the class DestinationPath for more details
        	**type**\:   :py:class:`DestinationPaths <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.DestinationPaths>`
        
        .. attribute:: global_
        
        	Global information about the overall MPLS\-TE topology
        	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.Global_>`
        
        .. attribute:: path_tunnels
        
        	MPLS\-Te topology path info
        	**type**\:   :py:class:`PathTunnels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.PathTunnels>`
        
        .. attribute:: srlgs
        
        	Set of SRLG operational value for the overall MPLS\-TE topology
        	**type**\:   :py:class:`Srlgs <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.Srlgs>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.configured_srlgs = MplsTe.Topology.ConfiguredSrlgs()
            self.configured_srlgs.parent = self
            self.destination_paths = MplsTe.Topology.DestinationPaths()
            self.destination_paths.parent = self
            self.global_ = MplsTe.Topology.Global_()
            self.global_.parent = self
            self.path_tunnels = MplsTe.Topology.PathTunnels()
            self.path_tunnels.parent = self
            self.srlgs = MplsTe.Topology.Srlgs()
            self.srlgs.parent = self


        class Global_(object):
            """
            Global information about the overall MPLS\-TE
            topology
            
            .. attribute:: areas
            
            	Information for areas
            	**type**\: list of    :py:class:`Areas <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.Global_.Areas>`
            
            .. attribute:: hold_down_interval
            
            	Interval in seconds to hold down a neighbor after a signalling error
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: link_add_remove_count
            
            	Link add/remove counter
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: local_model_id
            
            	Local BC Model ID
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.areas = YList()
                self.areas.parent = self
                self.areas.name = 'areas'
                self.hold_down_interval = None
                self.link_add_remove_count = None
                self.local_model_id = None


            class Areas(object):
                """
                Information for areas
                
                .. attribute:: area_id
                
                	The area's id
                	**type**\:  str
                
                .. attribute:: local_sid_and_srbg
                
                	Local SID and SRBG
                	**type**\:   :py:class:`LocalSidAndSrbg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.Global_.Areas.LocalSidAndSrbg>`
                
                .. attribute:: node_id
                
                	The node's IGP id
                	**type**\:  str
                
                .. attribute:: protocol
                
                	Protocol used
                	**type**\:   :py:class:`IgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpProtocolEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.area_id = None
                    self.local_sid_and_srbg = MplsTe.Topology.Global_.Areas.LocalSidAndSrbg()
                    self.local_sid_and_srbg.parent = self
                    self.node_id = None
                    self.protocol = None


                class LocalSidAndSrbg(object):
                    """
                    Local SID and SRBG
                    
                    .. attribute:: segment_id
                    
                    	Segment\-Routing Node\-SID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: segment_id_local_absolute_value
                    
                    	Node\-SID local absolute value
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srgb_size
                    
                    	Segment\-Routing global block size
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srgb_start
                    
                    	Segment\-Routring global block start value
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.segment_id = None
                        self.segment_id_local_absolute_value = None
                        self.srgb_size = None
                        self.srgb_start = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:global/Cisco-IOS-XR-mpls-te-oper:areas/Cisco-IOS-XR-mpls-te-oper:local-sid-and-srbg'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.segment_id is not None:
                            return True

                        if self.segment_id_local_absolute_value is not None:
                            return True

                        if self.srgb_size is not None:
                            return True

                        if self.srgb_start is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Topology.Global_.Areas.LocalSidAndSrbg']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:global/Cisco-IOS-XR-mpls-te-oper:areas'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.area_id is not None:
                        return True

                    if self.local_sid_and_srbg is not None and self.local_sid_and_srbg._has_data():
                        return True

                    if self.node_id is not None:
                        return True

                    if self.protocol is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Topology.Global_.Areas']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:global'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.areas is not None:
                    for child_ref in self.areas:
                        if child_ref._has_data():
                            return True

                if self.hold_down_interval is not None:
                    return True

                if self.link_add_remove_count is not None:
                    return True

                if self.local_model_id is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.Topology.Global_']['meta_info']


        class DestinationPaths(object):
            """
            This table models the path calculation
            capabilities in MPLS\-TE.A GET operation for the
            complete table will return no entries.See the
            class DestinationPath for more details.
            
            .. attribute:: destination_path
            
            	A GET operation on this class returns the best available path in the TE topology to reach the specified destination while satisfying the specified constraints
            	**type**\: list of    :py:class:`DestinationPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.DestinationPaths.DestinationPath>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.destination_path = YList()
                self.destination_path.parent = self
                self.destination_path.name = 'destination_path'


            class DestinationPath(object):
                """
                A GET operation on this class returns the best
                available path in the TE topology to reach the
                specified destination while satisfying the
                specified constraints.
                
                .. attribute:: accumulated_admin_weight
                
                	The path's accumulated admin weight
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: affinity
                
                	Affinity
                	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.DestinationPaths.DestinationPath.Affinity>`
                
                .. attribute:: affinity_bits
                
                	Affinity Bits
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: affinity_mask
                
                	Affinity Mask
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: bandwidth
                
                	Bandwidth in kbps
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                	**units**\: kbit/s
                
                .. attribute:: bandwidth_type
                
                	The path's bandwidth type
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: cost_limit
                
                	Cost Limit
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: destination_address
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: destination_address_xr
                
                	The path's destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: exclude_srlg_address
                
                	The Exclude SRLG IP Addr
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: exclude_srlg_ip_address
                
                	Exclude SRLG IP Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: hold_priority
                
                	Hold Priority
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: hold_priority_xr
                
                	The path's hold priority
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: hop
                
                	The path's array of hops
                	**type**\:  list of str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: hop_limit
                
                	Hop Limit
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: igp_area
                
                	IGP Area
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: igp_instance
                
                	IGP Instance
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: igp_type
                
                	IGP Type
                	**type**\:   :py:class:`MplsTeIgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeIgpProtocolEnum>`
                
                .. attribute:: is_full_path
                
                	TRUE if path is full
                	**type**\:  bool
                
                .. attribute:: is_partial_path
                
                	TRUE if path is partial
                	**type**\:  bool
                
                .. attribute:: is_segment_routing_db_checked
                
                	TRUE if checking the Segment\-Routing DB is enabled
                	**type**\:  bool
                
                .. attribute:: is_topology_checked
                
                	TRUE if checking the topology is enabled
                	**type**\:  bool
                
                .. attribute:: mininum_bandwidth
                
                	The path's minimum bandwidth
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: node_hop_count
                
                	Path hop count
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_id
                
                	This is the ID of the explicit path to be used for this path calculation query
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: path_name
                
                	This is the name of the explicit path to be used for this path calculation query
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: path_type
                
                	Path Type
                	**type**\:   :py:class:`MplsTePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathEnum>`
                
                .. attribute:: requested_bandwidth
                
                	The path's requested bandwidth
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: setup_priority
                
                	Setup Priority
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: setup_priority_xr
                
                	The path's setup priority
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: shared_risk_link_group
                
                	The path's excluded srlg groups
                	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.DestinationPaths.DestinationPath.SharedRiskLinkGroup>`
                
                .. attribute:: sr_segment
                
                	The path's array of Segment\-Routing segments
                	**type**\: list of    :py:class:`SrSegment <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.DestinationPaths.DestinationPath.SrSegment>`
                
                .. attribute:: tunnel_id_xr
                
                	The tunnel ID to which this path belong
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.accumulated_admin_weight = None
                    self.affinity = MplsTe.Topology.DestinationPaths.DestinationPath.Affinity()
                    self.affinity.parent = self
                    self.affinity_bits = None
                    self.affinity_mask = None
                    self.bandwidth = None
                    self.bandwidth_type = None
                    self.cost_limit = None
                    self.destination_address = None
                    self.destination_address_xr = None
                    self.exclude_srlg_address = None
                    self.exclude_srlg_ip_address = None
                    self.hold_priority = None
                    self.hold_priority_xr = None
                    self.hop = YLeafList()
                    self.hop.parent = self
                    self.hop.name = 'hop'
                    self.hop_limit = None
                    self.igp_area = None
                    self.igp_instance = None
                    self.igp_type = None
                    self.is_full_path = None
                    self.is_partial_path = None
                    self.is_segment_routing_db_checked = None
                    self.is_topology_checked = None
                    self.mininum_bandwidth = None
                    self.node_hop_count = None
                    self.path_id = None
                    self.path_name = None
                    self.path_type = None
                    self.requested_bandwidth = None
                    self.setup_priority = None
                    self.setup_priority_xr = None
                    self.shared_risk_link_group = YList()
                    self.shared_risk_link_group.parent = self
                    self.shared_risk_link_group.name = 'shared_risk_link_group'
                    self.sr_segment = YList()
                    self.sr_segment.parent = self
                    self.sr_segment.name = 'sr_segment'
                    self.tunnel_id_xr = None


                class Affinity(object):
                    """
                    Affinity
                    
                    .. attribute:: affinity_bits
                    
                    	The affinity bits (colors)
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: affinity_mask
                    
                    	The affinity mask (colors)
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: named_affinity
                    
                    	Array of name based constratints currently applied to the tunnel
                    	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.DestinationPaths.DestinationPath.Affinity.NamedAffinity>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.affinity_bits = None
                        self.affinity_mask = None
                        self.named_affinity = YList()
                        self.named_affinity.parent = self
                        self.named_affinity.name = 'named_affinity'


                    class NamedAffinity(object):
                        """
                        Array of name based constratints currently
                        applied to the tunnel
                        
                        .. attribute:: constraint_extended_value
                        
                        	Constraint value
                        	**type**\:  list of int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: constraint_type
                        
                        	Constraint type
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: constraint_value
                        
                        	Deprecated
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: extended_forward_ref_value
                        
                        	Reference bits for undefined affinity names
                        	**type**\:  list of int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: forward_ref_value
                        
                        	Deprecated
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.constraint_extended_value = YLeafList()
                            self.constraint_extended_value.parent = self
                            self.constraint_extended_value.name = 'constraint_extended_value'
                            self.constraint_type = None
                            self.constraint_value = None
                            self.extended_forward_ref_value = YLeafList()
                            self.extended_forward_ref_value.parent = self
                            self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                            self.forward_ref_value = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:destination-paths/Cisco-IOS-XR-mpls-te-oper:destination-path/Cisco-IOS-XR-mpls-te-oper:affinity/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.constraint_extended_value is not None:
                                for child in self.constraint_extended_value:
                                    if child is not None:
                                        return True

                            if self.constraint_type is not None:
                                return True

                            if self.constraint_value is not None:
                                return True

                            if self.extended_forward_ref_value is not None:
                                for child in self.extended_forward_ref_value:
                                    if child is not None:
                                        return True

                            if self.forward_ref_value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Topology.DestinationPaths.DestinationPath.Affinity.NamedAffinity']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:destination-paths/Cisco-IOS-XR-mpls-te-oper:destination-path/Cisco-IOS-XR-mpls-te-oper:affinity'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.affinity_bits is not None:
                            return True

                        if self.affinity_mask is not None:
                            return True

                        if self.named_affinity is not None:
                            for child_ref in self.named_affinity:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Topology.DestinationPaths.DestinationPath.Affinity']['meta_info']


                class SharedRiskLinkGroup(object):
                    """
                    The path's excluded srlg groups
                    
                    .. attribute:: shared_risk_group
                    
                    	SRLG number
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srlg_name
                    
                    	SRLG name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.shared_risk_group = None
                        self.srlg_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:destination-paths/Cisco-IOS-XR-mpls-te-oper:destination-path/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.shared_risk_group is not None:
                            return True

                        if self.srlg_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Topology.DestinationPaths.DestinationPath.SharedRiskLinkGroup']['meta_info']


                class SrSegment(object):
                    """
                    The path's array of Segment\-Routing segments
                    
                    .. attribute:: has_entropy_label
                    
                    	Hop has EL specified
                    	**type**\:  bool
                    
                    .. attribute:: has_ip_addresses
                    
                    	Node has IP addresses specified
                    	**type**\:  bool
                    
                    .. attribute:: has_mpls_label
                    
                    	Hop has MPLS label specified
                    	**type**\:  bool
                    
                    .. attribute:: local_addr
                    
                    	Local IP address of adjacency or Node ID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: mpls_label_value
                    
                    	The MPLS label value
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: remote_addr
                    
                    	Remote IP address of adjacency
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: sid_type
                    
                    	Type of the SID
                    	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.has_entropy_label = None
                        self.has_ip_addresses = None
                        self.has_mpls_label = None
                        self.local_addr = None
                        self.mpls_label_value = None
                        self.remote_addr = None
                        self.sid_type = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:destination-paths/Cisco-IOS-XR-mpls-te-oper:destination-path/Cisco-IOS-XR-mpls-te-oper:sr-segment'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.has_entropy_label is not None:
                            return True

                        if self.has_ip_addresses is not None:
                            return True

                        if self.has_mpls_label is not None:
                            return True

                        if self.local_addr is not None:
                            return True

                        if self.mpls_label_value is not None:
                            return True

                        if self.remote_addr is not None:
                            return True

                        if self.sid_type is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Topology.DestinationPaths.DestinationPath.SrSegment']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:destination-paths/Cisco-IOS-XR-mpls-te-oper:destination-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.accumulated_admin_weight is not None:
                        return True

                    if self.affinity is not None and self.affinity._has_data():
                        return True

                    if self.affinity_bits is not None:
                        return True

                    if self.affinity_mask is not None:
                        return True

                    if self.bandwidth is not None:
                        return True

                    if self.bandwidth_type is not None:
                        return True

                    if self.cost_limit is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.destination_address_xr is not None:
                        return True

                    if self.exclude_srlg_address is not None:
                        return True

                    if self.exclude_srlg_ip_address is not None:
                        return True

                    if self.hold_priority is not None:
                        return True

                    if self.hold_priority_xr is not None:
                        return True

                    if self.hop is not None:
                        for child in self.hop:
                            if child is not None:
                                return True

                    if self.hop_limit is not None:
                        return True

                    if self.igp_area is not None:
                        return True

                    if self.igp_instance is not None:
                        return True

                    if self.igp_type is not None:
                        return True

                    if self.is_full_path is not None:
                        return True

                    if self.is_partial_path is not None:
                        return True

                    if self.is_segment_routing_db_checked is not None:
                        return True

                    if self.is_topology_checked is not None:
                        return True

                    if self.mininum_bandwidth is not None:
                        return True

                    if self.node_hop_count is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_name is not None:
                        return True

                    if self.path_type is not None:
                        return True

                    if self.requested_bandwidth is not None:
                        return True

                    if self.setup_priority is not None:
                        return True

                    if self.setup_priority_xr is not None:
                        return True

                    if self.shared_risk_link_group is not None:
                        for child_ref in self.shared_risk_link_group:
                            if child_ref._has_data():
                                return True

                    if self.sr_segment is not None:
                        for child_ref in self.sr_segment:
                            if child_ref._has_data():
                                return True

                    if self.tunnel_id_xr is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Topology.DestinationPaths.DestinationPath']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:destination-paths'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.destination_path is not None:
                    for child_ref in self.destination_path:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.Topology.DestinationPaths']['meta_info']


        class ConfiguredSrlgs(object):
            """
            Set of configured SRLG
            
            .. attribute:: configured_srlg
            
            	Configured SRLG value and the addresses using it
            	**type**\: list of    :py:class:`ConfiguredSrlg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.ConfiguredSrlgs.ConfiguredSrlg>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.configured_srlg = YList()
                self.configured_srlg.parent = self
                self.configured_srlg.name = 'configured_srlg'


            class ConfiguredSrlg(object):
                """
                Configured SRLG value and the addresses using
                it
                
                .. attribute:: srlg_number  <key>
                
                	SRLG Number
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: admin_weight
                
                	The admin weight that is added to the link if the SRLG is shared with the protected link
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_admin_weight_configured
                
                	Set to TRUE if the admin weight is explicitely configured
                	**type**\:  bool
                
                .. attribute:: srlg_link
                
                	Link associated with the SRLG
                	**type**\: list of    :py:class:`SrlgLink <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.ConfiguredSrlgs.ConfiguredSrlg.SrlgLink>`
                
                .. attribute:: srlg_name
                
                	SRLG name
                	**type**\:  str
                
                .. attribute:: srlg_number_xr
                
                	SRLG number
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.srlg_number = None
                    self.admin_weight = None
                    self.is_admin_weight_configured = None
                    self.srlg_link = YList()
                    self.srlg_link.parent = self
                    self.srlg_link.name = 'srlg_link'
                    self.srlg_name = None
                    self.srlg_number_xr = None


                class SrlgLink(object):
                    """
                    Link associated with the SRLG
                    
                    .. attribute:: local_address
                    
                    	Local address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: remote_address
                    
                    	Remote address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.local_address = None
                        self.remote_address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-link'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.local_address is not None:
                            return True

                        if self.remote_address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Topology.ConfiguredSrlgs.ConfiguredSrlg.SrlgLink']['meta_info']

                @property
                def _common_path(self):
                    if self.srlg_number is None:
                        raise YPYModelError('Key property srlg_number is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:configured-srlgs/Cisco-IOS-XR-mpls-te-oper:configured-srlg[Cisco-IOS-XR-mpls-te-oper:srlg-number = ' + str(self.srlg_number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.srlg_number is not None:
                        return True

                    if self.admin_weight is not None:
                        return True

                    if self.is_admin_weight_configured is not None:
                        return True

                    if self.srlg_link is not None:
                        for child_ref in self.srlg_link:
                            if child_ref._has_data():
                                return True

                    if self.srlg_name is not None:
                        return True

                    if self.srlg_number_xr is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Topology.ConfiguredSrlgs.ConfiguredSrlg']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:configured-srlgs'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.configured_srlg is not None:
                    for child_ref in self.configured_srlg:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.Topology.ConfiguredSrlgs']['meta_info']


        class Srlgs(object):
            """
            Set of SRLG operational value for the overall
            MPLS\-TE topology
            
            .. attribute:: srlg
            
            	SRLG operational value for the overall MPLS\-TE topology
            	**type**\: list of    :py:class:`Srlg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.Srlgs.Srlg>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.srlg = YList()
                self.srlg.parent = self
                self.srlg.name = 'srlg'


            class Srlg(object):
                """
                SRLG operational value for the overall MPLS\-TE
                topology
                
                .. attribute:: srlg_number  <key>
                
                	SRLG Number
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: admin_weight
                
                	The admin weight that is added to the link if the SRLG is shared with the protected link
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: srlg_areas
                
                	Topology areas in this SRLG
                	**type**\: list of    :py:class:`SrlgAreas <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.Srlgs.Srlg.SrlgAreas>`
                
                .. attribute:: srlg_name
                
                	SRLG name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.srlg_number = None
                    self.admin_weight = None
                    self.srlg_areas = YList()
                    self.srlg_areas.parent = self
                    self.srlg_areas.name = 'srlg_areas'
                    self.srlg_name = None


                class SrlgAreas(object):
                    """
                    Topology areas in this SRLG
                    
                    .. attribute:: igp_area
                    
                    	IGP Area ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: igp_area_format
                    
                    	IGP\-area format
                    	**type**\:   :py:class:`IgpOspfAreaFormatEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpOspfAreaFormatEnum>`
                    
                    .. attribute:: igp_instance
                    
                    	IGP Instance name
                    	**type**\:  str
                    
                    .. attribute:: igp_type
                    
                    	IGP type
                    	**type**\:   :py:class:`IgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpProtocolEnum>`
                    
                    .. attribute:: srlg_link
                    
                    	Links in this SRLG/area
                    	**type**\: list of    :py:class:`SrlgLink <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.igp_area = None
                        self.igp_area_format = None
                        self.igp_instance = None
                        self.igp_type = None
                        self.srlg_link = YList()
                        self.srlg_link.parent = self
                        self.srlg_link.name = 'srlg_link'


                    class SrlgLink(object):
                        """
                        Links in this SRLG/area
                        
                        .. attribute:: link_address
                        
                        	Link address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_address_generic
                        
                        	Link address
                        	**type**\:   :py:class:`LinkAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric>`
                        
                        .. attribute:: te_router_id
                        
                        	Link TE router\-id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.link_address = None
                            self.link_address_generic = MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric()
                            self.link_address_generic.parent = self
                            self.te_router_id = None


                        class LinkAddressGeneric(object):
                            """
                            Link address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:link-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-link'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.link_address is not None:
                                return True

                            if self.link_address_generic is not None and self.link_address_generic._has_data():
                                return True

                            if self.te_router_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-areas'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.igp_area is not None:
                            return True

                        if self.igp_area_format is not None:
                            return True

                        if self.igp_instance is not None:
                            return True

                        if self.igp_type is not None:
                            return True

                        if self.srlg_link is not None:
                            for child_ref in self.srlg_link:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Topology.Srlgs.Srlg.SrlgAreas']['meta_info']

                @property
                def _common_path(self):
                    if self.srlg_number is None:
                        raise YPYModelError('Key property srlg_number is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:srlgs/Cisco-IOS-XR-mpls-te-oper:srlg[Cisco-IOS-XR-mpls-te-oper:srlg-number = ' + str(self.srlg_number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.srlg_number is not None:
                        return True

                    if self.admin_weight is not None:
                        return True

                    if self.srlg_areas is not None:
                        for child_ref in self.srlg_areas:
                            if child_ref._has_data():
                                return True

                    if self.srlg_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Topology.Srlgs.Srlg']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:srlgs'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.srlg is not None:
                    for child_ref in self.srlg:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.Topology.Srlgs']['meta_info']


        class PathTunnels(object):
            """
            MPLS\-Te topology path info
            
            .. attribute:: path_tunnel
            
            	MPLS\-TE topology path taken by the specified tunnel
            	**type**\: list of    :py:class:`PathTunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.PathTunnels.PathTunnel>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.path_tunnel = YList()
                self.path_tunnel.parent = self
                self.path_tunnel.name = 'path_tunnel'


            class PathTunnel(object):
                """
                MPLS\-TE topology path taken by the specified
                tunnel
                
                .. attribute:: accumulated_admin_weight
                
                	The path's accumulated admin weight
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: affinity
                
                	Affinity
                	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.PathTunnels.PathTunnel.Affinity>`
                
                .. attribute:: bandwidth_type
                
                	The path's bandwidth type
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: destination_address_xr
                
                	The path's destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: exclude_srlg_address
                
                	The Exclude SRLG IP Addr
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: hold_priority_xr
                
                	The path's hold priority
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: hop
                
                	The path's array of hops
                	**type**\:  list of str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: is_full_path
                
                	TRUE if path is full
                	**type**\:  bool
                
                .. attribute:: is_partial_path
                
                	TRUE if path is partial
                	**type**\:  bool
                
                .. attribute:: is_segment_routing_db_checked
                
                	TRUE if checking the Segment\-Routing DB is enabled
                	**type**\:  bool
                
                .. attribute:: is_topology_checked
                
                	TRUE if checking the topology is enabled
                	**type**\:  bool
                
                .. attribute:: mininum_bandwidth
                
                	The path's minimum bandwidth
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: node_hop_count
                
                	Path hop count
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: requested_bandwidth
                
                	The path's requested bandwidth
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: setup_priority_xr
                
                	The path's setup priority
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: shared_risk_link_group
                
                	The path's excluded srlg groups
                	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.PathTunnels.PathTunnel.SharedRiskLinkGroup>`
                
                .. attribute:: sr_segment
                
                	The path's array of Segment\-Routing segments
                	**type**\: list of    :py:class:`SrSegment <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.PathTunnels.PathTunnel.SrSegment>`
                
                .. attribute:: tunnel_id
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: tunnel_id_xr
                
                	The tunnel ID to which this path belong
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_name
                
                	Tunnel name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.accumulated_admin_weight = None
                    self.affinity = MplsTe.Topology.PathTunnels.PathTunnel.Affinity()
                    self.affinity.parent = self
                    self.bandwidth_type = None
                    self.destination_address_xr = None
                    self.exclude_srlg_address = None
                    self.hold_priority_xr = None
                    self.hop = YLeafList()
                    self.hop.parent = self
                    self.hop.name = 'hop'
                    self.is_full_path = None
                    self.is_partial_path = None
                    self.is_segment_routing_db_checked = None
                    self.is_topology_checked = None
                    self.mininum_bandwidth = None
                    self.node_hop_count = None
                    self.requested_bandwidth = None
                    self.setup_priority_xr = None
                    self.shared_risk_link_group = YList()
                    self.shared_risk_link_group.parent = self
                    self.shared_risk_link_group.name = 'shared_risk_link_group'
                    self.sr_segment = YList()
                    self.sr_segment.parent = self
                    self.sr_segment.name = 'sr_segment'
                    self.tunnel_id = None
                    self.tunnel_id_xr = None
                    self.tunnel_name = None


                class Affinity(object):
                    """
                    Affinity
                    
                    .. attribute:: affinity_bits
                    
                    	The affinity bits (colors)
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: affinity_mask
                    
                    	The affinity mask (colors)
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: named_affinity
                    
                    	Array of name based constratints currently applied to the tunnel
                    	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Topology.PathTunnels.PathTunnel.Affinity.NamedAffinity>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.affinity_bits = None
                        self.affinity_mask = None
                        self.named_affinity = YList()
                        self.named_affinity.parent = self
                        self.named_affinity.name = 'named_affinity'


                    class NamedAffinity(object):
                        """
                        Array of name based constratints currently
                        applied to the tunnel
                        
                        .. attribute:: constraint_extended_value
                        
                        	Constraint value
                        	**type**\:  list of int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: constraint_type
                        
                        	Constraint type
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: constraint_value
                        
                        	Deprecated
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: extended_forward_ref_value
                        
                        	Reference bits for undefined affinity names
                        	**type**\:  list of int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: forward_ref_value
                        
                        	Deprecated
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.constraint_extended_value = YLeafList()
                            self.constraint_extended_value.parent = self
                            self.constraint_extended_value.name = 'constraint_extended_value'
                            self.constraint_type = None
                            self.constraint_value = None
                            self.extended_forward_ref_value = YLeafList()
                            self.extended_forward_ref_value.parent = self
                            self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                            self.forward_ref_value = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:path-tunnels/Cisco-IOS-XR-mpls-te-oper:path-tunnel/Cisco-IOS-XR-mpls-te-oper:affinity/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.constraint_extended_value is not None:
                                for child in self.constraint_extended_value:
                                    if child is not None:
                                        return True

                            if self.constraint_type is not None:
                                return True

                            if self.constraint_value is not None:
                                return True

                            if self.extended_forward_ref_value is not None:
                                for child in self.extended_forward_ref_value:
                                    if child is not None:
                                        return True

                            if self.forward_ref_value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Topology.PathTunnels.PathTunnel.Affinity.NamedAffinity']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:path-tunnels/Cisco-IOS-XR-mpls-te-oper:path-tunnel/Cisco-IOS-XR-mpls-te-oper:affinity'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.affinity_bits is not None:
                            return True

                        if self.affinity_mask is not None:
                            return True

                        if self.named_affinity is not None:
                            for child_ref in self.named_affinity:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Topology.PathTunnels.PathTunnel.Affinity']['meta_info']


                class SharedRiskLinkGroup(object):
                    """
                    The path's excluded srlg groups
                    
                    .. attribute:: shared_risk_group
                    
                    	SRLG number
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srlg_name
                    
                    	SRLG name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.shared_risk_group = None
                        self.srlg_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:path-tunnels/Cisco-IOS-XR-mpls-te-oper:path-tunnel/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.shared_risk_group is not None:
                            return True

                        if self.srlg_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Topology.PathTunnels.PathTunnel.SharedRiskLinkGroup']['meta_info']


                class SrSegment(object):
                    """
                    The path's array of Segment\-Routing segments
                    
                    .. attribute:: has_entropy_label
                    
                    	Hop has EL specified
                    	**type**\:  bool
                    
                    .. attribute:: has_ip_addresses
                    
                    	Node has IP addresses specified
                    	**type**\:  bool
                    
                    .. attribute:: has_mpls_label
                    
                    	Hop has MPLS label specified
                    	**type**\:  bool
                    
                    .. attribute:: local_addr
                    
                    	Local IP address of adjacency or Node ID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: mpls_label_value
                    
                    	The MPLS label value
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: remote_addr
                    
                    	Remote IP address of adjacency
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: sid_type
                    
                    	Type of the SID
                    	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.has_entropy_label = None
                        self.has_ip_addresses = None
                        self.has_mpls_label = None
                        self.local_addr = None
                        self.mpls_label_value = None
                        self.remote_addr = None
                        self.sid_type = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:path-tunnels/Cisco-IOS-XR-mpls-te-oper:path-tunnel/Cisco-IOS-XR-mpls-te-oper:sr-segment'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.has_entropy_label is not None:
                            return True

                        if self.has_ip_addresses is not None:
                            return True

                        if self.has_mpls_label is not None:
                            return True

                        if self.local_addr is not None:
                            return True

                        if self.mpls_label_value is not None:
                            return True

                        if self.remote_addr is not None:
                            return True

                        if self.sid_type is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Topology.PathTunnels.PathTunnel.SrSegment']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:path-tunnels/Cisco-IOS-XR-mpls-te-oper:path-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.accumulated_admin_weight is not None:
                        return True

                    if self.affinity is not None and self.affinity._has_data():
                        return True

                    if self.bandwidth_type is not None:
                        return True

                    if self.destination_address_xr is not None:
                        return True

                    if self.exclude_srlg_address is not None:
                        return True

                    if self.hold_priority_xr is not None:
                        return True

                    if self.hop is not None:
                        for child in self.hop:
                            if child is not None:
                                return True

                    if self.is_full_path is not None:
                        return True

                    if self.is_partial_path is not None:
                        return True

                    if self.is_segment_routing_db_checked is not None:
                        return True

                    if self.is_topology_checked is not None:
                        return True

                    if self.mininum_bandwidth is not None:
                        return True

                    if self.node_hop_count is not None:
                        return True

                    if self.requested_bandwidth is not None:
                        return True

                    if self.setup_priority_xr is not None:
                        return True

                    if self.shared_risk_link_group is not None:
                        for child_ref in self.shared_risk_link_group:
                            if child_ref._has_data():
                                return True

                    if self.sr_segment is not None:
                        for child_ref in self.sr_segment:
                            if child_ref._has_data():
                                return True

                    if self.tunnel_id is not None:
                        return True

                    if self.tunnel_id_xr is not None:
                        return True

                    if self.tunnel_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Topology.PathTunnels.PathTunnel']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:path-tunnels'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.path_tunnel is not None:
                    for child_ref in self.path_tunnel:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.Topology.PathTunnels']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.configured_srlgs is not None and self.configured_srlgs._has_data():
                return True

            if self.destination_paths is not None and self.destination_paths._has_data():
                return True

            if self.global_ is not None and self.global_._has_data():
                return True

            if self.path_tunnels is not None and self.path_tunnels._has_data():
                return True

            if self.srlgs is not None and self.srlgs._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.Topology']['meta_info']


    class SignallingCounters(object):
        """
        TE counters
        
        .. attribute:: head_signalling_counters
        
        	Sig Head Table TE counters
        	**type**\:   :py:class:`HeadSignallingCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.HeadSignallingCounters>`
        
        .. attribute:: heads_counters
        
        	MPLS TE counters signalling heads table
        	**type**\:   :py:class:`HeadsCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.HeadsCounters>`
        
        .. attribute:: issu
        
        	MPLS TE ISSU counters
        	**type**\:   :py:class:`Issu <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.Issu>`
        
        .. attribute:: mids_counters
        
        	MPLS TE counters signalling heads table
        	**type**\:   :py:class:`MidsCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.MidsCounters>`
        
        .. attribute:: remote_signalling_counters
        
        	Sig mid tail Table TE counters
        	**type**\:   :py:class:`RemoteSignallingCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.RemoteSignallingCounters>`
        
        .. attribute:: signalling_summary
        
        	Send\-Recv count summary for TE Signaling
        	**type**\:   :py:class:`SignallingSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.SignallingSummary>`
        
        .. attribute:: signallings
        
        	TE counters
        	**type**\:   :py:class:`Signallings <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.Signallings>`
        
        .. attribute:: tails_counters
        
        	MPLS TE counters signalling heads table
        	**type**\:   :py:class:`TailsCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.TailsCounters>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.head_signalling_counters = MplsTe.SignallingCounters.HeadSignallingCounters()
            self.head_signalling_counters.parent = self
            self.heads_counters = MplsTe.SignallingCounters.HeadsCounters()
            self.heads_counters.parent = self
            self.issu = MplsTe.SignallingCounters.Issu()
            self.issu.parent = self
            self.mids_counters = MplsTe.SignallingCounters.MidsCounters()
            self.mids_counters.parent = self
            self.remote_signalling_counters = MplsTe.SignallingCounters.RemoteSignallingCounters()
            self.remote_signalling_counters.parent = self
            self.signalling_summary = MplsTe.SignallingCounters.SignallingSummary()
            self.signalling_summary.parent = self
            self.signallings = MplsTe.SignallingCounters.Signallings()
            self.signallings.parent = self
            self.tails_counters = MplsTe.SignallingCounters.TailsCounters()
            self.tails_counters.parent = self


        class Issu(object):
            """
            MPLS TE ISSU counters
            
            .. attribute:: last_cleared_timestamp
            
            	The timestamp, in seconds, when these statistics are cleared              since 00\:00\:00 UTC, January 1, 1970
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: last_idt_states
            
            	Last IDT States
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: role
            
            	Process role
            	**type**\:   :py:class:`TeProcRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProcRoleEnum>`
            
            .. attribute:: total_deletions
            
            	Total deletions
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: total_id_ts
            
            	Total IDTs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: total_nac_ks
            
            	Total NACKs
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: total_states
            
            	Total states
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.last_cleared_timestamp = None
                self.last_idt_states = None
                self.role = None
                self.total_deletions = None
                self.total_id_ts = None
                self.total_nac_ks = None
                self.total_states = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:issu'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.last_cleared_timestamp is not None:
                    return True

                if self.last_idt_states is not None:
                    return True

                if self.role is not None:
                    return True

                if self.total_deletions is not None:
                    return True

                if self.total_id_ts is not None:
                    return True

                if self.total_nac_ks is not None:
                    return True

                if self.total_states is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.SignallingCounters.Issu']['meta_info']


        class HeadsCounters(object):
            """
            MPLS TE counters signalling heads table
            
            .. attribute:: heads_counter
            
            	MPLS TE counters signalling head
            	**type**\: list of    :py:class:`HeadsCounter <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.HeadsCounters.HeadsCounter>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.heads_counter = YList()
                self.heads_counter.parent = self
                self.heads_counter.name = 'heads_counter'


            class HeadsCounter(object):
                """
                MPLS TE counters signalling head
                
                .. attribute:: tunnel_id  <key>
                
                	tunnel id of last obtained tunnel
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: destination_statistic
                
                	List of Destination Stats
                	**type**\: list of    :py:class:`DestinationStatistic <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic>`
                
                .. attribute:: lsp_id
                
                	LSP ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: statistics
                
                	VIF stats
                	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.Statistics>`
                
                .. attribute:: tunnel_name
                
                	Tunnel Name
                	**type**\:  str
                
                .. attribute:: tunnel_sig_name
                
                	Tunnel Signalled\-Name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.tunnel_id = None
                    self.destination_statistic = YList()
                    self.destination_statistic.parent = self
                    self.destination_statistic.name = 'destination_statistic'
                    self.lsp_id = None
                    self.statistics = MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.Statistics()
                    self.statistics.parent = self
                    self.tunnel_name = None
                    self.tunnel_sig_name = None


                class Statistics(object):
                    """
                    VIF stats
                    
                    .. attribute:: events_count
                    
                    	TE Signaling event count
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: events_total_count
                    
                    	Total TE Signalling event count
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_backup_assign_err_event
                    
                    	Error on Backup Assign event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_event_unknown
                    
                    	RX Unknown events
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_change_event
                    
                    	RX Path Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_create_event
                    
                    	RX Path Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_delete_event
                    
                    	RX Path Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_error_event
                    
                    	RX Path Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_reeval_query_event
                    
                    	RX Path Reeval Query event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_change_event
                    
                    	RX Resv Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_create_event
                    
                    	RX Resv Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_delete_event
                    
                    	RX Resv Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_error_event
                    
                    	RX Resv Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_backup_assign_event
                    
                    	Backup Assign event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_event_unknown
                    
                    	Unknown TX events
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_change_event
                    
                    	TX Path Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_create_event
                    
                    	TX Path Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_delete_event
                    
                    	TX Path Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_error_event
                    
                    	TX Path Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_reeval_query_event
                    
                    	TX Path Reeval Query event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_change_event
                    
                    	TX Resv Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_create_event
                    
                    	TX Resv Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_delete_event
                    
                    	TX Resv Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_error_event
                    
                    	TX Resv Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.events_count = None
                        self.events_total_count = None
                        self.rx_backup_assign_err_event = None
                        self.rx_event_unknown = None
                        self.rx_path_change_event = None
                        self.rx_path_create_event = None
                        self.rx_path_delete_event = None
                        self.rx_path_error_event = None
                        self.rx_path_reeval_query_event = None
                        self.rx_resv_change_event = None
                        self.rx_resv_create_event = None
                        self.rx_resv_delete_event = None
                        self.rx_resv_error_event = None
                        self.tx_backup_assign_event = None
                        self.tx_event_unknown = None
                        self.tx_path_change_event = None
                        self.tx_path_create_event = None
                        self.tx_path_delete_event = None
                        self.tx_path_error_event = None
                        self.tx_path_reeval_query_event = None
                        self.tx_resv_change_event = None
                        self.tx_resv_create_event = None
                        self.tx_resv_delete_event = None
                        self.tx_resv_error_event = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.events_count is not None:
                            return True

                        if self.events_total_count is not None:
                            return True

                        if self.rx_backup_assign_err_event is not None:
                            return True

                        if self.rx_event_unknown is not None:
                            return True

                        if self.rx_path_change_event is not None:
                            return True

                        if self.rx_path_create_event is not None:
                            return True

                        if self.rx_path_delete_event is not None:
                            return True

                        if self.rx_path_error_event is not None:
                            return True

                        if self.rx_path_reeval_query_event is not None:
                            return True

                        if self.rx_resv_change_event is not None:
                            return True

                        if self.rx_resv_create_event is not None:
                            return True

                        if self.rx_resv_delete_event is not None:
                            return True

                        if self.rx_resv_error_event is not None:
                            return True

                        if self.tx_backup_assign_event is not None:
                            return True

                        if self.tx_event_unknown is not None:
                            return True

                        if self.tx_path_change_event is not None:
                            return True

                        if self.tx_path_create_event is not None:
                            return True

                        if self.tx_path_delete_event is not None:
                            return True

                        if self.tx_path_error_event is not None:
                            return True

                        if self.tx_path_reeval_query_event is not None:
                            return True

                        if self.tx_resv_change_event is not None:
                            return True

                        if self.tx_resv_create_event is not None:
                            return True

                        if self.tx_resv_delete_event is not None:
                            return True

                        if self.tx_resv_error_event is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.Statistics']['meta_info']


                class DestinationStatistic(object):
                    """
                    List of Destination Stats
                    
                    .. attribute:: destination_address
                    
                    	Destination address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: s2l_statistic
                    
                    	List of S2L Stats
                    	**type**\: list of    :py:class:`S2LStatistic <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic>`
                    
                    .. attribute:: statistics
                    
                    	Destination stats
                    	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.Statistics>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.destination_address = None
                        self.s2l_statistic = YList()
                        self.s2l_statistic.parent = self
                        self.s2l_statistic.name = 's2l_statistic'
                        self.statistics = MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.Statistics()
                        self.statistics.parent = self


                    class Statistics(object):
                        """
                        Destination stats
                        
                        .. attribute:: events_count
                        
                        	TE Signaling event count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: events_total_count
                        
                        	Total TE Signalling event count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_backup_assign_err_event
                        
                        	Error on Backup Assign event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_event_unknown
                        
                        	RX Unknown events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_change_event
                        
                        	RX Path Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_create_event
                        
                        	RX Path Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_delete_event
                        
                        	RX Path Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_error_event
                        
                        	RX Path Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_reeval_query_event
                        
                        	RX Path Reeval Query event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_change_event
                        
                        	RX Resv Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_create_event
                        
                        	RX Resv Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_delete_event
                        
                        	RX Resv Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_error_event
                        
                        	RX Resv Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_backup_assign_event
                        
                        	Backup Assign event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_event_unknown
                        
                        	Unknown TX events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_change_event
                        
                        	TX Path Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_create_event
                        
                        	TX Path Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_delete_event
                        
                        	TX Path Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_error_event
                        
                        	TX Path Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_reeval_query_event
                        
                        	TX Path Reeval Query event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_change_event
                        
                        	TX Resv Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_create_event
                        
                        	TX Resv Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_delete_event
                        
                        	TX Resv Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_error_event
                        
                        	TX Resv Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.events_count = None
                            self.events_total_count = None
                            self.rx_backup_assign_err_event = None
                            self.rx_event_unknown = None
                            self.rx_path_change_event = None
                            self.rx_path_create_event = None
                            self.rx_path_delete_event = None
                            self.rx_path_error_event = None
                            self.rx_path_reeval_query_event = None
                            self.rx_resv_change_event = None
                            self.rx_resv_create_event = None
                            self.rx_resv_delete_event = None
                            self.rx_resv_error_event = None
                            self.tx_backup_assign_event = None
                            self.tx_event_unknown = None
                            self.tx_path_change_event = None
                            self.tx_path_create_event = None
                            self.tx_path_delete_event = None
                            self.tx_path_error_event = None
                            self.tx_path_reeval_query_event = None
                            self.tx_resv_change_event = None
                            self.tx_resv_create_event = None
                            self.tx_resv_delete_event = None
                            self.tx_resv_error_event = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.events_count is not None:
                                return True

                            if self.events_total_count is not None:
                                return True

                            if self.rx_backup_assign_err_event is not None:
                                return True

                            if self.rx_event_unknown is not None:
                                return True

                            if self.rx_path_change_event is not None:
                                return True

                            if self.rx_path_create_event is not None:
                                return True

                            if self.rx_path_delete_event is not None:
                                return True

                            if self.rx_path_error_event is not None:
                                return True

                            if self.rx_path_reeval_query_event is not None:
                                return True

                            if self.rx_resv_change_event is not None:
                                return True

                            if self.rx_resv_create_event is not None:
                                return True

                            if self.rx_resv_delete_event is not None:
                                return True

                            if self.rx_resv_error_event is not None:
                                return True

                            if self.tx_backup_assign_event is not None:
                                return True

                            if self.tx_event_unknown is not None:
                                return True

                            if self.tx_path_change_event is not None:
                                return True

                            if self.tx_path_create_event is not None:
                                return True

                            if self.tx_path_delete_event is not None:
                                return True

                            if self.tx_path_error_event is not None:
                                return True

                            if self.tx_path_reeval_query_event is not None:
                                return True

                            if self.tx_resv_change_event is not None:
                                return True

                            if self.tx_resv_create_event is not None:
                                return True

                            if self.tx_resv_delete_event is not None:
                                return True

                            if self.tx_resv_error_event is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.Statistics']['meta_info']


                    class S2LStatistic(object):
                        """
                        List of S2L Stats
                        
                        .. attribute:: destination_address
                        
                        	Destination address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: statistics
                        
                        	S2L stats
                        	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic.Statistics>`
                        
                        .. attribute:: sub_group_id
                        
                        	subgroup ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: sub_group_originator
                        
                        	Subgroup Originator
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.destination_address = None
                            self.statistics = MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic.Statistics()
                            self.statistics.parent = self
                            self.sub_group_id = None
                            self.sub_group_originator = None


                        class Statistics(object):
                            """
                            S2L stats
                            
                            .. attribute:: events_count
                            
                            	TE Signaling event count
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: events_total_count
                            
                            	Total TE Signalling event count
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_backup_assign_err_event
                            
                            	Error on Backup Assign event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_event_unknown
                            
                            	RX Unknown events
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_change_event
                            
                            	RX Path Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_create_event
                            
                            	RX Path Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_delete_event
                            
                            	RX Path Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_error_event
                            
                            	RX Path Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_reeval_query_event
                            
                            	RX Path Reeval Query event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_change_event
                            
                            	RX Resv Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_create_event
                            
                            	RX Resv Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_delete_event
                            
                            	RX Resv Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_error_event
                            
                            	RX Resv Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_backup_assign_event
                            
                            	Backup Assign event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_event_unknown
                            
                            	Unknown TX events
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_change_event
                            
                            	TX Path Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_create_event
                            
                            	TX Path Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_delete_event
                            
                            	TX Path Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_error_event
                            
                            	TX Path Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_reeval_query_event
                            
                            	TX Path Reeval Query event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_change_event
                            
                            	TX Resv Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_create_event
                            
                            	TX Resv Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_delete_event
                            
                            	TX Resv Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_error_event
                            
                            	TX Resv Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.events_count = None
                                self.events_total_count = None
                                self.rx_backup_assign_err_event = None
                                self.rx_event_unknown = None
                                self.rx_path_change_event = None
                                self.rx_path_create_event = None
                                self.rx_path_delete_event = None
                                self.rx_path_error_event = None
                                self.rx_path_reeval_query_event = None
                                self.rx_resv_change_event = None
                                self.rx_resv_create_event = None
                                self.rx_resv_delete_event = None
                                self.rx_resv_error_event = None
                                self.tx_backup_assign_event = None
                                self.tx_event_unknown = None
                                self.tx_path_change_event = None
                                self.tx_path_create_event = None
                                self.tx_path_delete_event = None
                                self.tx_path_error_event = None
                                self.tx_path_reeval_query_event = None
                                self.tx_resv_change_event = None
                                self.tx_resv_create_event = None
                                self.tx_resv_delete_event = None
                                self.tx_resv_error_event = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.events_count is not None:
                                    return True

                                if self.events_total_count is not None:
                                    return True

                                if self.rx_backup_assign_err_event is not None:
                                    return True

                                if self.rx_event_unknown is not None:
                                    return True

                                if self.rx_path_change_event is not None:
                                    return True

                                if self.rx_path_create_event is not None:
                                    return True

                                if self.rx_path_delete_event is not None:
                                    return True

                                if self.rx_path_error_event is not None:
                                    return True

                                if self.rx_path_reeval_query_event is not None:
                                    return True

                                if self.rx_resv_change_event is not None:
                                    return True

                                if self.rx_resv_create_event is not None:
                                    return True

                                if self.rx_resv_delete_event is not None:
                                    return True

                                if self.rx_resv_error_event is not None:
                                    return True

                                if self.tx_backup_assign_event is not None:
                                    return True

                                if self.tx_event_unknown is not None:
                                    return True

                                if self.tx_path_change_event is not None:
                                    return True

                                if self.tx_path_create_event is not None:
                                    return True

                                if self.tx_path_delete_event is not None:
                                    return True

                                if self.tx_path_error_event is not None:
                                    return True

                                if self.tx_path_reeval_query_event is not None:
                                    return True

                                if self.tx_resv_change_event is not None:
                                    return True

                                if self.tx_resv_create_event is not None:
                                    return True

                                if self.tx_resv_delete_event is not None:
                                    return True

                                if self.tx_resv_error_event is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic.Statistics']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-statistic'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.destination_address is not None:
                                return True

                            if self.statistics is not None and self.statistics._has_data():
                                return True

                            if self.sub_group_id is not None:
                                return True

                            if self.sub_group_originator is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:destination-statistic'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.destination_address is not None:
                            return True

                        if self.s2l_statistic is not None:
                            for child_ref in self.s2l_statistic:
                                if child_ref._has_data():
                                    return True

                        if self.statistics is not None and self.statistics._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic']['meta_info']

                @property
                def _common_path(self):
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:heads-counters/Cisco-IOS-XR-mpls-te-oper:heads-counter[Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.tunnel_id is not None:
                        return True

                    if self.destination_statistic is not None:
                        for child_ref in self.destination_statistic:
                            if child_ref._has_data():
                                return True

                    if self.lsp_id is not None:
                        return True

                    if self.statistics is not None and self.statistics._has_data():
                        return True

                    if self.tunnel_name is not None:
                        return True

                    if self.tunnel_sig_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.SignallingCounters.HeadsCounters.HeadsCounter']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:heads-counters'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.heads_counter is not None:
                    for child_ref in self.heads_counter:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.SignallingCounters.HeadsCounters']['meta_info']


        class MidsCounters(object):
            """
            MPLS TE counters signalling heads table
            
            .. attribute:: mids_counter
            
            	MPLS TE counters signalling mid
            	**type**\: list of    :py:class:`MidsCounter <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.MidsCounters.MidsCounter>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.mids_counter = YList()
                self.mids_counter.parent = self
                self.mids_counter.name = 'mids_counter'


            class MidsCounter(object):
                """
                MPLS TE counters signalling mid
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id  <key>
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lsp_id  <key>
                
                	LSP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: source_address  <key>
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id  <key>
                
                	tunnel id of last obtained tunnel
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: s2l_statistic
                
                	List of S2L Statistics
                	**type**\: list of    :py:class:`S2LStatistic <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic>`
                
                .. attribute:: statistics
                
                	LSP statistics
                	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.MidsCounters.MidsCounter.Statistics>`
                
                .. attribute:: tunnel_name
                
                	Tunnel Name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.lsp_id = None
                    self.source_address = None
                    self.tunnel_id = None
                    self.s2l_statistic = YList()
                    self.s2l_statistic.parent = self
                    self.s2l_statistic.name = 's2l_statistic'
                    self.statistics = MplsTe.SignallingCounters.MidsCounters.MidsCounter.Statistics()
                    self.statistics.parent = self
                    self.tunnel_name = None


                class Statistics(object):
                    """
                    LSP statistics
                    
                    .. attribute:: events_count
                    
                    	TE Signaling event count
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: events_total_count
                    
                    	Total TE Signalling event count
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_backup_assign_err_event
                    
                    	Error on Backup Assign event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_event_unknown
                    
                    	RX Unknown events
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_change_event
                    
                    	RX Path Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_create_event
                    
                    	RX Path Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_delete_event
                    
                    	RX Path Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_error_event
                    
                    	RX Path Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_reeval_query_event
                    
                    	RX Path Reeval Query event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_change_event
                    
                    	RX Resv Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_create_event
                    
                    	RX Resv Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_delete_event
                    
                    	RX Resv Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_error_event
                    
                    	RX Resv Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_backup_assign_event
                    
                    	Backup Assign event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_event_unknown
                    
                    	Unknown TX events
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_change_event
                    
                    	TX Path Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_create_event
                    
                    	TX Path Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_delete_event
                    
                    	TX Path Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_error_event
                    
                    	TX Path Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_reeval_query_event
                    
                    	TX Path Reeval Query event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_change_event
                    
                    	TX Resv Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_create_event
                    
                    	TX Resv Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_delete_event
                    
                    	TX Resv Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_error_event
                    
                    	TX Resv Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.events_count = None
                        self.events_total_count = None
                        self.rx_backup_assign_err_event = None
                        self.rx_event_unknown = None
                        self.rx_path_change_event = None
                        self.rx_path_create_event = None
                        self.rx_path_delete_event = None
                        self.rx_path_error_event = None
                        self.rx_path_reeval_query_event = None
                        self.rx_resv_change_event = None
                        self.rx_resv_create_event = None
                        self.rx_resv_delete_event = None
                        self.rx_resv_error_event = None
                        self.tx_backup_assign_event = None
                        self.tx_event_unknown = None
                        self.tx_path_change_event = None
                        self.tx_path_create_event = None
                        self.tx_path_delete_event = None
                        self.tx_path_error_event = None
                        self.tx_path_reeval_query_event = None
                        self.tx_resv_change_event = None
                        self.tx_resv_create_event = None
                        self.tx_resv_delete_event = None
                        self.tx_resv_error_event = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.events_count is not None:
                            return True

                        if self.events_total_count is not None:
                            return True

                        if self.rx_backup_assign_err_event is not None:
                            return True

                        if self.rx_event_unknown is not None:
                            return True

                        if self.rx_path_change_event is not None:
                            return True

                        if self.rx_path_create_event is not None:
                            return True

                        if self.rx_path_delete_event is not None:
                            return True

                        if self.rx_path_error_event is not None:
                            return True

                        if self.rx_path_reeval_query_event is not None:
                            return True

                        if self.rx_resv_change_event is not None:
                            return True

                        if self.rx_resv_create_event is not None:
                            return True

                        if self.rx_resv_delete_event is not None:
                            return True

                        if self.rx_resv_error_event is not None:
                            return True

                        if self.tx_backup_assign_event is not None:
                            return True

                        if self.tx_event_unknown is not None:
                            return True

                        if self.tx_path_change_event is not None:
                            return True

                        if self.tx_path_create_event is not None:
                            return True

                        if self.tx_path_delete_event is not None:
                            return True

                        if self.tx_path_error_event is not None:
                            return True

                        if self.tx_path_reeval_query_event is not None:
                            return True

                        if self.tx_resv_change_event is not None:
                            return True

                        if self.tx_resv_create_event is not None:
                            return True

                        if self.tx_resv_delete_event is not None:
                            return True

                        if self.tx_resv_error_event is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.SignallingCounters.MidsCounters.MidsCounter.Statistics']['meta_info']


                class S2LStatistic(object):
                    """
                    List of S2L Statistics
                    
                    .. attribute:: destination_address
                    
                    	Destination address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: statistics
                    
                    	S2L stats
                    	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic.Statistics>`
                    
                    .. attribute:: sub_group_id
                    
                    	subgroup ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: sub_group_originator
                    
                    	Subgroup Originator
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.destination_address = None
                        self.statistics = MplsTe.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic.Statistics()
                        self.statistics.parent = self
                        self.sub_group_id = None
                        self.sub_group_originator = None


                    class Statistics(object):
                        """
                        S2L stats
                        
                        .. attribute:: events_count
                        
                        	TE Signaling event count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: events_total_count
                        
                        	Total TE Signalling event count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_backup_assign_err_event
                        
                        	Error on Backup Assign event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_event_unknown
                        
                        	RX Unknown events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_change_event
                        
                        	RX Path Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_create_event
                        
                        	RX Path Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_delete_event
                        
                        	RX Path Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_error_event
                        
                        	RX Path Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_reeval_query_event
                        
                        	RX Path Reeval Query event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_change_event
                        
                        	RX Resv Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_create_event
                        
                        	RX Resv Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_delete_event
                        
                        	RX Resv Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_error_event
                        
                        	RX Resv Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_backup_assign_event
                        
                        	Backup Assign event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_event_unknown
                        
                        	Unknown TX events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_change_event
                        
                        	TX Path Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_create_event
                        
                        	TX Path Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_delete_event
                        
                        	TX Path Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_error_event
                        
                        	TX Path Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_reeval_query_event
                        
                        	TX Path Reeval Query event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_change_event
                        
                        	TX Resv Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_create_event
                        
                        	TX Resv Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_delete_event
                        
                        	TX Resv Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_error_event
                        
                        	TX Resv Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.events_count = None
                            self.events_total_count = None
                            self.rx_backup_assign_err_event = None
                            self.rx_event_unknown = None
                            self.rx_path_change_event = None
                            self.rx_path_create_event = None
                            self.rx_path_delete_event = None
                            self.rx_path_error_event = None
                            self.rx_path_reeval_query_event = None
                            self.rx_resv_change_event = None
                            self.rx_resv_create_event = None
                            self.rx_resv_delete_event = None
                            self.rx_resv_error_event = None
                            self.tx_backup_assign_event = None
                            self.tx_event_unknown = None
                            self.tx_path_change_event = None
                            self.tx_path_create_event = None
                            self.tx_path_delete_event = None
                            self.tx_path_error_event = None
                            self.tx_path_reeval_query_event = None
                            self.tx_resv_change_event = None
                            self.tx_resv_create_event = None
                            self.tx_resv_delete_event = None
                            self.tx_resv_error_event = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.events_count is not None:
                                return True

                            if self.events_total_count is not None:
                                return True

                            if self.rx_backup_assign_err_event is not None:
                                return True

                            if self.rx_event_unknown is not None:
                                return True

                            if self.rx_path_change_event is not None:
                                return True

                            if self.rx_path_create_event is not None:
                                return True

                            if self.rx_path_delete_event is not None:
                                return True

                            if self.rx_path_error_event is not None:
                                return True

                            if self.rx_path_reeval_query_event is not None:
                                return True

                            if self.rx_resv_change_event is not None:
                                return True

                            if self.rx_resv_create_event is not None:
                                return True

                            if self.rx_resv_delete_event is not None:
                                return True

                            if self.rx_resv_error_event is not None:
                                return True

                            if self.tx_backup_assign_event is not None:
                                return True

                            if self.tx_event_unknown is not None:
                                return True

                            if self.tx_path_change_event is not None:
                                return True

                            if self.tx_path_create_event is not None:
                                return True

                            if self.tx_path_delete_event is not None:
                                return True

                            if self.tx_path_error_event is not None:
                                return True

                            if self.tx_path_reeval_query_event is not None:
                                return True

                            if self.tx_resv_change_event is not None:
                                return True

                            if self.tx_resv_create_event is not None:
                                return True

                            if self.tx_resv_delete_event is not None:
                                return True

                            if self.tx_resv_error_event is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic.Statistics']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-statistic'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.destination_address is not None:
                            return True

                        if self.statistics is not None and self.statistics._has_data():
                            return True

                        if self.sub_group_id is not None:
                            return True

                        if self.sub_group_originator is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic']['meta_info']

                @property
                def _common_path(self):
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.extended_tunnel_id is None:
                        raise YPYModelError('Key property extended_tunnel_id is None')
                    if self.lsp_id is None:
                        raise YPYModelError('Key property lsp_id is None')
                    if self.source_address is None:
                        raise YPYModelError('Key property source_address is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:mids-counters/Cisco-IOS-XR-mpls-te-oper:mids-counter[Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:extended-tunnel-id = ' + str(self.extended_tunnel_id) + '][Cisco-IOS-XR-mpls-te-oper:lsp-id = ' + str(self.lsp_id) + '][Cisco-IOS-XR-mpls-te-oper:source-address = ' + str(self.source_address) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.s2l_statistic is not None:
                        for child_ref in self.s2l_statistic:
                            if child_ref._has_data():
                                return True

                    if self.statistics is not None and self.statistics._has_data():
                        return True

                    if self.tunnel_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.SignallingCounters.MidsCounters.MidsCounter']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:mids-counters'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.mids_counter is not None:
                    for child_ref in self.mids_counter:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.SignallingCounters.MidsCounters']['meta_info']


        class HeadSignallingCounters(object):
            """
            Sig Head Table TE counters
            
            .. attribute:: head_signalling_counter
            
            	TE stats
            	**type**\: list of    :py:class:`HeadSignallingCounter <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.head_signalling_counter = YList()
                self.head_signalling_counter.parent = self
                self.head_signalling_counter.name = 'head_signalling_counter'


            class HeadSignallingCounter(object):
                """
                TE stats
                
                .. attribute:: ctype  <key>
                
                	Ctype
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: tunnel_id  <key>
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: destination_statistic
                
                	List of Destination Stats
                	**type**\: list of    :py:class:`DestinationStatistic <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic>`
                
                .. attribute:: lsp_id
                
                	LSP ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: statistics
                
                	VIF stats
                	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.Statistics>`
                
                .. attribute:: tunnel_name
                
                	Tunnel Name
                	**type**\:  str
                
                .. attribute:: tunnel_sig_name
                
                	Tunnel Signalled\-Name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ctype = None
                    self.tunnel_id = None
                    self.destination_statistic = YList()
                    self.destination_statistic.parent = self
                    self.destination_statistic.name = 'destination_statistic'
                    self.lsp_id = None
                    self.statistics = MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.Statistics()
                    self.statistics.parent = self
                    self.tunnel_name = None
                    self.tunnel_sig_name = None


                class Statistics(object):
                    """
                    VIF stats
                    
                    .. attribute:: events_count
                    
                    	TE Signaling event count
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: events_total_count
                    
                    	Total TE Signalling event count
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_backup_assign_err_event
                    
                    	Error on Backup Assign event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_event_unknown
                    
                    	RX Unknown events
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_change_event
                    
                    	RX Path Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_create_event
                    
                    	RX Path Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_delete_event
                    
                    	RX Path Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_error_event
                    
                    	RX Path Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_reeval_query_event
                    
                    	RX Path Reeval Query event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_change_event
                    
                    	RX Resv Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_create_event
                    
                    	RX Resv Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_delete_event
                    
                    	RX Resv Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_error_event
                    
                    	RX Resv Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_backup_assign_event
                    
                    	Backup Assign event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_event_unknown
                    
                    	Unknown TX events
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_change_event
                    
                    	TX Path Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_create_event
                    
                    	TX Path Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_delete_event
                    
                    	TX Path Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_error_event
                    
                    	TX Path Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_reeval_query_event
                    
                    	TX Path Reeval Query event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_change_event
                    
                    	TX Resv Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_create_event
                    
                    	TX Resv Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_delete_event
                    
                    	TX Resv Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_error_event
                    
                    	TX Resv Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.events_count = None
                        self.events_total_count = None
                        self.rx_backup_assign_err_event = None
                        self.rx_event_unknown = None
                        self.rx_path_change_event = None
                        self.rx_path_create_event = None
                        self.rx_path_delete_event = None
                        self.rx_path_error_event = None
                        self.rx_path_reeval_query_event = None
                        self.rx_resv_change_event = None
                        self.rx_resv_create_event = None
                        self.rx_resv_delete_event = None
                        self.rx_resv_error_event = None
                        self.tx_backup_assign_event = None
                        self.tx_event_unknown = None
                        self.tx_path_change_event = None
                        self.tx_path_create_event = None
                        self.tx_path_delete_event = None
                        self.tx_path_error_event = None
                        self.tx_path_reeval_query_event = None
                        self.tx_resv_change_event = None
                        self.tx_resv_create_event = None
                        self.tx_resv_delete_event = None
                        self.tx_resv_error_event = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.events_count is not None:
                            return True

                        if self.events_total_count is not None:
                            return True

                        if self.rx_backup_assign_err_event is not None:
                            return True

                        if self.rx_event_unknown is not None:
                            return True

                        if self.rx_path_change_event is not None:
                            return True

                        if self.rx_path_create_event is not None:
                            return True

                        if self.rx_path_delete_event is not None:
                            return True

                        if self.rx_path_error_event is not None:
                            return True

                        if self.rx_path_reeval_query_event is not None:
                            return True

                        if self.rx_resv_change_event is not None:
                            return True

                        if self.rx_resv_create_event is not None:
                            return True

                        if self.rx_resv_delete_event is not None:
                            return True

                        if self.rx_resv_error_event is not None:
                            return True

                        if self.tx_backup_assign_event is not None:
                            return True

                        if self.tx_event_unknown is not None:
                            return True

                        if self.tx_path_change_event is not None:
                            return True

                        if self.tx_path_create_event is not None:
                            return True

                        if self.tx_path_delete_event is not None:
                            return True

                        if self.tx_path_error_event is not None:
                            return True

                        if self.tx_path_reeval_query_event is not None:
                            return True

                        if self.tx_resv_change_event is not None:
                            return True

                        if self.tx_resv_create_event is not None:
                            return True

                        if self.tx_resv_delete_event is not None:
                            return True

                        if self.tx_resv_error_event is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.Statistics']['meta_info']


                class DestinationStatistic(object):
                    """
                    List of Destination Stats
                    
                    .. attribute:: destination_address
                    
                    	Destination address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: s2l_statistic
                    
                    	List of S2L Stats
                    	**type**\: list of    :py:class:`S2LStatistic <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic>`
                    
                    .. attribute:: statistics
                    
                    	Destination stats
                    	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.Statistics>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.destination_address = None
                        self.s2l_statistic = YList()
                        self.s2l_statistic.parent = self
                        self.s2l_statistic.name = 's2l_statistic'
                        self.statistics = MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.Statistics()
                        self.statistics.parent = self


                    class Statistics(object):
                        """
                        Destination stats
                        
                        .. attribute:: events_count
                        
                        	TE Signaling event count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: events_total_count
                        
                        	Total TE Signalling event count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_backup_assign_err_event
                        
                        	Error on Backup Assign event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_event_unknown
                        
                        	RX Unknown events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_change_event
                        
                        	RX Path Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_create_event
                        
                        	RX Path Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_delete_event
                        
                        	RX Path Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_error_event
                        
                        	RX Path Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_reeval_query_event
                        
                        	RX Path Reeval Query event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_change_event
                        
                        	RX Resv Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_create_event
                        
                        	RX Resv Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_delete_event
                        
                        	RX Resv Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_error_event
                        
                        	RX Resv Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_backup_assign_event
                        
                        	Backup Assign event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_event_unknown
                        
                        	Unknown TX events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_change_event
                        
                        	TX Path Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_create_event
                        
                        	TX Path Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_delete_event
                        
                        	TX Path Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_error_event
                        
                        	TX Path Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_reeval_query_event
                        
                        	TX Path Reeval Query event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_change_event
                        
                        	TX Resv Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_create_event
                        
                        	TX Resv Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_delete_event
                        
                        	TX Resv Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_error_event
                        
                        	TX Resv Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.events_count = None
                            self.events_total_count = None
                            self.rx_backup_assign_err_event = None
                            self.rx_event_unknown = None
                            self.rx_path_change_event = None
                            self.rx_path_create_event = None
                            self.rx_path_delete_event = None
                            self.rx_path_error_event = None
                            self.rx_path_reeval_query_event = None
                            self.rx_resv_change_event = None
                            self.rx_resv_create_event = None
                            self.rx_resv_delete_event = None
                            self.rx_resv_error_event = None
                            self.tx_backup_assign_event = None
                            self.tx_event_unknown = None
                            self.tx_path_change_event = None
                            self.tx_path_create_event = None
                            self.tx_path_delete_event = None
                            self.tx_path_error_event = None
                            self.tx_path_reeval_query_event = None
                            self.tx_resv_change_event = None
                            self.tx_resv_create_event = None
                            self.tx_resv_delete_event = None
                            self.tx_resv_error_event = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.events_count is not None:
                                return True

                            if self.events_total_count is not None:
                                return True

                            if self.rx_backup_assign_err_event is not None:
                                return True

                            if self.rx_event_unknown is not None:
                                return True

                            if self.rx_path_change_event is not None:
                                return True

                            if self.rx_path_create_event is not None:
                                return True

                            if self.rx_path_delete_event is not None:
                                return True

                            if self.rx_path_error_event is not None:
                                return True

                            if self.rx_path_reeval_query_event is not None:
                                return True

                            if self.rx_resv_change_event is not None:
                                return True

                            if self.rx_resv_create_event is not None:
                                return True

                            if self.rx_resv_delete_event is not None:
                                return True

                            if self.rx_resv_error_event is not None:
                                return True

                            if self.tx_backup_assign_event is not None:
                                return True

                            if self.tx_event_unknown is not None:
                                return True

                            if self.tx_path_change_event is not None:
                                return True

                            if self.tx_path_create_event is not None:
                                return True

                            if self.tx_path_delete_event is not None:
                                return True

                            if self.tx_path_error_event is not None:
                                return True

                            if self.tx_path_reeval_query_event is not None:
                                return True

                            if self.tx_resv_change_event is not None:
                                return True

                            if self.tx_resv_create_event is not None:
                                return True

                            if self.tx_resv_delete_event is not None:
                                return True

                            if self.tx_resv_error_event is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.Statistics']['meta_info']


                    class S2LStatistic(object):
                        """
                        List of S2L Stats
                        
                        .. attribute:: destination_address
                        
                        	Destination address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: statistics
                        
                        	S2L stats
                        	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic.Statistics>`
                        
                        .. attribute:: sub_group_id
                        
                        	subgroup ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: sub_group_originator
                        
                        	Subgroup Originator
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.destination_address = None
                            self.statistics = MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic.Statistics()
                            self.statistics.parent = self
                            self.sub_group_id = None
                            self.sub_group_originator = None


                        class Statistics(object):
                            """
                            S2L stats
                            
                            .. attribute:: events_count
                            
                            	TE Signaling event count
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: events_total_count
                            
                            	Total TE Signalling event count
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_backup_assign_err_event
                            
                            	Error on Backup Assign event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_event_unknown
                            
                            	RX Unknown events
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_change_event
                            
                            	RX Path Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_create_event
                            
                            	RX Path Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_delete_event
                            
                            	RX Path Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_error_event
                            
                            	RX Path Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_reeval_query_event
                            
                            	RX Path Reeval Query event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_change_event
                            
                            	RX Resv Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_create_event
                            
                            	RX Resv Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_delete_event
                            
                            	RX Resv Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_error_event
                            
                            	RX Resv Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_backup_assign_event
                            
                            	Backup Assign event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_event_unknown
                            
                            	Unknown TX events
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_change_event
                            
                            	TX Path Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_create_event
                            
                            	TX Path Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_delete_event
                            
                            	TX Path Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_error_event
                            
                            	TX Path Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_reeval_query_event
                            
                            	TX Path Reeval Query event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_change_event
                            
                            	TX Resv Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_create_event
                            
                            	TX Resv Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_delete_event
                            
                            	TX Resv Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_error_event
                            
                            	TX Resv Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.events_count = None
                                self.events_total_count = None
                                self.rx_backup_assign_err_event = None
                                self.rx_event_unknown = None
                                self.rx_path_change_event = None
                                self.rx_path_create_event = None
                                self.rx_path_delete_event = None
                                self.rx_path_error_event = None
                                self.rx_path_reeval_query_event = None
                                self.rx_resv_change_event = None
                                self.rx_resv_create_event = None
                                self.rx_resv_delete_event = None
                                self.rx_resv_error_event = None
                                self.tx_backup_assign_event = None
                                self.tx_event_unknown = None
                                self.tx_path_change_event = None
                                self.tx_path_create_event = None
                                self.tx_path_delete_event = None
                                self.tx_path_error_event = None
                                self.tx_path_reeval_query_event = None
                                self.tx_resv_change_event = None
                                self.tx_resv_create_event = None
                                self.tx_resv_delete_event = None
                                self.tx_resv_error_event = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.events_count is not None:
                                    return True

                                if self.events_total_count is not None:
                                    return True

                                if self.rx_backup_assign_err_event is not None:
                                    return True

                                if self.rx_event_unknown is not None:
                                    return True

                                if self.rx_path_change_event is not None:
                                    return True

                                if self.rx_path_create_event is not None:
                                    return True

                                if self.rx_path_delete_event is not None:
                                    return True

                                if self.rx_path_error_event is not None:
                                    return True

                                if self.rx_path_reeval_query_event is not None:
                                    return True

                                if self.rx_resv_change_event is not None:
                                    return True

                                if self.rx_resv_create_event is not None:
                                    return True

                                if self.rx_resv_delete_event is not None:
                                    return True

                                if self.rx_resv_error_event is not None:
                                    return True

                                if self.tx_backup_assign_event is not None:
                                    return True

                                if self.tx_event_unknown is not None:
                                    return True

                                if self.tx_path_change_event is not None:
                                    return True

                                if self.tx_path_create_event is not None:
                                    return True

                                if self.tx_path_delete_event is not None:
                                    return True

                                if self.tx_path_error_event is not None:
                                    return True

                                if self.tx_path_reeval_query_event is not None:
                                    return True

                                if self.tx_resv_change_event is not None:
                                    return True

                                if self.tx_resv_create_event is not None:
                                    return True

                                if self.tx_resv_delete_event is not None:
                                    return True

                                if self.tx_resv_error_event is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic.Statistics']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-statistic'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.destination_address is not None:
                                return True

                            if self.statistics is not None and self.statistics._has_data():
                                return True

                            if self.sub_group_id is not None:
                                return True

                            if self.sub_group_originator is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:destination-statistic'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.destination_address is not None:
                            return True

                        if self.s2l_statistic is not None:
                            for child_ref in self.s2l_statistic:
                                if child_ref._has_data():
                                    return True

                        if self.statistics is not None and self.statistics._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic']['meta_info']

                @property
                def _common_path(self):
                    if self.ctype is None:
                        raise YPYModelError('Key property ctype is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:head-signalling-counters/Cisco-IOS-XR-mpls-te-oper:head-signalling-counter[Cisco-IOS-XR-mpls-te-oper:ctype = ' + str(self.ctype) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ctype is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.destination_statistic is not None:
                        for child_ref in self.destination_statistic:
                            if child_ref._has_data():
                                return True

                    if self.lsp_id is not None:
                        return True

                    if self.statistics is not None and self.statistics._has_data():
                        return True

                    if self.tunnel_name is not None:
                        return True

                    if self.tunnel_sig_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:head-signalling-counters'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.head_signalling_counter is not None:
                    for child_ref in self.head_signalling_counter:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.SignallingCounters.HeadSignallingCounters']['meta_info']


        class RemoteSignallingCounters(object):
            """
            Sig mid tail Table TE counters
            
            .. attribute:: remote_signalling_counter
            
            	TE stats
            	**type**\: list of    :py:class:`RemoteSignallingCounter <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.remote_signalling_counter = YList()
                self.remote_signalling_counter.parent = self
                self.remote_signalling_counter.name = 'remote_signalling_counter'


            class RemoteSignallingCounter(object):
                """
                TE stats
                
                .. attribute:: ctype  <key>
                
                	Ctype
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id  <key>
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lsp_id  <key>
                
                	LSP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: p2mp_id  <key>
                
                	P2MP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: source_address  <key>
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: sub_group_id  <key>
                
                	Subgroup ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: sub_group_originator  <key>
                
                	Subgroup originator
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id  <key>
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: s2l_statistic
                
                	List of S2L Statistics
                	**type**\: list of    :py:class:`S2LStatistic <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic>`
                
                .. attribute:: statistics
                
                	LSP statistics
                	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.Statistics>`
                
                .. attribute:: tunnel_name
                
                	Tunnel Name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ctype = None
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.lsp_id = None
                    self.p2mp_id = None
                    self.source_address = None
                    self.sub_group_id = None
                    self.sub_group_originator = None
                    self.tunnel_id = None
                    self.s2l_statistic = YList()
                    self.s2l_statistic.parent = self
                    self.s2l_statistic.name = 's2l_statistic'
                    self.statistics = MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.Statistics()
                    self.statistics.parent = self
                    self.tunnel_name = None


                class Statistics(object):
                    """
                    LSP statistics
                    
                    .. attribute:: events_count
                    
                    	TE Signaling event count
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: events_total_count
                    
                    	Total TE Signalling event count
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_backup_assign_err_event
                    
                    	Error on Backup Assign event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_event_unknown
                    
                    	RX Unknown events
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_change_event
                    
                    	RX Path Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_create_event
                    
                    	RX Path Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_delete_event
                    
                    	RX Path Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_error_event
                    
                    	RX Path Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_reeval_query_event
                    
                    	RX Path Reeval Query event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_change_event
                    
                    	RX Resv Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_create_event
                    
                    	RX Resv Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_delete_event
                    
                    	RX Resv Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_error_event
                    
                    	RX Resv Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_backup_assign_event
                    
                    	Backup Assign event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_event_unknown
                    
                    	Unknown TX events
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_change_event
                    
                    	TX Path Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_create_event
                    
                    	TX Path Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_delete_event
                    
                    	TX Path Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_error_event
                    
                    	TX Path Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_reeval_query_event
                    
                    	TX Path Reeval Query event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_change_event
                    
                    	TX Resv Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_create_event
                    
                    	TX Resv Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_delete_event
                    
                    	TX Resv Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_error_event
                    
                    	TX Resv Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.events_count = None
                        self.events_total_count = None
                        self.rx_backup_assign_err_event = None
                        self.rx_event_unknown = None
                        self.rx_path_change_event = None
                        self.rx_path_create_event = None
                        self.rx_path_delete_event = None
                        self.rx_path_error_event = None
                        self.rx_path_reeval_query_event = None
                        self.rx_resv_change_event = None
                        self.rx_resv_create_event = None
                        self.rx_resv_delete_event = None
                        self.rx_resv_error_event = None
                        self.tx_backup_assign_event = None
                        self.tx_event_unknown = None
                        self.tx_path_change_event = None
                        self.tx_path_create_event = None
                        self.tx_path_delete_event = None
                        self.tx_path_error_event = None
                        self.tx_path_reeval_query_event = None
                        self.tx_resv_change_event = None
                        self.tx_resv_create_event = None
                        self.tx_resv_delete_event = None
                        self.tx_resv_error_event = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.events_count is not None:
                            return True

                        if self.events_total_count is not None:
                            return True

                        if self.rx_backup_assign_err_event is not None:
                            return True

                        if self.rx_event_unknown is not None:
                            return True

                        if self.rx_path_change_event is not None:
                            return True

                        if self.rx_path_create_event is not None:
                            return True

                        if self.rx_path_delete_event is not None:
                            return True

                        if self.rx_path_error_event is not None:
                            return True

                        if self.rx_path_reeval_query_event is not None:
                            return True

                        if self.rx_resv_change_event is not None:
                            return True

                        if self.rx_resv_create_event is not None:
                            return True

                        if self.rx_resv_delete_event is not None:
                            return True

                        if self.rx_resv_error_event is not None:
                            return True

                        if self.tx_backup_assign_event is not None:
                            return True

                        if self.tx_event_unknown is not None:
                            return True

                        if self.tx_path_change_event is not None:
                            return True

                        if self.tx_path_create_event is not None:
                            return True

                        if self.tx_path_delete_event is not None:
                            return True

                        if self.tx_path_error_event is not None:
                            return True

                        if self.tx_path_reeval_query_event is not None:
                            return True

                        if self.tx_resv_change_event is not None:
                            return True

                        if self.tx_resv_create_event is not None:
                            return True

                        if self.tx_resv_delete_event is not None:
                            return True

                        if self.tx_resv_error_event is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.Statistics']['meta_info']


                class S2LStatistic(object):
                    """
                    List of S2L Statistics
                    
                    .. attribute:: destination_address
                    
                    	Destination address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: statistics
                    
                    	S2L stats
                    	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic.Statistics>`
                    
                    .. attribute:: sub_group_id
                    
                    	subgroup ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: sub_group_originator
                    
                    	Subgroup Originator
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.destination_address = None
                        self.statistics = MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic.Statistics()
                        self.statistics.parent = self
                        self.sub_group_id = None
                        self.sub_group_originator = None


                    class Statistics(object):
                        """
                        S2L stats
                        
                        .. attribute:: events_count
                        
                        	TE Signaling event count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: events_total_count
                        
                        	Total TE Signalling event count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_backup_assign_err_event
                        
                        	Error on Backup Assign event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_event_unknown
                        
                        	RX Unknown events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_change_event
                        
                        	RX Path Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_create_event
                        
                        	RX Path Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_delete_event
                        
                        	RX Path Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_error_event
                        
                        	RX Path Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_reeval_query_event
                        
                        	RX Path Reeval Query event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_change_event
                        
                        	RX Resv Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_create_event
                        
                        	RX Resv Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_delete_event
                        
                        	RX Resv Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_error_event
                        
                        	RX Resv Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_backup_assign_event
                        
                        	Backup Assign event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_event_unknown
                        
                        	Unknown TX events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_change_event
                        
                        	TX Path Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_create_event
                        
                        	TX Path Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_delete_event
                        
                        	TX Path Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_error_event
                        
                        	TX Path Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_reeval_query_event
                        
                        	TX Path Reeval Query event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_change_event
                        
                        	TX Resv Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_create_event
                        
                        	TX Resv Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_delete_event
                        
                        	TX Resv Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_error_event
                        
                        	TX Resv Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.events_count = None
                            self.events_total_count = None
                            self.rx_backup_assign_err_event = None
                            self.rx_event_unknown = None
                            self.rx_path_change_event = None
                            self.rx_path_create_event = None
                            self.rx_path_delete_event = None
                            self.rx_path_error_event = None
                            self.rx_path_reeval_query_event = None
                            self.rx_resv_change_event = None
                            self.rx_resv_create_event = None
                            self.rx_resv_delete_event = None
                            self.rx_resv_error_event = None
                            self.tx_backup_assign_event = None
                            self.tx_event_unknown = None
                            self.tx_path_change_event = None
                            self.tx_path_create_event = None
                            self.tx_path_delete_event = None
                            self.tx_path_error_event = None
                            self.tx_path_reeval_query_event = None
                            self.tx_resv_change_event = None
                            self.tx_resv_create_event = None
                            self.tx_resv_delete_event = None
                            self.tx_resv_error_event = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.events_count is not None:
                                return True

                            if self.events_total_count is not None:
                                return True

                            if self.rx_backup_assign_err_event is not None:
                                return True

                            if self.rx_event_unknown is not None:
                                return True

                            if self.rx_path_change_event is not None:
                                return True

                            if self.rx_path_create_event is not None:
                                return True

                            if self.rx_path_delete_event is not None:
                                return True

                            if self.rx_path_error_event is not None:
                                return True

                            if self.rx_path_reeval_query_event is not None:
                                return True

                            if self.rx_resv_change_event is not None:
                                return True

                            if self.rx_resv_create_event is not None:
                                return True

                            if self.rx_resv_delete_event is not None:
                                return True

                            if self.rx_resv_error_event is not None:
                                return True

                            if self.tx_backup_assign_event is not None:
                                return True

                            if self.tx_event_unknown is not None:
                                return True

                            if self.tx_path_change_event is not None:
                                return True

                            if self.tx_path_create_event is not None:
                                return True

                            if self.tx_path_delete_event is not None:
                                return True

                            if self.tx_path_error_event is not None:
                                return True

                            if self.tx_path_reeval_query_event is not None:
                                return True

                            if self.tx_resv_change_event is not None:
                                return True

                            if self.tx_resv_create_event is not None:
                                return True

                            if self.tx_resv_delete_event is not None:
                                return True

                            if self.tx_resv_error_event is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic.Statistics']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-statistic'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.destination_address is not None:
                            return True

                        if self.statistics is not None and self.statistics._has_data():
                            return True

                        if self.sub_group_id is not None:
                            return True

                        if self.sub_group_originator is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic']['meta_info']

                @property
                def _common_path(self):
                    if self.ctype is None:
                        raise YPYModelError('Key property ctype is None')
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.extended_tunnel_id is None:
                        raise YPYModelError('Key property extended_tunnel_id is None')
                    if self.lsp_id is None:
                        raise YPYModelError('Key property lsp_id is None')
                    if self.p2mp_id is None:
                        raise YPYModelError('Key property p2mp_id is None')
                    if self.source_address is None:
                        raise YPYModelError('Key property source_address is None')
                    if self.sub_group_id is None:
                        raise YPYModelError('Key property sub_group_id is None')
                    if self.sub_group_originator is None:
                        raise YPYModelError('Key property sub_group_originator is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:remote-signalling-counters/Cisco-IOS-XR-mpls-te-oper:remote-signalling-counter[Cisco-IOS-XR-mpls-te-oper:ctype = ' + str(self.ctype) + '][Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:extended-tunnel-id = ' + str(self.extended_tunnel_id) + '][Cisco-IOS-XR-mpls-te-oper:lsp-id = ' + str(self.lsp_id) + '][Cisco-IOS-XR-mpls-te-oper:p2mp-id = ' + str(self.p2mp_id) + '][Cisco-IOS-XR-mpls-te-oper:source-address = ' + str(self.source_address) + '][Cisco-IOS-XR-mpls-te-oper:sub-group-id = ' + str(self.sub_group_id) + '][Cisco-IOS-XR-mpls-te-oper:sub-group-originator = ' + str(self.sub_group_originator) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ctype is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.p2mp_id is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.sub_group_id is not None:
                        return True

                    if self.sub_group_originator is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.s2l_statistic is not None:
                        for child_ref in self.s2l_statistic:
                            if child_ref._has_data():
                                return True

                    if self.statistics is not None and self.statistics._has_data():
                        return True

                    if self.tunnel_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:remote-signalling-counters'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.remote_signalling_counter is not None:
                    for child_ref in self.remote_signalling_counter:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.SignallingCounters.RemoteSignallingCounters']['meta_info']


        class TailsCounters(object):
            """
            MPLS TE counters signalling heads table
            
            .. attribute:: tails_counter
            
            	MPLS TE counters signalling mid
            	**type**\: list of    :py:class:`TailsCounter <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.TailsCounters.TailsCounter>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tails_counter = YList()
                self.tails_counter.parent = self
                self.tails_counter.name = 'tails_counter'


            class TailsCounter(object):
                """
                MPLS TE counters signalling mid
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id  <key>
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lsp_id  <key>
                
                	LSP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: source_address  <key>
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id  <key>
                
                	tunnel id of last obtained tunnel
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: s2l_statistic
                
                	List of S2L Statistics
                	**type**\: list of    :py:class:`S2LStatistic <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic>`
                
                .. attribute:: statistics
                
                	LSP statistics
                	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.TailsCounters.TailsCounter.Statistics>`
                
                .. attribute:: tunnel_name
                
                	Tunnel Name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.lsp_id = None
                    self.source_address = None
                    self.tunnel_id = None
                    self.s2l_statistic = YList()
                    self.s2l_statistic.parent = self
                    self.s2l_statistic.name = 's2l_statistic'
                    self.statistics = MplsTe.SignallingCounters.TailsCounters.TailsCounter.Statistics()
                    self.statistics.parent = self
                    self.tunnel_name = None


                class Statistics(object):
                    """
                    LSP statistics
                    
                    .. attribute:: events_count
                    
                    	TE Signaling event count
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: events_total_count
                    
                    	Total TE Signalling event count
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_backup_assign_err_event
                    
                    	Error on Backup Assign event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_event_unknown
                    
                    	RX Unknown events
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_change_event
                    
                    	RX Path Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_create_event
                    
                    	RX Path Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_delete_event
                    
                    	RX Path Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_error_event
                    
                    	RX Path Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_reeval_query_event
                    
                    	RX Path Reeval Query event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_change_event
                    
                    	RX Resv Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_create_event
                    
                    	RX Resv Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_delete_event
                    
                    	RX Resv Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_error_event
                    
                    	RX Resv Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_backup_assign_event
                    
                    	Backup Assign event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_event_unknown
                    
                    	Unknown TX events
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_change_event
                    
                    	TX Path Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_create_event
                    
                    	TX Path Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_delete_event
                    
                    	TX Path Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_error_event
                    
                    	TX Path Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_reeval_query_event
                    
                    	TX Path Reeval Query event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_change_event
                    
                    	TX Resv Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_create_event
                    
                    	TX Resv Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_delete_event
                    
                    	TX Resv Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_error_event
                    
                    	TX Resv Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.events_count = None
                        self.events_total_count = None
                        self.rx_backup_assign_err_event = None
                        self.rx_event_unknown = None
                        self.rx_path_change_event = None
                        self.rx_path_create_event = None
                        self.rx_path_delete_event = None
                        self.rx_path_error_event = None
                        self.rx_path_reeval_query_event = None
                        self.rx_resv_change_event = None
                        self.rx_resv_create_event = None
                        self.rx_resv_delete_event = None
                        self.rx_resv_error_event = None
                        self.tx_backup_assign_event = None
                        self.tx_event_unknown = None
                        self.tx_path_change_event = None
                        self.tx_path_create_event = None
                        self.tx_path_delete_event = None
                        self.tx_path_error_event = None
                        self.tx_path_reeval_query_event = None
                        self.tx_resv_change_event = None
                        self.tx_resv_create_event = None
                        self.tx_resv_delete_event = None
                        self.tx_resv_error_event = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.events_count is not None:
                            return True

                        if self.events_total_count is not None:
                            return True

                        if self.rx_backup_assign_err_event is not None:
                            return True

                        if self.rx_event_unknown is not None:
                            return True

                        if self.rx_path_change_event is not None:
                            return True

                        if self.rx_path_create_event is not None:
                            return True

                        if self.rx_path_delete_event is not None:
                            return True

                        if self.rx_path_error_event is not None:
                            return True

                        if self.rx_path_reeval_query_event is not None:
                            return True

                        if self.rx_resv_change_event is not None:
                            return True

                        if self.rx_resv_create_event is not None:
                            return True

                        if self.rx_resv_delete_event is not None:
                            return True

                        if self.rx_resv_error_event is not None:
                            return True

                        if self.tx_backup_assign_event is not None:
                            return True

                        if self.tx_event_unknown is not None:
                            return True

                        if self.tx_path_change_event is not None:
                            return True

                        if self.tx_path_create_event is not None:
                            return True

                        if self.tx_path_delete_event is not None:
                            return True

                        if self.tx_path_error_event is not None:
                            return True

                        if self.tx_path_reeval_query_event is not None:
                            return True

                        if self.tx_resv_change_event is not None:
                            return True

                        if self.tx_resv_create_event is not None:
                            return True

                        if self.tx_resv_delete_event is not None:
                            return True

                        if self.tx_resv_error_event is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.SignallingCounters.TailsCounters.TailsCounter.Statistics']['meta_info']


                class S2LStatistic(object):
                    """
                    List of S2L Statistics
                    
                    .. attribute:: destination_address
                    
                    	Destination address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: statistics
                    
                    	S2L stats
                    	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic.Statistics>`
                    
                    .. attribute:: sub_group_id
                    
                    	subgroup ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: sub_group_originator
                    
                    	Subgroup Originator
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.destination_address = None
                        self.statistics = MplsTe.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic.Statistics()
                        self.statistics.parent = self
                        self.sub_group_id = None
                        self.sub_group_originator = None


                    class Statistics(object):
                        """
                        S2L stats
                        
                        .. attribute:: events_count
                        
                        	TE Signaling event count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: events_total_count
                        
                        	Total TE Signalling event count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_backup_assign_err_event
                        
                        	Error on Backup Assign event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_event_unknown
                        
                        	RX Unknown events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_change_event
                        
                        	RX Path Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_create_event
                        
                        	RX Path Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_delete_event
                        
                        	RX Path Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_error_event
                        
                        	RX Path Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_reeval_query_event
                        
                        	RX Path Reeval Query event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_change_event
                        
                        	RX Resv Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_create_event
                        
                        	RX Resv Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_delete_event
                        
                        	RX Resv Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_error_event
                        
                        	RX Resv Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_backup_assign_event
                        
                        	Backup Assign event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_event_unknown
                        
                        	Unknown TX events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_change_event
                        
                        	TX Path Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_create_event
                        
                        	TX Path Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_delete_event
                        
                        	TX Path Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_error_event
                        
                        	TX Path Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_reeval_query_event
                        
                        	TX Path Reeval Query event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_change_event
                        
                        	TX Resv Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_create_event
                        
                        	TX Resv Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_delete_event
                        
                        	TX Resv Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_error_event
                        
                        	TX Resv Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.events_count = None
                            self.events_total_count = None
                            self.rx_backup_assign_err_event = None
                            self.rx_event_unknown = None
                            self.rx_path_change_event = None
                            self.rx_path_create_event = None
                            self.rx_path_delete_event = None
                            self.rx_path_error_event = None
                            self.rx_path_reeval_query_event = None
                            self.rx_resv_change_event = None
                            self.rx_resv_create_event = None
                            self.rx_resv_delete_event = None
                            self.rx_resv_error_event = None
                            self.tx_backup_assign_event = None
                            self.tx_event_unknown = None
                            self.tx_path_change_event = None
                            self.tx_path_create_event = None
                            self.tx_path_delete_event = None
                            self.tx_path_error_event = None
                            self.tx_path_reeval_query_event = None
                            self.tx_resv_change_event = None
                            self.tx_resv_create_event = None
                            self.tx_resv_delete_event = None
                            self.tx_resv_error_event = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.events_count is not None:
                                return True

                            if self.events_total_count is not None:
                                return True

                            if self.rx_backup_assign_err_event is not None:
                                return True

                            if self.rx_event_unknown is not None:
                                return True

                            if self.rx_path_change_event is not None:
                                return True

                            if self.rx_path_create_event is not None:
                                return True

                            if self.rx_path_delete_event is not None:
                                return True

                            if self.rx_path_error_event is not None:
                                return True

                            if self.rx_path_reeval_query_event is not None:
                                return True

                            if self.rx_resv_change_event is not None:
                                return True

                            if self.rx_resv_create_event is not None:
                                return True

                            if self.rx_resv_delete_event is not None:
                                return True

                            if self.rx_resv_error_event is not None:
                                return True

                            if self.tx_backup_assign_event is not None:
                                return True

                            if self.tx_event_unknown is not None:
                                return True

                            if self.tx_path_change_event is not None:
                                return True

                            if self.tx_path_create_event is not None:
                                return True

                            if self.tx_path_delete_event is not None:
                                return True

                            if self.tx_path_error_event is not None:
                                return True

                            if self.tx_path_reeval_query_event is not None:
                                return True

                            if self.tx_resv_change_event is not None:
                                return True

                            if self.tx_resv_create_event is not None:
                                return True

                            if self.tx_resv_delete_event is not None:
                                return True

                            if self.tx_resv_error_event is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic.Statistics']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-statistic'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.destination_address is not None:
                            return True

                        if self.statistics is not None and self.statistics._has_data():
                            return True

                        if self.sub_group_id is not None:
                            return True

                        if self.sub_group_originator is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic']['meta_info']

                @property
                def _common_path(self):
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.extended_tunnel_id is None:
                        raise YPYModelError('Key property extended_tunnel_id is None')
                    if self.lsp_id is None:
                        raise YPYModelError('Key property lsp_id is None')
                    if self.source_address is None:
                        raise YPYModelError('Key property source_address is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:tails-counters/Cisco-IOS-XR-mpls-te-oper:tails-counter[Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:extended-tunnel-id = ' + str(self.extended_tunnel_id) + '][Cisco-IOS-XR-mpls-te-oper:lsp-id = ' + str(self.lsp_id) + '][Cisco-IOS-XR-mpls-te-oper:source-address = ' + str(self.source_address) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.s2l_statistic is not None:
                        for child_ref in self.s2l_statistic:
                            if child_ref._has_data():
                                return True

                    if self.statistics is not None and self.statistics._has_data():
                        return True

                    if self.tunnel_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.SignallingCounters.TailsCounters.TailsCounter']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:tails-counters'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tails_counter is not None:
                    for child_ref in self.tails_counter:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.SignallingCounters.TailsCounters']['meta_info']


        class Signallings(object):
            """
            TE counters
            
            .. attribute:: signalling
            
            	TE Sig
            	**type**\: list of    :py:class:`Signalling <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.Signallings.Signalling>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.signalling = YList()
                self.signalling.parent = self
                self.signalling.name = 'signalling'


            class Signalling(object):
                """
                TE Sig
                
                .. attribute:: ctype  <key>
                
                	Ctype
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id  <key>
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lsp_id  <key>
                
                	LSP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: p2mp_id  <key>
                
                	P2MP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: source_address  <key>
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: sub_group_id  <key>
                
                	Subgroup ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: sub_group_originator  <key>
                
                	Subgroup originator
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id  <key>
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: te_signalling_filter_data
                
                	TE Signaling Filter data
                	**type**\:   :py:class:`TeSignallingFilterData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ctype = None
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.lsp_id = None
                    self.p2mp_id = None
                    self.source_address = None
                    self.sub_group_id = None
                    self.sub_group_originator = None
                    self.tunnel_id = None
                    self.te_signalling_filter_data = MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData()
                    self.te_signalling_filter_data.parent = self


                class TeSignallingFilterData(object):
                    """
                    TE Signaling Filter data
                    
                    .. attribute:: statistics_filter
                    
                    	StatisticsFilter
                    	**type**\:   :py:class:`TeStatsSigFilterEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeStatsSigFilterEnum>`
                    
                    .. attribute:: te_signalling_filter_lsp
                    
                    	LSP data
                    	**type**\:   :py:class:`TeSignallingFilterLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp>`
                    
                    .. attribute:: te_signalling_filter_vif
                    
                    	VIF data
                    	**type**\:   :py:class:`TeSignallingFilterVif <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.statistics_filter = None
                        self.te_signalling_filter_lsp = MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp()
                        self.te_signalling_filter_lsp.parent = self
                        self.te_signalling_filter_vif = MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif()
                        self.te_signalling_filter_vif.parent = self


                    class TeSignallingFilterVif(object):
                        """
                        VIF data
                        
                        .. attribute:: destination_statistic
                        
                        	List of Destination Stats
                        	**type**\: list of    :py:class:`DestinationStatistic <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic>`
                        
                        .. attribute:: lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: statistics
                        
                        	VIF stats
                        	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.Statistics>`
                        
                        .. attribute:: tunnel_name
                        
                        	Tunnel Name
                        	**type**\:  str
                        
                        .. attribute:: tunnel_sig_name
                        
                        	Tunnel Signalled\-Name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.destination_statistic = YList()
                            self.destination_statistic.parent = self
                            self.destination_statistic.name = 'destination_statistic'
                            self.lsp_id = None
                            self.statistics = MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.Statistics()
                            self.statistics.parent = self
                            self.tunnel_name = None
                            self.tunnel_sig_name = None


                        class Statistics(object):
                            """
                            VIF stats
                            
                            .. attribute:: events_count
                            
                            	TE Signaling event count
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: events_total_count
                            
                            	Total TE Signalling event count
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_backup_assign_err_event
                            
                            	Error on Backup Assign event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_event_unknown
                            
                            	RX Unknown events
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_change_event
                            
                            	RX Path Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_create_event
                            
                            	RX Path Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_delete_event
                            
                            	RX Path Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_error_event
                            
                            	RX Path Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_reeval_query_event
                            
                            	RX Path Reeval Query event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_change_event
                            
                            	RX Resv Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_create_event
                            
                            	RX Resv Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_delete_event
                            
                            	RX Resv Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_error_event
                            
                            	RX Resv Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_backup_assign_event
                            
                            	Backup Assign event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_event_unknown
                            
                            	Unknown TX events
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_change_event
                            
                            	TX Path Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_create_event
                            
                            	TX Path Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_delete_event
                            
                            	TX Path Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_error_event
                            
                            	TX Path Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_reeval_query_event
                            
                            	TX Path Reeval Query event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_change_event
                            
                            	TX Resv Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_create_event
                            
                            	TX Resv Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_delete_event
                            
                            	TX Resv Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_error_event
                            
                            	TX Resv Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.events_count = None
                                self.events_total_count = None
                                self.rx_backup_assign_err_event = None
                                self.rx_event_unknown = None
                                self.rx_path_change_event = None
                                self.rx_path_create_event = None
                                self.rx_path_delete_event = None
                                self.rx_path_error_event = None
                                self.rx_path_reeval_query_event = None
                                self.rx_resv_change_event = None
                                self.rx_resv_create_event = None
                                self.rx_resv_delete_event = None
                                self.rx_resv_error_event = None
                                self.tx_backup_assign_event = None
                                self.tx_event_unknown = None
                                self.tx_path_change_event = None
                                self.tx_path_create_event = None
                                self.tx_path_delete_event = None
                                self.tx_path_error_event = None
                                self.tx_path_reeval_query_event = None
                                self.tx_resv_change_event = None
                                self.tx_resv_create_event = None
                                self.tx_resv_delete_event = None
                                self.tx_resv_error_event = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.events_count is not None:
                                    return True

                                if self.events_total_count is not None:
                                    return True

                                if self.rx_backup_assign_err_event is not None:
                                    return True

                                if self.rx_event_unknown is not None:
                                    return True

                                if self.rx_path_change_event is not None:
                                    return True

                                if self.rx_path_create_event is not None:
                                    return True

                                if self.rx_path_delete_event is not None:
                                    return True

                                if self.rx_path_error_event is not None:
                                    return True

                                if self.rx_path_reeval_query_event is not None:
                                    return True

                                if self.rx_resv_change_event is not None:
                                    return True

                                if self.rx_resv_create_event is not None:
                                    return True

                                if self.rx_resv_delete_event is not None:
                                    return True

                                if self.rx_resv_error_event is not None:
                                    return True

                                if self.tx_backup_assign_event is not None:
                                    return True

                                if self.tx_event_unknown is not None:
                                    return True

                                if self.tx_path_change_event is not None:
                                    return True

                                if self.tx_path_create_event is not None:
                                    return True

                                if self.tx_path_delete_event is not None:
                                    return True

                                if self.tx_path_error_event is not None:
                                    return True

                                if self.tx_path_reeval_query_event is not None:
                                    return True

                                if self.tx_resv_change_event is not None:
                                    return True

                                if self.tx_resv_create_event is not None:
                                    return True

                                if self.tx_resv_delete_event is not None:
                                    return True

                                if self.tx_resv_error_event is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.Statistics']['meta_info']


                        class DestinationStatistic(object):
                            """
                            List of Destination Stats
                            
                            .. attribute:: destination_address
                            
                            	Destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_statistic
                            
                            	List of S2L Stats
                            	**type**\: list of    :py:class:`S2LStatistic <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic>`
                            
                            .. attribute:: statistics
                            
                            	Destination stats
                            	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.Statistics>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.destination_address = None
                                self.s2l_statistic = YList()
                                self.s2l_statistic.parent = self
                                self.s2l_statistic.name = 's2l_statistic'
                                self.statistics = MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.Statistics()
                                self.statistics.parent = self


                            class Statistics(object):
                                """
                                Destination stats
                                
                                .. attribute:: events_count
                                
                                	TE Signaling event count
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: events_total_count
                                
                                	Total TE Signalling event count
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_backup_assign_err_event
                                
                                	Error on Backup Assign event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_event_unknown
                                
                                	RX Unknown events
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_path_change_event
                                
                                	RX Path Change event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_path_create_event
                                
                                	RX Path Create event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_path_delete_event
                                
                                	RX Path Delete event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_path_error_event
                                
                                	RX Path Error event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_path_reeval_query_event
                                
                                	RX Path Reeval Query event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_resv_change_event
                                
                                	RX Resv Change event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_resv_create_event
                                
                                	RX Resv Create event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_resv_delete_event
                                
                                	RX Resv Delete event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_resv_error_event
                                
                                	RX Resv Error event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_backup_assign_event
                                
                                	Backup Assign event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_event_unknown
                                
                                	Unknown TX events
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_path_change_event
                                
                                	TX Path Change event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_path_create_event
                                
                                	TX Path Create event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_path_delete_event
                                
                                	TX Path Delete event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_path_error_event
                                
                                	TX Path Error event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_path_reeval_query_event
                                
                                	TX Path Reeval Query event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_resv_change_event
                                
                                	TX Resv Change event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_resv_create_event
                                
                                	TX Resv Create event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_resv_delete_event
                                
                                	TX Resv Delete event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_resv_error_event
                                
                                	TX Resv Error event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.events_count = None
                                    self.events_total_count = None
                                    self.rx_backup_assign_err_event = None
                                    self.rx_event_unknown = None
                                    self.rx_path_change_event = None
                                    self.rx_path_create_event = None
                                    self.rx_path_delete_event = None
                                    self.rx_path_error_event = None
                                    self.rx_path_reeval_query_event = None
                                    self.rx_resv_change_event = None
                                    self.rx_resv_create_event = None
                                    self.rx_resv_delete_event = None
                                    self.rx_resv_error_event = None
                                    self.tx_backup_assign_event = None
                                    self.tx_event_unknown = None
                                    self.tx_path_change_event = None
                                    self.tx_path_create_event = None
                                    self.tx_path_delete_event = None
                                    self.tx_path_error_event = None
                                    self.tx_path_reeval_query_event = None
                                    self.tx_resv_change_event = None
                                    self.tx_resv_create_event = None
                                    self.tx_resv_delete_event = None
                                    self.tx_resv_error_event = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.events_count is not None:
                                        return True

                                    if self.events_total_count is not None:
                                        return True

                                    if self.rx_backup_assign_err_event is not None:
                                        return True

                                    if self.rx_event_unknown is not None:
                                        return True

                                    if self.rx_path_change_event is not None:
                                        return True

                                    if self.rx_path_create_event is not None:
                                        return True

                                    if self.rx_path_delete_event is not None:
                                        return True

                                    if self.rx_path_error_event is not None:
                                        return True

                                    if self.rx_path_reeval_query_event is not None:
                                        return True

                                    if self.rx_resv_change_event is not None:
                                        return True

                                    if self.rx_resv_create_event is not None:
                                        return True

                                    if self.rx_resv_delete_event is not None:
                                        return True

                                    if self.rx_resv_error_event is not None:
                                        return True

                                    if self.tx_backup_assign_event is not None:
                                        return True

                                    if self.tx_event_unknown is not None:
                                        return True

                                    if self.tx_path_change_event is not None:
                                        return True

                                    if self.tx_path_create_event is not None:
                                        return True

                                    if self.tx_path_delete_event is not None:
                                        return True

                                    if self.tx_path_error_event is not None:
                                        return True

                                    if self.tx_path_reeval_query_event is not None:
                                        return True

                                    if self.tx_resv_change_event is not None:
                                        return True

                                    if self.tx_resv_create_event is not None:
                                        return True

                                    if self.tx_resv_delete_event is not None:
                                        return True

                                    if self.tx_resv_error_event is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.Statistics']['meta_info']


                            class S2LStatistic(object):
                                """
                                List of S2L Stats
                                
                                .. attribute:: destination_address
                                
                                	Destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: statistics
                                
                                	S2L stats
                                	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic.Statistics>`
                                
                                .. attribute:: sub_group_id
                                
                                	subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_group_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.destination_address = None
                                    self.statistics = MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic.Statistics()
                                    self.statistics.parent = self
                                    self.sub_group_id = None
                                    self.sub_group_originator = None


                                class Statistics(object):
                                    """
                                    S2L stats
                                    
                                    .. attribute:: events_count
                                    
                                    	TE Signaling event count
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: events_total_count
                                    
                                    	Total TE Signalling event count
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: rx_backup_assign_err_event
                                    
                                    	Error on Backup Assign event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: rx_event_unknown
                                    
                                    	RX Unknown events
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: rx_path_change_event
                                    
                                    	RX Path Change event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: rx_path_create_event
                                    
                                    	RX Path Create event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: rx_path_delete_event
                                    
                                    	RX Path Delete event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: rx_path_error_event
                                    
                                    	RX Path Error event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: rx_path_reeval_query_event
                                    
                                    	RX Path Reeval Query event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: rx_resv_change_event
                                    
                                    	RX Resv Change event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: rx_resv_create_event
                                    
                                    	RX Resv Create event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: rx_resv_delete_event
                                    
                                    	RX Resv Delete event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: rx_resv_error_event
                                    
                                    	RX Resv Error event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tx_backup_assign_event
                                    
                                    	Backup Assign event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tx_event_unknown
                                    
                                    	Unknown TX events
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tx_path_change_event
                                    
                                    	TX Path Change event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tx_path_create_event
                                    
                                    	TX Path Create event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tx_path_delete_event
                                    
                                    	TX Path Delete event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tx_path_error_event
                                    
                                    	TX Path Error event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tx_path_reeval_query_event
                                    
                                    	TX Path Reeval Query event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tx_resv_change_event
                                    
                                    	TX Resv Change event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tx_resv_create_event
                                    
                                    	TX Resv Create event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tx_resv_delete_event
                                    
                                    	TX Resv Delete event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tx_resv_error_event
                                    
                                    	TX Resv Error event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.events_count = None
                                        self.events_total_count = None
                                        self.rx_backup_assign_err_event = None
                                        self.rx_event_unknown = None
                                        self.rx_path_change_event = None
                                        self.rx_path_create_event = None
                                        self.rx_path_delete_event = None
                                        self.rx_path_error_event = None
                                        self.rx_path_reeval_query_event = None
                                        self.rx_resv_change_event = None
                                        self.rx_resv_create_event = None
                                        self.rx_resv_delete_event = None
                                        self.rx_resv_error_event = None
                                        self.tx_backup_assign_event = None
                                        self.tx_event_unknown = None
                                        self.tx_path_change_event = None
                                        self.tx_path_create_event = None
                                        self.tx_path_delete_event = None
                                        self.tx_path_error_event = None
                                        self.tx_path_reeval_query_event = None
                                        self.tx_resv_change_event = None
                                        self.tx_resv_create_event = None
                                        self.tx_resv_delete_event = None
                                        self.tx_resv_error_event = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.events_count is not None:
                                            return True

                                        if self.events_total_count is not None:
                                            return True

                                        if self.rx_backup_assign_err_event is not None:
                                            return True

                                        if self.rx_event_unknown is not None:
                                            return True

                                        if self.rx_path_change_event is not None:
                                            return True

                                        if self.rx_path_create_event is not None:
                                            return True

                                        if self.rx_path_delete_event is not None:
                                            return True

                                        if self.rx_path_error_event is not None:
                                            return True

                                        if self.rx_path_reeval_query_event is not None:
                                            return True

                                        if self.rx_resv_change_event is not None:
                                            return True

                                        if self.rx_resv_create_event is not None:
                                            return True

                                        if self.rx_resv_delete_event is not None:
                                            return True

                                        if self.rx_resv_error_event is not None:
                                            return True

                                        if self.tx_backup_assign_event is not None:
                                            return True

                                        if self.tx_event_unknown is not None:
                                            return True

                                        if self.tx_path_change_event is not None:
                                            return True

                                        if self.tx_path_create_event is not None:
                                            return True

                                        if self.tx_path_delete_event is not None:
                                            return True

                                        if self.tx_path_error_event is not None:
                                            return True

                                        if self.tx_path_reeval_query_event is not None:
                                            return True

                                        if self.tx_resv_change_event is not None:
                                            return True

                                        if self.tx_resv_create_event is not None:
                                            return True

                                        if self.tx_resv_delete_event is not None:
                                            return True

                                        if self.tx_resv_error_event is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic.Statistics']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-statistic'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.destination_address is not None:
                                        return True

                                    if self.statistics is not None and self.statistics._has_data():
                                        return True

                                    if self.sub_group_id is not None:
                                        return True

                                    if self.sub_group_originator is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:destination-statistic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.destination_address is not None:
                                    return True

                                if self.s2l_statistic is not None:
                                    for child_ref in self.s2l_statistic:
                                        if child_ref._has_data():
                                            return True

                                if self.statistics is not None and self.statistics._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-signalling-filter-vif'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.destination_statistic is not None:
                                for child_ref in self.destination_statistic:
                                    if child_ref._has_data():
                                        return True

                            if self.lsp_id is not None:
                                return True

                            if self.statistics is not None and self.statistics._has_data():
                                return True

                            if self.tunnel_name is not None:
                                return True

                            if self.tunnel_sig_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif']['meta_info']


                    class TeSignallingFilterLsp(object):
                        """
                        LSP data
                        
                        .. attribute:: s2l_statistic
                        
                        	List of S2L Statistics
                        	**type**\: list of    :py:class:`S2LStatistic <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic>`
                        
                        .. attribute:: statistics
                        
                        	LSP statistics
                        	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.Statistics>`
                        
                        .. attribute:: tunnel_name
                        
                        	Tunnel Name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.s2l_statistic = YList()
                            self.s2l_statistic.parent = self
                            self.s2l_statistic.name = 's2l_statistic'
                            self.statistics = MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.Statistics()
                            self.statistics.parent = self
                            self.tunnel_name = None


                        class Statistics(object):
                            """
                            LSP statistics
                            
                            .. attribute:: events_count
                            
                            	TE Signaling event count
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: events_total_count
                            
                            	Total TE Signalling event count
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_backup_assign_err_event
                            
                            	Error on Backup Assign event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_event_unknown
                            
                            	RX Unknown events
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_change_event
                            
                            	RX Path Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_create_event
                            
                            	RX Path Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_delete_event
                            
                            	RX Path Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_error_event
                            
                            	RX Path Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_reeval_query_event
                            
                            	RX Path Reeval Query event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_change_event
                            
                            	RX Resv Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_create_event
                            
                            	RX Resv Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_delete_event
                            
                            	RX Resv Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_error_event
                            
                            	RX Resv Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_backup_assign_event
                            
                            	Backup Assign event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_event_unknown
                            
                            	Unknown TX events
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_change_event
                            
                            	TX Path Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_create_event
                            
                            	TX Path Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_delete_event
                            
                            	TX Path Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_error_event
                            
                            	TX Path Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_reeval_query_event
                            
                            	TX Path Reeval Query event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_change_event
                            
                            	TX Resv Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_create_event
                            
                            	TX Resv Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_delete_event
                            
                            	TX Resv Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_error_event
                            
                            	TX Resv Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.events_count = None
                                self.events_total_count = None
                                self.rx_backup_assign_err_event = None
                                self.rx_event_unknown = None
                                self.rx_path_change_event = None
                                self.rx_path_create_event = None
                                self.rx_path_delete_event = None
                                self.rx_path_error_event = None
                                self.rx_path_reeval_query_event = None
                                self.rx_resv_change_event = None
                                self.rx_resv_create_event = None
                                self.rx_resv_delete_event = None
                                self.rx_resv_error_event = None
                                self.tx_backup_assign_event = None
                                self.tx_event_unknown = None
                                self.tx_path_change_event = None
                                self.tx_path_create_event = None
                                self.tx_path_delete_event = None
                                self.tx_path_error_event = None
                                self.tx_path_reeval_query_event = None
                                self.tx_resv_change_event = None
                                self.tx_resv_create_event = None
                                self.tx_resv_delete_event = None
                                self.tx_resv_error_event = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.events_count is not None:
                                    return True

                                if self.events_total_count is not None:
                                    return True

                                if self.rx_backup_assign_err_event is not None:
                                    return True

                                if self.rx_event_unknown is not None:
                                    return True

                                if self.rx_path_change_event is not None:
                                    return True

                                if self.rx_path_create_event is not None:
                                    return True

                                if self.rx_path_delete_event is not None:
                                    return True

                                if self.rx_path_error_event is not None:
                                    return True

                                if self.rx_path_reeval_query_event is not None:
                                    return True

                                if self.rx_resv_change_event is not None:
                                    return True

                                if self.rx_resv_create_event is not None:
                                    return True

                                if self.rx_resv_delete_event is not None:
                                    return True

                                if self.rx_resv_error_event is not None:
                                    return True

                                if self.tx_backup_assign_event is not None:
                                    return True

                                if self.tx_event_unknown is not None:
                                    return True

                                if self.tx_path_change_event is not None:
                                    return True

                                if self.tx_path_create_event is not None:
                                    return True

                                if self.tx_path_delete_event is not None:
                                    return True

                                if self.tx_path_error_event is not None:
                                    return True

                                if self.tx_path_reeval_query_event is not None:
                                    return True

                                if self.tx_resv_change_event is not None:
                                    return True

                                if self.tx_resv_create_event is not None:
                                    return True

                                if self.tx_resv_delete_event is not None:
                                    return True

                                if self.tx_resv_error_event is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.Statistics']['meta_info']


                        class S2LStatistic(object):
                            """
                            List of S2L Statistics
                            
                            .. attribute:: destination_address
                            
                            	Destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: statistics
                            
                            	S2L stats
                            	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic.Statistics>`
                            
                            .. attribute:: sub_group_id
                            
                            	subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: sub_group_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.destination_address = None
                                self.statistics = MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic.Statistics()
                                self.statistics.parent = self
                                self.sub_group_id = None
                                self.sub_group_originator = None


                            class Statistics(object):
                                """
                                S2L stats
                                
                                .. attribute:: events_count
                                
                                	TE Signaling event count
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: events_total_count
                                
                                	Total TE Signalling event count
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_backup_assign_err_event
                                
                                	Error on Backup Assign event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_event_unknown
                                
                                	RX Unknown events
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_path_change_event
                                
                                	RX Path Change event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_path_create_event
                                
                                	RX Path Create event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_path_delete_event
                                
                                	RX Path Delete event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_path_error_event
                                
                                	RX Path Error event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_path_reeval_query_event
                                
                                	RX Path Reeval Query event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_resv_change_event
                                
                                	RX Resv Change event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_resv_create_event
                                
                                	RX Resv Create event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_resv_delete_event
                                
                                	RX Resv Delete event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_resv_error_event
                                
                                	RX Resv Error event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_backup_assign_event
                                
                                	Backup Assign event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_event_unknown
                                
                                	Unknown TX events
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_path_change_event
                                
                                	TX Path Change event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_path_create_event
                                
                                	TX Path Create event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_path_delete_event
                                
                                	TX Path Delete event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_path_error_event
                                
                                	TX Path Error event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_path_reeval_query_event
                                
                                	TX Path Reeval Query event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_resv_change_event
                                
                                	TX Resv Change event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_resv_create_event
                                
                                	TX Resv Create event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_resv_delete_event
                                
                                	TX Resv Delete event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_resv_error_event
                                
                                	TX Resv Error event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.events_count = None
                                    self.events_total_count = None
                                    self.rx_backup_assign_err_event = None
                                    self.rx_event_unknown = None
                                    self.rx_path_change_event = None
                                    self.rx_path_create_event = None
                                    self.rx_path_delete_event = None
                                    self.rx_path_error_event = None
                                    self.rx_path_reeval_query_event = None
                                    self.rx_resv_change_event = None
                                    self.rx_resv_create_event = None
                                    self.rx_resv_delete_event = None
                                    self.rx_resv_error_event = None
                                    self.tx_backup_assign_event = None
                                    self.tx_event_unknown = None
                                    self.tx_path_change_event = None
                                    self.tx_path_create_event = None
                                    self.tx_path_delete_event = None
                                    self.tx_path_error_event = None
                                    self.tx_path_reeval_query_event = None
                                    self.tx_resv_change_event = None
                                    self.tx_resv_create_event = None
                                    self.tx_resv_delete_event = None
                                    self.tx_resv_error_event = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.events_count is not None:
                                        return True

                                    if self.events_total_count is not None:
                                        return True

                                    if self.rx_backup_assign_err_event is not None:
                                        return True

                                    if self.rx_event_unknown is not None:
                                        return True

                                    if self.rx_path_change_event is not None:
                                        return True

                                    if self.rx_path_create_event is not None:
                                        return True

                                    if self.rx_path_delete_event is not None:
                                        return True

                                    if self.rx_path_error_event is not None:
                                        return True

                                    if self.rx_path_reeval_query_event is not None:
                                        return True

                                    if self.rx_resv_change_event is not None:
                                        return True

                                    if self.rx_resv_create_event is not None:
                                        return True

                                    if self.rx_resv_delete_event is not None:
                                        return True

                                    if self.rx_resv_error_event is not None:
                                        return True

                                    if self.tx_backup_assign_event is not None:
                                        return True

                                    if self.tx_event_unknown is not None:
                                        return True

                                    if self.tx_path_change_event is not None:
                                        return True

                                    if self.tx_path_create_event is not None:
                                        return True

                                    if self.tx_path_delete_event is not None:
                                        return True

                                    if self.tx_path_error_event is not None:
                                        return True

                                    if self.tx_path_reeval_query_event is not None:
                                        return True

                                    if self.tx_resv_change_event is not None:
                                        return True

                                    if self.tx_resv_create_event is not None:
                                        return True

                                    if self.tx_resv_delete_event is not None:
                                        return True

                                    if self.tx_resv_error_event is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic.Statistics']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-statistic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.destination_address is not None:
                                    return True

                                if self.statistics is not None and self.statistics._has_data():
                                    return True

                                if self.sub_group_id is not None:
                                    return True

                                if self.sub_group_originator is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-signalling-filter-lsp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.s2l_statistic is not None:
                                for child_ref in self.s2l_statistic:
                                    if child_ref._has_data():
                                        return True

                            if self.statistics is not None and self.statistics._has_data():
                                return True

                            if self.tunnel_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-signalling-filter-data'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.statistics_filter is not None:
                            return True

                        if self.te_signalling_filter_lsp is not None and self.te_signalling_filter_lsp._has_data():
                            return True

                        if self.te_signalling_filter_vif is not None and self.te_signalling_filter_vif._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData']['meta_info']

                @property
                def _common_path(self):
                    if self.ctype is None:
                        raise YPYModelError('Key property ctype is None')
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.extended_tunnel_id is None:
                        raise YPYModelError('Key property extended_tunnel_id is None')
                    if self.lsp_id is None:
                        raise YPYModelError('Key property lsp_id is None')
                    if self.p2mp_id is None:
                        raise YPYModelError('Key property p2mp_id is None')
                    if self.source_address is None:
                        raise YPYModelError('Key property source_address is None')
                    if self.sub_group_id is None:
                        raise YPYModelError('Key property sub_group_id is None')
                    if self.sub_group_originator is None:
                        raise YPYModelError('Key property sub_group_originator is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:signallings/Cisco-IOS-XR-mpls-te-oper:signalling[Cisco-IOS-XR-mpls-te-oper:ctype = ' + str(self.ctype) + '][Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:extended-tunnel-id = ' + str(self.extended_tunnel_id) + '][Cisco-IOS-XR-mpls-te-oper:lsp-id = ' + str(self.lsp_id) + '][Cisco-IOS-XR-mpls-te-oper:p2mp-id = ' + str(self.p2mp_id) + '][Cisco-IOS-XR-mpls-te-oper:source-address = ' + str(self.source_address) + '][Cisco-IOS-XR-mpls-te-oper:sub-group-id = ' + str(self.sub_group_id) + '][Cisco-IOS-XR-mpls-te-oper:sub-group-originator = ' + str(self.sub_group_originator) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ctype is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.p2mp_id is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.sub_group_id is not None:
                        return True

                    if self.sub_group_originator is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.te_signalling_filter_data is not None and self.te_signalling_filter_data._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.SignallingCounters.Signallings.Signalling']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:signallings'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.signalling is not None:
                    for child_ref in self.signalling:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.SignallingCounters.Signallings']['meta_info']


        class SignallingSummary(object):
            """
            Send\-Recv count summary for TE Signaling
            
            .. attribute:: events_count
            
            	TE Signaling event count
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: events_total_count
            
            	Total TE Signalling event count
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rx_backup_assign_err_event
            
            	Error on Backup Assign event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rx_event_unknown
            
            	RX Unknown events
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rx_path_change_event
            
            	RX Path Change event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rx_path_create_event
            
            	RX Path Create event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rx_path_delete_event
            
            	RX Path Delete event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rx_path_error_event
            
            	RX Path Error event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rx_path_reeval_query_event
            
            	RX Path Reeval Query event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rx_resv_change_event
            
            	RX Resv Change event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rx_resv_create_event
            
            	RX Resv Create event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rx_resv_delete_event
            
            	RX Resv Delete event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rx_resv_error_event
            
            	RX Resv Error event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: tx_backup_assign_event
            
            	Backup Assign event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: tx_event_unknown
            
            	Unknown TX events
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: tx_path_change_event
            
            	TX Path Change event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: tx_path_create_event
            
            	TX Path Create event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: tx_path_delete_event
            
            	TX Path Delete event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: tx_path_error_event
            
            	TX Path Error event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: tx_path_reeval_query_event
            
            	TX Path Reeval Query event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: tx_resv_change_event
            
            	TX Resv Change event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: tx_resv_create_event
            
            	TX Resv Create event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: tx_resv_delete_event
            
            	TX Resv Delete event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: tx_resv_error_event
            
            	TX Resv Error event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.events_count = None
                self.events_total_count = None
                self.rx_backup_assign_err_event = None
                self.rx_event_unknown = None
                self.rx_path_change_event = None
                self.rx_path_create_event = None
                self.rx_path_delete_event = None
                self.rx_path_error_event = None
                self.rx_path_reeval_query_event = None
                self.rx_resv_change_event = None
                self.rx_resv_create_event = None
                self.rx_resv_delete_event = None
                self.rx_resv_error_event = None
                self.tx_backup_assign_event = None
                self.tx_event_unknown = None
                self.tx_path_change_event = None
                self.tx_path_create_event = None
                self.tx_path_delete_event = None
                self.tx_path_error_event = None
                self.tx_path_reeval_query_event = None
                self.tx_resv_change_event = None
                self.tx_resv_create_event = None
                self.tx_resv_delete_event = None
                self.tx_resv_error_event = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:signalling-summary'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.events_count is not None:
                    return True

                if self.events_total_count is not None:
                    return True

                if self.rx_backup_assign_err_event is not None:
                    return True

                if self.rx_event_unknown is not None:
                    return True

                if self.rx_path_change_event is not None:
                    return True

                if self.rx_path_create_event is not None:
                    return True

                if self.rx_path_delete_event is not None:
                    return True

                if self.rx_path_error_event is not None:
                    return True

                if self.rx_path_reeval_query_event is not None:
                    return True

                if self.rx_resv_change_event is not None:
                    return True

                if self.rx_resv_create_event is not None:
                    return True

                if self.rx_resv_delete_event is not None:
                    return True

                if self.rx_resv_error_event is not None:
                    return True

                if self.tx_backup_assign_event is not None:
                    return True

                if self.tx_event_unknown is not None:
                    return True

                if self.tx_path_change_event is not None:
                    return True

                if self.tx_path_create_event is not None:
                    return True

                if self.tx_path_delete_event is not None:
                    return True

                if self.tx_path_error_event is not None:
                    return True

                if self.tx_path_reeval_query_event is not None:
                    return True

                if self.tx_resv_change_event is not None:
                    return True

                if self.tx_resv_create_event is not None:
                    return True

                if self.tx_resv_delete_event is not None:
                    return True

                if self.tx_resv_error_event is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.SignallingCounters.SignallingSummary']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:signalling-counters'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.head_signalling_counters is not None and self.head_signalling_counters._has_data():
                return True

            if self.heads_counters is not None and self.heads_counters._has_data():
                return True

            if self.issu is not None and self.issu._has_data():
                return True

            if self.mids_counters is not None and self.mids_counters._has_data():
                return True

            if self.remote_signalling_counters is not None and self.remote_signalling_counters._has_data():
                return True

            if self.signalling_summary is not None and self.signalling_summary._has_data():
                return True

            if self.signallings is not None and self.signallings._has_data():
                return True

            if self.tails_counters is not None and self.tails_counters._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.SignallingCounters']['meta_info']


    class DiffServTeClasses(object):
        """
        The configured Diff Serv TE classes
        
        .. attribute:: te_class
        
        	te class
        	**type**\: list of    :py:class:`TeClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.DiffServTeClasses.TeClass>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.te_class = YList()
            self.te_class.parent = self
            self.te_class.name = 'te_class'


        class TeClass(object):
            """
            te class
            
            .. attribute:: class_number
            
            	The DS\-TE class number from 0 to 7
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: class_status
            
            	The status of the TE class
            	**type**\:   :py:class:`MplsTeDsteClassStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeDsteClassStatusEnum>`
            
            .. attribute:: class_type
            
            	The class type of the TE class
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: priority
            
            	The priority of the TE class
            	**type**\:  int
            
            	**range:** 0..255
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.class_number = None
                self.class_status = None
                self.class_type = None
                self.priority = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:diff-serv-te-classes/Cisco-IOS-XR-mpls-te-oper:te-class'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.class_number is not None:
                    return True

                if self.class_status is not None:
                    return True

                if self.class_type is not None:
                    return True

                if self.priority is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.DiffServTeClasses.TeClass']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:diff-serv-te-classes'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.te_class is not None:
                for child_ref in self.te_class:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.DiffServTeClasses']['meta_info']


    class Issu(object):
        """
        MPLS TE ISSU information
        
        .. attribute:: detail
        
        	MPLS TE ISSU Status information
        	**type**\:   :py:class:`Detail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Detail>`
        
        .. attribute:: status
        
        	MPLS TE ISSU Status information
        	**type**\:   :py:class:`Status <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Status>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.detail = MplsTe.Issu.Detail()
            self.detail.parent = self
            self.status = MplsTe.Issu.Status()
            self.status.parent = self


        class Status(object):
            """
            MPLS TE ISSU Status information
            
            .. attribute:: role
            
            	Process role
            	**type**\:   :py:class:`TeProcRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProcRoleEnum>`
            
            .. attribute:: sync_status_information
            
            	Sync information for the NSR and ISSU
            	**type**\:   :py:class:`SyncStatusInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Status.SyncStatusInformation>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.role = None
                self.sync_status_information = MplsTe.Issu.Status.SyncStatusInformation()
                self.sync_status_information.parent = self


            class SyncStatusInformation(object):
                """
                Sync information for the NSR and ISSU
                
                .. attribute:: master_sync_information
                
                	Master sync information
                	**type**\:   :py:class:`MasterSyncInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation>`
                
                .. attribute:: slave_sync_information
                
                	Slave sync information
                	**type**\:   :py:class:`SlaveSyncInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation>`
                
                .. attribute:: sync_show_type
                
                	SyncShowType
                	**type**\:   :py:class:`TeSyncStatusShowEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncStatusShowEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.master_sync_information = MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation()
                    self.master_sync_information.parent = self
                    self.slave_sync_information = MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation()
                    self.slave_sync_information.parent = self
                    self.sync_show_type = None


                class SlaveSyncInformation(object):
                    """
                    Slave sync information
                    
                    .. attribute:: idt
                    
                    	Sync status IDT information
                    	**type**\:   :py:class:`Idt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt>`
                    
                    .. attribute:: insync_sub_ls_ps
                    
                    	Sub\-LSPs in sync
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: insync_tunnels
                    
                    	Tunnels in sync
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pending_sub_ls_ps
                    
                    	Sub\-LSPs in sync pending
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pending_tunnels
                    
                    	Tunnels in sync pending
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l_pending
                    
                    	Pending sub\-LSPs details
                    	**type**\: list of    :py:class:`S2LPending <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending>`
                    
                    .. attribute:: vif_pending
                    
                    	Pending tunnels details
                    	**type**\: list of    :py:class:`VifPending <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.VifPending>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.idt = MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt()
                        self.idt.parent = self
                        self.insync_sub_ls_ps = None
                        self.insync_tunnels = None
                        self.pending_sub_ls_ps = None
                        self.pending_tunnels = None
                        self.s2l_pending = YList()
                        self.s2l_pending.parent = self
                        self.s2l_pending.name = 's2l_pending'
                        self.vif_pending = YList()
                        self.vif_pending.parent = self
                        self.vif_pending.name = 'vif_pending'


                    class Idt(object):
                        """
                        Sync status IDT information
                        
                        .. attribute:: current_idt_info
                        
                        	Current IDT information
                        	**type**\:   :py:class:`CurrentIdtInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo>`
                        
                        .. attribute:: previous_idt_status
                        
                        	Previous IDT information
                        	**type**\:   :py:class:`PreviousIdtStatus <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.current_idt_info = MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo()
                            self.current_idt_info.parent = self
                            self.previous_idt_status = MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus()
                            self.previous_idt_status.parent = self


                        class CurrentIdtInfo(object):
                            """
                            Current IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:current-idt-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo']['meta_info']


                        class PreviousIdtStatus(object):
                            """
                            Previous IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:previous-idt-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.current_idt_info is not None and self.current_idt_info._has_data():
                                return True

                            if self.previous_idt_status is not None and self.previous_idt_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']


                    class VifPending(object):
                        """
                        Pending tunnels details
                        
                        .. attribute:: pending_reason
                        
                        	Pending reason
                        	**type**\:   :py:class:`TeSyncPendingReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncPendingReasonEnum>`
                        
                        .. attribute:: tunnel_name
                        
                        	Tunnel name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.pending_reason = None
                            self.tunnel_name = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:vif-pending'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.pending_reason is not None:
                                return True

                            if self.tunnel_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.VifPending']['meta_info']


                    class S2LPending(object):
                        """
                        Pending sub\-LSPs details
                        
                        .. attribute:: pending_reason
                        
                        	Pending reason
                        	**type**\:   :py:class:`TeSyncPendingReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncPendingReasonEnum>`
                        
                        .. attribute:: s2l_role
                        
                        	S2L role
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: signaled_name
                        
                        	Signaled name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.pending_reason = None
                            self.s2l_role = None
                            self.signaled_name = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:s2l-pending'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.pending_reason is not None:
                                return True

                            if self.s2l_role is not None:
                                return True

                            if self.signaled_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.idt is not None and self.idt._has_data():
                            return True

                        if self.insync_sub_ls_ps is not None:
                            return True

                        if self.insync_tunnels is not None:
                            return True

                        if self.pending_sub_ls_ps is not None:
                            return True

                        if self.pending_tunnels is not None:
                            return True

                        if self.s2l_pending is not None:
                            for child_ref in self.s2l_pending:
                                if child_ref._has_data():
                                    return True

                        if self.vif_pending is not None:
                            for child_ref in self.vif_pending:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation']['meta_info']


                class MasterSyncInformation(object):
                    """
                    Master sync information
                    
                    .. attribute:: idt
                    
                    	Sync status IDT information
                    	**type**\:   :py:class:`Idt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.idt = MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt()
                        self.idt.parent = self


                    class Idt(object):
                        """
                        Sync status IDT information
                        
                        .. attribute:: current_idt_info
                        
                        	Current IDT information
                        	**type**\:   :py:class:`CurrentIdtInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo>`
                        
                        .. attribute:: previous_idt_status
                        
                        	Previous IDT information
                        	**type**\:   :py:class:`PreviousIdtStatus <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.current_idt_info = MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo()
                            self.current_idt_info.parent = self
                            self.previous_idt_status = MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus()
                            self.previous_idt_status.parent = self


                        class CurrentIdtInfo(object):
                            """
                            Current IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:current-idt-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo']['meta_info']


                        class PreviousIdtStatus(object):
                            """
                            Previous IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:previous-idt-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.current_idt_info is not None and self.current_idt_info._has_data():
                                return True

                            if self.previous_idt_status is not None and self.previous_idt_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.idt is not None and self.idt._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.master_sync_information is not None and self.master_sync_information._has_data():
                        return True

                    if self.slave_sync_information is not None and self.slave_sync_information._has_data():
                        return True

                    if self.sync_show_type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Issu.Status.SyncStatusInformation']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.role is not None:
                    return True

                if self.sync_status_information is not None and self.sync_status_information._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.Issu.Status']['meta_info']


        class Detail(object):
            """
            MPLS TE ISSU Status information
            
            .. attribute:: role
            
            	Process role
            	**type**\:   :py:class:`TeProcRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProcRoleEnum>`
            
            .. attribute:: sync_status_information
            
            	Sync information for the NSR and ISSU
            	**type**\:   :py:class:`SyncStatusInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Detail.SyncStatusInformation>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.role = None
                self.sync_status_information = MplsTe.Issu.Detail.SyncStatusInformation()
                self.sync_status_information.parent = self


            class SyncStatusInformation(object):
                """
                Sync information for the NSR and ISSU
                
                .. attribute:: master_sync_information
                
                	Master sync information
                	**type**\:   :py:class:`MasterSyncInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation>`
                
                .. attribute:: slave_sync_information
                
                	Slave sync information
                	**type**\:   :py:class:`SlaveSyncInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation>`
                
                .. attribute:: sync_show_type
                
                	SyncShowType
                	**type**\:   :py:class:`TeSyncStatusShowEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncStatusShowEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.master_sync_information = MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation()
                    self.master_sync_information.parent = self
                    self.slave_sync_information = MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation()
                    self.slave_sync_information.parent = self
                    self.sync_show_type = None


                class SlaveSyncInformation(object):
                    """
                    Slave sync information
                    
                    .. attribute:: idt
                    
                    	Sync status IDT information
                    	**type**\:   :py:class:`Idt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt>`
                    
                    .. attribute:: insync_sub_ls_ps
                    
                    	Sub\-LSPs in sync
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: insync_tunnels
                    
                    	Tunnels in sync
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pending_sub_ls_ps
                    
                    	Sub\-LSPs in sync pending
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pending_tunnels
                    
                    	Tunnels in sync pending
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l_pending
                    
                    	Pending sub\-LSPs details
                    	**type**\: list of    :py:class:`S2LPending <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending>`
                    
                    .. attribute:: vif_pending
                    
                    	Pending tunnels details
                    	**type**\: list of    :py:class:`VifPending <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.idt = MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt()
                        self.idt.parent = self
                        self.insync_sub_ls_ps = None
                        self.insync_tunnels = None
                        self.pending_sub_ls_ps = None
                        self.pending_tunnels = None
                        self.s2l_pending = YList()
                        self.s2l_pending.parent = self
                        self.s2l_pending.name = 's2l_pending'
                        self.vif_pending = YList()
                        self.vif_pending.parent = self
                        self.vif_pending.name = 'vif_pending'


                    class Idt(object):
                        """
                        Sync status IDT information
                        
                        .. attribute:: current_idt_info
                        
                        	Current IDT information
                        	**type**\:   :py:class:`CurrentIdtInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo>`
                        
                        .. attribute:: previous_idt_status
                        
                        	Previous IDT information
                        	**type**\:   :py:class:`PreviousIdtStatus <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.current_idt_info = MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo()
                            self.current_idt_info.parent = self
                            self.previous_idt_status = MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus()
                            self.previous_idt_status.parent = self


                        class CurrentIdtInfo(object):
                            """
                            Current IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:current-idt-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo']['meta_info']


                        class PreviousIdtStatus(object):
                            """
                            Previous IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:previous-idt-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.current_idt_info is not None and self.current_idt_info._has_data():
                                return True

                            if self.previous_idt_status is not None and self.previous_idt_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']


                    class VifPending(object):
                        """
                        Pending tunnels details
                        
                        .. attribute:: pending_reason
                        
                        	Pending reason
                        	**type**\:   :py:class:`TeSyncPendingReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncPendingReasonEnum>`
                        
                        .. attribute:: tunnel_name
                        
                        	Tunnel name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.pending_reason = None
                            self.tunnel_name = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:vif-pending'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.pending_reason is not None:
                                return True

                            if self.tunnel_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending']['meta_info']


                    class S2LPending(object):
                        """
                        Pending sub\-LSPs details
                        
                        .. attribute:: pending_reason
                        
                        	Pending reason
                        	**type**\:   :py:class:`TeSyncPendingReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncPendingReasonEnum>`
                        
                        .. attribute:: s2l_role
                        
                        	S2L role
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: signaled_name
                        
                        	Signaled name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.pending_reason = None
                            self.s2l_role = None
                            self.signaled_name = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:s2l-pending'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.pending_reason is not None:
                                return True

                            if self.s2l_role is not None:
                                return True

                            if self.signaled_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.idt is not None and self.idt._has_data():
                            return True

                        if self.insync_sub_ls_ps is not None:
                            return True

                        if self.insync_tunnels is not None:
                            return True

                        if self.pending_sub_ls_ps is not None:
                            return True

                        if self.pending_tunnels is not None:
                            return True

                        if self.s2l_pending is not None:
                            for child_ref in self.s2l_pending:
                                if child_ref._has_data():
                                    return True

                        if self.vif_pending is not None:
                            for child_ref in self.vif_pending:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation']['meta_info']


                class MasterSyncInformation(object):
                    """
                    Master sync information
                    
                    .. attribute:: idt
                    
                    	Sync status IDT information
                    	**type**\:   :py:class:`Idt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.idt = MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt()
                        self.idt.parent = self


                    class Idt(object):
                        """
                        Sync status IDT information
                        
                        .. attribute:: current_idt_info
                        
                        	Current IDT information
                        	**type**\:   :py:class:`CurrentIdtInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo>`
                        
                        .. attribute:: previous_idt_status
                        
                        	Previous IDT information
                        	**type**\:   :py:class:`PreviousIdtStatus <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.current_idt_info = MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo()
                            self.current_idt_info.parent = self
                            self.previous_idt_status = MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus()
                            self.previous_idt_status.parent = self


                        class CurrentIdtInfo(object):
                            """
                            Current IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:current-idt-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo']['meta_info']


                        class PreviousIdtStatus(object):
                            """
                            Previous IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:previous-idt-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.current_idt_info is not None and self.current_idt_info._has_data():
                                return True

                            if self.previous_idt_status is not None and self.previous_idt_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.idt is not None and self.idt._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.master_sync_information is not None and self.master_sync_information._has_data():
                        return True

                    if self.slave_sync_information is not None and self.slave_sync_information._has_data():
                        return True

                    if self.sync_show_type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Issu.Detail.SyncStatusInformation']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.role is not None:
                    return True

                if self.sync_status_information is not None and self.sync_status_information._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.Issu.Detail']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:issu'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.detail is not None and self.detail._has_data():
                return True

            if self.status is not None and self.status._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.Issu']['meta_info']


    class FastReroute(object):
        """
        Represent all the fastreroute info in MPLS\-TE
        
        .. attribute:: backup_tunnels
        
        	The set of fastreroute backup tunnels available in MPLS\-TE
        	**type**\:   :py:class:`BackupTunnels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.FastReroute.BackupTunnels>`
        
        .. attribute:: promotion
        
        	The info about the promotion timer of backup tunnels
        	**type**\:   :py:class:`Promotion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.FastReroute.Promotion>`
        
        .. attribute:: protected_interfaces
        
        	The set of fastreroute protected interfaces available in MPLS\-TE
        	**type**\:   :py:class:`ProtectedInterfaces <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.FastReroute.ProtectedInterfaces>`
        
        .. attribute:: protections
        
        	The set of fastreroute protected interfaces available in MPLS\-TE
        	**type**\:   :py:class:`Protections <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.FastReroute.Protections>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.backup_tunnels = MplsTe.FastReroute.BackupTunnels()
            self.backup_tunnels.parent = self
            self.promotion = MplsTe.FastReroute.Promotion()
            self.promotion.parent = self
            self.protected_interfaces = MplsTe.FastReroute.ProtectedInterfaces()
            self.protected_interfaces.parent = self
            self.protections = MplsTe.FastReroute.Protections()
            self.protections.parent = self


        class BackupTunnels(object):
            """
            The set of fastreroute backup tunnels available
            in MPLS\-TE
            
            .. attribute:: backup_tunnel
            
            	Fastreroute info for a given backup tunnel
            	**type**\: list of    :py:class:`BackupTunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.FastReroute.BackupTunnels.BackupTunnel>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.backup_tunnel = YList()
                self.backup_tunnel.parent = self
                self.backup_tunnel.name = 'backup_tunnel'


            class BackupTunnel(object):
                """
                Fastreroute info for a given backup tunnel
                
                .. attribute:: interface_name  <key>
                
                	Protected interface name
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: tunnel_name  <key>
                
                	Backup tunnel name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: backup_status
                
                	Backup state
                	**type**\:   :py:class:`MplsTeBackupStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBackupStatusEnum>`
                
                .. attribute:: backup_tunnel_id
                
                	Backup tunnel ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: backup_tunnel_name_xr
                
                	Backup tunnel name
                	**type**\:  str
                
                .. attribute:: backup_type
                
                	Backup type
                	**type**\:   :py:class:`MplsTeBackupEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBackupEnum>`
                
                .. attribute:: backup_usage
                
                	Backup usage
                	**type**\:   :py:class:`MplsTeBackupUsageEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBackupUsageEnum>`
                
                .. attribute:: bandwidth
                
                	Bandwidth (kbps)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: kbit/s
                
                .. attribute:: bandwidth_limit_type
                
                	Bandwidth limit type
                	**type**\:   :py:class:`MplsTeBwLimitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwLimitEnum>`
                
                .. attribute:: bandwidth_pool_type
                
                	Bandwidth pool type
                	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                
                .. attribute:: connection_status
                
                	Backup's connection's status
                	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                
                .. attribute:: destination_address
                
                	Backup's destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: frr_active_ls_ps
                
                	Number of LSPs in FRR active state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: frr_active_soft_preempted_ls_ps
                
                	Number of soft preempted LSPs routed over backup
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: general_status
                
                	Backup's general status
                	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                
                .. attribute:: has_attribute_set
                
                	TRUE if the auto\-backup has an attribute set defined
                	**type**\:  bool
                
                .. attribute:: in_use_bandwidth
                
                	Bandwidth currently in use (kbps)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: kbit/s
                
                .. attribute:: is_attribute_set_in_db
                
                	Flag to indicate the existence of attribute set found in database
                	**type**\:  bool
                
                .. attribute:: ls_ps
                
                	Number of LSPs
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: output_interface_name
                
                	The output intf of the tunnel
                	**type**\:  str
                
                .. attribute:: prot_interface_autobackup_config
                
                	Protected interface Autobackup config
                	**type**\:   :py:class:`AutoBackupProtectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AutoBackupProtectionEnum>`
                
                .. attribute:: prot_interface_srlg_config
                
                	Protected interface SRLG config
                	**type**\:   :py:class:`AutoBackupSrlgModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AutoBackupSrlgModeEnum>`
                
                .. attribute:: recreate_remaining_time
                
                	Time Remaining in Recreate Timer (seconds)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: recreate_timer_is_running
                
                	Indicates if the recreate timer is running
                	**type**\:  bool
                
                .. attribute:: s2_ls
                
                	Number of P2MP S2Ls
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: s2l_families
                
                	Number of S2L Families
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: soft_preempted_in_use_bandwidth
                
                	Bandwidth soft preempted and rerouted over the backup(kbps)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: kbit/s
                
                .. attribute:: source_address
                
                	Backup's source
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_attribute_set_name
                
                	Attribute Set Name
                	**type**\:  str
                
                .. attribute:: tunnel_instance
                
                	Tunnel instance
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.interface_name = None
                    self.tunnel_name = None
                    self.backup_status = None
                    self.backup_tunnel_id = None
                    self.backup_tunnel_name_xr = None
                    self.backup_type = None
                    self.backup_usage = None
                    self.bandwidth = None
                    self.bandwidth_limit_type = None
                    self.bandwidth_pool_type = None
                    self.connection_status = None
                    self.destination_address = None
                    self.frr_active_ls_ps = None
                    self.frr_active_soft_preempted_ls_ps = None
                    self.general_status = None
                    self.has_attribute_set = None
                    self.in_use_bandwidth = None
                    self.is_attribute_set_in_db = None
                    self.ls_ps = None
                    self.output_interface_name = None
                    self.prot_interface_autobackup_config = None
                    self.prot_interface_srlg_config = None
                    self.recreate_remaining_time = None
                    self.recreate_timer_is_running = None
                    self.s2_ls = None
                    self.s2l_families = None
                    self.soft_preempted_in_use_bandwidth = None
                    self.source_address = None
                    self.tunnel_attribute_set_name = None
                    self.tunnel_instance = None

                @property
                def _common_path(self):
                    if self.interface_name is None:
                        raise YPYModelError('Key property interface_name is None')
                    if self.tunnel_name is None:
                        raise YPYModelError('Key property tunnel_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:fast-reroute/Cisco-IOS-XR-mpls-te-oper:backup-tunnels/Cisco-IOS-XR-mpls-te-oper:backup-tunnel[Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-name = ' + str(self.tunnel_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.interface_name is not None:
                        return True

                    if self.tunnel_name is not None:
                        return True

                    if self.backup_status is not None:
                        return True

                    if self.backup_tunnel_id is not None:
                        return True

                    if self.backup_tunnel_name_xr is not None:
                        return True

                    if self.backup_type is not None:
                        return True

                    if self.backup_usage is not None:
                        return True

                    if self.bandwidth is not None:
                        return True

                    if self.bandwidth_limit_type is not None:
                        return True

                    if self.bandwidth_pool_type is not None:
                        return True

                    if self.connection_status is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.frr_active_ls_ps is not None:
                        return True

                    if self.frr_active_soft_preempted_ls_ps is not None:
                        return True

                    if self.general_status is not None:
                        return True

                    if self.has_attribute_set is not None:
                        return True

                    if self.in_use_bandwidth is not None:
                        return True

                    if self.is_attribute_set_in_db is not None:
                        return True

                    if self.ls_ps is not None:
                        return True

                    if self.output_interface_name is not None:
                        return True

                    if self.prot_interface_autobackup_config is not None:
                        return True

                    if self.prot_interface_srlg_config is not None:
                        return True

                    if self.recreate_remaining_time is not None:
                        return True

                    if self.recreate_timer_is_running is not None:
                        return True

                    if self.s2_ls is not None:
                        return True

                    if self.s2l_families is not None:
                        return True

                    if self.soft_preempted_in_use_bandwidth is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tunnel_attribute_set_name is not None:
                        return True

                    if self.tunnel_instance is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.FastReroute.BackupTunnels.BackupTunnel']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:fast-reroute/Cisco-IOS-XR-mpls-te-oper:backup-tunnels'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.backup_tunnel is not None:
                    for child_ref in self.backup_tunnel:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.FastReroute.BackupTunnels']['meta_info']


        class ProtectedInterfaces(object):
            """
            The set of fastreroute protected interfaces
            available in MPLS\-TE
            
            .. attribute:: protected_interface
            
            	Fastreroute info for a given protected interface
            	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.FastReroute.ProtectedInterfaces.ProtectedInterface>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.protected_interface = YList()
                self.protected_interface.parent = self
                self.protected_interface.name = 'protected_interface'


            class ProtectedInterface(object):
                """
                Fastreroute info for a given protected
                interface
                
                .. attribute:: backup_tunnel_name  <key>
                
                	Backup tunnel name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: interface_name  <key>
                
                	Protected interface name
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: backup_status
                
                	Backup state
                	**type**\:   :py:class:`MplsTeBackupStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBackupStatusEnum>`
                
                .. attribute:: backup_tunnel_id
                
                	Backup tunnel ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: backup_tunnel_name_xr
                
                	Backup tunnel name
                	**type**\:  str
                
                .. attribute:: backup_type
                
                	Backup type
                	**type**\:   :py:class:`MplsTeBackupEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBackupEnum>`
                
                .. attribute:: backup_usage
                
                	Backup usage
                	**type**\:   :py:class:`MplsTeBackupUsageEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBackupUsageEnum>`
                
                .. attribute:: bandwidth
                
                	Bandwidth (kbps)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: kbit/s
                
                .. attribute:: bandwidth_limit_type
                
                	Bandwidth limit type
                	**type**\:   :py:class:`MplsTeBwLimitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwLimitEnum>`
                
                .. attribute:: bandwidth_pool_type
                
                	Bandwidth pool type
                	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                
                .. attribute:: connection_status
                
                	Backup's connection's status
                	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                
                .. attribute:: destination_address
                
                	Backup's destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: frr_active_ls_ps
                
                	Number of LSPs in FRR active state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: frr_active_soft_preempted_ls_ps
                
                	Number of soft preempted LSPs routed over backup
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: general_status
                
                	Backup's general status
                	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                
                .. attribute:: has_attribute_set
                
                	TRUE if the auto\-backup has an attribute set defined
                	**type**\:  bool
                
                .. attribute:: in_use_bandwidth
                
                	Bandwidth currently in use (kbps)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: kbit/s
                
                .. attribute:: is_attribute_set_in_db
                
                	Flag to indicate the existence of attribute set found in database
                	**type**\:  bool
                
                .. attribute:: ls_ps
                
                	Number of LSPs
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: output_interface_name
                
                	The output intf of the tunnel
                	**type**\:  str
                
                .. attribute:: prot_interface_autobackup_config
                
                	Protected interface Autobackup config
                	**type**\:   :py:class:`AutoBackupProtectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AutoBackupProtectionEnum>`
                
                .. attribute:: prot_interface_srlg_config
                
                	Protected interface SRLG config
                	**type**\:   :py:class:`AutoBackupSrlgModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AutoBackupSrlgModeEnum>`
                
                .. attribute:: recreate_remaining_time
                
                	Time Remaining in Recreate Timer (seconds)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: recreate_timer_is_running
                
                	Indicates if the recreate timer is running
                	**type**\:  bool
                
                .. attribute:: s2_ls
                
                	Number of P2MP S2Ls
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: s2l_families
                
                	Number of S2L Families
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: soft_preempted_in_use_bandwidth
                
                	Bandwidth soft preempted and rerouted over the backup(kbps)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: kbit/s
                
                .. attribute:: source_address
                
                	Backup's source
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_attribute_set_name
                
                	Attribute Set Name
                	**type**\:  str
                
                .. attribute:: tunnel_instance
                
                	Tunnel instance
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.backup_tunnel_name = None
                    self.interface_name = None
                    self.backup_status = None
                    self.backup_tunnel_id = None
                    self.backup_tunnel_name_xr = None
                    self.backup_type = None
                    self.backup_usage = None
                    self.bandwidth = None
                    self.bandwidth_limit_type = None
                    self.bandwidth_pool_type = None
                    self.connection_status = None
                    self.destination_address = None
                    self.frr_active_ls_ps = None
                    self.frr_active_soft_preempted_ls_ps = None
                    self.general_status = None
                    self.has_attribute_set = None
                    self.in_use_bandwidth = None
                    self.is_attribute_set_in_db = None
                    self.ls_ps = None
                    self.output_interface_name = None
                    self.prot_interface_autobackup_config = None
                    self.prot_interface_srlg_config = None
                    self.recreate_remaining_time = None
                    self.recreate_timer_is_running = None
                    self.s2_ls = None
                    self.s2l_families = None
                    self.soft_preempted_in_use_bandwidth = None
                    self.source_address = None
                    self.tunnel_attribute_set_name = None
                    self.tunnel_instance = None

                @property
                def _common_path(self):
                    if self.backup_tunnel_name is None:
                        raise YPYModelError('Key property backup_tunnel_name is None')
                    if self.interface_name is None:
                        raise YPYModelError('Key property interface_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:fast-reroute/Cisco-IOS-XR-mpls-te-oper:protected-interfaces/Cisco-IOS-XR-mpls-te-oper:protected-interface[Cisco-IOS-XR-mpls-te-oper:backup-tunnel-name = ' + str(self.backup_tunnel_name) + '][Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.backup_tunnel_name is not None:
                        return True

                    if self.interface_name is not None:
                        return True

                    if self.backup_status is not None:
                        return True

                    if self.backup_tunnel_id is not None:
                        return True

                    if self.backup_tunnel_name_xr is not None:
                        return True

                    if self.backup_type is not None:
                        return True

                    if self.backup_usage is not None:
                        return True

                    if self.bandwidth is not None:
                        return True

                    if self.bandwidth_limit_type is not None:
                        return True

                    if self.bandwidth_pool_type is not None:
                        return True

                    if self.connection_status is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.frr_active_ls_ps is not None:
                        return True

                    if self.frr_active_soft_preempted_ls_ps is not None:
                        return True

                    if self.general_status is not None:
                        return True

                    if self.has_attribute_set is not None:
                        return True

                    if self.in_use_bandwidth is not None:
                        return True

                    if self.is_attribute_set_in_db is not None:
                        return True

                    if self.ls_ps is not None:
                        return True

                    if self.output_interface_name is not None:
                        return True

                    if self.prot_interface_autobackup_config is not None:
                        return True

                    if self.prot_interface_srlg_config is not None:
                        return True

                    if self.recreate_remaining_time is not None:
                        return True

                    if self.recreate_timer_is_running is not None:
                        return True

                    if self.s2_ls is not None:
                        return True

                    if self.s2l_families is not None:
                        return True

                    if self.soft_preempted_in_use_bandwidth is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tunnel_attribute_set_name is not None:
                        return True

                    if self.tunnel_instance is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.FastReroute.ProtectedInterfaces.ProtectedInterface']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:fast-reroute/Cisco-IOS-XR-mpls-te-oper:protected-interfaces'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.protected_interface is not None:
                    for child_ref in self.protected_interface:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.FastReroute.ProtectedInterfaces']['meta_info']


        class Protections(object):
            """
            The set of fastreroute protected interfaces
            available in MPLS\-TE
            
            .. attribute:: protection
            
            	Fastreroute info for a given protection interface
            	**type**\: list of    :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.FastReroute.Protections.Protection>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.protection = YList()
                self.protection.parent = self
                self.protection.name = 'protection'


            class Protection(object):
                """
                Fastreroute info for a given protection
                interface
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id  <key>
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lsp_id  <key>
                
                	LSP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: p2mp_id  <key>
                
                	P2MP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: session_type  <key>
                
                	Session Type
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: source_address  <key>
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: sub_group_id  <key>
                
                	Subgroup ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: sub_group_originator  <key>
                
                	Subgroup Orig ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id  <key>
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: admin_status
                
                	Tunnel Admin status
                	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                
                .. attribute:: backup_bandwidth
                
                	Backup bandwidth
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: backup_next_hop_address
                
                	S2L Nexthop of the backup tunnel
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: backup_status
                
                	Backup status
                	**type**\:   :py:class:`MplsTeBackupStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBackupStatusEnum>`
                
                .. attribute:: bandwidth_limit_type
                
                	Bandwidth limit type
                	**type**\:   :py:class:`MplsTeBwLimitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwLimitEnum>`
                
                .. attribute:: bandwidth_pool_type
                
                	Bandwidth pool type
                	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                
                .. attribute:: destination_address_xr
                
                	Destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id_xr
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: frr_output_interface
                
                	Output interface of bkup tunnel
                	**type**\:  str
                
                .. attribute:: frr_output_label
                
                	FRR output label
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: frr_output_tunnel_interface
                
                	FRR output tunnel intface
                	**type**\:  str
                
                .. attribute:: inbound_frr_state
                
                	Indicates inbound FRR state
                	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                
                .. attribute:: input_label
                
                	Input label
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_frr_requested
                
                	TRUE if frr protection is on
                	**type**\:  bool
                
                .. attribute:: is_p2mp_tunnel
                
                	Is P2P or P2MP Tunnel
                	**type**\:  bool
                
                .. attribute:: is_signalled
                
                	Indicates whether signalled
                	**type**\:  bool
                
                .. attribute:: lsp_bandwidth_type
                
                	LSP bandwidth type
                	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                
                .. attribute:: next_hop_address
                
                	Next hop
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: operation_status
                
                	Tunnel operational status
                	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                
                .. attribute:: original_input_interface
                
                	Input intface of the LSP
                	**type**\:  str
                
                .. attribute:: outbound_frr_state
                
                	Indicates outbound FRR state
                	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                
                .. attribute:: output_interface_lsp
                
                	Output intface of the LSP
                	**type**\:  str
                
                .. attribute:: output_label
                
                	Output label
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: p2mp_id_xr
                
                	S2L P2MP ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: previous_hop_address
                
                	Previous hop
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: role
                
                	Role of LSP
                	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                
                .. attribute:: sharing_type
                
                	Outgoing i/f Sharing type
                	**type**\:   :py:class:`MplsTeFrrSharingEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrSharingEnum>`
                
                .. attribute:: source_address_xr
                
                	Source
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: sub_group_id_xr
                
                	S2L Sub\-Group ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: sub_group_original_id
                
                	S2L Sub\-Group Originator ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id_xr
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_instance
                
                	Tunnel instance
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_name
                
                	Tunnel Name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.lsp_id = None
                    self.p2mp_id = None
                    self.session_type = None
                    self.source_address = None
                    self.sub_group_id = None
                    self.sub_group_originator = None
                    self.tunnel_id = None
                    self.admin_status = None
                    self.backup_bandwidth = None
                    self.backup_next_hop_address = None
                    self.backup_status = None
                    self.bandwidth_limit_type = None
                    self.bandwidth_pool_type = None
                    self.destination_address_xr = None
                    self.extended_tunnel_id_xr = None
                    self.frr_output_interface = None
                    self.frr_output_label = None
                    self.frr_output_tunnel_interface = None
                    self.inbound_frr_state = None
                    self.input_label = None
                    self.is_frr_requested = None
                    self.is_p2mp_tunnel = None
                    self.is_signalled = None
                    self.lsp_bandwidth_type = None
                    self.next_hop_address = None
                    self.operation_status = None
                    self.original_input_interface = None
                    self.outbound_frr_state = None
                    self.output_interface_lsp = None
                    self.output_label = None
                    self.p2mp_id_xr = None
                    self.previous_hop_address = None
                    self.role = None
                    self.sharing_type = None
                    self.source_address_xr = None
                    self.sub_group_id_xr = None
                    self.sub_group_original_id = None
                    self.tunnel_id_xr = None
                    self.tunnel_instance = None
                    self.tunnel_name = None

                @property
                def _common_path(self):
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.extended_tunnel_id is None:
                        raise YPYModelError('Key property extended_tunnel_id is None')
                    if self.lsp_id is None:
                        raise YPYModelError('Key property lsp_id is None')
                    if self.p2mp_id is None:
                        raise YPYModelError('Key property p2mp_id is None')
                    if self.session_type is None:
                        raise YPYModelError('Key property session_type is None')
                    if self.source_address is None:
                        raise YPYModelError('Key property source_address is None')
                    if self.sub_group_id is None:
                        raise YPYModelError('Key property sub_group_id is None')
                    if self.sub_group_originator is None:
                        raise YPYModelError('Key property sub_group_originator is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:fast-reroute/Cisco-IOS-XR-mpls-te-oper:protections/Cisco-IOS-XR-mpls-te-oper:protection[Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:extended-tunnel-id = ' + str(self.extended_tunnel_id) + '][Cisco-IOS-XR-mpls-te-oper:lsp-id = ' + str(self.lsp_id) + '][Cisco-IOS-XR-mpls-te-oper:p2mp-id = ' + str(self.p2mp_id) + '][Cisco-IOS-XR-mpls-te-oper:session-type = ' + str(self.session_type) + '][Cisco-IOS-XR-mpls-te-oper:source-address = ' + str(self.source_address) + '][Cisco-IOS-XR-mpls-te-oper:sub-group-id = ' + str(self.sub_group_id) + '][Cisco-IOS-XR-mpls-te-oper:sub-group-originator = ' + str(self.sub_group_originator) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.p2mp_id is not None:
                        return True

                    if self.session_type is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.sub_group_id is not None:
                        return True

                    if self.sub_group_originator is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.admin_status is not None:
                        return True

                    if self.backup_bandwidth is not None:
                        return True

                    if self.backup_next_hop_address is not None:
                        return True

                    if self.backup_status is not None:
                        return True

                    if self.bandwidth_limit_type is not None:
                        return True

                    if self.bandwidth_pool_type is not None:
                        return True

                    if self.destination_address_xr is not None:
                        return True

                    if self.extended_tunnel_id_xr is not None:
                        return True

                    if self.frr_output_interface is not None:
                        return True

                    if self.frr_output_label is not None:
                        return True

                    if self.frr_output_tunnel_interface is not None:
                        return True

                    if self.inbound_frr_state is not None:
                        return True

                    if self.input_label is not None:
                        return True

                    if self.is_frr_requested is not None:
                        return True

                    if self.is_p2mp_tunnel is not None:
                        return True

                    if self.is_signalled is not None:
                        return True

                    if self.lsp_bandwidth_type is not None:
                        return True

                    if self.next_hop_address is not None:
                        return True

                    if self.operation_status is not None:
                        return True

                    if self.original_input_interface is not None:
                        return True

                    if self.outbound_frr_state is not None:
                        return True

                    if self.output_interface_lsp is not None:
                        return True

                    if self.output_label is not None:
                        return True

                    if self.p2mp_id_xr is not None:
                        return True

                    if self.previous_hop_address is not None:
                        return True

                    if self.role is not None:
                        return True

                    if self.sharing_type is not None:
                        return True

                    if self.source_address_xr is not None:
                        return True

                    if self.sub_group_id_xr is not None:
                        return True

                    if self.sub_group_original_id is not None:
                        return True

                    if self.tunnel_id_xr is not None:
                        return True

                    if self.tunnel_instance is not None:
                        return True

                    if self.tunnel_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.FastReroute.Protections.Protection']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:fast-reroute/Cisco-IOS-XR-mpls-te-oper:protections'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.protection is not None:
                    for child_ref in self.protection:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.FastReroute.Protections']['meta_info']


        class Promotion(object):
            """
            The info about the promotion timer of backup
            tunnels
            
            .. attribute:: is_configured
            
            	Indicate if periodic promotion is configured 
            	**type**\:  bool
            
            .. attribute:: promotion_period
            
            	Promotion period in seconds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: remaining_time
            
            	Remaining time for next promotion in seconds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.is_configured = None
                self.promotion_period = None
                self.remaining_time = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:fast-reroute/Cisco-IOS-XR-mpls-te-oper:promotion'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.is_configured is not None:
                    return True

                if self.promotion_period is not None:
                    return True

                if self.remaining_time is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.FastReroute.Promotion']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:fast-reroute'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.backup_tunnels is not None and self.backup_tunnels._has_data():
                return True

            if self.promotion is not None and self.promotion._has_data():
                return True

            if self.protected_interfaces is not None and self.protected_interfaces._has_data():
                return True

            if self.protections is not None and self.protections._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.FastReroute']['meta_info']


    class AttributeSets(object):
        """
        AttributeSet information.
        
        .. attribute:: attribute_set
        
        	MPLS TE attribute\-set information
        	**type**\: list of    :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.attribute_set = YList()
            self.attribute_set.parent = self
            self.attribute_set.name = 'attribute_set'


        class AttributeSet(object):
            """
            MPLS TE attribute\-set information
            
            .. attribute:: attribute_set_name  <key>
            
            	Attribute Set Name
            	**type**\:  str
            
            	**length:** 1..64
            
            .. attribute:: attribute_set_type  <key>
            
            	Attribute Set Type
            	**type**\:   :py:class:`MplsTeAttrSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeAttrSetEnum>`
            
            .. attribute:: attribute_set_union
            
            	Union of Attribute Sets
            	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion>`
            
            .. attribute:: tunnel_attribute_set_name
            
            	Attribute Set Name
            	**type**\:  str
            
            .. attribute:: tunnel_attribute_set_name_crc32
            
            	Attribute Set name CRC32 value
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.attribute_set_name = None
                self.attribute_set_type = None
                self.attribute_set_union = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion()
                self.attribute_set_union.parent = self
                self.tunnel_attribute_set_name = None
                self.tunnel_attribute_set_name_crc32 = None


            class AttributeSetUnion(object):
                """
                Union of Attribute Sets
                
                .. attribute:: attribute_set_aps_pp
                
                	Attribute Set OTN APS Path Protection
                	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                
                .. attribute:: attribute_set_autobackup
                
                	MPLS TE Auto\-backup Attribute Set
                	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                
                .. attribute:: attribute_set_automesh
                
                	MPLS TE Auto\-mesh Attribute Set
                	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                
                .. attribute:: attribute_set_p2mpte
                
                	MPLS TE P2MP\-TE Attribute Set
                	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                
                .. attribute:: attribute_set_p2p_te
                
                	MPLS TE P2P\-TE Attribute Set
                	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                
                .. attribute:: attribute_set_path_option
                
                	MPLS TE Path Option Attribute Set
                	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                
                .. attribute:: attribute_set_xro
                
                	Attribute Set XRO
                	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                
                .. attribute:: tunnel_attribute_set_type
                
                	TunnelAttributeSetType
                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.attribute_set_aps_pp = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                    self.attribute_set_aps_pp.parent = self
                    self.attribute_set_autobackup = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                    self.attribute_set_autobackup.parent = self
                    self.attribute_set_automesh = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                    self.attribute_set_automesh.parent = self
                    self.attribute_set_p2mpte = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                    self.attribute_set_p2mpte.parent = self
                    self.attribute_set_p2p_te = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                    self.attribute_set_p2p_te.parent = self
                    self.attribute_set_path_option = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                    self.attribute_set_path_option.parent = self
                    self.attribute_set_xro = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro()
                    self.attribute_set_xro.parent = self
                    self.tunnel_attribute_set_type = None


                class AttributeSetPathOption(object):
                    """
                    MPLS TE Path Option Attribute Set
                    
                    .. attribute:: affinity
                    
                    	Affinity
                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                    
                    .. attribute:: bandwidth_type
                    
                    	The bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: bfd_reverse_path
                    
                    	BFD reverse path
                    	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                    
                    .. attribute:: configured_bandwidth
                    
                    	Bandwidth value in kbps
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: kbit/s
                    
                    .. attribute:: cost_limit
                    
                    	Cost limit on the tunnel path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: dste_class_type
                    
                    	DSTE Class
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: exclude_list_name
                    
                    	Exclude list name
                    	**type**\:  str
                    
                    .. attribute:: generation
                    
                    	Generation
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_affinity_configured
                    
                    	Is affinity configured
                    	**type**\:  bool
                    
                    .. attribute:: is_bandwidth_configured
                    
                    	Is bandwidth configured
                    	**type**\:  bool
                    
                    .. attribute:: is_bfd_reverse_pat_configured
                    
                    	Is BFD reverse path configured
                    	**type**\:  bool
                    
                    .. attribute:: is_cost_limit_configured
                    
                    	Is Cost Limit configured
                    	**type**\:  bool
                    
                    .. attribute:: is_exclude_list_name_configured
                    
                    	Is exclude list name configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_invalidation_action_configured
                    
                    	Is path invalidation action configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_invalidation_timeout_configured
                    
                    	Is path invalidation timeout configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pce_configured
                    
                    	Is PCE Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pce_disj_group_id_configured
                    
                    	Is PCE Disjoint Path Group ID Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pce_disj_source_configured
                    
                    	Is PCE Disjoint Path Source Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pce_disj_type_configured
                    
                    	Is PCE Disjoint Path Type Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pceb_dj_source_configured
                    
                    	Is PCE Bidirectional Source Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pcebd_group_id_configured
                    
                    	Is PCE Bidirectional Group ID Configured
                    	**type**\:  bool
                    
                    .. attribute:: path_invalidation_action
                    
                    	Path invalidation action
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_invalidation_timeout
                    
                    	Path invalidation interval on the tunnel path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pcebd_group_id
                    
                    	PCE Bidirectional Group ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pcebd_source_address
                    
                    	PCE Bidirectional Source Address
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pcedp_group_id
                    
                    	PCE Disjoint Path Group ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pcedp_source_address
                    
                    	PCE Disjoint Path Source Address
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pcedp_type
                    
                    	PCE Disjoint Path Type
                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                    
                    .. attribute:: tunnel_id
                    
                    	Tunnel ID
                    	**type**\:  list of int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: version_info
                    
                    	Version Info
                    	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.affinity = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                        self.affinity.parent = self
                        self.bandwidth_type = None
                        self.bfd_reverse_path = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                        self.bfd_reverse_path.parent = self
                        self.configured_bandwidth = None
                        self.cost_limit = None
                        self.dste_class_type = None
                        self.exclude_list_name = None
                        self.generation = None
                        self.is_affinity_configured = None
                        self.is_bandwidth_configured = None
                        self.is_bfd_reverse_pat_configured = None
                        self.is_cost_limit_configured = None
                        self.is_exclude_list_name_configured = None
                        self.is_path_invalidation_action_configured = None
                        self.is_path_invalidation_timeout_configured = None
                        self.is_pce_configured = None
                        self.is_pce_disj_group_id_configured = None
                        self.is_pce_disj_source_configured = None
                        self.is_pce_disj_type_configured = None
                        self.is_pceb_dj_source_configured = None
                        self.is_pcebd_group_id_configured = None
                        self.path_invalidation_action = None
                        self.path_invalidation_timeout = None
                        self.pcebd_group_id = None
                        self.pcebd_source_address = None
                        self.pcedp_group_id = None
                        self.pcedp_source_address = None
                        self.pcedp_type = None
                        self.tunnel_id = YLeafList()
                        self.tunnel_id.parent = self
                        self.tunnel_id.name = 'tunnel_id'
                        self.version_info = YList()
                        self.version_info.parent = self
                        self.version_info.name = 'version_info'


                    class Affinity(object):
                        """
                        Affinity
                        
                        .. attribute:: affinity_bits
                        
                        	The affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: affinity_mask
                        
                        	The affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: named_affinity
                        
                        	Array of name based constratints currently applied to the tunnel
                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.affinity_bits = None
                            self.affinity_mask = None
                            self.named_affinity = YList()
                            self.named_affinity.parent = self
                            self.named_affinity.name = 'named_affinity'


                        class NamedAffinity(object):
                            """
                            Array of name based constratints currently
                            applied to the tunnel
                            
                            .. attribute:: constraint_extended_value
                            
                            	Constraint value
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: constraint_type
                            
                            	Constraint type
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: constraint_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: extended_forward_ref_value
                            
                            	Reference bits for undefined affinity names
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: forward_ref_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.constraint_extended_value = YLeafList()
                                self.constraint_extended_value.parent = self
                                self.constraint_extended_value.name = 'constraint_extended_value'
                                self.constraint_type = None
                                self.constraint_value = None
                                self.extended_forward_ref_value = YLeafList()
                                self.extended_forward_ref_value.parent = self
                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                self.forward_ref_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.constraint_extended_value is not None:
                                    for child in self.constraint_extended_value:
                                        if child is not None:
                                            return True

                                if self.constraint_type is not None:
                                    return True

                                if self.constraint_value is not None:
                                    return True

                                if self.extended_forward_ref_value is not None:
                                    for child in self.extended_forward_ref_value:
                                        if child is not None:
                                            return True

                                if self.forward_ref_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.affinity_bits is not None:
                                return True

                            if self.affinity_mask is not None:
                                return True

                            if self.named_affinity is not None:
                                for child_ref in self.named_affinity:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                    class BfdReversePath(object):
                        """
                        BFD reverse path
                        
                        .. attribute:: binding_label
                        
                        	BFD reverse path binding label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_type
                        
                        	BFD reverse path type
                        	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.binding_label = None
                            self.path_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.binding_label is not None:
                                return True

                            if self.path_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                    class VersionInfo(object):
                        """
                        Version Info
                        
                        .. attribute:: attribute_type
                        
                        	Attribute Type
                        	**type**\:  str
                        
                        .. attribute:: generation
                        
                        	Generation
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: is_default
                        
                        	Is default
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.attribute_type = None
                            self.generation = None
                            self.is_default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.attribute_type is not None:
                                return True

                            if self.generation is not None:
                                return True

                            if self.is_default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.affinity is not None and self.affinity._has_data():
                            return True

                        if self.bandwidth_type is not None:
                            return True

                        if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                            return True

                        if self.configured_bandwidth is not None:
                            return True

                        if self.cost_limit is not None:
                            return True

                        if self.dste_class_type is not None:
                            return True

                        if self.exclude_list_name is not None:
                            return True

                        if self.generation is not None:
                            return True

                        if self.is_affinity_configured is not None:
                            return True

                        if self.is_bandwidth_configured is not None:
                            return True

                        if self.is_bfd_reverse_pat_configured is not None:
                            return True

                        if self.is_cost_limit_configured is not None:
                            return True

                        if self.is_exclude_list_name_configured is not None:
                            return True

                        if self.is_path_invalidation_action_configured is not None:
                            return True

                        if self.is_path_invalidation_timeout_configured is not None:
                            return True

                        if self.is_pce_configured is not None:
                            return True

                        if self.is_pce_disj_group_id_configured is not None:
                            return True

                        if self.is_pce_disj_source_configured is not None:
                            return True

                        if self.is_pce_disj_type_configured is not None:
                            return True

                        if self.is_pceb_dj_source_configured is not None:
                            return True

                        if self.is_pcebd_group_id_configured is not None:
                            return True

                        if self.path_invalidation_action is not None:
                            return True

                        if self.path_invalidation_timeout is not None:
                            return True

                        if self.pcebd_group_id is not None:
                            return True

                        if self.pcebd_source_address is not None:
                            return True

                        if self.pcedp_group_id is not None:
                            return True

                        if self.pcedp_source_address is not None:
                            return True

                        if self.pcedp_type is not None:
                            return True

                        if self.tunnel_id is not None:
                            for child in self.tunnel_id:
                                if child is not None:
                                    return True

                        if self.version_info is not None:
                            for child_ref in self.version_info:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                class AttributeSetAutobackup(object):
                    """
                    MPLS TE Auto\-backup Attribute Set
                    
                    .. attribute:: affinity
                    
                    	Affinity
                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                    
                    .. attribute:: hold_priority
                    
                    	Hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: is_affinity_configured
                    
                    	Is affinity configured
                    	**type**\:  bool
                    
                    .. attribute:: is_policyclass_configured
                    
                    	Is policy class configured
                    	**type**\:  bool
                    
                    .. attribute:: is_priority_configured
                    
                    	Is priority configured
                    	**type**\:  bool
                    
                    .. attribute:: is_signalled_name_configured
                    
                    	Is signalled name configured
                    	**type**\:  bool
                    
                    .. attribute:: logging
                    
                    	Logging attributes
                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                    
                    .. attribute:: policy_class
                    
                    	deprecated
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: policy_class_entry
                    
                    	PBTS policy classes
                    	**type**\:  list of int
                    
                    	**range:** 0..255
                    
                    .. attribute:: protected_interface
                    
                    	Array of Protected Interface Names
                    	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                    
                    .. attribute:: record_route
                    
                    	Record route
                    	**type**\:  bool
                    
                    .. attribute:: setup_priority
                    
                    	Setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: signalled_name
                    
                    	Signalled name
                    	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                    
                    .. attribute:: tunnel_id
                    
                    	Tunnel ID
                    	**type**\:  list of int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.affinity = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                        self.affinity.parent = self
                        self.hold_priority = None
                        self.is_affinity_configured = None
                        self.is_policyclass_configured = None
                        self.is_priority_configured = None
                        self.is_signalled_name_configured = None
                        self.logging = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                        self.logging.parent = self
                        self.policy_class = None
                        self.policy_class_entry = YLeafList()
                        self.policy_class_entry.parent = self
                        self.policy_class_entry.name = 'policy_class_entry'
                        self.protected_interface = YList()
                        self.protected_interface.parent = self
                        self.protected_interface.name = 'protected_interface'
                        self.record_route = None
                        self.setup_priority = None
                        self.signalled_name = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                        self.signalled_name.parent = self
                        self.tunnel_id = YLeafList()
                        self.tunnel_id.parent = self
                        self.tunnel_id.name = 'tunnel_id'


                    class SignalledName(object):
                        """
                        Signalled name
                        
                        .. attribute:: is_mp_addresses
                        
                        	MP address appended
                        	**type**\:  bool
                        
                        .. attribute:: name
                        
                        	Signalled name
                        	**type**\:  str
                        
                        .. attribute:: protected_interface_type
                        
                        	Protected interface address or name
                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                        
                        .. attribute:: source_type
                        
                        	Source address or name
                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.is_mp_addresses = None
                            self.name = None
                            self.protected_interface_type = None
                            self.source_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.is_mp_addresses is not None:
                                return True

                            if self.name is not None:
                                return True

                            if self.protected_interface_type is not None:
                                return True

                            if self.source_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                    class Affinity(object):
                        """
                        Affinity
                        
                        .. attribute:: affinity_bits
                        
                        	The affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: affinity_mask
                        
                        	The affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: named_affinity
                        
                        	Array of name based constratints currently applied to the tunnel
                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.affinity_bits = None
                            self.affinity_mask = None
                            self.named_affinity = YList()
                            self.named_affinity.parent = self
                            self.named_affinity.name = 'named_affinity'


                        class NamedAffinity(object):
                            """
                            Array of name based constratints currently
                            applied to the tunnel
                            
                            .. attribute:: constraint_extended_value
                            
                            	Constraint value
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: constraint_type
                            
                            	Constraint type
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: constraint_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: extended_forward_ref_value
                            
                            	Reference bits for undefined affinity names
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: forward_ref_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.constraint_extended_value = YLeafList()
                                self.constraint_extended_value.parent = self
                                self.constraint_extended_value.name = 'constraint_extended_value'
                                self.constraint_type = None
                                self.constraint_value = None
                                self.extended_forward_ref_value = YLeafList()
                                self.extended_forward_ref_value.parent = self
                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                self.forward_ref_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.constraint_extended_value is not None:
                                    for child in self.constraint_extended_value:
                                        if child is not None:
                                            return True

                                if self.constraint_type is not None:
                                    return True

                                if self.constraint_value is not None:
                                    return True

                                if self.extended_forward_ref_value is not None:
                                    for child in self.extended_forward_ref_value:
                                        if child is not None:
                                            return True

                                if self.forward_ref_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.affinity_bits is not None:
                                return True

                            if self.affinity_mask is not None:
                                return True

                            if self.named_affinity is not None:
                                for child_ref in self.named_affinity:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                    class Logging(object):
                        """
                        Logging attributes
                        
                        .. attribute:: all_logging_enabled
                        
                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_bandwidth_change
                        
                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_insufficient_bw
                        
                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_pcalc_failure_logging_enabled
                        
                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_re_opt
                        
                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_re_route
                        
                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_state
                        
                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: s2l_state
                        
                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.all_logging_enabled = None
                            self.lsp_bandwidth_change = None
                            self.lsp_insufficient_bw = None
                            self.lsp_pcalc_failure_logging_enabled = None
                            self.lsp_re_opt = None
                            self.lsp_re_route = None
                            self.lsp_state = None
                            self.s2l_state = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.all_logging_enabled is not None:
                                return True

                            if self.lsp_bandwidth_change is not None:
                                return True

                            if self.lsp_insufficient_bw is not None:
                                return True

                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                return True

                            if self.lsp_re_opt is not None:
                                return True

                            if self.lsp_re_route is not None:
                                return True

                            if self.lsp_state is not None:
                                return True

                            if self.s2l_state is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                    class ProtectedInterface(object):
                        """
                        Array of Protected Interface Names
                        
                        .. attribute:: protected_interface
                        
                        	Protected Interface Name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.protected_interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.protected_interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.affinity is not None and self.affinity._has_data():
                            return True

                        if self.hold_priority is not None:
                            return True

                        if self.is_affinity_configured is not None:
                            return True

                        if self.is_policyclass_configured is not None:
                            return True

                        if self.is_priority_configured is not None:
                            return True

                        if self.is_signalled_name_configured is not None:
                            return True

                        if self.logging is not None and self.logging._has_data():
                            return True

                        if self.policy_class is not None:
                            return True

                        if self.policy_class_entry is not None:
                            for child in self.policy_class_entry:
                                if child is not None:
                                    return True

                        if self.protected_interface is not None:
                            for child_ref in self.protected_interface:
                                if child_ref._has_data():
                                    return True

                        if self.record_route is not None:
                            return True

                        if self.setup_priority is not None:
                            return True

                        if self.signalled_name is not None and self.signalled_name._has_data():
                            return True

                        if self.tunnel_id is not None:
                            for child in self.tunnel_id:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                class AttributeSetAutomesh(object):
                    """
                    MPLS TE Auto\-mesh Attribute Set
                    
                    .. attribute:: affinity
                    
                    	Affinity
                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                    
                    .. attribute:: auto_bandwidth_collect
                    
                    	Auto bandwidth collect only
                    	**type**\:  bool
                    
                    .. attribute:: auto_route_announce
                    
                    	Announce auto route to IGP
                    	**type**\:  bool
                    
                    .. attribute:: bandwidth
                    
                    	IM bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: configured_bandwidth
                    
                    	Bandwidth value in kbps
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: kbit/s
                    
                    .. attribute:: dste_class_type
                    
                    	DSTE Class
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: fast_reroute
                    
                    	Fast reroute
                    	**type**\:  bool
                    
                    .. attribute:: forward_class
                    
                    	Forward class
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: frr_bandwidth_protection
                    
                    	FRR bandwidth protection
                    	**type**\:  bool
                    
                    .. attribute:: frr_node_protection
                    
                    	FRR Node protection
                    	**type**\:  bool
                    
                    .. attribute:: hold_priority
                    
                    	Hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: is_affinity_configured
                    
                    	Is affinity configured
                    	**type**\:  bool
                    
                    .. attribute:: is_bandwidth_configured
                    
                    	Is bandwidth configured
                    	**type**\:  bool
                    
                    .. attribute:: is_interface_bw_configured
                    
                    	Is Interface BW configured
                    	**type**\:  bool
                    
                    .. attribute:: is_policyclass_configured
                    
                    	Is policy class configured
                    	**type**\:  bool
                    
                    .. attribute:: is_priority_configured
                    
                    	Is priority configured
                    	**type**\:  bool
                    
                    .. attribute:: load_share
                    
                    	Load Share
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: logging
                    
                    	Logging attributes
                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                    
                    .. attribute:: mesh_group_id
                    
                    	Meshgroup ID
                    	**type**\:  list of int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: policy_class
                    
                    	deprecated
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: policy_class_entry
                    
                    	PBTS policy classes
                    	**type**\:  list of int
                    
                    	**range:** 0..255
                    
                    .. attribute:: record_route
                    
                    	Record route
                    	**type**\:  bool
                    
                    .. attribute:: setup_priority
                    
                    	Setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: soft_preemption_configured
                    
                    	Soft preemption is configured
                    	**type**\:  bool
                    
                    .. attribute:: tunnel_id
                    
                    	Tunnel ID
                    	**type**\:  list of int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.affinity = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                        self.affinity.parent = self
                        self.auto_bandwidth_collect = None
                        self.auto_route_announce = None
                        self.bandwidth = None
                        self.configured_bandwidth = None
                        self.dste_class_type = None
                        self.fast_reroute = None
                        self.forward_class = None
                        self.frr_bandwidth_protection = None
                        self.frr_node_protection = None
                        self.hold_priority = None
                        self.is_affinity_configured = None
                        self.is_bandwidth_configured = None
                        self.is_interface_bw_configured = None
                        self.is_policyclass_configured = None
                        self.is_priority_configured = None
                        self.load_share = None
                        self.logging = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                        self.logging.parent = self
                        self.mesh_group_id = YLeafList()
                        self.mesh_group_id.parent = self
                        self.mesh_group_id.name = 'mesh_group_id'
                        self.policy_class = None
                        self.policy_class_entry = YLeafList()
                        self.policy_class_entry.parent = self
                        self.policy_class_entry.name = 'policy_class_entry'
                        self.record_route = None
                        self.setup_priority = None
                        self.soft_preemption_configured = None
                        self.tunnel_id = YLeafList()
                        self.tunnel_id.parent = self
                        self.tunnel_id.name = 'tunnel_id'


                    class Affinity(object):
                        """
                        Affinity
                        
                        .. attribute:: affinity_bits
                        
                        	The affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: affinity_mask
                        
                        	The affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: named_affinity
                        
                        	Array of name based constratints currently applied to the tunnel
                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.affinity_bits = None
                            self.affinity_mask = None
                            self.named_affinity = YList()
                            self.named_affinity.parent = self
                            self.named_affinity.name = 'named_affinity'


                        class NamedAffinity(object):
                            """
                            Array of name based constratints currently
                            applied to the tunnel
                            
                            .. attribute:: constraint_extended_value
                            
                            	Constraint value
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: constraint_type
                            
                            	Constraint type
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: constraint_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: extended_forward_ref_value
                            
                            	Reference bits for undefined affinity names
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: forward_ref_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.constraint_extended_value = YLeafList()
                                self.constraint_extended_value.parent = self
                                self.constraint_extended_value.name = 'constraint_extended_value'
                                self.constraint_type = None
                                self.constraint_value = None
                                self.extended_forward_ref_value = YLeafList()
                                self.extended_forward_ref_value.parent = self
                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                self.forward_ref_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.constraint_extended_value is not None:
                                    for child in self.constraint_extended_value:
                                        if child is not None:
                                            return True

                                if self.constraint_type is not None:
                                    return True

                                if self.constraint_value is not None:
                                    return True

                                if self.extended_forward_ref_value is not None:
                                    for child in self.extended_forward_ref_value:
                                        if child is not None:
                                            return True

                                if self.forward_ref_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.affinity_bits is not None:
                                return True

                            if self.affinity_mask is not None:
                                return True

                            if self.named_affinity is not None:
                                for child_ref in self.named_affinity:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                    class Logging(object):
                        """
                        Logging attributes
                        
                        .. attribute:: all_logging_enabled
                        
                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_bandwidth_change
                        
                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_insufficient_bw
                        
                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_pcalc_failure_logging_enabled
                        
                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_re_opt
                        
                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_re_route
                        
                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_state
                        
                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: s2l_state
                        
                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.all_logging_enabled = None
                            self.lsp_bandwidth_change = None
                            self.lsp_insufficient_bw = None
                            self.lsp_pcalc_failure_logging_enabled = None
                            self.lsp_re_opt = None
                            self.lsp_re_route = None
                            self.lsp_state = None
                            self.s2l_state = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.all_logging_enabled is not None:
                                return True

                            if self.lsp_bandwidth_change is not None:
                                return True

                            if self.lsp_insufficient_bw is not None:
                                return True

                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                return True

                            if self.lsp_re_opt is not None:
                                return True

                            if self.lsp_re_route is not None:
                                return True

                            if self.lsp_state is not None:
                                return True

                            if self.s2l_state is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.affinity is not None and self.affinity._has_data():
                            return True

                        if self.auto_bandwidth_collect is not None:
                            return True

                        if self.auto_route_announce is not None:
                            return True

                        if self.bandwidth is not None:
                            return True

                        if self.configured_bandwidth is not None:
                            return True

                        if self.dste_class_type is not None:
                            return True

                        if self.fast_reroute is not None:
                            return True

                        if self.forward_class is not None:
                            return True

                        if self.frr_bandwidth_protection is not None:
                            return True

                        if self.frr_node_protection is not None:
                            return True

                        if self.hold_priority is not None:
                            return True

                        if self.is_affinity_configured is not None:
                            return True

                        if self.is_bandwidth_configured is not None:
                            return True

                        if self.is_interface_bw_configured is not None:
                            return True

                        if self.is_policyclass_configured is not None:
                            return True

                        if self.is_priority_configured is not None:
                            return True

                        if self.load_share is not None:
                            return True

                        if self.logging is not None and self.logging._has_data():
                            return True

                        if self.mesh_group_id is not None:
                            for child in self.mesh_group_id:
                                if child is not None:
                                    return True

                        if self.policy_class is not None:
                            return True

                        if self.policy_class_entry is not None:
                            for child in self.policy_class_entry:
                                if child is not None:
                                    return True

                        if self.record_route is not None:
                            return True

                        if self.setup_priority is not None:
                            return True

                        if self.soft_preemption_configured is not None:
                            return True

                        if self.tunnel_id is not None:
                            for child in self.tunnel_id:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                class AttributeSetXro(object):
                    """
                    Attribute Set XRO
                    
                    .. attribute:: xro
                    
                    	The XRO specified by this attribute\-set
                    	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.xro = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                        self.xro.parent = self


                    class Xro(object):
                        """
                        The XRO specified by this attribute\-set
                        
                        .. attribute:: mutual_diversity_flag
                        
                        	Mutual Diversity Flag
                        	**type**\:  bool
                        
                        .. attribute:: xro_subobject
                        
                        	List of XRO sub\-objects
                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.mutual_diversity_flag = None
                            self.xro_subobject = YList()
                            self.xro_subobject.parent = self
                            self.xro_subobject.name = 'xro_subobject'


                        class XroSubobject(object):
                            """
                            List of XRO sub\-objects
                            
                            .. attribute:: as_subobject
                            
                            	AS sub\-object
                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                            
                            .. attribute:: ipv4_subobject
                            
                            	IPv4 sub\-object
                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                            
                            .. attribute:: ipv6_subobject
                            
                            	IPv6 sub\-object
                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                            
                            .. attribute:: lsp_subobject
                            
                            	P2P LSP sub\-object
                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                            
                            .. attribute:: srlg_subobject
                            
                            	SRLG sub\-object
                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                            
                            .. attribute:: unnumbered_subobject
                            
                            	Unnumbered sub\-object
                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.as_subobject = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                self.as_subobject.parent = self
                                self.ipv4_subobject = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                self.ipv4_subobject.parent = self
                                self.ipv6_subobject = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                self.ipv6_subobject.parent = self
                                self.lsp_subobject = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                self.lsp_subobject.parent = self
                                self.srlg_subobject = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                self.srlg_subobject.parent = self
                                self.type = None
                                self.unnumbered_subobject = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                self.unnumbered_subobject.parent = self


                            class Ipv4Subobject(object):
                                """
                                IPv4 sub\-object
                                
                                .. attribute:: address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: attribute
                                
                                	Attribute
                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: prefix_len
                                
                                	Prefix length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None
                                    self.attribute = None
                                    self.exclusion_type = None
                                    self.prefix_len = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.address is not None:
                                        return True

                                    if self.attribute is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.prefix_len is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                            class Ipv6Subobject(object):
                                """
                                IPv6 sub\-object
                                
                                .. attribute:: address
                                
                                	IPv6 address
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: attribute
                                
                                	Attribute
                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: prefix_len
                                
                                	Prefix length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None
                                    self.attribute = None
                                    self.exclusion_type = None
                                    self.prefix_len = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.address is not None:
                                        return True

                                    if self.attribute is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.prefix_len is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                            class UnnumberedSubobject(object):
                                """
                                Unnumbered sub\-object
                                
                                .. attribute:: attribute
                                
                                	Attribute
                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: interface_id
                                
                                	Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: te_router_id
                                
                                	TE router\-id
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute = None
                                    self.exclusion_type = None
                                    self.interface_id = None
                                    self.te_router_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    if self.te_router_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                            class AsSubobject(object):
                                """
                                AS sub\-object
                                
                                .. attribute:: as_number
                                
                                	Autonomous System number
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_number = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_number is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                            class SrlgSubobject(object):
                                """
                                SRLG sub\-object
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: srlg_id
                                
                                	SRLG ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.exclusion_type = None
                                    self.srlg_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.exclusion_type is not None:
                                        return True

                                    if self.srlg_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                            class LspSubobject(object):
                                """
                                P2P LSP sub\-object
                                
                                .. attribute:: destination_node_exception
                                
                                	Destination\-node exception flag
                                	**type**\:  bool
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: fec
                                
                                	LSP FEC
                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                
                                .. attribute:: ignore_lsp_id
                                
                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                	**type**\:  bool
                                
                                .. attribute:: penultimate_node_exception
                                
                                	Penultimate\-node exception flag
                                	**type**\:  bool
                                
                                .. attribute:: processing_node_exception
                                
                                	Processing\-node exception flag
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.destination_node_exception = None
                                    self.exclusion_type = None
                                    self.fec = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                    self.fec.parent = self
                                    self.ignore_lsp_id = None
                                    self.penultimate_node_exception = None
                                    self.processing_node_exception = None


                                class Fec(object):
                                    """
                                    LSP FEC
                                    
                                    .. attribute:: fec_destination_info
                                    
                                    	Destination or P2MP ID
                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                    
                                    .. attribute:: fec_extended_tunnel_id
                                    
                                    	Extended tunnel ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: fec_lsp_id
                                    
                                    	LSP ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: fec_source
                                    
                                    	Tunnel source address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: fec_tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: fec_vrf
                                    
                                    	VRF; currently only for GMPLS tunnels
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.fec_destination_info = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                        self.fec_destination_info.parent = self
                                        self.fec_extended_tunnel_id = None
                                        self.fec_lsp_id = None
                                        self.fec_source = None
                                        self.fec_tunnel_id = None
                                        self.fec_vrf = None


                                    class FecDestinationInfo(object):
                                        """
                                        Destination or P2MP ID
                                        
                                        .. attribute:: fec_ctype
                                        
                                        	FEC CType
                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                        
                                        .. attribute:: fec_destination_p2mp_id
                                        
                                        	P2MP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: p2p_lsp_destination
                                        
                                        	P2P LSP destination
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_ctype = None
                                            self.fec_destination_p2mp_id = None
                                            self.p2p_lsp_destination = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_ctype is not None:
                                                return True

                                            if self.fec_destination_p2mp_id is not None:
                                                return True

                                            if self.p2p_lsp_destination is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                            return True

                                        if self.fec_extended_tunnel_id is not None:
                                            return True

                                        if self.fec_lsp_id is not None:
                                            return True

                                        if self.fec_source is not None:
                                            return True

                                        if self.fec_tunnel_id is not None:
                                            return True

                                        if self.fec_vrf is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.destination_node_exception is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.fec is not None and self.fec._has_data():
                                        return True

                                    if self.ignore_lsp_id is not None:
                                        return True

                                    if self.penultimate_node_exception is not None:
                                        return True

                                    if self.processing_node_exception is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.as_subobject is not None and self.as_subobject._has_data():
                                    return True

                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                    return True

                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                    return True

                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                    return True

                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                    return True

                                if self.type is not None:
                                    return True

                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.mutual_diversity_flag is not None:
                                return True

                            if self.xro_subobject is not None:
                                for child_ref in self.xro_subobject:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.xro is not None and self.xro._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                class AttributeSetP2Mpte(object):
                    """
                    MPLS TE P2MP\-TE Attribute Set
                    
                    .. attribute:: affinity
                    
                    	Affinity
                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                    
                    .. attribute:: configured_bandwidth
                    
                    	Bandwidth value in kbps
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: kbit/s
                    
                    .. attribute:: dste_class_type
                    
                    	DSTE Class
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: fast_reroute
                    
                    	Fast reroute
                    	**type**\:  bool
                    
                    .. attribute:: frr_bandwidth_protection
                    
                    	FRR bandwidth protection
                    	**type**\:  bool
                    
                    .. attribute:: hold_priority
                    
                    	Hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: is_affinity_configured
                    
                    	Is affinity configured
                    	**type**\:  bool
                    
                    .. attribute:: is_bandwidth_configured
                    
                    	Is bandwidth configured
                    	**type**\:  bool
                    
                    .. attribute:: is_priority_configured
                    
                    	Is priority configured
                    	**type**\:  bool
                    
                    .. attribute:: setup_priority
                    
                    	Setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: tunnel_id
                    
                    	Tunnel ID
                    	**type**\:  list of int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.affinity = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                        self.affinity.parent = self
                        self.configured_bandwidth = None
                        self.dste_class_type = None
                        self.fast_reroute = None
                        self.frr_bandwidth_protection = None
                        self.hold_priority = None
                        self.is_affinity_configured = None
                        self.is_bandwidth_configured = None
                        self.is_priority_configured = None
                        self.setup_priority = None
                        self.tunnel_id = YLeafList()
                        self.tunnel_id.parent = self
                        self.tunnel_id.name = 'tunnel_id'


                    class Affinity(object):
                        """
                        Affinity
                        
                        .. attribute:: affinity_bits
                        
                        	The affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: affinity_mask
                        
                        	The affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: named_affinity
                        
                        	Array of name based constratints currently applied to the tunnel
                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.affinity_bits = None
                            self.affinity_mask = None
                            self.named_affinity = YList()
                            self.named_affinity.parent = self
                            self.named_affinity.name = 'named_affinity'


                        class NamedAffinity(object):
                            """
                            Array of name based constratints currently
                            applied to the tunnel
                            
                            .. attribute:: constraint_extended_value
                            
                            	Constraint value
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: constraint_type
                            
                            	Constraint type
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: constraint_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: extended_forward_ref_value
                            
                            	Reference bits for undefined affinity names
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: forward_ref_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.constraint_extended_value = YLeafList()
                                self.constraint_extended_value.parent = self
                                self.constraint_extended_value.name = 'constraint_extended_value'
                                self.constraint_type = None
                                self.constraint_value = None
                                self.extended_forward_ref_value = YLeafList()
                                self.extended_forward_ref_value.parent = self
                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                self.forward_ref_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.constraint_extended_value is not None:
                                    for child in self.constraint_extended_value:
                                        if child is not None:
                                            return True

                                if self.constraint_type is not None:
                                    return True

                                if self.constraint_value is not None:
                                    return True

                                if self.extended_forward_ref_value is not None:
                                    for child in self.extended_forward_ref_value:
                                        if child is not None:
                                            return True

                                if self.forward_ref_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.affinity_bits is not None:
                                return True

                            if self.affinity_mask is not None:
                                return True

                            if self.named_affinity is not None:
                                for child_ref in self.named_affinity:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.affinity is not None and self.affinity._has_data():
                            return True

                        if self.configured_bandwidth is not None:
                            return True

                        if self.dste_class_type is not None:
                            return True

                        if self.fast_reroute is not None:
                            return True

                        if self.frr_bandwidth_protection is not None:
                            return True

                        if self.hold_priority is not None:
                            return True

                        if self.is_affinity_configured is not None:
                            return True

                        if self.is_bandwidth_configured is not None:
                            return True

                        if self.is_priority_configured is not None:
                            return True

                        if self.setup_priority is not None:
                            return True

                        if self.tunnel_id is not None:
                            for child in self.tunnel_id:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                class AttributeSetApsPp(object):
                    """
                    Attribute Set OTN APS Path Protection
                    
                    .. attribute:: hold_off_time
                    
                    	Hold\-off time
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_prot_profile_type
                    
                    	Path Protection Profile Type
                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                    
                    .. attribute:: protection_mode
                    
                    	Protection Restoration Mode
                    	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                    
                    .. attribute:: protection_type
                    
                    	Protection Type
                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                    
                    .. attribute:: restoration_style
                    
                    	Restoration Style
                    	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                    
                    .. attribute:: revert_schedule
                    
                    	Revert Schedule
                    	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                    
                    .. attribute:: snc_mode
                    
                    	Sub\-network Connection Mode
                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                    
                    .. attribute:: tcm_id
                    
                    	Sub\-network Connection Monitoring Mode
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: wait_to_restore_time
                    
                    	Wait to restore time
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.hold_off_time = None
                        self.path_prot_profile_type = None
                        self.protection_mode = None
                        self.protection_type = None
                        self.restoration_style = None
                        self.revert_schedule = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                        self.revert_schedule.parent = self
                        self.snc_mode = None
                        self.tcm_id = None
                        self.wait_to_restore_time = None


                    class RevertSchedule(object):
                        """
                        Revert Schedule
                        
                        .. attribute:: duration
                        
                        	Duration for scheduled reversion
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: max_tries
                        
                        	Max tries for scheduled reversion
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: schedule_date
                        
                        	Schedule time for reversion
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: schedule_frequency
                        
                        	Schedule frequency for reversion
                        	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                        
                        .. attribute:: schedulename
                        
                        	Schedule name identifier
                        	**type**\:  str
                        
                        	**length:** 0..255
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.duration = None
                            self.max_tries = None
                            self.schedule_date = None
                            self.schedule_frequency = None
                            self.schedulename = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.duration is not None:
                                return True

                            if self.max_tries is not None:
                                return True

                            if self.schedule_date is not None:
                                return True

                            if self.schedule_frequency is not None:
                                return True

                            if self.schedulename is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.hold_off_time is not None:
                            return True

                        if self.path_prot_profile_type is not None:
                            return True

                        if self.protection_mode is not None:
                            return True

                        if self.protection_type is not None:
                            return True

                        if self.restoration_style is not None:
                            return True

                        if self.revert_schedule is not None and self.revert_schedule._has_data():
                            return True

                        if self.snc_mode is not None:
                            return True

                        if self.tcm_id is not None:
                            return True

                        if self.wait_to_restore_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                class AttributeSetP2PTe(object):
                    """
                    MPLS TE P2P\-TE Attribute Set
                    
                    .. attribute:: affinity
                    
                    	Affinity
                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                    
                    .. attribute:: is_affinity_configured
                    
                    	Is affinity configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_invalidation_action_configured
                    
                    	Is Path Invalidation action configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_invalidation_timeout_configured
                    
                    	Is Path Invalidation timeout configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_select_configured
                    
                    	Is any of the path selection parameters configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_selection_metric_configured
                    
                    	Is path selection metric configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                    
                    	Is path selection segment routing configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_selection_segment_routing_margin_configured
                    
                    	Is path selection margin configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_selection_segment_routing_margin_relative
                    
                    	Path selection margin is\_relative
                    	**type**\:  bool
                    
                    .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                    
                    	Is path selection segment limit configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pce_configured
                    
                    	Is PCE Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pce_disj_group_id_configured
                    
                    	Is PCE Disjoint Path Group ID Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pce_disj_source_configured
                    
                    	Is PCE Disjoint Path Source Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pce_disj_type_configured
                    
                    	Is PCE Disjoint Path Type Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pceb_dj_source_configured
                    
                    	Is PCE Bidirectional Source Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pcebd_group_id_configured
                    
                    	Is PCE Bidirectional Group ID Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_prepend_list_configured
                    
                    	Is SR prepend list configured
                    	**type**\:  bool
                    
                    .. attribute:: logging
                    
                    	Logging attributes
                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                    
                    .. attribute:: path_invalidation_timeout
                    
                    	Path invalidation timeout on the tunnel path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_selection_invalidation_action
                    
                    	Path invalidation action
                    	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                    
                    .. attribute:: path_selection_metric
                    
                    	Path selection metric type
                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                    
                    .. attribute:: path_selection_segment_routing_adjacency_protection
                    
                    	Path selection segment\-routing type
                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                    
                    .. attribute:: path_selection_segment_routing_margin
                    
                    	Path selection margin
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_selection_segment_routing_segment_limit
                    
                    	Is path selection segment limit configured
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pcebd_group_id
                    
                    	PCE Bidirectional Group ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pcebd_source_address
                    
                    	PCE Bidirectional Source Address
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pcedp_group_id
                    
                    	PCE Disjoint Path Group ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pcedp_source_address
                    
                    	PCE Disjoint Path Source Address
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pcedp_type
                    
                    	PCE Disjoint Path Type
                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                    
                    .. attribute:: prepend_list
                    
                    	SR prepend list
                    	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                    
                    .. attribute:: tunnel_id
                    
                    	Tunnel ID
                    	**type**\:  list of int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.affinity = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                        self.affinity.parent = self
                        self.is_affinity_configured = None
                        self.is_path_invalidation_action_configured = None
                        self.is_path_invalidation_timeout_configured = None
                        self.is_path_select_configured = None
                        self.is_path_selection_metric_configured = None
                        self.is_path_selection_segment_routing_adjacency_protection_configured = None
                        self.is_path_selection_segment_routing_margin_configured = None
                        self.is_path_selection_segment_routing_margin_relative = None
                        self.is_path_selection_segment_routing_segment_limit_configured = None
                        self.is_pce_configured = None
                        self.is_pce_disj_group_id_configured = None
                        self.is_pce_disj_source_configured = None
                        self.is_pce_disj_type_configured = None
                        self.is_pceb_dj_source_configured = None
                        self.is_pcebd_group_id_configured = None
                        self.is_prepend_list_configured = None
                        self.logging = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                        self.logging.parent = self
                        self.path_invalidation_timeout = None
                        self.path_selection_invalidation_action = None
                        self.path_selection_metric = None
                        self.path_selection_segment_routing_adjacency_protection = None
                        self.path_selection_segment_routing_margin = None
                        self.path_selection_segment_routing_segment_limit = None
                        self.pcebd_group_id = None
                        self.pcebd_source_address = None
                        self.pcedp_group_id = None
                        self.pcedp_source_address = None
                        self.pcedp_type = None
                        self.prepend_list = MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                        self.prepend_list.parent = self
                        self.tunnel_id = YLeafList()
                        self.tunnel_id.parent = self
                        self.tunnel_id.name = 'tunnel_id'


                    class Affinity(object):
                        """
                        Affinity
                        
                        .. attribute:: affinity_bits
                        
                        	The affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: affinity_mask
                        
                        	The affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: named_affinity
                        
                        	Array of name based constratints currently applied to the tunnel
                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.affinity_bits = None
                            self.affinity_mask = None
                            self.named_affinity = YList()
                            self.named_affinity.parent = self
                            self.named_affinity.name = 'named_affinity'


                        class NamedAffinity(object):
                            """
                            Array of name based constratints currently
                            applied to the tunnel
                            
                            .. attribute:: constraint_extended_value
                            
                            	Constraint value
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: constraint_type
                            
                            	Constraint type
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: constraint_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: extended_forward_ref_value
                            
                            	Reference bits for undefined affinity names
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: forward_ref_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.constraint_extended_value = YLeafList()
                                self.constraint_extended_value.parent = self
                                self.constraint_extended_value.name = 'constraint_extended_value'
                                self.constraint_type = None
                                self.constraint_value = None
                                self.extended_forward_ref_value = YLeafList()
                                self.extended_forward_ref_value.parent = self
                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                self.forward_ref_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.constraint_extended_value is not None:
                                    for child in self.constraint_extended_value:
                                        if child is not None:
                                            return True

                                if self.constraint_type is not None:
                                    return True

                                if self.constraint_value is not None:
                                    return True

                                if self.extended_forward_ref_value is not None:
                                    for child in self.extended_forward_ref_value:
                                        if child is not None:
                                            return True

                                if self.forward_ref_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.affinity_bits is not None:
                                return True

                            if self.affinity_mask is not None:
                                return True

                            if self.named_affinity is not None:
                                for child_ref in self.named_affinity:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                    class Logging(object):
                        """
                        Logging attributes
                        
                        .. attribute:: all_logging_enabled
                        
                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_bandwidth_change
                        
                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_insufficient_bw
                        
                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_pcalc_failure_logging_enabled
                        
                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_re_opt
                        
                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_re_route
                        
                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_state
                        
                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: s2l_state
                        
                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.all_logging_enabled = None
                            self.lsp_bandwidth_change = None
                            self.lsp_insufficient_bw = None
                            self.lsp_pcalc_failure_logging_enabled = None
                            self.lsp_re_opt = None
                            self.lsp_re_route = None
                            self.lsp_state = None
                            self.s2l_state = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.all_logging_enabled is not None:
                                return True

                            if self.lsp_bandwidth_change is not None:
                                return True

                            if self.lsp_insufficient_bw is not None:
                                return True

                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                return True

                            if self.lsp_re_opt is not None:
                                return True

                            if self.lsp_re_route is not None:
                                return True

                            if self.lsp_state is not None:
                                return True

                            if self.s2l_state is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                    class PrependList(object):
                        """
                        SR prepend list
                        
                        .. attribute:: prepend_entry
                        
                        	List of prepend entries
                        	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.prepend_entry = YList()
                            self.prepend_entry.parent = self
                            self.prepend_entry.name = 'prepend_entry'


                        class PrependEntry(object):
                            """
                            List of prepend entries
                            
                            .. attribute:: index
                            
                            	Prepend index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: next_label
                            
                            	Prepend next label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: type
                            
                            	Prepend Type
                            	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.index = None
                                self.next_label = None
                                self.type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.index is not None:
                                    return True

                                if self.next_label is not None:
                                    return True

                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.prepend_entry is not None:
                                for child_ref in self.prepend_entry:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.affinity is not None and self.affinity._has_data():
                            return True

                        if self.is_affinity_configured is not None:
                            return True

                        if self.is_path_invalidation_action_configured is not None:
                            return True

                        if self.is_path_invalidation_timeout_configured is not None:
                            return True

                        if self.is_path_select_configured is not None:
                            return True

                        if self.is_path_selection_metric_configured is not None:
                            return True

                        if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                            return True

                        if self.is_path_selection_segment_routing_margin_configured is not None:
                            return True

                        if self.is_path_selection_segment_routing_margin_relative is not None:
                            return True

                        if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                            return True

                        if self.is_pce_configured is not None:
                            return True

                        if self.is_pce_disj_group_id_configured is not None:
                            return True

                        if self.is_pce_disj_source_configured is not None:
                            return True

                        if self.is_pce_disj_type_configured is not None:
                            return True

                        if self.is_pceb_dj_source_configured is not None:
                            return True

                        if self.is_pcebd_group_id_configured is not None:
                            return True

                        if self.is_prepend_list_configured is not None:
                            return True

                        if self.logging is not None and self.logging._has_data():
                            return True

                        if self.path_invalidation_timeout is not None:
                            return True

                        if self.path_selection_invalidation_action is not None:
                            return True

                        if self.path_selection_metric is not None:
                            return True

                        if self.path_selection_segment_routing_adjacency_protection is not None:
                            return True

                        if self.path_selection_segment_routing_margin is not None:
                            return True

                        if self.path_selection_segment_routing_segment_limit is not None:
                            return True

                        if self.pcebd_group_id is not None:
                            return True

                        if self.pcebd_source_address is not None:
                            return True

                        if self.pcedp_group_id is not None:
                            return True

                        if self.pcedp_source_address is not None:
                            return True

                        if self.pcedp_type is not None:
                            return True

                        if self.prepend_list is not None and self.prepend_list._has_data():
                            return True

                        if self.tunnel_id is not None:
                            for child in self.tunnel_id:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                        return True

                    if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                        return True

                    if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                        return True

                    if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                        return True

                    if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                        return True

                    if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                        return True

                    if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                        return True

                    if self.tunnel_attribute_set_type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion']['meta_info']

            @property
            def _common_path(self):
                if self.attribute_set_name is None:
                    raise YPYModelError('Key property attribute_set_name is None')
                if self.attribute_set_type is None:
                    raise YPYModelError('Key property attribute_set_type is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:attribute-sets/Cisco-IOS-XR-mpls-te-oper:attribute-set[Cisco-IOS-XR-mpls-te-oper:attribute-set-name = ' + str(self.attribute_set_name) + '][Cisco-IOS-XR-mpls-te-oper:attribute-set-type = ' + str(self.attribute_set_type) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.attribute_set_name is not None:
                    return True

                if self.attribute_set_type is not None:
                    return True

                if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                    return True

                if self.tunnel_attribute_set_name is not None:
                    return True

                if self.tunnel_attribute_set_name_crc32 is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.AttributeSets.AttributeSet']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:attribute-sets'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.attribute_set is not None:
                for child_ref in self.attribute_set:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.AttributeSets']['meta_info']


    class IgpAreaBriefs(object):
        """
        The set of IGP\-areas known to MPLS\-TE
        
        .. attribute:: igp_area_brief
        
        	An IGP instance Brief info
        	**type**\: list of    :py:class:`IgpAreaBrief <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.IgpAreaBriefs.IgpAreaBrief>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.igp_area_brief = YList()
            self.igp_area_brief.parent = self
            self.igp_area_brief.name = 'igp_area_brief'


        class IgpAreaBrief(object):
            """
            An IGP instance Brief info
            
            .. attribute:: process_tag  <key>
            
            	IGP Process Tag
            	**type**\:  str
            
            	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
            
            .. attribute:: protocol  <key>
            
            	The IGP protocol
            	**type**\:   :py:class:`MplsTeIgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeIgpProtocolEnum>`
            
            .. attribute:: area
            
            	IGP area information
            	**type**\: list of    :py:class:`Area <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.IgpAreaBriefs.IgpAreaBrief.Area>`
            
            .. attribute:: configured_te_router_id
            
            	Configured TE router\-id
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: connection_down_count
            
            	Number of times IGP connection has gone down
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: connection_up_count
            
            	Number of times IGP connection has gone up
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: global_router_id
            
            	Global router\-id
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: globall_router_id_optical
            
            	Global router\-id for GMPLS (optical TE)
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: igp_system_id
            
            	 The IGP instance's system/router\-id; interpret appropriately depending on IGP type
            	**type**\:  str
            
            .. attribute:: igp_type
            
            	IGP type
            	**type**\:   :py:class:`IgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpProtocolEnum>`
            
            .. attribute:: in_use_te_router_id
            
            	TE router\-id in use
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: instance_name
            
            	 The IGP instance name
            	**type**\:  str
            
            .. attribute:: is_connection_up
            
            	Flag to indicate whether the IGP connection is open or not
            	**type**\:  bool
            
            .. attribute:: secondary_router_id
            
            	Secondary router\-ids
            	**type**\:  list of str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.process_tag = None
                self.protocol = None
                self.area = YList()
                self.area.parent = self
                self.area.name = 'area'
                self.configured_te_router_id = None
                self.connection_down_count = None
                self.connection_up_count = None
                self.global_router_id = None
                self.globall_router_id_optical = None
                self.igp_system_id = None
                self.igp_type = None
                self.in_use_te_router_id = None
                self.instance_name = None
                self.is_connection_up = None
                self.secondary_router_id = YLeafList()
                self.secondary_router_id.parent = self
                self.secondary_router_id.name = 'secondary_router_id'


            class Area(object):
                """
                IGP area information
                
                .. attribute:: active_data
                
                	Data which applies only to an active area
                	**type**\:   :py:class:`ActiveData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData>`
                
                .. attribute:: area_format
                
                	IGP Area Format
                	**type**\:   :py:class:`IgpOspfAreaFormatEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpOspfAreaFormatEnum>`
                
                .. attribute:: area_index
                
                	Internal area index
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: area_number
                
                	Area number
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_config_ready
                
                	Indicates whether or not the area is correctly configured under the IGP submode to run TE
                	**type**\:  bool
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.active_data = MplsTe.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData()
                    self.active_data.parent = self
                    self.area_format = None
                    self.area_index = None
                    self.area_number = None
                    self.is_config_ready = None


                class ActiveData(object):
                    """
                    Data which applies only to an active area
                    
                    .. attribute:: area_statistics
                    
                    	Area communication statistics
                    	**type**\:   :py:class:`AreaStatistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData.AreaStatistics>`
                    
                    .. attribute:: interfaces_count
                    
                    	Number of interfaces running over this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: link_idt_received
                    
                    	Flag to indicate IDT for link adjacencies was received
                    	**type**\:  bool
                    
                    .. attribute:: p2mp_destination_count
                    
                    	Number of P2MP destinations whose path was calculated over this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: p2p_autoroute_announced_count
                    
                    	Number of p2p tunnel heads which have been autoroute\-announced into this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: p2p_forwarding_adjacency_count
                    
                    	Number of p2p tunnel heads which have been announced as forwarding adjacencies in this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: p2p_heads_count
                    
                    	Number of p2p tunnel heads whose path was calculated over this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sr_strict
                    
                    	Flag to indicate if the area is SR strict
                    	**type**\:  bool
                    
                    .. attribute:: topology_idt_received
                    
                    	Flag to indicate IDT topology was received
                    	**type**\:  bool
                    
                    .. attribute:: tunnel_loose_hops
                    
                    	Number of tunnels with a loose hop ERO expanded in this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.area_statistics = MplsTe.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData.AreaStatistics()
                        self.area_statistics.parent = self
                        self.interfaces_count = None
                        self.link_idt_received = None
                        self.p2mp_destination_count = None
                        self.p2p_autoroute_announced_count = None
                        self.p2p_forwarding_adjacency_count = None
                        self.p2p_heads_count = None
                        self.sr_strict = None
                        self.topology_idt_received = None
                        self.tunnel_loose_hops = None


                    class AreaStatistics(object):
                        """
                        Area communication statistics
                        
                        .. attribute:: area_adjacency_announce_messages
                        
                        	Number of adjacency announcement messages received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_adjacency_request_messages
                        
                        	Number of adjacency request messages sent
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_flood_messages
                        
                        	Number of local LSA floods sent
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_lsa_announce_messages
                        
                        	Number of LSA announcement messages received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_lsa_delete_messages
                        
                        	Number of LSA delete messages received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_lsa_fragment_announce_messages
                        
                        	Number of LSA fragment announcement messages received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_lsa_fragment_delete_messages
                        
                        	Number of LSA fragment delete messages received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_tunnel_announce_messages
                        
                        	Number of tunnel announcement messages sent
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.area_adjacency_announce_messages = None
                            self.area_adjacency_request_messages = None
                            self.area_flood_messages = None
                            self.area_lsa_announce_messages = None
                            self.area_lsa_delete_messages = None
                            self.area_lsa_fragment_announce_messages = None
                            self.area_lsa_fragment_delete_messages = None
                            self.area_tunnel_announce_messages = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:area-statistics'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.area_adjacency_announce_messages is not None:
                                return True

                            if self.area_adjacency_request_messages is not None:
                                return True

                            if self.area_flood_messages is not None:
                                return True

                            if self.area_lsa_announce_messages is not None:
                                return True

                            if self.area_lsa_delete_messages is not None:
                                return True

                            if self.area_lsa_fragment_announce_messages is not None:
                                return True

                            if self.area_lsa_fragment_delete_messages is not None:
                                return True

                            if self.area_tunnel_announce_messages is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData.AreaStatistics']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-data'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.area_statistics is not None and self.area_statistics._has_data():
                            return True

                        if self.interfaces_count is not None:
                            return True

                        if self.link_idt_received is not None:
                            return True

                        if self.p2mp_destination_count is not None:
                            return True

                        if self.p2p_autoroute_announced_count is not None:
                            return True

                        if self.p2p_forwarding_adjacency_count is not None:
                            return True

                        if self.p2p_heads_count is not None:
                            return True

                        if self.sr_strict is not None:
                            return True

                        if self.topology_idt_received is not None:
                            return True

                        if self.tunnel_loose_hops is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:area'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.active_data is not None and self.active_data._has_data():
                        return True

                    if self.area_format is not None:
                        return True

                    if self.area_index is not None:
                        return True

                    if self.area_number is not None:
                        return True

                    if self.is_config_ready is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.IgpAreaBriefs.IgpAreaBrief.Area']['meta_info']

            @property
            def _common_path(self):
                if self.process_tag is None:
                    raise YPYModelError('Key property process_tag is None')
                if self.protocol is None:
                    raise YPYModelError('Key property protocol is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:igp-area-briefs/Cisco-IOS-XR-mpls-te-oper:igp-area-brief[Cisco-IOS-XR-mpls-te-oper:process-tag = ' + str(self.process_tag) + '][Cisco-IOS-XR-mpls-te-oper:protocol = ' + str(self.protocol) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.process_tag is not None:
                    return True

                if self.protocol is not None:
                    return True

                if self.area is not None:
                    for child_ref in self.area:
                        if child_ref._has_data():
                            return True

                if self.configured_te_router_id is not None:
                    return True

                if self.connection_down_count is not None:
                    return True

                if self.connection_up_count is not None:
                    return True

                if self.global_router_id is not None:
                    return True

                if self.globall_router_id_optical is not None:
                    return True

                if self.igp_system_id is not None:
                    return True

                if self.igp_type is not None:
                    return True

                if self.in_use_te_router_id is not None:
                    return True

                if self.instance_name is not None:
                    return True

                if self.is_connection_up is not None:
                    return True

                if self.secondary_router_id is not None:
                    for child in self.secondary_router_id:
                        if child is not None:
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.IgpAreaBriefs.IgpAreaBrief']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:igp-area-briefs'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.igp_area_brief is not None:
                for child_ref in self.igp_area_brief:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.IgpAreaBriefs']['meta_info']


    class Tunnels(object):
        """
        Failure protection provided for tunnels
        
        .. attribute:: summary
        
        	Summary of tunnel info
        	**type**\:   :py:class:`Summary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary>`
        
        .. attribute:: tunnel_auto_bandwidths
        
        	Auto Bandwidth Brief Table
        	**type**\:   :py:class:`TunnelAutoBandwidths <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelAutoBandwidths>`
        
        .. attribute:: tunnel_flex_lsps
        
        	Flex LSP
        	**type**\:   :py:class:`TunnelFlexLsps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps>`
        
        .. attribute:: tunnel_path_protections
        
        	Path protection
        	**type**\:   :py:class:`TunnelPathProtections <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelPathProtections>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.summary = MplsTe.Tunnels.Summary()
            self.summary.parent = self
            self.tunnel_auto_bandwidths = MplsTe.Tunnels.TunnelAutoBandwidths()
            self.tunnel_auto_bandwidths.parent = self
            self.tunnel_flex_lsps = MplsTe.Tunnels.TunnelFlexLsps()
            self.tunnel_flex_lsps.parent = self
            self.tunnel_path_protections = MplsTe.Tunnels.TunnelPathProtections()
            self.tunnel_path_protections.parent = self


        class TunnelFlexLsps(object):
            """
            Flex LSP
            
            .. attribute:: tunnel_flex_lsp
            
            	Flex LSP
            	**type**\: list of    :py:class:`TunnelFlexLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tunnel_flex_lsp = YList()
                self.tunnel_flex_lsp.parent = self
                self.tunnel_flex_lsp.name = 'tunnel_flex_lsp'


            class TunnelFlexLsp(object):
                """
                Flex LSP
                
                .. attribute:: ctype
                
                	Ctype
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: destination_address
                
                	Destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: is_tunnel_up
                
                	Tunnel UP
                	**type**\:  bool
                
                .. attribute:: protect_lsp
                
                	 Protect LSP info
                	**type**\:   :py:class:`ProtectLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp>`
                
                .. attribute:: source_address
                
                	Source
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tun_id
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tunnel_id
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: tunnel_name
                
                	Tunnel Name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: working_lsp
                
                	 Working LSP info
                	**type**\:   :py:class:`WorkingLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ctype = None
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.is_tunnel_up = None
                    self.protect_lsp = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp()
                    self.protect_lsp.parent = self
                    self.source_address = None
                    self.tun_id = None
                    self.tunnel_id = None
                    self.tunnel_name = None
                    self.working_lsp = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp()
                    self.working_lsp.parent = self


                class WorkingLsp(object):
                    """
                     Working LSP info
                    
                    .. attribute:: association
                    
                    	Association Object
                    	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Association>`
                    
                    .. attribute:: flex_info
                    
                    	Flex Info
                    	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo>`
                    
                    .. attribute:: is_operational
                    
                    	Operational
                    	**type**\:  bool
                    
                    .. attribute:: lsp_hop
                    
                    	Path used by LSP
                    	**type**\: list of    :py:class:`LspHop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop>`
                    
                    .. attribute:: lsp_local_label
                    
                    	Local label 
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_mode
                    
                    	LSP mode
                    	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                    
                    .. attribute:: lsp_output_interface
                    
                    	Output interface of LSP
                    	**type**\:  str
                    
                    .. attribute:: lsp_output_label
                    
                    	Output label of the LSP
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_state
                    
                    	LSP State
                    	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                    
                    .. attribute:: lsp_uptime
                    
                    	LSP Uptime
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_protection_lsp_id
                    
                    	LSP ID 
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: protection
                    
                    	Protection Object
                    	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Protection>`
                    
                    .. attribute:: reverse_lsp
                    
                    	Reverse LSP information
                    	**type**\:   :py:class:`ReverseLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.association = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Association()
                        self.association.parent = self
                        self.flex_info = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo()
                        self.flex_info.parent = self
                        self.is_operational = None
                        self.lsp_hop = YList()
                        self.lsp_hop.parent = self
                        self.lsp_hop.name = 'lsp_hop'
                        self.lsp_local_label = None
                        self.lsp_mode = None
                        self.lsp_output_interface = None
                        self.lsp_output_label = None
                        self.lsp_state = None
                        self.lsp_uptime = None
                        self.path_protection_lsp_id = None
                        self.protection = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Protection()
                        self.protection.parent = self
                        self.reverse_lsp = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp()
                        self.reverse_lsp.parent = self


                    class FlexInfo(object):
                        """
                        Flex Info
                        
                        .. attribute:: bfd_created
                        
                        	GAL BFD Session Created
                        	**type**\:  bool
                        
                        .. attribute:: bfd_egress_label
                        
                        	BFD Egress Label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bfd_int_label
                        
                        	BFD Internal Label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bfd_next_hop
                        
                        	BFD Next Hop
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: bfd_out_ifh
                        
                        	BFD Out Interface Handle
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: bfd_tun_ifh
                        
                        	BFD Tunnel Interface Handle
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: bfd_up
                        
                        	GAL BFD Session Up
                        	**type**\:  bool
                        
                        .. attribute:: entry_exists
                        
                        	FlexLSP Entry Exists
                        	**type**\:  bool
                        
                        .. attribute:: fault_ais
                        
                        	Fault AIS
                        	**type**\:  bool
                        
                        .. attribute:: fault_ldi
                        
                        	Fault LDI
                        	**type**\:  bool
                        
                        .. attribute:: fault_ldi_lockout
                        
                        	Fault LDI Lockout
                        	**type**\:  bool
                        
                        .. attribute:: fault_lkr
                        
                        	Fault LKR
                        	**type**\:  bool
                        
                        .. attribute:: fault_time
                        
                        	Fault Time
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: flex_fec
                        
                        	FEC for the FlexLSP Entry
                        	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo.FlexFec>`
                        
                        .. attribute:: in_label
                        
                        	In Label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: oam_created
                        
                        	OAM Entry Created
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bfd_created = None
                            self.bfd_egress_label = None
                            self.bfd_int_label = None
                            self.bfd_next_hop = None
                            self.bfd_out_ifh = None
                            self.bfd_tun_ifh = None
                            self.bfd_up = None
                            self.entry_exists = None
                            self.fault_ais = None
                            self.fault_ldi = None
                            self.fault_ldi_lockout = None
                            self.fault_lkr = None
                            self.fault_time = None
                            self.flex_fec = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo.FlexFec()
                            self.flex_fec.parent = self
                            self.in_label = None
                            self.oam_created = None


                        class FlexFec(object):
                            """
                            FEC for the FlexLSP Entry
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:flex-info/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo.FlexFec']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:flex-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bfd_created is not None:
                                return True

                            if self.bfd_egress_label is not None:
                                return True

                            if self.bfd_int_label is not None:
                                return True

                            if self.bfd_next_hop is not None:
                                return True

                            if self.bfd_out_ifh is not None:
                                return True

                            if self.bfd_tun_ifh is not None:
                                return True

                            if self.bfd_up is not None:
                                return True

                            if self.entry_exists is not None:
                                return True

                            if self.fault_ais is not None:
                                return True

                            if self.fault_ldi is not None:
                                return True

                            if self.fault_ldi_lockout is not None:
                                return True

                            if self.fault_lkr is not None:
                                return True

                            if self.fault_time is not None:
                                return True

                            if self.flex_fec is not None and self.flex_fec._has_data():
                                return True

                            if self.in_label is not None:
                                return True

                            if self.oam_created is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo']['meta_info']


                    class Association(object):
                        """
                        Association Object
                        
                        .. attribute:: s2l_association_id
                        
                        	S2L Association ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_association_source
                        
                        	S2L Association Source
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: s2l_association_tie_role
                        
                        	S2L Association Tie Role
                        	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                        
                        .. attribute:: s2l_association_type
                        
                        	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_extended_id
                        
                        	S2L Extended ID Array
                        	**type**\:  list of int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_global_source
                        
                        	S2L Global Source
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.s2l_association_id = None
                            self.s2l_association_source = None
                            self.s2l_association_tie_role = None
                            self.s2l_association_type = None
                            self.s2l_extended_id = YLeafList()
                            self.s2l_extended_id.parent = self
                            self.s2l_extended_id.name = 's2l_extended_id'
                            self.s2l_global_source = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:association'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.s2l_association_id is not None:
                                return True

                            if self.s2l_association_source is not None:
                                return True

                            if self.s2l_association_tie_role is not None:
                                return True

                            if self.s2l_association_type is not None:
                                return True

                            if self.s2l_extended_id is not None:
                                for child in self.s2l_extended_id:
                                    if child is not None:
                                        return True

                            if self.s2l_global_source is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Association']['meta_info']


                    class Protection(object):
                        """
                        Protection Object
                        
                        .. attribute:: any
                        
                        	Any
                        	**type**\:  bool
                        
                        .. attribute:: ded1_plus1
                        
                        	Dedicated 1+1 Protection
                        	**type**\:  bool
                        
                        .. attribute:: ded1_to1
                        
                        	Dedicated 1\:1 Protection
                        	**type**\:  bool
                        
                        .. attribute:: enhanced
                        
                        	Indicates Enhanced Protection Scheme
                        	**type**\:  bool
                        
                        .. attribute:: extra_traffic
                        
                        	LSP should use Links that are protecting other (primary) traffic
                        	**type**\:  bool
                        
                        .. attribute:: link_unprotected
                        
                        	LSP should not use any Link Layer Protection
                        	**type**\:  bool
                        
                        .. attribute:: lsp_unprotected
                        
                        	LSP Flags Unprotected
                        	**type**\:  bool
                        
                        .. attribute:: one_plus_one_bi
                        
                        	1+1 Bidirectional Protection
                        	**type**\:  bool
                        
                        .. attribute:: one_plus_one_uni
                        
                        	1+1 Unidirectional Protection
                        	**type**\:  bool
                        
                        .. attribute:: one_to_n_protection_et
                        
                        	1\:N Protection with Extra\-Traffic
                        	**type**\:  bool
                        
                        .. attribute:: rerouting
                        
                        	Full Rerouting
                        	**type**\:  bool
                        
                        .. attribute:: rerouting_no_et
                        
                        	Rerouting Without Extra\-Traffic
                        	**type**\:  bool
                        
                        .. attribute:: s2l_notification
                        
                        	 S2L Protection Notification Bit
                        	**type**\:  bool
                        
                        .. attribute:: s2l_operational
                        
                        	 S2L Protection Operational Bit
                        	**type**\:  bool
                        
                        .. attribute:: s2l_protecting
                        
                        	 S2L Protection Protecting Bit
                        	**type**\:  bool
                        
                        .. attribute:: s2l_secondary
                        
                        	 S2L Protection Secondary Bit
                        	**type**\:  bool
                        
                        .. attribute:: shared
                        
                        	Shared Link Layer Protection
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.any = None
                            self.ded1_plus1 = None
                            self.ded1_to1 = None
                            self.enhanced = None
                            self.extra_traffic = None
                            self.link_unprotected = None
                            self.lsp_unprotected = None
                            self.one_plus_one_bi = None
                            self.one_plus_one_uni = None
                            self.one_to_n_protection_et = None
                            self.rerouting = None
                            self.rerouting_no_et = None
                            self.s2l_notification = None
                            self.s2l_operational = None
                            self.s2l_protecting = None
                            self.s2l_secondary = None
                            self.shared = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:protection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.any is not None:
                                return True

                            if self.ded1_plus1 is not None:
                                return True

                            if self.ded1_to1 is not None:
                                return True

                            if self.enhanced is not None:
                                return True

                            if self.extra_traffic is not None:
                                return True

                            if self.link_unprotected is not None:
                                return True

                            if self.lsp_unprotected is not None:
                                return True

                            if self.one_plus_one_bi is not None:
                                return True

                            if self.one_plus_one_uni is not None:
                                return True

                            if self.one_to_n_protection_et is not None:
                                return True

                            if self.rerouting is not None:
                                return True

                            if self.rerouting_no_et is not None:
                                return True

                            if self.s2l_notification is not None:
                                return True

                            if self.s2l_operational is not None:
                                return True

                            if self.s2l_protecting is not None:
                                return True

                            if self.s2l_secondary is not None:
                                return True

                            if self.shared is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Protection']['meta_info']


                    class ReverseLsp(object):
                        """
                        Reverse LSP information
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Association>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Protection>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.association = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Association()
                            self.association.parent = self
                            self.protection = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Protection()
                            self.protection.parent = self
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_present = None


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Protection']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.association is not None and self.association._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp']['meta_info']


                    class LspHop(object):
                        """
                        Path used by LSP
                        
                        .. attribute:: ero_type
                        
                        	EROType
                        	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                        
                        .. attribute:: ipv4ero_sub_object
                        
                        	IPV4 ERO Sub Object
                        	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.Ipv4EroSubObject>`
                        
                        .. attribute:: unnumbered_ero_sub_object
                        
                        	Unnumbered ERO Sub Object
                        	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.UnnumberedEroSubObject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_type = None
                            self.ipv4ero_sub_object = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.Ipv4EroSubObject()
                            self.ipv4ero_sub_object.parent = self
                            self.unnumbered_ero_sub_object = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.UnnumberedEroSubObject()
                            self.unnumbered_ero_sub_object.parent = self


                        class Ipv4EroSubObject(object):
                            """
                            IPV4 ERO Sub Object
                            
                            .. attribute:: ero_address
                            
                            	The ERO IPV4 Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: prefix_length
                            
                            	ERO Prefix Length
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_address = None
                                self.is_strict_route = None
                                self.prefix_length = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_address is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.prefix_length is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.Ipv4EroSubObject']['meta_info']


                        class UnnumberedEroSubObject(object):
                            """
                            Unnumbered ERO Sub Object
                            
                            .. attribute:: ero_interface_id
                            
                            	The Interface ID in ERO
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: ero_router_id
                            
                            	The Router ID in ERO
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: status
                            
                            	Status of ERO
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_interface_id = None
                                self.ero_router_id = None
                                self.is_strict_route = None
                                self.status = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_interface_id is not None:
                                    return True

                                if self.ero_router_id is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.UnnumberedEroSubObject']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_type is not None:
                                return True

                            if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                return True

                            if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.association is not None and self.association._has_data():
                            return True

                        if self.flex_info is not None and self.flex_info._has_data():
                            return True

                        if self.is_operational is not None:
                            return True

                        if self.lsp_hop is not None:
                            for child_ref in self.lsp_hop:
                                if child_ref._has_data():
                                    return True

                        if self.lsp_local_label is not None:
                            return True

                        if self.lsp_mode is not None:
                            return True

                        if self.lsp_output_interface is not None:
                            return True

                        if self.lsp_output_label is not None:
                            return True

                        if self.lsp_state is not None:
                            return True

                        if self.lsp_uptime is not None:
                            return True

                        if self.path_protection_lsp_id is not None:
                            return True

                        if self.protection is not None and self.protection._has_data():
                            return True

                        if self.reverse_lsp is not None and self.reverse_lsp._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp']['meta_info']


                class ProtectLsp(object):
                    """
                     Protect LSP info
                    
                    .. attribute:: association
                    
                    	Association Object
                    	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Association>`
                    
                    .. attribute:: flex_info
                    
                    	Flex Info
                    	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo>`
                    
                    .. attribute:: is_operational
                    
                    	Operational
                    	**type**\:  bool
                    
                    .. attribute:: lsp_hop
                    
                    	Path used by LSP
                    	**type**\: list of    :py:class:`LspHop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop>`
                    
                    .. attribute:: lsp_local_label
                    
                    	Local label 
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_mode
                    
                    	LSP mode
                    	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                    
                    .. attribute:: lsp_output_interface
                    
                    	Output interface of LSP
                    	**type**\:  str
                    
                    .. attribute:: lsp_output_label
                    
                    	Output label of the LSP
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_state
                    
                    	LSP State
                    	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                    
                    .. attribute:: lsp_uptime
                    
                    	LSP Uptime
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_protection_lsp_id
                    
                    	LSP ID 
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: protection
                    
                    	Protection Object
                    	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Protection>`
                    
                    .. attribute:: reverse_lsp
                    
                    	Reverse LSP information
                    	**type**\:   :py:class:`ReverseLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.association = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Association()
                        self.association.parent = self
                        self.flex_info = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo()
                        self.flex_info.parent = self
                        self.is_operational = None
                        self.lsp_hop = YList()
                        self.lsp_hop.parent = self
                        self.lsp_hop.name = 'lsp_hop'
                        self.lsp_local_label = None
                        self.lsp_mode = None
                        self.lsp_output_interface = None
                        self.lsp_output_label = None
                        self.lsp_state = None
                        self.lsp_uptime = None
                        self.path_protection_lsp_id = None
                        self.protection = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Protection()
                        self.protection.parent = self
                        self.reverse_lsp = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp()
                        self.reverse_lsp.parent = self


                    class FlexInfo(object):
                        """
                        Flex Info
                        
                        .. attribute:: bfd_created
                        
                        	GAL BFD Session Created
                        	**type**\:  bool
                        
                        .. attribute:: bfd_egress_label
                        
                        	BFD Egress Label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bfd_int_label
                        
                        	BFD Internal Label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bfd_next_hop
                        
                        	BFD Next Hop
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: bfd_out_ifh
                        
                        	BFD Out Interface Handle
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: bfd_tun_ifh
                        
                        	BFD Tunnel Interface Handle
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: bfd_up
                        
                        	GAL BFD Session Up
                        	**type**\:  bool
                        
                        .. attribute:: entry_exists
                        
                        	FlexLSP Entry Exists
                        	**type**\:  bool
                        
                        .. attribute:: fault_ais
                        
                        	Fault AIS
                        	**type**\:  bool
                        
                        .. attribute:: fault_ldi
                        
                        	Fault LDI
                        	**type**\:  bool
                        
                        .. attribute:: fault_ldi_lockout
                        
                        	Fault LDI Lockout
                        	**type**\:  bool
                        
                        .. attribute:: fault_lkr
                        
                        	Fault LKR
                        	**type**\:  bool
                        
                        .. attribute:: fault_time
                        
                        	Fault Time
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: flex_fec
                        
                        	FEC for the FlexLSP Entry
                        	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo.FlexFec>`
                        
                        .. attribute:: in_label
                        
                        	In Label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: oam_created
                        
                        	OAM Entry Created
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bfd_created = None
                            self.bfd_egress_label = None
                            self.bfd_int_label = None
                            self.bfd_next_hop = None
                            self.bfd_out_ifh = None
                            self.bfd_tun_ifh = None
                            self.bfd_up = None
                            self.entry_exists = None
                            self.fault_ais = None
                            self.fault_ldi = None
                            self.fault_ldi_lockout = None
                            self.fault_lkr = None
                            self.fault_time = None
                            self.flex_fec = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo.FlexFec()
                            self.flex_fec.parent = self
                            self.in_label = None
                            self.oam_created = None


                        class FlexFec(object):
                            """
                            FEC for the FlexLSP Entry
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:flex-info/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo.FlexFec']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:flex-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bfd_created is not None:
                                return True

                            if self.bfd_egress_label is not None:
                                return True

                            if self.bfd_int_label is not None:
                                return True

                            if self.bfd_next_hop is not None:
                                return True

                            if self.bfd_out_ifh is not None:
                                return True

                            if self.bfd_tun_ifh is not None:
                                return True

                            if self.bfd_up is not None:
                                return True

                            if self.entry_exists is not None:
                                return True

                            if self.fault_ais is not None:
                                return True

                            if self.fault_ldi is not None:
                                return True

                            if self.fault_ldi_lockout is not None:
                                return True

                            if self.fault_lkr is not None:
                                return True

                            if self.fault_time is not None:
                                return True

                            if self.flex_fec is not None and self.flex_fec._has_data():
                                return True

                            if self.in_label is not None:
                                return True

                            if self.oam_created is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo']['meta_info']


                    class Association(object):
                        """
                        Association Object
                        
                        .. attribute:: s2l_association_id
                        
                        	S2L Association ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_association_source
                        
                        	S2L Association Source
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: s2l_association_tie_role
                        
                        	S2L Association Tie Role
                        	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                        
                        .. attribute:: s2l_association_type
                        
                        	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_extended_id
                        
                        	S2L Extended ID Array
                        	**type**\:  list of int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_global_source
                        
                        	S2L Global Source
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.s2l_association_id = None
                            self.s2l_association_source = None
                            self.s2l_association_tie_role = None
                            self.s2l_association_type = None
                            self.s2l_extended_id = YLeafList()
                            self.s2l_extended_id.parent = self
                            self.s2l_extended_id.name = 's2l_extended_id'
                            self.s2l_global_source = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:association'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.s2l_association_id is not None:
                                return True

                            if self.s2l_association_source is not None:
                                return True

                            if self.s2l_association_tie_role is not None:
                                return True

                            if self.s2l_association_type is not None:
                                return True

                            if self.s2l_extended_id is not None:
                                for child in self.s2l_extended_id:
                                    if child is not None:
                                        return True

                            if self.s2l_global_source is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Association']['meta_info']


                    class Protection(object):
                        """
                        Protection Object
                        
                        .. attribute:: any
                        
                        	Any
                        	**type**\:  bool
                        
                        .. attribute:: ded1_plus1
                        
                        	Dedicated 1+1 Protection
                        	**type**\:  bool
                        
                        .. attribute:: ded1_to1
                        
                        	Dedicated 1\:1 Protection
                        	**type**\:  bool
                        
                        .. attribute:: enhanced
                        
                        	Indicates Enhanced Protection Scheme
                        	**type**\:  bool
                        
                        .. attribute:: extra_traffic
                        
                        	LSP should use Links that are protecting other (primary) traffic
                        	**type**\:  bool
                        
                        .. attribute:: link_unprotected
                        
                        	LSP should not use any Link Layer Protection
                        	**type**\:  bool
                        
                        .. attribute:: lsp_unprotected
                        
                        	LSP Flags Unprotected
                        	**type**\:  bool
                        
                        .. attribute:: one_plus_one_bi
                        
                        	1+1 Bidirectional Protection
                        	**type**\:  bool
                        
                        .. attribute:: one_plus_one_uni
                        
                        	1+1 Unidirectional Protection
                        	**type**\:  bool
                        
                        .. attribute:: one_to_n_protection_et
                        
                        	1\:N Protection with Extra\-Traffic
                        	**type**\:  bool
                        
                        .. attribute:: rerouting
                        
                        	Full Rerouting
                        	**type**\:  bool
                        
                        .. attribute:: rerouting_no_et
                        
                        	Rerouting Without Extra\-Traffic
                        	**type**\:  bool
                        
                        .. attribute:: s2l_notification
                        
                        	 S2L Protection Notification Bit
                        	**type**\:  bool
                        
                        .. attribute:: s2l_operational
                        
                        	 S2L Protection Operational Bit
                        	**type**\:  bool
                        
                        .. attribute:: s2l_protecting
                        
                        	 S2L Protection Protecting Bit
                        	**type**\:  bool
                        
                        .. attribute:: s2l_secondary
                        
                        	 S2L Protection Secondary Bit
                        	**type**\:  bool
                        
                        .. attribute:: shared
                        
                        	Shared Link Layer Protection
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.any = None
                            self.ded1_plus1 = None
                            self.ded1_to1 = None
                            self.enhanced = None
                            self.extra_traffic = None
                            self.link_unprotected = None
                            self.lsp_unprotected = None
                            self.one_plus_one_bi = None
                            self.one_plus_one_uni = None
                            self.one_to_n_protection_et = None
                            self.rerouting = None
                            self.rerouting_no_et = None
                            self.s2l_notification = None
                            self.s2l_operational = None
                            self.s2l_protecting = None
                            self.s2l_secondary = None
                            self.shared = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:protection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.any is not None:
                                return True

                            if self.ded1_plus1 is not None:
                                return True

                            if self.ded1_to1 is not None:
                                return True

                            if self.enhanced is not None:
                                return True

                            if self.extra_traffic is not None:
                                return True

                            if self.link_unprotected is not None:
                                return True

                            if self.lsp_unprotected is not None:
                                return True

                            if self.one_plus_one_bi is not None:
                                return True

                            if self.one_plus_one_uni is not None:
                                return True

                            if self.one_to_n_protection_et is not None:
                                return True

                            if self.rerouting is not None:
                                return True

                            if self.rerouting_no_et is not None:
                                return True

                            if self.s2l_notification is not None:
                                return True

                            if self.s2l_operational is not None:
                                return True

                            if self.s2l_protecting is not None:
                                return True

                            if self.s2l_secondary is not None:
                                return True

                            if self.shared is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Protection']['meta_info']


                    class ReverseLsp(object):
                        """
                        Reverse LSP information
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Association>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Protection>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.association = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Association()
                            self.association.parent = self
                            self.protection = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Protection()
                            self.protection.parent = self
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_present = None


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Protection']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.association is not None and self.association._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp']['meta_info']


                    class LspHop(object):
                        """
                        Path used by LSP
                        
                        .. attribute:: ero_type
                        
                        	EROType
                        	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                        
                        .. attribute:: ipv4ero_sub_object
                        
                        	IPV4 ERO Sub Object
                        	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.Ipv4EroSubObject>`
                        
                        .. attribute:: unnumbered_ero_sub_object
                        
                        	Unnumbered ERO Sub Object
                        	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.UnnumberedEroSubObject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_type = None
                            self.ipv4ero_sub_object = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.Ipv4EroSubObject()
                            self.ipv4ero_sub_object.parent = self
                            self.unnumbered_ero_sub_object = MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.UnnumberedEroSubObject()
                            self.unnumbered_ero_sub_object.parent = self


                        class Ipv4EroSubObject(object):
                            """
                            IPV4 ERO Sub Object
                            
                            .. attribute:: ero_address
                            
                            	The ERO IPV4 Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: prefix_length
                            
                            	ERO Prefix Length
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_address = None
                                self.is_strict_route = None
                                self.prefix_length = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_address is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.prefix_length is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.Ipv4EroSubObject']['meta_info']


                        class UnnumberedEroSubObject(object):
                            """
                            Unnumbered ERO Sub Object
                            
                            .. attribute:: ero_interface_id
                            
                            	The Interface ID in ERO
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: ero_router_id
                            
                            	The Router ID in ERO
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: status
                            
                            	Status of ERO
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_interface_id = None
                                self.ero_router_id = None
                                self.is_strict_route = None
                                self.status = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_interface_id is not None:
                                    return True

                                if self.ero_router_id is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.UnnumberedEroSubObject']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_type is not None:
                                return True

                            if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                return True

                            if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.association is not None and self.association._has_data():
                            return True

                        if self.flex_info is not None and self.flex_info._has_data():
                            return True

                        if self.is_operational is not None:
                            return True

                        if self.lsp_hop is not None:
                            for child_ref in self.lsp_hop:
                                if child_ref._has_data():
                                    return True

                        if self.lsp_local_label is not None:
                            return True

                        if self.lsp_mode is not None:
                            return True

                        if self.lsp_output_interface is not None:
                            return True

                        if self.lsp_output_label is not None:
                            return True

                        if self.lsp_state is not None:
                            return True

                        if self.lsp_uptime is not None:
                            return True

                        if self.path_protection_lsp_id is not None:
                            return True

                        if self.protection is not None and self.protection._has_data():
                            return True

                        if self.reverse_lsp is not None and self.reverse_lsp._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ctype is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.is_tunnel_up is not None:
                        return True

                    if self.protect_lsp is not None and self.protect_lsp._has_data():
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tun_id is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.tunnel_name is not None:
                        return True

                    if self.working_lsp is not None and self.working_lsp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tunnel_flex_lsp is not None:
                    for child_ref in self.tunnel_flex_lsp:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.Tunnels.TunnelFlexLsps']['meta_info']


        class TunnelAutoBandwidths(object):
            """
            Auto Bandwidth Brief Table
            
            .. attribute:: tunnel_auto_bandwidth
            
            	Auto Bandwidth info bag
            	**type**\: list of    :py:class:`TunnelAutoBandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tunnel_auto_bandwidth = YList()
                self.tunnel_auto_bandwidth.parent = self
                self.tunnel_auto_bandwidth.name = 'tunnel_auto_bandwidth'


            class TunnelAutoBandwidth(object):
                """
                Auto Bandwidth info bag
                
                .. attribute:: tunnel_name  <key>
                
                	Tunnel Name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: auto_bandwidth_status
                
                	Tunnels's AutoBandwidth Status information
                	**type**\:   :py:class:`AutoBandwidthStatus <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth.AutoBandwidthStatus>`
                
                .. attribute:: bandwidth_applications
                
                	Total number of bandwidth applications requested by auto\-bw
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: highest_bandwidth
                
                	Highest bandwidth registered within current application period
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: last_bandwidth_applied
                
                	Last bandwidth requested by auto\-bw for the tunnel
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: last_sample_bandwidth
                
                	Last sample bandwidth collected
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: samples_collected
                
                	Number of samples collected within current application period
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: signaled_name
                
                	Tunnel signaled name
                	**type**\:  str
                
                .. attribute:: signalled_bandwidth
                
                	Signalled bandwidth for the tunnel
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: time_left_application
                
                	Time left until next auto\-bw application algorithm is performed
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_lsp_id
                
                	Tunnel Lsp Id
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_name_xr
                
                	Tunnel name
                	**type**\:  str
                
                .. attribute:: tunnel_requested_bandwidth
                
                	Requested Bandwidth for the tunnel
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.tunnel_name = None
                    self.auto_bandwidth_status = MplsTe.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth.AutoBandwidthStatus()
                    self.auto_bandwidth_status.parent = self
                    self.bandwidth_applications = None
                    self.highest_bandwidth = None
                    self.last_bandwidth_applied = None
                    self.last_sample_bandwidth = None
                    self.samples_collected = None
                    self.signaled_name = None
                    self.signalled_bandwidth = None
                    self.time_left_application = None
                    self.tunnel_lsp_id = None
                    self.tunnel_name_xr = None
                    self.tunnel_requested_bandwidth = None


                class AutoBandwidthStatus(object):
                    """
                    Tunnels's AutoBandwidth Status information
                    
                    .. attribute:: is_auto_bandwidth_enabled
                    
                    	TRUE if auto\-bw is enabled for the tunnel
                    	**type**\:  bool
                    
                    .. attribute:: reactivation_time
                    
                    	Time until auto\-bw gets activated if activation has been delayed due to failover
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.is_auto_bandwidth_enabled = None
                        self.reactivation_time = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-bandwidth-status'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.is_auto_bandwidth_enabled is not None:
                            return True

                        if self.reactivation_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth.AutoBandwidthStatus']['meta_info']

                @property
                def _common_path(self):
                    if self.tunnel_name is None:
                        raise YPYModelError('Key property tunnel_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-auto-bandwidths/Cisco-IOS-XR-mpls-te-oper:tunnel-auto-bandwidth[Cisco-IOS-XR-mpls-te-oper:tunnel-name = ' + str(self.tunnel_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.tunnel_name is not None:
                        return True

                    if self.auto_bandwidth_status is not None and self.auto_bandwidth_status._has_data():
                        return True

                    if self.bandwidth_applications is not None:
                        return True

                    if self.highest_bandwidth is not None:
                        return True

                    if self.last_bandwidth_applied is not None:
                        return True

                    if self.last_sample_bandwidth is not None:
                        return True

                    if self.samples_collected is not None:
                        return True

                    if self.signaled_name is not None:
                        return True

                    if self.signalled_bandwidth is not None:
                        return True

                    if self.time_left_application is not None:
                        return True

                    if self.tunnel_lsp_id is not None:
                        return True

                    if self.tunnel_name_xr is not None:
                        return True

                    if self.tunnel_requested_bandwidth is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-auto-bandwidths'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tunnel_auto_bandwidth is not None:
                    for child_ref in self.tunnel_auto_bandwidth:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.Tunnels.TunnelAutoBandwidths']['meta_info']


        class Summary(object):
            """
            Summary of tunnel info
            
            .. attribute:: activated_heads
            
            	Total tunnel heads activated
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: auto_bandwidth_collection_period
            
            	Collection period in minutes
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: minute
            
            .. attribute:: auto_bandwidth_tunnels
            
            	Counter with number of auto\-bw enabled tunnels
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: auto_mesh_one_hop_summary
            
            	Automesh Onehop summary
            	**type**\:   :py:class:`AutoMeshOneHopSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.AutoMeshOneHopSummary>`
            
            .. attribute:: auto_mesh_summary
            
            	Automesh summary
            	**type**\:   :py:class:`AutoMeshSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.AutoMeshSummary>`
            
            .. attribute:: auto_tun_server_summary
            
            	Auto\-tunnel server tunnel summary
            	**type**\:   :py:class:`AutoTunServerSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.AutoTunServerSummary>`
            
            .. attribute:: autobackup_summary
            
            	Autobackup summary
            	**type**\:   :py:class:`AutobackupSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.AutobackupSummary>`
            
            .. attribute:: backup_tunnels
            
            	FRR backup tunnels in Up state
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: backups_assigned
            
            	FRR backup tunnels assigned
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_head_ls_ps_associated
            
            	Associated Bidirectional Head LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_head_ls_ps_proceeding
            
            	Proceeding Bidirectional Head LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_head_ls_ps_standby
            
            	Standby Bidirectional Head LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_head_ls_ps_up
            
            	Connected Bidirectional Head Tunnel interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_head_tunnels
            
            	Bidirectional Head Tunnel interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_head_tunnels_associated
            
            	Associated Bidirectional Head Tunnels
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_head_tunnels_corouted
            
            	Corouted Bidirectional Head Tunnels
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_head_tunnels_up
            
            	Connected Bidirectional Head Tunnel interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_mid_ls_ps_associated
            
            	Associated Bidirectional Mid LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_mid_ls_ps_proceeding
            
            	Proceeding Bidirectional Mid LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_mid_ls_ps_standby
            
            	Standby Bidirectional Mid LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_mid_tunnels
            
            	Bidirectional Mid Tunnel interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_mid_tunnels_up
            
            	Connected Bidirectional Mid Tunnel interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_tail_ls_ps
            
            	Bidirectional Tail LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_tail_ls_ps_associated
            
            	Associated Bidirectional Tail LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_tail_ls_ps_corouted
            
            	Corouted Bidirectional Tail LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_tail_ls_ps_proceeding
            
            	Proceeding Bidirectional Tail LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_tail_ls_ps_standby
            
            	Standby Bidirectional Tail LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_tail_ls_ps_up
            
            	Connected Bidirectional Tail LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bw_protected_p2mp_s2_ls
            
            	P2MP S2Ls BW Protected
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bw_protected_p2p_s2_ls
            
            	p2p S2Ls BW Protected
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bw_protected_p2p_tunnels
            
            	P2P FRR BW protected tunnels
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bw_protected_tunnels
            
            	FRR BW protected tunnels
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: current_tunnel_convergence_summary
            
            	Current Tunnel convergemce summary information
            	**type**\:   :py:class:`CurrentTunnelConvergenceSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary>`
            
            .. attribute:: deactivated_heads
            
            	Total tunnel heads deactivated
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: dynamic_up_p2p_head_tunnels
            
            	p2p Tunnel up via a dynamic path
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: frr_config_p2mp_head_tunnels
            
            	P2MP Tunnel interfaces with FRR configuration
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: frr_config_p2p_head_tunnels
            
            	p2p Tunnel interfaces with FRR configuration
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: frr_head_tunnels
            
            	FRR tunnels in Up state at head end
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: frr_mid_point_tunnels
            
            	FRR tunnels at mid point
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: frr_p2mp_head_s2_ls
            
            	P2MP S2Ls with FRR requested at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: frr_p2mp_mid_point_s2_ls
            
            	P2MP S2Ls with FRR requested at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: frr_p2p_head_s2_ls
            
            	p2p S2Ls with FRR requested at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: frr_p2p_head_tunnels
            
            	P2P FRR tunnels in Up state at head end
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: frr_p2p_mid_point_s2_ls
            
            	p2p S2Ls with FRR requested at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: frr_p2p_mid_point_tunnels
            
            	P2P FRR tunnels at mid point
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: frr_protected_interfaces
            
            	FRR Protected Interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: gmpls_nni_summary
            
            	GMPLS\-NNI summary
            	**type**\:   :py:class:`GmplsNniSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.GmplsNniSummary>`
            
            .. attribute:: gmpls_uni_summary
            
            	GMPLS\-UNI summary
            	**type**\:   :py:class:`GmplsUniSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.GmplsUniSummary>`
            
            .. attribute:: is_forwarding_enabled
            
            	TRUE if forwarding is enabled
            	**type**\:  bool
            
            .. attribute:: is_periodic_reoptimization_on
            
            	TRUE if periodic reoptimization is on
            	**type**\:  bool
            
            .. attribute:: is_promotion_on
            
            	TRUE if periodic frr promotion is on
            	**type**\:  bool
            
            .. attribute:: is_rsvp_process_enabled
            
            	Status of rsvp
            	**type**\:  bool
            
            .. attribute:: last_tunnel_convergence_summary
            
            	Last Tunnel convergemce summary information
            	**type**\:   :py:class:`LastTunnelConvergenceSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary>`
            
            .. attribute:: link_and_node_diverse_paths
            
            	Link and Node diverse paths
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: link_diverse_paths
            
            	Link diverse paths
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: link_protected_p2mp_s2_ls
            
            	P2MP S2Ls Link Protected
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: link_protected_p2p_s2_ls
            
            	p2p S2Ls Link Protected
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: link_protected_p2p_tunnels
            
            	P2P FRR link protected tunnels
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: link_protected_tunnels
            
            	FRR link protected tunnels
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: next_check_time
            
            	Time left till next FRR promotion (seconds)
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: next_promotion_timer
            
            	Time left till next FRR promotion (seconds)
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: next_reoptimization_timer
            
            	Time left till next reoptimization (seconds)
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: next_verify_timer
            
            	Time left till next FRR promotion (seconds)
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: node_diverse_paths
            
            	Node diverse paths
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: node_protected_p2p_tunnels
            
            	P2P FRR node protected tunnels
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: node_protected_tunnels
            
            	FRR node protected tunnels
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: p2mp_head_destinations
            
            	P2MP Destinations at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: p2mp_head_tunnels
            
            	P2MP Tunnel interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: p2mp_mid_point_s2_ls
            
            	P2MP S2Ls at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: p2mp_tail_s2_ls
            
            	P2MP S2Ls at Tail
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: p2p_head_destinations
            
            	p2p Destinations at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: p2p_head_destinations_up
            
            	p2p Destinations in Up state at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: p2p_head_tunnels
            
            	p2p Tunnel interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: p2p_mid_point_s2_ls
            
            	p2p S2Ls at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: p2p_tail_s2_ls
            
            	p2p S2Ls at Tail
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: p2p_tail_tunnels
            
            	p2p Tunnel tail interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: path_protect_configured_tunnels
            
            	Tunnels configured with Path Protect
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: path_protect_configured_tunnels_standby_up
            
            	Tunnels with standby LSP up
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: path_protect_configured_tunnels_up
            
            	Path Protect configured tunnels connected/up
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: pcalc_tie_breaker_type
            
            	PCALC tiebreaker type
            	**type**\:   :py:class:`TePathSelectionTiebreakerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathSelectionTiebreakerEnum>`
            
            .. attribute:: pcalc_tiebreaker
            
            	Deprecated \- replaced by PCALCTiebreakerType
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: proceeding_p2mp_head_s2_ls
            
            	P2MP S2Ls in signalling\-proceeding state at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: proceeding_p2mp_mid_point_s2_ls
            
            	P2MP S2Ls in signalling=proceeding state at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: proceeding_p2p_head_s2_ls
            
            	p2p S2Ls in signalling\-proceeding state at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: proceeding_p2p_mid_point_s2_ls
            
            	p2p S2Ls in signalling=proceeding state at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: promotion_period
            
            	FRR promotion period in seconds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: protected_head_tunnels
            
            	FRR protected tunnels in Up state at head end
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: protected_mid_point_tunnels
            
            	FRR protected tunnels at mid point
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: protected_p2mp_head_s2_ls
            
            	P2MP S2Ls FRR Protected at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: protected_p2mp_mid_point_s2_ls
            
            	P2MP S2Ls FRR Protected at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: protected_p2p_head_s2_ls
            
            	p2p S2Ls FRR Protected at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: protected_p2p_head_tunnels
            
            	P2P FRR protected tunnels in Up state at head end
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: protected_p2p_mid_point_s2_ls
            
            	p2p S2Ls FRR Protected at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: protected_p2p_mid_point_tunnels
            
            	P2P FRR protected tunnels at mid point
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: recovered_heads
            
            	Number of heads recovered
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: recovering_p2p_head_s2_ls
            
            	p2p S2Ls recovering at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: reoptimization_period
            
            	Reoptimization period in seconds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: rerouted_head_tunnels
            
            	FRR rerouted tunnels in Up state at head end
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rerouted_interfaces
            
            	FRR Rerouted Interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rerouted_mid_point_tunnels
            
            	FRR rerouted tunnels at mid point
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rerouted_p2mp_head_s2_ls
            
            	P2MP S2Ls FRR Rerouted at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rerouted_p2mp_mid_point_s2_ls
            
            	P2MP S2Ls FRR Rerouted at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rerouted_p2p_head_s2_ls
            
            	p2p S2Ls FRR Rerouted at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rerouted_p2p_head_tunnels
            
            	P2P FRR rerouted tunnels in Up state at head end
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rerouted_p2p_mid_point_s2_ls
            
            	p2p S2Ls FRR Rerouted at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rerouted_p2p_mid_point_tunnels
            
            	P2P FRR rerouted tunnels at mid point
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: te_process_status
            
            	Status of te\_control
            	**type**\:   :py:class:`MplsTeTunnelsProcessStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsProcessStatusEnum>`
            
            .. attribute:: tiebreaker_qualifier
            
            	Describes how the path selection tiebreaker was specified\:default, or globally set
            	**type**\:   :py:class:`MplsTeMetricQualifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricQualifierEnum>`
            
            .. attribute:: tunnel_check_period
            
            	Tunnel head check period (seconds)
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: tunnel_verify_period
            
            	Tunnel head verify period (seconds)
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: up_p2mp_head_destinations
            
            	P2MP Destinations in Up state at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: up_p2mp_head_s2_ls
            
            	P2MP S2Ls in Up state at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: up_p2mp_head_tunnels
            
            	P2MP Tunnel interfaces in Up state
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: up_p2mp_mid_point_s2_ls
            
            	P2MP S2Ls in Up state at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: up_p2mp_tail_s2_ls
            
            	P2MP S2Ls in Up state at Tail
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: up_p2p_head_s2_ls
            
            	p2p S2Ls in Up state at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: up_p2p_head_tunnels
            
            	p2p Tunnel interfaces in Up state
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: up_p2p_mid_point_s2_ls
            
            	p2p S2Ls in Up state at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: up_p2p_tail_s2_ls
            
            	p2p S2Ls in Up state at Tail
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: user_defined_paths
            
            	User defined paths
            	**type**\:  int
            
            	**range:** 0..65535
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.activated_heads = None
                self.auto_bandwidth_collection_period = None
                self.auto_bandwidth_tunnels = None
                self.auto_mesh_one_hop_summary = MplsTe.Tunnels.Summary.AutoMeshOneHopSummary()
                self.auto_mesh_one_hop_summary.parent = self
                self.auto_mesh_summary = MplsTe.Tunnels.Summary.AutoMeshSummary()
                self.auto_mesh_summary.parent = self
                self.auto_tun_server_summary = MplsTe.Tunnels.Summary.AutoTunServerSummary()
                self.auto_tun_server_summary.parent = self
                self.autobackup_summary = MplsTe.Tunnels.Summary.AutobackupSummary()
                self.autobackup_summary.parent = self
                self.backup_tunnels = None
                self.backups_assigned = None
                self.bidir_head_ls_ps_associated = None
                self.bidir_head_ls_ps_proceeding = None
                self.bidir_head_ls_ps_standby = None
                self.bidir_head_ls_ps_up = None
                self.bidir_head_tunnels = None
                self.bidir_head_tunnels_associated = None
                self.bidir_head_tunnels_corouted = None
                self.bidir_head_tunnels_up = None
                self.bidir_mid_ls_ps_associated = None
                self.bidir_mid_ls_ps_proceeding = None
                self.bidir_mid_ls_ps_standby = None
                self.bidir_mid_tunnels = None
                self.bidir_mid_tunnels_up = None
                self.bidir_tail_ls_ps = None
                self.bidir_tail_ls_ps_associated = None
                self.bidir_tail_ls_ps_corouted = None
                self.bidir_tail_ls_ps_proceeding = None
                self.bidir_tail_ls_ps_standby = None
                self.bidir_tail_ls_ps_up = None
                self.bw_protected_p2mp_s2_ls = None
                self.bw_protected_p2p_s2_ls = None
                self.bw_protected_p2p_tunnels = None
                self.bw_protected_tunnels = None
                self.current_tunnel_convergence_summary = MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary()
                self.current_tunnel_convergence_summary.parent = self
                self.deactivated_heads = None
                self.dynamic_up_p2p_head_tunnels = None
                self.frr_config_p2mp_head_tunnels = None
                self.frr_config_p2p_head_tunnels = None
                self.frr_head_tunnels = None
                self.frr_mid_point_tunnels = None
                self.frr_p2mp_head_s2_ls = None
                self.frr_p2mp_mid_point_s2_ls = None
                self.frr_p2p_head_s2_ls = None
                self.frr_p2p_head_tunnels = None
                self.frr_p2p_mid_point_s2_ls = None
                self.frr_p2p_mid_point_tunnels = None
                self.frr_protected_interfaces = None
                self.gmpls_nni_summary = MplsTe.Tunnels.Summary.GmplsNniSummary()
                self.gmpls_nni_summary.parent = self
                self.gmpls_uni_summary = MplsTe.Tunnels.Summary.GmplsUniSummary()
                self.gmpls_uni_summary.parent = self
                self.is_forwarding_enabled = None
                self.is_periodic_reoptimization_on = None
                self.is_promotion_on = None
                self.is_rsvp_process_enabled = None
                self.last_tunnel_convergence_summary = MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary()
                self.last_tunnel_convergence_summary.parent = self
                self.link_and_node_diverse_paths = None
                self.link_diverse_paths = None
                self.link_protected_p2mp_s2_ls = None
                self.link_protected_p2p_s2_ls = None
                self.link_protected_p2p_tunnels = None
                self.link_protected_tunnels = None
                self.next_check_time = None
                self.next_promotion_timer = None
                self.next_reoptimization_timer = None
                self.next_verify_timer = None
                self.node_diverse_paths = None
                self.node_protected_p2p_tunnels = None
                self.node_protected_tunnels = None
                self.p2mp_head_destinations = None
                self.p2mp_head_tunnels = None
                self.p2mp_mid_point_s2_ls = None
                self.p2mp_tail_s2_ls = None
                self.p2p_head_destinations = None
                self.p2p_head_destinations_up = None
                self.p2p_head_tunnels = None
                self.p2p_mid_point_s2_ls = None
                self.p2p_tail_s2_ls = None
                self.p2p_tail_tunnels = None
                self.path_protect_configured_tunnels = None
                self.path_protect_configured_tunnels_standby_up = None
                self.path_protect_configured_tunnels_up = None
                self.pcalc_tie_breaker_type = None
                self.pcalc_tiebreaker = None
                self.proceeding_p2mp_head_s2_ls = None
                self.proceeding_p2mp_mid_point_s2_ls = None
                self.proceeding_p2p_head_s2_ls = None
                self.proceeding_p2p_mid_point_s2_ls = None
                self.promotion_period = None
                self.protected_head_tunnels = None
                self.protected_mid_point_tunnels = None
                self.protected_p2mp_head_s2_ls = None
                self.protected_p2mp_mid_point_s2_ls = None
                self.protected_p2p_head_s2_ls = None
                self.protected_p2p_head_tunnels = None
                self.protected_p2p_mid_point_s2_ls = None
                self.protected_p2p_mid_point_tunnels = None
                self.recovered_heads = None
                self.recovering_p2p_head_s2_ls = None
                self.reoptimization_period = None
                self.rerouted_head_tunnels = None
                self.rerouted_interfaces = None
                self.rerouted_mid_point_tunnels = None
                self.rerouted_p2mp_head_s2_ls = None
                self.rerouted_p2mp_mid_point_s2_ls = None
                self.rerouted_p2p_head_s2_ls = None
                self.rerouted_p2p_head_tunnels = None
                self.rerouted_p2p_mid_point_s2_ls = None
                self.rerouted_p2p_mid_point_tunnels = None
                self.te_process_status = None
                self.tiebreaker_qualifier = None
                self.tunnel_check_period = None
                self.tunnel_verify_period = None
                self.up_p2mp_head_destinations = None
                self.up_p2mp_head_s2_ls = None
                self.up_p2mp_head_tunnels = None
                self.up_p2mp_mid_point_s2_ls = None
                self.up_p2mp_tail_s2_ls = None
                self.up_p2p_head_s2_ls = None
                self.up_p2p_head_tunnels = None
                self.up_p2p_mid_point_s2_ls = None
                self.up_p2p_tail_s2_ls = None
                self.user_defined_paths = None


            class AutobackupSummary(object):
                """
                Autobackup summary
                
                .. attribute:: autobackups
                
                	Total number of autobackup tunnels
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: down_autobackups
                
                	Total number of autobackup tunnels that are down
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_autobackup_protected_ls_ps
                
                	Total number of autobackup protected LSPs with NHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_autobackup_protected_s2_ls
                
                	Total number of autobackup protected S2Ls with NHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_autobackup_protected_s2l_families
                
                	Total number of autobackup protected S2L Families with NHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_autobackups
                
                	Total number of autobackup tunnels that are NHOP
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_srlg_autobackup_protected_ls_ps
                
                	Total number of autobackup protected LSPs with NHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_srlg_autobackup_protected_s2_ls
                
                	Total number of autobackup protected S2Ls with NHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_srlg_autobackup_protected_s2l_families
                
                	Total number of autobackup protected S2L Families with NHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_autobackup_protected_ls_ps
                
                	Total number of autobackup protected LSPs with NNHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_autobackup_protected_s2_ls
                
                	Total number of autobackup protected S2Ls with NNHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_autobackup_protected_s2l_families
                
                	Total number of autobackup protected S2L Families with NNHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_autobackups
                
                	Total number of autobackup tunnels that are NNHOP
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_srlg_autobackup_protected_ls_ps
                
                	Total number of autobackup protected LSPs with NNHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_srlg_autobackup_protected_s2_ls
                
                	Total number of autobackup protected S2Ls with NNHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_srlg_autobackup_protected_s2l_families
                
                	Total number of autobackup protected S2L Families with NNHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: srlg_preferred_autobackups
                
                	Total number of autobackup tunnels that are using SRLG preferred
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: srlg_strict_autobackups
                
                	Total number of autobackup tunnels that are using SRLG strict
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: srlg_weighted_autobackups
                
                	Total number of autobackup tunnels that are using weighted SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: unused_autobackups
                
                	Total number of autobackup tunnels that are unused
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: up_autobackups
                
                	Total number of autobackup tunnels that are up
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.autobackups = None
                    self.down_autobackups = None
                    self.next_hop_autobackup_protected_ls_ps = None
                    self.next_hop_autobackup_protected_s2_ls = None
                    self.next_hop_autobackup_protected_s2l_families = None
                    self.next_hop_autobackups = None
                    self.next_hop_srlg_autobackup_protected_ls_ps = None
                    self.next_hop_srlg_autobackup_protected_s2_ls = None
                    self.next_hop_srlg_autobackup_protected_s2l_families = None
                    self.next_next_hop_autobackup_protected_ls_ps = None
                    self.next_next_hop_autobackup_protected_s2_ls = None
                    self.next_next_hop_autobackup_protected_s2l_families = None
                    self.next_next_hop_autobackups = None
                    self.next_next_hop_srlg_autobackup_protected_ls_ps = None
                    self.next_next_hop_srlg_autobackup_protected_s2_ls = None
                    self.next_next_hop_srlg_autobackup_protected_s2l_families = None
                    self.srlg_preferred_autobackups = None
                    self.srlg_strict_autobackups = None
                    self.srlg_weighted_autobackups = None
                    self.unused_autobackups = None
                    self.up_autobackups = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:autobackup-summary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.autobackups is not None:
                        return True

                    if self.down_autobackups is not None:
                        return True

                    if self.next_hop_autobackup_protected_ls_ps is not None:
                        return True

                    if self.next_hop_autobackup_protected_s2_ls is not None:
                        return True

                    if self.next_hop_autobackup_protected_s2l_families is not None:
                        return True

                    if self.next_hop_autobackups is not None:
                        return True

                    if self.next_hop_srlg_autobackup_protected_ls_ps is not None:
                        return True

                    if self.next_hop_srlg_autobackup_protected_s2_ls is not None:
                        return True

                    if self.next_hop_srlg_autobackup_protected_s2l_families is not None:
                        return True

                    if self.next_next_hop_autobackup_protected_ls_ps is not None:
                        return True

                    if self.next_next_hop_autobackup_protected_s2_ls is not None:
                        return True

                    if self.next_next_hop_autobackup_protected_s2l_families is not None:
                        return True

                    if self.next_next_hop_autobackups is not None:
                        return True

                    if self.next_next_hop_srlg_autobackup_protected_ls_ps is not None:
                        return True

                    if self.next_next_hop_srlg_autobackup_protected_s2_ls is not None:
                        return True

                    if self.next_next_hop_srlg_autobackup_protected_s2l_families is not None:
                        return True

                    if self.srlg_preferred_autobackups is not None:
                        return True

                    if self.srlg_strict_autobackups is not None:
                        return True

                    if self.srlg_weighted_autobackups is not None:
                        return True

                    if self.unused_autobackups is not None:
                        return True

                    if self.up_autobackups is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Tunnels.Summary.AutobackupSummary']['meta_info']


            class AutoMeshSummary(object):
                """
                Automesh summary
                
                .. attribute:: auto_mesh_destinations
                
                	Total number of automesh destinations
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: auto_mesh_groups
                
                	Total number of automesh mesh\-groups
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: auto_mesh_tunnels
                
                	Total number of automesh tunnels
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: down_auto_mesh_tunnels
                
                	Total number of automesh tunnels that are down
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: frr_auto_mesh_tunnels
                
                	Total number of automesh tunnels that are FRR enabled
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: up_auto_mesh_tunnels
                
                	Total number of automesh tunnels that are up
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.auto_mesh_destinations = None
                    self.auto_mesh_groups = None
                    self.auto_mesh_tunnels = None
                    self.down_auto_mesh_tunnels = None
                    self.frr_auto_mesh_tunnels = None
                    self.up_auto_mesh_tunnels = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:auto-mesh-summary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.auto_mesh_destinations is not None:
                        return True

                    if self.auto_mesh_groups is not None:
                        return True

                    if self.auto_mesh_tunnels is not None:
                        return True

                    if self.down_auto_mesh_tunnels is not None:
                        return True

                    if self.frr_auto_mesh_tunnels is not None:
                        return True

                    if self.up_auto_mesh_tunnels is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Tunnels.Summary.AutoMeshSummary']['meta_info']


            class AutoMeshOneHopSummary(object):
                """
                Automesh Onehop summary
                
                .. attribute:: auto_mesh_one_hop_destinations
                
                	Total number of automesh onehop destinations
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: auto_mesh_one_hop_groups
                
                	Total number of automesh onehop mesh\-groups
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: auto_mesh_one_hop_tunnels
                
                	Total number of automesh onehop tunnels
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: down_auto_mesh_one_hop_tunnels
                
                	Total number of automesh onehop tunnels that are down
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: frr_auto_mesh_tunnels
                
                	Total number of automesh onehop tunnels that are FRR enabled
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: up_auto_mesh_one_hop_tunnels
                
                	Total number of automesh onehop tunnels that are up
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.auto_mesh_one_hop_destinations = None
                    self.auto_mesh_one_hop_groups = None
                    self.auto_mesh_one_hop_tunnels = None
                    self.down_auto_mesh_one_hop_tunnels = None
                    self.frr_auto_mesh_tunnels = None
                    self.up_auto_mesh_one_hop_tunnels = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:auto-mesh-one-hop-summary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.auto_mesh_one_hop_destinations is not None:
                        return True

                    if self.auto_mesh_one_hop_groups is not None:
                        return True

                    if self.auto_mesh_one_hop_tunnels is not None:
                        return True

                    if self.down_auto_mesh_one_hop_tunnels is not None:
                        return True

                    if self.frr_auto_mesh_tunnels is not None:
                        return True

                    if self.up_auto_mesh_one_hop_tunnels is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Tunnels.Summary.AutoMeshOneHopSummary']['meta_info']


            class GmplsUniSummary(object):
                """
                GMPLS\-UNI summary
                
                .. attribute:: heads_down
                
                	Tunnel heads in down state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: heads_up
                
                	Tunnel heads in up state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tails_down
                
                	Tunnel tails in down state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tails_up
                
                	Tunnel tails in up state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.heads_down = None
                    self.heads_up = None
                    self.tails_down = None
                    self.tails_up = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:gmpls-uni-summary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.heads_down is not None:
                        return True

                    if self.heads_up is not None:
                        return True

                    if self.tails_down is not None:
                        return True

                    if self.tails_up is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Tunnels.Summary.GmplsUniSummary']['meta_info']


            class GmplsNniSummary(object):
                """
                GMPLS\-NNI summary
                
                .. attribute:: heads_down
                
                	Tunnel heads in down state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: heads_up
                
                	Tunnel heads in up state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: mids_down
                
                	Tunnel mids in down state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: mids_up
                
                	Tunnel mids in up state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tails_down
                
                	Tunnel tails in down state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tails_up
                
                	Tunnel tails in up state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.heads_down = None
                    self.heads_up = None
                    self.mids_down = None
                    self.mids_up = None
                    self.tails_down = None
                    self.tails_up = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:gmpls-nni-summary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.heads_down is not None:
                        return True

                    if self.heads_up is not None:
                        return True

                    if self.mids_down is not None:
                        return True

                    if self.mids_up is not None:
                        return True

                    if self.tails_down is not None:
                        return True

                    if self.tails_up is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Tunnels.Summary.GmplsNniSummary']['meta_info']


            class CurrentTunnelConvergenceSummary(object):
                """
                Current Tunnel convergemce summary information
                
                .. attribute:: table_frr_trigger
                
                	Table FRR trigger entry
                	**type**\:   :py:class:`TableFrrTrigger <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableFrrTrigger>`
                
                .. attribute:: table_label_rewrite
                
                	Table label rewrite entry
                	**type**\:   :py:class:`TableLabelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableLabelRewrite>`
                
                .. attribute:: table_path_out
                
                	Table path\-out entry
                	**type**\:   :py:class:`TablePathOut <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePathOut>`
                
                .. attribute:: table_pcalc
                
                	Table PCALC entry
                	**type**\:   :py:class:`TablePcalc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePcalc>`
                
                .. attribute:: table_resv_in
                
                	Table resv\-in entry
                	**type**\:   :py:class:`TableResvIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableResvIn>`
                
                .. attribute:: table_tunnel_rewrite
                
                	Table Tunnel rewrite entry
                	**type**\:   :py:class:`TableTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableTunnelRewrite>`
                
                .. attribute:: tunnel_converged_count
                
                	Tunnel converged count
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_frr_active_count
                
                	FRR active Tunnel count
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_frr_total_count
                
                	FRR triggered Tunnel count
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_total_convergence_complete_time
                
                	Tunnel convergence complete timestamp (clocktime in nsecs)
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                	**units**\: nanosecond
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.table_frr_trigger = MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableFrrTrigger()
                    self.table_frr_trigger.parent = self
                    self.table_label_rewrite = MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableLabelRewrite()
                    self.table_label_rewrite.parent = self
                    self.table_path_out = MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePathOut()
                    self.table_path_out.parent = self
                    self.table_pcalc = MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePcalc()
                    self.table_pcalc.parent = self
                    self.table_resv_in = MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableResvIn()
                    self.table_resv_in.parent = self
                    self.table_tunnel_rewrite = MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableTunnelRewrite()
                    self.table_tunnel_rewrite.parent = self
                    self.tunnel_converged_count = None
                    self.tunnel_frr_active_count = None
                    self.tunnel_frr_total_count = None
                    self.tunnel_total_convergence_complete_time = None


                class TablePathOut(object):
                    """
                    Table path\-out entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:current-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-path-out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePathOut']['meta_info']


                class TableResvIn(object):
                    """
                    Table resv\-in entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:current-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-resv-in'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableResvIn']['meta_info']


                class TableLabelRewrite(object):
                    """
                    Table label rewrite entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:current-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-label-rewrite'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableLabelRewrite']['meta_info']


                class TablePcalc(object):
                    """
                    Table PCALC entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:current-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-pcalc'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePcalc']['meta_info']


                class TableTunnelRewrite(object):
                    """
                    Table Tunnel rewrite entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:current-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-tunnel-rewrite'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableTunnelRewrite']['meta_info']


                class TableFrrTrigger(object):
                    """
                    Table FRR trigger entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:current-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-frr-trigger'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableFrrTrigger']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:current-tunnel-convergence-summary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.table_frr_trigger is not None and self.table_frr_trigger._has_data():
                        return True

                    if self.table_label_rewrite is not None and self.table_label_rewrite._has_data():
                        return True

                    if self.table_path_out is not None and self.table_path_out._has_data():
                        return True

                    if self.table_pcalc is not None and self.table_pcalc._has_data():
                        return True

                    if self.table_resv_in is not None and self.table_resv_in._has_data():
                        return True

                    if self.table_tunnel_rewrite is not None and self.table_tunnel_rewrite._has_data():
                        return True

                    if self.tunnel_converged_count is not None:
                        return True

                    if self.tunnel_frr_active_count is not None:
                        return True

                    if self.tunnel_frr_total_count is not None:
                        return True

                    if self.tunnel_total_convergence_complete_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary']['meta_info']


            class LastTunnelConvergenceSummary(object):
                """
                Last Tunnel convergemce summary information
                
                .. attribute:: table_frr_trigger
                
                	Table FRR trigger entry
                	**type**\:   :py:class:`TableFrrTrigger <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableFrrTrigger>`
                
                .. attribute:: table_label_rewrite
                
                	Table label rewrite entry
                	**type**\:   :py:class:`TableLabelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableLabelRewrite>`
                
                .. attribute:: table_path_out
                
                	Table path\-out entry
                	**type**\:   :py:class:`TablePathOut <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TablePathOut>`
                
                .. attribute:: table_pcalc
                
                	Table PCALC entry
                	**type**\:   :py:class:`TablePcalc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TablePcalc>`
                
                .. attribute:: table_resv_in
                
                	Table resv\-in entry
                	**type**\:   :py:class:`TableResvIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableResvIn>`
                
                .. attribute:: table_tunnel_rewrite
                
                	Table Tunnel rewrite entry
                	**type**\:   :py:class:`TableTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableTunnelRewrite>`
                
                .. attribute:: tunnel_converged_count
                
                	Tunnel converged count
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_frr_active_count
                
                	FRR active Tunnel count
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_frr_total_count
                
                	FRR triggered Tunnel count
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_total_convergence_complete_time
                
                	Tunnel convergence complete timestamp (clocktime in nsecs)
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                	**units**\: nanosecond
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.table_frr_trigger = MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableFrrTrigger()
                    self.table_frr_trigger.parent = self
                    self.table_label_rewrite = MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableLabelRewrite()
                    self.table_label_rewrite.parent = self
                    self.table_path_out = MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TablePathOut()
                    self.table_path_out.parent = self
                    self.table_pcalc = MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TablePcalc()
                    self.table_pcalc.parent = self
                    self.table_resv_in = MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableResvIn()
                    self.table_resv_in.parent = self
                    self.table_tunnel_rewrite = MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableTunnelRewrite()
                    self.table_tunnel_rewrite.parent = self
                    self.tunnel_converged_count = None
                    self.tunnel_frr_active_count = None
                    self.tunnel_frr_total_count = None
                    self.tunnel_total_convergence_complete_time = None


                class TablePathOut(object):
                    """
                    Table path\-out entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:last-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-path-out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TablePathOut']['meta_info']


                class TableResvIn(object):
                    """
                    Table resv\-in entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:last-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-resv-in'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableResvIn']['meta_info']


                class TableLabelRewrite(object):
                    """
                    Table label rewrite entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:last-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-label-rewrite'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableLabelRewrite']['meta_info']


                class TablePcalc(object):
                    """
                    Table PCALC entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:last-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-pcalc'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TablePcalc']['meta_info']


                class TableTunnelRewrite(object):
                    """
                    Table Tunnel rewrite entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:last-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-tunnel-rewrite'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableTunnelRewrite']['meta_info']


                class TableFrrTrigger(object):
                    """
                    Table FRR trigger entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:last-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-frr-trigger'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableFrrTrigger']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:last-tunnel-convergence-summary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.table_frr_trigger is not None and self.table_frr_trigger._has_data():
                        return True

                    if self.table_label_rewrite is not None and self.table_label_rewrite._has_data():
                        return True

                    if self.table_path_out is not None and self.table_path_out._has_data():
                        return True

                    if self.table_pcalc is not None and self.table_pcalc._has_data():
                        return True

                    if self.table_resv_in is not None and self.table_resv_in._has_data():
                        return True

                    if self.table_tunnel_rewrite is not None and self.table_tunnel_rewrite._has_data():
                        return True

                    if self.tunnel_converged_count is not None:
                        return True

                    if self.tunnel_frr_active_count is not None:
                        return True

                    if self.tunnel_frr_total_count is not None:
                        return True

                    if self.tunnel_total_convergence_complete_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary']['meta_info']


            class AutoTunServerSummary(object):
                """
                Auto\-tunnel server tunnel summary
                
                .. attribute:: clients_summary
                
                	List of auto\-tunnel server clients
                	**type**\: list of    :py:class:`ClientsSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.AutoTunServerSummary.ClientsSummary>`
                
                .. attribute:: total_auto_p2mp_tunnels
                
                	Total number of P2MP auto\-tunnels
                	**type**\:   :py:class:`TotalAutoP2MpTunnels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2MpTunnels>`
                
                .. attribute:: total_auto_p2p_tunnels
                
                	Total number of P2P auto\-tunnels
                	**type**\:   :py:class:`TotalAutoP2PTunnels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2PTunnels>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.clients_summary = YList()
                    self.clients_summary.parent = self
                    self.clients_summary.name = 'clients_summary'
                    self.total_auto_p2mp_tunnels = MplsTe.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2MpTunnels()
                    self.total_auto_p2mp_tunnels.parent = self
                    self.total_auto_p2p_tunnels = MplsTe.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2PTunnels()
                    self.total_auto_p2p_tunnels.parent = self


                class TotalAutoP2MpTunnels(object):
                    """
                    Total number of P2MP auto\-tunnels
                    
                    .. attribute:: auto_p2mp_destinations
                    
                    	Total number of client P2MP auto\-tunnel destinations
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: auto_p2mp_tunnel
                    
                    	Total number of client P2MP auto\-tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: down_auto_p2mp_destinations
                    
                    	Total number of client P2MP auto\-tunnel destinations that are down
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: down_auto_p2mp_tunnels
                    
                    	Total number of client P2MP auto\-tunnels that are down
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: frr_auto_p2mp_tunnels
                    
                    	Total number of client P2MP auto\-tunnels that are FRR enabled
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: up_auto_p2mp_destinations
                    
                    	Total number of client P2MP auto\-tunnel destinations that are up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: up_auto_p2mp_tunnels
                    
                    	Total number of client P2MP auto\-tunnels that are up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.auto_p2mp_destinations = None
                        self.auto_p2mp_tunnel = None
                        self.down_auto_p2mp_destinations = None
                        self.down_auto_p2mp_tunnels = None
                        self.frr_auto_p2mp_tunnels = None
                        self.up_auto_p2mp_destinations = None
                        self.up_auto_p2mp_tunnels = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:auto-tun-server-summary/Cisco-IOS-XR-mpls-te-oper:total-auto-p2mp-tunnels'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.auto_p2mp_destinations is not None:
                            return True

                        if self.auto_p2mp_tunnel is not None:
                            return True

                        if self.down_auto_p2mp_destinations is not None:
                            return True

                        if self.down_auto_p2mp_tunnels is not None:
                            return True

                        if self.frr_auto_p2mp_tunnels is not None:
                            return True

                        if self.up_auto_p2mp_destinations is not None:
                            return True

                        if self.up_auto_p2mp_tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2MpTunnels']['meta_info']


                class TotalAutoP2PTunnels(object):
                    """
                    Total number of P2P auto\-tunnels
                    
                    .. attribute:: auto_p2p_tunnel
                    
                    	Total number of client P2P auto\-tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: down_auto_p2p_tunnels
                    
                    	Total number of client P2P auto\-tunnels that are down
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: up_auto_p2p_tunnels
                    
                    	Total number of client P2P auto\-tunnels that are up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.auto_p2p_tunnel = None
                        self.down_auto_p2p_tunnels = None
                        self.up_auto_p2p_tunnels = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:auto-tun-server-summary/Cisco-IOS-XR-mpls-te-oper:total-auto-p2p-tunnels'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.auto_p2p_tunnel is not None:
                            return True

                        if self.down_auto_p2p_tunnels is not None:
                            return True

                        if self.up_auto_p2p_tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2PTunnels']['meta_info']


                class ClientsSummary(object):
                    """
                    List of auto\-tunnel server clients
                    
                    .. attribute:: client_id
                    
                    	Client ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: client_instance_name
                    
                    	Client Instance name
                    	**type**\:  str
                    
                    .. attribute:: p2mp_info
                    
                    	P2MP info for a client
                    	**type**\:   :py:class:`P2MpInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2MpInfo>`
                    
                    .. attribute:: p2p_info
                    
                    	P2P info for a client
                    	**type**\:   :py:class:`P2PInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2PInfo>`
                    
                    .. attribute:: protocol_type
                    
                    	Client's protocol type
                    	**type**\:   :py:class:`TeServTunClientEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeServTunClientEnum>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.client_id = None
                        self.client_instance_name = None
                        self.p2mp_info = MplsTe.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2MpInfo()
                        self.p2mp_info.parent = self
                        self.p2p_info = MplsTe.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2PInfo()
                        self.p2p_info.parent = self
                        self.protocol_type = None


                    class P2MpInfo(object):
                        """
                        P2MP info for a client
                        
                        .. attribute:: auto_p2mp_destinations
                        
                        	Total number of client P2MP auto\-tunnel destinations
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: auto_p2mp_tunnel
                        
                        	Total number of client P2MP auto\-tunnels
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: down_auto_p2mp_destinations
                        
                        	Total number of client P2MP auto\-tunnel destinations that are down
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: down_auto_p2mp_tunnels
                        
                        	Total number of client P2MP auto\-tunnels that are down
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: frr_auto_p2mp_tunnels
                        
                        	Total number of client P2MP auto\-tunnels that are FRR enabled
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: up_auto_p2mp_destinations
                        
                        	Total number of client P2MP auto\-tunnel destinations that are up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: up_auto_p2mp_tunnels
                        
                        	Total number of client P2MP auto\-tunnels that are up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.auto_p2mp_destinations = None
                            self.auto_p2mp_tunnel = None
                            self.down_auto_p2mp_destinations = None
                            self.down_auto_p2mp_tunnels = None
                            self.frr_auto_p2mp_tunnels = None
                            self.up_auto_p2mp_destinations = None
                            self.up_auto_p2mp_tunnels = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:auto-tun-server-summary/Cisco-IOS-XR-mpls-te-oper:clients-summary/Cisco-IOS-XR-mpls-te-oper:p2mp-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.auto_p2mp_destinations is not None:
                                return True

                            if self.auto_p2mp_tunnel is not None:
                                return True

                            if self.down_auto_p2mp_destinations is not None:
                                return True

                            if self.down_auto_p2mp_tunnels is not None:
                                return True

                            if self.frr_auto_p2mp_tunnels is not None:
                                return True

                            if self.up_auto_p2mp_destinations is not None:
                                return True

                            if self.up_auto_p2mp_tunnels is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2MpInfo']['meta_info']


                    class P2PInfo(object):
                        """
                        P2P info for a client
                        
                        .. attribute:: auto_p2p_tunnel
                        
                        	Total number of client P2P auto\-tunnels
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: down_auto_p2p_tunnels
                        
                        	Total number of client P2P auto\-tunnels that are down
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: up_auto_p2p_tunnels
                        
                        	Total number of client P2P auto\-tunnels that are up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.auto_p2p_tunnel = None
                            self.down_auto_p2p_tunnels = None
                            self.up_auto_p2p_tunnels = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:auto-tun-server-summary/Cisco-IOS-XR-mpls-te-oper:clients-summary/Cisco-IOS-XR-mpls-te-oper:p2p-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.auto_p2p_tunnel is not None:
                                return True

                            if self.down_auto_p2p_tunnels is not None:
                                return True

                            if self.up_auto_p2p_tunnels is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2PInfo']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:auto-tun-server-summary/Cisco-IOS-XR-mpls-te-oper:clients-summary'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.client_id is not None:
                            return True

                        if self.client_instance_name is not None:
                            return True

                        if self.p2mp_info is not None and self.p2mp_info._has_data():
                            return True

                        if self.p2p_info is not None and self.p2p_info._has_data():
                            return True

                        if self.protocol_type is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Tunnels.Summary.AutoTunServerSummary.ClientsSummary']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:auto-tun-server-summary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.clients_summary is not None:
                        for child_ref in self.clients_summary:
                            if child_ref._has_data():
                                return True

                    if self.total_auto_p2mp_tunnels is not None and self.total_auto_p2mp_tunnels._has_data():
                        return True

                    if self.total_auto_p2p_tunnels is not None and self.total_auto_p2p_tunnels._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Tunnels.Summary.AutoTunServerSummary']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.activated_heads is not None:
                    return True

                if self.auto_bandwidth_collection_period is not None:
                    return True

                if self.auto_bandwidth_tunnels is not None:
                    return True

                if self.auto_mesh_one_hop_summary is not None and self.auto_mesh_one_hop_summary._has_data():
                    return True

                if self.auto_mesh_summary is not None and self.auto_mesh_summary._has_data():
                    return True

                if self.auto_tun_server_summary is not None and self.auto_tun_server_summary._has_data():
                    return True

                if self.autobackup_summary is not None and self.autobackup_summary._has_data():
                    return True

                if self.backup_tunnels is not None:
                    return True

                if self.backups_assigned is not None:
                    return True

                if self.bidir_head_ls_ps_associated is not None:
                    return True

                if self.bidir_head_ls_ps_proceeding is not None:
                    return True

                if self.bidir_head_ls_ps_standby is not None:
                    return True

                if self.bidir_head_ls_ps_up is not None:
                    return True

                if self.bidir_head_tunnels is not None:
                    return True

                if self.bidir_head_tunnels_associated is not None:
                    return True

                if self.bidir_head_tunnels_corouted is not None:
                    return True

                if self.bidir_head_tunnels_up is not None:
                    return True

                if self.bidir_mid_ls_ps_associated is not None:
                    return True

                if self.bidir_mid_ls_ps_proceeding is not None:
                    return True

                if self.bidir_mid_ls_ps_standby is not None:
                    return True

                if self.bidir_mid_tunnels is not None:
                    return True

                if self.bidir_mid_tunnels_up is not None:
                    return True

                if self.bidir_tail_ls_ps is not None:
                    return True

                if self.bidir_tail_ls_ps_associated is not None:
                    return True

                if self.bidir_tail_ls_ps_corouted is not None:
                    return True

                if self.bidir_tail_ls_ps_proceeding is not None:
                    return True

                if self.bidir_tail_ls_ps_standby is not None:
                    return True

                if self.bidir_tail_ls_ps_up is not None:
                    return True

                if self.bw_protected_p2mp_s2_ls is not None:
                    return True

                if self.bw_protected_p2p_s2_ls is not None:
                    return True

                if self.bw_protected_p2p_tunnels is not None:
                    return True

                if self.bw_protected_tunnels is not None:
                    return True

                if self.current_tunnel_convergence_summary is not None and self.current_tunnel_convergence_summary._has_data():
                    return True

                if self.deactivated_heads is not None:
                    return True

                if self.dynamic_up_p2p_head_tunnels is not None:
                    return True

                if self.frr_config_p2mp_head_tunnels is not None:
                    return True

                if self.frr_config_p2p_head_tunnels is not None:
                    return True

                if self.frr_head_tunnels is not None:
                    return True

                if self.frr_mid_point_tunnels is not None:
                    return True

                if self.frr_p2mp_head_s2_ls is not None:
                    return True

                if self.frr_p2mp_mid_point_s2_ls is not None:
                    return True

                if self.frr_p2p_head_s2_ls is not None:
                    return True

                if self.frr_p2p_head_tunnels is not None:
                    return True

                if self.frr_p2p_mid_point_s2_ls is not None:
                    return True

                if self.frr_p2p_mid_point_tunnels is not None:
                    return True

                if self.frr_protected_interfaces is not None:
                    return True

                if self.gmpls_nni_summary is not None and self.gmpls_nni_summary._has_data():
                    return True

                if self.gmpls_uni_summary is not None and self.gmpls_uni_summary._has_data():
                    return True

                if self.is_forwarding_enabled is not None:
                    return True

                if self.is_periodic_reoptimization_on is not None:
                    return True

                if self.is_promotion_on is not None:
                    return True

                if self.is_rsvp_process_enabled is not None:
                    return True

                if self.last_tunnel_convergence_summary is not None and self.last_tunnel_convergence_summary._has_data():
                    return True

                if self.link_and_node_diverse_paths is not None:
                    return True

                if self.link_diverse_paths is not None:
                    return True

                if self.link_protected_p2mp_s2_ls is not None:
                    return True

                if self.link_protected_p2p_s2_ls is not None:
                    return True

                if self.link_protected_p2p_tunnels is not None:
                    return True

                if self.link_protected_tunnels is not None:
                    return True

                if self.next_check_time is not None:
                    return True

                if self.next_promotion_timer is not None:
                    return True

                if self.next_reoptimization_timer is not None:
                    return True

                if self.next_verify_timer is not None:
                    return True

                if self.node_diverse_paths is not None:
                    return True

                if self.node_protected_p2p_tunnels is not None:
                    return True

                if self.node_protected_tunnels is not None:
                    return True

                if self.p2mp_head_destinations is not None:
                    return True

                if self.p2mp_head_tunnels is not None:
                    return True

                if self.p2mp_mid_point_s2_ls is not None:
                    return True

                if self.p2mp_tail_s2_ls is not None:
                    return True

                if self.p2p_head_destinations is not None:
                    return True

                if self.p2p_head_destinations_up is not None:
                    return True

                if self.p2p_head_tunnels is not None:
                    return True

                if self.p2p_mid_point_s2_ls is not None:
                    return True

                if self.p2p_tail_s2_ls is not None:
                    return True

                if self.p2p_tail_tunnels is not None:
                    return True

                if self.path_protect_configured_tunnels is not None:
                    return True

                if self.path_protect_configured_tunnels_standby_up is not None:
                    return True

                if self.path_protect_configured_tunnels_up is not None:
                    return True

                if self.pcalc_tie_breaker_type is not None:
                    return True

                if self.pcalc_tiebreaker is not None:
                    return True

                if self.proceeding_p2mp_head_s2_ls is not None:
                    return True

                if self.proceeding_p2mp_mid_point_s2_ls is not None:
                    return True

                if self.proceeding_p2p_head_s2_ls is not None:
                    return True

                if self.proceeding_p2p_mid_point_s2_ls is not None:
                    return True

                if self.promotion_period is not None:
                    return True

                if self.protected_head_tunnels is not None:
                    return True

                if self.protected_mid_point_tunnels is not None:
                    return True

                if self.protected_p2mp_head_s2_ls is not None:
                    return True

                if self.protected_p2mp_mid_point_s2_ls is not None:
                    return True

                if self.protected_p2p_head_s2_ls is not None:
                    return True

                if self.protected_p2p_head_tunnels is not None:
                    return True

                if self.protected_p2p_mid_point_s2_ls is not None:
                    return True

                if self.protected_p2p_mid_point_tunnels is not None:
                    return True

                if self.recovered_heads is not None:
                    return True

                if self.recovering_p2p_head_s2_ls is not None:
                    return True

                if self.reoptimization_period is not None:
                    return True

                if self.rerouted_head_tunnels is not None:
                    return True

                if self.rerouted_interfaces is not None:
                    return True

                if self.rerouted_mid_point_tunnels is not None:
                    return True

                if self.rerouted_p2mp_head_s2_ls is not None:
                    return True

                if self.rerouted_p2mp_mid_point_s2_ls is not None:
                    return True

                if self.rerouted_p2p_head_s2_ls is not None:
                    return True

                if self.rerouted_p2p_head_tunnels is not None:
                    return True

                if self.rerouted_p2p_mid_point_s2_ls is not None:
                    return True

                if self.rerouted_p2p_mid_point_tunnels is not None:
                    return True

                if self.te_process_status is not None:
                    return True

                if self.tiebreaker_qualifier is not None:
                    return True

                if self.tunnel_check_period is not None:
                    return True

                if self.tunnel_verify_period is not None:
                    return True

                if self.up_p2mp_head_destinations is not None:
                    return True

                if self.up_p2mp_head_s2_ls is not None:
                    return True

                if self.up_p2mp_head_tunnels is not None:
                    return True

                if self.up_p2mp_mid_point_s2_ls is not None:
                    return True

                if self.up_p2mp_tail_s2_ls is not None:
                    return True

                if self.up_p2p_head_s2_ls is not None:
                    return True

                if self.up_p2p_head_tunnels is not None:
                    return True

                if self.up_p2p_mid_point_s2_ls is not None:
                    return True

                if self.up_p2p_tail_s2_ls is not None:
                    return True

                if self.user_defined_paths is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.Tunnels.Summary']['meta_info']


        class TunnelPathProtections(object):
            """
            Path protection
            
            .. attribute:: tunnel_path_protection
            
            	Path Protection
            	**type**\: list of    :py:class:`TunnelPathProtection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tunnel_path_protection = YList()
                self.tunnel_path_protection.parent = self
                self.tunnel_path_protection.name = 'tunnel_path_protection'


            class TunnelPathProtection(object):
                """
                Path Protection
                
                .. attribute:: ctype
                
                	Ctype
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: current_lsp
                
                	 Current LSP info
                	**type**\:   :py:class:`CurrentLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp>`
                
                .. attribute:: destination_address
                
                	Destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: is_tunnel_up
                
                	Tunnel UP
                	**type**\:  bool
                
                .. attribute:: path_protection
                
                	Path Protect Info
                	**type**\:   :py:class:`PathProtection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection>`
                
                .. attribute:: source_address
                
                	Source
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: standby_lsp
                
                	 Standby LSP info
                	**type**\:   :py:class:`StandbyLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp>`
                
                .. attribute:: tunnel_id
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: tunnel_name
                
                	Tunnel Name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ctype = None
                    self.current_lsp = MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp()
                    self.current_lsp.parent = self
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.is_tunnel_up = None
                    self.path_protection = MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection()
                    self.path_protection.parent = self
                    self.source_address = None
                    self.standby_lsp = MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp()
                    self.standby_lsp.parent = self
                    self.tunnel_id = None
                    self.tunnel_name = None


                class PathProtection(object):
                    """
                    Path Protect Info
                    
                    .. attribute:: diversity_type
                    
                    	Standby path diversity type
                    	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                    
                    .. attribute:: is_path_protect_configured
                    
                    	Is Path Protection Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_protect_switch_over_underway
                    
                    	Is Switchover Underway
                    	**type**\:  bool
                    
                    .. attribute:: path_protection_protected_by_id
                    
                    	The path option ID (level/index) of the configured explicit protecting path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: reoptimization_time_remaining
                    
                    	Remaining time until path protection reoptimization (seconds)
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: standby_reoptimized_number
                    
                    	Number of times the standby LSP was reoptimized
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: switchover
                    
                    	Path Protected Switchover Information
                    	**type**\:   :py:class:`Switchover <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection.Switchover>`
                    
                    .. attribute:: switchover_ready
                    
                    	Total times, Standby LSP ready for use
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: switchover_reason
                    
                    	Reason for last switchover
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: switchover_total
                    
                    	Number of times switchover occurred
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: time_of_switchover_sec
                    
                    	The date when the switchover was completed. This date is the number of seconds since Jan 1st 1970
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: valid_path_protection_path_option_exists
                    
                    	Flag to indicate whether tunnel has a path\-option which is valid for path\-protection
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.diversity_type = None
                        self.is_path_protect_configured = None
                        self.is_path_protect_switch_over_underway = None
                        self.path_protection_protected_by_id = None
                        self.reoptimization_time_remaining = None
                        self.standby_reoptimized_number = None
                        self.switchover = MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection.Switchover()
                        self.switchover.parent = self
                        self.switchover_ready = None
                        self.switchover_reason = None
                        self.switchover_total = None
                        self.time_of_switchover_sec = None
                        self.valid_path_protection_path_option_exists = None


                    class Switchover(object):
                        """
                        Path Protected Switchover Information
                        
                        .. attribute:: date_of_error_detection
                        
                        	The date when the error that caused the switchover was detected. This date is the number of seconds since Jan 1st 1970
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: date_of_error_detection_millisec
                        
                        	The milliseconds offset of the date when the error that caused  the switchover was detected
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: from_lsp_id
                        
                        	The LSP ID from which the traffic was switched over
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: path_protection_switchover_event_index
                        
                        	The index number of the path protection switch over event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_protection_switchover_reason
                        
                        	The reason that caused the path protection switchover
                        	**type**\:   :py:class:`TeP2MpS2LDeletionSubcauseEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeP2MpS2LDeletionSubcauseEnum>`
                        
                        .. attribute:: path_protection_tunnel_id
                        
                        	The ID of the tunnel that experienced switchover
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: switchover_duration_millisec
                        
                        	The time in milliseconds between the detection of the error and switching the traffic
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: to_lsp_id
                        
                        	The LSP ID to which the traffic was switched over
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.date_of_error_detection = None
                            self.date_of_error_detection_millisec = None
                            self.from_lsp_id = None
                            self.path_protection_switchover_event_index = None
                            self.path_protection_switchover_reason = None
                            self.path_protection_tunnel_id = None
                            self.switchover_duration_millisec = None
                            self.to_lsp_id = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:path-protection/Cisco-IOS-XR-mpls-te-oper:switchover'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.date_of_error_detection is not None:
                                return True

                            if self.date_of_error_detection_millisec is not None:
                                return True

                            if self.from_lsp_id is not None:
                                return True

                            if self.path_protection_switchover_event_index is not None:
                                return True

                            if self.path_protection_switchover_reason is not None:
                                return True

                            if self.path_protection_tunnel_id is not None:
                                return True

                            if self.switchover_duration_millisec is not None:
                                return True

                            if self.to_lsp_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection.Switchover']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:path-protection'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.diversity_type is not None:
                            return True

                        if self.is_path_protect_configured is not None:
                            return True

                        if self.is_path_protect_switch_over_underway is not None:
                            return True

                        if self.path_protection_protected_by_id is not None:
                            return True

                        if self.reoptimization_time_remaining is not None:
                            return True

                        if self.standby_reoptimized_number is not None:
                            return True

                        if self.switchover is not None and self.switchover._has_data():
                            return True

                        if self.switchover_ready is not None:
                            return True

                        if self.switchover_reason is not None:
                            return True

                        if self.switchover_total is not None:
                            return True

                        if self.time_of_switchover_sec is not None:
                            return True

                        if self.valid_path_protection_path_option_exists is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection']['meta_info']


                class CurrentLsp(object):
                    """
                     Current LSP info
                    
                    .. attribute:: lsp_hop
                    
                    	Path used by LSP
                    	**type**\: list of    :py:class:`LspHop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop>`
                    
                    .. attribute:: lsp_local_label
                    
                    	Local label 
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_output_interface
                    
                    	Output interface of LSP
                    	**type**\:  str
                    
                    .. attribute:: lsp_output_label
                    
                    	Output label of the LSP
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_state
                    
                    	LSP State
                    	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                    
                    .. attribute:: lsp_uptime
                    
                    	LSP Uptime
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_protection_lsp_id
                    
                    	LSP ID 
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srlsp_outgoing_info
                    
                    	Segment\-routing iutgoing info of LSP
                    	**type**\: list of    :py:class:`SrlspOutgoingInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.SrlspOutgoingInfo>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.lsp_hop = YList()
                        self.lsp_hop.parent = self
                        self.lsp_hop.name = 'lsp_hop'
                        self.lsp_local_label = None
                        self.lsp_output_interface = None
                        self.lsp_output_label = None
                        self.lsp_state = None
                        self.lsp_uptime = None
                        self.path_protection_lsp_id = None
                        self.srlsp_outgoing_info = YList()
                        self.srlsp_outgoing_info.parent = self
                        self.srlsp_outgoing_info.name = 'srlsp_outgoing_info'


                    class SrlspOutgoingInfo(object):
                        """
                        Segment\-routing iutgoing info of LSP
                        
                        .. attribute:: lsp_output_interface
                        
                        	Output interface of LSP
                        	**type**\:  str
                        
                        .. attribute:: lsp_output_label
                        
                        	Output label of the LSP
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.lsp_output_interface = None
                            self.lsp_output_label = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:current-lsp/Cisco-IOS-XR-mpls-te-oper:srlsp-outgoing-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.lsp_output_interface is not None:
                                return True

                            if self.lsp_output_label is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.SrlspOutgoingInfo']['meta_info']


                    class LspHop(object):
                        """
                        Path used by LSP
                        
                        .. attribute:: ero_type
                        
                        	EROType
                        	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                        
                        .. attribute:: ipv4ero_sub_object
                        
                        	IPV4 ERO Sub Object
                        	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.Ipv4EroSubObject>`
                        
                        .. attribute:: unnumbered_ero_sub_object
                        
                        	Unnumbered ERO Sub Object
                        	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.UnnumberedEroSubObject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_type = None
                            self.ipv4ero_sub_object = MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.Ipv4EroSubObject()
                            self.ipv4ero_sub_object.parent = self
                            self.unnumbered_ero_sub_object = MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.UnnumberedEroSubObject()
                            self.unnumbered_ero_sub_object.parent = self


                        class Ipv4EroSubObject(object):
                            """
                            IPV4 ERO Sub Object
                            
                            .. attribute:: ero_address
                            
                            	The ERO IPV4 Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: prefix_length
                            
                            	ERO Prefix Length
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_address = None
                                self.is_strict_route = None
                                self.prefix_length = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:current-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_address is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.prefix_length is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.Ipv4EroSubObject']['meta_info']


                        class UnnumberedEroSubObject(object):
                            """
                            Unnumbered ERO Sub Object
                            
                            .. attribute:: ero_interface_id
                            
                            	The Interface ID in ERO
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: ero_router_id
                            
                            	The Router ID in ERO
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: status
                            
                            	Status of ERO
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_interface_id = None
                                self.ero_router_id = None
                                self.is_strict_route = None
                                self.status = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:current-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_interface_id is not None:
                                    return True

                                if self.ero_router_id is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.UnnumberedEroSubObject']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:current-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_type is not None:
                                return True

                            if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                return True

                            if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:current-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.lsp_hop is not None:
                            for child_ref in self.lsp_hop:
                                if child_ref._has_data():
                                    return True

                        if self.lsp_local_label is not None:
                            return True

                        if self.lsp_output_interface is not None:
                            return True

                        if self.lsp_output_label is not None:
                            return True

                        if self.lsp_state is not None:
                            return True

                        if self.lsp_uptime is not None:
                            return True

                        if self.path_protection_lsp_id is not None:
                            return True

                        if self.srlsp_outgoing_info is not None:
                            for child_ref in self.srlsp_outgoing_info:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp']['meta_info']


                class StandbyLsp(object):
                    """
                     Standby LSP info
                    
                    .. attribute:: lsp_hop
                    
                    	Path used by LSP
                    	**type**\: list of    :py:class:`LspHop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop>`
                    
                    .. attribute:: lsp_local_label
                    
                    	Local label 
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_output_interface
                    
                    	Output interface of LSP
                    	**type**\:  str
                    
                    .. attribute:: lsp_output_label
                    
                    	Output label of the LSP
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_state
                    
                    	LSP State
                    	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                    
                    .. attribute:: lsp_uptime
                    
                    	LSP Uptime
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_protection_lsp_id
                    
                    	LSP ID 
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srlsp_outgoing_info
                    
                    	Segment\-routing iutgoing info of LSP
                    	**type**\: list of    :py:class:`SrlspOutgoingInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.SrlspOutgoingInfo>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.lsp_hop = YList()
                        self.lsp_hop.parent = self
                        self.lsp_hop.name = 'lsp_hop'
                        self.lsp_local_label = None
                        self.lsp_output_interface = None
                        self.lsp_output_label = None
                        self.lsp_state = None
                        self.lsp_uptime = None
                        self.path_protection_lsp_id = None
                        self.srlsp_outgoing_info = YList()
                        self.srlsp_outgoing_info.parent = self
                        self.srlsp_outgoing_info.name = 'srlsp_outgoing_info'


                    class SrlspOutgoingInfo(object):
                        """
                        Segment\-routing iutgoing info of LSP
                        
                        .. attribute:: lsp_output_interface
                        
                        	Output interface of LSP
                        	**type**\:  str
                        
                        .. attribute:: lsp_output_label
                        
                        	Output label of the LSP
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.lsp_output_interface = None
                            self.lsp_output_label = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:standby-lsp/Cisco-IOS-XR-mpls-te-oper:srlsp-outgoing-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.lsp_output_interface is not None:
                                return True

                            if self.lsp_output_label is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.SrlspOutgoingInfo']['meta_info']


                    class LspHop(object):
                        """
                        Path used by LSP
                        
                        .. attribute:: ero_type
                        
                        	EROType
                        	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                        
                        .. attribute:: ipv4ero_sub_object
                        
                        	IPV4 ERO Sub Object
                        	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.Ipv4EroSubObject>`
                        
                        .. attribute:: unnumbered_ero_sub_object
                        
                        	Unnumbered ERO Sub Object
                        	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.UnnumberedEroSubObject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_type = None
                            self.ipv4ero_sub_object = MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.Ipv4EroSubObject()
                            self.ipv4ero_sub_object.parent = self
                            self.unnumbered_ero_sub_object = MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.UnnumberedEroSubObject()
                            self.unnumbered_ero_sub_object.parent = self


                        class Ipv4EroSubObject(object):
                            """
                            IPV4 ERO Sub Object
                            
                            .. attribute:: ero_address
                            
                            	The ERO IPV4 Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: prefix_length
                            
                            	ERO Prefix Length
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_address = None
                                self.is_strict_route = None
                                self.prefix_length = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:standby-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_address is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.prefix_length is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.Ipv4EroSubObject']['meta_info']


                        class UnnumberedEroSubObject(object):
                            """
                            Unnumbered ERO Sub Object
                            
                            .. attribute:: ero_interface_id
                            
                            	The Interface ID in ERO
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: ero_router_id
                            
                            	The Router ID in ERO
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: status
                            
                            	Status of ERO
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_interface_id = None
                                self.ero_router_id = None
                                self.is_strict_route = None
                                self.status = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:standby-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_interface_id is not None:
                                    return True

                                if self.ero_router_id is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.UnnumberedEroSubObject']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:standby-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_type is not None:
                                return True

                            if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                return True

                            if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:standby-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.lsp_hop is not None:
                            for child_ref in self.lsp_hop:
                                if child_ref._has_data():
                                    return True

                        if self.lsp_local_label is not None:
                            return True

                        if self.lsp_output_interface is not None:
                            return True

                        if self.lsp_output_label is not None:
                            return True

                        if self.lsp_state is not None:
                            return True

                        if self.lsp_uptime is not None:
                            return True

                        if self.path_protection_lsp_id is not None:
                            return True

                        if self.srlsp_outgoing_info is not None:
                            for child_ref in self.srlsp_outgoing_info:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ctype is not None:
                        return True

                    if self.current_lsp is not None and self.current_lsp._has_data():
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.is_tunnel_up is not None:
                        return True

                    if self.path_protection is not None and self.path_protection._has_data():
                        return True

                    if self.source_address is not None:
                        return True

                    if self.standby_lsp is not None and self.standby_lsp._has_data():
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.tunnel_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tunnel_path_protection is not None:
                    for child_ref in self.tunnel_path_protection:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.Tunnels.TunnelPathProtections']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:tunnels'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.summary is not None and self.summary._has_data():
                return True

            if self.tunnel_auto_bandwidths is not None and self.tunnel_auto_bandwidths._has_data():
                return True

            if self.tunnel_flex_lsps is not None and self.tunnel_flex_lsps._has_data():
                return True

            if self.tunnel_path_protections is not None and self.tunnel_path_protections._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.Tunnels']['meta_info']


    class MaximumTunnels(object):
        """
        MPLS Traffic Engineering Tunnels
        
        .. attribute:: absolute_maximum
        
        	Absolute Maximum
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_auto_mesh
        
        	Current Autotunnel Mesh count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_autobackups
        
        	Current Autotunnel Backup count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_destination_count
        
        	Current Destination Count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_gmpls_uni
        
        	Current GMPLS\-UNI tunnel count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_maximum_auto_mesh
        
        	Current Maximum Autotunnel Mesh Allowed
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_maximum_autobackups
        
        	Current Maximum Autotunnel Backups Allowed
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_maximum_destinations
        
        	Current Maximum Destinations
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_maximum_gmpls_unitunnels
        
        	Current Maximum GMPLS\-UNI Tunnel Count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_maximum_p2mp_destnation_per_tunnel
        
        	Current Maximum P2MP Destinations Per Tunnel Count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_maximum_p2mp_tunnels
        
        	Current Maximum P2MP Tunnel Count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_maximum_tunnels
        
        	Current Maximum Tunnels
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_p2mp_destnation_per_tunnel_count
        
        	Current P2MP Destination per tunnel count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_p2mp_tunnel_count
        
        	Current P2MP tunnel count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_tunnel_count
        
        	Current tunnel count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: is_auto_mesh_range_configured
        
        	TRUE if the automesh range is configured
        	**type**\:  bool
        
        .. attribute:: is_autobackup_range_configured
        
        	TRUE if the autobackup range is configured
        	**type**\:  bool
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.absolute_maximum = None
            self.current_auto_mesh = None
            self.current_autobackups = None
            self.current_destination_count = None
            self.current_gmpls_uni = None
            self.current_maximum_auto_mesh = None
            self.current_maximum_autobackups = None
            self.current_maximum_destinations = None
            self.current_maximum_gmpls_unitunnels = None
            self.current_maximum_p2mp_destnation_per_tunnel = None
            self.current_maximum_p2mp_tunnels = None
            self.current_maximum_tunnels = None
            self.current_p2mp_destnation_per_tunnel_count = None
            self.current_p2mp_tunnel_count = None
            self.current_tunnel_count = None
            self.is_auto_mesh_range_configured = None
            self.is_autobackup_range_configured = None

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:maximum-tunnels'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.absolute_maximum is not None:
                return True

            if self.current_auto_mesh is not None:
                return True

            if self.current_autobackups is not None:
                return True

            if self.current_destination_count is not None:
                return True

            if self.current_gmpls_uni is not None:
                return True

            if self.current_maximum_auto_mesh is not None:
                return True

            if self.current_maximum_autobackups is not None:
                return True

            if self.current_maximum_destinations is not None:
                return True

            if self.current_maximum_gmpls_unitunnels is not None:
                return True

            if self.current_maximum_p2mp_destnation_per_tunnel is not None:
                return True

            if self.current_maximum_p2mp_tunnels is not None:
                return True

            if self.current_maximum_tunnels is not None:
                return True

            if self.current_p2mp_destnation_per_tunnel_count is not None:
                return True

            if self.current_p2mp_tunnel_count is not None:
                return True

            if self.current_tunnel_count is not None:
                return True

            if self.is_auto_mesh_range_configured is not None:
                return True

            if self.is_autobackup_range_configured is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.MaximumTunnels']['meta_info']


    class PathProtection(object):
        """
        MPLS TE path protection info
        
        .. attribute:: switchover_log
        
        	MPLS TE path protection info
        	**type**\:   :py:class:`SwitchoverLog <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.PathProtection.SwitchoverLog>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.switchover_log = MplsTe.PathProtection.SwitchoverLog()
            self.switchover_log.parent = self


        class SwitchoverLog(object):
            """
            MPLS TE path protection info
            
            .. attribute:: average_switchover_millisec
            
            	The average delay for a switchover in milliseconds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: millisecond
            
            .. attribute:: maximum_switchover_millisec
            
            	The maximum delay for a switchover in milliseconds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: millisecond
            
            .. attribute:: path_protection_switchover_entry
            
            	The array of path protection switchover entries
            	**type**\: list of    :py:class:`PathProtectionSwitchoverEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.PathProtection.SwitchoverLog.PathProtectionSwitchoverEntry>`
            
            .. attribute:: path_protection_switchovers
            
            	Total number of path protection switchover events. This could be more than the entries in the array
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.average_switchover_millisec = None
                self.maximum_switchover_millisec = None
                self.path_protection_switchover_entry = YList()
                self.path_protection_switchover_entry.parent = self
                self.path_protection_switchover_entry.name = 'path_protection_switchover_entry'
                self.path_protection_switchovers = None


            class PathProtectionSwitchoverEntry(object):
                """
                The array of path protection switchover entries
                
                .. attribute:: date_of_error_detection
                
                	The date when the error that caused the switchover was detected. This date is the number of seconds since Jan 1st 1970
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: date_of_error_detection_millisec
                
                	The milliseconds offset of the date when the error that caused  the switchover was detected
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: millisecond
                
                .. attribute:: from_lsp_id
                
                	The LSP ID from which the traffic was switched over
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: path_protection_switchover_event_index
                
                	The index number of the path protection switch over event
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: path_protection_switchover_reason
                
                	The reason that caused the path protection switchover
                	**type**\:   :py:class:`TeP2MpS2LDeletionSubcauseEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeP2MpS2LDeletionSubcauseEnum>`
                
                .. attribute:: path_protection_tunnel_id
                
                	The ID of the tunnel that experienced switchover
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: switchover_duration_millisec
                
                	The time in milliseconds between the detection of the error and switching the traffic
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: millisecond
                
                .. attribute:: to_lsp_id
                
                	The LSP ID to which the traffic was switched over
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.date_of_error_detection = None
                    self.date_of_error_detection_millisec = None
                    self.from_lsp_id = None
                    self.path_protection_switchover_event_index = None
                    self.path_protection_switchover_reason = None
                    self.path_protection_tunnel_id = None
                    self.switchover_duration_millisec = None
                    self.to_lsp_id = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:path-protection/Cisco-IOS-XR-mpls-te-oper:switchover-log/Cisco-IOS-XR-mpls-te-oper:path-protection-switchover-entry'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.date_of_error_detection is not None:
                        return True

                    if self.date_of_error_detection_millisec is not None:
                        return True

                    if self.from_lsp_id is not None:
                        return True

                    if self.path_protection_switchover_event_index is not None:
                        return True

                    if self.path_protection_switchover_reason is not None:
                        return True

                    if self.path_protection_tunnel_id is not None:
                        return True

                    if self.switchover_duration_millisec is not None:
                        return True

                    if self.to_lsp_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.PathProtection.SwitchoverLog.PathProtectionSwitchoverEntry']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:path-protection/Cisco-IOS-XR-mpls-te-oper:switchover-log'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.average_switchover_millisec is not None:
                    return True

                if self.maximum_switchover_millisec is not None:
                    return True

                if self.path_protection_switchover_entry is not None:
                    for child_ref in self.path_protection_switchover_entry:
                        if child_ref._has_data():
                            return True

                if self.path_protection_switchovers is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.PathProtection.SwitchoverLog']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:path-protection'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.switchover_log is not None and self.switchover_log._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.PathProtection']['meta_info']


    class FibNextHopLabelRoutes(object):
        """
        MPLS TE FIB nexthop label route database
        
        .. attribute:: fib_next_hop_label_route
        
        	MPLS TE FIB nexthop label route
        	**type**\: list of    :py:class:`FibNextHopLabelRoute <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.FibNextHopLabelRoutes.FibNextHopLabelRoute>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.fib_next_hop_label_route = YList()
            self.fib_next_hop_label_route.parent = self
            self.fib_next_hop_label_route.name = 'fib_next_hop_label_route'


        class FibNextHopLabelRoute(object):
            """
            MPLS TE FIB nexthop label route
            
            .. attribute:: label  <key>
            
            	MPLS Label
            	**type**\:  int
            
            	**range:** 0..1048575
            
            .. attribute:: create_time
            
            	Create Time
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: expire_time
            
            	Expire Time
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: is_notified
            
            	Is Notified
            	**type**\:  bool
            
            .. attribute:: is_registered
            
            	Is Registered
            	**type**\:  bool
            
            .. attribute:: is_stale
            
            	Is Stale
            	**type**\:  bool
            
            .. attribute:: last_update_time
            
            	Last Update Time
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: last_used_time
            
            	Last Used Time
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: next_hop_path
            
            	Next Hop Paths
            	**type**\: list of    :py:class:`NextHopPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.FibNextHopLabelRoutes.FibNextHopLabelRoute.NextHopPath>`
            
            .. attribute:: prefix_addr
            
            	Deprecated \- replaced by TargetAddress
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: route_version
            
            	Route version
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: target_address
            
            	Next Hop Target Address
            	**type**\:   :py:class:`TargetAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.FibNextHopLabelRoutes.FibNextHopLabelRoute.TargetAddress>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.label = None
                self.create_time = None
                self.expire_time = None
                self.is_notified = None
                self.is_registered = None
                self.is_stale = None
                self.last_update_time = None
                self.last_used_time = None
                self.next_hop_path = YList()
                self.next_hop_path.parent = self
                self.next_hop_path.name = 'next_hop_path'
                self.prefix_addr = None
                self.route_version = None
                self.target_address = MplsTe.FibNextHopLabelRoutes.FibNextHopLabelRoute.TargetAddress()
                self.target_address.parent = self


            class TargetAddress(object):
                """
                Next Hop Target Address
                
                .. attribute:: ip_address
                
                	IPv4 Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: label
                
                	MPLS Label
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: type
                
                	type
                	**type**\:   :py:class:`TeTargetAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeTargetAddrEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ip_address = None
                    self.label = None
                    self.type = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:target-address'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ip_address is not None:
                        return True

                    if self.label is not None:
                        return True

                    if self.type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.FibNextHopLabelRoutes.FibNextHopLabelRoute.TargetAddress']['meta_info']


            class NextHopPath(object):
                """
                Next Hop Paths
                
                .. attribute:: backup_path_id
                
                	Backup Path Identifier
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: interface
                
                	Outgoing Interface
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: label_stack
                
                	Outgoing Label Stack
                	**type**\:  list of int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_address
                
                	Next Hop Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: path_id
                
                	Path ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: pure_backup
                
                	Pure Backup
                	**type**\:  bool
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.backup_path_id = None
                    self.interface = None
                    self.label_stack = YLeafList()
                    self.label_stack.parent = self
                    self.label_stack.name = 'label_stack'
                    self.next_hop_address = None
                    self.path_id = None
                    self.pure_backup = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.backup_path_id is not None:
                        return True

                    if self.interface is not None:
                        return True

                    if self.label_stack is not None:
                        for child in self.label_stack:
                            if child is not None:
                                return True

                    if self.next_hop_address is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.pure_backup is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.FibNextHopLabelRoutes.FibNextHopLabelRoute.NextHopPath']['meta_info']

            @property
            def _common_path(self):
                if self.label is None:
                    raise YPYModelError('Key property label is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:fib-next-hop-label-routes/Cisco-IOS-XR-mpls-te-oper:fib-next-hop-label-route[Cisco-IOS-XR-mpls-te-oper:label = ' + str(self.label) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.label is not None:
                    return True

                if self.create_time is not None:
                    return True

                if self.expire_time is not None:
                    return True

                if self.is_notified is not None:
                    return True

                if self.is_registered is not None:
                    return True

                if self.is_stale is not None:
                    return True

                if self.last_update_time is not None:
                    return True

                if self.last_used_time is not None:
                    return True

                if self.next_hop_path is not None:
                    for child_ref in self.next_hop_path:
                        if child_ref._has_data():
                            return True

                if self.prefix_addr is not None:
                    return True

                if self.route_version is not None:
                    return True

                if self.target_address is not None and self.target_address._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.FibNextHopLabelRoutes.FibNextHopLabelRoute']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:fib-next-hop-label-routes'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.fib_next_hop_label_route is not None:
                for child_ref in self.fib_next_hop_label_route:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.FibNextHopLabelRoutes']['meta_info']


    class P2Mp(object):
        """
        P2MP Information
        
        .. attribute:: collaborator_timers
        
        	TE Collaborator timer status
        	**type**\:   :py:class:`CollaboratorTimers <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.CollaboratorTimers>`
        
        .. attribute:: forwarding_output_label_rewrites
        
        	forwarding\-adjacency P2MP Information
        	**type**\:   :py:class:`ForwardingOutputLabelRewrites <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.ForwardingOutputLabelRewrites>`
        
        .. attribute:: tunnel_rewrites
        
        	forwarding\-adjacency P2MP Tunnel RW
        	**type**\:   :py:class:`TunnelRewrites <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.TunnelRewrites>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.collaborator_timers = MplsTe.P2Mp.CollaboratorTimers()
            self.collaborator_timers.parent = self
            self.forwarding_output_label_rewrites = MplsTe.P2Mp.ForwardingOutputLabelRewrites()
            self.forwarding_output_label_rewrites.parent = self
            self.tunnel_rewrites = MplsTe.P2Mp.TunnelRewrites()
            self.tunnel_rewrites.parent = self


        class TunnelRewrites(object):
            """
            forwarding\-adjacency P2MP Tunnel RW
            
            .. attribute:: tunnel_rewrite
            
            	Display only P2MP Information
            	**type**\: list of    :py:class:`TunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.TunnelRewrites.TunnelRewrite>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tunnel_rewrite = YList()
                self.tunnel_rewrite.parent = self
                self.tunnel_rewrite.name = 'tunnel_rewrite'


            class TunnelRewrite(object):
                """
                Display only P2MP Information
                
                .. attribute:: ctype  <key>
                
                	Ctype
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: lsp_id  <key>
                
                	LSP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: tunnel_id  <key>
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: failed_rewrite
                
                	Failed rewrite details
                	**type**\:   :py:class:`FailedRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite>`
                
                .. attribute:: is_segment_routing
                
                	TRUE if the s2l path is Segment\-Routing
                	**type**\:  bool
                
                .. attribute:: pending_rewrite
                
                	Pending rewrite details
                	**type**\:   :py:class:`PendingRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite>`
                
                .. attribute:: successful_rewrite
                
                	Successful rewrite details
                	**type**\:   :py:class:`SuccessfulRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite>`
                
                .. attribute:: tunnel_interface
                
                	Tunnel interface name
                	**type**\:  str
                
                .. attribute:: tunnel_signal_name
                
                	Tunnel signaled\-name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ctype = None
                    self.lsp_id = None
                    self.tunnel_id = None
                    self.failed_rewrite = MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite()
                    self.failed_rewrite.parent = self
                    self.is_segment_routing = None
                    self.pending_rewrite = MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite()
                    self.pending_rewrite.parent = self
                    self.successful_rewrite = MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite()
                    self.successful_rewrite.parent = self
                    self.tunnel_interface = None
                    self.tunnel_signal_name = None


                class SuccessfulRewrite(object):
                    """
                    Successful rewrite details
                    
                    .. attribute:: timestamp
                    
                    	Time stamp of the entry
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tunnel_rewrite
                    
                    	Union of p2p and p2mp tun rewrite data
                    	**type**\:   :py:class:`TunnelRewrite_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.timestamp = None
                        self.tunnel_rewrite = MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_()
                        self.tunnel_rewrite.parent = self


                    class TunnelRewrite_(object):
                        """
                        Union of p2p and p2mp tun rewrite data
                        
                        .. attribute:: fec_ctype
                        
                        	FEC CType
                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                        
                        .. attribute:: p2mp_tunnel_rewrite
                        
                        	Tunnel rewrite data specific to P2MP
                        	**type**\:   :py:class:`P2MpTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2MpTunnelRewrite>`
                        
                        .. attribute:: p2p_tunnel_rewrite
                        
                        	Tunnel rewrite data specific to P2P
                        	**type**\:   :py:class:`P2PTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_ctype = None
                            self.p2mp_tunnel_rewrite = MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2MpTunnelRewrite()
                            self.p2mp_tunnel_rewrite.parent = self
                            self.p2p_tunnel_rewrite = MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite()
                            self.p2p_tunnel_rewrite.parent = self


                        class P2PTunnelRewrite(object):
                            """
                            Tunnel rewrite data specific to P2P
                            
                            .. attribute:: backup_active
                            
                            	FRR is active on the backup tunnel
                            	**type**\:  bool
                            
                            .. attribute:: backup_tunnel_name
                            
                            	Backup tunnel name
                            	**type**\:  str
                            
                            .. attribute:: backup_tunnel_rewrite
                            
                            	Properties of the S2L's backup for tunnel rewrite
                            	**type**\:   :py:class:`BackupTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite>`
                            
                            .. attribute:: destination_address
                            
                            	Destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: extended_tunnel_id
                            
                            	Extended Tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: local_label
                            
                            	Local label of the tunnel rewrite
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: original_input_interface
                            
                            	Input interface of the S2Ls
                            	**type**\:  str
                            
                            .. attribute:: output_interface_name
                            
                            	The output interface of the S2Ls
                            	**type**\:  str
                            
                            .. attribute:: previous_hop_address
                            
                            	Previous hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: primary_s2l
                            
                            	Properties of the primary S2L of tunnel rewrite
                            	**type**\:   :py:class:`PrimaryS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L>`
                            
                            .. attribute:: source_pe
                            
                            	source address of the tunnel
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID for this rewrite data
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.backup_active = None
                                self.backup_tunnel_name = None
                                self.backup_tunnel_rewrite = MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite()
                                self.backup_tunnel_rewrite.parent = self
                                self.destination_address = None
                                self.extended_tunnel_id = None
                                self.local_label = None
                                self.original_input_interface = None
                                self.output_interface_name = None
                                self.previous_hop_address = None
                                self.primary_s2l = MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L()
                                self.primary_s2l.parent = self
                                self.source_pe = None
                                self.tunnel_id = None


                            class PrimaryS2L(object):
                                """
                                Properties of the primary S2L of tunnel rewrite
                                
                                .. attribute:: bandwidth_accounting_requested
                                
                                	Bandwidth accounting requested with this entry
                                	**type**\:  bool
                                
                                .. attribute:: next_hop_address
                                
                                	Next hop address associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: out_label
                                
                                	Output label associated with the entry
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: parent_interface_name
                                
                                	Interface name of the parent intf
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: physica_interface_name
                                
                                	Physical interface associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: sr_label_stack
                                
                                	Segment\-Routing labels stack
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tunnel_interface_name
                                
                                	Interface handle of the associated tunnel
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth_accounting_requested = None
                                    self.next_hop_address = None
                                    self.out_label = None
                                    self.parent_interface_name = None
                                    self.physica_interface_name = None
                                    self.sr_label_stack = YLeafList()
                                    self.sr_label_stack.parent = self
                                    self.sr_label_stack.name = 'sr_label_stack'
                                    self.tunnel_interface_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:primary-s2l'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth_accounting_requested is not None:
                                        return True

                                    if self.next_hop_address is not None:
                                        return True

                                    if self.out_label is not None:
                                        return True

                                    if self.parent_interface_name is not None:
                                        return True

                                    if self.physica_interface_name is not None:
                                        return True

                                    if self.sr_label_stack is not None:
                                        for child in self.sr_label_stack:
                                            if child is not None:
                                                return True

                                    if self.tunnel_interface_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L']['meta_info']


                            class BackupTunnelRewrite(object):
                                """
                                Properties of the S2L's backup for tunnel
                                rewrite
                                
                                .. attribute:: bandwidth_accounting_requested
                                
                                	Bandwidth accounting requested with this entry
                                	**type**\:  bool
                                
                                .. attribute:: next_hop_address
                                
                                	Next hop address associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: out_label
                                
                                	Output label associated with the entry
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: parent_interface_name
                                
                                	Interface name of the parent intf
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: physica_interface_name
                                
                                	Physical interface associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: sr_label_stack
                                
                                	Segment\-Routing labels stack
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tunnel_interface_name
                                
                                	Interface handle of the associated tunnel
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth_accounting_requested = None
                                    self.next_hop_address = None
                                    self.out_label = None
                                    self.parent_interface_name = None
                                    self.physica_interface_name = None
                                    self.sr_label_stack = YLeafList()
                                    self.sr_label_stack.parent = self
                                    self.sr_label_stack.name = 'sr_label_stack'
                                    self.tunnel_interface_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:backup-tunnel-rewrite'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth_accounting_requested is not None:
                                        return True

                                    if self.next_hop_address is not None:
                                        return True

                                    if self.out_label is not None:
                                        return True

                                    if self.parent_interface_name is not None:
                                        return True

                                    if self.physica_interface_name is not None:
                                        return True

                                    if self.sr_label_stack is not None:
                                        for child in self.sr_label_stack:
                                            if child is not None:
                                                return True

                                    if self.tunnel_interface_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:p2p-tunnel-rewrite'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.backup_active is not None:
                                    return True

                                if self.backup_tunnel_name is not None:
                                    return True

                                if self.backup_tunnel_rewrite is not None and self.backup_tunnel_rewrite._has_data():
                                    return True

                                if self.destination_address is not None:
                                    return True

                                if self.extended_tunnel_id is not None:
                                    return True

                                if self.local_label is not None:
                                    return True

                                if self.original_input_interface is not None:
                                    return True

                                if self.output_interface_name is not None:
                                    return True

                                if self.previous_hop_address is not None:
                                    return True

                                if self.primary_s2l is not None and self.primary_s2l._has_data():
                                    return True

                                if self.source_pe is not None:
                                    return True

                                if self.tunnel_id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info']


                        class P2MpTunnelRewrite(object):
                            """
                            Tunnel rewrite data specific to P2MP
                            
                            .. attribute:: local_label
                            
                            	Local Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.local_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:p2mp-tunnel-rewrite'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.local_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2MpTunnelRewrite']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel-rewrite'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_ctype is not None:
                                return True

                            if self.p2mp_tunnel_rewrite is not None and self.p2mp_tunnel_rewrite._has_data():
                                return True

                            if self.p2p_tunnel_rewrite is not None and self.p2p_tunnel_rewrite._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:successful-rewrite'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.timestamp is not None:
                            return True

                        if self.tunnel_rewrite is not None and self.tunnel_rewrite._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite']['meta_info']


                class FailedRewrite(object):
                    """
                    Failed rewrite details
                    
                    .. attribute:: timestamp
                    
                    	Time stamp of the entry
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tunnel_rewrite
                    
                    	Union of p2p and p2mp tun rewrite data
                    	**type**\:   :py:class:`TunnelRewrite_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.timestamp = None
                        self.tunnel_rewrite = MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_()
                        self.tunnel_rewrite.parent = self


                    class TunnelRewrite_(object):
                        """
                        Union of p2p and p2mp tun rewrite data
                        
                        .. attribute:: fec_ctype
                        
                        	FEC CType
                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                        
                        .. attribute:: p2mp_tunnel_rewrite
                        
                        	Tunnel rewrite data specific to P2MP
                        	**type**\:   :py:class:`P2MpTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2MpTunnelRewrite>`
                        
                        .. attribute:: p2p_tunnel_rewrite
                        
                        	Tunnel rewrite data specific to P2P
                        	**type**\:   :py:class:`P2PTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_ctype = None
                            self.p2mp_tunnel_rewrite = MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2MpTunnelRewrite()
                            self.p2mp_tunnel_rewrite.parent = self
                            self.p2p_tunnel_rewrite = MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite()
                            self.p2p_tunnel_rewrite.parent = self


                        class P2PTunnelRewrite(object):
                            """
                            Tunnel rewrite data specific to P2P
                            
                            .. attribute:: backup_active
                            
                            	FRR is active on the backup tunnel
                            	**type**\:  bool
                            
                            .. attribute:: backup_tunnel_name
                            
                            	Backup tunnel name
                            	**type**\:  str
                            
                            .. attribute:: backup_tunnel_rewrite
                            
                            	Properties of the S2L's backup for tunnel rewrite
                            	**type**\:   :py:class:`BackupTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite>`
                            
                            .. attribute:: destination_address
                            
                            	Destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: extended_tunnel_id
                            
                            	Extended Tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: local_label
                            
                            	Local label of the tunnel rewrite
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: original_input_interface
                            
                            	Input interface of the S2Ls
                            	**type**\:  str
                            
                            .. attribute:: output_interface_name
                            
                            	The output interface of the S2Ls
                            	**type**\:  str
                            
                            .. attribute:: previous_hop_address
                            
                            	Previous hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: primary_s2l
                            
                            	Properties of the primary S2L of tunnel rewrite
                            	**type**\:   :py:class:`PrimaryS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L>`
                            
                            .. attribute:: source_pe
                            
                            	source address of the tunnel
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID for this rewrite data
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.backup_active = None
                                self.backup_tunnel_name = None
                                self.backup_tunnel_rewrite = MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite()
                                self.backup_tunnel_rewrite.parent = self
                                self.destination_address = None
                                self.extended_tunnel_id = None
                                self.local_label = None
                                self.original_input_interface = None
                                self.output_interface_name = None
                                self.previous_hop_address = None
                                self.primary_s2l = MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L()
                                self.primary_s2l.parent = self
                                self.source_pe = None
                                self.tunnel_id = None


                            class PrimaryS2L(object):
                                """
                                Properties of the primary S2L of tunnel rewrite
                                
                                .. attribute:: bandwidth_accounting_requested
                                
                                	Bandwidth accounting requested with this entry
                                	**type**\:  bool
                                
                                .. attribute:: next_hop_address
                                
                                	Next hop address associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: out_label
                                
                                	Output label associated with the entry
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: parent_interface_name
                                
                                	Interface name of the parent intf
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: physica_interface_name
                                
                                	Physical interface associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: sr_label_stack
                                
                                	Segment\-Routing labels stack
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tunnel_interface_name
                                
                                	Interface handle of the associated tunnel
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth_accounting_requested = None
                                    self.next_hop_address = None
                                    self.out_label = None
                                    self.parent_interface_name = None
                                    self.physica_interface_name = None
                                    self.sr_label_stack = YLeafList()
                                    self.sr_label_stack.parent = self
                                    self.sr_label_stack.name = 'sr_label_stack'
                                    self.tunnel_interface_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:primary-s2l'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth_accounting_requested is not None:
                                        return True

                                    if self.next_hop_address is not None:
                                        return True

                                    if self.out_label is not None:
                                        return True

                                    if self.parent_interface_name is not None:
                                        return True

                                    if self.physica_interface_name is not None:
                                        return True

                                    if self.sr_label_stack is not None:
                                        for child in self.sr_label_stack:
                                            if child is not None:
                                                return True

                                    if self.tunnel_interface_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L']['meta_info']


                            class BackupTunnelRewrite(object):
                                """
                                Properties of the S2L's backup for tunnel
                                rewrite
                                
                                .. attribute:: bandwidth_accounting_requested
                                
                                	Bandwidth accounting requested with this entry
                                	**type**\:  bool
                                
                                .. attribute:: next_hop_address
                                
                                	Next hop address associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: out_label
                                
                                	Output label associated with the entry
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: parent_interface_name
                                
                                	Interface name of the parent intf
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: physica_interface_name
                                
                                	Physical interface associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: sr_label_stack
                                
                                	Segment\-Routing labels stack
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tunnel_interface_name
                                
                                	Interface handle of the associated tunnel
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth_accounting_requested = None
                                    self.next_hop_address = None
                                    self.out_label = None
                                    self.parent_interface_name = None
                                    self.physica_interface_name = None
                                    self.sr_label_stack = YLeafList()
                                    self.sr_label_stack.parent = self
                                    self.sr_label_stack.name = 'sr_label_stack'
                                    self.tunnel_interface_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:backup-tunnel-rewrite'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth_accounting_requested is not None:
                                        return True

                                    if self.next_hop_address is not None:
                                        return True

                                    if self.out_label is not None:
                                        return True

                                    if self.parent_interface_name is not None:
                                        return True

                                    if self.physica_interface_name is not None:
                                        return True

                                    if self.sr_label_stack is not None:
                                        for child in self.sr_label_stack:
                                            if child is not None:
                                                return True

                                    if self.tunnel_interface_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:p2p-tunnel-rewrite'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.backup_active is not None:
                                    return True

                                if self.backup_tunnel_name is not None:
                                    return True

                                if self.backup_tunnel_rewrite is not None and self.backup_tunnel_rewrite._has_data():
                                    return True

                                if self.destination_address is not None:
                                    return True

                                if self.extended_tunnel_id is not None:
                                    return True

                                if self.local_label is not None:
                                    return True

                                if self.original_input_interface is not None:
                                    return True

                                if self.output_interface_name is not None:
                                    return True

                                if self.previous_hop_address is not None:
                                    return True

                                if self.primary_s2l is not None and self.primary_s2l._has_data():
                                    return True

                                if self.source_pe is not None:
                                    return True

                                if self.tunnel_id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info']


                        class P2MpTunnelRewrite(object):
                            """
                            Tunnel rewrite data specific to P2MP
                            
                            .. attribute:: local_label
                            
                            	Local Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.local_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:p2mp-tunnel-rewrite'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.local_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2MpTunnelRewrite']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel-rewrite'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_ctype is not None:
                                return True

                            if self.p2mp_tunnel_rewrite is not None and self.p2mp_tunnel_rewrite._has_data():
                                return True

                            if self.p2p_tunnel_rewrite is not None and self.p2p_tunnel_rewrite._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:failed-rewrite'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.timestamp is not None:
                            return True

                        if self.tunnel_rewrite is not None and self.tunnel_rewrite._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite']['meta_info']


                class PendingRewrite(object):
                    """
                    Pending rewrite details
                    
                    .. attribute:: timestamp
                    
                    	Time stamp of the entry
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tunnel_rewrite
                    
                    	Union of p2p and p2mp tun rewrite data
                    	**type**\:   :py:class:`TunnelRewrite_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.timestamp = None
                        self.tunnel_rewrite = MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_()
                        self.tunnel_rewrite.parent = self


                    class TunnelRewrite_(object):
                        """
                        Union of p2p and p2mp tun rewrite data
                        
                        .. attribute:: fec_ctype
                        
                        	FEC CType
                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                        
                        .. attribute:: p2mp_tunnel_rewrite
                        
                        	Tunnel rewrite data specific to P2MP
                        	**type**\:   :py:class:`P2MpTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2MpTunnelRewrite>`
                        
                        .. attribute:: p2p_tunnel_rewrite
                        
                        	Tunnel rewrite data specific to P2P
                        	**type**\:   :py:class:`P2PTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_ctype = None
                            self.p2mp_tunnel_rewrite = MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2MpTunnelRewrite()
                            self.p2mp_tunnel_rewrite.parent = self
                            self.p2p_tunnel_rewrite = MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite()
                            self.p2p_tunnel_rewrite.parent = self


                        class P2PTunnelRewrite(object):
                            """
                            Tunnel rewrite data specific to P2P
                            
                            .. attribute:: backup_active
                            
                            	FRR is active on the backup tunnel
                            	**type**\:  bool
                            
                            .. attribute:: backup_tunnel_name
                            
                            	Backup tunnel name
                            	**type**\:  str
                            
                            .. attribute:: backup_tunnel_rewrite
                            
                            	Properties of the S2L's backup for tunnel rewrite
                            	**type**\:   :py:class:`BackupTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite>`
                            
                            .. attribute:: destination_address
                            
                            	Destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: extended_tunnel_id
                            
                            	Extended Tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: local_label
                            
                            	Local label of the tunnel rewrite
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: original_input_interface
                            
                            	Input interface of the S2Ls
                            	**type**\:  str
                            
                            .. attribute:: output_interface_name
                            
                            	The output interface of the S2Ls
                            	**type**\:  str
                            
                            .. attribute:: previous_hop_address
                            
                            	Previous hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: primary_s2l
                            
                            	Properties of the primary S2L of tunnel rewrite
                            	**type**\:   :py:class:`PrimaryS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L>`
                            
                            .. attribute:: source_pe
                            
                            	source address of the tunnel
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID for this rewrite data
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.backup_active = None
                                self.backup_tunnel_name = None
                                self.backup_tunnel_rewrite = MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite()
                                self.backup_tunnel_rewrite.parent = self
                                self.destination_address = None
                                self.extended_tunnel_id = None
                                self.local_label = None
                                self.original_input_interface = None
                                self.output_interface_name = None
                                self.previous_hop_address = None
                                self.primary_s2l = MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L()
                                self.primary_s2l.parent = self
                                self.source_pe = None
                                self.tunnel_id = None


                            class PrimaryS2L(object):
                                """
                                Properties of the primary S2L of tunnel rewrite
                                
                                .. attribute:: bandwidth_accounting_requested
                                
                                	Bandwidth accounting requested with this entry
                                	**type**\:  bool
                                
                                .. attribute:: next_hop_address
                                
                                	Next hop address associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: out_label
                                
                                	Output label associated with the entry
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: parent_interface_name
                                
                                	Interface name of the parent intf
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: physica_interface_name
                                
                                	Physical interface associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: sr_label_stack
                                
                                	Segment\-Routing labels stack
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tunnel_interface_name
                                
                                	Interface handle of the associated tunnel
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth_accounting_requested = None
                                    self.next_hop_address = None
                                    self.out_label = None
                                    self.parent_interface_name = None
                                    self.physica_interface_name = None
                                    self.sr_label_stack = YLeafList()
                                    self.sr_label_stack.parent = self
                                    self.sr_label_stack.name = 'sr_label_stack'
                                    self.tunnel_interface_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:primary-s2l'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth_accounting_requested is not None:
                                        return True

                                    if self.next_hop_address is not None:
                                        return True

                                    if self.out_label is not None:
                                        return True

                                    if self.parent_interface_name is not None:
                                        return True

                                    if self.physica_interface_name is not None:
                                        return True

                                    if self.sr_label_stack is not None:
                                        for child in self.sr_label_stack:
                                            if child is not None:
                                                return True

                                    if self.tunnel_interface_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L']['meta_info']


                            class BackupTunnelRewrite(object):
                                """
                                Properties of the S2L's backup for tunnel
                                rewrite
                                
                                .. attribute:: bandwidth_accounting_requested
                                
                                	Bandwidth accounting requested with this entry
                                	**type**\:  bool
                                
                                .. attribute:: next_hop_address
                                
                                	Next hop address associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: out_label
                                
                                	Output label associated with the entry
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: parent_interface_name
                                
                                	Interface name of the parent intf
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: physica_interface_name
                                
                                	Physical interface associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: sr_label_stack
                                
                                	Segment\-Routing labels stack
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tunnel_interface_name
                                
                                	Interface handle of the associated tunnel
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth_accounting_requested = None
                                    self.next_hop_address = None
                                    self.out_label = None
                                    self.parent_interface_name = None
                                    self.physica_interface_name = None
                                    self.sr_label_stack = YLeafList()
                                    self.sr_label_stack.parent = self
                                    self.sr_label_stack.name = 'sr_label_stack'
                                    self.tunnel_interface_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:backup-tunnel-rewrite'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth_accounting_requested is not None:
                                        return True

                                    if self.next_hop_address is not None:
                                        return True

                                    if self.out_label is not None:
                                        return True

                                    if self.parent_interface_name is not None:
                                        return True

                                    if self.physica_interface_name is not None:
                                        return True

                                    if self.sr_label_stack is not None:
                                        for child in self.sr_label_stack:
                                            if child is not None:
                                                return True

                                    if self.tunnel_interface_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:p2p-tunnel-rewrite'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.backup_active is not None:
                                    return True

                                if self.backup_tunnel_name is not None:
                                    return True

                                if self.backup_tunnel_rewrite is not None and self.backup_tunnel_rewrite._has_data():
                                    return True

                                if self.destination_address is not None:
                                    return True

                                if self.extended_tunnel_id is not None:
                                    return True

                                if self.local_label is not None:
                                    return True

                                if self.original_input_interface is not None:
                                    return True

                                if self.output_interface_name is not None:
                                    return True

                                if self.previous_hop_address is not None:
                                    return True

                                if self.primary_s2l is not None and self.primary_s2l._has_data():
                                    return True

                                if self.source_pe is not None:
                                    return True

                                if self.tunnel_id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info']


                        class P2MpTunnelRewrite(object):
                            """
                            Tunnel rewrite data specific to P2MP
                            
                            .. attribute:: local_label
                            
                            	Local Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.local_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:p2mp-tunnel-rewrite'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.local_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2MpTunnelRewrite']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel-rewrite'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_ctype is not None:
                                return True

                            if self.p2mp_tunnel_rewrite is not None and self.p2mp_tunnel_rewrite._has_data():
                                return True

                            if self.p2p_tunnel_rewrite is not None and self.p2p_tunnel_rewrite._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:pending-rewrite'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.timestamp is not None:
                            return True

                        if self.tunnel_rewrite is not None and self.tunnel_rewrite._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite']['meta_info']

                @property
                def _common_path(self):
                    if self.ctype is None:
                        raise YPYModelError('Key property ctype is None')
                    if self.lsp_id is None:
                        raise YPYModelError('Key property lsp_id is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:p2mp/Cisco-IOS-XR-mpls-te-oper:tunnel-rewrites/Cisco-IOS-XR-mpls-te-oper:tunnel-rewrite[Cisco-IOS-XR-mpls-te-oper:ctype = ' + str(self.ctype) + '][Cisco-IOS-XR-mpls-te-oper:lsp-id = ' + str(self.lsp_id) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ctype is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.failed_rewrite is not None and self.failed_rewrite._has_data():
                        return True

                    if self.is_segment_routing is not None:
                        return True

                    if self.pending_rewrite is not None and self.pending_rewrite._has_data():
                        return True

                    if self.successful_rewrite is not None and self.successful_rewrite._has_data():
                        return True

                    if self.tunnel_interface is not None:
                        return True

                    if self.tunnel_signal_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:p2mp/Cisco-IOS-XR-mpls-te-oper:tunnel-rewrites'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tunnel_rewrite is not None:
                    for child_ref in self.tunnel_rewrite:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.P2Mp.TunnelRewrites']['meta_info']


        class CollaboratorTimers(object):
            """
            TE Collaborator timer status
            
            .. attribute:: p2mp_timer
            
            	Description of all P2MP timers
            	**type**\: list of    :py:class:`P2MpTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.CollaboratorTimers.P2MpTimer>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.p2mp_timer = YList()
                self.p2mp_timer.parent = self
                self.p2mp_timer.name = 'p2mp_timer'


            class P2MpTimer(object):
                """
                Description of all P2MP timers
                
                .. attribute:: duration
                
                	The expiry delay in seconds
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: expiry_time
                
                	Date when the timer last expired in seconds
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: is_running
                
                	True if the timer is running
                	**type**\:  bool
                
                .. attribute:: start_time
                
                	Date when timer was last started in seconds
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: stop_time
                
                	Date when the timer was last stopped in seconds
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: timer_name
                
                	Timer Name
                	**type**\:  str
                
                .. attribute:: timer_type
                
                	Timer Type
                	**type**\:   :py:class:`MplsTeP2MpTimerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeP2MpTimerEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.duration = None
                    self.expiry_time = None
                    self.is_running = None
                    self.start_time = None
                    self.stop_time = None
                    self.timer_name = None
                    self.timer_type = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:p2mp/Cisco-IOS-XR-mpls-te-oper:collaborator-timers/Cisco-IOS-XR-mpls-te-oper:p2mp-timer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.duration is not None:
                        return True

                    if self.expiry_time is not None:
                        return True

                    if self.is_running is not None:
                        return True

                    if self.start_time is not None:
                        return True

                    if self.stop_time is not None:
                        return True

                    if self.timer_name is not None:
                        return True

                    if self.timer_type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.P2Mp.CollaboratorTimers.P2MpTimer']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:p2mp/Cisco-IOS-XR-mpls-te-oper:collaborator-timers'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.p2mp_timer is not None:
                    for child_ref in self.p2mp_timer:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.P2Mp.CollaboratorTimers']['meta_info']


        class ForwardingOutputLabelRewrites(object):
            """
            forwarding\-adjacency P2MP Information
            
            .. attribute:: forwarding_output_label_rewrite
            
            	Display only P2MP Information
            	**type**\: list of    :py:class:`ForwardingOutputLabelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.forwarding_output_label_rewrite = YList()
                self.forwarding_output_label_rewrite.parent = self
                self.forwarding_output_label_rewrite.name = 'forwarding_output_label_rewrite'


            class ForwardingOutputLabelRewrite(object):
                """
                Display only P2MP Information
                
                .. attribute:: ctype  <key>
                
                	Ctype
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id  <key>
                
                	extended tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lsp_id  <key>
                
                	LSP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: next_hop_address  <key>
                
                	Next Hop
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: p2mp_id  <key>
                
                	P2MP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: previous_hop_address  <key>
                
                	Prev Hop
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: source_address  <key>
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id  <key>
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: backup_tunnel_name
                
                	Backup tunnel name
                	**type**\:  str
                
                .. attribute:: is_segment_routing
                
                	TRUE if the s2l path is Segment\-Routing
                	**type**\:  bool
                
                .. attribute:: original_input_interface
                
                	Input interface of the S2Ls
                	**type**\:  str
                
                .. attribute:: output_interface_name
                
                	The output interface of the S2Ls
                	**type**\:  str
                
                .. attribute:: s2l
                
                	Unique identifiers for the S2L sharing the rewrite
                	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2L>`
                
                .. attribute:: s2l_output_rewrite
                
                	Output rewrite shared between S2Ls
                	**type**\:   :py:class:`S2LOutputRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite>`
                
                .. attribute:: s2lsr_path
                
                	Segment\-Routing Paths
                	**type**\: list of    :py:class:`S2LsrPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LsrPath>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ctype = None
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.lsp_id = None
                    self.next_hop_address = None
                    self.p2mp_id = None
                    self.previous_hop_address = None
                    self.source_address = None
                    self.tunnel_id = None
                    self.backup_tunnel_name = None
                    self.is_segment_routing = None
                    self.original_input_interface = None
                    self.output_interface_name = None
                    self.s2l = YList()
                    self.s2l.parent = self
                    self.s2l.name = 's2l'
                    self.s2l_output_rewrite = MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite()
                    self.s2l_output_rewrite.parent = self
                    self.s2lsr_path = YList()
                    self.s2lsr_path.parent = self
                    self.s2lsr_path.name = 's2lsr_path'


                class S2LOutputRewrite(object):
                    """
                    Output rewrite shared between S2Ls
                    
                    .. attribute:: failed_rewrite
                    
                    	Failed rewrite details
                    	**type**\:   :py:class:`FailedRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite>`
                    
                    .. attribute:: pending_rewrite
                    
                    	Pending rewrite details
                    	**type**\:   :py:class:`PendingRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite>`
                    
                    .. attribute:: subfamily
                    
                    	Subfamily identifiers
                    	**type**\:   :py:class:`Subfamily <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily>`
                    
                    .. attribute:: successful_rewrite
                    
                    	Successful rewrite details
                    	**type**\:   :py:class:`SuccessfulRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.failed_rewrite = MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite()
                        self.failed_rewrite.parent = self
                        self.pending_rewrite = MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite()
                        self.pending_rewrite.parent = self
                        self.subfamily = MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily()
                        self.subfamily.parent = self
                        self.successful_rewrite = MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite()
                        self.successful_rewrite.parent = self


                    class Subfamily(object):
                        """
                        Subfamily identifiers
                        
                        .. attribute:: lsp_fec
                        
                        	LSP FEC
                        	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.lsp_fec = MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec()
                            self.lsp_fec.parent = self
                            self.next_hop_address = None
                            self.previous_hop_address = None


                        class LspFec(object):
                            """
                            LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:subfamily'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.lsp_fec is not None and self.lsp_fec._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily']['meta_info']


                    class SuccessfulRewrite(object):
                        """
                        Successful rewrite details
                        
                        .. attribute:: backup_active
                        
                        	Backup is active
                        	**type**\:  bool
                        
                        .. attribute:: backup_tunnel_rewrite
                        
                        	Properties of the S2L's backup tunnel rewrite
                        	**type**\:   :py:class:`BackupTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.BackupTunnelRewrite>`
                        
                        .. attribute:: explicit_null
                        
                        	Imposition of explicit NULL
                        	**type**\:   :py:class:`TeS2LOutputRwExplicitNullEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LOutputRwExplicitNullEnum>`
                        
                        .. attribute:: label
                        
                        	Local label of the rewrite
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: out_rewrite_role
                        
                        	Role of the associated S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: primary_s2l
                        
                        	Properties of the S2L rewrite
                        	**type**\:   :py:class:`PrimaryS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.PrimaryS2L>`
                        
                        .. attribute:: protocol_transported
                        
                        	Protocol transported in the S2L
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_source
                        
                        	Source of the S2L
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: timestamp
                        
                        	Time stamp of the entry (secs since 1/1/70)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.backup_active = None
                            self.backup_tunnel_rewrite = MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.BackupTunnelRewrite()
                            self.backup_tunnel_rewrite.parent = self
                            self.explicit_null = None
                            self.label = None
                            self.out_rewrite_role = None
                            self.primary_s2l = MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.PrimaryS2L()
                            self.primary_s2l.parent = self
                            self.protocol_transported = None
                            self.s2l_source = None
                            self.timestamp = None


                        class PrimaryS2L(object):
                            """
                            Properties of the S2L rewrite
                            
                            .. attribute:: bandwidth_accounting_requested
                            
                            	Bandwidth accounting requested with this entry
                            	**type**\:  bool
                            
                            .. attribute:: next_hop_address
                            
                            	Next hop address associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: out_label
                            
                            	Output label associated with the entry
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: parent_interface_name
                            
                            	Interface name of the parent intf
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: physica_interface_name
                            
                            	Physical interface associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: sr_label_stack
                            
                            	Segment\-Routing labels stack
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tunnel_interface_name
                            
                            	Interface handle of the associated tunnel
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bandwidth_accounting_requested = None
                                self.next_hop_address = None
                                self.out_label = None
                                self.parent_interface_name = None
                                self.physica_interface_name = None
                                self.sr_label_stack = YLeafList()
                                self.sr_label_stack.parent = self
                                self.sr_label_stack.name = 'sr_label_stack'
                                self.tunnel_interface_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:primary-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bandwidth_accounting_requested is not None:
                                    return True

                                if self.next_hop_address is not None:
                                    return True

                                if self.out_label is not None:
                                    return True

                                if self.parent_interface_name is not None:
                                    return True

                                if self.physica_interface_name is not None:
                                    return True

                                if self.sr_label_stack is not None:
                                    for child in self.sr_label_stack:
                                        if child is not None:
                                            return True

                                if self.tunnel_interface_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.PrimaryS2L']['meta_info']


                        class BackupTunnelRewrite(object):
                            """
                            Properties of the S2L's backup tunnel rewrite
                            
                            .. attribute:: bandwidth_accounting_requested
                            
                            	Bandwidth accounting requested with this entry
                            	**type**\:  bool
                            
                            .. attribute:: next_hop_address
                            
                            	Next hop address associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: out_label
                            
                            	Output label associated with the entry
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: parent_interface_name
                            
                            	Interface name of the parent intf
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: physica_interface_name
                            
                            	Physical interface associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: sr_label_stack
                            
                            	Segment\-Routing labels stack
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tunnel_interface_name
                            
                            	Interface handle of the associated tunnel
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bandwidth_accounting_requested = None
                                self.next_hop_address = None
                                self.out_label = None
                                self.parent_interface_name = None
                                self.physica_interface_name = None
                                self.sr_label_stack = YLeafList()
                                self.sr_label_stack.parent = self
                                self.sr_label_stack.name = 'sr_label_stack'
                                self.tunnel_interface_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:backup-tunnel-rewrite'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bandwidth_accounting_requested is not None:
                                    return True

                                if self.next_hop_address is not None:
                                    return True

                                if self.out_label is not None:
                                    return True

                                if self.parent_interface_name is not None:
                                    return True

                                if self.physica_interface_name is not None:
                                    return True

                                if self.sr_label_stack is not None:
                                    for child in self.sr_label_stack:
                                        if child is not None:
                                            return True

                                if self.tunnel_interface_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.BackupTunnelRewrite']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:successful-rewrite'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.backup_active is not None:
                                return True

                            if self.backup_tunnel_rewrite is not None and self.backup_tunnel_rewrite._has_data():
                                return True

                            if self.explicit_null is not None:
                                return True

                            if self.label is not None:
                                return True

                            if self.out_rewrite_role is not None:
                                return True

                            if self.primary_s2l is not None and self.primary_s2l._has_data():
                                return True

                            if self.protocol_transported is not None:
                                return True

                            if self.s2l_source is not None:
                                return True

                            if self.timestamp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite']['meta_info']


                    class FailedRewrite(object):
                        """
                        Failed rewrite details
                        
                        .. attribute:: backup_active
                        
                        	Backup is active
                        	**type**\:  bool
                        
                        .. attribute:: backup_tunnel_rewrite
                        
                        	Properties of the S2L's backup tunnel rewrite
                        	**type**\:   :py:class:`BackupTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.BackupTunnelRewrite>`
                        
                        .. attribute:: explicit_null
                        
                        	Imposition of explicit NULL
                        	**type**\:   :py:class:`TeS2LOutputRwExplicitNullEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LOutputRwExplicitNullEnum>`
                        
                        .. attribute:: label
                        
                        	Local label of the rewrite
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: out_rewrite_role
                        
                        	Role of the associated S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: primary_s2l
                        
                        	Properties of the S2L rewrite
                        	**type**\:   :py:class:`PrimaryS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.PrimaryS2L>`
                        
                        .. attribute:: protocol_transported
                        
                        	Protocol transported in the S2L
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_source
                        
                        	Source of the S2L
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: timestamp
                        
                        	Time stamp of the entry (secs since 1/1/70)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.backup_active = None
                            self.backup_tunnel_rewrite = MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.BackupTunnelRewrite()
                            self.backup_tunnel_rewrite.parent = self
                            self.explicit_null = None
                            self.label = None
                            self.out_rewrite_role = None
                            self.primary_s2l = MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.PrimaryS2L()
                            self.primary_s2l.parent = self
                            self.protocol_transported = None
                            self.s2l_source = None
                            self.timestamp = None


                        class PrimaryS2L(object):
                            """
                            Properties of the S2L rewrite
                            
                            .. attribute:: bandwidth_accounting_requested
                            
                            	Bandwidth accounting requested with this entry
                            	**type**\:  bool
                            
                            .. attribute:: next_hop_address
                            
                            	Next hop address associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: out_label
                            
                            	Output label associated with the entry
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: parent_interface_name
                            
                            	Interface name of the parent intf
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: physica_interface_name
                            
                            	Physical interface associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: sr_label_stack
                            
                            	Segment\-Routing labels stack
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tunnel_interface_name
                            
                            	Interface handle of the associated tunnel
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bandwidth_accounting_requested = None
                                self.next_hop_address = None
                                self.out_label = None
                                self.parent_interface_name = None
                                self.physica_interface_name = None
                                self.sr_label_stack = YLeafList()
                                self.sr_label_stack.parent = self
                                self.sr_label_stack.name = 'sr_label_stack'
                                self.tunnel_interface_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:primary-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bandwidth_accounting_requested is not None:
                                    return True

                                if self.next_hop_address is not None:
                                    return True

                                if self.out_label is not None:
                                    return True

                                if self.parent_interface_name is not None:
                                    return True

                                if self.physica_interface_name is not None:
                                    return True

                                if self.sr_label_stack is not None:
                                    for child in self.sr_label_stack:
                                        if child is not None:
                                            return True

                                if self.tunnel_interface_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.PrimaryS2L']['meta_info']


                        class BackupTunnelRewrite(object):
                            """
                            Properties of the S2L's backup tunnel rewrite
                            
                            .. attribute:: bandwidth_accounting_requested
                            
                            	Bandwidth accounting requested with this entry
                            	**type**\:  bool
                            
                            .. attribute:: next_hop_address
                            
                            	Next hop address associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: out_label
                            
                            	Output label associated with the entry
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: parent_interface_name
                            
                            	Interface name of the parent intf
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: physica_interface_name
                            
                            	Physical interface associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: sr_label_stack
                            
                            	Segment\-Routing labels stack
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tunnel_interface_name
                            
                            	Interface handle of the associated tunnel
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bandwidth_accounting_requested = None
                                self.next_hop_address = None
                                self.out_label = None
                                self.parent_interface_name = None
                                self.physica_interface_name = None
                                self.sr_label_stack = YLeafList()
                                self.sr_label_stack.parent = self
                                self.sr_label_stack.name = 'sr_label_stack'
                                self.tunnel_interface_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:backup-tunnel-rewrite'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bandwidth_accounting_requested is not None:
                                    return True

                                if self.next_hop_address is not None:
                                    return True

                                if self.out_label is not None:
                                    return True

                                if self.parent_interface_name is not None:
                                    return True

                                if self.physica_interface_name is not None:
                                    return True

                                if self.sr_label_stack is not None:
                                    for child in self.sr_label_stack:
                                        if child is not None:
                                            return True

                                if self.tunnel_interface_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.BackupTunnelRewrite']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:failed-rewrite'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.backup_active is not None:
                                return True

                            if self.backup_tunnel_rewrite is not None and self.backup_tunnel_rewrite._has_data():
                                return True

                            if self.explicit_null is not None:
                                return True

                            if self.label is not None:
                                return True

                            if self.out_rewrite_role is not None:
                                return True

                            if self.primary_s2l is not None and self.primary_s2l._has_data():
                                return True

                            if self.protocol_transported is not None:
                                return True

                            if self.s2l_source is not None:
                                return True

                            if self.timestamp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite']['meta_info']


                    class PendingRewrite(object):
                        """
                        Pending rewrite details
                        
                        .. attribute:: backup_active
                        
                        	Backup is active
                        	**type**\:  bool
                        
                        .. attribute:: backup_tunnel_rewrite
                        
                        	Properties of the S2L's backup tunnel rewrite
                        	**type**\:   :py:class:`BackupTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.BackupTunnelRewrite>`
                        
                        .. attribute:: explicit_null
                        
                        	Imposition of explicit NULL
                        	**type**\:   :py:class:`TeS2LOutputRwExplicitNullEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LOutputRwExplicitNullEnum>`
                        
                        .. attribute:: label
                        
                        	Local label of the rewrite
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: out_rewrite_role
                        
                        	Role of the associated S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: primary_s2l
                        
                        	Properties of the S2L rewrite
                        	**type**\:   :py:class:`PrimaryS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.PrimaryS2L>`
                        
                        .. attribute:: protocol_transported
                        
                        	Protocol transported in the S2L
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_source
                        
                        	Source of the S2L
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: timestamp
                        
                        	Time stamp of the entry (secs since 1/1/70)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.backup_active = None
                            self.backup_tunnel_rewrite = MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.BackupTunnelRewrite()
                            self.backup_tunnel_rewrite.parent = self
                            self.explicit_null = None
                            self.label = None
                            self.out_rewrite_role = None
                            self.primary_s2l = MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.PrimaryS2L()
                            self.primary_s2l.parent = self
                            self.protocol_transported = None
                            self.s2l_source = None
                            self.timestamp = None


                        class PrimaryS2L(object):
                            """
                            Properties of the S2L rewrite
                            
                            .. attribute:: bandwidth_accounting_requested
                            
                            	Bandwidth accounting requested with this entry
                            	**type**\:  bool
                            
                            .. attribute:: next_hop_address
                            
                            	Next hop address associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: out_label
                            
                            	Output label associated with the entry
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: parent_interface_name
                            
                            	Interface name of the parent intf
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: physica_interface_name
                            
                            	Physical interface associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: sr_label_stack
                            
                            	Segment\-Routing labels stack
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tunnel_interface_name
                            
                            	Interface handle of the associated tunnel
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bandwidth_accounting_requested = None
                                self.next_hop_address = None
                                self.out_label = None
                                self.parent_interface_name = None
                                self.physica_interface_name = None
                                self.sr_label_stack = YLeafList()
                                self.sr_label_stack.parent = self
                                self.sr_label_stack.name = 'sr_label_stack'
                                self.tunnel_interface_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:primary-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bandwidth_accounting_requested is not None:
                                    return True

                                if self.next_hop_address is not None:
                                    return True

                                if self.out_label is not None:
                                    return True

                                if self.parent_interface_name is not None:
                                    return True

                                if self.physica_interface_name is not None:
                                    return True

                                if self.sr_label_stack is not None:
                                    for child in self.sr_label_stack:
                                        if child is not None:
                                            return True

                                if self.tunnel_interface_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.PrimaryS2L']['meta_info']


                        class BackupTunnelRewrite(object):
                            """
                            Properties of the S2L's backup tunnel rewrite
                            
                            .. attribute:: bandwidth_accounting_requested
                            
                            	Bandwidth accounting requested with this entry
                            	**type**\:  bool
                            
                            .. attribute:: next_hop_address
                            
                            	Next hop address associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: out_label
                            
                            	Output label associated with the entry
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: parent_interface_name
                            
                            	Interface name of the parent intf
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: physica_interface_name
                            
                            	Physical interface associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: sr_label_stack
                            
                            	Segment\-Routing labels stack
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tunnel_interface_name
                            
                            	Interface handle of the associated tunnel
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bandwidth_accounting_requested = None
                                self.next_hop_address = None
                                self.out_label = None
                                self.parent_interface_name = None
                                self.physica_interface_name = None
                                self.sr_label_stack = YLeafList()
                                self.sr_label_stack.parent = self
                                self.sr_label_stack.name = 'sr_label_stack'
                                self.tunnel_interface_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:backup-tunnel-rewrite'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bandwidth_accounting_requested is not None:
                                    return True

                                if self.next_hop_address is not None:
                                    return True

                                if self.out_label is not None:
                                    return True

                                if self.parent_interface_name is not None:
                                    return True

                                if self.physica_interface_name is not None:
                                    return True

                                if self.sr_label_stack is not None:
                                    for child in self.sr_label_stack:
                                        if child is not None:
                                            return True

                                if self.tunnel_interface_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.BackupTunnelRewrite']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:pending-rewrite'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.backup_active is not None:
                                return True

                            if self.backup_tunnel_rewrite is not None and self.backup_tunnel_rewrite._has_data():
                                return True

                            if self.explicit_null is not None:
                                return True

                            if self.label is not None:
                                return True

                            if self.out_rewrite_role is not None:
                                return True

                            if self.primary_s2l is not None and self.primary_s2l._has_data():
                                return True

                            if self.protocol_transported is not None:
                                return True

                            if self.s2l_source is not None:
                                return True

                            if self.timestamp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-output-rewrite'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.failed_rewrite is not None and self.failed_rewrite._has_data():
                            return True

                        if self.pending_rewrite is not None and self.pending_rewrite._has_data():
                            return True

                        if self.subfamily is not None and self.subfamily._has_data():
                            return True

                        if self.successful_rewrite is not None and self.successful_rewrite._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite']['meta_info']


                class S2L(object):
                    """
                    Unique identifiers for the S2L sharing the
                    rewrite
                    
                    .. attribute:: destination_address
                    
                    	Destination
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: sub_group_id
                    
                    	S2L Sub\-Group ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: sub_group_original_id
                    
                    	S2L Sub\-Group Originator ID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.destination_address = None
                        self.sub_group_id = None
                        self.sub_group_original_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.destination_address is not None:
                            return True

                        if self.sub_group_id is not None:
                            return True

                        if self.sub_group_original_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2L']['meta_info']


                class S2LsrPath(object):
                    """
                    Segment\-Routing Paths
                    
                    .. attribute:: backup_path_id
                    
                    	Backup Path Identifier
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_backup
                    
                    	True if path is backup
                    	**type**\:  bool
                    
                    .. attribute:: is_primary
                    
                    	True if path is primary
                    	**type**\:  bool
                    
                    .. attribute:: next_hop
                    
                    	Next hop
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: outgoing_interface
                    
                    	Outgoing Interface Name
                    	**type**\:  str
                    
                    .. attribute:: outgoing_labels_stack
                    
                    	Outgoing Labels Stack
                    	**type**\:  list of int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_id
                    
                    	Path Identifier
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.backup_path_id = None
                        self.is_backup = None
                        self.is_primary = None
                        self.next_hop = None
                        self.outgoing_interface = None
                        self.outgoing_labels_stack = YLeafList()
                        self.outgoing_labels_stack.parent = self
                        self.outgoing_labels_stack.name = 'outgoing_labels_stack'
                        self.path_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2lsr-path'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.backup_path_id is not None:
                            return True

                        if self.is_backup is not None:
                            return True

                        if self.is_primary is not None:
                            return True

                        if self.next_hop is not None:
                            return True

                        if self.outgoing_interface is not None:
                            return True

                        if self.outgoing_labels_stack is not None:
                            for child in self.outgoing_labels_stack:
                                if child is not None:
                                    return True

                        if self.path_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LsrPath']['meta_info']

                @property
                def _common_path(self):
                    if self.ctype is None:
                        raise YPYModelError('Key property ctype is None')
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.extended_tunnel_id is None:
                        raise YPYModelError('Key property extended_tunnel_id is None')
                    if self.lsp_id is None:
                        raise YPYModelError('Key property lsp_id is None')
                    if self.next_hop_address is None:
                        raise YPYModelError('Key property next_hop_address is None')
                    if self.p2mp_id is None:
                        raise YPYModelError('Key property p2mp_id is None')
                    if self.previous_hop_address is None:
                        raise YPYModelError('Key property previous_hop_address is None')
                    if self.source_address is None:
                        raise YPYModelError('Key property source_address is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:p2mp/Cisco-IOS-XR-mpls-te-oper:forwarding-output-label-rewrites/Cisco-IOS-XR-mpls-te-oper:forwarding-output-label-rewrite[Cisco-IOS-XR-mpls-te-oper:ctype = ' + str(self.ctype) + '][Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:extended-tunnel-id = ' + str(self.extended_tunnel_id) + '][Cisco-IOS-XR-mpls-te-oper:lsp-id = ' + str(self.lsp_id) + '][Cisco-IOS-XR-mpls-te-oper:next-hop-address = ' + str(self.next_hop_address) + '][Cisco-IOS-XR-mpls-te-oper:p2mp-id = ' + str(self.p2mp_id) + '][Cisco-IOS-XR-mpls-te-oper:previous-hop-address = ' + str(self.previous_hop_address) + '][Cisco-IOS-XR-mpls-te-oper:source-address = ' + str(self.source_address) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ctype is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.next_hop_address is not None:
                        return True

                    if self.p2mp_id is not None:
                        return True

                    if self.previous_hop_address is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.backup_tunnel_name is not None:
                        return True

                    if self.is_segment_routing is not None:
                        return True

                    if self.original_input_interface is not None:
                        return True

                    if self.output_interface_name is not None:
                        return True

                    if self.s2l is not None:
                        for child_ref in self.s2l:
                            if child_ref._has_data():
                                return True

                    if self.s2l_output_rewrite is not None and self.s2l_output_rewrite._has_data():
                        return True

                    if self.s2lsr_path is not None:
                        for child_ref in self.s2lsr_path:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:p2mp/Cisco-IOS-XR-mpls-te-oper:forwarding-output-label-rewrites'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.forwarding_output_label_rewrite is not None:
                    for child_ref in self.forwarding_output_label_rewrite:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:p2mp'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.collaborator_timers is not None and self.collaborator_timers._has_data():
                return True

            if self.forwarding_output_label_rewrites is not None and self.forwarding_output_label_rewrites._has_data():
                return True

            if self.tunnel_rewrites is not None and self.tunnel_rewrites._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.P2Mp']['meta_info']


    class OpenConfig(object):
        """
        OpenConfig MPLS TE operational data
        
        .. attribute:: lsp_counters
        
        	Table of LSP Counters
        	**type**\:   :py:class:`LspCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.OpenConfig.LspCounters>`
        
        .. attribute:: lsp_states
        
        	Table of LSP State Info
        	**type**\:   :py:class:`LspStates <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.OpenConfig.LspStates>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.lsp_counters = MplsTe.OpenConfig.LspCounters()
            self.lsp_counters.parent = self
            self.lsp_states = MplsTe.OpenConfig.LspStates()
            self.lsp_states.parent = self


        class LspStates(object):
            """
            Table of LSP State Info
            
            .. attribute:: lsp_state
            
            	MPLS TE LSP State Info
            	**type**\: list of    :py:class:`LspState <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.OpenConfig.LspStates.LspState>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.lsp_state = YList()
                self.lsp_state.parent = self
                self.lsp_state.name = 'lsp_state'


            class LspState(object):
                """
                MPLS TE LSP State Info
                
                .. attribute:: tunnel_name  <key>
                
                	Tunnel Name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: tunnel_type  <key>
                
                	Tunnel Type
                	**type**\:   :py:class:`OcMplsTeTunnelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.OcMplsTeTunnelEnum>`
                
                .. attribute:: admin_status
                
                	Admin Status
                	**type**\:   :py:class:`LspAdminStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.LspAdminStatusEnum>`
                
                .. attribute:: description
                
                	Description
                	**type**\:  str
                
                .. attribute:: hold_priority
                
                	Hold priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: local_id
                
                	Local ID \- TBD
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: metric
                
                	Metric type
                	**type**\:   :py:class:`OcMplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.OcMplsTeMetricEnum>`
                
                .. attribute:: name
                
                	LSP Name
                	**type**\:  str
                
                .. attribute:: oper_status
                
                	Operational Status
                	**type**\:   :py:class:`LspOperStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.LspOperStatusEnum>`
                
                .. attribute:: protection_style_requested
                
                	Protection Style Requested
                	**type**\:   :py:class:`MplsProtectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsProtectionEnum>`
                
                .. attribute:: reoptimize_timer
                
                	frequency of reoptimization
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: role
                
                	Role
                	**type**\:   :py:class:`MplsTeLspRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspRoleEnum>`
                
                .. attribute:: setup_priority
                
                	Setup priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: signaling_protocol
                
                	Signaling Protocol
                	**type**\:   :py:class:`MplsTeProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeProtocolEnum>`
                
                .. attribute:: soft_preemption
                
                	Soft Preemption
                	**type**\:  bool
                
                .. attribute:: source
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: type
                
                	LSP Type
                	**type**\:   :py:class:`OcMplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.OcMplsTeLspEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.tunnel_name = None
                    self.tunnel_type = None
                    self.admin_status = None
                    self.description = None
                    self.hold_priority = None
                    self.local_id = None
                    self.metric = None
                    self.name = None
                    self.oper_status = None
                    self.protection_style_requested = None
                    self.reoptimize_timer = None
                    self.role = None
                    self.setup_priority = None
                    self.signaling_protocol = None
                    self.soft_preemption = None
                    self.source = None
                    self.type = None

                @property
                def _common_path(self):
                    if self.tunnel_name is None:
                        raise YPYModelError('Key property tunnel_name is None')
                    if self.tunnel_type is None:
                        raise YPYModelError('Key property tunnel_type is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:open-config/Cisco-IOS-XR-mpls-te-oper:lsp-states/Cisco-IOS-XR-mpls-te-oper:lsp-state[Cisco-IOS-XR-mpls-te-oper:tunnel-name = ' + str(self.tunnel_name) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-type = ' + str(self.tunnel_type) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.tunnel_name is not None:
                        return True

                    if self.tunnel_type is not None:
                        return True

                    if self.admin_status is not None:
                        return True

                    if self.description is not None:
                        return True

                    if self.hold_priority is not None:
                        return True

                    if self.local_id is not None:
                        return True

                    if self.metric is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.oper_status is not None:
                        return True

                    if self.protection_style_requested is not None:
                        return True

                    if self.reoptimize_timer is not None:
                        return True

                    if self.role is not None:
                        return True

                    if self.setup_priority is not None:
                        return True

                    if self.signaling_protocol is not None:
                        return True

                    if self.soft_preemption is not None:
                        return True

                    if self.source is not None:
                        return True

                    if self.type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.OpenConfig.LspStates.LspState']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:open-config/Cisco-IOS-XR-mpls-te-oper:lsp-states'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.lsp_state is not None:
                    for child_ref in self.lsp_state:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.OpenConfig.LspStates']['meta_info']


        class LspCounters(object):
            """
            Table of LSP Counters
            
            .. attribute:: lsp_counter
            
            	MPLS TE LSP Counters
            	**type**\: list of    :py:class:`LspCounter <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.OpenConfig.LspCounters.LspCounter>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.lsp_counter = YList()
                self.lsp_counter.parent = self
                self.lsp_counter.name = 'lsp_counter'


            class LspCounter(object):
                """
                MPLS TE LSP Counters
                
                .. attribute:: tunnel_name  <key>
                
                	Tunnel Name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: tunnel_type  <key>
                
                	Tunnel Type
                	**type**\:   :py:class:`OcMplsTeTunnelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.OcMplsTeTunnelEnum>`
                
                .. attribute:: bytes
                
                	Number of bytes forwarded over the lsp
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                	**units**\: byte
                
                .. attribute:: current_path_time
                
                	Timestamp of LSP switched onto current path
                	**type**\:  str
                
                .. attribute:: name
                
                	LSP Name
                	**type**\:  str
                
                .. attribute:: next_reoptimization_time
                
                	Timestamp of next scheduled reoptmiziation
                	**type**\:  str
                
                .. attribute:: online_time
                
                	Timestamp of LSP oper state up
                	**type**\:  str
                
                .. attribute:: packets
                
                	Number of packets forwarded over the lsp
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: path_changes
                
                	Number of path changes for the lsp
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: state_changes
                
                	Number of state changes for the lsp
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: type
                
                	LSP Type
                	**type**\:   :py:class:`OcMplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.OcMplsTeLspEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.tunnel_name = None
                    self.tunnel_type = None
                    self.bytes = None
                    self.current_path_time = None
                    self.name = None
                    self.next_reoptimization_time = None
                    self.online_time = None
                    self.packets = None
                    self.path_changes = None
                    self.state_changes = None
                    self.type = None

                @property
                def _common_path(self):
                    if self.tunnel_name is None:
                        raise YPYModelError('Key property tunnel_name is None')
                    if self.tunnel_type is None:
                        raise YPYModelError('Key property tunnel_type is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:open-config/Cisco-IOS-XR-mpls-te-oper:lsp-counters/Cisco-IOS-XR-mpls-te-oper:lsp-counter[Cisco-IOS-XR-mpls-te-oper:tunnel-name = ' + str(self.tunnel_name) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-type = ' + str(self.tunnel_type) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.tunnel_name is not None:
                        return True

                    if self.tunnel_type is not None:
                        return True

                    if self.bytes is not None:
                        return True

                    if self.current_path_time is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.next_reoptimization_time is not None:
                        return True

                    if self.online_time is not None:
                        return True

                    if self.packets is not None:
                        return True

                    if self.path_changes is not None:
                        return True

                    if self.state_changes is not None:
                        return True

                    if self.type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.OpenConfig.LspCounters.LspCounter']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:open-config/Cisco-IOS-XR-mpls-te-oper:lsp-counters'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.lsp_counter is not None:
                    for child_ref in self.lsp_counter:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.OpenConfig.LspCounters']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:open-config'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.lsp_counters is not None and self.lsp_counters._has_data():
                return True

            if self.lsp_states is not None and self.lsp_states._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.OpenConfig']['meta_info']


    class LspOutOfResources(object):
        """
        LSP OOR information
        
        .. attribute:: summary
        
        	LSP OOR Summary information
        	**type**\:   :py:class:`Summary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.LspOutOfResources.Summary>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.summary = MplsTe.LspOutOfResources.Summary()
            self.summary.parent = self


        class Summary(object):
            """
            LSP OOR Summary information
            
            .. attribute:: lsp_oor_green_recovery_time
            
            	Time Remaining in Green Recovery State (seconds)
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: lsp_oor_state
            
            	The current LSP OOR state
            	**type**\:   :py:class:`LspOorStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.LspOorStateEnum>`
            
            .. attribute:: lsp_oor_state_xr
            
            	Array of LSP OOR info per state
            	**type**\: list of    :py:class:`LspOorStateXr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.LspOutOfResources.Summary.LspOorStateXr>`
            
            .. attribute:: lsp_oor_timestamp
            
            	Timestamp when the OOR state last changed
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: transit_lsp_total_count
            
            	Number of all transit LSPs on the router
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: transit_lsp_unprotected_count
            
            	Number of unprotected transit LSPs on the router
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.lsp_oor_green_recovery_time = None
                self.lsp_oor_state = None
                self.lsp_oor_state_xr = YList()
                self.lsp_oor_state_xr.parent = self
                self.lsp_oor_state_xr.name = 'lsp_oor_state_xr'
                self.lsp_oor_timestamp = None
                self.transit_lsp_total_count = None
                self.transit_lsp_unprotected_count = None


            class LspOorStateXr(object):
                """
                Array of LSP OOR info per state
                
                .. attribute:: accept_reopt
                
                	Make\-before\-break is allowed for LSPs reoptimizing over the same link in the LSP OOR state
                	**type**\:  bool
                
                .. attribute:: available_bw_percentage
                
                	The flooded percentage of available bandwidth advertized when the link is in this LSP OOR state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: percentage
                
                .. attribute:: lsp_oor_state
                
                	The LSP\-OOR state that this information belongs to
                	**type**\:   :py:class:`LspOorStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.LspOorStateEnum>`
                
                .. attribute:: minimum_lsp_bandwidth
                
                	Minimum LSP bandwidth so the LSP is admitted when the link is in this LSP OOR state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: statistics
                
                	LSP OOR Statistics
                	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.LspOutOfResources.Summary.LspOorStateXr.Statistics>`
                
                .. attribute:: te_metric_penalty
                
                	The TE metric penalty when the link is in this LSP OOR state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: threshold_transit_all
                
                	The number of transit LSPs that triggers OOR state transition
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: threshold_transit_unprotected
                
                	The number of unprotected transit LSPs that triggers OOR state transition
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: transition_duration
                
                	Recovery in minutes after the green LSP OOR state is entered
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: minute
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.accept_reopt = None
                    self.available_bw_percentage = None
                    self.lsp_oor_state = None
                    self.minimum_lsp_bandwidth = None
                    self.statistics = MplsTe.LspOutOfResources.Summary.LspOorStateXr.Statistics()
                    self.statistics.parent = self
                    self.te_metric_penalty = None
                    self.threshold_transit_all = None
                    self.threshold_transit_unprotected = None
                    self.transition_duration = None


                class Statistics(object):
                    """
                    LSP OOR Statistics
                    
                    .. attribute:: accepted_ls_ps_number
                    
                    	Number of LSPs that were accepted in this state
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: accepted_reopt_ls_ps_number
                    
                    	Number of Reoptimize LSPs that were accepted in this state
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rejected_ls_ps_number
                    
                    	Number of LSPs that were rejected in this state
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rejected_reopt_ls_ps_number
                    
                    	Number of Reoptimize LSPs that were rejected in this state
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: transitions
                    
                    	Number of transitions to this state
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.accepted_ls_ps_number = None
                        self.accepted_reopt_ls_ps_number = None
                        self.rejected_ls_ps_number = None
                        self.rejected_reopt_ls_ps_number = None
                        self.transitions = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:lsp-out-of-resources/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:lsp-oor-state-xr/Cisco-IOS-XR-mpls-te-oper:statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.accepted_ls_ps_number is not None:
                            return True

                        if self.accepted_reopt_ls_ps_number is not None:
                            return True

                        if self.rejected_ls_ps_number is not None:
                            return True

                        if self.rejected_reopt_ls_ps_number is not None:
                            return True

                        if self.transitions is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.LspOutOfResources.Summary.LspOorStateXr.Statistics']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:lsp-out-of-resources/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:lsp-oor-state-xr'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.accept_reopt is not None:
                        return True

                    if self.available_bw_percentage is not None:
                        return True

                    if self.lsp_oor_state is not None:
                        return True

                    if self.minimum_lsp_bandwidth is not None:
                        return True

                    if self.statistics is not None and self.statistics._has_data():
                        return True

                    if self.te_metric_penalty is not None:
                        return True

                    if self.threshold_transit_all is not None:
                        return True

                    if self.threshold_transit_unprotected is not None:
                        return True

                    if self.transition_duration is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.LspOutOfResources.Summary.LspOorStateXr']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:lsp-out-of-resources/Cisco-IOS-XR-mpls-te-oper:summary'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.lsp_oor_green_recovery_time is not None:
                    return True

                if self.lsp_oor_state is not None:
                    return True

                if self.lsp_oor_state_xr is not None:
                    for child_ref in self.lsp_oor_state_xr:
                        if child_ref._has_data():
                            return True

                if self.lsp_oor_timestamp is not None:
                    return True

                if self.transit_lsp_total_count is not None:
                    return True

                if self.transit_lsp_unprotected_count is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.LspOutOfResources.Summary']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:lsp-out-of-resources'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.summary is not None and self.summary._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.LspOutOfResources']['meta_info']


    class Bfd(object):
        """
        MPLS TE BFD Oper Info
        
        .. attribute:: counters
        
        	MPLS TE BFD Counters
        	**type**\:   :py:class:`Counters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Bfd.Counters>`
        
        .. attribute:: head_infos
        
        	MPLS TE Head BFD Over LSP Table
        	**type**\:   :py:class:`HeadInfos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Bfd.HeadInfos>`
        
        .. attribute:: links
        
        	MPLS TE BFD Info
        	**type**\:   :py:class:`Links <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Bfd.Links>`
        
        .. attribute:: summary
        
        	MPLS TE BFD Summary
        	**type**\:   :py:class:`Summary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Bfd.Summary>`
        
        .. attribute:: tail_infos
        
        	MPLS TE Tail BFD Over LSP Table
        	**type**\:   :py:class:`TailInfos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Bfd.TailInfos>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.counters = MplsTe.Bfd.Counters()
            self.counters.parent = self
            self.head_infos = MplsTe.Bfd.HeadInfos()
            self.head_infos.parent = self
            self.links = MplsTe.Bfd.Links()
            self.links.parent = self
            self.summary = MplsTe.Bfd.Summary()
            self.summary.parent = self
            self.tail_infos = MplsTe.Bfd.TailInfos()
            self.tail_infos.parent = self


        class HeadInfos(object):
            """
            MPLS TE Head BFD Over LSP Table
            
            .. attribute:: head_info
            
            	MPLS TE Head End BFD Over LSP Info
            	**type**\: list of    :py:class:`HeadInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Bfd.HeadInfos.HeadInfo>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.head_info = YList()
                self.head_info.parent = self
                self.head_info.name = 'head_info'


            class HeadInfo(object):
                """
                MPLS TE Head End BFD Over LSP Info
                
                .. attribute:: tunnel_name  <key>
                
                	Tunnel Name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: current_lspbfd_info
                
                	Current LSP BFD Info
                	**type**\:   :py:class:`CurrentLspbfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Bfd.HeadInfos.HeadInfo.CurrentLspbfdInfo>`
                
                .. attribute:: destination_address
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lspbfd_type
                
                	LSP BFD type
                	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                
                .. attribute:: reoptimized_lspbfd_info
                
                	Reoptimized LSP BFD Info
                	**type**\:   :py:class:`ReoptimizedLspbfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Bfd.HeadInfos.HeadInfo.ReoptimizedLspbfdInfo>`
                
                .. attribute:: standby_lspbfd_info
                
                	Standby LSP BFD Info
                	**type**\:   :py:class:`StandbyLspbfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Bfd.HeadInfos.HeadInfo.StandbyLspbfdInfo>`
                
                .. attribute:: tunnel_name_xr
                
                	Tunnel name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.tunnel_name = None
                    self.current_lspbfd_info = MplsTe.Bfd.HeadInfos.HeadInfo.CurrentLspbfdInfo()
                    self.current_lspbfd_info.parent = self
                    self.destination_address = None
                    self.lspbfd_type = None
                    self.reoptimized_lspbfd_info = MplsTe.Bfd.HeadInfos.HeadInfo.ReoptimizedLspbfdInfo()
                    self.reoptimized_lspbfd_info.parent = self
                    self.standby_lspbfd_info = MplsTe.Bfd.HeadInfos.HeadInfo.StandbyLspbfdInfo()
                    self.standby_lspbfd_info.parent = self
                    self.tunnel_name_xr = None


                class CurrentLspbfdInfo(object):
                    """
                    Current LSP BFD Info
                    
                    .. attribute:: bfd_session_state
                    
                    	BFD Session State
                    	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                    
                    .. attribute:: lsp_id
                    
                    	LSP ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bfd_session_state = None
                        self.lsp_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:current-lspbfd-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bfd_session_state is not None:
                            return True

                        if self.lsp_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Bfd.HeadInfos.HeadInfo.CurrentLspbfdInfo']['meta_info']


                class StandbyLspbfdInfo(object):
                    """
                    Standby LSP BFD Info
                    
                    .. attribute:: bfd_session_state
                    
                    	BFD Session State
                    	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                    
                    .. attribute:: lsp_id
                    
                    	LSP ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bfd_session_state = None
                        self.lsp_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:standby-lspbfd-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bfd_session_state is not None:
                            return True

                        if self.lsp_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Bfd.HeadInfos.HeadInfo.StandbyLspbfdInfo']['meta_info']


                class ReoptimizedLspbfdInfo(object):
                    """
                    Reoptimized LSP BFD Info
                    
                    .. attribute:: bfd_session_state
                    
                    	BFD Session State
                    	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                    
                    .. attribute:: lsp_id
                    
                    	LSP ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bfd_session_state = None
                        self.lsp_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reoptimized-lspbfd-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bfd_session_state is not None:
                            return True

                        if self.lsp_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Bfd.HeadInfos.HeadInfo.ReoptimizedLspbfdInfo']['meta_info']

                @property
                def _common_path(self):
                    if self.tunnel_name is None:
                        raise YPYModelError('Key property tunnel_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:head-infos/Cisco-IOS-XR-mpls-te-oper:head-info[Cisco-IOS-XR-mpls-te-oper:tunnel-name = ' + str(self.tunnel_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.tunnel_name is not None:
                        return True

                    if self.current_lspbfd_info is not None and self.current_lspbfd_info._has_data():
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.lspbfd_type is not None:
                        return True

                    if self.reoptimized_lspbfd_info is not None and self.reoptimized_lspbfd_info._has_data():
                        return True

                    if self.standby_lspbfd_info is not None and self.standby_lspbfd_info._has_data():
                        return True

                    if self.tunnel_name_xr is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Bfd.HeadInfos.HeadInfo']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:head-infos'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.head_info is not None:
                    for child_ref in self.head_info:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.Bfd.HeadInfos']['meta_info']


        class Links(object):
            """
            MPLS TE BFD Info
            
            .. attribute:: link
            
            	MPLS TE BFD Info
            	**type**\: list of    :py:class:`Link <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Bfd.Links.Link>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.link = YList()
                self.link.parent = self
                self.link.name = 'link'


            class Link(object):
                """
                MPLS TE BFD Info
                
                .. attribute:: interface_name  <key>
                
                	Interface name
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: neighbor
                
                	Neighbors of the specified link id
                	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Bfd.Links.Link.Neighbor>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.interface_name = None
                    self.neighbor = YList()
                    self.neighbor.parent = self
                    self.neighbor.name = 'neighbor'


                class Neighbor(object):
                    """
                    Neighbors of the specified link id
                    
                    .. attribute:: is_bfd_up
                    
                    	TRUE if the BFD session is Up on this link
                    	**type**\:  bool
                    
                    .. attribute:: neighbor_address
                    
                    	The neighbor's IP address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.is_bfd_up = None
                        self.neighbor_address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:neighbor'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.is_bfd_up is not None:
                            return True

                        if self.neighbor_address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Bfd.Links.Link.Neighbor']['meta_info']

                @property
                def _common_path(self):
                    if self.interface_name is None:
                        raise YPYModelError('Key property interface_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:links/Cisco-IOS-XR-mpls-te-oper:link[Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.interface_name is not None:
                        return True

                    if self.neighbor is not None:
                        for child_ref in self.neighbor:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Bfd.Links.Link']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:links'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.link is not None:
                    for child_ref in self.link:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.Bfd.Links']['meta_info']


        class TailInfos(object):
            """
            MPLS TE Tail BFD Over LSP Table
            
            .. attribute:: tail_info
            
            	MPLS TE Tail End BFD Over LSP Info
            	**type**\: list of    :py:class:`TailInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Bfd.TailInfos.TailInfo>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tail_info = YList()
                self.tail_info.parent = self
                self.tail_info.name = 'tail_info'


            class TailInfo(object):
                """
                MPLS TE Tail End BFD Over LSP Info
                
                .. attribute:: bfd_session_state
                
                	BFD Session State
                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                
                .. attribute:: ctype
                
                	Ctype
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: destination_address
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lsp_fec
                
                	FEC for the LSP
                	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Bfd.TailInfos.TailInfo.LspFec>`
                
                .. attribute:: lsp_id
                
                	LSP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: p2mp_id
                
                	P2MP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: signaled_name
                
                	Signaled Name
                	**type**\:  str
                
                .. attribute:: source_address
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.bfd_session_state = None
                    self.ctype = None
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.lsp_fec = MplsTe.Bfd.TailInfos.TailInfo.LspFec()
                    self.lsp_fec.parent = self
                    self.lsp_id = None
                    self.p2mp_id = None
                    self.signaled_name = None
                    self.source_address = None
                    self.tunnel_id = None


                class LspFec(object):
                    """
                    FEC for the LSP
                    
                    .. attribute:: fec_destination_info
                    
                    	Destination or P2MP ID
                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Bfd.TailInfos.TailInfo.LspFec.FecDestinationInfo>`
                    
                    .. attribute:: fec_extended_tunnel_id
                    
                    	Extended tunnel ID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: fec_lsp_id
                    
                    	LSP ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: fec_source
                    
                    	Tunnel source address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: fec_tunnel_id
                    
                    	Tunnel ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: fec_vrf
                    
                    	VRF; currently only for GMPLS tunnels
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.fec_destination_info = MplsTe.Bfd.TailInfos.TailInfo.LspFec.FecDestinationInfo()
                        self.fec_destination_info.parent = self
                        self.fec_extended_tunnel_id = None
                        self.fec_lsp_id = None
                        self.fec_source = None
                        self.fec_tunnel_id = None
                        self.fec_vrf = None


                    class FecDestinationInfo(object):
                        """
                        Destination or P2MP ID
                        
                        .. attribute:: fec_ctype
                        
                        	FEC CType
                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                        
                        .. attribute:: fec_destination_p2mp_id
                        
                        	P2MP ID
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: p2p_lsp_destination
                        
                        	P2P LSP destination
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_ctype = None
                            self.fec_destination_p2mp_id = None
                            self.p2p_lsp_destination = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:tail-infos/Cisco-IOS-XR-mpls-te-oper:tail-info/Cisco-IOS-XR-mpls-te-oper:lsp-fec/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_ctype is not None:
                                return True

                            if self.fec_destination_p2mp_id is not None:
                                return True

                            if self.p2p_lsp_destination is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Bfd.TailInfos.TailInfo.LspFec.FecDestinationInfo']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:tail-infos/Cisco-IOS-XR-mpls-te-oper:tail-info/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                            return True

                        if self.fec_extended_tunnel_id is not None:
                            return True

                        if self.fec_lsp_id is not None:
                            return True

                        if self.fec_source is not None:
                            return True

                        if self.fec_tunnel_id is not None:
                            return True

                        if self.fec_vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Bfd.TailInfos.TailInfo.LspFec']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:tail-infos/Cisco-IOS-XR-mpls-te-oper:tail-info'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.bfd_session_state is not None:
                        return True

                    if self.ctype is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.lsp_fec is not None and self.lsp_fec._has_data():
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.p2mp_id is not None:
                        return True

                    if self.signaled_name is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Bfd.TailInfos.TailInfo']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:tail-infos'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tail_info is not None:
                    for child_ref in self.tail_info:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.Bfd.TailInfos']['meta_info']


        class Summary(object):
            """
            MPLS TE BFD Summary
            
            .. attribute:: head_lsp_count_sbfd_session_created
            
            	Number of head end LSP with SBFD session created
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: head_lsp_count_sbfd_up
            
            	Number of head end LSP with SBFD session in up state
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: head_lsp_count_session_created
            
            	Number of head end LSP with BFD session created
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: head_lsp_count_up
            
            	Number of head end LSP with BFD session in up state
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: link_count_bfd_enabled
            
            	Number of link with BFD enabled
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: link_count_session_created
            
            	Number of link with BFD session created
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: link_count_session_up
            
            	Number of link with BFD session in state Up
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: tail_lsp_count_session_created
            
            	Number of tail end LSP with BFD session created
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: tail_lsp_count_session_up
            
            	Number of tail end LSP with BFD session in up state
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: tunnel_count_bfd_enabled
            
            	Number of tunnel interface with BFD enabled
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: tunnel_count_sbfd_enabled
            
            	Number of tunnel interface with SBFD enabled
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: tunnel_count_sbfd_session_up
            
            	Number of tunnel with SBFD session in up state
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: tunnel_count_session_up
            
            	Number of tunnel with BFD session in up state
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: tunnel_count_total
            
            	Total number of tunnel interface
            	**type**\:  int
            
            	**range:** 0..65535
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.head_lsp_count_sbfd_session_created = None
                self.head_lsp_count_sbfd_up = None
                self.head_lsp_count_session_created = None
                self.head_lsp_count_up = None
                self.link_count_bfd_enabled = None
                self.link_count_session_created = None
                self.link_count_session_up = None
                self.tail_lsp_count_session_created = None
                self.tail_lsp_count_session_up = None
                self.tunnel_count_bfd_enabled = None
                self.tunnel_count_sbfd_enabled = None
                self.tunnel_count_sbfd_session_up = None
                self.tunnel_count_session_up = None
                self.tunnel_count_total = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:summary'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.head_lsp_count_sbfd_session_created is not None:
                    return True

                if self.head_lsp_count_sbfd_up is not None:
                    return True

                if self.head_lsp_count_session_created is not None:
                    return True

                if self.head_lsp_count_up is not None:
                    return True

                if self.link_count_bfd_enabled is not None:
                    return True

                if self.link_count_session_created is not None:
                    return True

                if self.link_count_session_up is not None:
                    return True

                if self.tail_lsp_count_session_created is not None:
                    return True

                if self.tail_lsp_count_session_up is not None:
                    return True

                if self.tunnel_count_bfd_enabled is not None:
                    return True

                if self.tunnel_count_sbfd_enabled is not None:
                    return True

                if self.tunnel_count_sbfd_session_up is not None:
                    return True

                if self.tunnel_count_session_up is not None:
                    return True

                if self.tunnel_count_total is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.Bfd.Summary']['meta_info']


        class Counters(object):
            """
            MPLS TE BFD Counters
            
            .. attribute:: bf_do_lm_counters
            
            	BFD over Links Cumulative Counters
            	**type**\:   :py:class:`BfDoLmCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Bfd.Counters.BfDoLmCounters>`
            
            .. attribute:: bfd_over_lsp_head_counters
            
            	BFD over Head\-end LSPs Cumulative Counters
            	**type**\:   :py:class:`BfdOverLspHeadCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Bfd.Counters.BfdOverLspHeadCounters>`
            
            .. attribute:: bfd_over_lsp_tail_counters
            
            	BFD over Tail\-end LSPs Cumulative Counters
            	**type**\:   :py:class:`BfdOverLspTailCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Bfd.Counters.BfdOverLspTailCounters>`
            
            .. attribute:: last_cleared_timestamp
            
            	The timestamp when these stats are cleared relative to Jan 1, 1970
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: sbfd_over_lsp_head_counters
            
            	SBFD over Head\-end LSPs Cumulative Counters
            	**type**\:   :py:class:`SbfdOverLspHeadCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Bfd.Counters.SbfdOverLspHeadCounters>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.bf_do_lm_counters = MplsTe.Bfd.Counters.BfDoLmCounters()
                self.bf_do_lm_counters.parent = self
                self.bfd_over_lsp_head_counters = MplsTe.Bfd.Counters.BfdOverLspHeadCounters()
                self.bfd_over_lsp_head_counters.parent = self
                self.bfd_over_lsp_tail_counters = MplsTe.Bfd.Counters.BfdOverLspTailCounters()
                self.bfd_over_lsp_tail_counters.parent = self
                self.last_cleared_timestamp = None
                self.sbfd_over_lsp_head_counters = MplsTe.Bfd.Counters.SbfdOverLspHeadCounters()
                self.sbfd_over_lsp_head_counters.parent = self


            class BfdOverLspHeadCounters(object):
                """
                BFD over Head\-end LSPs Cumulative Counters
                
                .. attribute:: session_admin_down_events
                
                	The number of BFDOverLSP session admin down events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_create_events
                
                	The number of BFDOverLSP session create events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_create_timeout_events
                
                	The number of BFDOverLSP session create timeout events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_creation_failed_events
                
                	The number of BFDOverLSP session creation failed events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_down_events
                
                	The number of BFDOverLSP session down events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_gracefully_delete_events
                
                	The number of BFDOverLSP session gracefully delete events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_non_gracefully_delete_events
                
                	The number of BFDOverLSP session non gracefully delete events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_replay_events
                
                	The number of BFDOverLSP session replay events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_up_events
                
                	The number of BFDOverLSP session up events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.session_admin_down_events = None
                    self.session_create_events = None
                    self.session_create_timeout_events = None
                    self.session_creation_failed_events = None
                    self.session_down_events = None
                    self.session_gracefully_delete_events = None
                    self.session_non_gracefully_delete_events = None
                    self.session_replay_events = None
                    self.session_up_events = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:counters/Cisco-IOS-XR-mpls-te-oper:bfd-over-lsp-head-counters'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.session_admin_down_events is not None:
                        return True

                    if self.session_create_events is not None:
                        return True

                    if self.session_create_timeout_events is not None:
                        return True

                    if self.session_creation_failed_events is not None:
                        return True

                    if self.session_down_events is not None:
                        return True

                    if self.session_gracefully_delete_events is not None:
                        return True

                    if self.session_non_gracefully_delete_events is not None:
                        return True

                    if self.session_replay_events is not None:
                        return True

                    if self.session_up_events is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Bfd.Counters.BfdOverLspHeadCounters']['meta_info']


            class SbfdOverLspHeadCounters(object):
                """
                SBFD over Head\-end LSPs Cumulative Counters
                
                .. attribute:: session_admin_down_events
                
                	The number of BFDOverLSP session admin down events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_create_events
                
                	The number of BFDOverLSP session create events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_create_timeout_events
                
                	The number of BFDOverLSP session create timeout events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_creation_failed_events
                
                	The number of BFDOverLSP session creation failed events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_down_events
                
                	The number of BFDOverLSP session down events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_gracefully_delete_events
                
                	The number of BFDOverLSP session gracefully delete events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_non_gracefully_delete_events
                
                	The number of BFDOverLSP session non gracefully delete events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_replay_events
                
                	The number of BFDOverLSP session replay events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_up_events
                
                	The number of BFDOverLSP session up events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.session_admin_down_events = None
                    self.session_create_events = None
                    self.session_create_timeout_events = None
                    self.session_creation_failed_events = None
                    self.session_down_events = None
                    self.session_gracefully_delete_events = None
                    self.session_non_gracefully_delete_events = None
                    self.session_replay_events = None
                    self.session_up_events = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:counters/Cisco-IOS-XR-mpls-te-oper:sbfd-over-lsp-head-counters'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.session_admin_down_events is not None:
                        return True

                    if self.session_create_events is not None:
                        return True

                    if self.session_create_timeout_events is not None:
                        return True

                    if self.session_creation_failed_events is not None:
                        return True

                    if self.session_down_events is not None:
                        return True

                    if self.session_gracefully_delete_events is not None:
                        return True

                    if self.session_non_gracefully_delete_events is not None:
                        return True

                    if self.session_replay_events is not None:
                        return True

                    if self.session_up_events is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Bfd.Counters.SbfdOverLspHeadCounters']['meta_info']


            class BfdOverLspTailCounters(object):
                """
                BFD over Tail\-end LSPs Cumulative Counters
                
                .. attribute:: session_admin_down_events
                
                	The number of BFDOverLM session admin down events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_create_events
                
                	The number of BFDOverLM session create events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_creation_failed_events
                
                	The number of BFDOverLM session creation failed events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_down_events
                
                	The number of BFDOverLM session down events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_gracefully_delete_events
                
                	The number of BFDOverLM session gracefully delete events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_non_gracefully_delete_events
                
                	The number of BFDOverLM session non gracefully delete events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_replay_events
                
                	The number of BFDOverLSP session replay events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_up_events
                
                	The number of BFDOverLM session up events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.session_admin_down_events = None
                    self.session_create_events = None
                    self.session_creation_failed_events = None
                    self.session_down_events = None
                    self.session_gracefully_delete_events = None
                    self.session_non_gracefully_delete_events = None
                    self.session_replay_events = None
                    self.session_up_events = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:counters/Cisco-IOS-XR-mpls-te-oper:bfd-over-lsp-tail-counters'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.session_admin_down_events is not None:
                        return True

                    if self.session_create_events is not None:
                        return True

                    if self.session_creation_failed_events is not None:
                        return True

                    if self.session_down_events is not None:
                        return True

                    if self.session_gracefully_delete_events is not None:
                        return True

                    if self.session_non_gracefully_delete_events is not None:
                        return True

                    if self.session_replay_events is not None:
                        return True

                    if self.session_up_events is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Bfd.Counters.BfdOverLspTailCounters']['meta_info']


            class BfDoLmCounters(object):
                """
                BFD over Links Cumulative Counters
                
                .. attribute:: session_admin_down_events
                
                	The number of BFDOverLM session admin down events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_create_events
                
                	The number of BFDOverLM session create events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_creation_failed_events
                
                	The number of BFDOverLM session creation failed events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_down_events
                
                	The number of BFDOverLM session down events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_gracefully_delete_events
                
                	The number of BFDOverLM session gracefully delete events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_non_gracefully_delete_events
                
                	The number of BFDOverLM session non gracefully delete events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_replay_events
                
                	The number of BFDOverLSP session replay events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_up_events
                
                	The number of BFDOverLM session up events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.session_admin_down_events = None
                    self.session_create_events = None
                    self.session_creation_failed_events = None
                    self.session_down_events = None
                    self.session_gracefully_delete_events = None
                    self.session_non_gracefully_delete_events = None
                    self.session_replay_events = None
                    self.session_up_events = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:counters/Cisco-IOS-XR-mpls-te-oper:bf-do-lm-counters'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.session_admin_down_events is not None:
                        return True

                    if self.session_create_events is not None:
                        return True

                    if self.session_creation_failed_events is not None:
                        return True

                    if self.session_down_events is not None:
                        return True

                    if self.session_gracefully_delete_events is not None:
                        return True

                    if self.session_non_gracefully_delete_events is not None:
                        return True

                    if self.session_replay_events is not None:
                        return True

                    if self.session_up_events is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Bfd.Counters.BfDoLmCounters']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:counters'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.bf_do_lm_counters is not None and self.bf_do_lm_counters._has_data():
                    return True

                if self.bfd_over_lsp_head_counters is not None and self.bfd_over_lsp_head_counters._has_data():
                    return True

                if self.bfd_over_lsp_tail_counters is not None and self.bfd_over_lsp_tail_counters._has_data():
                    return True

                if self.last_cleared_timestamp is not None:
                    return True

                if self.sbfd_over_lsp_head_counters is not None and self.sbfd_over_lsp_head_counters._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.Bfd.Counters']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:bfd'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.counters is not None and self.counters._has_data():
                return True

            if self.head_infos is not None and self.head_infos._has_data():
                return True

            if self.links is not None and self.links._has_data():
                return True

            if self.summary is not None and self.summary._has_data():
                return True

            if self.tail_infos is not None and self.tail_infos._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.Bfd']['meta_info']


    class Nsr(object):
        """
        MPLS TE NSR information
        
        .. attribute:: detail
        
        	MPLS TE NSR Status information
        	**type**\:   :py:class:`Detail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Detail>`
        
        .. attribute:: status
        
        	MPLS TE NSR Status information
        	**type**\:   :py:class:`Status <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Status>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.detail = MplsTe.Nsr.Detail()
            self.detail.parent = self
            self.status = MplsTe.Nsr.Status()
            self.status.parent = self


        class Status(object):
            """
            MPLS TE NSR Status information
            
            .. attribute:: role
            
            	Process role
            	**type**\:   :py:class:`TeProcRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProcRoleEnum>`
            
            .. attribute:: sync_status_information
            
            	Sync information for the NSR and ISSU
            	**type**\:   :py:class:`SyncStatusInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Status.SyncStatusInformation>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.role = None
                self.sync_status_information = MplsTe.Nsr.Status.SyncStatusInformation()
                self.sync_status_information.parent = self


            class SyncStatusInformation(object):
                """
                Sync information for the NSR and ISSU
                
                .. attribute:: master_sync_information
                
                	Master sync information
                	**type**\:   :py:class:`MasterSyncInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation>`
                
                .. attribute:: slave_sync_information
                
                	Slave sync information
                	**type**\:   :py:class:`SlaveSyncInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation>`
                
                .. attribute:: sync_show_type
                
                	SyncShowType
                	**type**\:   :py:class:`TeSyncStatusShowEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncStatusShowEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.master_sync_information = MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation()
                    self.master_sync_information.parent = self
                    self.slave_sync_information = MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation()
                    self.slave_sync_information.parent = self
                    self.sync_show_type = None


                class SlaveSyncInformation(object):
                    """
                    Slave sync information
                    
                    .. attribute:: idt
                    
                    	Sync status IDT information
                    	**type**\:   :py:class:`Idt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt>`
                    
                    .. attribute:: insync_sub_ls_ps
                    
                    	Sub\-LSPs in sync
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: insync_tunnels
                    
                    	Tunnels in sync
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pending_sub_ls_ps
                    
                    	Sub\-LSPs in sync pending
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pending_tunnels
                    
                    	Tunnels in sync pending
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l_pending
                    
                    	Pending sub\-LSPs details
                    	**type**\: list of    :py:class:`S2LPending <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending>`
                    
                    .. attribute:: vif_pending
                    
                    	Pending tunnels details
                    	**type**\: list of    :py:class:`VifPending <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.VifPending>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.idt = MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt()
                        self.idt.parent = self
                        self.insync_sub_ls_ps = None
                        self.insync_tunnels = None
                        self.pending_sub_ls_ps = None
                        self.pending_tunnels = None
                        self.s2l_pending = YList()
                        self.s2l_pending.parent = self
                        self.s2l_pending.name = 's2l_pending'
                        self.vif_pending = YList()
                        self.vif_pending.parent = self
                        self.vif_pending.name = 'vif_pending'


                    class Idt(object):
                        """
                        Sync status IDT information
                        
                        .. attribute:: current_idt_info
                        
                        	Current IDT information
                        	**type**\:   :py:class:`CurrentIdtInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo>`
                        
                        .. attribute:: previous_idt_status
                        
                        	Previous IDT information
                        	**type**\:   :py:class:`PreviousIdtStatus <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.current_idt_info = MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo()
                            self.current_idt_info.parent = self
                            self.previous_idt_status = MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus()
                            self.previous_idt_status.parent = self


                        class CurrentIdtInfo(object):
                            """
                            Current IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:current-idt-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo']['meta_info']


                        class PreviousIdtStatus(object):
                            """
                            Previous IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:previous-idt-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.current_idt_info is not None and self.current_idt_info._has_data():
                                return True

                            if self.previous_idt_status is not None and self.previous_idt_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']


                    class VifPending(object):
                        """
                        Pending tunnels details
                        
                        .. attribute:: pending_reason
                        
                        	Pending reason
                        	**type**\:   :py:class:`TeSyncPendingReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncPendingReasonEnum>`
                        
                        .. attribute:: tunnel_name
                        
                        	Tunnel name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.pending_reason = None
                            self.tunnel_name = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:vif-pending'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.pending_reason is not None:
                                return True

                            if self.tunnel_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.VifPending']['meta_info']


                    class S2LPending(object):
                        """
                        Pending sub\-LSPs details
                        
                        .. attribute:: pending_reason
                        
                        	Pending reason
                        	**type**\:   :py:class:`TeSyncPendingReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncPendingReasonEnum>`
                        
                        .. attribute:: s2l_role
                        
                        	S2L role
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: signaled_name
                        
                        	Signaled name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.pending_reason = None
                            self.s2l_role = None
                            self.signaled_name = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:s2l-pending'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.pending_reason is not None:
                                return True

                            if self.s2l_role is not None:
                                return True

                            if self.signaled_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.idt is not None and self.idt._has_data():
                            return True

                        if self.insync_sub_ls_ps is not None:
                            return True

                        if self.insync_tunnels is not None:
                            return True

                        if self.pending_sub_ls_ps is not None:
                            return True

                        if self.pending_tunnels is not None:
                            return True

                        if self.s2l_pending is not None:
                            for child_ref in self.s2l_pending:
                                if child_ref._has_data():
                                    return True

                        if self.vif_pending is not None:
                            for child_ref in self.vif_pending:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation']['meta_info']


                class MasterSyncInformation(object):
                    """
                    Master sync information
                    
                    .. attribute:: idt
                    
                    	Sync status IDT information
                    	**type**\:   :py:class:`Idt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.idt = MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt()
                        self.idt.parent = self


                    class Idt(object):
                        """
                        Sync status IDT information
                        
                        .. attribute:: current_idt_info
                        
                        	Current IDT information
                        	**type**\:   :py:class:`CurrentIdtInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo>`
                        
                        .. attribute:: previous_idt_status
                        
                        	Previous IDT information
                        	**type**\:   :py:class:`PreviousIdtStatus <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.current_idt_info = MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo()
                            self.current_idt_info.parent = self
                            self.previous_idt_status = MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus()
                            self.previous_idt_status.parent = self


                        class CurrentIdtInfo(object):
                            """
                            Current IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:current-idt-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo']['meta_info']


                        class PreviousIdtStatus(object):
                            """
                            Previous IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:previous-idt-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.current_idt_info is not None and self.current_idt_info._has_data():
                                return True

                            if self.previous_idt_status is not None and self.previous_idt_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.idt is not None and self.idt._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.master_sync_information is not None and self.master_sync_information._has_data():
                        return True

                    if self.slave_sync_information is not None and self.slave_sync_information._has_data():
                        return True

                    if self.sync_show_type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Nsr.Status.SyncStatusInformation']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.role is not None:
                    return True

                if self.sync_status_information is not None and self.sync_status_information._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.Nsr.Status']['meta_info']


        class Detail(object):
            """
            MPLS TE NSR Status information
            
            .. attribute:: role
            
            	Process role
            	**type**\:   :py:class:`TeProcRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProcRoleEnum>`
            
            .. attribute:: sync_status_information
            
            	Sync information for the NSR and ISSU
            	**type**\:   :py:class:`SyncStatusInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Detail.SyncStatusInformation>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.role = None
                self.sync_status_information = MplsTe.Nsr.Detail.SyncStatusInformation()
                self.sync_status_information.parent = self


            class SyncStatusInformation(object):
                """
                Sync information for the NSR and ISSU
                
                .. attribute:: master_sync_information
                
                	Master sync information
                	**type**\:   :py:class:`MasterSyncInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation>`
                
                .. attribute:: slave_sync_information
                
                	Slave sync information
                	**type**\:   :py:class:`SlaveSyncInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation>`
                
                .. attribute:: sync_show_type
                
                	SyncShowType
                	**type**\:   :py:class:`TeSyncStatusShowEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncStatusShowEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.master_sync_information = MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation()
                    self.master_sync_information.parent = self
                    self.slave_sync_information = MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation()
                    self.slave_sync_information.parent = self
                    self.sync_show_type = None


                class SlaveSyncInformation(object):
                    """
                    Slave sync information
                    
                    .. attribute:: idt
                    
                    	Sync status IDT information
                    	**type**\:   :py:class:`Idt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt>`
                    
                    .. attribute:: insync_sub_ls_ps
                    
                    	Sub\-LSPs in sync
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: insync_tunnels
                    
                    	Tunnels in sync
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pending_sub_ls_ps
                    
                    	Sub\-LSPs in sync pending
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pending_tunnels
                    
                    	Tunnels in sync pending
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l_pending
                    
                    	Pending sub\-LSPs details
                    	**type**\: list of    :py:class:`S2LPending <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending>`
                    
                    .. attribute:: vif_pending
                    
                    	Pending tunnels details
                    	**type**\: list of    :py:class:`VifPending <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.idt = MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt()
                        self.idt.parent = self
                        self.insync_sub_ls_ps = None
                        self.insync_tunnels = None
                        self.pending_sub_ls_ps = None
                        self.pending_tunnels = None
                        self.s2l_pending = YList()
                        self.s2l_pending.parent = self
                        self.s2l_pending.name = 's2l_pending'
                        self.vif_pending = YList()
                        self.vif_pending.parent = self
                        self.vif_pending.name = 'vif_pending'


                    class Idt(object):
                        """
                        Sync status IDT information
                        
                        .. attribute:: current_idt_info
                        
                        	Current IDT information
                        	**type**\:   :py:class:`CurrentIdtInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo>`
                        
                        .. attribute:: previous_idt_status
                        
                        	Previous IDT information
                        	**type**\:   :py:class:`PreviousIdtStatus <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.current_idt_info = MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo()
                            self.current_idt_info.parent = self
                            self.previous_idt_status = MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus()
                            self.previous_idt_status.parent = self


                        class CurrentIdtInfo(object):
                            """
                            Current IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:current-idt-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo']['meta_info']


                        class PreviousIdtStatus(object):
                            """
                            Previous IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:previous-idt-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.current_idt_info is not None and self.current_idt_info._has_data():
                                return True

                            if self.previous_idt_status is not None and self.previous_idt_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']


                    class VifPending(object):
                        """
                        Pending tunnels details
                        
                        .. attribute:: pending_reason
                        
                        	Pending reason
                        	**type**\:   :py:class:`TeSyncPendingReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncPendingReasonEnum>`
                        
                        .. attribute:: tunnel_name
                        
                        	Tunnel name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.pending_reason = None
                            self.tunnel_name = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:vif-pending'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.pending_reason is not None:
                                return True

                            if self.tunnel_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending']['meta_info']


                    class S2LPending(object):
                        """
                        Pending sub\-LSPs details
                        
                        .. attribute:: pending_reason
                        
                        	Pending reason
                        	**type**\:   :py:class:`TeSyncPendingReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncPendingReasonEnum>`
                        
                        .. attribute:: s2l_role
                        
                        	S2L role
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: signaled_name
                        
                        	Signaled name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.pending_reason = None
                            self.s2l_role = None
                            self.signaled_name = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:s2l-pending'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.pending_reason is not None:
                                return True

                            if self.s2l_role is not None:
                                return True

                            if self.signaled_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.idt is not None and self.idt._has_data():
                            return True

                        if self.insync_sub_ls_ps is not None:
                            return True

                        if self.insync_tunnels is not None:
                            return True

                        if self.pending_sub_ls_ps is not None:
                            return True

                        if self.pending_tunnels is not None:
                            return True

                        if self.s2l_pending is not None:
                            for child_ref in self.s2l_pending:
                                if child_ref._has_data():
                                    return True

                        if self.vif_pending is not None:
                            for child_ref in self.vif_pending:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation']['meta_info']


                class MasterSyncInformation(object):
                    """
                    Master sync information
                    
                    .. attribute:: idt
                    
                    	Sync status IDT information
                    	**type**\:   :py:class:`Idt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.idt = MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt()
                        self.idt.parent = self


                    class Idt(object):
                        """
                        Sync status IDT information
                        
                        .. attribute:: current_idt_info
                        
                        	Current IDT information
                        	**type**\:   :py:class:`CurrentIdtInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo>`
                        
                        .. attribute:: previous_idt_status
                        
                        	Previous IDT information
                        	**type**\:   :py:class:`PreviousIdtStatus <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.current_idt_info = MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo()
                            self.current_idt_info.parent = self
                            self.previous_idt_status = MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus()
                            self.previous_idt_status.parent = self


                        class CurrentIdtInfo(object):
                            """
                            Current IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:current-idt-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo']['meta_info']


                        class PreviousIdtStatus(object):
                            """
                            Previous IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:previous-idt-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.current_idt_info is not None and self.current_idt_info._has_data():
                                return True

                            if self.previous_idt_status is not None and self.previous_idt_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.idt is not None and self.idt._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.master_sync_information is not None and self.master_sync_information._has_data():
                        return True

                    if self.slave_sync_information is not None and self.slave_sync_information._has_data():
                        return True

                    if self.sync_show_type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.Nsr.Detail.SyncStatusInformation']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.role is not None:
                    return True

                if self.sync_status_information is not None and self.sync_status_information._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.Nsr.Detail']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:nsr'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.detail is not None and self.detail._has_data():
                return True

            if self.status is not None and self.status._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.Nsr']['meta_info']


    class AutoTunnelServices(object):
        """
        MPLS TE Auto Tunnel Services
        
        .. attribute:: sr_policy_entries
        
        	MPLS TE SR Policy Context table 
        	**type**\:   :py:class:`SrPolicyEntries <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnelServices.SrPolicyEntries>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.sr_policy_entries = MplsTe.AutoTunnelServices.SrPolicyEntries()
            self.sr_policy_entries.parent = self


        class SrPolicyEntries(object):
            """
            MPLS TE SR Policy Context table 
            
            .. attribute:: sr_policy_entry
            
            	MPLS TE SR Policy information
            	**type**\: list of    :py:class:`SrPolicyEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.sr_policy_entry = YList()
                self.sr_policy_entry.parent = self
                self.sr_policy_entry.name = 'sr_policy_entry'


            class SrPolicyEntry(object):
                """
                MPLS TE SR Policy information
                
                .. attribute:: client_id  <key>
                
                	Client ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: color  <key>
                
                	Color
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: distinguisher  <key>
                
                	SR Policy Distinguisher Value
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: end_point  <key>
                
                	End Point
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                	**type**\:  str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: allocated_binding_sid
                
                	Allocated Binding SID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: binding_sid_context_id
                
                	Binding SID Context ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: binding_sid_request_pending
                
                	Binding SID Request Pending
                	**type**\:  bool
                
                .. attribute:: client_id_xr
                
                	Client ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: client_name
                
                	Client Name
                	**type**\:  str
                
                .. attribute:: color_xr
                
                	Color
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: creation_time
                
                	SR policy structure creation timestamp (clocktime in nsecs)
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                	**units**\: nanosecond
                
                .. attribute:: distinguisher_xr
                
                	SR Policy Distinguisher value
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: end_point_xr
                
                	End Point
                	**type**\:   :py:class:`EndPointXr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.EndPointXr>`
                
                .. attribute:: explicit_path
                
                	Explicit Paths
                	**type**\: list of    :py:class:`ExplicitPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath>`
                
                .. attribute:: ipv6_caps
                
                	IPv6 Capsulation
                	**type**\:  bool
                
                .. attribute:: is_stale
                
                	Is Stale
                	**type**\:  bool
                
                .. attribute:: is_synced
                
                	Is Synced
                	**type**\:  bool
                
                .. attribute:: notify_state_is_active
                
                	Notify State Is Active
                	**type**\:  bool
                
                .. attribute:: notify_time
                
                	Notify Time
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: policy_active
                
                	Policy Active
                	**type**\:  bool
                
                .. attribute:: requested_binding_sid
                
                	Requested Binding SID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: rewrite_done
                
                	Rewrite Done
                	**type**\:  bool
                
                .. attribute:: rewrite_request_pending
                
                	Rewrite Requeste Pending
                	**type**\:  bool
                
                .. attribute:: sr_policy_id
                
                	SR Policy ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.client_id = None
                    self.color = None
                    self.distinguisher = None
                    self.end_point = None
                    self.allocated_binding_sid = None
                    self.binding_sid_context_id = None
                    self.binding_sid_request_pending = None
                    self.client_id_xr = None
                    self.client_name = None
                    self.color_xr = None
                    self.creation_time = None
                    self.distinguisher_xr = None
                    self.end_point_xr = MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.EndPointXr()
                    self.end_point_xr.parent = self
                    self.explicit_path = YList()
                    self.explicit_path.parent = self
                    self.explicit_path.name = 'explicit_path'
                    self.ipv6_caps = None
                    self.is_stale = None
                    self.is_synced = None
                    self.notify_state_is_active = None
                    self.notify_time = None
                    self.policy_active = None
                    self.requested_binding_sid = None
                    self.rewrite_done = None
                    self.rewrite_request_pending = None
                    self.sr_policy_id = None


                class EndPointXr(object):
                    """
                    End Point
                    
                    .. attribute:: address_family_type
                    
                    	AddressFamilyType
                    	**type**\:   :py:class:`MplsTeAfiEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeAfiEnum>`
                    
                    .. attribute:: ipv4_address
                    
                    	IPv4 Address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: ipv6_address
                    
                    	IPv6 Address
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.address_family_type = None
                        self.ipv4_address = None
                        self.ipv6_address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:end-point-xr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.address_family_type is not None:
                            return True

                        if self.ipv4_address is not None:
                            return True

                        if self.ipv6_address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.EndPointXr']['meta_info']


                class ExplicitPath(object):
                    """
                    Explicit Paths
                    
                    .. attribute:: context_id
                    
                    	Explicit Path Context ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: hops
                    
                    	Path Hops
                    	**type**\: list of    :py:class:`Hops <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.Hops>`
                    
                    .. attribute:: is_stale
                    
                    	Is Stale
                    	**type**\:  bool
                    
                    .. attribute:: is_synced
                    
                    	Is Synced
                    	**type**\:  bool
                    
                    .. attribute:: path_weight
                    
                    	Path Weight
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: programmed_in_fib
                    
                    	Programmed in FIB
                    	**type**\:  bool
                    
                    .. attribute:: tunnel_info
                    
                    	Auto tunnel info
                    	**type**\:   :py:class:`TunnelInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.TunnelInfo>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.context_id = None
                        self.hops = YList()
                        self.hops.parent = self
                        self.hops.name = 'hops'
                        self.is_stale = None
                        self.is_synced = None
                        self.path_weight = None
                        self.programmed_in_fib = None
                        self.tunnel_info = MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.TunnelInfo()
                        self.tunnel_info.parent = self


                    class TunnelInfo(object):
                        """
                        Auto tunnel info
                        
                        .. attribute:: ipv6_caps
                        
                        	IPv6 Capsulation
                        	**type**\:  bool
                        
                        .. attribute:: tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tunnel_up
                        
                        	Tunnel Up
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ipv6_caps = None
                            self.tunnel_id = None
                            self.tunnel_up = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ipv6_caps is not None:
                                return True

                            if self.tunnel_id is not None:
                                return True

                            if self.tunnel_up is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.TunnelInfo']['meta_info']


                    class Hops(object):
                        """
                        Path Hops
                        
                        .. attribute:: hop_type
                        
                        	Hop Type
                        	**type**\:   :py:class:`TeAutoTunExpPathHopEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAutoTunExpPathHopEnum>`
                        
                        .. attribute:: ipv4_address
                        
                        	IPv4 Address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mpls_label
                        
                        	MPLS Label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.hop_type = None
                            self.ipv4_address = None
                            self.mpls_label = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:hops'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.hop_type is not None:
                                return True

                            if self.ipv4_address is not None:
                                return True

                            if self.mpls_label is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.Hops']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:explicit-path'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.context_id is not None:
                            return True

                        if self.hops is not None:
                            for child_ref in self.hops:
                                if child_ref._has_data():
                                    return True

                        if self.is_stale is not None:
                            return True

                        if self.is_synced is not None:
                            return True

                        if self.path_weight is not None:
                            return True

                        if self.programmed_in_fib is not None:
                            return True

                        if self.tunnel_info is not None and self.tunnel_info._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath']['meta_info']

                @property
                def _common_path(self):
                    if self.client_id is None:
                        raise YPYModelError('Key property client_id is None')
                    if self.color is None:
                        raise YPYModelError('Key property color is None')
                    if self.distinguisher is None:
                        raise YPYModelError('Key property distinguisher is None')
                    if self.end_point is None:
                        raise YPYModelError('Key property end_point is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel-services/Cisco-IOS-XR-mpls-te-oper:sr-policy-entries/Cisco-IOS-XR-mpls-te-oper:sr-policy-entry[Cisco-IOS-XR-mpls-te-oper:client-id = ' + str(self.client_id) + '][Cisco-IOS-XR-mpls-te-oper:color = ' + str(self.color) + '][Cisco-IOS-XR-mpls-te-oper:distinguisher = ' + str(self.distinguisher) + '][Cisco-IOS-XR-mpls-te-oper:end-point = ' + str(self.end_point) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.client_id is not None:
                        return True

                    if self.color is not None:
                        return True

                    if self.distinguisher is not None:
                        return True

                    if self.end_point is not None:
                        return True

                    if self.allocated_binding_sid is not None:
                        return True

                    if self.binding_sid_context_id is not None:
                        return True

                    if self.binding_sid_request_pending is not None:
                        return True

                    if self.client_id_xr is not None:
                        return True

                    if self.client_name is not None:
                        return True

                    if self.color_xr is not None:
                        return True

                    if self.creation_time is not None:
                        return True

                    if self.distinguisher_xr is not None:
                        return True

                    if self.end_point_xr is not None and self.end_point_xr._has_data():
                        return True

                    if self.explicit_path is not None:
                        for child_ref in self.explicit_path:
                            if child_ref._has_data():
                                return True

                    if self.ipv6_caps is not None:
                        return True

                    if self.is_stale is not None:
                        return True

                    if self.is_synced is not None:
                        return True

                    if self.notify_state_is_active is not None:
                        return True

                    if self.notify_time is not None:
                        return True

                    if self.policy_active is not None:
                        return True

                    if self.requested_binding_sid is not None:
                        return True

                    if self.rewrite_done is not None:
                        return True

                    if self.rewrite_request_pending is not None:
                        return True

                    if self.sr_policy_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel-services/Cisco-IOS-XR-mpls-te-oper:sr-policy-entries'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.sr_policy_entry is not None:
                    for child_ref in self.sr_policy_entry:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.AutoTunnelServices.SrPolicyEntries']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:auto-tunnel-services'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.sr_policy_entries is not None and self.sr_policy_entries._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.AutoTunnelServices']['meta_info']


    class AffinityMap(object):
        """
        Affinity name to value mapping
        
        .. attribute:: affinity_map_array
        
        	Affinity map array
        	**type**\: list of    :py:class:`AffinityMapArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.AffinityMap.AffinityMapArray>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.affinity_map_array = YList()
            self.affinity_map_array.parent = self
            self.affinity_map_array.name = 'affinity_map_array'


        class AffinityMapArray(object):
            """
            Affinity map array
            
            .. attribute:: affinity_bit_position
            
            	Affinity bit position
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: affinity_extended_value
            
            	EAG value
            	**type**\:  list of int
            
            	**range:** 0..4294967295
            
            .. attribute:: affinity_name
            
            	Affinity name
            	**type**\:  str
            
            .. attribute:: affinity_table_id
            
            	Affinity table id
            	**type**\:   :py:class:`TeAffinityTableEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAffinityTableEnum>`
            
            .. attribute:: affinity_value
            
            	Affinity value
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.affinity_bit_position = None
                self.affinity_extended_value = YLeafList()
                self.affinity_extended_value.parent = self
                self.affinity_extended_value.name = 'affinity_extended_value'
                self.affinity_name = None
                self.affinity_table_id = None
                self.affinity_value = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:affinity-map/Cisco-IOS-XR-mpls-te-oper:affinity-map-array'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.affinity_bit_position is not None:
                    return True

                if self.affinity_extended_value is not None:
                    for child in self.affinity_extended_value:
                        if child is not None:
                            return True

                if self.affinity_name is not None:
                    return True

                if self.affinity_table_id is not None:
                    return True

                if self.affinity_value is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.AffinityMap.AffinityMapArray']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:affinity-map'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.affinity_map_array is not None:
                for child_ref in self.affinity_map_array:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.AffinityMap']['meta_info']


    class TopologyBriefs(object):
        """
        MPLS\-TE topology brief table
        
        .. attribute:: topology_brief
        
        	A node in MPLS\-TE topoogy brief table
        	**type**\: list of    :py:class:`TopologyBrief <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyBriefs.TopologyBrief>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.topology_brief = YList()
            self.topology_brief.parent = self
            self.topology_brief.name = 'topology_brief'


        class TopologyBrief(object):
            """
            A node in MPLS\-TE topoogy brief table
            
            .. attribute:: area  <key>
            
            	IGP area
            	**type**\:  int
            
            	**range:** \-2147483648..2147483647
            
            .. attribute:: igp_id  <key>
            
            	IGP instance
            	**type**\:  str
            
            	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
            
            .. attribute:: igp_node_id  <key>
            
            	IGP Node ID
            	**type**\:  str
            
            .. attribute:: protocol  <key>
            
            	IGP protocol type
            	**type**\:   :py:class:`MplsTeIgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeIgpProtocolEnum>`
            
            .. attribute:: topology_node_type  <key>
            
            	Node type
            	**type**\:   :py:class:`MplsTeNodeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeNodeEnum>`
            
            .. attribute:: topology_node_link
            
            	This node's link information
            	**type**\: list of    :py:class:`TopologyNodeLink <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink>`
            
            .. attribute:: topology_node_overloaded
            
            	Flag to indicate whether this node is overloaded
            	**type**\:  bool
            
            .. attribute:: topology_node_sid_and_srbg
            
            	This node's SID and SRBG information
            	**type**\:   :py:class:`TopologyNodeSidAndSrbg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeSidAndSrbg>`
            
            .. attribute:: topology_node_te_router_id
            
            	The node's TE router\-id. Not set for network nodes
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.area = None
                self.igp_id = None
                self.igp_node_id = None
                self.protocol = None
                self.topology_node_type = None
                self.topology_node_link = YList()
                self.topology_node_link.parent = self
                self.topology_node_link.name = 'topology_node_link'
                self.topology_node_overloaded = None
                self.topology_node_sid_and_srbg = MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeSidAndSrbg()
                self.topology_node_sid_and_srbg.parent = self
                self.topology_node_te_router_id = None


            class TopologyNodeSidAndSrbg(object):
                """
                This node's SID and SRBG information
                
                .. attribute:: segment_id
                
                	Segment\-Routing Node\-SID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: segment_id_local_absolute_value
                
                	Node\-SID local absolute value
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: srgb_size
                
                	Segment\-Routing global block size
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: srgb_start
                
                	Segment\-Routring global block start value
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.segment_id = None
                    self.segment_id_local_absolute_value = None
                    self.srgb_size = None
                    self.srgb_start = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-node-sid-and-srbg'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.segment_id is not None:
                        return True

                    if self.segment_id_local_absolute_value is not None:
                        return True

                    if self.srgb_size is not None:
                        return True

                    if self.srgb_start is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeSidAndSrbg']['meta_info']


            class TopologyNodeLink(object):
                """
                This node's link information
                
                .. attribute:: adjacency_sid
                
                	Adjacency SIDs assigned for adjacency nodes
                	**type**\: list of    :py:class:`AdjacencySid <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.AdjacencySid>`
                
                .. attribute:: odu_link_capabilities
                
                	ODU Link Capabilities
                	**type**\:   :py:class:`OduLinkCapabilities <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities>`
                
                .. attribute:: shared_risk_link_group
                
                	The link's shared risk link groups
                	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.SharedRiskLinkGroup>`
                
                .. attribute:: topology_link_affinity_bits
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_bandwidth
                
                	Bandwidth information for this link
                	**type**\:   :py:class:`TopologyLinkBandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth>`
                
                .. attribute:: topology_link_bandwidth_model
                
                	The link's topology bandwidth model
                	**type**\:   :py:class:`IgpteLibBwModelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpteLibBwModelEnum>`
                
                .. attribute:: topology_link_encoding
                
                	The link's encoding
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: topology_link_extended_affinity_bit
                
                	The link's affinity bits (colors)
                	**type**\:  list of int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_fragment_id
                
                	Neighbor's link version counter
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_igp_metric
                
                	The link's IGP metric
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_interface_address
                
                	Link's local interface address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: topology_link_interface_id
                
                	Link's local interface ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_neighbor_address
                
                	Link's neighbor interface address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: topology_link_neighbor_generation
                
                	Neighbor's link version counter
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_neighbor_id
                
                	Link's neighbor interface ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_neighbor_node_id
                
                	Node id of neighbor
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_neighbor_system_id
                
                	System id of neighbor
                	**type**\:  str
                
                .. attribute:: topology_link_switching_capability
                
                	The link's switching capability
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: topology_link_te_metric
                
                	The link's TE metric
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_type
                
                	Link type
                	**type**\:   :py:class:`IgpSubnetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpSubnetEnum>`
                
                .. attribute:: topology_link_uni_delay
                
                	Unidirectional Link Delay in micro\-sec
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.adjacency_sid = YList()
                    self.adjacency_sid.parent = self
                    self.adjacency_sid.name = 'adjacency_sid'
                    self.odu_link_capabilities = MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities()
                    self.odu_link_capabilities.parent = self
                    self.shared_risk_link_group = YList()
                    self.shared_risk_link_group.parent = self
                    self.shared_risk_link_group.name = 'shared_risk_link_group'
                    self.topology_link_affinity_bits = None
                    self.topology_link_bandwidth = MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth()
                    self.topology_link_bandwidth.parent = self
                    self.topology_link_bandwidth_model = None
                    self.topology_link_encoding = None
                    self.topology_link_extended_affinity_bit = YLeafList()
                    self.topology_link_extended_affinity_bit.parent = self
                    self.topology_link_extended_affinity_bit.name = 'topology_link_extended_affinity_bit'
                    self.topology_link_fragment_id = None
                    self.topology_link_igp_metric = None
                    self.topology_link_interface_address = None
                    self.topology_link_interface_id = None
                    self.topology_link_neighbor_address = None
                    self.topology_link_neighbor_generation = None
                    self.topology_link_neighbor_id = None
                    self.topology_link_neighbor_node_id = None
                    self.topology_link_neighbor_system_id = None
                    self.topology_link_switching_capability = None
                    self.topology_link_te_metric = None
                    self.topology_link_type = None
                    self.topology_link_uni_delay = None


                class TopologyLinkBandwidth(object):
                    """
                    Bandwidth information for this link
                    
                    .. attribute:: bandwidth_migration_mode
                    
                    	BandwidthMigrationMode
                    	**type**\:   :py:class:`RrrDsteMigrationModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RrrDsteMigrationModeEnum>`
                    
                    .. attribute:: topology_link_bandwidth_prestandard
                    
                    	Pre\-standard bandwidth information for this link
                    	**type**\:   :py:class:`TopologyLinkBandwidthPrestandard <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard>`
                    
                    .. attribute:: topology_link_bandwidth_standard
                    
                    	IETF\-standard bandwidth information for this link
                    	**type**\:   :py:class:`TopologyLinkBandwidthStandard <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bandwidth_migration_mode = None
                        self.topology_link_bandwidth_prestandard = MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard()
                        self.topology_link_bandwidth_prestandard.parent = self
                        self.topology_link_bandwidth_standard = MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard()
                        self.topology_link_bandwidth_standard.parent = self


                    class TopologyLinkBandwidthPrestandard(object):
                        """
                        Pre\-standard bandwidth information for this link
                        
                        .. attribute:: topology_link_prestandard_bandwidth_detail
                        
                        	Detailed bandwidth information for this link
                        	**type**\:   :py:class:`TopologyLinkPrestandardBandwidthDetail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail>`
                        
                        .. attribute:: topology_link_prestandard_bandwidth_physical
                        
                        	The link's physical bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: topology_link_prestandard_bandwidth_reservation_global
                        
                        	The link's reservable global bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: topology_link_prestandard_bandwidth_reservation_subpool
                        
                        	The link's reservable subpool bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.topology_link_prestandard_bandwidth_detail = MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail()
                            self.topology_link_prestandard_bandwidth_detail.parent = self
                            self.topology_link_prestandard_bandwidth_physical = None
                            self.topology_link_prestandard_bandwidth_reservation_global = None
                            self.topology_link_prestandard_bandwidth_reservation_subpool = None


                        class TopologyLinkPrestandardBandwidthDetail(object):
                            """
                            Detailed bandwidth information for this link
                            
                            .. attribute:: topology_link_prestandard_bandwidth_allocated
                            
                            	Link's allocated bandwidth at priority levels (priority 0 to priority 7)
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: topology_link_prestandard_bandwidth_available_global
                            
                            	Link's available global\-pool bandwidth at priority levels (priority 0 to priority 7)
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: topology_link_prestandard_bandwidth_available_subpool
                            
                            	Link's available sub\-pool bandwidth at priority levels (priority 0 to priority 7)
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.topology_link_prestandard_bandwidth_allocated = YLeafList()
                                self.topology_link_prestandard_bandwidth_allocated.parent = self
                                self.topology_link_prestandard_bandwidth_allocated.name = 'topology_link_prestandard_bandwidth_allocated'
                                self.topology_link_prestandard_bandwidth_available_global = YLeafList()
                                self.topology_link_prestandard_bandwidth_available_global.parent = self
                                self.topology_link_prestandard_bandwidth_available_global.name = 'topology_link_prestandard_bandwidth_available_global'
                                self.topology_link_prestandard_bandwidth_available_subpool = YLeafList()
                                self.topology_link_prestandard_bandwidth_available_subpool.parent = self
                                self.topology_link_prestandard_bandwidth_available_subpool.name = 'topology_link_prestandard_bandwidth_available_subpool'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-link-prestandard-bandwidth-detail'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.topology_link_prestandard_bandwidth_allocated is not None:
                                    for child in self.topology_link_prestandard_bandwidth_allocated:
                                        if child is not None:
                                            return True

                                if self.topology_link_prestandard_bandwidth_available_global is not None:
                                    for child in self.topology_link_prestandard_bandwidth_available_global:
                                        if child is not None:
                                            return True

                                if self.topology_link_prestandard_bandwidth_available_subpool is not None:
                                    for child in self.topology_link_prestandard_bandwidth_available_subpool:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-link-bandwidth-prestandard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.topology_link_prestandard_bandwidth_detail is not None and self.topology_link_prestandard_bandwidth_detail._has_data():
                                return True

                            if self.topology_link_prestandard_bandwidth_physical is not None:
                                return True

                            if self.topology_link_prestandard_bandwidth_reservation_global is not None:
                                return True

                            if self.topology_link_prestandard_bandwidth_reservation_subpool is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard']['meta_info']


                    class TopologyLinkBandwidthStandard(object):
                        """
                        IETF\-standard bandwidth information for this
                        link
                        
                        .. attribute:: topo_link_std_bw_detail
                        
                        	Detailed bandwidth information for this link
                        	**type**\:   :py:class:`TopoLinkStdBwDetail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail>`
                        
                        .. attribute:: topo_link_std_bw_physical
                        
                        	The link's physical bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: topo_link_std_bw_res_max
                        
                        	The link's maximum reservable bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: topo_link_std_bw_res_pool0
                        
                        	The link's reservable BC0 bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: topo_link_std_bw_res_pool1
                        
                        	The link's reservable BC1 bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.topo_link_std_bw_detail = MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail()
                            self.topo_link_std_bw_detail.parent = self
                            self.topo_link_std_bw_physical = None
                            self.topo_link_std_bw_res_max = None
                            self.topo_link_std_bw_res_pool0 = None
                            self.topo_link_std_bw_res_pool1 = None


                        class TopoLinkStdBwDetail(object):
                            """
                            Detailed bandwidth information for this link
                            
                            .. attribute:: topo_link_std_bw_allocated
                            
                            	Link's allocated bandwidth per class
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: topo_link_std_bw_available
                            
                            	Link's available bandwidth per class
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.topo_link_std_bw_allocated = YLeafList()
                                self.topo_link_std_bw_allocated.parent = self
                                self.topo_link_std_bw_allocated.name = 'topo_link_std_bw_allocated'
                                self.topo_link_std_bw_available = YLeafList()
                                self.topo_link_std_bw_available.parent = self
                                self.topo_link_std_bw_available.name = 'topo_link_std_bw_available'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topo-link-std-bw-detail'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.topo_link_std_bw_allocated is not None:
                                    for child in self.topo_link_std_bw_allocated:
                                        if child is not None:
                                            return True

                                if self.topo_link_std_bw_available is not None:
                                    for child in self.topo_link_std_bw_available:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-link-bandwidth-standard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.topo_link_std_bw_detail is not None and self.topo_link_std_bw_detail._has_data():
                                return True

                            if self.topo_link_std_bw_physical is not None:
                                return True

                            if self.topo_link_std_bw_res_max is not None:
                                return True

                            if self.topo_link_std_bw_res_pool0 is not None:
                                return True

                            if self.topo_link_std_bw_res_pool1 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-link-bandwidth'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bandwidth_migration_mode is not None:
                            return True

                        if self.topology_link_bandwidth_prestandard is not None and self.topology_link_bandwidth_prestandard._has_data():
                            return True

                        if self.topology_link_bandwidth_standard is not None and self.topology_link_bandwidth_standard._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth']['meta_info']


                class OduLinkCapabilities(object):
                    """
                    ODU Link Capabilities
                    
                    .. attribute:: max_lsp_bandwidth
                    
                    	Max LSP Bandwidth per priority in kbit/s
                    	**type**\:  list of int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: odu_capability
                    
                    	ODU Capabilities of Link
                    	**type**\: list of    :py:class:`OduCapability <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.max_lsp_bandwidth = YLeafList()
                        self.max_lsp_bandwidth.parent = self
                        self.max_lsp_bandwidth.name = 'max_lsp_bandwidth'
                        self.odu_capability = YList()
                        self.odu_capability.parent = self
                        self.odu_capability.name = 'odu_capability'


                    class OduCapability(object):
                        """
                        ODU Capabilities of Link
                        
                        .. attribute:: bandwidth_info
                        
                        	Bandwidth related info for this ODU level
                        	**type**\:   :py:class:`BandwidthInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo>`
                        
                        .. attribute:: lcas_capable
                        
                        	True if link LCAS capable for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: signal_type
                        
                        	Signal Type
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage1
                        
                        	ODU Type at stage 1, Not Set for HO ODU
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage2
                        
                        	ODU Type at stage 2, Not Set for single stage mulitplexing
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage3
                        
                        	ODU Type at stage 3, Not set up to two levels of multiplexing
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage4
                        
                        	ODU Type at stage 4, Not set up to three levels of multiplexing
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: switchable
                        
                        	True if link is switchable for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: terminable
                        
                        	True if link is terminable for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: tsg1p25
                        
                        	True if link supports 1.25G TSG for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: tsg2p5
                        
                        	True if link supports 2.5G TSG for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: vcat_capable
                        
                        	True if link VCAT capable for this ODU level
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bandwidth_info = MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo()
                            self.bandwidth_info.parent = self
                            self.lcas_capable = None
                            self.signal_type = None
                            self.stage1 = None
                            self.stage2 = None
                            self.stage3 = None
                            self.stage4 = None
                            self.switchable = None
                            self.terminable = None
                            self.tsg1p25 = None
                            self.tsg2p5 = None
                            self.vcat_capable = None


                        class BandwidthInfo(object):
                            """
                            Bandwidth related info for this ODU level
                            
                            .. attribute:: fixed
                            
                            	ODU capability for Fixed ODUs
                            	**type**\:   :py:class:`Fixed <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed>`
                            
                            .. attribute:: flex
                            
                            	ODU capability for Flex ODUs
                            	**type**\:   :py:class:`Flex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex>`
                            
                            .. attribute:: type
                            
                            	type
                            	**type**\:   :py:class:`TeOduCapabilityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduCapabilityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fixed = MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed()
                                self.fixed.parent = self
                                self.flex = MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex()
                                self.flex.parent = self
                                self.type = None


                            class Fixed(object):
                                """
                                ODU capability for Fixed ODUs
                                
                                .. attribute:: maximum_od_us
                                
                                	Maximum Number of ODUs of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: unreserved_od_us
                                
                                	Maximum Number of ODUs of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.maximum_od_us = None
                                    self.unreserved_od_us = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fixed'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.maximum_od_us is not None:
                                        return True

                                    if self.unreserved_od_us is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed']['meta_info']


                            class Flex(object):
                                """
                                ODU capability for Flex ODUs
                                
                                .. attribute:: max_bandwidth
                                
                                	Max kbps Bandwidth of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: max_lsp_bandwidth
                                
                                	Per LSP Max kbps Bandwidth of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: unreserved_bandwidth
                                
                                	Unreserved kbps Bandwidth of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.max_bandwidth = None
                                    self.max_lsp_bandwidth = None
                                    self.unreserved_bandwidth = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.max_bandwidth is not None:
                                        return True

                                    if self.max_lsp_bandwidth is not None:
                                        return True

                                    if self.unreserved_bandwidth is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fixed is not None and self.fixed._has_data():
                                    return True

                                if self.flex is not None and self.flex._has_data():
                                    return True

                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-capability'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bandwidth_info is not None and self.bandwidth_info._has_data():
                                return True

                            if self.lcas_capable is not None:
                                return True

                            if self.signal_type is not None:
                                return True

                            if self.stage1 is not None:
                                return True

                            if self.stage2 is not None:
                                return True

                            if self.stage3 is not None:
                                return True

                            if self.stage4 is not None:
                                return True

                            if self.switchable is not None:
                                return True

                            if self.terminable is not None:
                                return True

                            if self.tsg1p25 is not None:
                                return True

                            if self.tsg2p5 is not None:
                                return True

                            if self.vcat_capable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-link-capabilities'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.max_lsp_bandwidth is not None:
                            for child in self.max_lsp_bandwidth:
                                if child is not None:
                                    return True

                        if self.odu_capability is not None:
                            for child_ref in self.odu_capability:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities']['meta_info']


                class SharedRiskLinkGroup(object):
                    """
                    The link's shared risk link groups
                    
                    .. attribute:: shared_risk_group
                    
                    	SRLG number
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srlg_name
                    
                    	SRLG name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.shared_risk_group = None
                        self.srlg_name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.shared_risk_group is not None:
                            return True

                        if self.srlg_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.SharedRiskLinkGroup']['meta_info']


                class AdjacencySid(object):
                    """
                    Adjacency SIDs assigned for adjacency nodes
                    
                    .. attribute:: adjacency_sid
                    
                    	The adjacency SID assigned for the topology node
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: flag_b
                    
                    	IGP Flag B
                    	**type**\:  bool
                    
                    .. attribute:: flag_f
                    
                    	IGP Flag F
                    	**type**\:  bool
                    
                    .. attribute:: flag_l
                    
                    	IGP Flag L
                    	**type**\:  bool
                    
                    .. attribute:: flag_s
                    
                    	IGP Flag S
                    	**type**\:  bool
                    
                    .. attribute:: flag_v
                    
                    	IGP Flag V
                    	**type**\:  bool
                    
                    .. attribute:: link_type
                    
                    	Link Type
                    	**type**\:   :py:class:`IgpSubnetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpSubnetEnum>`
                    
                    .. attribute:: local_addr
                    
                    	Local Address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: nbr_node_igpid
                    
                    	The neighbor node's IGP ID
                    	**type**\:  str
                    
                    .. attribute:: nbr_node_te_router_id
                    
                    	The neigbor node's TE router\-id
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: remote_addr
                    
                    	Remote Address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.adjacency_sid = None
                        self.flag_b = None
                        self.flag_f = None
                        self.flag_l = None
                        self.flag_s = None
                        self.flag_v = None
                        self.link_type = None
                        self.local_addr = None
                        self.nbr_node_igpid = None
                        self.nbr_node_te_router_id = None
                        self.remote_addr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:adjacency-sid'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.adjacency_sid is not None:
                            return True

                        if self.flag_b is not None:
                            return True

                        if self.flag_f is not None:
                            return True

                        if self.flag_l is not None:
                            return True

                        if self.flag_s is not None:
                            return True

                        if self.flag_v is not None:
                            return True

                        if self.link_type is not None:
                            return True

                        if self.local_addr is not None:
                            return True

                        if self.nbr_node_igpid is not None:
                            return True

                        if self.nbr_node_te_router_id is not None:
                            return True

                        if self.remote_addr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.AdjacencySid']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-node-link'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.adjacency_sid is not None:
                        for child_ref in self.adjacency_sid:
                            if child_ref._has_data():
                                return True

                    if self.odu_link_capabilities is not None and self.odu_link_capabilities._has_data():
                        return True

                    if self.shared_risk_link_group is not None:
                        for child_ref in self.shared_risk_link_group:
                            if child_ref._has_data():
                                return True

                    if self.topology_link_affinity_bits is not None:
                        return True

                    if self.topology_link_bandwidth is not None and self.topology_link_bandwidth._has_data():
                        return True

                    if self.topology_link_bandwidth_model is not None:
                        return True

                    if self.topology_link_encoding is not None:
                        return True

                    if self.topology_link_extended_affinity_bit is not None:
                        for child in self.topology_link_extended_affinity_bit:
                            if child is not None:
                                return True

                    if self.topology_link_fragment_id is not None:
                        return True

                    if self.topology_link_igp_metric is not None:
                        return True

                    if self.topology_link_interface_address is not None:
                        return True

                    if self.topology_link_interface_id is not None:
                        return True

                    if self.topology_link_neighbor_address is not None:
                        return True

                    if self.topology_link_neighbor_generation is not None:
                        return True

                    if self.topology_link_neighbor_id is not None:
                        return True

                    if self.topology_link_neighbor_node_id is not None:
                        return True

                    if self.topology_link_neighbor_system_id is not None:
                        return True

                    if self.topology_link_switching_capability is not None:
                        return True

                    if self.topology_link_te_metric is not None:
                        return True

                    if self.topology_link_type is not None:
                        return True

                    if self.topology_link_uni_delay is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink']['meta_info']

            @property
            def _common_path(self):
                if self.area is None:
                    raise YPYModelError('Key property area is None')
                if self.igp_id is None:
                    raise YPYModelError('Key property igp_id is None')
                if self.igp_node_id is None:
                    raise YPYModelError('Key property igp_node_id is None')
                if self.protocol is None:
                    raise YPYModelError('Key property protocol is None')
                if self.topology_node_type is None:
                    raise YPYModelError('Key property topology_node_type is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology-briefs/Cisco-IOS-XR-mpls-te-oper:topology-brief[Cisco-IOS-XR-mpls-te-oper:area = ' + str(self.area) + '][Cisco-IOS-XR-mpls-te-oper:igp-id = ' + str(self.igp_id) + '][Cisco-IOS-XR-mpls-te-oper:igp-node-id = ' + str(self.igp_node_id) + '][Cisco-IOS-XR-mpls-te-oper:protocol = ' + str(self.protocol) + '][Cisco-IOS-XR-mpls-te-oper:topology-node-type = ' + str(self.topology_node_type) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.area is not None:
                    return True

                if self.igp_id is not None:
                    return True

                if self.igp_node_id is not None:
                    return True

                if self.protocol is not None:
                    return True

                if self.topology_node_type is not None:
                    return True

                if self.topology_node_link is not None:
                    for child_ref in self.topology_node_link:
                        if child_ref._has_data():
                            return True

                if self.topology_node_overloaded is not None:
                    return True

                if self.topology_node_sid_and_srbg is not None and self.topology_node_sid_and_srbg._has_data():
                    return True

                if self.topology_node_te_router_id is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTe.TopologyBriefs.TopologyBrief']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te/Cisco-IOS-XR-mpls-te-oper:topology-briefs'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.topology_brief is not None:
                for child_ref in self.topology_brief:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTe.TopologyBriefs']['meta_info']

    @property
    def _common_path(self):

        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te'

    def is_config(self):
        ''' Returns True if this instance represents config data else returns False '''
        return False

    def _has_data(self):
        if not self.is_config():
            return False
        if self.affinity_map is not None and self.affinity_map._has_data():
            return True

        if self.announce_tunnels_info is not None and self.announce_tunnels_info._has_data():
            return True

        if self.attribute_sets is not None and self.attribute_sets._has_data():
            return True

        if self.auto_route_destination_entries is not None and self.auto_route_destination_entries._has_data():
            return True

        if self.auto_tunnel is not None and self.auto_tunnel._has_data():
            return True

        if self.auto_tunnel_services is not None and self.auto_tunnel_services._has_data():
            return True

        if self.bfd is not None and self.bfd._has_data():
            return True

        if self.collaborator_timers is not None and self.collaborator_timers._has_data():
            return True

        if self.diff_serv_te_classes is not None and self.diff_serv_te_classes._has_data():
            return True

        if self.fast_reroute is not None and self.fast_reroute._has_data():
            return True

        if self.fib_next_hop_label_routes is not None and self.fib_next_hop_label_routes._has_data():
            return True

        if self.fib_next_hop_routes is not None and self.fib_next_hop_routes._has_data():
            return True

        if self.forwarding_adjacency_destinations is not None and self.forwarding_adjacency_destinations._has_data():
            return True

        if self.hardware_out_of_resources is not None and self.hardware_out_of_resources._has_data():
            return True

        if self.igp_area_briefs is not None and self.igp_area_briefs._has_data():
            return True

        if self.igp_areas is not None and self.igp_areas._has_data():
            return True

        if self.issu is not None and self.issu._has_data():
            return True

        if self.lsp_out_of_resources is not None and self.lsp_out_of_resources._has_data():
            return True

        if self.maximum_tunnels is not None and self.maximum_tunnels._has_data():
            return True

        if self.next_hop_routes is not None and self.next_hop_routes._has_data():
            return True

        if self.nsr is not None and self.nsr._has_data():
            return True

        if self.open_config is not None and self.open_config._has_data():
            return True

        if self.p2mp is not None and self.p2mp._has_data():
            return True

        if self.p2p_p2mp_tunnel is not None and self.p2p_p2mp_tunnel._has_data():
            return True

        if self.path_protection is not None and self.path_protection._has_data():
            return True

        if self.segment_routing is not None and self.segment_routing._has_data():
            return True

        if self.signalling_counters is not None and self.signalling_counters._has_data():
            return True

        if self.soft_preemption is not None and self.soft_preemption._has_data():
            return True

        if self.te_mib is not None and self.te_mib._has_data():
            return True

        if self.topology is not None and self.topology._has_data():
            return True

        if self.topology_briefs is not None and self.topology_briefs._has_data():
            return True

        if self.topology_nodes is not None and self.topology_nodes._has_data():
            return True

        if self.tunnels is not None and self.tunnels._has_data():
            return True

        if self.wrap_protection is not None and self.wrap_protection._has_data():
            return True

        return False

    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTe']['meta_info']


class MplsLcacStandby(object):
    """
    mpls lcac standby
    
    .. attribute:: admission_control
    
    	The admission control information in MPLS\-LCAC
    	**type**\:   :py:class:`AdmissionControl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.AdmissionControl>`
    
    .. attribute:: advertisements
    
    	The advertisement information in MPLS\-LCAC
    	**type**\:   :py:class:`Advertisements <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Advertisements>`
    
    .. attribute:: bandwidth_account
    
    	The bandwidth accounting information in MPLS\-LCAC
    	**type**\:   :py:class:`BandwidthAccount <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BandwidthAccount>`
    
    .. attribute:: bandwidth_allocation
    
    	The bandwidth allocation information in MPLS\-LCAC
    	**type**\:   :py:class:`BandwidthAllocation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BandwidthAllocation>`
    
    .. attribute:: bfd_neighbors
    
    	BFD Neighbors
    	**type**\:   :py:class:`BfdNeighbors <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BfdNeighbors>`
    
    .. attribute:: gmpls
    
    	GMPLS data
    	**type**\:   :py:class:`Gmpls <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Gmpls>`
    
    .. attribute:: link_information
    
    	The interface information in MPLS\-LCAC
    	**type**\:   :py:class:`LinkInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.LinkInformation>`
    
    .. attribute:: link_summary
    
    	The global summary for all the interfaces
    	**type**\:   :py:class:`LinkSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.LinkSummary>`
    
    .. attribute:: neighbors
    
    	The neighbor information for the local router
    	**type**\:   :py:class:`Neighbors <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Neighbors>`
    
    .. attribute:: preemption_events
    
    	Preemption event log in MPLS\-LCAC
    	**type**\:   :py:class:`PreemptionEvents <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.PreemptionEvents>`
    
    .. attribute:: soft_preemption_global_info
    
    	The global soft\-preemption information
    	**type**\:   :py:class:`SoftPreemptionGlobalInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.SoftPreemptionGlobalInfo>`
    
    .. attribute:: soft_preemptions
    
    	The soft preemption information for the TE\-links
    	**type**\:   :py:class:`SoftPreemptions <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.SoftPreemptions>`
    
    .. attribute:: statistics
    
    	The interface statistics information in MPLS\-LCAC
    	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Statistics>`
    
    

    """

    _prefix = 'mpls-te-oper'
    _revision = '2015-11-09'

    def __init__(self):
        self.admission_control = MplsLcacStandby.AdmissionControl()
        self.admission_control.parent = self
        self.advertisements = MplsLcacStandby.Advertisements()
        self.advertisements.parent = self
        self.bandwidth_account = MplsLcacStandby.BandwidthAccount()
        self.bandwidth_account.parent = self
        self.bandwidth_allocation = MplsLcacStandby.BandwidthAllocation()
        self.bandwidth_allocation.parent = self
        self.bfd_neighbors = MplsLcacStandby.BfdNeighbors()
        self.bfd_neighbors.parent = self
        self.gmpls = MplsLcacStandby.Gmpls()
        self.gmpls.parent = self
        self.link_information = MplsLcacStandby.LinkInformation()
        self.link_information.parent = self
        self.link_summary = MplsLcacStandby.LinkSummary()
        self.link_summary.parent = self
        self.neighbors = MplsLcacStandby.Neighbors()
        self.neighbors.parent = self
        self.preemption_events = MplsLcacStandby.PreemptionEvents()
        self.preemption_events.parent = self
        self.soft_preemption_global_info = MplsLcacStandby.SoftPreemptionGlobalInfo()
        self.soft_preemption_global_info.parent = self
        self.soft_preemptions = MplsLcacStandby.SoftPreemptions()
        self.soft_preemptions.parent = self
        self.statistics = MplsLcacStandby.Statistics()
        self.statistics.parent = self


    class Neighbors(object):
        """
        The neighbor information for the local router
        
        .. attribute:: neighbor
        
        	The neighbors connected to a particular interface
        	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Neighbors.Neighbor>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.neighbor = YList()
            self.neighbor.parent = self
            self.neighbor.name = 'neighbor'


        class Neighbor(object):
            """
            The neighbors connected to a particular
            interface
            
            .. attribute:: interface_name  <key>
            
            	Interface name
            	**type**\:  str
            
            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
            
            .. attribute:: neighbor
            
            	Neighbors of the specified link id
            	**type**\: list of    :py:class:`Neighbor_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Neighbors.Neighbor.Neighbor_>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.interface_name = None
                self.neighbor = YList()
                self.neighbor.parent = self
                self.neighbor.name = 'neighbor'


            class Neighbor_(object):
                """
                Neighbors of the specified link id
                
                .. attribute:: area_id
                
                	The area id
                	**type**\:  str
                
                .. attribute:: interface_name
                
                	The interface on which this neighbor is discovered
                	**type**\:  str
                
                .. attribute:: neighbor_address
                
                	The neighbor's IP address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: neighbor_id
                
                	The neighbor's id
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.area_id = None
                    self.interface_name = None
                    self.neighbor_address = None
                    self.neighbor_id = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:neighbor'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.area_id is not None:
                        return True

                    if self.interface_name is not None:
                        return True

                    if self.neighbor_address is not None:
                        return True

                    if self.neighbor_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcacStandby.Neighbors.Neighbor.Neighbor_']['meta_info']

            @property
            def _common_path(self):
                if self.interface_name is None:
                    raise YPYModelError('Key property interface_name is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:neighbors/Cisco-IOS-XR-mpls-te-oper:neighbor[Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.interface_name is not None:
                    return True

                if self.neighbor is not None:
                    for child_ref in self.neighbor:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcacStandby.Neighbors.Neighbor']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:neighbors'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.neighbor is not None:
                for child_ref in self.neighbor:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcacStandby.Neighbors']['meta_info']


    class PreemptionEvents(object):
        """
        Preemption event log in MPLS\-LCAC
        
        .. attribute:: preemption_event
        
        	Preemption event
        	**type**\: list of    :py:class:`PreemptionEvent <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.PreemptionEvents.PreemptionEvent>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.preemption_event = YList()
            self.preemption_event.parent = self
            self.preemption_event.name = 'preemption_event'


        class PreemptionEvent(object):
            """
            Preemption event
            
            .. attribute:: event_index  <key>
            
            	Event index
            	**type**\:  int
            
            	**range:** 0..1999
            
            .. attribute:: bandwidth_overshoot0
            
            	BW Overshoot for BC0
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: bandwidth_overshoot1
            
            	BW Overshoot for BC1
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: bandwidth_type
            
            	The path's bandwidth type; 0\:CT0, 1\:CT1, so on
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: destination_address
            
            	Destination
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: event_time
            
            	Event time; seconds elapsed since January 1, 1970
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: hard_preempted_bandwidth_bc0
            
            	Amount of hard preempted class 0 bandwidth
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: hard_preempted_bandwidth_bc1
            
            	Amount of hard preempted class 1 bandwidth
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: hard_preempted_ls_ps
            
            	Number of LSPs hardly preempted
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: hard_preempted_tunnels
            
            	Number of Tunnels hardly preempted
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: hold_priority
            
            	The path's hold priority
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: interface_name
            
            	Interface name
            	**type**\:  str
            
            .. attribute:: ls_ps
            
            	Number of LSPs (not all may be present in the list)
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: lsp
            
            	List of preempted LSPs
            	**type**\: list of    :py:class:`Lsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.PreemptionEvents.PreemptionEvent.Lsp>`
            
            .. attribute:: lsp_id
            
            	LSP ID
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: new_bandwidth_bc0
            
            	New BW for BC0
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: new_bandwidth_bc1
            
            	New BW for BC1
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: old_bandwidth_bc0
            
            	Old BW for BC0
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: old_bandwidth_bc1
            
            	Old BW for BC1
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: requested_bandwidth
            
            	The path's requested bandwidth
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: setup_priority
            
            	The path's setup priority
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: soft_preempted_fr_rrewrite_bandwidth_bc0
            
            	Amount of softly preempted FRR RW class 0 bandwidth
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: soft_preempted_fr_rrewrite_bandwidth_bc1
            
            	Amount of softly preempted FRR RW class 1 bandwidth
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: soft_preempted_ls_ps
            
            	Number of LSPs softly preempted
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: soft_preempted_ls_ps_fr_rrewrite
            
            	Number of LSPs softly preempted with traffic switched to backup
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: soft_preempted_tunnels
            
            	Number of Tunnels softly preempted
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: soft_preempted_tunnels_fr_rrewrite
            
            	Number of Tunnels softly preempted with traffic switched to backup
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: softly_preempted_bandwidth_bc0
            
            	Amount of softly preempted class 0 bandwidth
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: softly_preempted_bandwidth_bc1
            
            	Amount of softly preempted class 1 bandwidth
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: source_address
            
            	Source
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: total_preempted_bandwidth_bc0
            
            	Total amount of preempted class 0 bandwidth
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: total_preempted_bandwidth_bc1
            
            	Total amount of preempted class 1 bandwidth
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: tunnel_id
            
            	Tunnel ID
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: tunnels
            
            	Number of Tunnels
            	**type**\:  int
            
            	**range:** 0..65535
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.event_index = None
                self.bandwidth_overshoot0 = None
                self.bandwidth_overshoot1 = None
                self.bandwidth_type = None
                self.destination_address = None
                self.event_time = None
                self.hard_preempted_bandwidth_bc0 = None
                self.hard_preempted_bandwidth_bc1 = None
                self.hard_preempted_ls_ps = None
                self.hard_preempted_tunnels = None
                self.hold_priority = None
                self.interface_name = None
                self.ls_ps = None
                self.lsp = YList()
                self.lsp.parent = self
                self.lsp.name = 'lsp'
                self.lsp_id = None
                self.new_bandwidth_bc0 = None
                self.new_bandwidth_bc1 = None
                self.old_bandwidth_bc0 = None
                self.old_bandwidth_bc1 = None
                self.requested_bandwidth = None
                self.setup_priority = None
                self.soft_preempted_fr_rrewrite_bandwidth_bc0 = None
                self.soft_preempted_fr_rrewrite_bandwidth_bc1 = None
                self.soft_preempted_ls_ps = None
                self.soft_preempted_ls_ps_fr_rrewrite = None
                self.soft_preempted_tunnels = None
                self.soft_preempted_tunnels_fr_rrewrite = None
                self.softly_preempted_bandwidth_bc0 = None
                self.softly_preempted_bandwidth_bc1 = None
                self.source_address = None
                self.total_preempted_bandwidth_bc0 = None
                self.total_preempted_bandwidth_bc1 = None
                self.tunnel_id = None
                self.tunnels = None


            class Lsp(object):
                """
                List of preempted LSPs
                
                .. attribute:: bandwidth_preempted
                
                	LSPs bandwidth is already preempted
                	**type**\:  bool
                
                .. attribute:: bandwidth_type
                
                	The path's bandwidth type; 0\:BC0, 1\:BC1, so on
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: destination_address
                
                	Destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: hold_priority
                
                	The path's hold priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: lsp_id
                
                	LSP ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: requested_bandwidth
                
                	The path's requested bandwidth
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: setup_priority
                
                	The path's setup priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: soft_preempted
                
                	TRUE is the preemption is a soft preemption
                	**type**\:  bool
                
                .. attribute:: soft_preempted_fr_rrewrite
                
                	FRR\-rewrite is done during soft preemption
                	**type**\:  bool
                
                .. attribute:: soft_preemption_timeout
                
                	If the soft preemption is underway, this value indicates the number of seconds before hard preemption is triggered
                	**type**\:  int
                
                	**range:** 0..65535
                
                	**units**\: second
                
                .. attribute:: source_address
                
                	Source
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.bandwidth_preempted = None
                    self.bandwidth_type = None
                    self.destination_address = None
                    self.hold_priority = None
                    self.lsp_id = None
                    self.requested_bandwidth = None
                    self.setup_priority = None
                    self.soft_preempted = None
                    self.soft_preempted_fr_rrewrite = None
                    self.soft_preemption_timeout = None
                    self.source_address = None
                    self.tunnel_id = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.bandwidth_preempted is not None:
                        return True

                    if self.bandwidth_type is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.hold_priority is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.requested_bandwidth is not None:
                        return True

                    if self.setup_priority is not None:
                        return True

                    if self.soft_preempted is not None:
                        return True

                    if self.soft_preempted_fr_rrewrite is not None:
                        return True

                    if self.soft_preemption_timeout is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcacStandby.PreemptionEvents.PreemptionEvent.Lsp']['meta_info']

            @property
            def _common_path(self):
                if self.event_index is None:
                    raise YPYModelError('Key property event_index is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:preemption-events/Cisco-IOS-XR-mpls-te-oper:preemption-event[Cisco-IOS-XR-mpls-te-oper:event-index = ' + str(self.event_index) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.event_index is not None:
                    return True

                if self.bandwidth_overshoot0 is not None:
                    return True

                if self.bandwidth_overshoot1 is not None:
                    return True

                if self.bandwidth_type is not None:
                    return True

                if self.destination_address is not None:
                    return True

                if self.event_time is not None:
                    return True

                if self.hard_preempted_bandwidth_bc0 is not None:
                    return True

                if self.hard_preempted_bandwidth_bc1 is not None:
                    return True

                if self.hard_preempted_ls_ps is not None:
                    return True

                if self.hard_preempted_tunnels is not None:
                    return True

                if self.hold_priority is not None:
                    return True

                if self.interface_name is not None:
                    return True

                if self.ls_ps is not None:
                    return True

                if self.lsp is not None:
                    for child_ref in self.lsp:
                        if child_ref._has_data():
                            return True

                if self.lsp_id is not None:
                    return True

                if self.new_bandwidth_bc0 is not None:
                    return True

                if self.new_bandwidth_bc1 is not None:
                    return True

                if self.old_bandwidth_bc0 is not None:
                    return True

                if self.old_bandwidth_bc1 is not None:
                    return True

                if self.requested_bandwidth is not None:
                    return True

                if self.setup_priority is not None:
                    return True

                if self.soft_preempted_fr_rrewrite_bandwidth_bc0 is not None:
                    return True

                if self.soft_preempted_fr_rrewrite_bandwidth_bc1 is not None:
                    return True

                if self.soft_preempted_ls_ps is not None:
                    return True

                if self.soft_preempted_ls_ps_fr_rrewrite is not None:
                    return True

                if self.soft_preempted_tunnels is not None:
                    return True

                if self.soft_preempted_tunnels_fr_rrewrite is not None:
                    return True

                if self.softly_preempted_bandwidth_bc0 is not None:
                    return True

                if self.softly_preempted_bandwidth_bc1 is not None:
                    return True

                if self.source_address is not None:
                    return True

                if self.total_preempted_bandwidth_bc0 is not None:
                    return True

                if self.total_preempted_bandwidth_bc1 is not None:
                    return True

                if self.tunnel_id is not None:
                    return True

                if self.tunnels is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcacStandby.PreemptionEvents.PreemptionEvent']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:preemption-events'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.preemption_event is not None:
                for child_ref in self.preemption_event:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcacStandby.PreemptionEvents']['meta_info']


    class Advertisements(object):
        """
        The advertisement information in MPLS\-LCAC
        
        .. attribute:: advertized_areas
        
        	Advertising info for all the IGP areas
        	**type**\: list of    :py:class:`AdvertizedAreas <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Advertisements.AdvertizedAreas>`
        
        .. attribute:: ds_te_mode
        
        	DS\-TE Mode
        	**type**\:   :py:class:`RrrDsteMigrationModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RrrDsteMigrationModeEnum>`
        
        .. attribute:: flooding_status_message
        
        	Flooding status\: ready or reason
        	**type**\:  str
        
        .. attribute:: last_flooding_time
        
        	Time elapsed since last flooding in seconds
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        	**units**\: second
        
        .. attribute:: last_flooding_trigger
        
        	Trigger for last flooding
        	**type**\:   :py:class:`FloodingTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.FloodingTriggerEnum>`
        
        .. attribute:: next_flooding_time
        
        	Time remained for next flooding in seconds
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        	**units**\: second
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.advertized_areas = YList()
            self.advertized_areas.parent = self
            self.advertized_areas.name = 'advertized_areas'
            self.ds_te_mode = None
            self.flooding_status_message = None
            self.last_flooding_time = None
            self.last_flooding_trigger = None
            self.next_flooding_time = None


        class AdvertizedAreas(object):
            """
            Advertising info for all the IGP areas
            
            .. attribute:: flooded_link
            
            	The array of flooded links in this area
            	**type**\: list of    :py:class:`FloodedLink <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink>`
            
            .. attribute:: igp_area_id
            
            	The area id
            	**type**\:  str
            
            .. attribute:: protocol
            
            	The IGP protocol running over this area
            	**type**\:   :py:class:`IgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpProtocolEnum>`
            
            .. attribute:: router_id
            
            	The node's router ID
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: system_id
            
            	The node's system id
            	**type**\:  str
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.flooded_link = YList()
                self.flooded_link.parent = self
                self.flooded_link.name = 'flooded_link'
                self.igp_area_id = None
                self.protocol = None
                self.router_id = None
                self.system_id = None


            class FloodedLink(object):
                """
                The array of flooded links in this area
                
                .. attribute:: affinity_attribute_flags
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: bandwidth_units
                
                	The link's bandwidth units
                	**type**\:   :py:class:`BandwidthUnitEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthUnitEnumEnum>`
                
                .. attribute:: bcm_id
                
                	Bandwidth Constraints Model ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: designated_router_igp_id
                
                	IGP id of the designated router
                	**type**\:  str
                
                .. attribute:: extended_affinity_attribute_flag
                
                	The link's extended affinity bits
                	**type**\:  list of int
                
                	**range:** 0..4294967295
                
                .. attribute:: igp_metric
                
                	The link's IGP metric
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: igp_neighbor_address
                
                	The neighbor's ip address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: incoming_interface_id
                
                	The link's incoming interface's id
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: interface_name
                
                	The link's interface name
                	**type**\:  str
                
                .. attribute:: is_designated_router
                
                	TRUE if the link belongs to a desig. router
                	**type**\:  bool
                
                .. attribute:: is_receiving_reservable_bandwidth_enabled
                
                	TRUE if receiving reservable BW is enabled
                	**type**\:  bool
                
                .. attribute:: is_transmitting_reservable_bandwidth_enabled
                
                	TRUE if transmitting reservable BW is enabled
                	**type**\:  bool
                
                .. attribute:: link_address
                
                	The link's IPv4 address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: link_id
                
                	The link's id
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: link_maximum_reservable_bandwidth
                
                	The link's maximum reservable BW
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: neighbor_igp_id
                
                	The neighbor's IGP id
                	**type**\:  str
                
                .. attribute:: odu_link_capabilities
                
                	ODU Link Capabilities
                	**type**\:   :py:class:`OduLinkCapabilities <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities>`
                
                .. attribute:: outgoing_interface_id
                
                	The link's outgoing interface's id
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: physical_bandwidth
                
                	The link's physical BW
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: receiving_direction
                
                	Upstream or Downstream
                	**type**\:   :py:class:`LinkDirectionEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.LinkDirectionEnumEnum>`
                
                .. attribute:: receiving_reservable_bandwidth
                
                	Receiving reservable BW at each priority level(priority 0 to priority 7)
                	**type**\: list of    :py:class:`ReceivingReservableBandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.ReceivingReservableBandwidth>`
                
                .. attribute:: reservable_pool0_bandwidth
                
                	The link's reservable pool0 BW
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: reservable_pool1_bandwidth
                
                	The link's reservable pool1 BW
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: shared_risk_link_group
                
                	The link's shared risk link groups
                	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.SharedRiskLinkGroup>`
                
                .. attribute:: subnet_type
                
                	The link's subnet type
                	**type**\:   :py:class:`IgpSubnetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpSubnetEnum>`
                
                .. attribute:: te_metric
                
                	The link's TE metric
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: transmitting_direction
                
                	Upstream or Downstream
                	**type**\:   :py:class:`LinkDirectionEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.LinkDirectionEnumEnum>`
                
                .. attribute:: transmitting_reservable_bandwidth
                
                	Transmitting reservable BW at each priority level (priority 0 to priority 7)
                	**type**\: list of    :py:class:`TransmittingReservableBandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.TransmittingReservableBandwidth>`
                
                .. attribute:: uni_link_delay
                
                	Unidirectional Link Delay in micro\-sec
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.affinity_attribute_flags = None
                    self.bandwidth_units = None
                    self.bcm_id = None
                    self.designated_router_igp_id = None
                    self.extended_affinity_attribute_flag = YLeafList()
                    self.extended_affinity_attribute_flag.parent = self
                    self.extended_affinity_attribute_flag.name = 'extended_affinity_attribute_flag'
                    self.igp_metric = None
                    self.igp_neighbor_address = None
                    self.incoming_interface_id = None
                    self.interface_name = None
                    self.is_designated_router = None
                    self.is_receiving_reservable_bandwidth_enabled = None
                    self.is_transmitting_reservable_bandwidth_enabled = None
                    self.link_address = None
                    self.link_id = None
                    self.link_maximum_reservable_bandwidth = None
                    self.neighbor_igp_id = None
                    self.odu_link_capabilities = MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities()
                    self.odu_link_capabilities.parent = self
                    self.outgoing_interface_id = None
                    self.physical_bandwidth = None
                    self.receiving_direction = None
                    self.receiving_reservable_bandwidth = YList()
                    self.receiving_reservable_bandwidth.parent = self
                    self.receiving_reservable_bandwidth.name = 'receiving_reservable_bandwidth'
                    self.reservable_pool0_bandwidth = None
                    self.reservable_pool1_bandwidth = None
                    self.shared_risk_link_group = YList()
                    self.shared_risk_link_group.parent = self
                    self.shared_risk_link_group.name = 'shared_risk_link_group'
                    self.subnet_type = None
                    self.te_metric = None
                    self.transmitting_direction = None
                    self.transmitting_reservable_bandwidth = YList()
                    self.transmitting_reservable_bandwidth.parent = self
                    self.transmitting_reservable_bandwidth.name = 'transmitting_reservable_bandwidth'
                    self.uni_link_delay = None


                class OduLinkCapabilities(object):
                    """
                    ODU Link Capabilities
                    
                    .. attribute:: max_lsp_bandwidth
                    
                    	Max LSP Bandwidth per priority in kbit/s
                    	**type**\:  list of int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: odu_capability
                    
                    	ODU Capabilities of Link
                    	**type**\: list of    :py:class:`OduCapability <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.max_lsp_bandwidth = YLeafList()
                        self.max_lsp_bandwidth.parent = self
                        self.max_lsp_bandwidth.name = 'max_lsp_bandwidth'
                        self.odu_capability = YList()
                        self.odu_capability.parent = self
                        self.odu_capability.name = 'odu_capability'


                    class OduCapability(object):
                        """
                        ODU Capabilities of Link
                        
                        .. attribute:: bandwidth_info
                        
                        	Bandwidth related info for this ODU level
                        	**type**\:   :py:class:`BandwidthInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo>`
                        
                        .. attribute:: lcas_capable
                        
                        	True if link LCAS capable for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: signal_type
                        
                        	Signal Type
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage1
                        
                        	ODU Type at stage 1, Not Set for HO ODU
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage2
                        
                        	ODU Type at stage 2, Not Set for single stage mulitplexing
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage3
                        
                        	ODU Type at stage 3, Not set up to two levels of multiplexing
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage4
                        
                        	ODU Type at stage 4, Not set up to three levels of multiplexing
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: switchable
                        
                        	True if link is switchable for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: terminable
                        
                        	True if link is terminable for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: tsg1p25
                        
                        	True if link supports 1.25G TSG for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: tsg2p5
                        
                        	True if link supports 2.5G TSG for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: vcat_capable
                        
                        	True if link VCAT capable for this ODU level
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bandwidth_info = MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo()
                            self.bandwidth_info.parent = self
                            self.lcas_capable = None
                            self.signal_type = None
                            self.stage1 = None
                            self.stage2 = None
                            self.stage3 = None
                            self.stage4 = None
                            self.switchable = None
                            self.terminable = None
                            self.tsg1p25 = None
                            self.tsg2p5 = None
                            self.vcat_capable = None


                        class BandwidthInfo(object):
                            """
                            Bandwidth related info for this ODU level
                            
                            .. attribute:: fixed
                            
                            	ODU capability for Fixed ODUs
                            	**type**\:   :py:class:`Fixed <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed>`
                            
                            .. attribute:: flex
                            
                            	ODU capability for Flex ODUs
                            	**type**\:   :py:class:`Flex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex>`
                            
                            .. attribute:: type
                            
                            	type
                            	**type**\:   :py:class:`TeOduCapabilityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduCapabilityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fixed = MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed()
                                self.fixed.parent = self
                                self.flex = MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex()
                                self.flex.parent = self
                                self.type = None


                            class Fixed(object):
                                """
                                ODU capability for Fixed ODUs
                                
                                .. attribute:: maximum_od_us
                                
                                	Maximum Number of ODUs of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: unreserved_od_us
                                
                                	Maximum Number of ODUs of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.maximum_od_us = None
                                    self.unreserved_od_us = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:advertisements/Cisco-IOS-XR-mpls-te-oper:advertized-areas/Cisco-IOS-XR-mpls-te-oper:flooded-link/Cisco-IOS-XR-mpls-te-oper:odu-link-capabilities/Cisco-IOS-XR-mpls-te-oper:odu-capability/Cisco-IOS-XR-mpls-te-oper:bandwidth-info/Cisco-IOS-XR-mpls-te-oper:fixed'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.maximum_od_us is not None:
                                        return True

                                    if self.unreserved_od_us is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed']['meta_info']


                            class Flex(object):
                                """
                                ODU capability for Flex ODUs
                                
                                .. attribute:: max_bandwidth
                                
                                	Max kbps Bandwidth of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: max_lsp_bandwidth
                                
                                	Per LSP Max kbps Bandwidth of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: unreserved_bandwidth
                                
                                	Unreserved kbps Bandwidth of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.max_bandwidth = None
                                    self.max_lsp_bandwidth = None
                                    self.unreserved_bandwidth = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:advertisements/Cisco-IOS-XR-mpls-te-oper:advertized-areas/Cisco-IOS-XR-mpls-te-oper:flooded-link/Cisco-IOS-XR-mpls-te-oper:odu-link-capabilities/Cisco-IOS-XR-mpls-te-oper:odu-capability/Cisco-IOS-XR-mpls-te-oper:bandwidth-info/Cisco-IOS-XR-mpls-te-oper:flex'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.max_bandwidth is not None:
                                        return True

                                    if self.max_lsp_bandwidth is not None:
                                        return True

                                    if self.unreserved_bandwidth is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:advertisements/Cisco-IOS-XR-mpls-te-oper:advertized-areas/Cisco-IOS-XR-mpls-te-oper:flooded-link/Cisco-IOS-XR-mpls-te-oper:odu-link-capabilities/Cisco-IOS-XR-mpls-te-oper:odu-capability/Cisco-IOS-XR-mpls-te-oper:bandwidth-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fixed is not None and self.fixed._has_data():
                                    return True

                                if self.flex is not None and self.flex._has_data():
                                    return True

                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:advertisements/Cisco-IOS-XR-mpls-te-oper:advertized-areas/Cisco-IOS-XR-mpls-te-oper:flooded-link/Cisco-IOS-XR-mpls-te-oper:odu-link-capabilities/Cisco-IOS-XR-mpls-te-oper:odu-capability'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bandwidth_info is not None and self.bandwidth_info._has_data():
                                return True

                            if self.lcas_capable is not None:
                                return True

                            if self.signal_type is not None:
                                return True

                            if self.stage1 is not None:
                                return True

                            if self.stage2 is not None:
                                return True

                            if self.stage3 is not None:
                                return True

                            if self.stage4 is not None:
                                return True

                            if self.switchable is not None:
                                return True

                            if self.terminable is not None:
                                return True

                            if self.tsg1p25 is not None:
                                return True

                            if self.tsg2p5 is not None:
                                return True

                            if self.vcat_capable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:advertisements/Cisco-IOS-XR-mpls-te-oper:advertized-areas/Cisco-IOS-XR-mpls-te-oper:flooded-link/Cisco-IOS-XR-mpls-te-oper:odu-link-capabilities'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.max_lsp_bandwidth is not None:
                            for child in self.max_lsp_bandwidth:
                                if child is not None:
                                    return True

                        if self.odu_capability is not None:
                            for child_ref in self.odu_capability:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities']['meta_info']


                class SharedRiskLinkGroup(object):
                    """
                    The link's shared risk link groups
                    
                    .. attribute:: shared_risk_group
                    
                    	SRLG number
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srlg_name
                    
                    	SRLG name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.shared_risk_group = None
                        self.srlg_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:advertisements/Cisco-IOS-XR-mpls-te-oper:advertized-areas/Cisco-IOS-XR-mpls-te-oper:flooded-link/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.shared_risk_group is not None:
                            return True

                        if self.srlg_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.SharedRiskLinkGroup']['meta_info']


                class ReceivingReservableBandwidth(object):
                    """
                    Receiving reservable BW at each priority
                    level(priority 0 to priority 7)
                    
                    .. attribute:: pool0_bandwidth
                    
                    	The reservable pool0 BW at this priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pool1_bandwidth
                    
                    	The reservable pool1 BW at this priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: priority
                    
                    	The priority level of this bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.pool0_bandwidth = None
                        self.pool1_bandwidth = None
                        self.priority = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:advertisements/Cisco-IOS-XR-mpls-te-oper:advertized-areas/Cisco-IOS-XR-mpls-te-oper:flooded-link/Cisco-IOS-XR-mpls-te-oper:receiving-reservable-bandwidth'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.pool0_bandwidth is not None:
                            return True

                        if self.pool1_bandwidth is not None:
                            return True

                        if self.priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.ReceivingReservableBandwidth']['meta_info']


                class TransmittingReservableBandwidth(object):
                    """
                    Transmitting reservable BW at each priority
                    level (priority 0 to priority 7)
                    
                    .. attribute:: pool0_bandwidth
                    
                    	The reservable pool0 BW at this priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pool1_bandwidth
                    
                    	The reservable pool1 BW at this priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: priority
                    
                    	The priority level of this bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.pool0_bandwidth = None
                        self.pool1_bandwidth = None
                        self.priority = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:advertisements/Cisco-IOS-XR-mpls-te-oper:advertized-areas/Cisco-IOS-XR-mpls-te-oper:flooded-link/Cisco-IOS-XR-mpls-te-oper:transmitting-reservable-bandwidth'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.pool0_bandwidth is not None:
                            return True

                        if self.pool1_bandwidth is not None:
                            return True

                        if self.priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.TransmittingReservableBandwidth']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:advertisements/Cisco-IOS-XR-mpls-te-oper:advertized-areas/Cisco-IOS-XR-mpls-te-oper:flooded-link'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.affinity_attribute_flags is not None:
                        return True

                    if self.bandwidth_units is not None:
                        return True

                    if self.bcm_id is not None:
                        return True

                    if self.designated_router_igp_id is not None:
                        return True

                    if self.extended_affinity_attribute_flag is not None:
                        for child in self.extended_affinity_attribute_flag:
                            if child is not None:
                                return True

                    if self.igp_metric is not None:
                        return True

                    if self.igp_neighbor_address is not None:
                        return True

                    if self.incoming_interface_id is not None:
                        return True

                    if self.interface_name is not None:
                        return True

                    if self.is_designated_router is not None:
                        return True

                    if self.is_receiving_reservable_bandwidth_enabled is not None:
                        return True

                    if self.is_transmitting_reservable_bandwidth_enabled is not None:
                        return True

                    if self.link_address is not None:
                        return True

                    if self.link_id is not None:
                        return True

                    if self.link_maximum_reservable_bandwidth is not None:
                        return True

                    if self.neighbor_igp_id is not None:
                        return True

                    if self.odu_link_capabilities is not None and self.odu_link_capabilities._has_data():
                        return True

                    if self.outgoing_interface_id is not None:
                        return True

                    if self.physical_bandwidth is not None:
                        return True

                    if self.receiving_direction is not None:
                        return True

                    if self.receiving_reservable_bandwidth is not None:
                        for child_ref in self.receiving_reservable_bandwidth:
                            if child_ref._has_data():
                                return True

                    if self.reservable_pool0_bandwidth is not None:
                        return True

                    if self.reservable_pool1_bandwidth is not None:
                        return True

                    if self.shared_risk_link_group is not None:
                        for child_ref in self.shared_risk_link_group:
                            if child_ref._has_data():
                                return True

                    if self.subnet_type is not None:
                        return True

                    if self.te_metric is not None:
                        return True

                    if self.transmitting_direction is not None:
                        return True

                    if self.transmitting_reservable_bandwidth is not None:
                        for child_ref in self.transmitting_reservable_bandwidth:
                            if child_ref._has_data():
                                return True

                    if self.uni_link_delay is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:advertisements/Cisco-IOS-XR-mpls-te-oper:advertized-areas'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.flooded_link is not None:
                    for child_ref in self.flooded_link:
                        if child_ref._has_data():
                            return True

                if self.igp_area_id is not None:
                    return True

                if self.protocol is not None:
                    return True

                if self.router_id is not None:
                    return True

                if self.system_id is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:advertisements'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.advertized_areas is not None:
                for child_ref in self.advertized_areas:
                    if child_ref._has_data():
                        return True

            if self.ds_te_mode is not None:
                return True

            if self.flooding_status_message is not None:
                return True

            if self.last_flooding_time is not None:
                return True

            if self.last_flooding_trigger is not None:
                return True

            if self.next_flooding_time is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcacStandby.Advertisements']['meta_info']


    class Statistics(object):
        """
        The interface statistics information in
        MPLS\-LCAC
        
        .. attribute:: statstics_links
        
        	The table of statistics interfaces in MPLS\-LCAC
        	**type**\:   :py:class:`StatsticsLinks <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Statistics.StatsticsLinks>`
        
        .. attribute:: summary
        
        	The statistics summary for all interfaces
        	**type**\:   :py:class:`Summary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Statistics.Summary>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.statstics_links = MplsLcacStandby.Statistics.StatsticsLinks()
            self.statstics_links.parent = self
            self.summary = MplsLcacStandby.Statistics.Summary()
            self.summary.parent = self


        class Summary(object):
            """
            The statistics summary for all interfaces
            
            .. attribute:: is_role_standby
            
            	TRUE if Role is Standby, Active otherwise
            	**type**\:  bool
            
            .. attribute:: path_statistics
            
            	Deprecated
            	**type**\:   :py:class:`PathStatistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Statistics.Summary.PathStatistics>`
            
            .. attribute:: path_statistics32_bit
            
            	Path counters (32\-bit)
            	**type**\:   :py:class:`PathStatistics32Bit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Statistics.Summary.PathStatistics32Bit>`
            
            .. attribute:: reservation_statistics
            
            	Deprecated
            	**type**\:   :py:class:`ReservationStatistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Statistics.Summary.ReservationStatistics>`
            
            .. attribute:: reservation_statistics32_bit
            
            	Reservation counters (32\-bit)
            	**type**\:   :py:class:`ReservationStatistics32Bit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Statistics.Summary.ReservationStatistics32Bit>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.is_role_standby = None
                self.path_statistics = MplsLcacStandby.Statistics.Summary.PathStatistics()
                self.path_statistics.parent = self
                self.path_statistics32_bit = MplsLcacStandby.Statistics.Summary.PathStatistics32Bit()
                self.path_statistics32_bit.parent = self
                self.reservation_statistics = MplsLcacStandby.Statistics.Summary.ReservationStatistics()
                self.reservation_statistics.parent = self
                self.reservation_statistics32_bit = MplsLcacStandby.Statistics.Summary.ReservationStatistics32Bit()
                self.reservation_statistics32_bit.parent = self


            class PathStatistics(object):
                """
                Deprecated
                
                .. attribute:: setup_admits
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: setup_errors
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: setup_rejects
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: setup_requests
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tear_errors
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tear_preempts
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tear_requests
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.setup_admits = None
                    self.setup_errors = None
                    self.setup_rejects = None
                    self.setup_requests = None
                    self.tear_errors = None
                    self.tear_preempts = None
                    self.tear_requests = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:path-statistics'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.setup_admits is not None:
                        return True

                    if self.setup_errors is not None:
                        return True

                    if self.setup_rejects is not None:
                        return True

                    if self.setup_requests is not None:
                        return True

                    if self.tear_errors is not None:
                        return True

                    if self.tear_preempts is not None:
                        return True

                    if self.tear_requests is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcacStandby.Statistics.Summary.PathStatistics']['meta_info']


            class ReservationStatistics(object):
                """
                Deprecated
                
                .. attribute:: setup_admits
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: setup_errors
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: setup_rejects
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: setup_requests
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tear_errors
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tear_preempts
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tear_requests
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.setup_admits = None
                    self.setup_errors = None
                    self.setup_rejects = None
                    self.setup_requests = None
                    self.tear_errors = None
                    self.tear_preempts = None
                    self.tear_requests = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:reservation-statistics'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.setup_admits is not None:
                        return True

                    if self.setup_errors is not None:
                        return True

                    if self.setup_rejects is not None:
                        return True

                    if self.setup_requests is not None:
                        return True

                    if self.tear_errors is not None:
                        return True

                    if self.tear_preempts is not None:
                        return True

                    if self.tear_requests is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcacStandby.Statistics.Summary.ReservationStatistics']['meta_info']


            class PathStatistics32Bit(object):
                """
                Path counters (32\-bit)
                
                .. attribute:: setup_admits
                
                	Setup admits
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: setup_errors
                
                	Setup errors
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: setup_rejects
                
                	Setup rejects
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: setup_requests
                
                	Setup requests
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tear_errors
                
                	Tear errors
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tear_preempts
                
                	Tear preempts
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tear_requests
                
                	Tear requests
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.setup_admits = None
                    self.setup_errors = None
                    self.setup_rejects = None
                    self.setup_requests = None
                    self.tear_errors = None
                    self.tear_preempts = None
                    self.tear_requests = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:path-statistics32-bit'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.setup_admits is not None:
                        return True

                    if self.setup_errors is not None:
                        return True

                    if self.setup_rejects is not None:
                        return True

                    if self.setup_requests is not None:
                        return True

                    if self.tear_errors is not None:
                        return True

                    if self.tear_preempts is not None:
                        return True

                    if self.tear_requests is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcacStandby.Statistics.Summary.PathStatistics32Bit']['meta_info']


            class ReservationStatistics32Bit(object):
                """
                Reservation counters (32\-bit)
                
                .. attribute:: setup_admits
                
                	Setup admits
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: setup_errors
                
                	Setup errors
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: setup_rejects
                
                	Setup rejects
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: setup_requests
                
                	Setup requests
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tear_errors
                
                	Tear errors
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tear_preempts
                
                	Tear preempts
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tear_requests
                
                	Tear requests
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.setup_admits = None
                    self.setup_errors = None
                    self.setup_rejects = None
                    self.setup_requests = None
                    self.tear_errors = None
                    self.tear_preempts = None
                    self.tear_requests = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:reservation-statistics32-bit'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.setup_admits is not None:
                        return True

                    if self.setup_errors is not None:
                        return True

                    if self.setup_rejects is not None:
                        return True

                    if self.setup_requests is not None:
                        return True

                    if self.tear_errors is not None:
                        return True

                    if self.tear_preempts is not None:
                        return True

                    if self.tear_requests is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcacStandby.Statistics.Summary.ReservationStatistics32Bit']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:summary'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.is_role_standby is not None:
                    return True

                if self.path_statistics is not None and self.path_statistics._has_data():
                    return True

                if self.path_statistics32_bit is not None and self.path_statistics32_bit._has_data():
                    return True

                if self.reservation_statistics is not None and self.reservation_statistics._has_data():
                    return True

                if self.reservation_statistics32_bit is not None and self.reservation_statistics32_bit._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcacStandby.Statistics.Summary']['meta_info']


        class StatsticsLinks(object):
            """
            The table of statistics interfaces in MPLS\-LCAC
            
            .. attribute:: statstics_link
            
            	An interface in MPLS\-LCAC
            	**type**\: list of    :py:class:`StatsticsLink <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.statstics_link = YList()
                self.statstics_link.parent = self
                self.statstics_link.name = 'statstics_link'


            class StatsticsLink(object):
                """
                An interface in MPLS\-LCAC
                
                .. attribute:: interface_name  <key>
                
                	Interface name
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: incoming_path_statistics
                
                	Deprecated
                	**type**\:   :py:class:`IncomingPathStatistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics>`
                
                .. attribute:: incoming_path_statistics32_bit
                
                	Incoming PATH counters
                	**type**\:   :py:class:`IncomingPathStatistics32Bit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics32Bit>`
                
                .. attribute:: incoming_reservation_statistics
                
                	Deprecated
                	**type**\:   :py:class:`IncomingReservationStatistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics>`
                
                .. attribute:: incoming_reservation_statistics32_bit
                
                	Incoming RESV counters
                	**type**\:   :py:class:`IncomingReservationStatistics32Bit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics32Bit>`
                
                .. attribute:: interface_name_xr
                
                	Link name
                	**type**\:  str
                
                .. attribute:: link_address
                
                	Link's ip address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: outgoing_path_statistics
                
                	Deprecated
                	**type**\:   :py:class:`OutgoingPathStatistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics>`
                
                .. attribute:: outgoing_path_statistics32_bit
                
                	Outgoing PATH counters
                	**type**\:   :py:class:`OutgoingPathStatistics32Bit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics32Bit>`
                
                .. attribute:: outgoing_reservation_statistics
                
                	Deprecated
                	**type**\:   :py:class:`OutgoingReservationStatistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics>`
                
                .. attribute:: outgoing_reservation_statistics32_bit
                
                	Outgoing RESV counters
                	**type**\:   :py:class:`OutgoingReservationStatistics32Bit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics32Bit>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.interface_name = None
                    self.incoming_path_statistics = MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics()
                    self.incoming_path_statistics.parent = self
                    self.incoming_path_statistics32_bit = MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics32Bit()
                    self.incoming_path_statistics32_bit.parent = self
                    self.incoming_reservation_statistics = MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics()
                    self.incoming_reservation_statistics.parent = self
                    self.incoming_reservation_statistics32_bit = MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics32Bit()
                    self.incoming_reservation_statistics32_bit.parent = self
                    self.interface_name_xr = None
                    self.link_address = None
                    self.outgoing_path_statistics = MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics()
                    self.outgoing_path_statistics.parent = self
                    self.outgoing_path_statistics32_bit = MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics32Bit()
                    self.outgoing_path_statistics32_bit.parent = self
                    self.outgoing_reservation_statistics = MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics()
                    self.outgoing_reservation_statistics.parent = self
                    self.outgoing_reservation_statistics32_bit = MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics32Bit()
                    self.outgoing_reservation_statistics32_bit.parent = self


                class IncomingPathStatistics(object):
                    """
                    Deprecated
                    
                    .. attribute:: setup_admits
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_errors
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_rejects
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_requests
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_errors
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_preempts
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_requests
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.setup_admits = None
                        self.setup_errors = None
                        self.setup_rejects = None
                        self.setup_requests = None
                        self.tear_errors = None
                        self.tear_preempts = None
                        self.tear_requests = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-path-statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.setup_admits is not None:
                            return True

                        if self.setup_errors is not None:
                            return True

                        if self.setup_rejects is not None:
                            return True

                        if self.setup_requests is not None:
                            return True

                        if self.tear_errors is not None:
                            return True

                        if self.tear_preempts is not None:
                            return True

                        if self.tear_requests is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics']['meta_info']


                class IncomingReservationStatistics(object):
                    """
                    Deprecated
                    
                    .. attribute:: setup_admits
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_errors
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_rejects
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_requests
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_errors
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_preempts
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_requests
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.setup_admits = None
                        self.setup_errors = None
                        self.setup_rejects = None
                        self.setup_requests = None
                        self.tear_errors = None
                        self.tear_preempts = None
                        self.tear_requests = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-reservation-statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.setup_admits is not None:
                            return True

                        if self.setup_errors is not None:
                            return True

                        if self.setup_rejects is not None:
                            return True

                        if self.setup_requests is not None:
                            return True

                        if self.tear_errors is not None:
                            return True

                        if self.tear_preempts is not None:
                            return True

                        if self.tear_requests is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics']['meta_info']


                class OutgoingPathStatistics(object):
                    """
                    Deprecated
                    
                    .. attribute:: setup_admits
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_errors
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_rejects
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_requests
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_errors
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_preempts
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_requests
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.setup_admits = None
                        self.setup_errors = None
                        self.setup_rejects = None
                        self.setup_requests = None
                        self.tear_errors = None
                        self.tear_preempts = None
                        self.tear_requests = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:outgoing-path-statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.setup_admits is not None:
                            return True

                        if self.setup_errors is not None:
                            return True

                        if self.setup_rejects is not None:
                            return True

                        if self.setup_requests is not None:
                            return True

                        if self.tear_errors is not None:
                            return True

                        if self.tear_preempts is not None:
                            return True

                        if self.tear_requests is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics']['meta_info']


                class OutgoingReservationStatistics(object):
                    """
                    Deprecated
                    
                    .. attribute:: setup_admits
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_errors
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_rejects
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_requests
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_errors
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_preempts
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_requests
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.setup_admits = None
                        self.setup_errors = None
                        self.setup_rejects = None
                        self.setup_requests = None
                        self.tear_errors = None
                        self.tear_preempts = None
                        self.tear_requests = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:outgoing-reservation-statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.setup_admits is not None:
                            return True

                        if self.setup_errors is not None:
                            return True

                        if self.setup_rejects is not None:
                            return True

                        if self.setup_requests is not None:
                            return True

                        if self.tear_errors is not None:
                            return True

                        if self.tear_preempts is not None:
                            return True

                        if self.tear_requests is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics']['meta_info']


                class IncomingPathStatistics32Bit(object):
                    """
                    Incoming PATH counters
                    
                    .. attribute:: setup_admits
                    
                    	Setup admits
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_errors
                    
                    	Setup errors
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_rejects
                    
                    	Setup rejects
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_requests
                    
                    	Setup requests
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_errors
                    
                    	Tear errors
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_preempts
                    
                    	Tear preempts
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_requests
                    
                    	Tear requests
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.setup_admits = None
                        self.setup_errors = None
                        self.setup_rejects = None
                        self.setup_requests = None
                        self.tear_errors = None
                        self.tear_preempts = None
                        self.tear_requests = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-path-statistics32-bit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.setup_admits is not None:
                            return True

                        if self.setup_errors is not None:
                            return True

                        if self.setup_rejects is not None:
                            return True

                        if self.setup_requests is not None:
                            return True

                        if self.tear_errors is not None:
                            return True

                        if self.tear_preempts is not None:
                            return True

                        if self.tear_requests is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics32Bit']['meta_info']


                class IncomingReservationStatistics32Bit(object):
                    """
                    Incoming RESV counters
                    
                    .. attribute:: setup_admits
                    
                    	Setup admits
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_errors
                    
                    	Setup errors
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_rejects
                    
                    	Setup rejects
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_requests
                    
                    	Setup requests
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_errors
                    
                    	Tear errors
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_preempts
                    
                    	Tear preempts
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_requests
                    
                    	Tear requests
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.setup_admits = None
                        self.setup_errors = None
                        self.setup_rejects = None
                        self.setup_requests = None
                        self.tear_errors = None
                        self.tear_preempts = None
                        self.tear_requests = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-reservation-statistics32-bit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.setup_admits is not None:
                            return True

                        if self.setup_errors is not None:
                            return True

                        if self.setup_rejects is not None:
                            return True

                        if self.setup_requests is not None:
                            return True

                        if self.tear_errors is not None:
                            return True

                        if self.tear_preempts is not None:
                            return True

                        if self.tear_requests is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics32Bit']['meta_info']


                class OutgoingPathStatistics32Bit(object):
                    """
                    Outgoing PATH counters
                    
                    .. attribute:: setup_admits
                    
                    	Setup admits
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_errors
                    
                    	Setup errors
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_rejects
                    
                    	Setup rejects
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_requests
                    
                    	Setup requests
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_errors
                    
                    	Tear errors
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_preempts
                    
                    	Tear preempts
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_requests
                    
                    	Tear requests
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.setup_admits = None
                        self.setup_errors = None
                        self.setup_rejects = None
                        self.setup_requests = None
                        self.tear_errors = None
                        self.tear_preempts = None
                        self.tear_requests = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:outgoing-path-statistics32-bit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.setup_admits is not None:
                            return True

                        if self.setup_errors is not None:
                            return True

                        if self.setup_rejects is not None:
                            return True

                        if self.setup_requests is not None:
                            return True

                        if self.tear_errors is not None:
                            return True

                        if self.tear_preempts is not None:
                            return True

                        if self.tear_requests is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics32Bit']['meta_info']


                class OutgoingReservationStatistics32Bit(object):
                    """
                    Outgoing RESV counters
                    
                    .. attribute:: setup_admits
                    
                    	Setup admits
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_errors
                    
                    	Setup errors
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_rejects
                    
                    	Setup rejects
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_requests
                    
                    	Setup requests
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_errors
                    
                    	Tear errors
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_preempts
                    
                    	Tear preempts
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_requests
                    
                    	Tear requests
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.setup_admits = None
                        self.setup_errors = None
                        self.setup_rejects = None
                        self.setup_requests = None
                        self.tear_errors = None
                        self.tear_preempts = None
                        self.tear_requests = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:outgoing-reservation-statistics32-bit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.setup_admits is not None:
                            return True

                        if self.setup_errors is not None:
                            return True

                        if self.setup_rejects is not None:
                            return True

                        if self.setup_requests is not None:
                            return True

                        if self.tear_errors is not None:
                            return True

                        if self.tear_preempts is not None:
                            return True

                        if self.tear_requests is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics32Bit']['meta_info']

                @property
                def _common_path(self):
                    if self.interface_name is None:
                        raise YPYModelError('Key property interface_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:statstics-links/Cisco-IOS-XR-mpls-te-oper:statstics-link[Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.interface_name is not None:
                        return True

                    if self.incoming_path_statistics is not None and self.incoming_path_statistics._has_data():
                        return True

                    if self.incoming_path_statistics32_bit is not None and self.incoming_path_statistics32_bit._has_data():
                        return True

                    if self.incoming_reservation_statistics is not None and self.incoming_reservation_statistics._has_data():
                        return True

                    if self.incoming_reservation_statistics32_bit is not None and self.incoming_reservation_statistics32_bit._has_data():
                        return True

                    if self.interface_name_xr is not None:
                        return True

                    if self.link_address is not None:
                        return True

                    if self.outgoing_path_statistics is not None and self.outgoing_path_statistics._has_data():
                        return True

                    if self.outgoing_path_statistics32_bit is not None and self.outgoing_path_statistics32_bit._has_data():
                        return True

                    if self.outgoing_reservation_statistics is not None and self.outgoing_reservation_statistics._has_data():
                        return True

                    if self.outgoing_reservation_statistics32_bit is not None and self.outgoing_reservation_statistics32_bit._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:statstics-links'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.statstics_link is not None:
                    for child_ref in self.statstics_link:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcacStandby.Statistics.StatsticsLinks']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:statistics'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.statstics_links is not None and self.statstics_links._has_data():
                return True

            if self.summary is not None and self.summary._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcacStandby.Statistics']['meta_info']


    class BandwidthAllocation(object):
        """
        The bandwidth allocation information in
        MPLS\-LCAC
        
        .. attribute:: bandwidth_allocation_links
        
        	Per\-link bandwidth allocation information in MPLS\-LCAC
        	**type**\:   :py:class:`BandwidthAllocationLinks <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks>`
        
        .. attribute:: global_
        
        	Global bandwidth allocation information for all interfaces
        	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BandwidthAllocation.Global_>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.bandwidth_allocation_links = MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks()
            self.bandwidth_allocation_links.parent = self
            self.global_ = MplsLcacStandby.BandwidthAllocation.Global_()
            self.global_.parent = self


        class Global_(object):
            """
            Global bandwidth allocation information for all
            interfaces
            
            .. attribute:: bandwidth_hold_time
            
            	How long to hold the bandwidth (seconds)
            	**type**\:  int
            
            	**range:** 0..65535
            
            	**units**\: second
            
            .. attribute:: is_role_standby
            
            	TRUE if Role is Standby, Active otherwise
            	**type**\:  bool
            
            .. attribute:: links
            
            	Number of links
            	**type**\:  int
            
            	**range:** 0..65535
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.bandwidth_hold_time = None
                self.is_role_standby = None
                self.links = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:bandwidth-allocation/Cisco-IOS-XR-mpls-te-oper:global'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.bandwidth_hold_time is not None:
                    return True

                if self.is_role_standby is not None:
                    return True

                if self.links is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcacStandby.BandwidthAllocation.Global_']['meta_info']


        class BandwidthAllocationLinks(object):
            """
            Per\-link bandwidth allocation information in
            MPLS\-LCAC
            
            .. attribute:: bandwidth_allocation_link
            
            	The bandwidth allocation for a given interface
            	**type**\: list of    :py:class:`BandwidthAllocationLink <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.bandwidth_allocation_link = YList()
                self.bandwidth_allocation_link.parent = self
                self.bandwidth_allocation_link.name = 'bandwidth_allocation_link'


            class BandwidthAllocationLink(object):
                """
                The bandwidth allocation for a given interface
                
                .. attribute:: interface_name  <key>
                
                	Interface name
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: bandwidth_descriptors
                
                	Number of BW descriptor for the given pool
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: bandwidth_pool
                
                	type of the BW pool
                	**type**\:   :py:class:`BandwidthTypeEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthTypeEnumEnum>`
                
                .. attribute:: downstream_bandwidth
                
                	BW info in the dnstream direction
                	**type**\:   :py:class:`DownstreamBandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth>`
                
                .. attribute:: flooding_down_threshold
                
                	Flooding down\-thresholds
                	**type**\:  list of int
                
                	**range:** 0..255
                
                .. attribute:: flooding_down_thresholds_are_default
                
                	TRUE if the down\-threshold are default
                	**type**\:  bool
                
                .. attribute:: flooding_down_thresholds_are_global
                
                	TRUE if the down\-threshold are global
                	**type**\:  bool
                
                .. attribute:: flooding_up_threshold
                
                	Flooding up\-thresholds
                	**type**\:  list of int
                
                	**range:** 0..255
                
                .. attribute:: flooding_up_thresholds_are_default
                
                	TRUE if the up\-threshold are default
                	**type**\:  bool
                
                .. attribute:: flooding_up_thresholds_are_global
                
                	TRUE if the up\-threshold are global
                	**type**\:  bool
                
                .. attribute:: link_common
                
                	The link's common info
                	**type**\:   :py:class:`LinkCommon <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon>`
                
                .. attribute:: total_bandwidth_descriptors
                
                	Number of total BW descriptors
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: upstream_bandwidth
                
                	BW info in the upstream direction
                	**type**\:   :py:class:`UpstreamBandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.interface_name = None
                    self.bandwidth_descriptors = None
                    self.bandwidth_pool = None
                    self.downstream_bandwidth = MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth()
                    self.downstream_bandwidth.parent = self
                    self.flooding_down_threshold = YLeafList()
                    self.flooding_down_threshold.parent = self
                    self.flooding_down_threshold.name = 'flooding_down_threshold'
                    self.flooding_down_thresholds_are_default = None
                    self.flooding_down_thresholds_are_global = None
                    self.flooding_up_threshold = YLeafList()
                    self.flooding_up_threshold.parent = self
                    self.flooding_up_threshold.name = 'flooding_up_threshold'
                    self.flooding_up_thresholds_are_default = None
                    self.flooding_up_thresholds_are_global = None
                    self.link_common = MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon()
                    self.link_common.parent = self
                    self.total_bandwidth_descriptors = None
                    self.upstream_bandwidth = MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth()
                    self.upstream_bandwidth.parent = self


                class LinkCommon(object):
                    """
                    The link's common info
                    
                    .. attribute:: bandwidth_units
                    
                    	The bandwidth units
                    	**type**\:   :py:class:`BandwidthUnitEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthUnitEnumEnum>`
                    
                    .. attribute:: bcm_id
                    
                    	Bandwidth Constraints Model ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: capability
                    
                    	The link's protection capability
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: flooded_areas
                    
                    	List of areas into which the link is flooded
                    	**type**\: list of    :py:class:`FloodedAreas <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.FloodedAreas>`
                    
                    .. attribute:: has_protection
                    
                    	TRUE if the link is protected
                    	**type**\:  bool
                    
                    .. attribute:: igp_neighbors
                    
                    	The link's neighbor count
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: inbound_admission_method
                    
                    	Deprecated
                    	**type**\:   :py:class:`AdmissionPolicyEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AdmissionPolicyEnum>`
                    
                    .. attribute:: incoming_reservable_bandwidth_percentage
                    
                    	Incoming reserved BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: incoming_reservable_pool0_bandwidth_percentage
                    
                    	Incoming reserved pool0 BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: incoming_reservable_pool1_bandwidth_percentage
                    
                    	Incoming reserved pool1 BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: interface_switching_capability_descriptor
                    
                    	The link's switching capability descriptor
                    	**type**\: list of    :py:class:`InterfaceSwitchingCapabilityDescriptor <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.InterfaceSwitchingCapabilityDescriptor>`
                    
                    .. attribute:: is_resource_provider_installed
                    
                    	TRUE if the resource provider is installed
                    	**type**\:  bool
                    
                    .. attribute:: is_unnumbered
                    
                    	TRUE if the link is unnumbered
                    	**type**\:  bool
                    
                    .. attribute:: last_flooded_effective_maximum_reservable_bandwidth
                    
                    	Last flooded max reservable bandwidth effective
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: link_address
                    
                    	The link's ip address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: link_flags
                    
                    	The link's flags
                    	**type**\:   :py:class:`LinkFlags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.LinkFlags>`
                    
                    .. attribute:: link_id
                    
                    	The link's id
                    	**type**\:  str
                    
                    .. attribute:: maximum_reservable_bandwidth
                    
                    	The link's maximum reservable BW
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: maximum_reservable_pool0_bandwidth
                    
                    	The link's maximum reservable pool0 BW
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: maximum_reservable_pool1_bandwidth
                    
                    	The link's maximum reservable pool1 BW
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: outbound_admission_method
                    
                    	Deprecated
                    	**type**\:   :py:class:`AdmissionPolicyEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AdmissionPolicyEnum>`
                    
                    .. attribute:: outgoing_reservable_bandwidth_percentage
                    
                    	Outgoing reserved BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: outgoing_reservable_pool0_bandwidth_percentage
                    
                    	Outgoing reserved pool0 BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: outgoing_reservable_pool1_bandwidth_percentage
                    
                    	Outgoing reserved pool1 BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: physical_bandwidth
                    
                    	The link's physical bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: resource_provider
                    
                    	The link's resource provider
                    	**type**\:   :py:class:`ResourceProviderEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.ResourceProviderEnum>`
                    
                    .. attribute:: shared_risk_link_group
                    
                    	The link's shared risk link groups
                    	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.SharedRiskLinkGroup>`
                    
                    .. attribute:: working_priority
                    
                    	The link's working priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bandwidth_units = None
                        self.bcm_id = None
                        self.capability = None
                        self.flooded_areas = YList()
                        self.flooded_areas.parent = self
                        self.flooded_areas.name = 'flooded_areas'
                        self.has_protection = None
                        self.igp_neighbors = None
                        self.inbound_admission_method = None
                        self.incoming_reservable_bandwidth_percentage = None
                        self.incoming_reservable_pool0_bandwidth_percentage = None
                        self.incoming_reservable_pool1_bandwidth_percentage = None
                        self.interface_switching_capability_descriptor = YList()
                        self.interface_switching_capability_descriptor.parent = self
                        self.interface_switching_capability_descriptor.name = 'interface_switching_capability_descriptor'
                        self.is_resource_provider_installed = None
                        self.is_unnumbered = None
                        self.last_flooded_effective_maximum_reservable_bandwidth = None
                        self.link_address = None
                        self.link_flags = MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.LinkFlags()
                        self.link_flags.parent = self
                        self.link_id = None
                        self.maximum_reservable_bandwidth = None
                        self.maximum_reservable_pool0_bandwidth = None
                        self.maximum_reservable_pool1_bandwidth = None
                        self.outbound_admission_method = None
                        self.outgoing_reservable_bandwidth_percentage = None
                        self.outgoing_reservable_pool0_bandwidth_percentage = None
                        self.outgoing_reservable_pool1_bandwidth_percentage = None
                        self.physical_bandwidth = None
                        self.resource_provider = None
                        self.shared_risk_link_group = YList()
                        self.shared_risk_link_group.parent = self
                        self.shared_risk_link_group.name = 'shared_risk_link_group'
                        self.working_priority = None


                    class LinkFlags(object):
                        """
                        The link's flags
                        
                        .. attribute:: is_admin_up
                        
                        	TRUE if the link is admin up
                        	**type**\:  bool
                        
                        .. attribute:: is_mpls_te_on
                        
                        	Deprecated \- TRUE if the link is a TE\-Link
                        	**type**\:  bool
                        
                        .. attribute:: signaling_agent
                        
                        	Deprecated \- Signaling agent
                        	**type**\:   :py:class:`SignalingAgentEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.SignalingAgentEnumEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.is_admin_up = None
                            self.is_mpls_te_on = None
                            self.signaling_agent = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:link-flags'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.is_admin_up is not None:
                                return True

                            if self.is_mpls_te_on is not None:
                                return True

                            if self.signaling_agent is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.LinkFlags']['meta_info']


                    class SharedRiskLinkGroup(object):
                        """
                        The link's shared risk link groups
                        
                        .. attribute:: shared_risk_group
                        
                        	SRLG number
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: srlg_name
                        
                        	SRLG name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.shared_risk_group = None
                            self.srlg_name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.shared_risk_group is not None:
                                return True

                            if self.srlg_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.SharedRiskLinkGroup']['meta_info']


                    class InterfaceSwitchingCapabilityDescriptor(object):
                        """
                        The link's switching capability descriptor
                        
                        .. attribute:: encoding
                        
                        	The link encoding type
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: key
                        
                        	The switching capability descriptor key
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: switching_capability
                        
                        	The switching capability
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.encoding = None
                            self.key = None
                            self.switching_capability = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:interface-switching-capability-descriptor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.encoding is not None:
                                return True

                            if self.key is not None:
                                return True

                            if self.switching_capability is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.InterfaceSwitchingCapabilityDescriptor']['meta_info']


                    class FloodedAreas(object):
                        """
                        List of areas into which the link is flooded
                        
                        .. attribute:: flooded_area
                        
                        	The flooded area information
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.flooded_area = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flooded-areas'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.flooded_area is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.FloodedAreas']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:link-common'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bandwidth_units is not None:
                            return True

                        if self.bcm_id is not None:
                            return True

                        if self.capability is not None:
                            return True

                        if self.flooded_areas is not None:
                            for child_ref in self.flooded_areas:
                                if child_ref._has_data():
                                    return True

                        if self.has_protection is not None:
                            return True

                        if self.igp_neighbors is not None:
                            return True

                        if self.inbound_admission_method is not None:
                            return True

                        if self.incoming_reservable_bandwidth_percentage is not None:
                            return True

                        if self.incoming_reservable_pool0_bandwidth_percentage is not None:
                            return True

                        if self.incoming_reservable_pool1_bandwidth_percentage is not None:
                            return True

                        if self.interface_switching_capability_descriptor is not None:
                            for child_ref in self.interface_switching_capability_descriptor:
                                if child_ref._has_data():
                                    return True

                        if self.is_resource_provider_installed is not None:
                            return True

                        if self.is_unnumbered is not None:
                            return True

                        if self.last_flooded_effective_maximum_reservable_bandwidth is not None:
                            return True

                        if self.link_address is not None:
                            return True

                        if self.link_flags is not None and self.link_flags._has_data():
                            return True

                        if self.link_id is not None:
                            return True

                        if self.maximum_reservable_bandwidth is not None:
                            return True

                        if self.maximum_reservable_pool0_bandwidth is not None:
                            return True

                        if self.maximum_reservable_pool1_bandwidth is not None:
                            return True

                        if self.outbound_admission_method is not None:
                            return True

                        if self.outgoing_reservable_bandwidth_percentage is not None:
                            return True

                        if self.outgoing_reservable_pool0_bandwidth_percentage is not None:
                            return True

                        if self.outgoing_reservable_pool1_bandwidth_percentage is not None:
                            return True

                        if self.physical_bandwidth is not None:
                            return True

                        if self.resource_provider is not None:
                            return True

                        if self.shared_risk_link_group is not None:
                            for child_ref in self.shared_risk_link_group:
                                if child_ref._has_data():
                                    return True

                        if self.working_priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon']['meta_info']


                class UpstreamBandwidth(object):
                    """
                    BW info in the upstream direction
                    
                    .. attribute:: bandwidth_direction
                    
                    	BW Direction
                    	**type**\:   :py:class:`LinkDirectionEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.LinkDirectionEnumEnum>`
                    
                    .. attribute:: bandwidth_pool0
                    
                    	Pool0 BW info for the different priority levels
                    	**type**\: list of    :py:class:`BandwidthPool0 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool0>`
                    
                    .. attribute:: bandwidth_pool1
                    
                    	Pool1 BW info for the different priority levels
                    	**type**\: list of    :py:class:`BandwidthPool1 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool1>`
                    
                    .. attribute:: bandwidth_units
                    
                    	Bandwidth units
                    	**type**\:   :py:class:`BandwidthUnitEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthUnitEnumEnum>`
                    
                    .. attribute:: is_admission_method_allocated_bandwidth
                    
                    	True if the link's admit method is based on Allocated BW
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bandwidth_direction = None
                        self.bandwidth_pool0 = YList()
                        self.bandwidth_pool0.parent = self
                        self.bandwidth_pool0.name = 'bandwidth_pool0'
                        self.bandwidth_pool1 = YList()
                        self.bandwidth_pool1.parent = self
                        self.bandwidth_pool1.name = 'bandwidth_pool1'
                        self.bandwidth_units = None
                        self.is_admission_method_allocated_bandwidth = None


                    class BandwidthPool0(object):
                        """
                        Pool0 BW info for the different priority levels
                        
                        .. attribute:: held_amount
                        
                        	The held bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: hold_priority
                        
                        	The BW priority
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: locked_amount
                        
                        	The locked bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_held_amount
                        
                        	The total held bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_locked_amount
                        
                        	The total locked bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.held_amount = None
                            self.hold_priority = None
                            self.locked_amount = None
                            self.total_held_amount = None
                            self.total_locked_amount = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-pool0'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.held_amount is not None:
                                return True

                            if self.hold_priority is not None:
                                return True

                            if self.locked_amount is not None:
                                return True

                            if self.total_held_amount is not None:
                                return True

                            if self.total_locked_amount is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool0']['meta_info']


                    class BandwidthPool1(object):
                        """
                        Pool1 BW info for the different priority levels
                        
                        .. attribute:: held_amount
                        
                        	The held bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: hold_priority
                        
                        	The BW priority
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: locked_amount
                        
                        	The locked bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_held_amount
                        
                        	The total held bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_locked_amount
                        
                        	The total locked bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.held_amount = None
                            self.hold_priority = None
                            self.locked_amount = None
                            self.total_held_amount = None
                            self.total_locked_amount = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-pool1'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.held_amount is not None:
                                return True

                            if self.hold_priority is not None:
                                return True

                            if self.locked_amount is not None:
                                return True

                            if self.total_held_amount is not None:
                                return True

                            if self.total_locked_amount is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool1']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:upstream-bandwidth'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bandwidth_direction is not None:
                            return True

                        if self.bandwidth_pool0 is not None:
                            for child_ref in self.bandwidth_pool0:
                                if child_ref._has_data():
                                    return True

                        if self.bandwidth_pool1 is not None:
                            for child_ref in self.bandwidth_pool1:
                                if child_ref._has_data():
                                    return True

                        if self.bandwidth_units is not None:
                            return True

                        if self.is_admission_method_allocated_bandwidth is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth']['meta_info']


                class DownstreamBandwidth(object):
                    """
                    BW info in the dnstream direction
                    
                    .. attribute:: bandwidth_direction
                    
                    	BW Direction
                    	**type**\:   :py:class:`LinkDirectionEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.LinkDirectionEnumEnum>`
                    
                    .. attribute:: bandwidth_pool0
                    
                    	Pool0 BW info for the different priority levels
                    	**type**\: list of    :py:class:`BandwidthPool0 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool0>`
                    
                    .. attribute:: bandwidth_pool1
                    
                    	Pool1 BW info for the different priority levels
                    	**type**\: list of    :py:class:`BandwidthPool1 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool1>`
                    
                    .. attribute:: bandwidth_units
                    
                    	Bandwidth units
                    	**type**\:   :py:class:`BandwidthUnitEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthUnitEnumEnum>`
                    
                    .. attribute:: is_admission_method_allocated_bandwidth
                    
                    	True if the link's admit method is based on Allocated BW
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bandwidth_direction = None
                        self.bandwidth_pool0 = YList()
                        self.bandwidth_pool0.parent = self
                        self.bandwidth_pool0.name = 'bandwidth_pool0'
                        self.bandwidth_pool1 = YList()
                        self.bandwidth_pool1.parent = self
                        self.bandwidth_pool1.name = 'bandwidth_pool1'
                        self.bandwidth_units = None
                        self.is_admission_method_allocated_bandwidth = None


                    class BandwidthPool0(object):
                        """
                        Pool0 BW info for the different priority levels
                        
                        .. attribute:: held_amount
                        
                        	The held bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: hold_priority
                        
                        	The BW priority
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: locked_amount
                        
                        	The locked bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_held_amount
                        
                        	The total held bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_locked_amount
                        
                        	The total locked bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.held_amount = None
                            self.hold_priority = None
                            self.locked_amount = None
                            self.total_held_amount = None
                            self.total_locked_amount = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-pool0'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.held_amount is not None:
                                return True

                            if self.hold_priority is not None:
                                return True

                            if self.locked_amount is not None:
                                return True

                            if self.total_held_amount is not None:
                                return True

                            if self.total_locked_amount is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool0']['meta_info']


                    class BandwidthPool1(object):
                        """
                        Pool1 BW info for the different priority levels
                        
                        .. attribute:: held_amount
                        
                        	The held bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: hold_priority
                        
                        	The BW priority
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: locked_amount
                        
                        	The locked bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_held_amount
                        
                        	The total held bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_locked_amount
                        
                        	The total locked bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.held_amount = None
                            self.hold_priority = None
                            self.locked_amount = None
                            self.total_held_amount = None
                            self.total_locked_amount = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-pool1'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.held_amount is not None:
                                return True

                            if self.hold_priority is not None:
                                return True

                            if self.locked_amount is not None:
                                return True

                            if self.total_held_amount is not None:
                                return True

                            if self.total_locked_amount is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool1']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:downstream-bandwidth'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bandwidth_direction is not None:
                            return True

                        if self.bandwidth_pool0 is not None:
                            for child_ref in self.bandwidth_pool0:
                                if child_ref._has_data():
                                    return True

                        if self.bandwidth_pool1 is not None:
                            for child_ref in self.bandwidth_pool1:
                                if child_ref._has_data():
                                    return True

                        if self.bandwidth_units is not None:
                            return True

                        if self.is_admission_method_allocated_bandwidth is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth']['meta_info']

                @property
                def _common_path(self):
                    if self.interface_name is None:
                        raise YPYModelError('Key property interface_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:bandwidth-allocation/Cisco-IOS-XR-mpls-te-oper:bandwidth-allocation-links/Cisco-IOS-XR-mpls-te-oper:bandwidth-allocation-link[Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.interface_name is not None:
                        return True

                    if self.bandwidth_descriptors is not None:
                        return True

                    if self.bandwidth_pool is not None:
                        return True

                    if self.downstream_bandwidth is not None and self.downstream_bandwidth._has_data():
                        return True

                    if self.flooding_down_threshold is not None:
                        for child in self.flooding_down_threshold:
                            if child is not None:
                                return True

                    if self.flooding_down_thresholds_are_default is not None:
                        return True

                    if self.flooding_down_thresholds_are_global is not None:
                        return True

                    if self.flooding_up_threshold is not None:
                        for child in self.flooding_up_threshold:
                            if child is not None:
                                return True

                    if self.flooding_up_thresholds_are_default is not None:
                        return True

                    if self.flooding_up_thresholds_are_global is not None:
                        return True

                    if self.link_common is not None and self.link_common._has_data():
                        return True

                    if self.total_bandwidth_descriptors is not None:
                        return True

                    if self.upstream_bandwidth is not None and self.upstream_bandwidth._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:bandwidth-allocation/Cisco-IOS-XR-mpls-te-oper:bandwidth-allocation-links'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.bandwidth_allocation_link is not None:
                    for child_ref in self.bandwidth_allocation_link:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:bandwidth-allocation'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.bandwidth_allocation_links is not None and self.bandwidth_allocation_links._has_data():
                return True

            if self.global_ is not None and self.global_._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcacStandby.BandwidthAllocation']['meta_info']


    class Gmpls(object):
        """
        GMPLS data
        
        .. attribute:: nni
        
        	GMPLS NNI data
        	**type**\:   :py:class:`Nni <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Gmpls.Nni>`
        
        .. attribute:: uni
        
        	GMPLS UNI data
        	**type**\:   :py:class:`Uni <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.Gmpls.Uni>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.nni = MplsLcacStandby.Gmpls.Nni()
            self.nni.parent = self
            self.uni = MplsLcacStandby.Gmpls.Uni()
            self.uni.parent = self


        class Nni(object):
            """
            GMPLS NNI data
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:gmpls/Cisco-IOS-XR-mpls-te-oper:nni'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcacStandby.Gmpls.Nni']['meta_info']


        class Uni(object):
            """
            GMPLS UNI data
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:gmpls/Cisco-IOS-XR-mpls-te-oper:uni'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcacStandby.Gmpls.Uni']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:gmpls'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.nni is not None and self.nni._has_data():
                return True

            if self.uni is not None and self.uni._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcacStandby.Gmpls']['meta_info']


    class BfdNeighbors(object):
        """
        BFD Neighbors
        
        .. attribute:: bfd_neighbor
        
        	A BFD Neighbor
        	**type**\: list of    :py:class:`BfdNeighbor <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BfdNeighbors.BfdNeighbor>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.bfd_neighbor = YList()
            self.bfd_neighbor.parent = self
            self.bfd_neighbor.name = 'bfd_neighbor'


        class BfdNeighbor(object):
            """
            A BFD Neighbor
            
            .. attribute:: interface_name  <key>
            
            	Interface name
            	**type**\:  str
            
            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
            
            .. attribute:: neighbor
            
            	Neighbors of the specified link id
            	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BfdNeighbors.BfdNeighbor.Neighbor>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.interface_name = None
                self.neighbor = YList()
                self.neighbor.parent = self
                self.neighbor.name = 'neighbor'


            class Neighbor(object):
                """
                Neighbors of the specified link id
                
                .. attribute:: is_bfd_up
                
                	TRUE if the BFD session is Up on this link
                	**type**\:  bool
                
                .. attribute:: neighbor_address
                
                	The neighbor's IP address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.is_bfd_up = None
                    self.neighbor_address = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:neighbor'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.is_bfd_up is not None:
                        return True

                    if self.neighbor_address is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcacStandby.BfdNeighbors.BfdNeighbor.Neighbor']['meta_info']

            @property
            def _common_path(self):
                if self.interface_name is None:
                    raise YPYModelError('Key property interface_name is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:bfd-neighbors/Cisco-IOS-XR-mpls-te-oper:bfd-neighbor[Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.interface_name is not None:
                    return True

                if self.neighbor is not None:
                    for child_ref in self.neighbor:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcacStandby.BfdNeighbors.BfdNeighbor']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:bfd-neighbors'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.bfd_neighbor is not None:
                for child_ref in self.bfd_neighbor:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcacStandby.BfdNeighbors']['meta_info']


    class BandwidthAccount(object):
        """
        The bandwidth accounting information in
        MPLS\-LCAC
        
        .. attribute:: bandwidth_account_links
        
        	The interface bandwidth accounting information table
        	**type**\:   :py:class:`BandwidthAccountLinks <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.bandwidth_account_links = MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks()
            self.bandwidth_account_links.parent = self


        class BandwidthAccountLinks(object):
            """
            The interface bandwidth accounting information
            table
            
            .. attribute:: bandwidth_account_link
            
            	An interface in bandwidth accounting table
            	**type**\: list of    :py:class:`BandwidthAccountLink <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.bandwidth_account_link = YList()
                self.bandwidth_account_link.parent = self
                self.bandwidth_account_link.name = 'bandwidth_account_link'


            class BandwidthAccountLink(object):
                """
                An interface in bandwidth accounting table
                
                .. attribute:: interface_name  <key>
                
                	Interface name
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: common_info
                
                	Information for bandwidth accounting telemetry
                	**type**\:   :py:class:`CommonInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo>`
                
                .. attribute:: link_id
                
                	The link's ID
                	**type**\:  str
                
                .. attribute:: sample_history
                
                	History of bandwidth accounting samples
                	**type**\:   :py:class:`SampleHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.interface_name = None
                    self.common_info = MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo()
                    self.common_info.parent = self
                    self.link_id = None
                    self.sample_history = MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory()
                    self.sample_history.parent = self


                class CommonInfo(object):
                    """
                    Information for bandwidth accounting telemetry
                    
                    .. attribute:: application_enabled
                    
                    	TRUE if application is enabled
                    	**type**\:  bool
                    
                    .. attribute:: application_time_remaining_nano_sec
                    
                    	This value indicates the number of nano\-seconds until the next application
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    .. attribute:: bandwidth_utilization
                    
                    	Bandwidth utilization information
                    	**type**\:   :py:class:`BandwidthUtilization <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo.BandwidthUtilization>`
                    
                    .. attribute:: collection_type
                    
                    	The type of traffic collected for bandwidth accounting
                    	**type**\:   :py:class:`BandwidthAccountingCollectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthAccountingCollectionEnum>`
                    
                    .. attribute:: effective_maximum_reservable_bandwidth
                    
                    	Maximum reservable bandwidth effective
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: last_application_timestamp_nano_sec
                    
                    	Timestamp for the last application in nano\-seconds
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    .. attribute:: last_sample_collection_timestamp_nano_sec
                    
                    	Timestamp for the last sample collection in nano\-seconds
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    .. attribute:: next_application_timestamp_nano_sec
                    
                    	Timestamp for the next application in nano\-seconds
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    .. attribute:: next_sample_collection_nano_sec
                    
                    	Timestamp for the next sample collection in nano\-seconds
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    .. attribute:: sample_time_remaining_timestamp_nano_sec
                    
                    	This value indicates the number of nano\-seconds until the next sampling
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.application_enabled = None
                        self.application_time_remaining_nano_sec = None
                        self.bandwidth_utilization = MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo.BandwidthUtilization()
                        self.bandwidth_utilization.parent = self
                        self.collection_type = None
                        self.effective_maximum_reservable_bandwidth = None
                        self.last_application_timestamp_nano_sec = None
                        self.last_sample_collection_timestamp_nano_sec = None
                        self.next_application_timestamp_nano_sec = None
                        self.next_sample_collection_nano_sec = None
                        self.sample_time_remaining_timestamp_nano_sec = None


                    class BandwidthUtilization(object):
                        """
                        Bandwidth utilization information
                        
                        .. attribute:: applied_non_rsvp_te_bandwidth_utilization
                        
                        	Applied Non\-RSVP\-TE bandwidth utilization measured in kilobits per second
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: non_rsvp_te_bandwidth_utilization
                        
                        	Non\-RSVP\-TE bandwidth utilization measured in kilobits per second
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: rsvp_te_bandwidth_utilization
                        
                        	RSVP\-TE bandwidth utilization measured in kilobits per second
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: total_link_bandwidth_utilization
                        
                        	Total bandwidth utilization measured in kilobits per second
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.applied_non_rsvp_te_bandwidth_utilization = None
                            self.non_rsvp_te_bandwidth_utilization = None
                            self.rsvp_te_bandwidth_utilization = None
                            self.total_link_bandwidth_utilization = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-utilization'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.applied_non_rsvp_te_bandwidth_utilization is not None:
                                return True

                            if self.non_rsvp_te_bandwidth_utilization is not None:
                                return True

                            if self.rsvp_te_bandwidth_utilization is not None:
                                return True

                            if self.total_link_bandwidth_utilization is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo.BandwidthUtilization']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:common-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.application_enabled is not None:
                            return True

                        if self.application_time_remaining_nano_sec is not None:
                            return True

                        if self.bandwidth_utilization is not None and self.bandwidth_utilization._has_data():
                            return True

                        if self.collection_type is not None:
                            return True

                        if self.effective_maximum_reservable_bandwidth is not None:
                            return True

                        if self.last_application_timestamp_nano_sec is not None:
                            return True

                        if self.last_sample_collection_timestamp_nano_sec is not None:
                            return True

                        if self.next_application_timestamp_nano_sec is not None:
                            return True

                        if self.next_sample_collection_nano_sec is not None:
                            return True

                        if self.sample_time_remaining_timestamp_nano_sec is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo']['meta_info']


                class SampleHistory(object):
                    """
                    History of bandwidth accounting samples
                    
                    .. attribute:: active_interval_sample
                    
                    	Samples in the current application interval
                    	**type**\: list of    :py:class:`ActiveIntervalSample <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.ActiveIntervalSample>`
                    
                    .. attribute:: previous_interval_sample
                    
                    	Samples in the previous application interval
                    	**type**\: list of    :py:class:`PreviousIntervalSample <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.PreviousIntervalSample>`
                    
                    .. attribute:: total_applications
                    
                    	Total number of applications
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_samples
                    
                    	Total number of samples collected
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.active_interval_sample = YList()
                        self.active_interval_sample.parent = self
                        self.active_interval_sample.name = 'active_interval_sample'
                        self.previous_interval_sample = YList()
                        self.previous_interval_sample.parent = self
                        self.previous_interval_sample.name = 'previous_interval_sample'
                        self.total_applications = None
                        self.total_samples = None


                    class ActiveIntervalSample(object):
                        """
                        Samples in the current application interval
                        
                        .. attribute:: non_rsvp_te_packet_rate
                        
                        	Non\-RSVP\-TE traffic rate measured in packets per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: packet/s
                        
                        .. attribute:: non_rsvp_te_rate
                        
                        	Non\-RSVP\-TE traffic rate measured in Kilobits per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: rsvp_te_packet_rate
                        
                        	RSVP\-TE traffic rate measured in packets per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: packet/s
                        
                        .. attribute:: rsvp_te_rate
                        
                        	RSVP\-TE traffic rate measured in Kilobits per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: timestamp_nano_sec
                        
                        	Timestamp in nano\-seconds of this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: total_packet_rate
                        
                        	Total traffic rate measured in packets per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: packet/s
                        
                        .. attribute:: total_rate
                        
                        	Total traffic rate measured in Kilobits per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.non_rsvp_te_packet_rate = None
                            self.non_rsvp_te_rate = None
                            self.rsvp_te_packet_rate = None
                            self.rsvp_te_rate = None
                            self.timestamp_nano_sec = None
                            self.total_packet_rate = None
                            self.total_rate = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-interval-sample'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.non_rsvp_te_packet_rate is not None:
                                return True

                            if self.non_rsvp_te_rate is not None:
                                return True

                            if self.rsvp_te_packet_rate is not None:
                                return True

                            if self.rsvp_te_rate is not None:
                                return True

                            if self.timestamp_nano_sec is not None:
                                return True

                            if self.total_packet_rate is not None:
                                return True

                            if self.total_rate is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.ActiveIntervalSample']['meta_info']


                    class PreviousIntervalSample(object):
                        """
                        Samples in the previous application interval
                        
                        .. attribute:: non_rsvp_te_packet_rate
                        
                        	Non\-RSVP\-TE traffic rate measured in packets per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: packet/s
                        
                        .. attribute:: non_rsvp_te_rate
                        
                        	Non\-RSVP\-TE traffic rate measured in Kilobits per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: rsvp_te_packet_rate
                        
                        	RSVP\-TE traffic rate measured in packets per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: packet/s
                        
                        .. attribute:: rsvp_te_rate
                        
                        	RSVP\-TE traffic rate measured in Kilobits per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: timestamp_nano_sec
                        
                        	Timestamp in nano\-seconds of this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: total_packet_rate
                        
                        	Total traffic rate measured in packets per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: packet/s
                        
                        .. attribute:: total_rate
                        
                        	Total traffic rate measured in Kilobits per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.non_rsvp_te_packet_rate = None
                            self.non_rsvp_te_rate = None
                            self.rsvp_te_packet_rate = None
                            self.rsvp_te_rate = None
                            self.timestamp_nano_sec = None
                            self.total_packet_rate = None
                            self.total_rate = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-interval-sample'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.non_rsvp_te_packet_rate is not None:
                                return True

                            if self.non_rsvp_te_rate is not None:
                                return True

                            if self.rsvp_te_packet_rate is not None:
                                return True

                            if self.rsvp_te_rate is not None:
                                return True

                            if self.timestamp_nano_sec is not None:
                                return True

                            if self.total_packet_rate is not None:
                                return True

                            if self.total_rate is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.PreviousIntervalSample']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:sample-history'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.active_interval_sample is not None:
                            for child_ref in self.active_interval_sample:
                                if child_ref._has_data():
                                    return True

                        if self.previous_interval_sample is not None:
                            for child_ref in self.previous_interval_sample:
                                if child_ref._has_data():
                                    return True

                        if self.total_applications is not None:
                            return True

                        if self.total_samples is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory']['meta_info']

                @property
                def _common_path(self):
                    if self.interface_name is None:
                        raise YPYModelError('Key property interface_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:bandwidth-account/Cisco-IOS-XR-mpls-te-oper:bandwidth-account-links/Cisco-IOS-XR-mpls-te-oper:bandwidth-account-link[Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.interface_name is not None:
                        return True

                    if self.common_info is not None and self.common_info._has_data():
                        return True

                    if self.link_id is not None:
                        return True

                    if self.sample_history is not None and self.sample_history._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:bandwidth-account/Cisco-IOS-XR-mpls-te-oper:bandwidth-account-links'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.bandwidth_account_link is not None:
                    for child_ref in self.bandwidth_account_link:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:bandwidth-account'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.bandwidth_account_links is not None and self.bandwidth_account_links._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcacStandby.BandwidthAccount']['meta_info']


    class LinkSummary(object):
        """
        The global summary for all the interfaces
        
        .. attribute:: areas_summary
        
        	Summary info for the areas
        	**type**\: list of    :py:class:`AreasSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.LinkSummary.AreasSummary>`
        
        .. attribute:: bandwidth_account_summary
        
        	Bandwidth account summary
        	**type**\:   :py:class:`BandwidthAccountSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.LinkSummary.BandwidthAccountSummary>`
        
        .. attribute:: is_flooding_enabled
        
        	TRUE if flooding is enabled
        	**type**\:  bool
        
        .. attribute:: is_role_standby
        
        	TRUE if Role is Standby, Active otherwise
        	**type**\:  bool
        
        .. attribute:: links
        
        	Total number of links
        	**type**\:  int
        
        	**range:** 0..65535
        
        .. attribute:: maximum_links
        
        	Maximum number of links supported
        	**type**\:  int
        
        	**range:** 0..65535
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.areas_summary = YList()
            self.areas_summary.parent = self
            self.areas_summary.name = 'areas_summary'
            self.bandwidth_account_summary = MplsLcacStandby.LinkSummary.BandwidthAccountSummary()
            self.bandwidth_account_summary.parent = self
            self.is_flooding_enabled = None
            self.is_role_standby = None
            self.links = None
            self.maximum_links = None


        class BandwidthAccountSummary(object):
            """
            Bandwidth account summary
            
            .. attribute:: application_interval
            
            	Application interval for bandwidth accounting stats
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: application_time_remaining
            
            	This value indicates the number of seconds until the next application
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: is_bandwidth_account_enabled
            
            	TRUE if bandwidth accounting is enabled
            	**type**\:  bool
            
            .. attribute:: sample_interval
            
            	Sample interval for bandwidth accounting stats
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: sample_time_remaining
            
            	This value indicates the number of seconds until the next sample collection
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.application_interval = None
                self.application_time_remaining = None
                self.is_bandwidth_account_enabled = None
                self.sample_interval = None
                self.sample_time_remaining = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:link-summary/Cisco-IOS-XR-mpls-te-oper:bandwidth-account-summary'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.application_interval is not None:
                    return True

                if self.application_time_remaining is not None:
                    return True

                if self.is_bandwidth_account_enabled is not None:
                    return True

                if self.sample_interval is not None:
                    return True

                if self.sample_time_remaining is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcacStandby.LinkSummary.BandwidthAccountSummary']['meta_info']


        class AreasSummary(object):
            """
            Summary info for the areas
            
            .. attribute:: area_id
            
            	Area id
            	**type**\:  str
            
            .. attribute:: igp_neighbors
            
            	Number of IGP neighbors
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: is_flooded
            
            	TRUE if flooding occurred in this area
            	**type**\:  bool
            
            .. attribute:: is_periodic_flooding_on
            
            	TRUE if periodic flooding is on
            	**type**\:  bool
            
            .. attribute:: links_flooded
            
            	Number of flooded links
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: local_node_router_id
            
            	Local router id
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: periodic_flooding_interval
            
            	Flooding period in seconds
            	**type**\:  int
            
            	**range:** 0..65535
            
            	**units**\: second
            
            .. attribute:: protocol
            
            	Protocol running over the area
            	**type**\:   :py:class:`IgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpProtocolEnum>`
            
            .. attribute:: system_id
            
            	IGP id of local node
            	**type**\:  str
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.area_id = None
                self.igp_neighbors = None
                self.is_flooded = None
                self.is_periodic_flooding_on = None
                self.links_flooded = None
                self.local_node_router_id = None
                self.periodic_flooding_interval = None
                self.protocol = None
                self.system_id = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:link-summary/Cisco-IOS-XR-mpls-te-oper:areas-summary'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.area_id is not None:
                    return True

                if self.igp_neighbors is not None:
                    return True

                if self.is_flooded is not None:
                    return True

                if self.is_periodic_flooding_on is not None:
                    return True

                if self.links_flooded is not None:
                    return True

                if self.local_node_router_id is not None:
                    return True

                if self.periodic_flooding_interval is not None:
                    return True

                if self.protocol is not None:
                    return True

                if self.system_id is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcacStandby.LinkSummary.AreasSummary']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:link-summary'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.areas_summary is not None:
                for child_ref in self.areas_summary:
                    if child_ref._has_data():
                        return True

            if self.bandwidth_account_summary is not None and self.bandwidth_account_summary._has_data():
                return True

            if self.is_flooding_enabled is not None:
                return True

            if self.is_role_standby is not None:
                return True

            if self.links is not None:
                return True

            if self.maximum_links is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcacStandby.LinkSummary']['meta_info']


    class LinkInformation(object):
        """
        The interface information in MPLS\-LCAC
        
        .. attribute:: global_
        
        	The global information for all the interfaces
        	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.LinkInformation.Global_>`
        
        .. attribute:: links
        
        	The table of interfaces in MPLS\-LCAC
        	**type**\:   :py:class:`Links <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.LinkInformation.Links>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.global_ = MplsLcacStandby.LinkInformation.Global_()
            self.global_.parent = self
            self.links = MplsLcacStandby.LinkInformation.Links()
            self.links.parent = self


        class Global_(object):
            """
            The global information for all the interfaces
            
            .. attribute:: is_role_standby
            
            	TRUE if Role is Standby, Active otherwise
            	**type**\:  bool
            
            .. attribute:: links
            
            	The number of links
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: maximum_links
            
            	Maximum number of links supported
            	**type**\:  int
            
            	**range:** 0..65535
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.is_role_standby = None
                self.links = None
                self.maximum_links = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:link-information/Cisco-IOS-XR-mpls-te-oper:global'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.is_role_standby is not None:
                    return True

                if self.links is not None:
                    return True

                if self.maximum_links is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcacStandby.LinkInformation.Global_']['meta_info']


        class Links(object):
            """
            The table of interfaces in MPLS\-LCAC
            
            .. attribute:: link
            
            	An interface in MPLS\-LCAC
            	**type**\: list of    :py:class:`Link <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.LinkInformation.Links.Link>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.link = YList()
                self.link.parent = self
                self.link.name = 'link'


            class Link(object):
                """
                An interface in MPLS\-LCAC
                
                .. attribute:: interface_name  <key>
                
                	Interface name
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: affinity_map
                
                	Affinity map array
                	**type**\: list of    :py:class:`AffinityMap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.LinkInformation.Links.Link.AffinityMap>`
                
                .. attribute:: areas
                
                	Per\-area data
                	**type**\: list of    :py:class:`Areas <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.LinkInformation.Links.Link.Areas>`
                
                .. attribute:: bandwidth_account
                
                	Bandwidth Account info
                	**type**\:   :py:class:`BandwidthAccount <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount>`
                
                .. attribute:: hw_oor
                
                	The link's NPU OOR info. This field is NULL for platforms that do not support HW\-OOR notifications
                	**type**\:   :py:class:`HwOor <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.LinkInformation.Links.Link.HwOor>`
                
                .. attribute:: is_attribute_incomplete
                
                	TRUE if one or more affinity definition(s) is/are unknown
                	**type**\:  bool
                
                .. attribute:: is_name_based_attribute
                
                	TRUE, if name based attribute style is in effect
                	**type**\:  bool
                
                .. attribute:: is_te_metric_valid
                
                	Flag to indicate whether the link's TE metric is a valid value
                	**type**\:  bool
                
                .. attribute:: link_attributes
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: link_common
                
                	The link's common info
                	**type**\:   :py:class:`LinkCommon <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.LinkInformation.Links.Link.LinkCommon>`
                
                .. attribute:: link_extended_attribute
                
                	The link's extended attribute bit map
                	**type**\:  list of int
                
                	**range:** 0..4294967295
                
                .. attribute:: link_forwad_ref_value
                
                	Reference bits for undefined affinity names
                	**type**\:  list of int
                
                	**range:** 0..4294967295
                
                .. attribute:: lockout
                
                	Flex LSP Lockout info
                	**type**\: list of    :py:class:`Lockout <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.LinkInformation.Links.Link.Lockout>`
                
                .. attribute:: maximum_reservation_bandwidth_mam
                
                	The link's maximum reservable BW in MAM
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: maximum_reservation_bandwidth_rdm
                
                	The link's maximum reservable BW in RDM
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: reason_not_flooded
                
                	Reason why link is not flooded (area\-independent)
                	**type**\:  str
                
                .. attribute:: reservable_pool0_bandwidth_mam
                
                	The link's reservable pool0 BW in MAM
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: reservable_pool0_bandwidth_rdm
                
                	The link's reservable pool0 BW in RDM
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: reservable_pool1_bandwidth_mam
                
                	The link's reservable pool1 BW in MAM
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: reservable_pool1_bandwidth_rdm
                
                	The link's reservable pool1 BW in RDM
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: te_metric
                
                	The link's TE metric
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.interface_name = None
                    self.affinity_map = YList()
                    self.affinity_map.parent = self
                    self.affinity_map.name = 'affinity_map'
                    self.areas = YList()
                    self.areas.parent = self
                    self.areas.name = 'areas'
                    self.bandwidth_account = MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount()
                    self.bandwidth_account.parent = self
                    self.hw_oor = MplsLcacStandby.LinkInformation.Links.Link.HwOor()
                    self.hw_oor.parent = self
                    self.is_attribute_incomplete = None
                    self.is_name_based_attribute = None
                    self.is_te_metric_valid = None
                    self.link_attributes = None
                    self.link_common = MplsLcacStandby.LinkInformation.Links.Link.LinkCommon()
                    self.link_common.parent = self
                    self.link_extended_attribute = YLeafList()
                    self.link_extended_attribute.parent = self
                    self.link_extended_attribute.name = 'link_extended_attribute'
                    self.link_forwad_ref_value = YLeafList()
                    self.link_forwad_ref_value.parent = self
                    self.link_forwad_ref_value.name = 'link_forwad_ref_value'
                    self.lockout = YList()
                    self.lockout.parent = self
                    self.lockout.name = 'lockout'
                    self.maximum_reservation_bandwidth_mam = None
                    self.maximum_reservation_bandwidth_rdm = None
                    self.reason_not_flooded = None
                    self.reservable_pool0_bandwidth_mam = None
                    self.reservable_pool0_bandwidth_rdm = None
                    self.reservable_pool1_bandwidth_mam = None
                    self.reservable_pool1_bandwidth_rdm = None
                    self.te_metric = None


                class LinkCommon(object):
                    """
                    The link's common info
                    
                    .. attribute:: bandwidth_units
                    
                    	The bandwidth units
                    	**type**\:   :py:class:`BandwidthUnitEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthUnitEnumEnum>`
                    
                    .. attribute:: bcm_id
                    
                    	Bandwidth Constraints Model ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: capability
                    
                    	The link's protection capability
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: flooded_areas
                    
                    	List of areas into which the link is flooded
                    	**type**\: list of    :py:class:`FloodedAreas <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.FloodedAreas>`
                    
                    .. attribute:: has_protection
                    
                    	TRUE if the link is protected
                    	**type**\:  bool
                    
                    .. attribute:: igp_neighbors
                    
                    	The link's neighbor count
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: inbound_admission_method
                    
                    	Deprecated
                    	**type**\:   :py:class:`AdmissionPolicyEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AdmissionPolicyEnum>`
                    
                    .. attribute:: incoming_reservable_bandwidth_percentage
                    
                    	Incoming reserved BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: incoming_reservable_pool0_bandwidth_percentage
                    
                    	Incoming reserved pool0 BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: incoming_reservable_pool1_bandwidth_percentage
                    
                    	Incoming reserved pool1 BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: interface_switching_capability_descriptor
                    
                    	The link's switching capability descriptor
                    	**type**\: list of    :py:class:`InterfaceSwitchingCapabilityDescriptor <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.InterfaceSwitchingCapabilityDescriptor>`
                    
                    .. attribute:: is_resource_provider_installed
                    
                    	TRUE if the resource provider is installed
                    	**type**\:  bool
                    
                    .. attribute:: is_unnumbered
                    
                    	TRUE if the link is unnumbered
                    	**type**\:  bool
                    
                    .. attribute:: last_flooded_effective_maximum_reservable_bandwidth
                    
                    	Last flooded max reservable bandwidth effective
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: link_address
                    
                    	The link's ip address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: link_flags
                    
                    	The link's flags
                    	**type**\:   :py:class:`LinkFlags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.LinkFlags>`
                    
                    .. attribute:: link_id
                    
                    	The link's id
                    	**type**\:  str
                    
                    .. attribute:: maximum_reservable_bandwidth
                    
                    	The link's maximum reservable BW
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: maximum_reservable_pool0_bandwidth
                    
                    	The link's maximum reservable pool0 BW
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: maximum_reservable_pool1_bandwidth
                    
                    	The link's maximum reservable pool1 BW
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: outbound_admission_method
                    
                    	Deprecated
                    	**type**\:   :py:class:`AdmissionPolicyEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AdmissionPolicyEnum>`
                    
                    .. attribute:: outgoing_reservable_bandwidth_percentage
                    
                    	Outgoing reserved BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: outgoing_reservable_pool0_bandwidth_percentage
                    
                    	Outgoing reserved pool0 BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: outgoing_reservable_pool1_bandwidth_percentage
                    
                    	Outgoing reserved pool1 BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: physical_bandwidth
                    
                    	The link's physical bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: resource_provider
                    
                    	The link's resource provider
                    	**type**\:   :py:class:`ResourceProviderEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.ResourceProviderEnum>`
                    
                    .. attribute:: shared_risk_link_group
                    
                    	The link's shared risk link groups
                    	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.SharedRiskLinkGroup>`
                    
                    .. attribute:: working_priority
                    
                    	The link's working priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bandwidth_units = None
                        self.bcm_id = None
                        self.capability = None
                        self.flooded_areas = YList()
                        self.flooded_areas.parent = self
                        self.flooded_areas.name = 'flooded_areas'
                        self.has_protection = None
                        self.igp_neighbors = None
                        self.inbound_admission_method = None
                        self.incoming_reservable_bandwidth_percentage = None
                        self.incoming_reservable_pool0_bandwidth_percentage = None
                        self.incoming_reservable_pool1_bandwidth_percentage = None
                        self.interface_switching_capability_descriptor = YList()
                        self.interface_switching_capability_descriptor.parent = self
                        self.interface_switching_capability_descriptor.name = 'interface_switching_capability_descriptor'
                        self.is_resource_provider_installed = None
                        self.is_unnumbered = None
                        self.last_flooded_effective_maximum_reservable_bandwidth = None
                        self.link_address = None
                        self.link_flags = MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.LinkFlags()
                        self.link_flags.parent = self
                        self.link_id = None
                        self.maximum_reservable_bandwidth = None
                        self.maximum_reservable_pool0_bandwidth = None
                        self.maximum_reservable_pool1_bandwidth = None
                        self.outbound_admission_method = None
                        self.outgoing_reservable_bandwidth_percentage = None
                        self.outgoing_reservable_pool0_bandwidth_percentage = None
                        self.outgoing_reservable_pool1_bandwidth_percentage = None
                        self.physical_bandwidth = None
                        self.resource_provider = None
                        self.shared_risk_link_group = YList()
                        self.shared_risk_link_group.parent = self
                        self.shared_risk_link_group.name = 'shared_risk_link_group'
                        self.working_priority = None


                    class LinkFlags(object):
                        """
                        The link's flags
                        
                        .. attribute:: is_admin_up
                        
                        	TRUE if the link is admin up
                        	**type**\:  bool
                        
                        .. attribute:: is_mpls_te_on
                        
                        	Deprecated \- TRUE if the link is a TE\-Link
                        	**type**\:  bool
                        
                        .. attribute:: signaling_agent
                        
                        	Deprecated \- Signaling agent
                        	**type**\:   :py:class:`SignalingAgentEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.SignalingAgentEnumEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.is_admin_up = None
                            self.is_mpls_te_on = None
                            self.signaling_agent = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:link-flags'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.is_admin_up is not None:
                                return True

                            if self.is_mpls_te_on is not None:
                                return True

                            if self.signaling_agent is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.LinkFlags']['meta_info']


                    class SharedRiskLinkGroup(object):
                        """
                        The link's shared risk link groups
                        
                        .. attribute:: shared_risk_group
                        
                        	SRLG number
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: srlg_name
                        
                        	SRLG name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.shared_risk_group = None
                            self.srlg_name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.shared_risk_group is not None:
                                return True

                            if self.srlg_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.SharedRiskLinkGroup']['meta_info']


                    class InterfaceSwitchingCapabilityDescriptor(object):
                        """
                        The link's switching capability descriptor
                        
                        .. attribute:: encoding
                        
                        	The link encoding type
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: key
                        
                        	The switching capability descriptor key
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: switching_capability
                        
                        	The switching capability
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.encoding = None
                            self.key = None
                            self.switching_capability = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:interface-switching-capability-descriptor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.encoding is not None:
                                return True

                            if self.key is not None:
                                return True

                            if self.switching_capability is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.InterfaceSwitchingCapabilityDescriptor']['meta_info']


                    class FloodedAreas(object):
                        """
                        List of areas into which the link is flooded
                        
                        .. attribute:: flooded_area
                        
                        	The flooded area information
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.flooded_area = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flooded-areas'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.flooded_area is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.FloodedAreas']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:link-common'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bandwidth_units is not None:
                            return True

                        if self.bcm_id is not None:
                            return True

                        if self.capability is not None:
                            return True

                        if self.flooded_areas is not None:
                            for child_ref in self.flooded_areas:
                                if child_ref._has_data():
                                    return True

                        if self.has_protection is not None:
                            return True

                        if self.igp_neighbors is not None:
                            return True

                        if self.inbound_admission_method is not None:
                            return True

                        if self.incoming_reservable_bandwidth_percentage is not None:
                            return True

                        if self.incoming_reservable_pool0_bandwidth_percentage is not None:
                            return True

                        if self.incoming_reservable_pool1_bandwidth_percentage is not None:
                            return True

                        if self.interface_switching_capability_descriptor is not None:
                            for child_ref in self.interface_switching_capability_descriptor:
                                if child_ref._has_data():
                                    return True

                        if self.is_resource_provider_installed is not None:
                            return True

                        if self.is_unnumbered is not None:
                            return True

                        if self.last_flooded_effective_maximum_reservable_bandwidth is not None:
                            return True

                        if self.link_address is not None:
                            return True

                        if self.link_flags is not None and self.link_flags._has_data():
                            return True

                        if self.link_id is not None:
                            return True

                        if self.maximum_reservable_bandwidth is not None:
                            return True

                        if self.maximum_reservable_pool0_bandwidth is not None:
                            return True

                        if self.maximum_reservable_pool1_bandwidth is not None:
                            return True

                        if self.outbound_admission_method is not None:
                            return True

                        if self.outgoing_reservable_bandwidth_percentage is not None:
                            return True

                        if self.outgoing_reservable_pool0_bandwidth_percentage is not None:
                            return True

                        if self.outgoing_reservable_pool1_bandwidth_percentage is not None:
                            return True

                        if self.physical_bandwidth is not None:
                            return True

                        if self.resource_provider is not None:
                            return True

                        if self.shared_risk_link_group is not None:
                            for child_ref in self.shared_risk_link_group:
                                if child_ref._has_data():
                                    return True

                        if self.working_priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcacStandby.LinkInformation.Links.Link.LinkCommon']['meta_info']


                class BandwidthAccount(object):
                    """
                    Bandwidth Account info
                    
                    .. attribute:: bandwidth_account_common_info
                    
                    	Common info for bandwidth accounting
                    	**type**\:   :py:class:`BandwidthAccountCommonInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo>`
                    
                    .. attribute:: bandwidth_sample_history
                    
                    	Bandwidth samples history
                    	**type**\:   :py:class:`BandwidthSampleHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bandwidth_account_common_info = MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo()
                        self.bandwidth_account_common_info.parent = self
                        self.bandwidth_sample_history = MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory()
                        self.bandwidth_sample_history.parent = self


                    class BandwidthAccountCommonInfo(object):
                        """
                        Common info for bandwidth accounting
                        
                        .. attribute:: adjustment_factor
                        
                        	This value indicates the adjustment factor applied to measured non RSVP\-TE bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: application_enabled
                        
                        	TRUE if bandwidth accounting application is enabled
                        	**type**\:  bool
                        
                        .. attribute:: application_interval
                        
                        	Application interval in seconds for bandwidth accounting stats
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: application_time_remaining
                        
                        	This value indicates the number of seconds until the next application
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: bandwidth_utilization
                        
                        	Bandwidth utilization information
                        	**type**\:   :py:class:`BandwidthUtilization <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo.BandwidthUtilization>`
                        
                        .. attribute:: collection_type
                        
                        	The type of traffic collected for bandwidth accounting
                        	**type**\:   :py:class:`BandwidthAccountingCollectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthAccountingCollectionEnum>`
                        
                        .. attribute:: down_threshold_max_reservable_bandwidth
                        
                        	The down threshold for flooding the maximum reservable bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: is_bandwidth_account_enabled
                        
                        	TRUE if bandwidth accounting is enabled
                        	**type**\:  bool
                        
                        .. attribute:: last_application_timestamp
                        
                        	Timestamp for the last application
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: last_sample_collection_timestamp
                        
                        	Timestamp for the last sample collection
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: max_reservable_bandwidth_threshold_are_default
                        
                        	TRUE if the maximum reservable bandwidth flooding thresholds are default
                        	**type**\:  bool
                        
                        .. attribute:: next_application
                        
                        	Timestamp for the next application
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: next_sample_collection
                        
                        	Timestamp for the next sample collection
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: sample_interval
                        
                        	Sampling interval in seconds for bandwidth accounting stats
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: sample_time_remaining
                        
                        	This value indicates the number of seconds until the next sampling
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: up_threshold_max_reservable_bandwidth
                        
                        	The up threshold for flooding the maximum reservable bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.adjustment_factor = None
                            self.application_enabled = None
                            self.application_interval = None
                            self.application_time_remaining = None
                            self.bandwidth_utilization = MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo.BandwidthUtilization()
                            self.bandwidth_utilization.parent = self
                            self.collection_type = None
                            self.down_threshold_max_reservable_bandwidth = None
                            self.is_bandwidth_account_enabled = None
                            self.last_application_timestamp = None
                            self.last_sample_collection_timestamp = None
                            self.max_reservable_bandwidth_threshold_are_default = None
                            self.next_application = None
                            self.next_sample_collection = None
                            self.sample_interval = None
                            self.sample_time_remaining = None
                            self.up_threshold_max_reservable_bandwidth = None


                        class BandwidthUtilization(object):
                            """
                            Bandwidth utilization information
                            
                            .. attribute:: applied_non_rsvp_te_bandwidth_utilization
                            
                            	Applied Non\-RSVP\-TE bandwidth utilization measured in kilobits per second
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: non_rsvp_te_bandwidth_utilization
                            
                            	Non\-RSVP\-TE bandwidth utilization measured in kilobits per second
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: rsvp_te_bandwidth_utilization
                            
                            	RSVP\-TE bandwidth utilization measured in kilobits per second
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: total_link_bandwidth_utilization
                            
                            	Total bandwidth utilization measured in kilobits per second
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.applied_non_rsvp_te_bandwidth_utilization = None
                                self.non_rsvp_te_bandwidth_utilization = None
                                self.rsvp_te_bandwidth_utilization = None
                                self.total_link_bandwidth_utilization = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-utilization'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.applied_non_rsvp_te_bandwidth_utilization is not None:
                                    return True

                                if self.non_rsvp_te_bandwidth_utilization is not None:
                                    return True

                                if self.rsvp_te_bandwidth_utilization is not None:
                                    return True

                                if self.total_link_bandwidth_utilization is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo.BandwidthUtilization']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-account-common-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.adjustment_factor is not None:
                                return True

                            if self.application_enabled is not None:
                                return True

                            if self.application_interval is not None:
                                return True

                            if self.application_time_remaining is not None:
                                return True

                            if self.bandwidth_utilization is not None and self.bandwidth_utilization._has_data():
                                return True

                            if self.collection_type is not None:
                                return True

                            if self.down_threshold_max_reservable_bandwidth is not None:
                                return True

                            if self.is_bandwidth_account_enabled is not None:
                                return True

                            if self.last_application_timestamp is not None:
                                return True

                            if self.last_sample_collection_timestamp is not None:
                                return True

                            if self.max_reservable_bandwidth_threshold_are_default is not None:
                                return True

                            if self.next_application is not None:
                                return True

                            if self.next_sample_collection is not None:
                                return True

                            if self.sample_interval is not None:
                                return True

                            if self.sample_time_remaining is not None:
                                return True

                            if self.up_threshold_max_reservable_bandwidth is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo']['meta_info']


                    class BandwidthSampleHistory(object):
                        """
                        Bandwidth samples history
                        
                        .. attribute:: active_interval_sample
                        
                        	Samples in the current application interval
                        	**type**\: list of    :py:class:`ActiveIntervalSample <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.ActiveIntervalSample>`
                        
                        .. attribute:: previous_interval_sample
                        
                        	Samples in the previous application interval
                        	**type**\: list of    :py:class:`PreviousIntervalSample <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.PreviousIntervalSample>`
                        
                        .. attribute:: total_applications
                        
                        	Total number of applications
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_samples
                        
                        	Total number of samples collected
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.active_interval_sample = YList()
                            self.active_interval_sample.parent = self
                            self.active_interval_sample.name = 'active_interval_sample'
                            self.previous_interval_sample = YList()
                            self.previous_interval_sample.parent = self
                            self.previous_interval_sample.name = 'previous_interval_sample'
                            self.total_applications = None
                            self.total_samples = None


                        class ActiveIntervalSample(object):
                            """
                            Samples in the current application interval
                            
                            .. attribute:: non_rsvp_te_rate
                            
                            	Non\-RSVP\-TE traffic rate measured in Kilobits per second in this sample
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: rsvp_te_rate
                            
                            	RSVP\-TE traffic rate measured in Kilobits per second in this sample
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: timestamp
                            
                            	Timestamp in seconds of this sample
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: total_rate
                            
                            	Total traffic rate measured in Kilobits per second in this sample
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.non_rsvp_te_rate = None
                                self.rsvp_te_rate = None
                                self.timestamp = None
                                self.total_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-interval-sample'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.non_rsvp_te_rate is not None:
                                    return True

                                if self.rsvp_te_rate is not None:
                                    return True

                                if self.timestamp is not None:
                                    return True

                                if self.total_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.ActiveIntervalSample']['meta_info']


                        class PreviousIntervalSample(object):
                            """
                            Samples in the previous application interval
                            
                            .. attribute:: non_rsvp_te_rate
                            
                            	Non\-RSVP\-TE traffic rate measured in Kilobits per second in this sample
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: rsvp_te_rate
                            
                            	RSVP\-TE traffic rate measured in Kilobits per second in this sample
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: timestamp
                            
                            	Timestamp in seconds of this sample
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: total_rate
                            
                            	Total traffic rate measured in Kilobits per second in this sample
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.non_rsvp_te_rate = None
                                self.rsvp_te_rate = None
                                self.timestamp = None
                                self.total_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-interval-sample'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.non_rsvp_te_rate is not None:
                                    return True

                                if self.rsvp_te_rate is not None:
                                    return True

                                if self.timestamp is not None:
                                    return True

                                if self.total_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.PreviousIntervalSample']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-sample-history'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.active_interval_sample is not None:
                                for child_ref in self.active_interval_sample:
                                    if child_ref._has_data():
                                        return True

                            if self.previous_interval_sample is not None:
                                for child_ref in self.previous_interval_sample:
                                    if child_ref._has_data():
                                        return True

                            if self.total_applications is not None:
                                return True

                            if self.total_samples is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-account'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bandwidth_account_common_info is not None and self.bandwidth_account_common_info._has_data():
                            return True

                        if self.bandwidth_sample_history is not None and self.bandwidth_sample_history._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount']['meta_info']


                class HwOor(object):
                    """
                    The link's NPU OOR info. This field is NULL for
                    platforms that do not support HW\-OOR
                    notifications
                    
                    .. attribute:: hw_o_or_green_recovery_time
                    
                    	Time Remaining in Green Recovery State (seconds)
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: hw_o_or_link_statistic
                    
                    	HW OOR statistics for the link
                    	**type**\: list of    :py:class:`HwOOrLinkStatistic <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.LinkInformation.Links.Link.HwOor.HwOOrLinkStatistic>`
                    
                    .. attribute:: hw_oor_state
                    
                    	The NPU (Network Processor Unit) HW resource state
                    	**type**\:   :py:class:`HwOorStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.HwOorStateEnum>`
                    
                    .. attribute:: hw_oor_timestamp
                    
                    	Timestamp when the OOR state last changed
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.hw_o_or_green_recovery_time = None
                        self.hw_o_or_link_statistic = YList()
                        self.hw_o_or_link_statistic.parent = self
                        self.hw_o_or_link_statistic.name = 'hw_o_or_link_statistic'
                        self.hw_oor_state = None
                        self.hw_oor_timestamp = None


                    class HwOOrLinkStatistic(object):
                        """
                        HW OOR statistics for the link
                        
                        .. attribute:: accepted_ls_ps_number
                        
                        	Number of LSPs that were accepted in this state
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: accepted_reopt_ls_ps_number
                        
                        	Number of Reoptimize LSPs that were accepted in this state
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: hw_oor_state
                        
                        	The HW\-OOR state that these statistics belong to
                        	**type**\:   :py:class:`HwOorStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.HwOorStateEnum>`
                        
                        .. attribute:: node_protection_disable_number
                        
                        	Number of times this OOR state disabled node protection assignment
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rejected_ls_ps_number
                        
                        	Number of LSPs that were rejected in this state
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rejected_reopt_ls_ps_number
                        
                        	Number of Reoptimize LSPs that were rejected in this state
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: transitions
                        
                        	Number of transitions to this state
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.accepted_ls_ps_number = None
                            self.accepted_reopt_ls_ps_number = None
                            self.hw_oor_state = None
                            self.node_protection_disable_number = None
                            self.rejected_ls_ps_number = None
                            self.rejected_reopt_ls_ps_number = None
                            self.transitions = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:hw-o-or-link-statistic'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.accepted_ls_ps_number is not None:
                                return True

                            if self.accepted_reopt_ls_ps_number is not None:
                                return True

                            if self.hw_oor_state is not None:
                                return True

                            if self.node_protection_disable_number is not None:
                                return True

                            if self.rejected_ls_ps_number is not None:
                                return True

                            if self.rejected_reopt_ls_ps_number is not None:
                                return True

                            if self.transitions is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcacStandby.LinkInformation.Links.Link.HwOor.HwOOrLinkStatistic']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:hw-oor'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.hw_o_or_green_recovery_time is not None:
                            return True

                        if self.hw_o_or_link_statistic is not None:
                            for child_ref in self.hw_o_or_link_statistic:
                                if child_ref._has_data():
                                    return True

                        if self.hw_oor_state is not None:
                            return True

                        if self.hw_oor_timestamp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcacStandby.LinkInformation.Links.Link.HwOor']['meta_info']


                class AffinityMap(object):
                    """
                    Affinity map array
                    
                    .. attribute:: affinity_bit_position
                    
                    	Affinity bit position
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: affinity_extended_value
                    
                    	EAG value
                    	**type**\:  list of int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: affinity_name
                    
                    	Affinity name
                    	**type**\:  str
                    
                    .. attribute:: affinity_table_id
                    
                    	Affinity table id
                    	**type**\:   :py:class:`TeAffinityTableEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAffinityTableEnum>`
                    
                    .. attribute:: affinity_value
                    
                    	Affinity value
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.affinity_bit_position = None
                        self.affinity_extended_value = YLeafList()
                        self.affinity_extended_value.parent = self
                        self.affinity_extended_value.name = 'affinity_extended_value'
                        self.affinity_name = None
                        self.affinity_table_id = None
                        self.affinity_value = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.affinity_bit_position is not None:
                            return True

                        if self.affinity_extended_value is not None:
                            for child in self.affinity_extended_value:
                                if child is not None:
                                    return True

                        if self.affinity_name is not None:
                            return True

                        if self.affinity_table_id is not None:
                            return True

                        if self.affinity_value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcacStandby.LinkInformation.Links.Link.AffinityMap']['meta_info']


                class Areas(object):
                    """
                    Per\-area data
                    
                    .. attribute:: area_id
                    
                    	Area id
                    	**type**\:  str
                    
                    .. attribute:: igp_metric
                    
                    	The link's IGP metric
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_neighbor_up
                    
                    	TRUE if the neighbor is up
                    	**type**\:  bool
                    
                    .. attribute:: neighbor_address
                    
                    	The interface's neighbor's ip address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: neighbor_id
                    
                    	The interface neighbor id
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.area_id = None
                        self.igp_metric = None
                        self.is_neighbor_up = None
                        self.neighbor_address = None
                        self.neighbor_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:areas'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.area_id is not None:
                            return True

                        if self.igp_metric is not None:
                            return True

                        if self.is_neighbor_up is not None:
                            return True

                        if self.neighbor_address is not None:
                            return True

                        if self.neighbor_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcacStandby.LinkInformation.Links.Link.Areas']['meta_info']


                class Lockout(object):
                    """
                    Flex LSP Lockout info
                    
                    .. attribute:: is_lockout
                    
                    	True if link is locked out
                    	**type**\:  bool
                    
                    .. attribute:: lockout_off_timestamp
                    
                    	Timestamp when the lockout is cleared
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lockout_on_timestamp
                    
                    	Timestamp when the lockout is set
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.is_lockout = None
                        self.lockout_off_timestamp = None
                        self.lockout_on_timestamp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lockout'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.is_lockout is not None:
                            return True

                        if self.lockout_off_timestamp is not None:
                            return True

                        if self.lockout_on_timestamp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcacStandby.LinkInformation.Links.Link.Lockout']['meta_info']

                @property
                def _common_path(self):
                    if self.interface_name is None:
                        raise YPYModelError('Key property interface_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:link-information/Cisco-IOS-XR-mpls-te-oper:links/Cisco-IOS-XR-mpls-te-oper:link[Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.interface_name is not None:
                        return True

                    if self.affinity_map is not None:
                        for child_ref in self.affinity_map:
                            if child_ref._has_data():
                                return True

                    if self.areas is not None:
                        for child_ref in self.areas:
                            if child_ref._has_data():
                                return True

                    if self.bandwidth_account is not None and self.bandwidth_account._has_data():
                        return True

                    if self.hw_oor is not None and self.hw_oor._has_data():
                        return True

                    if self.is_attribute_incomplete is not None:
                        return True

                    if self.is_name_based_attribute is not None:
                        return True

                    if self.is_te_metric_valid is not None:
                        return True

                    if self.link_attributes is not None:
                        return True

                    if self.link_common is not None and self.link_common._has_data():
                        return True

                    if self.link_extended_attribute is not None:
                        for child in self.link_extended_attribute:
                            if child is not None:
                                return True

                    if self.link_forwad_ref_value is not None:
                        for child in self.link_forwad_ref_value:
                            if child is not None:
                                return True

                    if self.lockout is not None:
                        for child_ref in self.lockout:
                            if child_ref._has_data():
                                return True

                    if self.maximum_reservation_bandwidth_mam is not None:
                        return True

                    if self.maximum_reservation_bandwidth_rdm is not None:
                        return True

                    if self.reason_not_flooded is not None:
                        return True

                    if self.reservable_pool0_bandwidth_mam is not None:
                        return True

                    if self.reservable_pool0_bandwidth_rdm is not None:
                        return True

                    if self.reservable_pool1_bandwidth_mam is not None:
                        return True

                    if self.reservable_pool1_bandwidth_rdm is not None:
                        return True

                    if self.te_metric is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcacStandby.LinkInformation.Links.Link']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:link-information/Cisco-IOS-XR-mpls-te-oper:links'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.link is not None:
                    for child_ref in self.link:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcacStandby.LinkInformation.Links']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:link-information'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.global_ is not None and self.global_._has_data():
                return True

            if self.links is not None and self.links._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcacStandby.LinkInformation']['meta_info']


    class AdmissionControl(object):
        """
        The admission control information in MPLS\-LCAC
        
        .. attribute:: admitted_tunnels
        
        	The table of admitted tunnels information in MPLS\-LCAC
        	**type**\:   :py:class:`AdmittedTunnels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.AdmissionControl.AdmittedTunnels>`
        
        .. attribute:: global_
        
        	The global admission control information
        	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.AdmissionControl.Global_>`
        
        .. attribute:: link_interfaces
        
        	The global admission control information on Interfaces
        	**type**\:   :py:class:`LinkInterfaces <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.AdmissionControl.LinkInterfaces>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.admitted_tunnels = MplsLcacStandby.AdmissionControl.AdmittedTunnels()
            self.admitted_tunnels.parent = self
            self.global_ = MplsLcacStandby.AdmissionControl.Global_()
            self.global_.parent = self
            self.link_interfaces = MplsLcacStandby.AdmissionControl.LinkInterfaces()
            self.link_interfaces.parent = self


        class Global_(object):
            """
            The global admission control information
            
            .. attribute:: bandwidth_units
            
            	Bandwidth units
            	**type**\:   :py:class:`BandwidthUnitEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthUnitEnumEnum>`
            
            .. attribute:: is_role_standby
            
            	TRUE if Role is Standby, Active otherwise
            	**type**\:  bool
            
            .. attribute:: selected_tunnels
            
            	Number of tunnels selected
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: total_p2mp_tunnels
            
            	Total p2mp tunnels admitted
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: total_tunnels
            
            	Total p2p tunnels admitted
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.bandwidth_units = None
                self.is_role_standby = None
                self.selected_tunnels = None
                self.total_p2mp_tunnels = None
                self.total_tunnels = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:admission-control/Cisco-IOS-XR-mpls-te-oper:global'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.bandwidth_units is not None:
                    return True

                if self.is_role_standby is not None:
                    return True

                if self.selected_tunnels is not None:
                    return True

                if self.total_p2mp_tunnels is not None:
                    return True

                if self.total_tunnels is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcacStandby.AdmissionControl.Global_']['meta_info']


        class AdmittedTunnels(object):
            """
            The table of admitted tunnels information in
            MPLS\-LCAC
            
            .. attribute:: admitted_tunnel
            
            	The information for a specific admitted tunnel
            	**type**\: list of    :py:class:`AdmittedTunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.AdmissionControl.AdmittedTunnels.AdmittedTunnel>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.admitted_tunnel = YList()
                self.admitted_tunnel.parent = self
                self.admitted_tunnel.name = 'admitted_tunnel'


            class AdmittedTunnel(object):
                """
                The information for a specific admitted tunnel
                
                .. attribute:: ctype  <key>
                
                	C type
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: destination_address  <key>
                
                	The destination IP address of the tunnel
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: destination_port  <key>
                
                	The tunnel number at the head
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: extended_tunnel_id  <key>
                
                	Extended tunnel id
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: next_hop_address  <key>
                
                	The Next hop IP
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: p2mp_id  <key>
                
                	P2MP id
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: source_address  <key>
                
                	The source IP address of the tunnel
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: source_port  <key>
                
                	The signaling instance number of the tunnel
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: backup_interface
                
                	The backup Interface
                	**type**\:  str
                
                .. attribute:: bandwidth
                
                	The bandwidth used by this tunnel
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: bandwidth_pool
                
                	The bandwidth pool
                	**type**\:   :py:class:`BandwidthTypeEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthTypeEnumEnum>`
                
                .. attribute:: bandwidth_state
                
                	The bandwidth state
                	**type**\:   :py:class:`BandwidthStateEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthStateEnumEnum>`
                
                .. attribute:: down_link_name
                
                	The downlink's name for this tunnel
                	**type**\:  str
                
                .. attribute:: hold_priority
                
                	The tunnel's hold priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: is_rerouted
                
                	TRUE if the tunnel is currently rerouted
                	**type**\:  bool
                
                .. attribute:: local_label
                
                	The local label
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: outgoing_label
                
                	The outgoing label
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: setup_priority
                
                	The tunnel's setup priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: tunnel_name
                
                	The admitted tunnel's name
                	**type**\:  str
                
                .. attribute:: tunnel_state
                
                	The tunnel's state
                	**type**\:   :py:class:`TunnelStateEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelStateEnumEnum>`
                
                .. attribute:: up_link_name
                
                	The uplink's name for this tunnel
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ctype = None
                    self.destination_address = None
                    self.destination_port = None
                    self.extended_tunnel_id = None
                    self.next_hop_address = None
                    self.p2mp_id = None
                    self.source_address = None
                    self.source_port = None
                    self.backup_interface = None
                    self.bandwidth = None
                    self.bandwidth_pool = None
                    self.bandwidth_state = None
                    self.down_link_name = None
                    self.hold_priority = None
                    self.is_rerouted = None
                    self.local_label = None
                    self.outgoing_label = None
                    self.setup_priority = None
                    self.tunnel_name = None
                    self.tunnel_state = None
                    self.up_link_name = None

                @property
                def _common_path(self):
                    if self.ctype is None:
                        raise YPYModelError('Key property ctype is None')
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.destination_port is None:
                        raise YPYModelError('Key property destination_port is None')
                    if self.extended_tunnel_id is None:
                        raise YPYModelError('Key property extended_tunnel_id is None')
                    if self.next_hop_address is None:
                        raise YPYModelError('Key property next_hop_address is None')
                    if self.p2mp_id is None:
                        raise YPYModelError('Key property p2mp_id is None')
                    if self.source_address is None:
                        raise YPYModelError('Key property source_address is None')
                    if self.source_port is None:
                        raise YPYModelError('Key property source_port is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:admission-control/Cisco-IOS-XR-mpls-te-oper:admitted-tunnels/Cisco-IOS-XR-mpls-te-oper:admitted-tunnel[Cisco-IOS-XR-mpls-te-oper:ctype = ' + str(self.ctype) + '][Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:destination-port = ' + str(self.destination_port) + '][Cisco-IOS-XR-mpls-te-oper:extended-tunnel-id = ' + str(self.extended_tunnel_id) + '][Cisco-IOS-XR-mpls-te-oper:next-hop-address = ' + str(self.next_hop_address) + '][Cisco-IOS-XR-mpls-te-oper:p2mp-id = ' + str(self.p2mp_id) + '][Cisco-IOS-XR-mpls-te-oper:source-address = ' + str(self.source_address) + '][Cisco-IOS-XR-mpls-te-oper:source-port = ' + str(self.source_port) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ctype is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.destination_port is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.next_hop_address is not None:
                        return True

                    if self.p2mp_id is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.source_port is not None:
                        return True

                    if self.backup_interface is not None:
                        return True

                    if self.bandwidth is not None:
                        return True

                    if self.bandwidth_pool is not None:
                        return True

                    if self.bandwidth_state is not None:
                        return True

                    if self.down_link_name is not None:
                        return True

                    if self.hold_priority is not None:
                        return True

                    if self.is_rerouted is not None:
                        return True

                    if self.local_label is not None:
                        return True

                    if self.outgoing_label is not None:
                        return True

                    if self.setup_priority is not None:
                        return True

                    if self.tunnel_name is not None:
                        return True

                    if self.tunnel_state is not None:
                        return True

                    if self.up_link_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcacStandby.AdmissionControl.AdmittedTunnels.AdmittedTunnel']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:admission-control/Cisco-IOS-XR-mpls-te-oper:admitted-tunnels'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.admitted_tunnel is not None:
                    for child_ref in self.admitted_tunnel:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcacStandby.AdmissionControl.AdmittedTunnels']['meta_info']


        class LinkInterfaces(object):
            """
            The global admission control information on
            Interfaces
            
            .. attribute:: link_interface
            
            	The global admission control information on an interface
            	**type**\: list of    :py:class:`LinkInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.AdmissionControl.LinkInterfaces.LinkInterface>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.link_interface = YList()
                self.link_interface.parent = self
                self.link_interface.name = 'link_interface'


            class LinkInterface(object):
                """
                The global admission control information on an
                interface
                
                .. attribute:: interface_name  <key>
                
                	Interface name
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: bandwidth_units
                
                	Bandwidth units
                	**type**\:   :py:class:`BandwidthUnitEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthUnitEnumEnum>`
                
                .. attribute:: is_role_standby
                
                	TRUE if Role is Standby, Active otherwise
                	**type**\:  bool
                
                .. attribute:: selected_tunnels
                
                	Number of tunnels selected
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: total_p2mp_tunnels
                
                	Total p2mp tunnels admitted
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: total_tunnels
                
                	Total p2p tunnels admitted
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.interface_name = None
                    self.bandwidth_units = None
                    self.is_role_standby = None
                    self.selected_tunnels = None
                    self.total_p2mp_tunnels = None
                    self.total_tunnels = None

                @property
                def _common_path(self):
                    if self.interface_name is None:
                        raise YPYModelError('Key property interface_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:admission-control/Cisco-IOS-XR-mpls-te-oper:link-interfaces/Cisco-IOS-XR-mpls-te-oper:link-interface[Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.interface_name is not None:
                        return True

                    if self.bandwidth_units is not None:
                        return True

                    if self.is_role_standby is not None:
                        return True

                    if self.selected_tunnels is not None:
                        return True

                    if self.total_p2mp_tunnels is not None:
                        return True

                    if self.total_tunnels is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcacStandby.AdmissionControl.LinkInterfaces.LinkInterface']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:admission-control/Cisco-IOS-XR-mpls-te-oper:link-interfaces'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.link_interface is not None:
                    for child_ref in self.link_interface:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcacStandby.AdmissionControl.LinkInterfaces']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:admission-control'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.admitted_tunnels is not None and self.admitted_tunnels._has_data():
                return True

            if self.global_ is not None and self.global_._has_data():
                return True

            if self.link_interfaces is not None and self.link_interfaces._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcacStandby.AdmissionControl']['meta_info']


    class SoftPreemptionGlobalInfo(object):
        """
        The global soft\-preemption information
        
        .. attribute:: is_configured
        
        	Is global soft\-preemption configured
        	**type**\:  bool
        
        .. attribute:: is_timeout_interval_configured
        
        	Is global soft\-preemption timeout interval configured
        	**type**\:  bool
        
        .. attribute:: timeout_interval
        
        	Global soft\-preemption timeout interval
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.is_configured = None
            self.is_timeout_interval_configured = None
            self.timeout_interval = None

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:soft-preemption-global-info'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.is_configured is not None:
                return True

            if self.is_timeout_interval_configured is not None:
                return True

            if self.timeout_interval is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcacStandby.SoftPreemptionGlobalInfo']['meta_info']


    class SoftPreemptions(object):
        """
        The soft preemption information for the TE\-links
        
        .. attribute:: soft_preemption
        
        	The soft preemption info for a TE\-link
        	**type**\: list of    :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.SoftPreemptions.SoftPreemption>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.soft_preemption = YList()
            self.soft_preemption.parent = self
            self.soft_preemption.name = 'soft_preemption'


        class SoftPreemption(object):
            """
            The soft preemption info for a TE\-link
            
            .. attribute:: interface_name  <key>
            
            	Interface name
            	**type**\:  str
            
            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
            
            .. attribute:: current_over_subscribed_bandwidth_bc0
            
            	The BC0 bandwidth that is over subscribed on this link\: this is the difference between the maximum available BC0 BW on the link and the sum of the currently reserved BC0 bandwidth and the currently soft preempted BC0 BW
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: current_over_subscribed_bandwidth_bc1
            
            	The BC1 bandwidth that is over subscribed on this link\: this is the difference between the maximum available BC1 BW on the link and the sum of the currently reserved BC1 bandwidth and the currently soft preempted BC1 BW
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: current_soft_preempted_bandwidth_bc0
            
            	The current BC0 BW that is softly preempted\: this is the sum of bandwidth for the LSPs that are soft preempted and have not been torn down yet
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: current_soft_preempted_bandwidth_bc1
            
            	The current BC1 BW that is softly preempted\: this is the sum of bandwidth for the LSPs that are soft preempted and have not been torn down yet
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: current_soft_preemption_lsp
            
            	List of the soft preempted LSPs that are not yet cleaned up
            	**type**\: list of    :py:class:`CurrentSoftPreemptionLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcacStandby.SoftPreemptions.SoftPreemption.CurrentSoftPreemptionLsp>`
            
            .. attribute:: link_address
            
            	The link's IPv4 address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: release_soft_preempted_bandwidth_bc0
            
            	The total released BC0 BW that is softly preempted\: this is the sum of bandwidth for the LSPs that are soft preempted and are torn down
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: release_soft_preempted_bandwidth_bc1
            
            	The total released BC1 BW that is softly preempted\: this is the sum of bandwidth for the LSPs that are soft preempted and are torn down
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: total_soft_preempted_bandwidth_bc0
            
            	The total BC0 BW that is softly preempted\: this is the sum of bandwidth for all the LSPs that were soft preempted
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: total_soft_preempted_bandwidth_bc1
            
            	The total BC1 BW that is softly preempted\: this is the sum of bandwidth for all the LSPs that were soft preempted
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.interface_name = None
                self.current_over_subscribed_bandwidth_bc0 = None
                self.current_over_subscribed_bandwidth_bc1 = None
                self.current_soft_preempted_bandwidth_bc0 = None
                self.current_soft_preempted_bandwidth_bc1 = None
                self.current_soft_preemption_lsp = YList()
                self.current_soft_preemption_lsp.parent = self
                self.current_soft_preemption_lsp.name = 'current_soft_preemption_lsp'
                self.link_address = None
                self.release_soft_preempted_bandwidth_bc0 = None
                self.release_soft_preempted_bandwidth_bc1 = None
                self.total_soft_preempted_bandwidth_bc0 = None
                self.total_soft_preempted_bandwidth_bc1 = None


            class CurrentSoftPreemptionLsp(object):
                """
                List of the soft preempted LSPs that are not yet
                cleaned up
                
                .. attribute:: bandwidth_preempted
                
                	LSPs bandwidth is already preempted
                	**type**\:  bool
                
                .. attribute:: bandwidth_type
                
                	The path's bandwidth type; 0\:BC0, 1\:BC1, so on
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: destination_address
                
                	Destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: hold_priority
                
                	The path's hold priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: lsp_id
                
                	LSP ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: requested_bandwidth
                
                	The path's requested bandwidth
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: setup_priority
                
                	The path's setup priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: soft_preempted
                
                	TRUE is the preemption is a soft preemption
                	**type**\:  bool
                
                .. attribute:: soft_preempted_fr_rrewrite
                
                	FRR\-rewrite is done during soft preemption
                	**type**\:  bool
                
                .. attribute:: soft_preemption_timeout
                
                	If the soft preemption is underway, this value indicates the number of seconds before hard preemption is triggered
                	**type**\:  int
                
                	**range:** 0..65535
                
                	**units**\: second
                
                .. attribute:: source_address
                
                	Source
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.bandwidth_preempted = None
                    self.bandwidth_type = None
                    self.destination_address = None
                    self.hold_priority = None
                    self.lsp_id = None
                    self.requested_bandwidth = None
                    self.setup_priority = None
                    self.soft_preempted = None
                    self.soft_preempted_fr_rrewrite = None
                    self.soft_preemption_timeout = None
                    self.source_address = None
                    self.tunnel_id = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:current-soft-preemption-lsp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.bandwidth_preempted is not None:
                        return True

                    if self.bandwidth_type is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.hold_priority is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.requested_bandwidth is not None:
                        return True

                    if self.setup_priority is not None:
                        return True

                    if self.soft_preempted is not None:
                        return True

                    if self.soft_preempted_fr_rrewrite is not None:
                        return True

                    if self.soft_preemption_timeout is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcacStandby.SoftPreemptions.SoftPreemption.CurrentSoftPreemptionLsp']['meta_info']

            @property
            def _common_path(self):
                if self.interface_name is None:
                    raise YPYModelError('Key property interface_name is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:soft-preemptions/Cisco-IOS-XR-mpls-te-oper:soft-preemption[Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.interface_name is not None:
                    return True

                if self.current_over_subscribed_bandwidth_bc0 is not None:
                    return True

                if self.current_over_subscribed_bandwidth_bc1 is not None:
                    return True

                if self.current_soft_preempted_bandwidth_bc0 is not None:
                    return True

                if self.current_soft_preempted_bandwidth_bc1 is not None:
                    return True

                if self.current_soft_preemption_lsp is not None:
                    for child_ref in self.current_soft_preemption_lsp:
                        if child_ref._has_data():
                            return True

                if self.link_address is not None:
                    return True

                if self.release_soft_preempted_bandwidth_bc0 is not None:
                    return True

                if self.release_soft_preempted_bandwidth_bc1 is not None:
                    return True

                if self.total_soft_preempted_bandwidth_bc0 is not None:
                    return True

                if self.total_soft_preempted_bandwidth_bc1 is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcacStandby.SoftPreemptions.SoftPreemption']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby/Cisco-IOS-XR-mpls-te-oper:soft-preemptions'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.soft_preemption is not None:
                for child_ref in self.soft_preemption:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcacStandby.SoftPreemptions']['meta_info']

    @property
    def _common_path(self):

        return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac-standby'

    def is_config(self):
        ''' Returns True if this instance represents config data else returns False '''
        return False

    def _has_data(self):
        if not self.is_config():
            return False
        if self.admission_control is not None and self.admission_control._has_data():
            return True

        if self.advertisements is not None and self.advertisements._has_data():
            return True

        if self.bandwidth_account is not None and self.bandwidth_account._has_data():
            return True

        if self.bandwidth_allocation is not None and self.bandwidth_allocation._has_data():
            return True

        if self.bfd_neighbors is not None and self.bfd_neighbors._has_data():
            return True

        if self.gmpls is not None and self.gmpls._has_data():
            return True

        if self.link_information is not None and self.link_information._has_data():
            return True

        if self.link_summary is not None and self.link_summary._has_data():
            return True

        if self.neighbors is not None and self.neighbors._has_data():
            return True

        if self.preemption_events is not None and self.preemption_events._has_data():
            return True

        if self.soft_preemption_global_info is not None and self.soft_preemption_global_info._has_data():
            return True

        if self.soft_preemptions is not None and self.soft_preemptions._has_data():
            return True

        if self.statistics is not None and self.statistics._has_data():
            return True

        return False

    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsLcacStandby']['meta_info']


class MplsLcac(object):
    """
    mpls lcac
    
    .. attribute:: admission_control
    
    	The admission control information in MPLS\-LCAC
    	**type**\:   :py:class:`AdmissionControl <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.AdmissionControl>`
    
    .. attribute:: advertisements
    
    	The advertisement information in MPLS\-LCAC
    	**type**\:   :py:class:`Advertisements <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Advertisements>`
    
    .. attribute:: bandwidth_account
    
    	The bandwidth accounting information in MPLS\-LCAC
    	**type**\:   :py:class:`BandwidthAccount <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BandwidthAccount>`
    
    .. attribute:: bandwidth_allocation
    
    	The bandwidth allocation information in MPLS\-LCAC
    	**type**\:   :py:class:`BandwidthAllocation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BandwidthAllocation>`
    
    .. attribute:: bfd_neighbors
    
    	BFD Neighbors
    	**type**\:   :py:class:`BfdNeighbors <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BfdNeighbors>`
    
    .. attribute:: gmpls
    
    	GMPLS data
    	**type**\:   :py:class:`Gmpls <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Gmpls>`
    
    .. attribute:: link_information
    
    	The interface information in MPLS\-LCAC
    	**type**\:   :py:class:`LinkInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.LinkInformation>`
    
    .. attribute:: link_summary
    
    	The global summary for all the interfaces
    	**type**\:   :py:class:`LinkSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.LinkSummary>`
    
    .. attribute:: neighbors
    
    	The neighbor information for the local router
    	**type**\:   :py:class:`Neighbors <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Neighbors>`
    
    .. attribute:: preemption_events
    
    	Preemption event log in MPLS\-LCAC
    	**type**\:   :py:class:`PreemptionEvents <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.PreemptionEvents>`
    
    .. attribute:: soft_preemption_global_info
    
    	The global soft\-preemption information
    	**type**\:   :py:class:`SoftPreemptionGlobalInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.SoftPreemptionGlobalInfo>`
    
    .. attribute:: soft_preemptions
    
    	The soft preemption information for the TE\-links
    	**type**\:   :py:class:`SoftPreemptions <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.SoftPreemptions>`
    
    .. attribute:: statistics
    
    	The interface statistics information in MPLS\-LCAC
    	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Statistics>`
    
    

    """

    _prefix = 'mpls-te-oper'
    _revision = '2015-11-09'

    def __init__(self):
        self.admission_control = MplsLcac.AdmissionControl()
        self.admission_control.parent = self
        self.advertisements = MplsLcac.Advertisements()
        self.advertisements.parent = self
        self.bandwidth_account = MplsLcac.BandwidthAccount()
        self.bandwidth_account.parent = self
        self.bandwidth_allocation = MplsLcac.BandwidthAllocation()
        self.bandwidth_allocation.parent = self
        self.bfd_neighbors = MplsLcac.BfdNeighbors()
        self.bfd_neighbors.parent = self
        self.gmpls = MplsLcac.Gmpls()
        self.gmpls.parent = self
        self.link_information = MplsLcac.LinkInformation()
        self.link_information.parent = self
        self.link_summary = MplsLcac.LinkSummary()
        self.link_summary.parent = self
        self.neighbors = MplsLcac.Neighbors()
        self.neighbors.parent = self
        self.preemption_events = MplsLcac.PreemptionEvents()
        self.preemption_events.parent = self
        self.soft_preemption_global_info = MplsLcac.SoftPreemptionGlobalInfo()
        self.soft_preemption_global_info.parent = self
        self.soft_preemptions = MplsLcac.SoftPreemptions()
        self.soft_preemptions.parent = self
        self.statistics = MplsLcac.Statistics()
        self.statistics.parent = self


    class Neighbors(object):
        """
        The neighbor information for the local router
        
        .. attribute:: neighbor
        
        	The neighbors connected to a particular interface
        	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Neighbors.Neighbor>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.neighbor = YList()
            self.neighbor.parent = self
            self.neighbor.name = 'neighbor'


        class Neighbor(object):
            """
            The neighbors connected to a particular
            interface
            
            .. attribute:: interface_name  <key>
            
            	Interface name
            	**type**\:  str
            
            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
            
            .. attribute:: neighbor
            
            	Neighbors of the specified link id
            	**type**\: list of    :py:class:`Neighbor_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Neighbors.Neighbor.Neighbor_>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.interface_name = None
                self.neighbor = YList()
                self.neighbor.parent = self
                self.neighbor.name = 'neighbor'


            class Neighbor_(object):
                """
                Neighbors of the specified link id
                
                .. attribute:: area_id
                
                	The area id
                	**type**\:  str
                
                .. attribute:: interface_name
                
                	The interface on which this neighbor is discovered
                	**type**\:  str
                
                .. attribute:: neighbor_address
                
                	The neighbor's IP address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: neighbor_id
                
                	The neighbor's id
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.area_id = None
                    self.interface_name = None
                    self.neighbor_address = None
                    self.neighbor_id = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:neighbor'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.area_id is not None:
                        return True

                    if self.interface_name is not None:
                        return True

                    if self.neighbor_address is not None:
                        return True

                    if self.neighbor_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcac.Neighbors.Neighbor.Neighbor_']['meta_info']

            @property
            def _common_path(self):
                if self.interface_name is None:
                    raise YPYModelError('Key property interface_name is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:neighbors/Cisco-IOS-XR-mpls-te-oper:neighbor[Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.interface_name is not None:
                    return True

                if self.neighbor is not None:
                    for child_ref in self.neighbor:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcac.Neighbors.Neighbor']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:neighbors'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.neighbor is not None:
                for child_ref in self.neighbor:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcac.Neighbors']['meta_info']


    class PreemptionEvents(object):
        """
        Preemption event log in MPLS\-LCAC
        
        .. attribute:: preemption_event
        
        	Preemption event
        	**type**\: list of    :py:class:`PreemptionEvent <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.PreemptionEvents.PreemptionEvent>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.preemption_event = YList()
            self.preemption_event.parent = self
            self.preemption_event.name = 'preemption_event'


        class PreemptionEvent(object):
            """
            Preemption event
            
            .. attribute:: event_index  <key>
            
            	Event index
            	**type**\:  int
            
            	**range:** 0..1999
            
            .. attribute:: bandwidth_overshoot0
            
            	BW Overshoot for BC0
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: bandwidth_overshoot1
            
            	BW Overshoot for BC1
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: bandwidth_type
            
            	The path's bandwidth type; 0\:CT0, 1\:CT1, so on
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: destination_address
            
            	Destination
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: event_time
            
            	Event time; seconds elapsed since January 1, 1970
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: hard_preempted_bandwidth_bc0
            
            	Amount of hard preempted class 0 bandwidth
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: hard_preempted_bandwidth_bc1
            
            	Amount of hard preempted class 1 bandwidth
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: hard_preempted_ls_ps
            
            	Number of LSPs hardly preempted
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: hard_preempted_tunnels
            
            	Number of Tunnels hardly preempted
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: hold_priority
            
            	The path's hold priority
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: interface_name
            
            	Interface name
            	**type**\:  str
            
            .. attribute:: ls_ps
            
            	Number of LSPs (not all may be present in the list)
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: lsp
            
            	List of preempted LSPs
            	**type**\: list of    :py:class:`Lsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.PreemptionEvents.PreemptionEvent.Lsp>`
            
            .. attribute:: lsp_id
            
            	LSP ID
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: new_bandwidth_bc0
            
            	New BW for BC0
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: new_bandwidth_bc1
            
            	New BW for BC1
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: old_bandwidth_bc0
            
            	Old BW for BC0
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: old_bandwidth_bc1
            
            	Old BW for BC1
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: requested_bandwidth
            
            	The path's requested bandwidth
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: setup_priority
            
            	The path's setup priority
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: soft_preempted_fr_rrewrite_bandwidth_bc0
            
            	Amount of softly preempted FRR RW class 0 bandwidth
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: soft_preempted_fr_rrewrite_bandwidth_bc1
            
            	Amount of softly preempted FRR RW class 1 bandwidth
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: soft_preempted_ls_ps
            
            	Number of LSPs softly preempted
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: soft_preempted_ls_ps_fr_rrewrite
            
            	Number of LSPs softly preempted with traffic switched to backup
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: soft_preempted_tunnels
            
            	Number of Tunnels softly preempted
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: soft_preempted_tunnels_fr_rrewrite
            
            	Number of Tunnels softly preempted with traffic switched to backup
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: softly_preempted_bandwidth_bc0
            
            	Amount of softly preempted class 0 bandwidth
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: softly_preempted_bandwidth_bc1
            
            	Amount of softly preempted class 1 bandwidth
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: source_address
            
            	Source
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: total_preempted_bandwidth_bc0
            
            	Total amount of preempted class 0 bandwidth
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: total_preempted_bandwidth_bc1
            
            	Total amount of preempted class 1 bandwidth
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: tunnel_id
            
            	Tunnel ID
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: tunnels
            
            	Number of Tunnels
            	**type**\:  int
            
            	**range:** 0..65535
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.event_index = None
                self.bandwidth_overshoot0 = None
                self.bandwidth_overshoot1 = None
                self.bandwidth_type = None
                self.destination_address = None
                self.event_time = None
                self.hard_preempted_bandwidth_bc0 = None
                self.hard_preempted_bandwidth_bc1 = None
                self.hard_preempted_ls_ps = None
                self.hard_preempted_tunnels = None
                self.hold_priority = None
                self.interface_name = None
                self.ls_ps = None
                self.lsp = YList()
                self.lsp.parent = self
                self.lsp.name = 'lsp'
                self.lsp_id = None
                self.new_bandwidth_bc0 = None
                self.new_bandwidth_bc1 = None
                self.old_bandwidth_bc0 = None
                self.old_bandwidth_bc1 = None
                self.requested_bandwidth = None
                self.setup_priority = None
                self.soft_preempted_fr_rrewrite_bandwidth_bc0 = None
                self.soft_preempted_fr_rrewrite_bandwidth_bc1 = None
                self.soft_preempted_ls_ps = None
                self.soft_preempted_ls_ps_fr_rrewrite = None
                self.soft_preempted_tunnels = None
                self.soft_preempted_tunnels_fr_rrewrite = None
                self.softly_preempted_bandwidth_bc0 = None
                self.softly_preempted_bandwidth_bc1 = None
                self.source_address = None
                self.total_preempted_bandwidth_bc0 = None
                self.total_preempted_bandwidth_bc1 = None
                self.tunnel_id = None
                self.tunnels = None


            class Lsp(object):
                """
                List of preempted LSPs
                
                .. attribute:: bandwidth_preempted
                
                	LSPs bandwidth is already preempted
                	**type**\:  bool
                
                .. attribute:: bandwidth_type
                
                	The path's bandwidth type; 0\:BC0, 1\:BC1, so on
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: destination_address
                
                	Destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: hold_priority
                
                	The path's hold priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: lsp_id
                
                	LSP ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: requested_bandwidth
                
                	The path's requested bandwidth
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: setup_priority
                
                	The path's setup priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: soft_preempted
                
                	TRUE is the preemption is a soft preemption
                	**type**\:  bool
                
                .. attribute:: soft_preempted_fr_rrewrite
                
                	FRR\-rewrite is done during soft preemption
                	**type**\:  bool
                
                .. attribute:: soft_preemption_timeout
                
                	If the soft preemption is underway, this value indicates the number of seconds before hard preemption is triggered
                	**type**\:  int
                
                	**range:** 0..65535
                
                	**units**\: second
                
                .. attribute:: source_address
                
                	Source
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.bandwidth_preempted = None
                    self.bandwidth_type = None
                    self.destination_address = None
                    self.hold_priority = None
                    self.lsp_id = None
                    self.requested_bandwidth = None
                    self.setup_priority = None
                    self.soft_preempted = None
                    self.soft_preempted_fr_rrewrite = None
                    self.soft_preemption_timeout = None
                    self.source_address = None
                    self.tunnel_id = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.bandwidth_preempted is not None:
                        return True

                    if self.bandwidth_type is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.hold_priority is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.requested_bandwidth is not None:
                        return True

                    if self.setup_priority is not None:
                        return True

                    if self.soft_preempted is not None:
                        return True

                    if self.soft_preempted_fr_rrewrite is not None:
                        return True

                    if self.soft_preemption_timeout is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcac.PreemptionEvents.PreemptionEvent.Lsp']['meta_info']

            @property
            def _common_path(self):
                if self.event_index is None:
                    raise YPYModelError('Key property event_index is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:preemption-events/Cisco-IOS-XR-mpls-te-oper:preemption-event[Cisco-IOS-XR-mpls-te-oper:event-index = ' + str(self.event_index) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.event_index is not None:
                    return True

                if self.bandwidth_overshoot0 is not None:
                    return True

                if self.bandwidth_overshoot1 is not None:
                    return True

                if self.bandwidth_type is not None:
                    return True

                if self.destination_address is not None:
                    return True

                if self.event_time is not None:
                    return True

                if self.hard_preempted_bandwidth_bc0 is not None:
                    return True

                if self.hard_preempted_bandwidth_bc1 is not None:
                    return True

                if self.hard_preempted_ls_ps is not None:
                    return True

                if self.hard_preempted_tunnels is not None:
                    return True

                if self.hold_priority is not None:
                    return True

                if self.interface_name is not None:
                    return True

                if self.ls_ps is not None:
                    return True

                if self.lsp is not None:
                    for child_ref in self.lsp:
                        if child_ref._has_data():
                            return True

                if self.lsp_id is not None:
                    return True

                if self.new_bandwidth_bc0 is not None:
                    return True

                if self.new_bandwidth_bc1 is not None:
                    return True

                if self.old_bandwidth_bc0 is not None:
                    return True

                if self.old_bandwidth_bc1 is not None:
                    return True

                if self.requested_bandwidth is not None:
                    return True

                if self.setup_priority is not None:
                    return True

                if self.soft_preempted_fr_rrewrite_bandwidth_bc0 is not None:
                    return True

                if self.soft_preempted_fr_rrewrite_bandwidth_bc1 is not None:
                    return True

                if self.soft_preempted_ls_ps is not None:
                    return True

                if self.soft_preempted_ls_ps_fr_rrewrite is not None:
                    return True

                if self.soft_preempted_tunnels is not None:
                    return True

                if self.soft_preempted_tunnels_fr_rrewrite is not None:
                    return True

                if self.softly_preempted_bandwidth_bc0 is not None:
                    return True

                if self.softly_preempted_bandwidth_bc1 is not None:
                    return True

                if self.source_address is not None:
                    return True

                if self.total_preempted_bandwidth_bc0 is not None:
                    return True

                if self.total_preempted_bandwidth_bc1 is not None:
                    return True

                if self.tunnel_id is not None:
                    return True

                if self.tunnels is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcac.PreemptionEvents.PreemptionEvent']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:preemption-events'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.preemption_event is not None:
                for child_ref in self.preemption_event:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcac.PreemptionEvents']['meta_info']


    class Advertisements(object):
        """
        The advertisement information in MPLS\-LCAC
        
        .. attribute:: advertized_areas
        
        	Advertising info for all the IGP areas
        	**type**\: list of    :py:class:`AdvertizedAreas <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Advertisements.AdvertizedAreas>`
        
        .. attribute:: ds_te_mode
        
        	DS\-TE Mode
        	**type**\:   :py:class:`RrrDsteMigrationModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RrrDsteMigrationModeEnum>`
        
        .. attribute:: flooding_status_message
        
        	Flooding status\: ready or reason
        	**type**\:  str
        
        .. attribute:: last_flooding_time
        
        	Time elapsed since last flooding in seconds
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        	**units**\: second
        
        .. attribute:: last_flooding_trigger
        
        	Trigger for last flooding
        	**type**\:   :py:class:`FloodingTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.FloodingTriggerEnum>`
        
        .. attribute:: next_flooding_time
        
        	Time remained for next flooding in seconds
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        	**units**\: second
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.advertized_areas = YList()
            self.advertized_areas.parent = self
            self.advertized_areas.name = 'advertized_areas'
            self.ds_te_mode = None
            self.flooding_status_message = None
            self.last_flooding_time = None
            self.last_flooding_trigger = None
            self.next_flooding_time = None


        class AdvertizedAreas(object):
            """
            Advertising info for all the IGP areas
            
            .. attribute:: flooded_link
            
            	The array of flooded links in this area
            	**type**\: list of    :py:class:`FloodedLink <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Advertisements.AdvertizedAreas.FloodedLink>`
            
            .. attribute:: igp_area_id
            
            	The area id
            	**type**\:  str
            
            .. attribute:: protocol
            
            	The IGP protocol running over this area
            	**type**\:   :py:class:`IgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpProtocolEnum>`
            
            .. attribute:: router_id
            
            	The node's router ID
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: system_id
            
            	The node's system id
            	**type**\:  str
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.flooded_link = YList()
                self.flooded_link.parent = self
                self.flooded_link.name = 'flooded_link'
                self.igp_area_id = None
                self.protocol = None
                self.router_id = None
                self.system_id = None


            class FloodedLink(object):
                """
                The array of flooded links in this area
                
                .. attribute:: affinity_attribute_flags
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: bandwidth_units
                
                	The link's bandwidth units
                	**type**\:   :py:class:`BandwidthUnitEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthUnitEnumEnum>`
                
                .. attribute:: bcm_id
                
                	Bandwidth Constraints Model ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: designated_router_igp_id
                
                	IGP id of the designated router
                	**type**\:  str
                
                .. attribute:: extended_affinity_attribute_flag
                
                	The link's extended affinity bits
                	**type**\:  list of int
                
                	**range:** 0..4294967295
                
                .. attribute:: igp_metric
                
                	The link's IGP metric
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: igp_neighbor_address
                
                	The neighbor's ip address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: incoming_interface_id
                
                	The link's incoming interface's id
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: interface_name
                
                	The link's interface name
                	**type**\:  str
                
                .. attribute:: is_designated_router
                
                	TRUE if the link belongs to a desig. router
                	**type**\:  bool
                
                .. attribute:: is_receiving_reservable_bandwidth_enabled
                
                	TRUE if receiving reservable BW is enabled
                	**type**\:  bool
                
                .. attribute:: is_transmitting_reservable_bandwidth_enabled
                
                	TRUE if transmitting reservable BW is enabled
                	**type**\:  bool
                
                .. attribute:: link_address
                
                	The link's IPv4 address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: link_id
                
                	The link's id
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: link_maximum_reservable_bandwidth
                
                	The link's maximum reservable BW
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: neighbor_igp_id
                
                	The neighbor's IGP id
                	**type**\:  str
                
                .. attribute:: odu_link_capabilities
                
                	ODU Link Capabilities
                	**type**\:   :py:class:`OduLinkCapabilities <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities>`
                
                .. attribute:: outgoing_interface_id
                
                	The link's outgoing interface's id
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: physical_bandwidth
                
                	The link's physical BW
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: receiving_direction
                
                	Upstream or Downstream
                	**type**\:   :py:class:`LinkDirectionEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.LinkDirectionEnumEnum>`
                
                .. attribute:: receiving_reservable_bandwidth
                
                	Receiving reservable BW at each priority level(priority 0 to priority 7)
                	**type**\: list of    :py:class:`ReceivingReservableBandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.ReceivingReservableBandwidth>`
                
                .. attribute:: reservable_pool0_bandwidth
                
                	The link's reservable pool0 BW
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: reservable_pool1_bandwidth
                
                	The link's reservable pool1 BW
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: shared_risk_link_group
                
                	The link's shared risk link groups
                	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.SharedRiskLinkGroup>`
                
                .. attribute:: subnet_type
                
                	The link's subnet type
                	**type**\:   :py:class:`IgpSubnetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpSubnetEnum>`
                
                .. attribute:: te_metric
                
                	The link's TE metric
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: transmitting_direction
                
                	Upstream or Downstream
                	**type**\:   :py:class:`LinkDirectionEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.LinkDirectionEnumEnum>`
                
                .. attribute:: transmitting_reservable_bandwidth
                
                	Transmitting reservable BW at each priority level (priority 0 to priority 7)
                	**type**\: list of    :py:class:`TransmittingReservableBandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.TransmittingReservableBandwidth>`
                
                .. attribute:: uni_link_delay
                
                	Unidirectional Link Delay in micro\-sec
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.affinity_attribute_flags = None
                    self.bandwidth_units = None
                    self.bcm_id = None
                    self.designated_router_igp_id = None
                    self.extended_affinity_attribute_flag = YLeafList()
                    self.extended_affinity_attribute_flag.parent = self
                    self.extended_affinity_attribute_flag.name = 'extended_affinity_attribute_flag'
                    self.igp_metric = None
                    self.igp_neighbor_address = None
                    self.incoming_interface_id = None
                    self.interface_name = None
                    self.is_designated_router = None
                    self.is_receiving_reservable_bandwidth_enabled = None
                    self.is_transmitting_reservable_bandwidth_enabled = None
                    self.link_address = None
                    self.link_id = None
                    self.link_maximum_reservable_bandwidth = None
                    self.neighbor_igp_id = None
                    self.odu_link_capabilities = MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities()
                    self.odu_link_capabilities.parent = self
                    self.outgoing_interface_id = None
                    self.physical_bandwidth = None
                    self.receiving_direction = None
                    self.receiving_reservable_bandwidth = YList()
                    self.receiving_reservable_bandwidth.parent = self
                    self.receiving_reservable_bandwidth.name = 'receiving_reservable_bandwidth'
                    self.reservable_pool0_bandwidth = None
                    self.reservable_pool1_bandwidth = None
                    self.shared_risk_link_group = YList()
                    self.shared_risk_link_group.parent = self
                    self.shared_risk_link_group.name = 'shared_risk_link_group'
                    self.subnet_type = None
                    self.te_metric = None
                    self.transmitting_direction = None
                    self.transmitting_reservable_bandwidth = YList()
                    self.transmitting_reservable_bandwidth.parent = self
                    self.transmitting_reservable_bandwidth.name = 'transmitting_reservable_bandwidth'
                    self.uni_link_delay = None


                class OduLinkCapabilities(object):
                    """
                    ODU Link Capabilities
                    
                    .. attribute:: max_lsp_bandwidth
                    
                    	Max LSP Bandwidth per priority in kbit/s
                    	**type**\:  list of int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: odu_capability
                    
                    	ODU Capabilities of Link
                    	**type**\: list of    :py:class:`OduCapability <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.max_lsp_bandwidth = YLeafList()
                        self.max_lsp_bandwidth.parent = self
                        self.max_lsp_bandwidth.name = 'max_lsp_bandwidth'
                        self.odu_capability = YList()
                        self.odu_capability.parent = self
                        self.odu_capability.name = 'odu_capability'


                    class OduCapability(object):
                        """
                        ODU Capabilities of Link
                        
                        .. attribute:: bandwidth_info
                        
                        	Bandwidth related info for this ODU level
                        	**type**\:   :py:class:`BandwidthInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo>`
                        
                        .. attribute:: lcas_capable
                        
                        	True if link LCAS capable for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: signal_type
                        
                        	Signal Type
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage1
                        
                        	ODU Type at stage 1, Not Set for HO ODU
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage2
                        
                        	ODU Type at stage 2, Not Set for single stage mulitplexing
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage3
                        
                        	ODU Type at stage 3, Not set up to two levels of multiplexing
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage4
                        
                        	ODU Type at stage 4, Not set up to three levels of multiplexing
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: switchable
                        
                        	True if link is switchable for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: terminable
                        
                        	True if link is terminable for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: tsg1p25
                        
                        	True if link supports 1.25G TSG for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: tsg2p5
                        
                        	True if link supports 2.5G TSG for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: vcat_capable
                        
                        	True if link VCAT capable for this ODU level
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bandwidth_info = MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo()
                            self.bandwidth_info.parent = self
                            self.lcas_capable = None
                            self.signal_type = None
                            self.stage1 = None
                            self.stage2 = None
                            self.stage3 = None
                            self.stage4 = None
                            self.switchable = None
                            self.terminable = None
                            self.tsg1p25 = None
                            self.tsg2p5 = None
                            self.vcat_capable = None


                        class BandwidthInfo(object):
                            """
                            Bandwidth related info for this ODU level
                            
                            .. attribute:: fixed
                            
                            	ODU capability for Fixed ODUs
                            	**type**\:   :py:class:`Fixed <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed>`
                            
                            .. attribute:: flex
                            
                            	ODU capability for Flex ODUs
                            	**type**\:   :py:class:`Flex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex>`
                            
                            .. attribute:: type
                            
                            	type
                            	**type**\:   :py:class:`TeOduCapabilityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduCapabilityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fixed = MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed()
                                self.fixed.parent = self
                                self.flex = MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex()
                                self.flex.parent = self
                                self.type = None


                            class Fixed(object):
                                """
                                ODU capability for Fixed ODUs
                                
                                .. attribute:: maximum_od_us
                                
                                	Maximum Number of ODUs of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: unreserved_od_us
                                
                                	Maximum Number of ODUs of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.maximum_od_us = None
                                    self.unreserved_od_us = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:advertisements/Cisco-IOS-XR-mpls-te-oper:advertized-areas/Cisco-IOS-XR-mpls-te-oper:flooded-link/Cisco-IOS-XR-mpls-te-oper:odu-link-capabilities/Cisco-IOS-XR-mpls-te-oper:odu-capability/Cisco-IOS-XR-mpls-te-oper:bandwidth-info/Cisco-IOS-XR-mpls-te-oper:fixed'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.maximum_od_us is not None:
                                        return True

                                    if self.unreserved_od_us is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed']['meta_info']


                            class Flex(object):
                                """
                                ODU capability for Flex ODUs
                                
                                .. attribute:: max_bandwidth
                                
                                	Max kbps Bandwidth of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: max_lsp_bandwidth
                                
                                	Per LSP Max kbps Bandwidth of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: unreserved_bandwidth
                                
                                	Unreserved kbps Bandwidth of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.max_bandwidth = None
                                    self.max_lsp_bandwidth = None
                                    self.unreserved_bandwidth = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:advertisements/Cisco-IOS-XR-mpls-te-oper:advertized-areas/Cisco-IOS-XR-mpls-te-oper:flooded-link/Cisco-IOS-XR-mpls-te-oper:odu-link-capabilities/Cisco-IOS-XR-mpls-te-oper:odu-capability/Cisco-IOS-XR-mpls-te-oper:bandwidth-info/Cisco-IOS-XR-mpls-te-oper:flex'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.max_bandwidth is not None:
                                        return True

                                    if self.max_lsp_bandwidth is not None:
                                        return True

                                    if self.unreserved_bandwidth is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:advertisements/Cisco-IOS-XR-mpls-te-oper:advertized-areas/Cisco-IOS-XR-mpls-te-oper:flooded-link/Cisco-IOS-XR-mpls-te-oper:odu-link-capabilities/Cisco-IOS-XR-mpls-te-oper:odu-capability/Cisco-IOS-XR-mpls-te-oper:bandwidth-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fixed is not None and self.fixed._has_data():
                                    return True

                                if self.flex is not None and self.flex._has_data():
                                    return True

                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:advertisements/Cisco-IOS-XR-mpls-te-oper:advertized-areas/Cisco-IOS-XR-mpls-te-oper:flooded-link/Cisco-IOS-XR-mpls-te-oper:odu-link-capabilities/Cisco-IOS-XR-mpls-te-oper:odu-capability'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bandwidth_info is not None and self.bandwidth_info._has_data():
                                return True

                            if self.lcas_capable is not None:
                                return True

                            if self.signal_type is not None:
                                return True

                            if self.stage1 is not None:
                                return True

                            if self.stage2 is not None:
                                return True

                            if self.stage3 is not None:
                                return True

                            if self.stage4 is not None:
                                return True

                            if self.switchable is not None:
                                return True

                            if self.terminable is not None:
                                return True

                            if self.tsg1p25 is not None:
                                return True

                            if self.tsg2p5 is not None:
                                return True

                            if self.vcat_capable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:advertisements/Cisco-IOS-XR-mpls-te-oper:advertized-areas/Cisco-IOS-XR-mpls-te-oper:flooded-link/Cisco-IOS-XR-mpls-te-oper:odu-link-capabilities'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.max_lsp_bandwidth is not None:
                            for child in self.max_lsp_bandwidth:
                                if child is not None:
                                    return True

                        if self.odu_capability is not None:
                            for child_ref in self.odu_capability:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities']['meta_info']


                class SharedRiskLinkGroup(object):
                    """
                    The link's shared risk link groups
                    
                    .. attribute:: shared_risk_group
                    
                    	SRLG number
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srlg_name
                    
                    	SRLG name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.shared_risk_group = None
                        self.srlg_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:advertisements/Cisco-IOS-XR-mpls-te-oper:advertized-areas/Cisco-IOS-XR-mpls-te-oper:flooded-link/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.shared_risk_group is not None:
                            return True

                        if self.srlg_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.SharedRiskLinkGroup']['meta_info']


                class ReceivingReservableBandwidth(object):
                    """
                    Receiving reservable BW at each priority
                    level(priority 0 to priority 7)
                    
                    .. attribute:: pool0_bandwidth
                    
                    	The reservable pool0 BW at this priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pool1_bandwidth
                    
                    	The reservable pool1 BW at this priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: priority
                    
                    	The priority level of this bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.pool0_bandwidth = None
                        self.pool1_bandwidth = None
                        self.priority = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:advertisements/Cisco-IOS-XR-mpls-te-oper:advertized-areas/Cisco-IOS-XR-mpls-te-oper:flooded-link/Cisco-IOS-XR-mpls-te-oper:receiving-reservable-bandwidth'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.pool0_bandwidth is not None:
                            return True

                        if self.pool1_bandwidth is not None:
                            return True

                        if self.priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.ReceivingReservableBandwidth']['meta_info']


                class TransmittingReservableBandwidth(object):
                    """
                    Transmitting reservable BW at each priority
                    level (priority 0 to priority 7)
                    
                    .. attribute:: pool0_bandwidth
                    
                    	The reservable pool0 BW at this priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pool1_bandwidth
                    
                    	The reservable pool1 BW at this priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: priority
                    
                    	The priority level of this bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.pool0_bandwidth = None
                        self.pool1_bandwidth = None
                        self.priority = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:advertisements/Cisco-IOS-XR-mpls-te-oper:advertized-areas/Cisco-IOS-XR-mpls-te-oper:flooded-link/Cisco-IOS-XR-mpls-te-oper:transmitting-reservable-bandwidth'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.pool0_bandwidth is not None:
                            return True

                        if self.pool1_bandwidth is not None:
                            return True

                        if self.priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.TransmittingReservableBandwidth']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:advertisements/Cisco-IOS-XR-mpls-te-oper:advertized-areas/Cisco-IOS-XR-mpls-te-oper:flooded-link'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.affinity_attribute_flags is not None:
                        return True

                    if self.bandwidth_units is not None:
                        return True

                    if self.bcm_id is not None:
                        return True

                    if self.designated_router_igp_id is not None:
                        return True

                    if self.extended_affinity_attribute_flag is not None:
                        for child in self.extended_affinity_attribute_flag:
                            if child is not None:
                                return True

                    if self.igp_metric is not None:
                        return True

                    if self.igp_neighbor_address is not None:
                        return True

                    if self.incoming_interface_id is not None:
                        return True

                    if self.interface_name is not None:
                        return True

                    if self.is_designated_router is not None:
                        return True

                    if self.is_receiving_reservable_bandwidth_enabled is not None:
                        return True

                    if self.is_transmitting_reservable_bandwidth_enabled is not None:
                        return True

                    if self.link_address is not None:
                        return True

                    if self.link_id is not None:
                        return True

                    if self.link_maximum_reservable_bandwidth is not None:
                        return True

                    if self.neighbor_igp_id is not None:
                        return True

                    if self.odu_link_capabilities is not None and self.odu_link_capabilities._has_data():
                        return True

                    if self.outgoing_interface_id is not None:
                        return True

                    if self.physical_bandwidth is not None:
                        return True

                    if self.receiving_direction is not None:
                        return True

                    if self.receiving_reservable_bandwidth is not None:
                        for child_ref in self.receiving_reservable_bandwidth:
                            if child_ref._has_data():
                                return True

                    if self.reservable_pool0_bandwidth is not None:
                        return True

                    if self.reservable_pool1_bandwidth is not None:
                        return True

                    if self.shared_risk_link_group is not None:
                        for child_ref in self.shared_risk_link_group:
                            if child_ref._has_data():
                                return True

                    if self.subnet_type is not None:
                        return True

                    if self.te_metric is not None:
                        return True

                    if self.transmitting_direction is not None:
                        return True

                    if self.transmitting_reservable_bandwidth is not None:
                        for child_ref in self.transmitting_reservable_bandwidth:
                            if child_ref._has_data():
                                return True

                    if self.uni_link_delay is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:advertisements/Cisco-IOS-XR-mpls-te-oper:advertized-areas'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.flooded_link is not None:
                    for child_ref in self.flooded_link:
                        if child_ref._has_data():
                            return True

                if self.igp_area_id is not None:
                    return True

                if self.protocol is not None:
                    return True

                if self.router_id is not None:
                    return True

                if self.system_id is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcac.Advertisements.AdvertizedAreas']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:advertisements'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.advertized_areas is not None:
                for child_ref in self.advertized_areas:
                    if child_ref._has_data():
                        return True

            if self.ds_te_mode is not None:
                return True

            if self.flooding_status_message is not None:
                return True

            if self.last_flooding_time is not None:
                return True

            if self.last_flooding_trigger is not None:
                return True

            if self.next_flooding_time is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcac.Advertisements']['meta_info']


    class Statistics(object):
        """
        The interface statistics information in
        MPLS\-LCAC
        
        .. attribute:: statstics_links
        
        	The table of statistics interfaces in MPLS\-LCAC
        	**type**\:   :py:class:`StatsticsLinks <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Statistics.StatsticsLinks>`
        
        .. attribute:: summary
        
        	The statistics summary for all interfaces
        	**type**\:   :py:class:`Summary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Statistics.Summary>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.statstics_links = MplsLcac.Statistics.StatsticsLinks()
            self.statstics_links.parent = self
            self.summary = MplsLcac.Statistics.Summary()
            self.summary.parent = self


        class Summary(object):
            """
            The statistics summary for all interfaces
            
            .. attribute:: is_role_standby
            
            	TRUE if Role is Standby, Active otherwise
            	**type**\:  bool
            
            .. attribute:: path_statistics
            
            	Deprecated
            	**type**\:   :py:class:`PathStatistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Statistics.Summary.PathStatistics>`
            
            .. attribute:: path_statistics32_bit
            
            	Path counters (32\-bit)
            	**type**\:   :py:class:`PathStatistics32Bit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Statistics.Summary.PathStatistics32Bit>`
            
            .. attribute:: reservation_statistics
            
            	Deprecated
            	**type**\:   :py:class:`ReservationStatistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Statistics.Summary.ReservationStatistics>`
            
            .. attribute:: reservation_statistics32_bit
            
            	Reservation counters (32\-bit)
            	**type**\:   :py:class:`ReservationStatistics32Bit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Statistics.Summary.ReservationStatistics32Bit>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.is_role_standby = None
                self.path_statistics = MplsLcac.Statistics.Summary.PathStatistics()
                self.path_statistics.parent = self
                self.path_statistics32_bit = MplsLcac.Statistics.Summary.PathStatistics32Bit()
                self.path_statistics32_bit.parent = self
                self.reservation_statistics = MplsLcac.Statistics.Summary.ReservationStatistics()
                self.reservation_statistics.parent = self
                self.reservation_statistics32_bit = MplsLcac.Statistics.Summary.ReservationStatistics32Bit()
                self.reservation_statistics32_bit.parent = self


            class PathStatistics(object):
                """
                Deprecated
                
                .. attribute:: setup_admits
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: setup_errors
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: setup_rejects
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: setup_requests
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tear_errors
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tear_preempts
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tear_requests
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.setup_admits = None
                    self.setup_errors = None
                    self.setup_rejects = None
                    self.setup_requests = None
                    self.tear_errors = None
                    self.tear_preempts = None
                    self.tear_requests = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:path-statistics'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.setup_admits is not None:
                        return True

                    if self.setup_errors is not None:
                        return True

                    if self.setup_rejects is not None:
                        return True

                    if self.setup_requests is not None:
                        return True

                    if self.tear_errors is not None:
                        return True

                    if self.tear_preempts is not None:
                        return True

                    if self.tear_requests is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcac.Statistics.Summary.PathStatistics']['meta_info']


            class ReservationStatistics(object):
                """
                Deprecated
                
                .. attribute:: setup_admits
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: setup_errors
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: setup_rejects
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: setup_requests
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tear_errors
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tear_preempts
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tear_requests
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.setup_admits = None
                    self.setup_errors = None
                    self.setup_rejects = None
                    self.setup_requests = None
                    self.tear_errors = None
                    self.tear_preempts = None
                    self.tear_requests = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:reservation-statistics'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.setup_admits is not None:
                        return True

                    if self.setup_errors is not None:
                        return True

                    if self.setup_rejects is not None:
                        return True

                    if self.setup_requests is not None:
                        return True

                    if self.tear_errors is not None:
                        return True

                    if self.tear_preempts is not None:
                        return True

                    if self.tear_requests is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcac.Statistics.Summary.ReservationStatistics']['meta_info']


            class PathStatistics32Bit(object):
                """
                Path counters (32\-bit)
                
                .. attribute:: setup_admits
                
                	Setup admits
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: setup_errors
                
                	Setup errors
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: setup_rejects
                
                	Setup rejects
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: setup_requests
                
                	Setup requests
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tear_errors
                
                	Tear errors
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tear_preempts
                
                	Tear preempts
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tear_requests
                
                	Tear requests
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.setup_admits = None
                    self.setup_errors = None
                    self.setup_rejects = None
                    self.setup_requests = None
                    self.tear_errors = None
                    self.tear_preempts = None
                    self.tear_requests = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:path-statistics32-bit'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.setup_admits is not None:
                        return True

                    if self.setup_errors is not None:
                        return True

                    if self.setup_rejects is not None:
                        return True

                    if self.setup_requests is not None:
                        return True

                    if self.tear_errors is not None:
                        return True

                    if self.tear_preempts is not None:
                        return True

                    if self.tear_requests is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcac.Statistics.Summary.PathStatistics32Bit']['meta_info']


            class ReservationStatistics32Bit(object):
                """
                Reservation counters (32\-bit)
                
                .. attribute:: setup_admits
                
                	Setup admits
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: setup_errors
                
                	Setup errors
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: setup_rejects
                
                	Setup rejects
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: setup_requests
                
                	Setup requests
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tear_errors
                
                	Tear errors
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tear_preempts
                
                	Tear preempts
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tear_requests
                
                	Tear requests
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.setup_admits = None
                    self.setup_errors = None
                    self.setup_rejects = None
                    self.setup_requests = None
                    self.tear_errors = None
                    self.tear_preempts = None
                    self.tear_requests = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:reservation-statistics32-bit'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.setup_admits is not None:
                        return True

                    if self.setup_errors is not None:
                        return True

                    if self.setup_rejects is not None:
                        return True

                    if self.setup_requests is not None:
                        return True

                    if self.tear_errors is not None:
                        return True

                    if self.tear_preempts is not None:
                        return True

                    if self.tear_requests is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcac.Statistics.Summary.ReservationStatistics32Bit']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:summary'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.is_role_standby is not None:
                    return True

                if self.path_statistics is not None and self.path_statistics._has_data():
                    return True

                if self.path_statistics32_bit is not None and self.path_statistics32_bit._has_data():
                    return True

                if self.reservation_statistics is not None and self.reservation_statistics._has_data():
                    return True

                if self.reservation_statistics32_bit is not None and self.reservation_statistics32_bit._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcac.Statistics.Summary']['meta_info']


        class StatsticsLinks(object):
            """
            The table of statistics interfaces in MPLS\-LCAC
            
            .. attribute:: statstics_link
            
            	An interface in MPLS\-LCAC
            	**type**\: list of    :py:class:`StatsticsLink <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Statistics.StatsticsLinks.StatsticsLink>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.statstics_link = YList()
                self.statstics_link.parent = self
                self.statstics_link.name = 'statstics_link'


            class StatsticsLink(object):
                """
                An interface in MPLS\-LCAC
                
                .. attribute:: interface_name  <key>
                
                	Interface name
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: incoming_path_statistics
                
                	Deprecated
                	**type**\:   :py:class:`IncomingPathStatistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics>`
                
                .. attribute:: incoming_path_statistics32_bit
                
                	Incoming PATH counters
                	**type**\:   :py:class:`IncomingPathStatistics32Bit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics32Bit>`
                
                .. attribute:: incoming_reservation_statistics
                
                	Deprecated
                	**type**\:   :py:class:`IncomingReservationStatistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics>`
                
                .. attribute:: incoming_reservation_statistics32_bit
                
                	Incoming RESV counters
                	**type**\:   :py:class:`IncomingReservationStatistics32Bit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics32Bit>`
                
                .. attribute:: interface_name_xr
                
                	Link name
                	**type**\:  str
                
                .. attribute:: link_address
                
                	Link's ip address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: outgoing_path_statistics
                
                	Deprecated
                	**type**\:   :py:class:`OutgoingPathStatistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics>`
                
                .. attribute:: outgoing_path_statistics32_bit
                
                	Outgoing PATH counters
                	**type**\:   :py:class:`OutgoingPathStatistics32Bit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics32Bit>`
                
                .. attribute:: outgoing_reservation_statistics
                
                	Deprecated
                	**type**\:   :py:class:`OutgoingReservationStatistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics>`
                
                .. attribute:: outgoing_reservation_statistics32_bit
                
                	Outgoing RESV counters
                	**type**\:   :py:class:`OutgoingReservationStatistics32Bit <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics32Bit>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.interface_name = None
                    self.incoming_path_statistics = MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics()
                    self.incoming_path_statistics.parent = self
                    self.incoming_path_statistics32_bit = MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics32Bit()
                    self.incoming_path_statistics32_bit.parent = self
                    self.incoming_reservation_statistics = MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics()
                    self.incoming_reservation_statistics.parent = self
                    self.incoming_reservation_statistics32_bit = MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics32Bit()
                    self.incoming_reservation_statistics32_bit.parent = self
                    self.interface_name_xr = None
                    self.link_address = None
                    self.outgoing_path_statistics = MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics()
                    self.outgoing_path_statistics.parent = self
                    self.outgoing_path_statistics32_bit = MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics32Bit()
                    self.outgoing_path_statistics32_bit.parent = self
                    self.outgoing_reservation_statistics = MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics()
                    self.outgoing_reservation_statistics.parent = self
                    self.outgoing_reservation_statistics32_bit = MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics32Bit()
                    self.outgoing_reservation_statistics32_bit.parent = self


                class IncomingPathStatistics(object):
                    """
                    Deprecated
                    
                    .. attribute:: setup_admits
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_errors
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_rejects
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_requests
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_errors
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_preempts
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_requests
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.setup_admits = None
                        self.setup_errors = None
                        self.setup_rejects = None
                        self.setup_requests = None
                        self.tear_errors = None
                        self.tear_preempts = None
                        self.tear_requests = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-path-statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.setup_admits is not None:
                            return True

                        if self.setup_errors is not None:
                            return True

                        if self.setup_rejects is not None:
                            return True

                        if self.setup_requests is not None:
                            return True

                        if self.tear_errors is not None:
                            return True

                        if self.tear_preempts is not None:
                            return True

                        if self.tear_requests is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics']['meta_info']


                class IncomingReservationStatistics(object):
                    """
                    Deprecated
                    
                    .. attribute:: setup_admits
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_errors
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_rejects
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_requests
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_errors
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_preempts
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_requests
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.setup_admits = None
                        self.setup_errors = None
                        self.setup_rejects = None
                        self.setup_requests = None
                        self.tear_errors = None
                        self.tear_preempts = None
                        self.tear_requests = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-reservation-statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.setup_admits is not None:
                            return True

                        if self.setup_errors is not None:
                            return True

                        if self.setup_rejects is not None:
                            return True

                        if self.setup_requests is not None:
                            return True

                        if self.tear_errors is not None:
                            return True

                        if self.tear_preempts is not None:
                            return True

                        if self.tear_requests is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics']['meta_info']


                class OutgoingPathStatistics(object):
                    """
                    Deprecated
                    
                    .. attribute:: setup_admits
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_errors
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_rejects
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_requests
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_errors
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_preempts
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_requests
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.setup_admits = None
                        self.setup_errors = None
                        self.setup_rejects = None
                        self.setup_requests = None
                        self.tear_errors = None
                        self.tear_preempts = None
                        self.tear_requests = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:outgoing-path-statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.setup_admits is not None:
                            return True

                        if self.setup_errors is not None:
                            return True

                        if self.setup_rejects is not None:
                            return True

                        if self.setup_requests is not None:
                            return True

                        if self.tear_errors is not None:
                            return True

                        if self.tear_preempts is not None:
                            return True

                        if self.tear_requests is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics']['meta_info']


                class OutgoingReservationStatistics(object):
                    """
                    Deprecated
                    
                    .. attribute:: setup_admits
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_errors
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_rejects
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: setup_requests
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_errors
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_preempts
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tear_requests
                    
                    	Deprecated
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.setup_admits = None
                        self.setup_errors = None
                        self.setup_rejects = None
                        self.setup_requests = None
                        self.tear_errors = None
                        self.tear_preempts = None
                        self.tear_requests = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:outgoing-reservation-statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.setup_admits is not None:
                            return True

                        if self.setup_errors is not None:
                            return True

                        if self.setup_rejects is not None:
                            return True

                        if self.setup_requests is not None:
                            return True

                        if self.tear_errors is not None:
                            return True

                        if self.tear_preempts is not None:
                            return True

                        if self.tear_requests is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics']['meta_info']


                class IncomingPathStatistics32Bit(object):
                    """
                    Incoming PATH counters
                    
                    .. attribute:: setup_admits
                    
                    	Setup admits
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_errors
                    
                    	Setup errors
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_rejects
                    
                    	Setup rejects
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_requests
                    
                    	Setup requests
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_errors
                    
                    	Tear errors
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_preempts
                    
                    	Tear preempts
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_requests
                    
                    	Tear requests
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.setup_admits = None
                        self.setup_errors = None
                        self.setup_rejects = None
                        self.setup_requests = None
                        self.tear_errors = None
                        self.tear_preempts = None
                        self.tear_requests = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-path-statistics32-bit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.setup_admits is not None:
                            return True

                        if self.setup_errors is not None:
                            return True

                        if self.setup_rejects is not None:
                            return True

                        if self.setup_requests is not None:
                            return True

                        if self.tear_errors is not None:
                            return True

                        if self.tear_preempts is not None:
                            return True

                        if self.tear_requests is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics32Bit']['meta_info']


                class IncomingReservationStatistics32Bit(object):
                    """
                    Incoming RESV counters
                    
                    .. attribute:: setup_admits
                    
                    	Setup admits
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_errors
                    
                    	Setup errors
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_rejects
                    
                    	Setup rejects
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_requests
                    
                    	Setup requests
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_errors
                    
                    	Tear errors
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_preempts
                    
                    	Tear preempts
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_requests
                    
                    	Tear requests
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.setup_admits = None
                        self.setup_errors = None
                        self.setup_rejects = None
                        self.setup_requests = None
                        self.tear_errors = None
                        self.tear_preempts = None
                        self.tear_requests = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-reservation-statistics32-bit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.setup_admits is not None:
                            return True

                        if self.setup_errors is not None:
                            return True

                        if self.setup_rejects is not None:
                            return True

                        if self.setup_requests is not None:
                            return True

                        if self.tear_errors is not None:
                            return True

                        if self.tear_preempts is not None:
                            return True

                        if self.tear_requests is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics32Bit']['meta_info']


                class OutgoingPathStatistics32Bit(object):
                    """
                    Outgoing PATH counters
                    
                    .. attribute:: setup_admits
                    
                    	Setup admits
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_errors
                    
                    	Setup errors
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_rejects
                    
                    	Setup rejects
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_requests
                    
                    	Setup requests
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_errors
                    
                    	Tear errors
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_preempts
                    
                    	Tear preempts
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_requests
                    
                    	Tear requests
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.setup_admits = None
                        self.setup_errors = None
                        self.setup_rejects = None
                        self.setup_requests = None
                        self.tear_errors = None
                        self.tear_preempts = None
                        self.tear_requests = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:outgoing-path-statistics32-bit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.setup_admits is not None:
                            return True

                        if self.setup_errors is not None:
                            return True

                        if self.setup_rejects is not None:
                            return True

                        if self.setup_requests is not None:
                            return True

                        if self.tear_errors is not None:
                            return True

                        if self.tear_preempts is not None:
                            return True

                        if self.tear_requests is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics32Bit']['meta_info']


                class OutgoingReservationStatistics32Bit(object):
                    """
                    Outgoing RESV counters
                    
                    .. attribute:: setup_admits
                    
                    	Setup admits
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_errors
                    
                    	Setup errors
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_rejects
                    
                    	Setup rejects
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: setup_requests
                    
                    	Setup requests
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_errors
                    
                    	Tear errors
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_preempts
                    
                    	Tear preempts
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tear_requests
                    
                    	Tear requests
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.setup_admits = None
                        self.setup_errors = None
                        self.setup_rejects = None
                        self.setup_requests = None
                        self.tear_errors = None
                        self.tear_preempts = None
                        self.tear_requests = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:outgoing-reservation-statistics32-bit'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.setup_admits is not None:
                            return True

                        if self.setup_errors is not None:
                            return True

                        if self.setup_rejects is not None:
                            return True

                        if self.setup_requests is not None:
                            return True

                        if self.tear_errors is not None:
                            return True

                        if self.tear_preempts is not None:
                            return True

                        if self.tear_requests is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics32Bit']['meta_info']

                @property
                def _common_path(self):
                    if self.interface_name is None:
                        raise YPYModelError('Key property interface_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:statstics-links/Cisco-IOS-XR-mpls-te-oper:statstics-link[Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.interface_name is not None:
                        return True

                    if self.incoming_path_statistics is not None and self.incoming_path_statistics._has_data():
                        return True

                    if self.incoming_path_statistics32_bit is not None and self.incoming_path_statistics32_bit._has_data():
                        return True

                    if self.incoming_reservation_statistics is not None and self.incoming_reservation_statistics._has_data():
                        return True

                    if self.incoming_reservation_statistics32_bit is not None and self.incoming_reservation_statistics32_bit._has_data():
                        return True

                    if self.interface_name_xr is not None:
                        return True

                    if self.link_address is not None:
                        return True

                    if self.outgoing_path_statistics is not None and self.outgoing_path_statistics._has_data():
                        return True

                    if self.outgoing_path_statistics32_bit is not None and self.outgoing_path_statistics32_bit._has_data():
                        return True

                    if self.outgoing_reservation_statistics is not None and self.outgoing_reservation_statistics._has_data():
                        return True

                    if self.outgoing_reservation_statistics32_bit is not None and self.outgoing_reservation_statistics32_bit._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:statstics-links'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.statstics_link is not None:
                    for child_ref in self.statstics_link:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcac.Statistics.StatsticsLinks']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:statistics'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.statstics_links is not None and self.statstics_links._has_data():
                return True

            if self.summary is not None and self.summary._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcac.Statistics']['meta_info']


    class BandwidthAllocation(object):
        """
        The bandwidth allocation information in
        MPLS\-LCAC
        
        .. attribute:: bandwidth_allocation_links
        
        	Per\-link bandwidth allocation information in MPLS\-LCAC
        	**type**\:   :py:class:`BandwidthAllocationLinks <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BandwidthAllocation.BandwidthAllocationLinks>`
        
        .. attribute:: global_
        
        	Global bandwidth allocation information for all interfaces
        	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BandwidthAllocation.Global_>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.bandwidth_allocation_links = MplsLcac.BandwidthAllocation.BandwidthAllocationLinks()
            self.bandwidth_allocation_links.parent = self
            self.global_ = MplsLcac.BandwidthAllocation.Global_()
            self.global_.parent = self


        class Global_(object):
            """
            Global bandwidth allocation information for all
            interfaces
            
            .. attribute:: bandwidth_hold_time
            
            	How long to hold the bandwidth (seconds)
            	**type**\:  int
            
            	**range:** 0..65535
            
            	**units**\: second
            
            .. attribute:: is_role_standby
            
            	TRUE if Role is Standby, Active otherwise
            	**type**\:  bool
            
            .. attribute:: links
            
            	Number of links
            	**type**\:  int
            
            	**range:** 0..65535
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.bandwidth_hold_time = None
                self.is_role_standby = None
                self.links = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:bandwidth-allocation/Cisco-IOS-XR-mpls-te-oper:global'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.bandwidth_hold_time is not None:
                    return True

                if self.is_role_standby is not None:
                    return True

                if self.links is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcac.BandwidthAllocation.Global_']['meta_info']


        class BandwidthAllocationLinks(object):
            """
            Per\-link bandwidth allocation information in
            MPLS\-LCAC
            
            .. attribute:: bandwidth_allocation_link
            
            	The bandwidth allocation for a given interface
            	**type**\: list of    :py:class:`BandwidthAllocationLink <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.bandwidth_allocation_link = YList()
                self.bandwidth_allocation_link.parent = self
                self.bandwidth_allocation_link.name = 'bandwidth_allocation_link'


            class BandwidthAllocationLink(object):
                """
                The bandwidth allocation for a given interface
                
                .. attribute:: interface_name  <key>
                
                	Interface name
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: bandwidth_descriptors
                
                	Number of BW descriptor for the given pool
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: bandwidth_pool
                
                	type of the BW pool
                	**type**\:   :py:class:`BandwidthTypeEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthTypeEnumEnum>`
                
                .. attribute:: downstream_bandwidth
                
                	BW info in the dnstream direction
                	**type**\:   :py:class:`DownstreamBandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth>`
                
                .. attribute:: flooding_down_threshold
                
                	Flooding down\-thresholds
                	**type**\:  list of int
                
                	**range:** 0..255
                
                .. attribute:: flooding_down_thresholds_are_default
                
                	TRUE if the down\-threshold are default
                	**type**\:  bool
                
                .. attribute:: flooding_down_thresholds_are_global
                
                	TRUE if the down\-threshold are global
                	**type**\:  bool
                
                .. attribute:: flooding_up_threshold
                
                	Flooding up\-thresholds
                	**type**\:  list of int
                
                	**range:** 0..255
                
                .. attribute:: flooding_up_thresholds_are_default
                
                	TRUE if the up\-threshold are default
                	**type**\:  bool
                
                .. attribute:: flooding_up_thresholds_are_global
                
                	TRUE if the up\-threshold are global
                	**type**\:  bool
                
                .. attribute:: link_common
                
                	The link's common info
                	**type**\:   :py:class:`LinkCommon <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon>`
                
                .. attribute:: total_bandwidth_descriptors
                
                	Number of total BW descriptors
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: upstream_bandwidth
                
                	BW info in the upstream direction
                	**type**\:   :py:class:`UpstreamBandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.interface_name = None
                    self.bandwidth_descriptors = None
                    self.bandwidth_pool = None
                    self.downstream_bandwidth = MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth()
                    self.downstream_bandwidth.parent = self
                    self.flooding_down_threshold = YLeafList()
                    self.flooding_down_threshold.parent = self
                    self.flooding_down_threshold.name = 'flooding_down_threshold'
                    self.flooding_down_thresholds_are_default = None
                    self.flooding_down_thresholds_are_global = None
                    self.flooding_up_threshold = YLeafList()
                    self.flooding_up_threshold.parent = self
                    self.flooding_up_threshold.name = 'flooding_up_threshold'
                    self.flooding_up_thresholds_are_default = None
                    self.flooding_up_thresholds_are_global = None
                    self.link_common = MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon()
                    self.link_common.parent = self
                    self.total_bandwidth_descriptors = None
                    self.upstream_bandwidth = MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth()
                    self.upstream_bandwidth.parent = self


                class LinkCommon(object):
                    """
                    The link's common info
                    
                    .. attribute:: bandwidth_units
                    
                    	The bandwidth units
                    	**type**\:   :py:class:`BandwidthUnitEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthUnitEnumEnum>`
                    
                    .. attribute:: bcm_id
                    
                    	Bandwidth Constraints Model ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: capability
                    
                    	The link's protection capability
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: flooded_areas
                    
                    	List of areas into which the link is flooded
                    	**type**\: list of    :py:class:`FloodedAreas <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.FloodedAreas>`
                    
                    .. attribute:: has_protection
                    
                    	TRUE if the link is protected
                    	**type**\:  bool
                    
                    .. attribute:: igp_neighbors
                    
                    	The link's neighbor count
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: inbound_admission_method
                    
                    	Deprecated
                    	**type**\:   :py:class:`AdmissionPolicyEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AdmissionPolicyEnum>`
                    
                    .. attribute:: incoming_reservable_bandwidth_percentage
                    
                    	Incoming reserved BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: incoming_reservable_pool0_bandwidth_percentage
                    
                    	Incoming reserved pool0 BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: incoming_reservable_pool1_bandwidth_percentage
                    
                    	Incoming reserved pool1 BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: interface_switching_capability_descriptor
                    
                    	The link's switching capability descriptor
                    	**type**\: list of    :py:class:`InterfaceSwitchingCapabilityDescriptor <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.InterfaceSwitchingCapabilityDescriptor>`
                    
                    .. attribute:: is_resource_provider_installed
                    
                    	TRUE if the resource provider is installed
                    	**type**\:  bool
                    
                    .. attribute:: is_unnumbered
                    
                    	TRUE if the link is unnumbered
                    	**type**\:  bool
                    
                    .. attribute:: last_flooded_effective_maximum_reservable_bandwidth
                    
                    	Last flooded max reservable bandwidth effective
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: link_address
                    
                    	The link's ip address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: link_flags
                    
                    	The link's flags
                    	**type**\:   :py:class:`LinkFlags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.LinkFlags>`
                    
                    .. attribute:: link_id
                    
                    	The link's id
                    	**type**\:  str
                    
                    .. attribute:: maximum_reservable_bandwidth
                    
                    	The link's maximum reservable BW
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: maximum_reservable_pool0_bandwidth
                    
                    	The link's maximum reservable pool0 BW
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: maximum_reservable_pool1_bandwidth
                    
                    	The link's maximum reservable pool1 BW
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: outbound_admission_method
                    
                    	Deprecated
                    	**type**\:   :py:class:`AdmissionPolicyEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AdmissionPolicyEnum>`
                    
                    .. attribute:: outgoing_reservable_bandwidth_percentage
                    
                    	Outgoing reserved BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: outgoing_reservable_pool0_bandwidth_percentage
                    
                    	Outgoing reserved pool0 BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: outgoing_reservable_pool1_bandwidth_percentage
                    
                    	Outgoing reserved pool1 BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: physical_bandwidth
                    
                    	The link's physical bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: resource_provider
                    
                    	The link's resource provider
                    	**type**\:   :py:class:`ResourceProviderEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.ResourceProviderEnum>`
                    
                    .. attribute:: shared_risk_link_group
                    
                    	The link's shared risk link groups
                    	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.SharedRiskLinkGroup>`
                    
                    .. attribute:: working_priority
                    
                    	The link's working priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bandwidth_units = None
                        self.bcm_id = None
                        self.capability = None
                        self.flooded_areas = YList()
                        self.flooded_areas.parent = self
                        self.flooded_areas.name = 'flooded_areas'
                        self.has_protection = None
                        self.igp_neighbors = None
                        self.inbound_admission_method = None
                        self.incoming_reservable_bandwidth_percentage = None
                        self.incoming_reservable_pool0_bandwidth_percentage = None
                        self.incoming_reservable_pool1_bandwidth_percentage = None
                        self.interface_switching_capability_descriptor = YList()
                        self.interface_switching_capability_descriptor.parent = self
                        self.interface_switching_capability_descriptor.name = 'interface_switching_capability_descriptor'
                        self.is_resource_provider_installed = None
                        self.is_unnumbered = None
                        self.last_flooded_effective_maximum_reservable_bandwidth = None
                        self.link_address = None
                        self.link_flags = MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.LinkFlags()
                        self.link_flags.parent = self
                        self.link_id = None
                        self.maximum_reservable_bandwidth = None
                        self.maximum_reservable_pool0_bandwidth = None
                        self.maximum_reservable_pool1_bandwidth = None
                        self.outbound_admission_method = None
                        self.outgoing_reservable_bandwidth_percentage = None
                        self.outgoing_reservable_pool0_bandwidth_percentage = None
                        self.outgoing_reservable_pool1_bandwidth_percentage = None
                        self.physical_bandwidth = None
                        self.resource_provider = None
                        self.shared_risk_link_group = YList()
                        self.shared_risk_link_group.parent = self
                        self.shared_risk_link_group.name = 'shared_risk_link_group'
                        self.working_priority = None


                    class LinkFlags(object):
                        """
                        The link's flags
                        
                        .. attribute:: is_admin_up
                        
                        	TRUE if the link is admin up
                        	**type**\:  bool
                        
                        .. attribute:: is_mpls_te_on
                        
                        	Deprecated \- TRUE if the link is a TE\-Link
                        	**type**\:  bool
                        
                        .. attribute:: signaling_agent
                        
                        	Deprecated \- Signaling agent
                        	**type**\:   :py:class:`SignalingAgentEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.SignalingAgentEnumEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.is_admin_up = None
                            self.is_mpls_te_on = None
                            self.signaling_agent = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:link-flags'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.is_admin_up is not None:
                                return True

                            if self.is_mpls_te_on is not None:
                                return True

                            if self.signaling_agent is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.LinkFlags']['meta_info']


                    class SharedRiskLinkGroup(object):
                        """
                        The link's shared risk link groups
                        
                        .. attribute:: shared_risk_group
                        
                        	SRLG number
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: srlg_name
                        
                        	SRLG name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.shared_risk_group = None
                            self.srlg_name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.shared_risk_group is not None:
                                return True

                            if self.srlg_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.SharedRiskLinkGroup']['meta_info']


                    class InterfaceSwitchingCapabilityDescriptor(object):
                        """
                        The link's switching capability descriptor
                        
                        .. attribute:: encoding
                        
                        	The link encoding type
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: key
                        
                        	The switching capability descriptor key
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: switching_capability
                        
                        	The switching capability
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.encoding = None
                            self.key = None
                            self.switching_capability = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:interface-switching-capability-descriptor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.encoding is not None:
                                return True

                            if self.key is not None:
                                return True

                            if self.switching_capability is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.InterfaceSwitchingCapabilityDescriptor']['meta_info']


                    class FloodedAreas(object):
                        """
                        List of areas into which the link is flooded
                        
                        .. attribute:: flooded_area
                        
                        	The flooded area information
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.flooded_area = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flooded-areas'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.flooded_area is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.FloodedAreas']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:link-common'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bandwidth_units is not None:
                            return True

                        if self.bcm_id is not None:
                            return True

                        if self.capability is not None:
                            return True

                        if self.flooded_areas is not None:
                            for child_ref in self.flooded_areas:
                                if child_ref._has_data():
                                    return True

                        if self.has_protection is not None:
                            return True

                        if self.igp_neighbors is not None:
                            return True

                        if self.inbound_admission_method is not None:
                            return True

                        if self.incoming_reservable_bandwidth_percentage is not None:
                            return True

                        if self.incoming_reservable_pool0_bandwidth_percentage is not None:
                            return True

                        if self.incoming_reservable_pool1_bandwidth_percentage is not None:
                            return True

                        if self.interface_switching_capability_descriptor is not None:
                            for child_ref in self.interface_switching_capability_descriptor:
                                if child_ref._has_data():
                                    return True

                        if self.is_resource_provider_installed is not None:
                            return True

                        if self.is_unnumbered is not None:
                            return True

                        if self.last_flooded_effective_maximum_reservable_bandwidth is not None:
                            return True

                        if self.link_address is not None:
                            return True

                        if self.link_flags is not None and self.link_flags._has_data():
                            return True

                        if self.link_id is not None:
                            return True

                        if self.maximum_reservable_bandwidth is not None:
                            return True

                        if self.maximum_reservable_pool0_bandwidth is not None:
                            return True

                        if self.maximum_reservable_pool1_bandwidth is not None:
                            return True

                        if self.outbound_admission_method is not None:
                            return True

                        if self.outgoing_reservable_bandwidth_percentage is not None:
                            return True

                        if self.outgoing_reservable_pool0_bandwidth_percentage is not None:
                            return True

                        if self.outgoing_reservable_pool1_bandwidth_percentage is not None:
                            return True

                        if self.physical_bandwidth is not None:
                            return True

                        if self.resource_provider is not None:
                            return True

                        if self.shared_risk_link_group is not None:
                            for child_ref in self.shared_risk_link_group:
                                if child_ref._has_data():
                                    return True

                        if self.working_priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon']['meta_info']


                class UpstreamBandwidth(object):
                    """
                    BW info in the upstream direction
                    
                    .. attribute:: bandwidth_direction
                    
                    	BW Direction
                    	**type**\:   :py:class:`LinkDirectionEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.LinkDirectionEnumEnum>`
                    
                    .. attribute:: bandwidth_pool0
                    
                    	Pool0 BW info for the different priority levels
                    	**type**\: list of    :py:class:`BandwidthPool0 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool0>`
                    
                    .. attribute:: bandwidth_pool1
                    
                    	Pool1 BW info for the different priority levels
                    	**type**\: list of    :py:class:`BandwidthPool1 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool1>`
                    
                    .. attribute:: bandwidth_units
                    
                    	Bandwidth units
                    	**type**\:   :py:class:`BandwidthUnitEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthUnitEnumEnum>`
                    
                    .. attribute:: is_admission_method_allocated_bandwidth
                    
                    	True if the link's admit method is based on Allocated BW
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bandwidth_direction = None
                        self.bandwidth_pool0 = YList()
                        self.bandwidth_pool0.parent = self
                        self.bandwidth_pool0.name = 'bandwidth_pool0'
                        self.bandwidth_pool1 = YList()
                        self.bandwidth_pool1.parent = self
                        self.bandwidth_pool1.name = 'bandwidth_pool1'
                        self.bandwidth_units = None
                        self.is_admission_method_allocated_bandwidth = None


                    class BandwidthPool0(object):
                        """
                        Pool0 BW info for the different priority levels
                        
                        .. attribute:: held_amount
                        
                        	The held bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: hold_priority
                        
                        	The BW priority
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: locked_amount
                        
                        	The locked bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_held_amount
                        
                        	The total held bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_locked_amount
                        
                        	The total locked bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.held_amount = None
                            self.hold_priority = None
                            self.locked_amount = None
                            self.total_held_amount = None
                            self.total_locked_amount = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-pool0'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.held_amount is not None:
                                return True

                            if self.hold_priority is not None:
                                return True

                            if self.locked_amount is not None:
                                return True

                            if self.total_held_amount is not None:
                                return True

                            if self.total_locked_amount is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool0']['meta_info']


                    class BandwidthPool1(object):
                        """
                        Pool1 BW info for the different priority levels
                        
                        .. attribute:: held_amount
                        
                        	The held bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: hold_priority
                        
                        	The BW priority
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: locked_amount
                        
                        	The locked bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_held_amount
                        
                        	The total held bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_locked_amount
                        
                        	The total locked bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.held_amount = None
                            self.hold_priority = None
                            self.locked_amount = None
                            self.total_held_amount = None
                            self.total_locked_amount = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-pool1'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.held_amount is not None:
                                return True

                            if self.hold_priority is not None:
                                return True

                            if self.locked_amount is not None:
                                return True

                            if self.total_held_amount is not None:
                                return True

                            if self.total_locked_amount is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool1']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:upstream-bandwidth'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bandwidth_direction is not None:
                            return True

                        if self.bandwidth_pool0 is not None:
                            for child_ref in self.bandwidth_pool0:
                                if child_ref._has_data():
                                    return True

                        if self.bandwidth_pool1 is not None:
                            for child_ref in self.bandwidth_pool1:
                                if child_ref._has_data():
                                    return True

                        if self.bandwidth_units is not None:
                            return True

                        if self.is_admission_method_allocated_bandwidth is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth']['meta_info']


                class DownstreamBandwidth(object):
                    """
                    BW info in the dnstream direction
                    
                    .. attribute:: bandwidth_direction
                    
                    	BW Direction
                    	**type**\:   :py:class:`LinkDirectionEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.LinkDirectionEnumEnum>`
                    
                    .. attribute:: bandwidth_pool0
                    
                    	Pool0 BW info for the different priority levels
                    	**type**\: list of    :py:class:`BandwidthPool0 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool0>`
                    
                    .. attribute:: bandwidth_pool1
                    
                    	Pool1 BW info for the different priority levels
                    	**type**\: list of    :py:class:`BandwidthPool1 <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool1>`
                    
                    .. attribute:: bandwidth_units
                    
                    	Bandwidth units
                    	**type**\:   :py:class:`BandwidthUnitEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthUnitEnumEnum>`
                    
                    .. attribute:: is_admission_method_allocated_bandwidth
                    
                    	True if the link's admit method is based on Allocated BW
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bandwidth_direction = None
                        self.bandwidth_pool0 = YList()
                        self.bandwidth_pool0.parent = self
                        self.bandwidth_pool0.name = 'bandwidth_pool0'
                        self.bandwidth_pool1 = YList()
                        self.bandwidth_pool1.parent = self
                        self.bandwidth_pool1.name = 'bandwidth_pool1'
                        self.bandwidth_units = None
                        self.is_admission_method_allocated_bandwidth = None


                    class BandwidthPool0(object):
                        """
                        Pool0 BW info for the different priority levels
                        
                        .. attribute:: held_amount
                        
                        	The held bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: hold_priority
                        
                        	The BW priority
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: locked_amount
                        
                        	The locked bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_held_amount
                        
                        	The total held bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_locked_amount
                        
                        	The total locked bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.held_amount = None
                            self.hold_priority = None
                            self.locked_amount = None
                            self.total_held_amount = None
                            self.total_locked_amount = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-pool0'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.held_amount is not None:
                                return True

                            if self.hold_priority is not None:
                                return True

                            if self.locked_amount is not None:
                                return True

                            if self.total_held_amount is not None:
                                return True

                            if self.total_locked_amount is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool0']['meta_info']


                    class BandwidthPool1(object):
                        """
                        Pool1 BW info for the different priority levels
                        
                        .. attribute:: held_amount
                        
                        	The held bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: hold_priority
                        
                        	The BW priority
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: locked_amount
                        
                        	The locked bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_held_amount
                        
                        	The total held bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_locked_amount
                        
                        	The total locked bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.held_amount = None
                            self.hold_priority = None
                            self.locked_amount = None
                            self.total_held_amount = None
                            self.total_locked_amount = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-pool1'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.held_amount is not None:
                                return True

                            if self.hold_priority is not None:
                                return True

                            if self.locked_amount is not None:
                                return True

                            if self.total_held_amount is not None:
                                return True

                            if self.total_locked_amount is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool1']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:downstream-bandwidth'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bandwidth_direction is not None:
                            return True

                        if self.bandwidth_pool0 is not None:
                            for child_ref in self.bandwidth_pool0:
                                if child_ref._has_data():
                                    return True

                        if self.bandwidth_pool1 is not None:
                            for child_ref in self.bandwidth_pool1:
                                if child_ref._has_data():
                                    return True

                        if self.bandwidth_units is not None:
                            return True

                        if self.is_admission_method_allocated_bandwidth is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth']['meta_info']

                @property
                def _common_path(self):
                    if self.interface_name is None:
                        raise YPYModelError('Key property interface_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:bandwidth-allocation/Cisco-IOS-XR-mpls-te-oper:bandwidth-allocation-links/Cisco-IOS-XR-mpls-te-oper:bandwidth-allocation-link[Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.interface_name is not None:
                        return True

                    if self.bandwidth_descriptors is not None:
                        return True

                    if self.bandwidth_pool is not None:
                        return True

                    if self.downstream_bandwidth is not None and self.downstream_bandwidth._has_data():
                        return True

                    if self.flooding_down_threshold is not None:
                        for child in self.flooding_down_threshold:
                            if child is not None:
                                return True

                    if self.flooding_down_thresholds_are_default is not None:
                        return True

                    if self.flooding_down_thresholds_are_global is not None:
                        return True

                    if self.flooding_up_threshold is not None:
                        for child in self.flooding_up_threshold:
                            if child is not None:
                                return True

                    if self.flooding_up_thresholds_are_default is not None:
                        return True

                    if self.flooding_up_thresholds_are_global is not None:
                        return True

                    if self.link_common is not None and self.link_common._has_data():
                        return True

                    if self.total_bandwidth_descriptors is not None:
                        return True

                    if self.upstream_bandwidth is not None and self.upstream_bandwidth._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:bandwidth-allocation/Cisco-IOS-XR-mpls-te-oper:bandwidth-allocation-links'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.bandwidth_allocation_link is not None:
                    for child_ref in self.bandwidth_allocation_link:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:bandwidth-allocation'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.bandwidth_allocation_links is not None and self.bandwidth_allocation_links._has_data():
                return True

            if self.global_ is not None and self.global_._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcac.BandwidthAllocation']['meta_info']


    class Gmpls(object):
        """
        GMPLS data
        
        .. attribute:: nni
        
        	GMPLS NNI data
        	**type**\:   :py:class:`Nni <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Gmpls.Nni>`
        
        .. attribute:: uni
        
        	GMPLS UNI data
        	**type**\:   :py:class:`Uni <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.Gmpls.Uni>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.nni = MplsLcac.Gmpls.Nni()
            self.nni.parent = self
            self.uni = MplsLcac.Gmpls.Uni()
            self.uni.parent = self


        class Nni(object):
            """
            GMPLS NNI data
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:gmpls/Cisco-IOS-XR-mpls-te-oper:nni'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcac.Gmpls.Nni']['meta_info']


        class Uni(object):
            """
            GMPLS UNI data
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:gmpls/Cisco-IOS-XR-mpls-te-oper:uni'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcac.Gmpls.Uni']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:gmpls'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.nni is not None and self.nni._has_data():
                return True

            if self.uni is not None and self.uni._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcac.Gmpls']['meta_info']


    class BfdNeighbors(object):
        """
        BFD Neighbors
        
        .. attribute:: bfd_neighbor
        
        	A BFD Neighbor
        	**type**\: list of    :py:class:`BfdNeighbor <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BfdNeighbors.BfdNeighbor>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.bfd_neighbor = YList()
            self.bfd_neighbor.parent = self
            self.bfd_neighbor.name = 'bfd_neighbor'


        class BfdNeighbor(object):
            """
            A BFD Neighbor
            
            .. attribute:: interface_name  <key>
            
            	Interface name
            	**type**\:  str
            
            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
            
            .. attribute:: neighbor
            
            	Neighbors of the specified link id
            	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BfdNeighbors.BfdNeighbor.Neighbor>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.interface_name = None
                self.neighbor = YList()
                self.neighbor.parent = self
                self.neighbor.name = 'neighbor'


            class Neighbor(object):
                """
                Neighbors of the specified link id
                
                .. attribute:: is_bfd_up
                
                	TRUE if the BFD session is Up on this link
                	**type**\:  bool
                
                .. attribute:: neighbor_address
                
                	The neighbor's IP address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.is_bfd_up = None
                    self.neighbor_address = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:neighbor'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.is_bfd_up is not None:
                        return True

                    if self.neighbor_address is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcac.BfdNeighbors.BfdNeighbor.Neighbor']['meta_info']

            @property
            def _common_path(self):
                if self.interface_name is None:
                    raise YPYModelError('Key property interface_name is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:bfd-neighbors/Cisco-IOS-XR-mpls-te-oper:bfd-neighbor[Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.interface_name is not None:
                    return True

                if self.neighbor is not None:
                    for child_ref in self.neighbor:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcac.BfdNeighbors.BfdNeighbor']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:bfd-neighbors'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.bfd_neighbor is not None:
                for child_ref in self.bfd_neighbor:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcac.BfdNeighbors']['meta_info']


    class BandwidthAccount(object):
        """
        The bandwidth accounting information in
        MPLS\-LCAC
        
        .. attribute:: bandwidth_account_links
        
        	The interface bandwidth accounting information table
        	**type**\:   :py:class:`BandwidthAccountLinks <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BandwidthAccount.BandwidthAccountLinks>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.bandwidth_account_links = MplsLcac.BandwidthAccount.BandwidthAccountLinks()
            self.bandwidth_account_links.parent = self


        class BandwidthAccountLinks(object):
            """
            The interface bandwidth accounting information
            table
            
            .. attribute:: bandwidth_account_link
            
            	An interface in bandwidth accounting table
            	**type**\: list of    :py:class:`BandwidthAccountLink <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.bandwidth_account_link = YList()
                self.bandwidth_account_link.parent = self
                self.bandwidth_account_link.name = 'bandwidth_account_link'


            class BandwidthAccountLink(object):
                """
                An interface in bandwidth accounting table
                
                .. attribute:: interface_name  <key>
                
                	Interface name
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: common_info
                
                	Information for bandwidth accounting telemetry
                	**type**\:   :py:class:`CommonInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo>`
                
                .. attribute:: link_id
                
                	The link's ID
                	**type**\:  str
                
                .. attribute:: sample_history
                
                	History of bandwidth accounting samples
                	**type**\:   :py:class:`SampleHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.interface_name = None
                    self.common_info = MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo()
                    self.common_info.parent = self
                    self.link_id = None
                    self.sample_history = MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory()
                    self.sample_history.parent = self


                class CommonInfo(object):
                    """
                    Information for bandwidth accounting telemetry
                    
                    .. attribute:: application_enabled
                    
                    	TRUE if application is enabled
                    	**type**\:  bool
                    
                    .. attribute:: application_time_remaining_nano_sec
                    
                    	This value indicates the number of nano\-seconds until the next application
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    .. attribute:: bandwidth_utilization
                    
                    	Bandwidth utilization information
                    	**type**\:   :py:class:`BandwidthUtilization <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo.BandwidthUtilization>`
                    
                    .. attribute:: collection_type
                    
                    	The type of traffic collected for bandwidth accounting
                    	**type**\:   :py:class:`BandwidthAccountingCollectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthAccountingCollectionEnum>`
                    
                    .. attribute:: effective_maximum_reservable_bandwidth
                    
                    	Maximum reservable bandwidth effective
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: last_application_timestamp_nano_sec
                    
                    	Timestamp for the last application in nano\-seconds
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    .. attribute:: last_sample_collection_timestamp_nano_sec
                    
                    	Timestamp for the last sample collection in nano\-seconds
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    .. attribute:: next_application_timestamp_nano_sec
                    
                    	Timestamp for the next application in nano\-seconds
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    .. attribute:: next_sample_collection_nano_sec
                    
                    	Timestamp for the next sample collection in nano\-seconds
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    .. attribute:: sample_time_remaining_timestamp_nano_sec
                    
                    	This value indicates the number of nano\-seconds until the next sampling
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.application_enabled = None
                        self.application_time_remaining_nano_sec = None
                        self.bandwidth_utilization = MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo.BandwidthUtilization()
                        self.bandwidth_utilization.parent = self
                        self.collection_type = None
                        self.effective_maximum_reservable_bandwidth = None
                        self.last_application_timestamp_nano_sec = None
                        self.last_sample_collection_timestamp_nano_sec = None
                        self.next_application_timestamp_nano_sec = None
                        self.next_sample_collection_nano_sec = None
                        self.sample_time_remaining_timestamp_nano_sec = None


                    class BandwidthUtilization(object):
                        """
                        Bandwidth utilization information
                        
                        .. attribute:: applied_non_rsvp_te_bandwidth_utilization
                        
                        	Applied Non\-RSVP\-TE bandwidth utilization measured in kilobits per second
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: non_rsvp_te_bandwidth_utilization
                        
                        	Non\-RSVP\-TE bandwidth utilization measured in kilobits per second
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: rsvp_te_bandwidth_utilization
                        
                        	RSVP\-TE bandwidth utilization measured in kilobits per second
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: total_link_bandwidth_utilization
                        
                        	Total bandwidth utilization measured in kilobits per second
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.applied_non_rsvp_te_bandwidth_utilization = None
                            self.non_rsvp_te_bandwidth_utilization = None
                            self.rsvp_te_bandwidth_utilization = None
                            self.total_link_bandwidth_utilization = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-utilization'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.applied_non_rsvp_te_bandwidth_utilization is not None:
                                return True

                            if self.non_rsvp_te_bandwidth_utilization is not None:
                                return True

                            if self.rsvp_te_bandwidth_utilization is not None:
                                return True

                            if self.total_link_bandwidth_utilization is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo.BandwidthUtilization']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:common-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.application_enabled is not None:
                            return True

                        if self.application_time_remaining_nano_sec is not None:
                            return True

                        if self.bandwidth_utilization is not None and self.bandwidth_utilization._has_data():
                            return True

                        if self.collection_type is not None:
                            return True

                        if self.effective_maximum_reservable_bandwidth is not None:
                            return True

                        if self.last_application_timestamp_nano_sec is not None:
                            return True

                        if self.last_sample_collection_timestamp_nano_sec is not None:
                            return True

                        if self.next_application_timestamp_nano_sec is not None:
                            return True

                        if self.next_sample_collection_nano_sec is not None:
                            return True

                        if self.sample_time_remaining_timestamp_nano_sec is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo']['meta_info']


                class SampleHistory(object):
                    """
                    History of bandwidth accounting samples
                    
                    .. attribute:: active_interval_sample
                    
                    	Samples in the current application interval
                    	**type**\: list of    :py:class:`ActiveIntervalSample <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.ActiveIntervalSample>`
                    
                    .. attribute:: previous_interval_sample
                    
                    	Samples in the previous application interval
                    	**type**\: list of    :py:class:`PreviousIntervalSample <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.PreviousIntervalSample>`
                    
                    .. attribute:: total_applications
                    
                    	Total number of applications
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_samples
                    
                    	Total number of samples collected
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.active_interval_sample = YList()
                        self.active_interval_sample.parent = self
                        self.active_interval_sample.name = 'active_interval_sample'
                        self.previous_interval_sample = YList()
                        self.previous_interval_sample.parent = self
                        self.previous_interval_sample.name = 'previous_interval_sample'
                        self.total_applications = None
                        self.total_samples = None


                    class ActiveIntervalSample(object):
                        """
                        Samples in the current application interval
                        
                        .. attribute:: non_rsvp_te_packet_rate
                        
                        	Non\-RSVP\-TE traffic rate measured in packets per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: packet/s
                        
                        .. attribute:: non_rsvp_te_rate
                        
                        	Non\-RSVP\-TE traffic rate measured in Kilobits per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: rsvp_te_packet_rate
                        
                        	RSVP\-TE traffic rate measured in packets per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: packet/s
                        
                        .. attribute:: rsvp_te_rate
                        
                        	RSVP\-TE traffic rate measured in Kilobits per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: timestamp_nano_sec
                        
                        	Timestamp in nano\-seconds of this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: total_packet_rate
                        
                        	Total traffic rate measured in packets per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: packet/s
                        
                        .. attribute:: total_rate
                        
                        	Total traffic rate measured in Kilobits per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.non_rsvp_te_packet_rate = None
                            self.non_rsvp_te_rate = None
                            self.rsvp_te_packet_rate = None
                            self.rsvp_te_rate = None
                            self.timestamp_nano_sec = None
                            self.total_packet_rate = None
                            self.total_rate = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-interval-sample'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.non_rsvp_te_packet_rate is not None:
                                return True

                            if self.non_rsvp_te_rate is not None:
                                return True

                            if self.rsvp_te_packet_rate is not None:
                                return True

                            if self.rsvp_te_rate is not None:
                                return True

                            if self.timestamp_nano_sec is not None:
                                return True

                            if self.total_packet_rate is not None:
                                return True

                            if self.total_rate is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.ActiveIntervalSample']['meta_info']


                    class PreviousIntervalSample(object):
                        """
                        Samples in the previous application interval
                        
                        .. attribute:: non_rsvp_te_packet_rate
                        
                        	Non\-RSVP\-TE traffic rate measured in packets per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: packet/s
                        
                        .. attribute:: non_rsvp_te_rate
                        
                        	Non\-RSVP\-TE traffic rate measured in Kilobits per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: rsvp_te_packet_rate
                        
                        	RSVP\-TE traffic rate measured in packets per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: packet/s
                        
                        .. attribute:: rsvp_te_rate
                        
                        	RSVP\-TE traffic rate measured in Kilobits per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: timestamp_nano_sec
                        
                        	Timestamp in nano\-seconds of this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: total_packet_rate
                        
                        	Total traffic rate measured in packets per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: packet/s
                        
                        .. attribute:: total_rate
                        
                        	Total traffic rate measured in Kilobits per second in this sample
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.non_rsvp_te_packet_rate = None
                            self.non_rsvp_te_rate = None
                            self.rsvp_te_packet_rate = None
                            self.rsvp_te_rate = None
                            self.timestamp_nano_sec = None
                            self.total_packet_rate = None
                            self.total_rate = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-interval-sample'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.non_rsvp_te_packet_rate is not None:
                                return True

                            if self.non_rsvp_te_rate is not None:
                                return True

                            if self.rsvp_te_packet_rate is not None:
                                return True

                            if self.rsvp_te_rate is not None:
                                return True

                            if self.timestamp_nano_sec is not None:
                                return True

                            if self.total_packet_rate is not None:
                                return True

                            if self.total_rate is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.PreviousIntervalSample']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:sample-history'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.active_interval_sample is not None:
                            for child_ref in self.active_interval_sample:
                                if child_ref._has_data():
                                    return True

                        if self.previous_interval_sample is not None:
                            for child_ref in self.previous_interval_sample:
                                if child_ref._has_data():
                                    return True

                        if self.total_applications is not None:
                            return True

                        if self.total_samples is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory']['meta_info']

                @property
                def _common_path(self):
                    if self.interface_name is None:
                        raise YPYModelError('Key property interface_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:bandwidth-account/Cisco-IOS-XR-mpls-te-oper:bandwidth-account-links/Cisco-IOS-XR-mpls-te-oper:bandwidth-account-link[Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.interface_name is not None:
                        return True

                    if self.common_info is not None and self.common_info._has_data():
                        return True

                    if self.link_id is not None:
                        return True

                    if self.sample_history is not None and self.sample_history._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:bandwidth-account/Cisco-IOS-XR-mpls-te-oper:bandwidth-account-links'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.bandwidth_account_link is not None:
                    for child_ref in self.bandwidth_account_link:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcac.BandwidthAccount.BandwidthAccountLinks']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:bandwidth-account'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.bandwidth_account_links is not None and self.bandwidth_account_links._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcac.BandwidthAccount']['meta_info']


    class LinkSummary(object):
        """
        The global summary for all the interfaces
        
        .. attribute:: areas_summary
        
        	Summary info for the areas
        	**type**\: list of    :py:class:`AreasSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.LinkSummary.AreasSummary>`
        
        .. attribute:: bandwidth_account_summary
        
        	Bandwidth account summary
        	**type**\:   :py:class:`BandwidthAccountSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.LinkSummary.BandwidthAccountSummary>`
        
        .. attribute:: is_flooding_enabled
        
        	TRUE if flooding is enabled
        	**type**\:  bool
        
        .. attribute:: is_role_standby
        
        	TRUE if Role is Standby, Active otherwise
        	**type**\:  bool
        
        .. attribute:: links
        
        	Total number of links
        	**type**\:  int
        
        	**range:** 0..65535
        
        .. attribute:: maximum_links
        
        	Maximum number of links supported
        	**type**\:  int
        
        	**range:** 0..65535
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.areas_summary = YList()
            self.areas_summary.parent = self
            self.areas_summary.name = 'areas_summary'
            self.bandwidth_account_summary = MplsLcac.LinkSummary.BandwidthAccountSummary()
            self.bandwidth_account_summary.parent = self
            self.is_flooding_enabled = None
            self.is_role_standby = None
            self.links = None
            self.maximum_links = None


        class BandwidthAccountSummary(object):
            """
            Bandwidth account summary
            
            .. attribute:: application_interval
            
            	Application interval for bandwidth accounting stats
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: application_time_remaining
            
            	This value indicates the number of seconds until the next application
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: is_bandwidth_account_enabled
            
            	TRUE if bandwidth accounting is enabled
            	**type**\:  bool
            
            .. attribute:: sample_interval
            
            	Sample interval for bandwidth accounting stats
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: sample_time_remaining
            
            	This value indicates the number of seconds until the next sample collection
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.application_interval = None
                self.application_time_remaining = None
                self.is_bandwidth_account_enabled = None
                self.sample_interval = None
                self.sample_time_remaining = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:link-summary/Cisco-IOS-XR-mpls-te-oper:bandwidth-account-summary'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.application_interval is not None:
                    return True

                if self.application_time_remaining is not None:
                    return True

                if self.is_bandwidth_account_enabled is not None:
                    return True

                if self.sample_interval is not None:
                    return True

                if self.sample_time_remaining is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcac.LinkSummary.BandwidthAccountSummary']['meta_info']


        class AreasSummary(object):
            """
            Summary info for the areas
            
            .. attribute:: area_id
            
            	Area id
            	**type**\:  str
            
            .. attribute:: igp_neighbors
            
            	Number of IGP neighbors
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: is_flooded
            
            	TRUE if flooding occurred in this area
            	**type**\:  bool
            
            .. attribute:: is_periodic_flooding_on
            
            	TRUE if periodic flooding is on
            	**type**\:  bool
            
            .. attribute:: links_flooded
            
            	Number of flooded links
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: local_node_router_id
            
            	Local router id
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: periodic_flooding_interval
            
            	Flooding period in seconds
            	**type**\:  int
            
            	**range:** 0..65535
            
            	**units**\: second
            
            .. attribute:: protocol
            
            	Protocol running over the area
            	**type**\:   :py:class:`IgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpProtocolEnum>`
            
            .. attribute:: system_id
            
            	IGP id of local node
            	**type**\:  str
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.area_id = None
                self.igp_neighbors = None
                self.is_flooded = None
                self.is_periodic_flooding_on = None
                self.links_flooded = None
                self.local_node_router_id = None
                self.periodic_flooding_interval = None
                self.protocol = None
                self.system_id = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:link-summary/Cisco-IOS-XR-mpls-te-oper:areas-summary'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.area_id is not None:
                    return True

                if self.igp_neighbors is not None:
                    return True

                if self.is_flooded is not None:
                    return True

                if self.is_periodic_flooding_on is not None:
                    return True

                if self.links_flooded is not None:
                    return True

                if self.local_node_router_id is not None:
                    return True

                if self.periodic_flooding_interval is not None:
                    return True

                if self.protocol is not None:
                    return True

                if self.system_id is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcac.LinkSummary.AreasSummary']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:link-summary'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.areas_summary is not None:
                for child_ref in self.areas_summary:
                    if child_ref._has_data():
                        return True

            if self.bandwidth_account_summary is not None and self.bandwidth_account_summary._has_data():
                return True

            if self.is_flooding_enabled is not None:
                return True

            if self.is_role_standby is not None:
                return True

            if self.links is not None:
                return True

            if self.maximum_links is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcac.LinkSummary']['meta_info']


    class LinkInformation(object):
        """
        The interface information in MPLS\-LCAC
        
        .. attribute:: global_
        
        	The global information for all the interfaces
        	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.LinkInformation.Global_>`
        
        .. attribute:: links
        
        	The table of interfaces in MPLS\-LCAC
        	**type**\:   :py:class:`Links <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.LinkInformation.Links>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.global_ = MplsLcac.LinkInformation.Global_()
            self.global_.parent = self
            self.links = MplsLcac.LinkInformation.Links()
            self.links.parent = self


        class Global_(object):
            """
            The global information for all the interfaces
            
            .. attribute:: is_role_standby
            
            	TRUE if Role is Standby, Active otherwise
            	**type**\:  bool
            
            .. attribute:: links
            
            	The number of links
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: maximum_links
            
            	Maximum number of links supported
            	**type**\:  int
            
            	**range:** 0..65535
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.is_role_standby = None
                self.links = None
                self.maximum_links = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:link-information/Cisco-IOS-XR-mpls-te-oper:global'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.is_role_standby is not None:
                    return True

                if self.links is not None:
                    return True

                if self.maximum_links is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcac.LinkInformation.Global_']['meta_info']


        class Links(object):
            """
            The table of interfaces in MPLS\-LCAC
            
            .. attribute:: link
            
            	An interface in MPLS\-LCAC
            	**type**\: list of    :py:class:`Link <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.LinkInformation.Links.Link>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.link = YList()
                self.link.parent = self
                self.link.name = 'link'


            class Link(object):
                """
                An interface in MPLS\-LCAC
                
                .. attribute:: interface_name  <key>
                
                	Interface name
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: affinity_map
                
                	Affinity map array
                	**type**\: list of    :py:class:`AffinityMap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.LinkInformation.Links.Link.AffinityMap>`
                
                .. attribute:: areas
                
                	Per\-area data
                	**type**\: list of    :py:class:`Areas <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.LinkInformation.Links.Link.Areas>`
                
                .. attribute:: bandwidth_account
                
                	Bandwidth Account info
                	**type**\:   :py:class:`BandwidthAccount <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.LinkInformation.Links.Link.BandwidthAccount>`
                
                .. attribute:: hw_oor
                
                	The link's NPU OOR info. This field is NULL for platforms that do not support HW\-OOR notifications
                	**type**\:   :py:class:`HwOor <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.LinkInformation.Links.Link.HwOor>`
                
                .. attribute:: is_attribute_incomplete
                
                	TRUE if one or more affinity definition(s) is/are unknown
                	**type**\:  bool
                
                .. attribute:: is_name_based_attribute
                
                	TRUE, if name based attribute style is in effect
                	**type**\:  bool
                
                .. attribute:: is_te_metric_valid
                
                	Flag to indicate whether the link's TE metric is a valid value
                	**type**\:  bool
                
                .. attribute:: link_attributes
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: link_common
                
                	The link's common info
                	**type**\:   :py:class:`LinkCommon <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.LinkInformation.Links.Link.LinkCommon>`
                
                .. attribute:: link_extended_attribute
                
                	The link's extended attribute bit map
                	**type**\:  list of int
                
                	**range:** 0..4294967295
                
                .. attribute:: link_forwad_ref_value
                
                	Reference bits for undefined affinity names
                	**type**\:  list of int
                
                	**range:** 0..4294967295
                
                .. attribute:: lockout
                
                	Flex LSP Lockout info
                	**type**\: list of    :py:class:`Lockout <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.LinkInformation.Links.Link.Lockout>`
                
                .. attribute:: maximum_reservation_bandwidth_mam
                
                	The link's maximum reservable BW in MAM
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: maximum_reservation_bandwidth_rdm
                
                	The link's maximum reservable BW in RDM
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: reason_not_flooded
                
                	Reason why link is not flooded (area\-independent)
                	**type**\:  str
                
                .. attribute:: reservable_pool0_bandwidth_mam
                
                	The link's reservable pool0 BW in MAM
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: reservable_pool0_bandwidth_rdm
                
                	The link's reservable pool0 BW in RDM
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: reservable_pool1_bandwidth_mam
                
                	The link's reservable pool1 BW in MAM
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: reservable_pool1_bandwidth_rdm
                
                	The link's reservable pool1 BW in RDM
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: te_metric
                
                	The link's TE metric
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.interface_name = None
                    self.affinity_map = YList()
                    self.affinity_map.parent = self
                    self.affinity_map.name = 'affinity_map'
                    self.areas = YList()
                    self.areas.parent = self
                    self.areas.name = 'areas'
                    self.bandwidth_account = MplsLcac.LinkInformation.Links.Link.BandwidthAccount()
                    self.bandwidth_account.parent = self
                    self.hw_oor = MplsLcac.LinkInformation.Links.Link.HwOor()
                    self.hw_oor.parent = self
                    self.is_attribute_incomplete = None
                    self.is_name_based_attribute = None
                    self.is_te_metric_valid = None
                    self.link_attributes = None
                    self.link_common = MplsLcac.LinkInformation.Links.Link.LinkCommon()
                    self.link_common.parent = self
                    self.link_extended_attribute = YLeafList()
                    self.link_extended_attribute.parent = self
                    self.link_extended_attribute.name = 'link_extended_attribute'
                    self.link_forwad_ref_value = YLeafList()
                    self.link_forwad_ref_value.parent = self
                    self.link_forwad_ref_value.name = 'link_forwad_ref_value'
                    self.lockout = YList()
                    self.lockout.parent = self
                    self.lockout.name = 'lockout'
                    self.maximum_reservation_bandwidth_mam = None
                    self.maximum_reservation_bandwidth_rdm = None
                    self.reason_not_flooded = None
                    self.reservable_pool0_bandwidth_mam = None
                    self.reservable_pool0_bandwidth_rdm = None
                    self.reservable_pool1_bandwidth_mam = None
                    self.reservable_pool1_bandwidth_rdm = None
                    self.te_metric = None


                class LinkCommon(object):
                    """
                    The link's common info
                    
                    .. attribute:: bandwidth_units
                    
                    	The bandwidth units
                    	**type**\:   :py:class:`BandwidthUnitEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthUnitEnumEnum>`
                    
                    .. attribute:: bcm_id
                    
                    	Bandwidth Constraints Model ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: capability
                    
                    	The link's protection capability
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: flooded_areas
                    
                    	List of areas into which the link is flooded
                    	**type**\: list of    :py:class:`FloodedAreas <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.LinkInformation.Links.Link.LinkCommon.FloodedAreas>`
                    
                    .. attribute:: has_protection
                    
                    	TRUE if the link is protected
                    	**type**\:  bool
                    
                    .. attribute:: igp_neighbors
                    
                    	The link's neighbor count
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: inbound_admission_method
                    
                    	Deprecated
                    	**type**\:   :py:class:`AdmissionPolicyEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AdmissionPolicyEnum>`
                    
                    .. attribute:: incoming_reservable_bandwidth_percentage
                    
                    	Incoming reserved BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: incoming_reservable_pool0_bandwidth_percentage
                    
                    	Incoming reserved pool0 BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: incoming_reservable_pool1_bandwidth_percentage
                    
                    	Incoming reserved pool1 BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: interface_switching_capability_descriptor
                    
                    	The link's switching capability descriptor
                    	**type**\: list of    :py:class:`InterfaceSwitchingCapabilityDescriptor <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.LinkInformation.Links.Link.LinkCommon.InterfaceSwitchingCapabilityDescriptor>`
                    
                    .. attribute:: is_resource_provider_installed
                    
                    	TRUE if the resource provider is installed
                    	**type**\:  bool
                    
                    .. attribute:: is_unnumbered
                    
                    	TRUE if the link is unnumbered
                    	**type**\:  bool
                    
                    .. attribute:: last_flooded_effective_maximum_reservable_bandwidth
                    
                    	Last flooded max reservable bandwidth effective
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: link_address
                    
                    	The link's ip address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: link_flags
                    
                    	The link's flags
                    	**type**\:   :py:class:`LinkFlags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.LinkInformation.Links.Link.LinkCommon.LinkFlags>`
                    
                    .. attribute:: link_id
                    
                    	The link's id
                    	**type**\:  str
                    
                    .. attribute:: maximum_reservable_bandwidth
                    
                    	The link's maximum reservable BW
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: maximum_reservable_pool0_bandwidth
                    
                    	The link's maximum reservable pool0 BW
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: maximum_reservable_pool1_bandwidth
                    
                    	The link's maximum reservable pool1 BW
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: outbound_admission_method
                    
                    	Deprecated
                    	**type**\:   :py:class:`AdmissionPolicyEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AdmissionPolicyEnum>`
                    
                    .. attribute:: outgoing_reservable_bandwidth_percentage
                    
                    	Outgoing reserved BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: outgoing_reservable_pool0_bandwidth_percentage
                    
                    	Outgoing reserved pool0 BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: outgoing_reservable_pool1_bandwidth_percentage
                    
                    	Outgoing reserved pool1 BW in %
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: physical_bandwidth
                    
                    	The link's physical bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: resource_provider
                    
                    	The link's resource provider
                    	**type**\:   :py:class:`ResourceProviderEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.ResourceProviderEnum>`
                    
                    .. attribute:: shared_risk_link_group
                    
                    	The link's shared risk link groups
                    	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.LinkInformation.Links.Link.LinkCommon.SharedRiskLinkGroup>`
                    
                    .. attribute:: working_priority
                    
                    	The link's working priority
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bandwidth_units = None
                        self.bcm_id = None
                        self.capability = None
                        self.flooded_areas = YList()
                        self.flooded_areas.parent = self
                        self.flooded_areas.name = 'flooded_areas'
                        self.has_protection = None
                        self.igp_neighbors = None
                        self.inbound_admission_method = None
                        self.incoming_reservable_bandwidth_percentage = None
                        self.incoming_reservable_pool0_bandwidth_percentage = None
                        self.incoming_reservable_pool1_bandwidth_percentage = None
                        self.interface_switching_capability_descriptor = YList()
                        self.interface_switching_capability_descriptor.parent = self
                        self.interface_switching_capability_descriptor.name = 'interface_switching_capability_descriptor'
                        self.is_resource_provider_installed = None
                        self.is_unnumbered = None
                        self.last_flooded_effective_maximum_reservable_bandwidth = None
                        self.link_address = None
                        self.link_flags = MplsLcac.LinkInformation.Links.Link.LinkCommon.LinkFlags()
                        self.link_flags.parent = self
                        self.link_id = None
                        self.maximum_reservable_bandwidth = None
                        self.maximum_reservable_pool0_bandwidth = None
                        self.maximum_reservable_pool1_bandwidth = None
                        self.outbound_admission_method = None
                        self.outgoing_reservable_bandwidth_percentage = None
                        self.outgoing_reservable_pool0_bandwidth_percentage = None
                        self.outgoing_reservable_pool1_bandwidth_percentage = None
                        self.physical_bandwidth = None
                        self.resource_provider = None
                        self.shared_risk_link_group = YList()
                        self.shared_risk_link_group.parent = self
                        self.shared_risk_link_group.name = 'shared_risk_link_group'
                        self.working_priority = None


                    class LinkFlags(object):
                        """
                        The link's flags
                        
                        .. attribute:: is_admin_up
                        
                        	TRUE if the link is admin up
                        	**type**\:  bool
                        
                        .. attribute:: is_mpls_te_on
                        
                        	Deprecated \- TRUE if the link is a TE\-Link
                        	**type**\:  bool
                        
                        .. attribute:: signaling_agent
                        
                        	Deprecated \- Signaling agent
                        	**type**\:   :py:class:`SignalingAgentEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.SignalingAgentEnumEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.is_admin_up = None
                            self.is_mpls_te_on = None
                            self.signaling_agent = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:link-flags'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.is_admin_up is not None:
                                return True

                            if self.is_mpls_te_on is not None:
                                return True

                            if self.signaling_agent is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcac.LinkInformation.Links.Link.LinkCommon.LinkFlags']['meta_info']


                    class SharedRiskLinkGroup(object):
                        """
                        The link's shared risk link groups
                        
                        .. attribute:: shared_risk_group
                        
                        	SRLG number
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: srlg_name
                        
                        	SRLG name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.shared_risk_group = None
                            self.srlg_name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.shared_risk_group is not None:
                                return True

                            if self.srlg_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcac.LinkInformation.Links.Link.LinkCommon.SharedRiskLinkGroup']['meta_info']


                    class InterfaceSwitchingCapabilityDescriptor(object):
                        """
                        The link's switching capability descriptor
                        
                        .. attribute:: encoding
                        
                        	The link encoding type
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: key
                        
                        	The switching capability descriptor key
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: switching_capability
                        
                        	The switching capability
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.encoding = None
                            self.key = None
                            self.switching_capability = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:interface-switching-capability-descriptor'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.encoding is not None:
                                return True

                            if self.key is not None:
                                return True

                            if self.switching_capability is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcac.LinkInformation.Links.Link.LinkCommon.InterfaceSwitchingCapabilityDescriptor']['meta_info']


                    class FloodedAreas(object):
                        """
                        List of areas into which the link is flooded
                        
                        .. attribute:: flooded_area
                        
                        	The flooded area information
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.flooded_area = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flooded-areas'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.flooded_area is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcac.LinkInformation.Links.Link.LinkCommon.FloodedAreas']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:link-common'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bandwidth_units is not None:
                            return True

                        if self.bcm_id is not None:
                            return True

                        if self.capability is not None:
                            return True

                        if self.flooded_areas is not None:
                            for child_ref in self.flooded_areas:
                                if child_ref._has_data():
                                    return True

                        if self.has_protection is not None:
                            return True

                        if self.igp_neighbors is not None:
                            return True

                        if self.inbound_admission_method is not None:
                            return True

                        if self.incoming_reservable_bandwidth_percentage is not None:
                            return True

                        if self.incoming_reservable_pool0_bandwidth_percentage is not None:
                            return True

                        if self.incoming_reservable_pool1_bandwidth_percentage is not None:
                            return True

                        if self.interface_switching_capability_descriptor is not None:
                            for child_ref in self.interface_switching_capability_descriptor:
                                if child_ref._has_data():
                                    return True

                        if self.is_resource_provider_installed is not None:
                            return True

                        if self.is_unnumbered is not None:
                            return True

                        if self.last_flooded_effective_maximum_reservable_bandwidth is not None:
                            return True

                        if self.link_address is not None:
                            return True

                        if self.link_flags is not None and self.link_flags._has_data():
                            return True

                        if self.link_id is not None:
                            return True

                        if self.maximum_reservable_bandwidth is not None:
                            return True

                        if self.maximum_reservable_pool0_bandwidth is not None:
                            return True

                        if self.maximum_reservable_pool1_bandwidth is not None:
                            return True

                        if self.outbound_admission_method is not None:
                            return True

                        if self.outgoing_reservable_bandwidth_percentage is not None:
                            return True

                        if self.outgoing_reservable_pool0_bandwidth_percentage is not None:
                            return True

                        if self.outgoing_reservable_pool1_bandwidth_percentage is not None:
                            return True

                        if self.physical_bandwidth is not None:
                            return True

                        if self.resource_provider is not None:
                            return True

                        if self.shared_risk_link_group is not None:
                            for child_ref in self.shared_risk_link_group:
                                if child_ref._has_data():
                                    return True

                        if self.working_priority is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcac.LinkInformation.Links.Link.LinkCommon']['meta_info']


                class BandwidthAccount(object):
                    """
                    Bandwidth Account info
                    
                    .. attribute:: bandwidth_account_common_info
                    
                    	Common info for bandwidth accounting
                    	**type**\:   :py:class:`BandwidthAccountCommonInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo>`
                    
                    .. attribute:: bandwidth_sample_history
                    
                    	Bandwidth samples history
                    	**type**\:   :py:class:`BandwidthSampleHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bandwidth_account_common_info = MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo()
                        self.bandwidth_account_common_info.parent = self
                        self.bandwidth_sample_history = MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory()
                        self.bandwidth_sample_history.parent = self


                    class BandwidthAccountCommonInfo(object):
                        """
                        Common info for bandwidth accounting
                        
                        .. attribute:: adjustment_factor
                        
                        	This value indicates the adjustment factor applied to measured non RSVP\-TE bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: application_enabled
                        
                        	TRUE if bandwidth accounting application is enabled
                        	**type**\:  bool
                        
                        .. attribute:: application_interval
                        
                        	Application interval in seconds for bandwidth accounting stats
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: application_time_remaining
                        
                        	This value indicates the number of seconds until the next application
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: bandwidth_utilization
                        
                        	Bandwidth utilization information
                        	**type**\:   :py:class:`BandwidthUtilization <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo.BandwidthUtilization>`
                        
                        .. attribute:: collection_type
                        
                        	The type of traffic collected for bandwidth accounting
                        	**type**\:   :py:class:`BandwidthAccountingCollectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthAccountingCollectionEnum>`
                        
                        .. attribute:: down_threshold_max_reservable_bandwidth
                        
                        	The down threshold for flooding the maximum reservable bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: is_bandwidth_account_enabled
                        
                        	TRUE if bandwidth accounting is enabled
                        	**type**\:  bool
                        
                        .. attribute:: last_application_timestamp
                        
                        	Timestamp for the last application
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: last_sample_collection_timestamp
                        
                        	Timestamp for the last sample collection
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: max_reservable_bandwidth_threshold_are_default
                        
                        	TRUE if the maximum reservable bandwidth flooding thresholds are default
                        	**type**\:  bool
                        
                        .. attribute:: next_application
                        
                        	Timestamp for the next application
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: next_sample_collection
                        
                        	Timestamp for the next sample collection
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: sample_interval
                        
                        	Sampling interval in seconds for bandwidth accounting stats
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: sample_time_remaining
                        
                        	This value indicates the number of seconds until the next sampling
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: up_threshold_max_reservable_bandwidth
                        
                        	The up threshold for flooding the maximum reservable bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.adjustment_factor = None
                            self.application_enabled = None
                            self.application_interval = None
                            self.application_time_remaining = None
                            self.bandwidth_utilization = MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo.BandwidthUtilization()
                            self.bandwidth_utilization.parent = self
                            self.collection_type = None
                            self.down_threshold_max_reservable_bandwidth = None
                            self.is_bandwidth_account_enabled = None
                            self.last_application_timestamp = None
                            self.last_sample_collection_timestamp = None
                            self.max_reservable_bandwidth_threshold_are_default = None
                            self.next_application = None
                            self.next_sample_collection = None
                            self.sample_interval = None
                            self.sample_time_remaining = None
                            self.up_threshold_max_reservable_bandwidth = None


                        class BandwidthUtilization(object):
                            """
                            Bandwidth utilization information
                            
                            .. attribute:: applied_non_rsvp_te_bandwidth_utilization
                            
                            	Applied Non\-RSVP\-TE bandwidth utilization measured in kilobits per second
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: non_rsvp_te_bandwidth_utilization
                            
                            	Non\-RSVP\-TE bandwidth utilization measured in kilobits per second
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: rsvp_te_bandwidth_utilization
                            
                            	RSVP\-TE bandwidth utilization measured in kilobits per second
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: total_link_bandwidth_utilization
                            
                            	Total bandwidth utilization measured in kilobits per second
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.applied_non_rsvp_te_bandwidth_utilization = None
                                self.non_rsvp_te_bandwidth_utilization = None
                                self.rsvp_te_bandwidth_utilization = None
                                self.total_link_bandwidth_utilization = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-utilization'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.applied_non_rsvp_te_bandwidth_utilization is not None:
                                    return True

                                if self.non_rsvp_te_bandwidth_utilization is not None:
                                    return True

                                if self.rsvp_te_bandwidth_utilization is not None:
                                    return True

                                if self.total_link_bandwidth_utilization is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo.BandwidthUtilization']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-account-common-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.adjustment_factor is not None:
                                return True

                            if self.application_enabled is not None:
                                return True

                            if self.application_interval is not None:
                                return True

                            if self.application_time_remaining is not None:
                                return True

                            if self.bandwidth_utilization is not None and self.bandwidth_utilization._has_data():
                                return True

                            if self.collection_type is not None:
                                return True

                            if self.down_threshold_max_reservable_bandwidth is not None:
                                return True

                            if self.is_bandwidth_account_enabled is not None:
                                return True

                            if self.last_application_timestamp is not None:
                                return True

                            if self.last_sample_collection_timestamp is not None:
                                return True

                            if self.max_reservable_bandwidth_threshold_are_default is not None:
                                return True

                            if self.next_application is not None:
                                return True

                            if self.next_sample_collection is not None:
                                return True

                            if self.sample_interval is not None:
                                return True

                            if self.sample_time_remaining is not None:
                                return True

                            if self.up_threshold_max_reservable_bandwidth is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo']['meta_info']


                    class BandwidthSampleHistory(object):
                        """
                        Bandwidth samples history
                        
                        .. attribute:: active_interval_sample
                        
                        	Samples in the current application interval
                        	**type**\: list of    :py:class:`ActiveIntervalSample <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.ActiveIntervalSample>`
                        
                        .. attribute:: previous_interval_sample
                        
                        	Samples in the previous application interval
                        	**type**\: list of    :py:class:`PreviousIntervalSample <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.PreviousIntervalSample>`
                        
                        .. attribute:: total_applications
                        
                        	Total number of applications
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: total_samples
                        
                        	Total number of samples collected
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.active_interval_sample = YList()
                            self.active_interval_sample.parent = self
                            self.active_interval_sample.name = 'active_interval_sample'
                            self.previous_interval_sample = YList()
                            self.previous_interval_sample.parent = self
                            self.previous_interval_sample.name = 'previous_interval_sample'
                            self.total_applications = None
                            self.total_samples = None


                        class ActiveIntervalSample(object):
                            """
                            Samples in the current application interval
                            
                            .. attribute:: non_rsvp_te_rate
                            
                            	Non\-RSVP\-TE traffic rate measured in Kilobits per second in this sample
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: rsvp_te_rate
                            
                            	RSVP\-TE traffic rate measured in Kilobits per second in this sample
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: timestamp
                            
                            	Timestamp in seconds of this sample
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: total_rate
                            
                            	Total traffic rate measured in Kilobits per second in this sample
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.non_rsvp_te_rate = None
                                self.rsvp_te_rate = None
                                self.timestamp = None
                                self.total_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-interval-sample'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.non_rsvp_te_rate is not None:
                                    return True

                                if self.rsvp_te_rate is not None:
                                    return True

                                if self.timestamp is not None:
                                    return True

                                if self.total_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.ActiveIntervalSample']['meta_info']


                        class PreviousIntervalSample(object):
                            """
                            Samples in the previous application interval
                            
                            .. attribute:: non_rsvp_te_rate
                            
                            	Non\-RSVP\-TE traffic rate measured in Kilobits per second in this sample
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: rsvp_te_rate
                            
                            	RSVP\-TE traffic rate measured in Kilobits per second in this sample
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: timestamp
                            
                            	Timestamp in seconds of this sample
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: total_rate
                            
                            	Total traffic rate measured in Kilobits per second in this sample
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.non_rsvp_te_rate = None
                                self.rsvp_te_rate = None
                                self.timestamp = None
                                self.total_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-interval-sample'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.non_rsvp_te_rate is not None:
                                    return True

                                if self.rsvp_te_rate is not None:
                                    return True

                                if self.timestamp is not None:
                                    return True

                                if self.total_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.PreviousIntervalSample']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-sample-history'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.active_interval_sample is not None:
                                for child_ref in self.active_interval_sample:
                                    if child_ref._has_data():
                                        return True

                            if self.previous_interval_sample is not None:
                                for child_ref in self.previous_interval_sample:
                                    if child_ref._has_data():
                                        return True

                            if self.total_applications is not None:
                                return True

                            if self.total_samples is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-account'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bandwidth_account_common_info is not None and self.bandwidth_account_common_info._has_data():
                            return True

                        if self.bandwidth_sample_history is not None and self.bandwidth_sample_history._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcac.LinkInformation.Links.Link.BandwidthAccount']['meta_info']


                class HwOor(object):
                    """
                    The link's NPU OOR info. This field is NULL for
                    platforms that do not support HW\-OOR
                    notifications
                    
                    .. attribute:: hw_o_or_green_recovery_time
                    
                    	Time Remaining in Green Recovery State (seconds)
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: hw_o_or_link_statistic
                    
                    	HW OOR statistics for the link
                    	**type**\: list of    :py:class:`HwOOrLinkStatistic <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.LinkInformation.Links.Link.HwOor.HwOOrLinkStatistic>`
                    
                    .. attribute:: hw_oor_state
                    
                    	The NPU (Network Processor Unit) HW resource state
                    	**type**\:   :py:class:`HwOorStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.HwOorStateEnum>`
                    
                    .. attribute:: hw_oor_timestamp
                    
                    	Timestamp when the OOR state last changed
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.hw_o_or_green_recovery_time = None
                        self.hw_o_or_link_statistic = YList()
                        self.hw_o_or_link_statistic.parent = self
                        self.hw_o_or_link_statistic.name = 'hw_o_or_link_statistic'
                        self.hw_oor_state = None
                        self.hw_oor_timestamp = None


                    class HwOOrLinkStatistic(object):
                        """
                        HW OOR statistics for the link
                        
                        .. attribute:: accepted_ls_ps_number
                        
                        	Number of LSPs that were accepted in this state
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: accepted_reopt_ls_ps_number
                        
                        	Number of Reoptimize LSPs that were accepted in this state
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: hw_oor_state
                        
                        	The HW\-OOR state that these statistics belong to
                        	**type**\:   :py:class:`HwOorStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.HwOorStateEnum>`
                        
                        .. attribute:: node_protection_disable_number
                        
                        	Number of times this OOR state disabled node protection assignment
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rejected_ls_ps_number
                        
                        	Number of LSPs that were rejected in this state
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rejected_reopt_ls_ps_number
                        
                        	Number of Reoptimize LSPs that were rejected in this state
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: transitions
                        
                        	Number of transitions to this state
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.accepted_ls_ps_number = None
                            self.accepted_reopt_ls_ps_number = None
                            self.hw_oor_state = None
                            self.node_protection_disable_number = None
                            self.rejected_ls_ps_number = None
                            self.rejected_reopt_ls_ps_number = None
                            self.transitions = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:hw-o-or-link-statistic'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.accepted_ls_ps_number is not None:
                                return True

                            if self.accepted_reopt_ls_ps_number is not None:
                                return True

                            if self.hw_oor_state is not None:
                                return True

                            if self.node_protection_disable_number is not None:
                                return True

                            if self.rejected_ls_ps_number is not None:
                                return True

                            if self.rejected_reopt_ls_ps_number is not None:
                                return True

                            if self.transitions is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsLcac.LinkInformation.Links.Link.HwOor.HwOOrLinkStatistic']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:hw-oor'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.hw_o_or_green_recovery_time is not None:
                            return True

                        if self.hw_o_or_link_statistic is not None:
                            for child_ref in self.hw_o_or_link_statistic:
                                if child_ref._has_data():
                                    return True

                        if self.hw_oor_state is not None:
                            return True

                        if self.hw_oor_timestamp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcac.LinkInformation.Links.Link.HwOor']['meta_info']


                class AffinityMap(object):
                    """
                    Affinity map array
                    
                    .. attribute:: affinity_bit_position
                    
                    	Affinity bit position
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: affinity_extended_value
                    
                    	EAG value
                    	**type**\:  list of int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: affinity_name
                    
                    	Affinity name
                    	**type**\:  str
                    
                    .. attribute:: affinity_table_id
                    
                    	Affinity table id
                    	**type**\:   :py:class:`TeAffinityTableEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAffinityTableEnum>`
                    
                    .. attribute:: affinity_value
                    
                    	Affinity value
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.affinity_bit_position = None
                        self.affinity_extended_value = YLeafList()
                        self.affinity_extended_value.parent = self
                        self.affinity_extended_value.name = 'affinity_extended_value'
                        self.affinity_name = None
                        self.affinity_table_id = None
                        self.affinity_value = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity-map'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.affinity_bit_position is not None:
                            return True

                        if self.affinity_extended_value is not None:
                            for child in self.affinity_extended_value:
                                if child is not None:
                                    return True

                        if self.affinity_name is not None:
                            return True

                        if self.affinity_table_id is not None:
                            return True

                        if self.affinity_value is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcac.LinkInformation.Links.Link.AffinityMap']['meta_info']


                class Areas(object):
                    """
                    Per\-area data
                    
                    .. attribute:: area_id
                    
                    	Area id
                    	**type**\:  str
                    
                    .. attribute:: igp_metric
                    
                    	The link's IGP metric
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_neighbor_up
                    
                    	TRUE if the neighbor is up
                    	**type**\:  bool
                    
                    .. attribute:: neighbor_address
                    
                    	The interface's neighbor's ip address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: neighbor_id
                    
                    	The interface neighbor id
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.area_id = None
                        self.igp_metric = None
                        self.is_neighbor_up = None
                        self.neighbor_address = None
                        self.neighbor_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:areas'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.area_id is not None:
                            return True

                        if self.igp_metric is not None:
                            return True

                        if self.is_neighbor_up is not None:
                            return True

                        if self.neighbor_address is not None:
                            return True

                        if self.neighbor_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcac.LinkInformation.Links.Link.Areas']['meta_info']


                class Lockout(object):
                    """
                    Flex LSP Lockout info
                    
                    .. attribute:: is_lockout
                    
                    	True if link is locked out
                    	**type**\:  bool
                    
                    .. attribute:: lockout_off_timestamp
                    
                    	Timestamp when the lockout is cleared
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lockout_on_timestamp
                    
                    	Timestamp when the lockout is set
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.is_lockout = None
                        self.lockout_off_timestamp = None
                        self.lockout_on_timestamp = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lockout'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.is_lockout is not None:
                            return True

                        if self.lockout_off_timestamp is not None:
                            return True

                        if self.lockout_on_timestamp is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsLcac.LinkInformation.Links.Link.Lockout']['meta_info']

                @property
                def _common_path(self):
                    if self.interface_name is None:
                        raise YPYModelError('Key property interface_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:link-information/Cisco-IOS-XR-mpls-te-oper:links/Cisco-IOS-XR-mpls-te-oper:link[Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.interface_name is not None:
                        return True

                    if self.affinity_map is not None:
                        for child_ref in self.affinity_map:
                            if child_ref._has_data():
                                return True

                    if self.areas is not None:
                        for child_ref in self.areas:
                            if child_ref._has_data():
                                return True

                    if self.bandwidth_account is not None and self.bandwidth_account._has_data():
                        return True

                    if self.hw_oor is not None and self.hw_oor._has_data():
                        return True

                    if self.is_attribute_incomplete is not None:
                        return True

                    if self.is_name_based_attribute is not None:
                        return True

                    if self.is_te_metric_valid is not None:
                        return True

                    if self.link_attributes is not None:
                        return True

                    if self.link_common is not None and self.link_common._has_data():
                        return True

                    if self.link_extended_attribute is not None:
                        for child in self.link_extended_attribute:
                            if child is not None:
                                return True

                    if self.link_forwad_ref_value is not None:
                        for child in self.link_forwad_ref_value:
                            if child is not None:
                                return True

                    if self.lockout is not None:
                        for child_ref in self.lockout:
                            if child_ref._has_data():
                                return True

                    if self.maximum_reservation_bandwidth_mam is not None:
                        return True

                    if self.maximum_reservation_bandwidth_rdm is not None:
                        return True

                    if self.reason_not_flooded is not None:
                        return True

                    if self.reservable_pool0_bandwidth_mam is not None:
                        return True

                    if self.reservable_pool0_bandwidth_rdm is not None:
                        return True

                    if self.reservable_pool1_bandwidth_mam is not None:
                        return True

                    if self.reservable_pool1_bandwidth_rdm is not None:
                        return True

                    if self.te_metric is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcac.LinkInformation.Links.Link']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:link-information/Cisco-IOS-XR-mpls-te-oper:links'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.link is not None:
                    for child_ref in self.link:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcac.LinkInformation.Links']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:link-information'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.global_ is not None and self.global_._has_data():
                return True

            if self.links is not None and self.links._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcac.LinkInformation']['meta_info']


    class AdmissionControl(object):
        """
        The admission control information in MPLS\-LCAC
        
        .. attribute:: admitted_tunnels
        
        	The table of admitted tunnels information in MPLS\-LCAC
        	**type**\:   :py:class:`AdmittedTunnels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.AdmissionControl.AdmittedTunnels>`
        
        .. attribute:: global_
        
        	The global admission control information
        	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.AdmissionControl.Global_>`
        
        .. attribute:: link_interfaces
        
        	The global admission control information on Interfaces
        	**type**\:   :py:class:`LinkInterfaces <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.AdmissionControl.LinkInterfaces>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.admitted_tunnels = MplsLcac.AdmissionControl.AdmittedTunnels()
            self.admitted_tunnels.parent = self
            self.global_ = MplsLcac.AdmissionControl.Global_()
            self.global_.parent = self
            self.link_interfaces = MplsLcac.AdmissionControl.LinkInterfaces()
            self.link_interfaces.parent = self


        class Global_(object):
            """
            The global admission control information
            
            .. attribute:: bandwidth_units
            
            	Bandwidth units
            	**type**\:   :py:class:`BandwidthUnitEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthUnitEnumEnum>`
            
            .. attribute:: is_role_standby
            
            	TRUE if Role is Standby, Active otherwise
            	**type**\:  bool
            
            .. attribute:: selected_tunnels
            
            	Number of tunnels selected
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: total_p2mp_tunnels
            
            	Total p2mp tunnels admitted
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: total_tunnels
            
            	Total p2p tunnels admitted
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.bandwidth_units = None
                self.is_role_standby = None
                self.selected_tunnels = None
                self.total_p2mp_tunnels = None
                self.total_tunnels = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:admission-control/Cisco-IOS-XR-mpls-te-oper:global'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.bandwidth_units is not None:
                    return True

                if self.is_role_standby is not None:
                    return True

                if self.selected_tunnels is not None:
                    return True

                if self.total_p2mp_tunnels is not None:
                    return True

                if self.total_tunnels is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcac.AdmissionControl.Global_']['meta_info']


        class AdmittedTunnels(object):
            """
            The table of admitted tunnels information in
            MPLS\-LCAC
            
            .. attribute:: admitted_tunnel
            
            	The information for a specific admitted tunnel
            	**type**\: list of    :py:class:`AdmittedTunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.AdmissionControl.AdmittedTunnels.AdmittedTunnel>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.admitted_tunnel = YList()
                self.admitted_tunnel.parent = self
                self.admitted_tunnel.name = 'admitted_tunnel'


            class AdmittedTunnel(object):
                """
                The information for a specific admitted tunnel
                
                .. attribute:: ctype  <key>
                
                	C type
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: destination_address  <key>
                
                	The destination IP address of the tunnel
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: destination_port  <key>
                
                	The tunnel number at the head
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: extended_tunnel_id  <key>
                
                	Extended tunnel id
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: next_hop_address  <key>
                
                	The Next hop IP
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: p2mp_id  <key>
                
                	P2MP id
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: source_address  <key>
                
                	The source IP address of the tunnel
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: source_port  <key>
                
                	The signaling instance number of the tunnel
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: backup_interface
                
                	The backup Interface
                	**type**\:  str
                
                .. attribute:: bandwidth
                
                	The bandwidth used by this tunnel
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: bandwidth_pool
                
                	The bandwidth pool
                	**type**\:   :py:class:`BandwidthTypeEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthTypeEnumEnum>`
                
                .. attribute:: bandwidth_state
                
                	The bandwidth state
                	**type**\:   :py:class:`BandwidthStateEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthStateEnumEnum>`
                
                .. attribute:: down_link_name
                
                	The downlink's name for this tunnel
                	**type**\:  str
                
                .. attribute:: hold_priority
                
                	The tunnel's hold priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: is_rerouted
                
                	TRUE if the tunnel is currently rerouted
                	**type**\:  bool
                
                .. attribute:: local_label
                
                	The local label
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: outgoing_label
                
                	The outgoing label
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: setup_priority
                
                	The tunnel's setup priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: tunnel_name
                
                	The admitted tunnel's name
                	**type**\:  str
                
                .. attribute:: tunnel_state
                
                	The tunnel's state
                	**type**\:   :py:class:`TunnelStateEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelStateEnumEnum>`
                
                .. attribute:: up_link_name
                
                	The uplink's name for this tunnel
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ctype = None
                    self.destination_address = None
                    self.destination_port = None
                    self.extended_tunnel_id = None
                    self.next_hop_address = None
                    self.p2mp_id = None
                    self.source_address = None
                    self.source_port = None
                    self.backup_interface = None
                    self.bandwidth = None
                    self.bandwidth_pool = None
                    self.bandwidth_state = None
                    self.down_link_name = None
                    self.hold_priority = None
                    self.is_rerouted = None
                    self.local_label = None
                    self.outgoing_label = None
                    self.setup_priority = None
                    self.tunnel_name = None
                    self.tunnel_state = None
                    self.up_link_name = None

                @property
                def _common_path(self):
                    if self.ctype is None:
                        raise YPYModelError('Key property ctype is None')
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.destination_port is None:
                        raise YPYModelError('Key property destination_port is None')
                    if self.extended_tunnel_id is None:
                        raise YPYModelError('Key property extended_tunnel_id is None')
                    if self.next_hop_address is None:
                        raise YPYModelError('Key property next_hop_address is None')
                    if self.p2mp_id is None:
                        raise YPYModelError('Key property p2mp_id is None')
                    if self.source_address is None:
                        raise YPYModelError('Key property source_address is None')
                    if self.source_port is None:
                        raise YPYModelError('Key property source_port is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:admission-control/Cisco-IOS-XR-mpls-te-oper:admitted-tunnels/Cisco-IOS-XR-mpls-te-oper:admitted-tunnel[Cisco-IOS-XR-mpls-te-oper:ctype = ' + str(self.ctype) + '][Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:destination-port = ' + str(self.destination_port) + '][Cisco-IOS-XR-mpls-te-oper:extended-tunnel-id = ' + str(self.extended_tunnel_id) + '][Cisco-IOS-XR-mpls-te-oper:next-hop-address = ' + str(self.next_hop_address) + '][Cisco-IOS-XR-mpls-te-oper:p2mp-id = ' + str(self.p2mp_id) + '][Cisco-IOS-XR-mpls-te-oper:source-address = ' + str(self.source_address) + '][Cisco-IOS-XR-mpls-te-oper:source-port = ' + str(self.source_port) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ctype is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.destination_port is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.next_hop_address is not None:
                        return True

                    if self.p2mp_id is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.source_port is not None:
                        return True

                    if self.backup_interface is not None:
                        return True

                    if self.bandwidth is not None:
                        return True

                    if self.bandwidth_pool is not None:
                        return True

                    if self.bandwidth_state is not None:
                        return True

                    if self.down_link_name is not None:
                        return True

                    if self.hold_priority is not None:
                        return True

                    if self.is_rerouted is not None:
                        return True

                    if self.local_label is not None:
                        return True

                    if self.outgoing_label is not None:
                        return True

                    if self.setup_priority is not None:
                        return True

                    if self.tunnel_name is not None:
                        return True

                    if self.tunnel_state is not None:
                        return True

                    if self.up_link_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcac.AdmissionControl.AdmittedTunnels.AdmittedTunnel']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:admission-control/Cisco-IOS-XR-mpls-te-oper:admitted-tunnels'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.admitted_tunnel is not None:
                    for child_ref in self.admitted_tunnel:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcac.AdmissionControl.AdmittedTunnels']['meta_info']


        class LinkInterfaces(object):
            """
            The global admission control information on
            Interfaces
            
            .. attribute:: link_interface
            
            	The global admission control information on an interface
            	**type**\: list of    :py:class:`LinkInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.AdmissionControl.LinkInterfaces.LinkInterface>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.link_interface = YList()
                self.link_interface.parent = self
                self.link_interface.name = 'link_interface'


            class LinkInterface(object):
                """
                The global admission control information on an
                interface
                
                .. attribute:: interface_name  <key>
                
                	Interface name
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: bandwidth_units
                
                	Bandwidth units
                	**type**\:   :py:class:`BandwidthUnitEnumEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.BandwidthUnitEnumEnum>`
                
                .. attribute:: is_role_standby
                
                	TRUE if Role is Standby, Active otherwise
                	**type**\:  bool
                
                .. attribute:: selected_tunnels
                
                	Number of tunnels selected
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: total_p2mp_tunnels
                
                	Total p2mp tunnels admitted
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: total_tunnels
                
                	Total p2p tunnels admitted
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.interface_name = None
                    self.bandwidth_units = None
                    self.is_role_standby = None
                    self.selected_tunnels = None
                    self.total_p2mp_tunnels = None
                    self.total_tunnels = None

                @property
                def _common_path(self):
                    if self.interface_name is None:
                        raise YPYModelError('Key property interface_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:admission-control/Cisco-IOS-XR-mpls-te-oper:link-interfaces/Cisco-IOS-XR-mpls-te-oper:link-interface[Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.interface_name is not None:
                        return True

                    if self.bandwidth_units is not None:
                        return True

                    if self.is_role_standby is not None:
                        return True

                    if self.selected_tunnels is not None:
                        return True

                    if self.total_p2mp_tunnels is not None:
                        return True

                    if self.total_tunnels is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcac.AdmissionControl.LinkInterfaces.LinkInterface']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:admission-control/Cisco-IOS-XR-mpls-te-oper:link-interfaces'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.link_interface is not None:
                    for child_ref in self.link_interface:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcac.AdmissionControl.LinkInterfaces']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:admission-control'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.admitted_tunnels is not None and self.admitted_tunnels._has_data():
                return True

            if self.global_ is not None and self.global_._has_data():
                return True

            if self.link_interfaces is not None and self.link_interfaces._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcac.AdmissionControl']['meta_info']


    class SoftPreemptionGlobalInfo(object):
        """
        The global soft\-preemption information
        
        .. attribute:: is_configured
        
        	Is global soft\-preemption configured
        	**type**\:  bool
        
        .. attribute:: is_timeout_interval_configured
        
        	Is global soft\-preemption timeout interval configured
        	**type**\:  bool
        
        .. attribute:: timeout_interval
        
        	Global soft\-preemption timeout interval
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.is_configured = None
            self.is_timeout_interval_configured = None
            self.timeout_interval = None

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:soft-preemption-global-info'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.is_configured is not None:
                return True

            if self.is_timeout_interval_configured is not None:
                return True

            if self.timeout_interval is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcac.SoftPreemptionGlobalInfo']['meta_info']


    class SoftPreemptions(object):
        """
        The soft preemption information for the TE\-links
        
        .. attribute:: soft_preemption
        
        	The soft preemption info for a TE\-link
        	**type**\: list of    :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.SoftPreemptions.SoftPreemption>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.soft_preemption = YList()
            self.soft_preemption.parent = self
            self.soft_preemption.name = 'soft_preemption'


        class SoftPreemption(object):
            """
            The soft preemption info for a TE\-link
            
            .. attribute:: interface_name  <key>
            
            	Interface name
            	**type**\:  str
            
            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
            
            .. attribute:: current_over_subscribed_bandwidth_bc0
            
            	The BC0 bandwidth that is over subscribed on this link\: this is the difference between the maximum available BC0 BW on the link and the sum of the currently reserved BC0 bandwidth and the currently soft preempted BC0 BW
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: current_over_subscribed_bandwidth_bc1
            
            	The BC1 bandwidth that is over subscribed on this link\: this is the difference between the maximum available BC1 BW on the link and the sum of the currently reserved BC1 bandwidth and the currently soft preempted BC1 BW
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: current_soft_preempted_bandwidth_bc0
            
            	The current BC0 BW that is softly preempted\: this is the sum of bandwidth for the LSPs that are soft preempted and have not been torn down yet
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: current_soft_preempted_bandwidth_bc1
            
            	The current BC1 BW that is softly preempted\: this is the sum of bandwidth for the LSPs that are soft preempted and have not been torn down yet
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: current_soft_preemption_lsp
            
            	List of the soft preempted LSPs that are not yet cleaned up
            	**type**\: list of    :py:class:`CurrentSoftPreemptionLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLcac.SoftPreemptions.SoftPreemption.CurrentSoftPreemptionLsp>`
            
            .. attribute:: link_address
            
            	The link's IPv4 address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: release_soft_preempted_bandwidth_bc0
            
            	The total released BC0 BW that is softly preempted\: this is the sum of bandwidth for the LSPs that are soft preempted and are torn down
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: release_soft_preempted_bandwidth_bc1
            
            	The total released BC1 BW that is softly preempted\: this is the sum of bandwidth for the LSPs that are soft preempted and are torn down
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: total_soft_preempted_bandwidth_bc0
            
            	The total BC0 BW that is softly preempted\: this is the sum of bandwidth for all the LSPs that were soft preempted
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: total_soft_preempted_bandwidth_bc1
            
            	The total BC1 BW that is softly preempted\: this is the sum of bandwidth for all the LSPs that were soft preempted
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.interface_name = None
                self.current_over_subscribed_bandwidth_bc0 = None
                self.current_over_subscribed_bandwidth_bc1 = None
                self.current_soft_preempted_bandwidth_bc0 = None
                self.current_soft_preempted_bandwidth_bc1 = None
                self.current_soft_preemption_lsp = YList()
                self.current_soft_preemption_lsp.parent = self
                self.current_soft_preemption_lsp.name = 'current_soft_preemption_lsp'
                self.link_address = None
                self.release_soft_preempted_bandwidth_bc0 = None
                self.release_soft_preempted_bandwidth_bc1 = None
                self.total_soft_preempted_bandwidth_bc0 = None
                self.total_soft_preempted_bandwidth_bc1 = None


            class CurrentSoftPreemptionLsp(object):
                """
                List of the soft preempted LSPs that are not yet
                cleaned up
                
                .. attribute:: bandwidth_preempted
                
                	LSPs bandwidth is already preempted
                	**type**\:  bool
                
                .. attribute:: bandwidth_type
                
                	The path's bandwidth type; 0\:BC0, 1\:BC1, so on
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: destination_address
                
                	Destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: hold_priority
                
                	The path's hold priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: lsp_id
                
                	LSP ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: requested_bandwidth
                
                	The path's requested bandwidth
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: setup_priority
                
                	The path's setup priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: soft_preempted
                
                	TRUE is the preemption is a soft preemption
                	**type**\:  bool
                
                .. attribute:: soft_preempted_fr_rrewrite
                
                	FRR\-rewrite is done during soft preemption
                	**type**\:  bool
                
                .. attribute:: soft_preemption_timeout
                
                	If the soft preemption is underway, this value indicates the number of seconds before hard preemption is triggered
                	**type**\:  int
                
                	**range:** 0..65535
                
                	**units**\: second
                
                .. attribute:: source_address
                
                	Source
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.bandwidth_preempted = None
                    self.bandwidth_type = None
                    self.destination_address = None
                    self.hold_priority = None
                    self.lsp_id = None
                    self.requested_bandwidth = None
                    self.setup_priority = None
                    self.soft_preempted = None
                    self.soft_preempted_fr_rrewrite = None
                    self.soft_preemption_timeout = None
                    self.source_address = None
                    self.tunnel_id = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:current-soft-preemption-lsp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.bandwidth_preempted is not None:
                        return True

                    if self.bandwidth_type is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.hold_priority is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.requested_bandwidth is not None:
                        return True

                    if self.setup_priority is not None:
                        return True

                    if self.soft_preempted is not None:
                        return True

                    if self.soft_preempted_fr_rrewrite is not None:
                        return True

                    if self.soft_preemption_timeout is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsLcac.SoftPreemptions.SoftPreemption.CurrentSoftPreemptionLsp']['meta_info']

            @property
            def _common_path(self):
                if self.interface_name is None:
                    raise YPYModelError('Key property interface_name is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:soft-preemptions/Cisco-IOS-XR-mpls-te-oper:soft-preemption[Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.interface_name is not None:
                    return True

                if self.current_over_subscribed_bandwidth_bc0 is not None:
                    return True

                if self.current_over_subscribed_bandwidth_bc1 is not None:
                    return True

                if self.current_soft_preempted_bandwidth_bc0 is not None:
                    return True

                if self.current_soft_preempted_bandwidth_bc1 is not None:
                    return True

                if self.current_soft_preemption_lsp is not None:
                    for child_ref in self.current_soft_preemption_lsp:
                        if child_ref._has_data():
                            return True

                if self.link_address is not None:
                    return True

                if self.release_soft_preempted_bandwidth_bc0 is not None:
                    return True

                if self.release_soft_preempted_bandwidth_bc1 is not None:
                    return True

                if self.total_soft_preempted_bandwidth_bc0 is not None:
                    return True

                if self.total_soft_preempted_bandwidth_bc1 is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsLcac.SoftPreemptions.SoftPreemption']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac/Cisco-IOS-XR-mpls-te-oper:soft-preemptions'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.soft_preemption is not None:
                for child_ref in self.soft_preemption:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsLcac.SoftPreemptions']['meta_info']

    @property
    def _common_path(self):

        return '/Cisco-IOS-XR-mpls-te-oper:mpls-lcac'

    def is_config(self):
        ''' Returns True if this instance represents config data else returns False '''
        return False

    def _has_data(self):
        if not self.is_config():
            return False
        if self.admission_control is not None and self.admission_control._has_data():
            return True

        if self.advertisements is not None and self.advertisements._has_data():
            return True

        if self.bandwidth_account is not None and self.bandwidth_account._has_data():
            return True

        if self.bandwidth_allocation is not None and self.bandwidth_allocation._has_data():
            return True

        if self.bfd_neighbors is not None and self.bfd_neighbors._has_data():
            return True

        if self.gmpls is not None and self.gmpls._has_data():
            return True

        if self.link_information is not None and self.link_information._has_data():
            return True

        if self.link_summary is not None and self.link_summary._has_data():
            return True

        if self.neighbors is not None and self.neighbors._has_data():
            return True

        if self.preemption_events is not None and self.preemption_events._has_data():
            return True

        if self.soft_preemption_global_info is not None and self.soft_preemption_global_info._has_data():
            return True

        if self.soft_preemptions is not None and self.soft_preemptions._has_data():
            return True

        if self.statistics is not None and self.statistics._has_data():
            return True

        return False

    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsLcac']['meta_info']


class MplsPce(object):
    """
    mpls pce
    
    .. attribute:: lsps
    
    	Table of LSPs
    	**type**\:   :py:class:`Lsps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps>`
    
    .. attribute:: peers
    
    	The set of PCE peers
    	**type**\:   :py:class:`Peers <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Peers>`
    
    .. attribute:: statistics
    
    	PCE stats info
    	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Statistics>`
    
    .. attribute:: topology
    
    	The topology information in PCE
    	**type**\:   :py:class:`Topology <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Topology>`
    
    .. attribute:: tunnels
    
    	Table of PCE tunnels
    	**type**\:   :py:class:`Tunnels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Tunnels>`
    
    

    """

    _prefix = 'mpls-te-oper'
    _revision = '2015-11-09'

    def __init__(self):
        self.lsps = MplsPce.Lsps()
        self.lsps.parent = self
        self.peers = MplsPce.Peers()
        self.peers.parent = self
        self.statistics = MplsPce.Statistics()
        self.statistics.parent = self
        self.topology = MplsPce.Topology()
        self.topology.parent = self
        self.tunnels = MplsPce.Tunnels()
        self.tunnels.parent = self


    class Lsps(object):
        """
        Table of LSPs
        
        .. attribute:: administrative
        
        	LSP administrative status
        	**type**\:  bool
        
        .. attribute:: autoroute
        
        	Auto Route
        	**type**\:   :py:class:`Autoroute <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps.Autoroute>`
        
        .. attribute:: backup_path
        
        	Backup Path
        	**type**\:  list of str
        
        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
        
        .. attribute:: binding_sid
        
        	Binding SID
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: cleanup_timer_exp
        
        	Deprecated
        	**type**\:  int
        
        	**range:** \-2147483648..2147483647
        
        .. attribute:: create
        
        	LSPO create flag
        	**type**\:  bool
        
        .. attribute:: creator
        
        	Creator Peer of the LSP
        	**type**\:   :py:class:`Creator <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps.Creator>`
        
        .. attribute:: delegatable
        
        	LSP delegatable
        	**type**\:  bool
        
        .. attribute:: delegated
        
        	Owner Peer of the LSP
        	**type**\:   :py:class:`Delegated <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps.Delegated>`
        
        .. attribute:: delegation_timer_exp
        
        	LSP delegation timer expiration in sec
        	**type**\:  int
        
        	**range:** \-2147483648..2147483647
        
        .. attribute:: destination_address
        
        	Destination IP Address
        	**type**\:  str
        
        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
        
        .. attribute:: forward_class_id
        
        	Forward Class ID
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: identifiers
        
        	LSP Identifiers
        	**type**\:   :py:class:`Identifiers <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps.Identifiers>`
        
        .. attribute:: load_share
        
        	Load share factor
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: lsp
        
        	Information of a LSP from LSPDB
        	**type**\: list of    :py:class:`Lsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps.Lsp>`
        
        .. attribute:: lspo_is_used
        
        	LSP Object used flag
        	**type**\:  bool
        
        .. attribute:: operational
        
        	LSP operational status
        	**type**\:   :py:class:`PceLspOperStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceLspOperStateEnum>`
        
        .. attribute:: path_setup_type
        
        	Path setup type
        	**type**\:  int
        
        	**range:** 0..255
        
        .. attribute:: paths
        
        	Array of paths
        	**type**\: list of    :py:class:`Paths <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps.Paths>`
        
        .. attribute:: request_queue_size
        
        	Request queue size
        	**type**\:  int
        
        	**range:** 0..255
        
        .. attribute:: session_internal_lsp_id
        
        	Session internal ID
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: source_address
        
        	Source IP Address
        	**type**\:  str
        
        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
        
        .. attribute:: state_timer_exp
        
        	LSP state\-timeout time expiration
        	**type**\:  int
        
        	**range:** \-2147483648..2147483647
        
        .. attribute:: stateful_request_parameter_id
        
        	SRP ID
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: symbolic_name_xr
        
        	Symbolic Name
        	**type**\:  str
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.administrative = None
            self.autoroute = MplsPce.Lsps.Autoroute()
            self.autoroute.parent = self
            self.backup_path = YLeafList()
            self.backup_path.parent = self
            self.backup_path.name = 'backup_path'
            self.binding_sid = None
            self.cleanup_timer_exp = None
            self.create = None
            self.creator = MplsPce.Lsps.Creator()
            self.creator.parent = self
            self.delegatable = None
            self.delegated = MplsPce.Lsps.Delegated()
            self.delegated.parent = self
            self.delegation_timer_exp = None
            self.destination_address = None
            self.forward_class_id = None
            self.identifiers = MplsPce.Lsps.Identifiers()
            self.identifiers.parent = self
            self.load_share = None
            self.lsp = YList()
            self.lsp.parent = self
            self.lsp.name = 'lsp'
            self.lspo_is_used = None
            self.operational = None
            self.path_setup_type = None
            self.paths = YList()
            self.paths.parent = self
            self.paths.name = 'paths'
            self.request_queue_size = None
            self.session_internal_lsp_id = None
            self.source_address = None
            self.state_timer_exp = None
            self.stateful_request_parameter_id = None
            self.symbolic_name_xr = None


        class Lsp(object):
            """
            Information of a LSP from LSPDB
            
            .. attribute:: symbolic_name  <key>
            
            	Symbolic name
            	**type**\:  str
            
            	**length:** 1..256
            
            .. attribute:: administrative
            
            	LSP administrative status
            	**type**\:  bool
            
            .. attribute:: autoroute
            
            	Auto Route
            	**type**\:   :py:class:`Autoroute <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps.Lsp.Autoroute>`
            
            .. attribute:: backup_path
            
            	Backup Path
            	**type**\:  list of str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: binding_sid
            
            	Binding SID
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: cleanup_timer_exp
            
            	Deprecated
            	**type**\:  int
            
            	**range:** \-2147483648..2147483647
            
            .. attribute:: create
            
            	LSPO create flag
            	**type**\:  bool
            
            .. attribute:: creator
            
            	Creator Peer of the LSP
            	**type**\:   :py:class:`Creator <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps.Lsp.Creator>`
            
            .. attribute:: delegatable
            
            	LSP delegatable
            	**type**\:  bool
            
            .. attribute:: delegated
            
            	Owner Peer of the LSP
            	**type**\:   :py:class:`Delegated <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps.Lsp.Delegated>`
            
            .. attribute:: delegation_timer_exp
            
            	LSP delegation timer expiration in sec
            	**type**\:  int
            
            	**range:** \-2147483648..2147483647
            
            .. attribute:: destination_address
            
            	Destination IP Address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: forward_class_id
            
            	Forward Class ID
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: identifiers
            
            	LSP Identifiers
            	**type**\:   :py:class:`Identifiers <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps.Lsp.Identifiers>`
            
            .. attribute:: load_share
            
            	Load share factor
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: lspo_is_used
            
            	LSP Object used flag
            	**type**\:  bool
            
            .. attribute:: operational
            
            	LSP operational status
            	**type**\:   :py:class:`PceLspOperStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceLspOperStateEnum>`
            
            .. attribute:: path_setup_type
            
            	Path setup type
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: paths
            
            	Array of paths
            	**type**\: list of    :py:class:`Paths <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps.Lsp.Paths>`
            
            .. attribute:: request_queue_size
            
            	Request queue size
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: session_internal_lsp_id
            
            	Session internal ID
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: source_address
            
            	Source IP Address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: state_timer_exp
            
            	LSP state\-timeout time expiration
            	**type**\:  int
            
            	**range:** \-2147483648..2147483647
            
            .. attribute:: stateful_request_parameter_id
            
            	SRP ID
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: symbolic_name_xr
            
            	Symbolic Name
            	**type**\:  str
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.symbolic_name = None
                self.administrative = None
                self.autoroute = MplsPce.Lsps.Lsp.Autoroute()
                self.autoroute.parent = self
                self.backup_path = YLeafList()
                self.backup_path.parent = self
                self.backup_path.name = 'backup_path'
                self.binding_sid = None
                self.cleanup_timer_exp = None
                self.create = None
                self.creator = MplsPce.Lsps.Lsp.Creator()
                self.creator.parent = self
                self.delegatable = None
                self.delegated = MplsPce.Lsps.Lsp.Delegated()
                self.delegated.parent = self
                self.delegation_timer_exp = None
                self.destination_address = None
                self.forward_class_id = None
                self.identifiers = MplsPce.Lsps.Lsp.Identifiers()
                self.identifiers.parent = self
                self.load_share = None
                self.lspo_is_used = None
                self.operational = None
                self.path_setup_type = None
                self.paths = YList()
                self.paths.parent = self
                self.paths.name = 'paths'
                self.request_queue_size = None
                self.session_internal_lsp_id = None
                self.source_address = None
                self.state_timer_exp = None
                self.stateful_request_parameter_id = None
                self.symbolic_name_xr = None


            class Creator(object):
                """
                Creator Peer of the LSP
                
                .. attribute:: address
                
                	Peer Ip Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: node_identifier
                
                	Peer Node Identifier
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.address = None
                    self.node_identifier = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:creator'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.address is not None:
                        return True

                    if self.node_identifier is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPce.Lsps.Lsp.Creator']['meta_info']


            class Delegated(object):
                """
                Owner Peer of the LSP
                
                .. attribute:: address
                
                	Peer Ip Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: node_identifier
                
                	Peer Node Identifier
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.address = None
                    self.node_identifier = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:delegated'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.address is not None:
                        return True

                    if self.node_identifier is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPce.Lsps.Lsp.Delegated']['meta_info']


            class Identifiers(object):
                """
                LSP Identifiers
                
                .. attribute:: ext_tunnel_id
                
                	External Tunnel ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_used
                
                	LSP Identifier used flag
                	**type**\:  bool
                
                .. attribute:: sender
                
                	Sender Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: te_lsp_id
                
                	TE LSP ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tunnel_id
                
                	LSPO Tunnel ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ext_tunnel_id = None
                    self.is_used = None
                    self.sender = None
                    self.te_lsp_id = None
                    self.tunnel_id = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:identifiers'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ext_tunnel_id is not None:
                        return True

                    if self.is_used is not None:
                        return True

                    if self.sender is not None:
                        return True

                    if self.te_lsp_id is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPce.Lsps.Lsp.Identifiers']['meta_info']


            class Autoroute(object):
                """
                Auto Route
                
                .. attribute:: announced
                
                	Autoroute announced
                	**type**\:  bool
                
                .. attribute:: destination
                
                	Destinations
                	**type**\:  list of str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: is_used
                
                	Autoroute used flag
                	**type**\:  bool
                
                .. attribute:: metric
                
                	Metric Value
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: metric_type
                
                	Metric Type
                	**type**\:   :py:class:`PceLspAutorouteMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceLspAutorouteMetricEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.announced = None
                    self.destination = YLeafList()
                    self.destination.parent = self
                    self.destination.name = 'destination'
                    self.is_used = None
                    self.metric = None
                    self.metric_type = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:autoroute'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.announced is not None:
                        return True

                    if self.destination is not None:
                        for child in self.destination:
                            if child is not None:
                                return True

                    if self.is_used is not None:
                        return True

                    if self.metric is not None:
                        return True

                    if self.metric_type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPce.Lsps.Lsp.Autoroute']['meta_info']


            class Paths(object):
                """
                Array of paths
                
                .. attribute:: applied_bw
                
                	Applied bandwidth
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: bw
                
                	Bandwidth
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: ero
                
                	Explicit Router Object
                	**type**\:   :py:class:`Ero <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps.Lsp.Paths.Ero>`
                
                .. attribute:: is_applied_bw_used
                
                	Applied bandwidth used flag
                	**type**\:  bool
                
                .. attribute:: is_bw_used
                
                	Bandwidth used flag
                	**type**\:  bool
                
                .. attribute:: is_reopt_bw_used
                
                	Reoptimize bandwidth used flag
                	**type**\:  bool
                
                .. attribute:: lspa
                
                	LSP Attributes Object
                	**type**\:   :py:class:`Lspa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps.Lsp.Paths.Lspa>`
                
                .. attribute:: metric
                
                	List of Metrics
                	**type**\: list of    :py:class:`Metric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps.Lsp.Paths.Metric>`
                
                .. attribute:: reopt_bw
                
                	Reoptimize bandwidth
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: rro
                
                	Reported Route Object
                	**type**\:   :py:class:`Rro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps.Lsp.Paths.Rro>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.applied_bw = None
                    self.bw = None
                    self.ero = MplsPce.Lsps.Lsp.Paths.Ero()
                    self.ero.parent = self
                    self.is_applied_bw_used = None
                    self.is_bw_used = None
                    self.is_reopt_bw_used = None
                    self.lspa = MplsPce.Lsps.Lsp.Paths.Lspa()
                    self.lspa.parent = self
                    self.metric = YList()
                    self.metric.parent = self
                    self.metric.name = 'metric'
                    self.reopt_bw = None
                    self.rro = MplsPce.Lsps.Lsp.Paths.Rro()
                    self.rro.parent = self


                class Ero(object):
                    """
                    Explicit Router Object
                    
                    .. attribute:: address
                    
                    	List of Addresses
                    	**type**\:  list of str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	Cost
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_used
                    
                    	Route Object used flag
                    	**type**\:  bool
                    
                    .. attribute:: subobject
                    
                    	List of Route Subobjects
                    	**type**\: list of    :py:class:`Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps.Lsp.Paths.Ero.Subobject>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.address = YLeafList()
                        self.address.parent = self
                        self.address.name = 'address'
                        self.cost = None
                        self.is_used = None
                        self.subobject = YList()
                        self.subobject.parent = self
                        self.subobject.name = 'subobject'


                    class Subobject(object):
                        """
                        List of Route Subobjects
                        
                        .. attribute:: complete_mpls_label_entry
                        
                        	If this flag is true, all fields of MPLS labe entry are valid
                        	**type**\:  bool
                        
                        .. attribute:: global_
                        
                        	Global
                        	**type**\:  bool
                        
                        .. attribute:: ipv4_address
                        
                        	IPv4 address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ipv4_prefix_len
                        
                        	IPv4 Address Prefix Length
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: local_address
                        
                        	Address of the local address corresponding the adjacency SegmentID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: missing_node_adjcency_id
                        
                        	If this flag is true, ERO subobject does not have NodeAdjacencyID
                        	**type**\:  bool
                        
                        .. attribute:: missing_segment_id
                        
                        	If this flag is true, ERO subobject does not have SegmentID
                        	**type**\:  bool
                        
                        .. attribute:: mpls_label
                        
                        	MPLS Label in case Segment ID type is MPLS
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: node_adjacency_id_exists
                        
                        	If this flag is true, the bag contains NodeAdjacencyID information
                        	**type**\:  bool
                        
                        .. attribute:: node_id
                        
                        	Address of the node corresponding the node SegmentID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: only_valid_mpls_label
                        
                        	If this flag is true, SID has only MPLS label value. TC, S, and TTL fields are considered invalid
                        	**type**\:  bool
                        
                        .. attribute:: remote_address
                        
                        	Address of the remote address corresponding the adjacency SegmentID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: segment_id_exists
                        
                        	If this field is true, the bag contains SegmentID value
                        	**type**\:  bool
                        
                        .. attribute:: segment_id_type
                        
                        	Segment ID Type
                        	**type**\:   :py:class:`PceSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceSrSidEnum>`
                        
                        .. attribute:: segment_id_value
                        
                        	Contains a SegmentID value in case SegmentID is valid
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: strict
                        
                        	Strict
                        	**type**\:  bool
                        
                        .. attribute:: subobj_type
                        
                        	Route Subobject Type
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.complete_mpls_label_entry = None
                            self.global_ = None
                            self.ipv4_address = None
                            self.ipv4_prefix_len = None
                            self.local_address = None
                            self.missing_node_adjcency_id = None
                            self.missing_segment_id = None
                            self.mpls_label = None
                            self.node_adjacency_id_exists = None
                            self.node_id = None
                            self.only_valid_mpls_label = None
                            self.remote_address = None
                            self.segment_id_exists = None
                            self.segment_id_type = None
                            self.segment_id_value = None
                            self.strict = None
                            self.subobj_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:subobject'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.complete_mpls_label_entry is not None:
                                return True

                            if self.global_ is not None:
                                return True

                            if self.ipv4_address is not None:
                                return True

                            if self.ipv4_prefix_len is not None:
                                return True

                            if self.local_address is not None:
                                return True

                            if self.missing_node_adjcency_id is not None:
                                return True

                            if self.missing_segment_id is not None:
                                return True

                            if self.mpls_label is not None:
                                return True

                            if self.node_adjacency_id_exists is not None:
                                return True

                            if self.node_id is not None:
                                return True

                            if self.only_valid_mpls_label is not None:
                                return True

                            if self.remote_address is not None:
                                return True

                            if self.segment_id_exists is not None:
                                return True

                            if self.segment_id_type is not None:
                                return True

                            if self.segment_id_value is not None:
                                return True

                            if self.strict is not None:
                                return True

                            if self.subobj_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsPce.Lsps.Lsp.Paths.Ero.Subobject']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ero'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.address is not None:
                            for child in self.address:
                                if child is not None:
                                    return True

                        if self.cost is not None:
                            return True

                        if self.is_used is not None:
                            return True

                        if self.subobject is not None:
                            for child_ref in self.subobject:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsPce.Lsps.Lsp.Paths.Ero']['meta_info']


                class Lspa(object):
                    """
                    LSP Attributes Object
                    
                    .. attribute:: exlude_any
                    
                    	Exclude Any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: hold
                    
                    	Hold
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: include_all
                    
                    	Include All
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: include_any
                    
                    	Include Any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_used
                    
                    	LSPA used flag
                    	**type**\:  bool
                    
                    .. attribute:: lbit
                    
                    	L flag
                    	**type**\:  bool
                    
                    .. attribute:: setup
                    
                    	Setup
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.exlude_any = None
                        self.hold = None
                        self.include_all = None
                        self.include_any = None
                        self.is_used = None
                        self.lbit = None
                        self.setup = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lspa'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.exlude_any is not None:
                            return True

                        if self.hold is not None:
                            return True

                        if self.include_all is not None:
                            return True

                        if self.include_any is not None:
                            return True

                        if self.is_used is not None:
                            return True

                        if self.lbit is not None:
                            return True

                        if self.setup is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsPce.Lsps.Lsp.Paths.Lspa']['meta_info']


                class Rro(object):
                    """
                    Reported Route Object
                    
                    .. attribute:: address
                    
                    	List of Addresses
                    	**type**\:  list of str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	Cost
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_used
                    
                    	Route Object used flag
                    	**type**\:  bool
                    
                    .. attribute:: subobject
                    
                    	List of Route Subobjects
                    	**type**\: list of    :py:class:`Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps.Lsp.Paths.Rro.Subobject>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.address = YLeafList()
                        self.address.parent = self
                        self.address.name = 'address'
                        self.cost = None
                        self.is_used = None
                        self.subobject = YList()
                        self.subobject.parent = self
                        self.subobject.name = 'subobject'


                    class Subobject(object):
                        """
                        List of Route Subobjects
                        
                        .. attribute:: complete_mpls_label_entry
                        
                        	If this flag is true, all fields of MPLS labe entry are valid
                        	**type**\:  bool
                        
                        .. attribute:: global_
                        
                        	Global
                        	**type**\:  bool
                        
                        .. attribute:: ipv4_address
                        
                        	IPv4 address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ipv4_prefix_len
                        
                        	IPv4 Address Prefix Length
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: local_address
                        
                        	Address of the local address corresponding the adjacency SegmentID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: missing_node_adjcency_id
                        
                        	If this flag is true, ERO subobject does not have NodeAdjacencyID
                        	**type**\:  bool
                        
                        .. attribute:: missing_segment_id
                        
                        	If this flag is true, ERO subobject does not have SegmentID
                        	**type**\:  bool
                        
                        .. attribute:: mpls_label
                        
                        	MPLS Label in case Segment ID type is MPLS
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: node_adjacency_id_exists
                        
                        	If this flag is true, the bag contains NodeAdjacencyID information
                        	**type**\:  bool
                        
                        .. attribute:: node_id
                        
                        	Address of the node corresponding the node SegmentID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: only_valid_mpls_label
                        
                        	If this flag is true, SID has only MPLS label value. TC, S, and TTL fields are considered invalid
                        	**type**\:  bool
                        
                        .. attribute:: remote_address
                        
                        	Address of the remote address corresponding the adjacency SegmentID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: segment_id_exists
                        
                        	If this field is true, the bag contains SegmentID value
                        	**type**\:  bool
                        
                        .. attribute:: segment_id_type
                        
                        	Segment ID Type
                        	**type**\:   :py:class:`PceSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceSrSidEnum>`
                        
                        .. attribute:: segment_id_value
                        
                        	Contains a SegmentID value in case SegmentID is valid
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: strict
                        
                        	Strict
                        	**type**\:  bool
                        
                        .. attribute:: subobj_type
                        
                        	Route Subobject Type
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.complete_mpls_label_entry = None
                            self.global_ = None
                            self.ipv4_address = None
                            self.ipv4_prefix_len = None
                            self.local_address = None
                            self.missing_node_adjcency_id = None
                            self.missing_segment_id = None
                            self.mpls_label = None
                            self.node_adjacency_id_exists = None
                            self.node_id = None
                            self.only_valid_mpls_label = None
                            self.remote_address = None
                            self.segment_id_exists = None
                            self.segment_id_type = None
                            self.segment_id_value = None
                            self.strict = None
                            self.subobj_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:subobject'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.complete_mpls_label_entry is not None:
                                return True

                            if self.global_ is not None:
                                return True

                            if self.ipv4_address is not None:
                                return True

                            if self.ipv4_prefix_len is not None:
                                return True

                            if self.local_address is not None:
                                return True

                            if self.missing_node_adjcency_id is not None:
                                return True

                            if self.missing_segment_id is not None:
                                return True

                            if self.mpls_label is not None:
                                return True

                            if self.node_adjacency_id_exists is not None:
                                return True

                            if self.node_id is not None:
                                return True

                            if self.only_valid_mpls_label is not None:
                                return True

                            if self.remote_address is not None:
                                return True

                            if self.segment_id_exists is not None:
                                return True

                            if self.segment_id_type is not None:
                                return True

                            if self.segment_id_value is not None:
                                return True

                            if self.strict is not None:
                                return True

                            if self.subobj_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsPce.Lsps.Lsp.Paths.Rro.Subobject']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:rro'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.address is not None:
                            for child in self.address:
                                if child is not None:
                                    return True

                        if self.cost is not None:
                            return True

                        if self.is_used is not None:
                            return True

                        if self.subobject is not None:
                            for child_ref in self.subobject:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsPce.Lsps.Lsp.Paths.Rro']['meta_info']


                class Metric(object):
                    """
                    List of Metrics
                    
                    .. attribute:: cost
                    
                    	Cost
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: type
                    
                    	Type
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.cost = None
                        self.type = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:metric'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.cost is not None:
                            return True

                        if self.type is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsPce.Lsps.Lsp.Paths.Metric']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:paths'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.applied_bw is not None:
                        return True

                    if self.bw is not None:
                        return True

                    if self.ero is not None and self.ero._has_data():
                        return True

                    if self.is_applied_bw_used is not None:
                        return True

                    if self.is_bw_used is not None:
                        return True

                    if self.is_reopt_bw_used is not None:
                        return True

                    if self.lspa is not None and self.lspa._has_data():
                        return True

                    if self.metric is not None:
                        for child_ref in self.metric:
                            if child_ref._has_data():
                                return True

                    if self.reopt_bw is not None:
                        return True

                    if self.rro is not None and self.rro._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPce.Lsps.Lsp.Paths']['meta_info']

            @property
            def _common_path(self):
                if self.symbolic_name is None:
                    raise YPYModelError('Key property symbolic_name is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:lsp[Cisco-IOS-XR-mpls-te-oper:symbolic-name = ' + str(self.symbolic_name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.symbolic_name is not None:
                    return True

                if self.administrative is not None:
                    return True

                if self.autoroute is not None and self.autoroute._has_data():
                    return True

                if self.backup_path is not None:
                    for child in self.backup_path:
                        if child is not None:
                            return True

                if self.binding_sid is not None:
                    return True

                if self.cleanup_timer_exp is not None:
                    return True

                if self.create is not None:
                    return True

                if self.creator is not None and self.creator._has_data():
                    return True

                if self.delegatable is not None:
                    return True

                if self.delegated is not None and self.delegated._has_data():
                    return True

                if self.delegation_timer_exp is not None:
                    return True

                if self.destination_address is not None:
                    return True

                if self.forward_class_id is not None:
                    return True

                if self.identifiers is not None and self.identifiers._has_data():
                    return True

                if self.load_share is not None:
                    return True

                if self.lspo_is_used is not None:
                    return True

                if self.operational is not None:
                    return True

                if self.path_setup_type is not None:
                    return True

                if self.paths is not None:
                    for child_ref in self.paths:
                        if child_ref._has_data():
                            return True

                if self.request_queue_size is not None:
                    return True

                if self.session_internal_lsp_id is not None:
                    return True

                if self.source_address is not None:
                    return True

                if self.state_timer_exp is not None:
                    return True

                if self.stateful_request_parameter_id is not None:
                    return True

                if self.symbolic_name_xr is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsPce.Lsps.Lsp']['meta_info']


        class Creator(object):
            """
            Creator Peer of the LSP
            
            .. attribute:: address
            
            	Peer Ip Address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: node_identifier
            
            	Peer Node Identifier
            	**type**\:  str
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.address = None
                self.node_identifier = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:creator'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.address is not None:
                    return True

                if self.node_identifier is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsPce.Lsps.Creator']['meta_info']


        class Delegated(object):
            """
            Owner Peer of the LSP
            
            .. attribute:: address
            
            	Peer Ip Address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: node_identifier
            
            	Peer Node Identifier
            	**type**\:  str
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.address = None
                self.node_identifier = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:delegated'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.address is not None:
                    return True

                if self.node_identifier is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsPce.Lsps.Delegated']['meta_info']


        class Identifiers(object):
            """
            LSP Identifiers
            
            .. attribute:: ext_tunnel_id
            
            	External Tunnel ID
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: is_used
            
            	LSP Identifier used flag
            	**type**\:  bool
            
            .. attribute:: sender
            
            	Sender Address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: te_lsp_id
            
            	TE LSP ID
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: tunnel_id
            
            	LSPO Tunnel ID
            	**type**\:  int
            
            	**range:** 0..65535
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.ext_tunnel_id = None
                self.is_used = None
                self.sender = None
                self.te_lsp_id = None
                self.tunnel_id = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:identifiers'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.ext_tunnel_id is not None:
                    return True

                if self.is_used is not None:
                    return True

                if self.sender is not None:
                    return True

                if self.te_lsp_id is not None:
                    return True

                if self.tunnel_id is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsPce.Lsps.Identifiers']['meta_info']


        class Autoroute(object):
            """
            Auto Route
            
            .. attribute:: announced
            
            	Autoroute announced
            	**type**\:  bool
            
            .. attribute:: destination
            
            	Destinations
            	**type**\:  list of str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: is_used
            
            	Autoroute used flag
            	**type**\:  bool
            
            .. attribute:: metric
            
            	Metric Value
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: metric_type
            
            	Metric Type
            	**type**\:   :py:class:`PceLspAutorouteMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceLspAutorouteMetricEnum>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.announced = None
                self.destination = YLeafList()
                self.destination.parent = self
                self.destination.name = 'destination'
                self.is_used = None
                self.metric = None
                self.metric_type = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:autoroute'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.announced is not None:
                    return True

                if self.destination is not None:
                    for child in self.destination:
                        if child is not None:
                            return True

                if self.is_used is not None:
                    return True

                if self.metric is not None:
                    return True

                if self.metric_type is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsPce.Lsps.Autoroute']['meta_info']


        class Paths(object):
            """
            Array of paths
            
            .. attribute:: applied_bw
            
            	Applied bandwidth
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bw
            
            	Bandwidth
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: ero
            
            	Explicit Router Object
            	**type**\:   :py:class:`Ero <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps.Paths.Ero>`
            
            .. attribute:: is_applied_bw_used
            
            	Applied bandwidth used flag
            	**type**\:  bool
            
            .. attribute:: is_bw_used
            
            	Bandwidth used flag
            	**type**\:  bool
            
            .. attribute:: is_reopt_bw_used
            
            	Reoptimize bandwidth used flag
            	**type**\:  bool
            
            .. attribute:: lspa
            
            	LSP Attributes Object
            	**type**\:   :py:class:`Lspa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps.Paths.Lspa>`
            
            .. attribute:: metric
            
            	List of Metrics
            	**type**\: list of    :py:class:`Metric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps.Paths.Metric>`
            
            .. attribute:: reopt_bw
            
            	Reoptimize bandwidth
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rro
            
            	Reported Route Object
            	**type**\:   :py:class:`Rro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps.Paths.Rro>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.applied_bw = None
                self.bw = None
                self.ero = MplsPce.Lsps.Paths.Ero()
                self.ero.parent = self
                self.is_applied_bw_used = None
                self.is_bw_used = None
                self.is_reopt_bw_used = None
                self.lspa = MplsPce.Lsps.Paths.Lspa()
                self.lspa.parent = self
                self.metric = YList()
                self.metric.parent = self
                self.metric.name = 'metric'
                self.reopt_bw = None
                self.rro = MplsPce.Lsps.Paths.Rro()
                self.rro.parent = self


            class Ero(object):
                """
                Explicit Router Object
                
                .. attribute:: address
                
                	List of Addresses
                	**type**\:  list of str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: cost
                
                	Cost
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_used
                
                	Route Object used flag
                	**type**\:  bool
                
                .. attribute:: subobject
                
                	List of Route Subobjects
                	**type**\: list of    :py:class:`Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps.Paths.Ero.Subobject>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.address = YLeafList()
                    self.address.parent = self
                    self.address.name = 'address'
                    self.cost = None
                    self.is_used = None
                    self.subobject = YList()
                    self.subobject.parent = self
                    self.subobject.name = 'subobject'


                class Subobject(object):
                    """
                    List of Route Subobjects
                    
                    .. attribute:: complete_mpls_label_entry
                    
                    	If this flag is true, all fields of MPLS labe entry are valid
                    	**type**\:  bool
                    
                    .. attribute:: global_
                    
                    	Global
                    	**type**\:  bool
                    
                    .. attribute:: ipv4_address
                    
                    	IPv4 address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: ipv4_prefix_len
                    
                    	IPv4 Address Prefix Length
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: local_address
                    
                    	Address of the local address corresponding the adjacency SegmentID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: missing_node_adjcency_id
                    
                    	If this flag is true, ERO subobject does not have NodeAdjacencyID
                    	**type**\:  bool
                    
                    .. attribute:: missing_segment_id
                    
                    	If this flag is true, ERO subobject does not have SegmentID
                    	**type**\:  bool
                    
                    .. attribute:: mpls_label
                    
                    	MPLS Label in case Segment ID type is MPLS
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: node_adjacency_id_exists
                    
                    	If this flag is true, the bag contains NodeAdjacencyID information
                    	**type**\:  bool
                    
                    .. attribute:: node_id
                    
                    	Address of the node corresponding the node SegmentID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: only_valid_mpls_label
                    
                    	If this flag is true, SID has only MPLS label value. TC, S, and TTL fields are considered invalid
                    	**type**\:  bool
                    
                    .. attribute:: remote_address
                    
                    	Address of the remote address corresponding the adjacency SegmentID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: segment_id_exists
                    
                    	If this field is true, the bag contains SegmentID value
                    	**type**\:  bool
                    
                    .. attribute:: segment_id_type
                    
                    	Segment ID Type
                    	**type**\:   :py:class:`PceSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceSrSidEnum>`
                    
                    .. attribute:: segment_id_value
                    
                    	Contains a SegmentID value in case SegmentID is valid
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: strict
                    
                    	Strict
                    	**type**\:  bool
                    
                    .. attribute:: subobj_type
                    
                    	Route Subobject Type
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.complete_mpls_label_entry = None
                        self.global_ = None
                        self.ipv4_address = None
                        self.ipv4_prefix_len = None
                        self.local_address = None
                        self.missing_node_adjcency_id = None
                        self.missing_segment_id = None
                        self.mpls_label = None
                        self.node_adjacency_id_exists = None
                        self.node_id = None
                        self.only_valid_mpls_label = None
                        self.remote_address = None
                        self.segment_id_exists = None
                        self.segment_id_type = None
                        self.segment_id_value = None
                        self.strict = None
                        self.subobj_type = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:paths/Cisco-IOS-XR-mpls-te-oper:ero/Cisco-IOS-XR-mpls-te-oper:subobject'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.complete_mpls_label_entry is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.ipv4_address is not None:
                            return True

                        if self.ipv4_prefix_len is not None:
                            return True

                        if self.local_address is not None:
                            return True

                        if self.missing_node_adjcency_id is not None:
                            return True

                        if self.missing_segment_id is not None:
                            return True

                        if self.mpls_label is not None:
                            return True

                        if self.node_adjacency_id_exists is not None:
                            return True

                        if self.node_id is not None:
                            return True

                        if self.only_valid_mpls_label is not None:
                            return True

                        if self.remote_address is not None:
                            return True

                        if self.segment_id_exists is not None:
                            return True

                        if self.segment_id_type is not None:
                            return True

                        if self.segment_id_value is not None:
                            return True

                        if self.strict is not None:
                            return True

                        if self.subobj_type is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsPce.Lsps.Paths.Ero.Subobject']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:paths/Cisco-IOS-XR-mpls-te-oper:ero'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.address is not None:
                        for child in self.address:
                            if child is not None:
                                return True

                    if self.cost is not None:
                        return True

                    if self.is_used is not None:
                        return True

                    if self.subobject is not None:
                        for child_ref in self.subobject:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPce.Lsps.Paths.Ero']['meta_info']


            class Lspa(object):
                """
                LSP Attributes Object
                
                .. attribute:: exlude_any
                
                	Exclude Any
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: hold
                
                	Hold
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: include_all
                
                	Include All
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: include_any
                
                	Include Any
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_used
                
                	LSPA used flag
                	**type**\:  bool
                
                .. attribute:: lbit
                
                	L flag
                	**type**\:  bool
                
                .. attribute:: setup
                
                	Setup
                	**type**\:  int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.exlude_any = None
                    self.hold = None
                    self.include_all = None
                    self.include_any = None
                    self.is_used = None
                    self.lbit = None
                    self.setup = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:paths/Cisco-IOS-XR-mpls-te-oper:lspa'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.exlude_any is not None:
                        return True

                    if self.hold is not None:
                        return True

                    if self.include_all is not None:
                        return True

                    if self.include_any is not None:
                        return True

                    if self.is_used is not None:
                        return True

                    if self.lbit is not None:
                        return True

                    if self.setup is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPce.Lsps.Paths.Lspa']['meta_info']


            class Rro(object):
                """
                Reported Route Object
                
                .. attribute:: address
                
                	List of Addresses
                	**type**\:  list of str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: cost
                
                	Cost
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_used
                
                	Route Object used flag
                	**type**\:  bool
                
                .. attribute:: subobject
                
                	List of Route Subobjects
                	**type**\: list of    :py:class:`Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Lsps.Paths.Rro.Subobject>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.address = YLeafList()
                    self.address.parent = self
                    self.address.name = 'address'
                    self.cost = None
                    self.is_used = None
                    self.subobject = YList()
                    self.subobject.parent = self
                    self.subobject.name = 'subobject'


                class Subobject(object):
                    """
                    List of Route Subobjects
                    
                    .. attribute:: complete_mpls_label_entry
                    
                    	If this flag is true, all fields of MPLS labe entry are valid
                    	**type**\:  bool
                    
                    .. attribute:: global_
                    
                    	Global
                    	**type**\:  bool
                    
                    .. attribute:: ipv4_address
                    
                    	IPv4 address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: ipv4_prefix_len
                    
                    	IPv4 Address Prefix Length
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: local_address
                    
                    	Address of the local address corresponding the adjacency SegmentID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: missing_node_adjcency_id
                    
                    	If this flag is true, ERO subobject does not have NodeAdjacencyID
                    	**type**\:  bool
                    
                    .. attribute:: missing_segment_id
                    
                    	If this flag is true, ERO subobject does not have SegmentID
                    	**type**\:  bool
                    
                    .. attribute:: mpls_label
                    
                    	MPLS Label in case Segment ID type is MPLS
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: node_adjacency_id_exists
                    
                    	If this flag is true, the bag contains NodeAdjacencyID information
                    	**type**\:  bool
                    
                    .. attribute:: node_id
                    
                    	Address of the node corresponding the node SegmentID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: only_valid_mpls_label
                    
                    	If this flag is true, SID has only MPLS label value. TC, S, and TTL fields are considered invalid
                    	**type**\:  bool
                    
                    .. attribute:: remote_address
                    
                    	Address of the remote address corresponding the adjacency SegmentID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: segment_id_exists
                    
                    	If this field is true, the bag contains SegmentID value
                    	**type**\:  bool
                    
                    .. attribute:: segment_id_type
                    
                    	Segment ID Type
                    	**type**\:   :py:class:`PceSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceSrSidEnum>`
                    
                    .. attribute:: segment_id_value
                    
                    	Contains a SegmentID value in case SegmentID is valid
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: strict
                    
                    	Strict
                    	**type**\:  bool
                    
                    .. attribute:: subobj_type
                    
                    	Route Subobject Type
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.complete_mpls_label_entry = None
                        self.global_ = None
                        self.ipv4_address = None
                        self.ipv4_prefix_len = None
                        self.local_address = None
                        self.missing_node_adjcency_id = None
                        self.missing_segment_id = None
                        self.mpls_label = None
                        self.node_adjacency_id_exists = None
                        self.node_id = None
                        self.only_valid_mpls_label = None
                        self.remote_address = None
                        self.segment_id_exists = None
                        self.segment_id_type = None
                        self.segment_id_value = None
                        self.strict = None
                        self.subobj_type = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:paths/Cisco-IOS-XR-mpls-te-oper:rro/Cisco-IOS-XR-mpls-te-oper:subobject'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.complete_mpls_label_entry is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.ipv4_address is not None:
                            return True

                        if self.ipv4_prefix_len is not None:
                            return True

                        if self.local_address is not None:
                            return True

                        if self.missing_node_adjcency_id is not None:
                            return True

                        if self.missing_segment_id is not None:
                            return True

                        if self.mpls_label is not None:
                            return True

                        if self.node_adjacency_id_exists is not None:
                            return True

                        if self.node_id is not None:
                            return True

                        if self.only_valid_mpls_label is not None:
                            return True

                        if self.remote_address is not None:
                            return True

                        if self.segment_id_exists is not None:
                            return True

                        if self.segment_id_type is not None:
                            return True

                        if self.segment_id_value is not None:
                            return True

                        if self.strict is not None:
                            return True

                        if self.subobj_type is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsPce.Lsps.Paths.Rro.Subobject']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:paths/Cisco-IOS-XR-mpls-te-oper:rro'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.address is not None:
                        for child in self.address:
                            if child is not None:
                                return True

                    if self.cost is not None:
                        return True

                    if self.is_used is not None:
                        return True

                    if self.subobject is not None:
                        for child_ref in self.subobject:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPce.Lsps.Paths.Rro']['meta_info']


            class Metric(object):
                """
                List of Metrics
                
                .. attribute:: cost
                
                	Cost
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: type
                
                	Type
                	**type**\:  int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.cost = None
                    self.type = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:paths/Cisco-IOS-XR-mpls-te-oper:metric'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.cost is not None:
                        return True

                    if self.type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPce.Lsps.Paths.Metric']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:paths'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.applied_bw is not None:
                    return True

                if self.bw is not None:
                    return True

                if self.ero is not None and self.ero._has_data():
                    return True

                if self.is_applied_bw_used is not None:
                    return True

                if self.is_bw_used is not None:
                    return True

                if self.is_reopt_bw_used is not None:
                    return True

                if self.lspa is not None and self.lspa._has_data():
                    return True

                if self.metric is not None:
                    for child_ref in self.metric:
                        if child_ref._has_data():
                            return True

                if self.reopt_bw is not None:
                    return True

                if self.rro is not None and self.rro._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsPce.Lsps.Paths']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce/Cisco-IOS-XR-mpls-te-oper:lsps'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.administrative is not None:
                return True

            if self.autoroute is not None and self.autoroute._has_data():
                return True

            if self.backup_path is not None:
                for child in self.backup_path:
                    if child is not None:
                        return True

            if self.binding_sid is not None:
                return True

            if self.cleanup_timer_exp is not None:
                return True

            if self.create is not None:
                return True

            if self.creator is not None and self.creator._has_data():
                return True

            if self.delegatable is not None:
                return True

            if self.delegated is not None and self.delegated._has_data():
                return True

            if self.delegation_timer_exp is not None:
                return True

            if self.destination_address is not None:
                return True

            if self.forward_class_id is not None:
                return True

            if self.identifiers is not None and self.identifiers._has_data():
                return True

            if self.load_share is not None:
                return True

            if self.lsp is not None:
                for child_ref in self.lsp:
                    if child_ref._has_data():
                        return True

            if self.lspo_is_used is not None:
                return True

            if self.operational is not None:
                return True

            if self.path_setup_type is not None:
                return True

            if self.paths is not None:
                for child_ref in self.paths:
                    if child_ref._has_data():
                        return True

            if self.request_queue_size is not None:
                return True

            if self.session_internal_lsp_id is not None:
                return True

            if self.source_address is not None:
                return True

            if self.state_timer_exp is not None:
                return True

            if self.stateful_request_parameter_id is not None:
                return True

            if self.symbolic_name_xr is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsPce.Lsps']['meta_info']


    class Statistics(object):
        """
        PCE stats info
        
        .. attribute:: average_in_queue_depth
        
        	Average Input Queue Depth
        	**type**\:  list of int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_file_descriptors
        
        	Number of TCP file descriptors currently in use
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_pceq_length
        
        	Current PCE queue length
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_teq_length
        
        	Current TE queue length
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: igp_statistics
        
        	IGP Statistics
        	**type**\:   :py:class:`IgpStatistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Statistics.IgpStatistics>`
        
        .. attribute:: max_file_descriptors
        
        	Maximum number of TCP file descriptors used
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: max_pceq_length
        
        	Max PCE queue length
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: max_teq_length
        
        	Max TE queue length
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: maximum_in_queue_depth
        
        	Max Input Queue Depth
        	**type**\:  list of int
        
        	**range:** 0..4294967295
        
        .. attribute:: neighbors
        
        	Neighbor Count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: pce_req_pending
        
        	Number of pending req
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: pce_req_timed_out
        
        	Number of timedout req
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: pce_req_total
        
        	Total number of PCEReq
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: tunnels
        
        	Tunnel Count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.average_in_queue_depth = YLeafList()
            self.average_in_queue_depth.parent = self
            self.average_in_queue_depth.name = 'average_in_queue_depth'
            self.current_file_descriptors = None
            self.current_pceq_length = None
            self.current_teq_length = None
            self.igp_statistics = MplsPce.Statistics.IgpStatistics()
            self.igp_statistics.parent = self
            self.max_file_descriptors = None
            self.max_pceq_length = None
            self.max_teq_length = None
            self.maximum_in_queue_depth = YLeafList()
            self.maximum_in_queue_depth.parent = self
            self.maximum_in_queue_depth.name = 'maximum_in_queue_depth'
            self.neighbors = None
            self.pce_req_pending = None
            self.pce_req_timed_out = None
            self.pce_req_total = None
            self.tunnels = None


        class IgpStatistics(object):
            """
            IGP Statistics
            
            .. attribute:: abr_lookup_avg
            
            	ABR Lookup Avg
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: abr_lookup_complete
            
            	ABR Lookup Complete
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: abr_lookup_max
            
            	ABR Lookup Max
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: abr_lookup_min
            
            	ABR Lookup Min
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: abr_lookup_timeout
            
            	ABR Lookup Timeout
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.abr_lookup_avg = None
                self.abr_lookup_complete = None
                self.abr_lookup_max = None
                self.abr_lookup_min = None
                self.abr_lookup_timeout = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:igp-statistics'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.abr_lookup_avg is not None:
                    return True

                if self.abr_lookup_complete is not None:
                    return True

                if self.abr_lookup_max is not None:
                    return True

                if self.abr_lookup_min is not None:
                    return True

                if self.abr_lookup_timeout is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsPce.Statistics.IgpStatistics']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce/Cisco-IOS-XR-mpls-te-oper:statistics'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.average_in_queue_depth is not None:
                for child in self.average_in_queue_depth:
                    if child is not None:
                        return True

            if self.current_file_descriptors is not None:
                return True

            if self.current_pceq_length is not None:
                return True

            if self.current_teq_length is not None:
                return True

            if self.igp_statistics is not None and self.igp_statistics._has_data():
                return True

            if self.max_file_descriptors is not None:
                return True

            if self.max_pceq_length is not None:
                return True

            if self.max_teq_length is not None:
                return True

            if self.maximum_in_queue_depth is not None:
                for child in self.maximum_in_queue_depth:
                    if child is not None:
                        return True

            if self.neighbors is not None:
                return True

            if self.pce_req_pending is not None:
                return True

            if self.pce_req_timed_out is not None:
                return True

            if self.pce_req_total is not None:
                return True

            if self.tunnels is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsPce.Statistics']['meta_info']


    class Peers(object):
        """
        The set of PCE peers
        
        .. attribute:: peer
        
        	A PCE peer
        	**type**\: list of    :py:class:`Peer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Peers.Peer>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.peer = YList()
            self.peer.parent = self
            self.peer.name = 'peer'


        class Peer(object):
            """
            A PCE peer
            
            .. attribute:: peer_address  <key>
            
            	The peer address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: candidate
            
            	Candidate
            	**type**\:  bool
            
            .. attribute:: capability_db_version
            
            	DB version capability
            	**type**\:  bool
            
            .. attribute:: capability_instantiate
            
            	Instantiation capability
            	**type**\:  bool
            
            .. attribute:: capability_segment_routing
            
            	Segment Routing capability
            	**type**\:  bool
            
            .. attribute:: capability_update
            
            	Update capability
            	**type**\:  bool
            
            .. attribute:: delta_sync_capability
            
            	Delta Synchronization capability
            	**type**\:  bool
            
            .. attribute:: error
            
            	Error (for display only)
            	**type**\:  str
            
            .. attribute:: ig_ps
            
            	IGPs
            	**type**\: list of    :py:class:`IgPs <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Peers.Peer.IgPs>`
            
            .. attribute:: keepalives
            
            	Keepalive count
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: keychain_enabled
            
            	Keychain based Authentication Enabled
            	**type**\:  bool
            
            .. attribute:: last_rx_pce_err
            
            	Last received PCEErr
            	**type**\:   :py:class:`LastRxPceErr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Peers.Peer.LastRxPceErr>`
            
            .. attribute:: last_tx_pce_err
            
            	Last sent PCEErr
            	**type**\:   :py:class:`LastTxPceErr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Peers.Peer.LastTxPceErr>`
            
            .. attribute:: local_sid
            
            	Local PCEP session ID
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: max_dead_interval
            
            	Maximum dead interval for the peer
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: md5_enabled
            
            	MD5 Authentication Enabled
            	**type**\:  bool
            
            .. attribute:: min_keepalive_interval
            
            	Minimum keepalive interval for the peer
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: negotated_dead_time
            
            	Negotiated DT
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: negotiated_keepalive
            
            	Negotiated KA
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_err_rx
            
            	PCEErr Rx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_err_tx
            
            	PCEErr Tx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_init_rx
            
            	PCEInit Rx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_init_tx
            
            	PCEInit Tx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_keepalive_rx
            
            	PCE Keepalive Rx
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: pce_keepalive_tx
            
            	PCE Keepalive Tx
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: pce_open_rx
            
            	PCEOpen Rx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_open_tx
            
            	PCEOpen Tx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_rep_rx
            
            	PCERep Rx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_rep_tx
            
            	PCERep Tx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_req_rx
            
            	PCEReq Rx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_req_tx
            
            	PCEReq Tx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_rpt_rx
            
            	PCERpt Rx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_rpt_tx
            
            	PCERpt Tx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_state
            
            	PCE State
            	**type**\:   :py:class:`PceStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceStateEnum>`
            
            .. attribute:: pce_upd_rx
            
            	PCEUpd Rx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_upd_tx
            
            	PCEUpd Tx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pcep_up_time
            
            	PCEP Up Time
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: precedence
            
            	PCE Precedence
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: remote_sid
            
            	Remote PCEP session ID
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: req_reply_avg
            
            	Average reply time from peer in ms
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: req_reply_max
            
            	Maximum reply time from peer in ms
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: req_reply_min
            
            	Mininum reply time from peer in ms
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: request_timeouts
            
            	Request timeout count
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: stateful
            
            	Stateful
            	**type**\:  bool
            
            .. attribute:: statically_configured
            
            	Statically Configured
            	**type**\:  bool
            
            .. attribute:: triggered_sync_capability
            
            	Triggered Synchronization capability
            	**type**\:  bool
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.peer_address = None
                self.candidate = None
                self.capability_db_version = None
                self.capability_instantiate = None
                self.capability_segment_routing = None
                self.capability_update = None
                self.delta_sync_capability = None
                self.error = None
                self.ig_ps = YList()
                self.ig_ps.parent = self
                self.ig_ps.name = 'ig_ps'
                self.keepalives = None
                self.keychain_enabled = None
                self.last_rx_pce_err = MplsPce.Peers.Peer.LastRxPceErr()
                self.last_rx_pce_err.parent = self
                self.last_tx_pce_err = MplsPce.Peers.Peer.LastTxPceErr()
                self.last_tx_pce_err.parent = self
                self.local_sid = None
                self.max_dead_interval = None
                self.md5_enabled = None
                self.min_keepalive_interval = None
                self.negotated_dead_time = None
                self.negotiated_keepalive = None
                self.pce_err_rx = None
                self.pce_err_tx = None
                self.pce_init_rx = None
                self.pce_init_tx = None
                self.pce_keepalive_rx = None
                self.pce_keepalive_tx = None
                self.pce_open_rx = None
                self.pce_open_tx = None
                self.pce_rep_rx = None
                self.pce_rep_tx = None
                self.pce_req_rx = None
                self.pce_req_tx = None
                self.pce_rpt_rx = None
                self.pce_rpt_tx = None
                self.pce_state = None
                self.pce_upd_rx = None
                self.pce_upd_tx = None
                self.pcep_up_time = None
                self.precedence = None
                self.remote_sid = None
                self.req_reply_avg = None
                self.req_reply_max = None
                self.req_reply_min = None
                self.request_timeouts = None
                self.stateful = None
                self.statically_configured = None
                self.triggered_sync_capability = None


            class LastTxPceErr(object):
                """
                Last sent PCEErr
                
                .. attribute:: has_open_object
                
                	Has Open object
                	**type**\:  bool
                
                .. attribute:: has_rp_object
                
                	Has RP object
                	**type**\:  bool
                
                .. attribute:: open_dead_time
                
                	Open Deadtime (seconds)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: open_keepalive
                
                	Open Keepalive (seconds)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: openversion
                
                	Open Version
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: pce_err_type
                
                	PCE Error Type
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: pce_err_value
                
                	PCE Error Value
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: rp_request_id
                
                	RP request ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.has_open_object = None
                    self.has_rp_object = None
                    self.open_dead_time = None
                    self.open_keepalive = None
                    self.openversion = None
                    self.pce_err_type = None
                    self.pce_err_value = None
                    self.rp_request_id = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:last-tx-pce-err'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.has_open_object is not None:
                        return True

                    if self.has_rp_object is not None:
                        return True

                    if self.open_dead_time is not None:
                        return True

                    if self.open_keepalive is not None:
                        return True

                    if self.openversion is not None:
                        return True

                    if self.pce_err_type is not None:
                        return True

                    if self.pce_err_value is not None:
                        return True

                    if self.rp_request_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPce.Peers.Peer.LastTxPceErr']['meta_info']


            class LastRxPceErr(object):
                """
                Last received PCEErr
                
                .. attribute:: has_open_object
                
                	Has Open object
                	**type**\:  bool
                
                .. attribute:: has_rp_object
                
                	Has RP object
                	**type**\:  bool
                
                .. attribute:: open_dead_time
                
                	Open Deadtime (seconds)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: open_keepalive
                
                	Open Keepalive (seconds)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: openversion
                
                	Open Version
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: pce_err_type
                
                	PCE Error Type
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: pce_err_value
                
                	PCE Error Value
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: rp_request_id
                
                	RP request ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.has_open_object = None
                    self.has_rp_object = None
                    self.open_dead_time = None
                    self.open_keepalive = None
                    self.openversion = None
                    self.pce_err_type = None
                    self.pce_err_value = None
                    self.rp_request_id = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:last-rx-pce-err'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.has_open_object is not None:
                        return True

                    if self.has_rp_object is not None:
                        return True

                    if self.open_dead_time is not None:
                        return True

                    if self.open_keepalive is not None:
                        return True

                    if self.openversion is not None:
                        return True

                    if self.pce_err_type is not None:
                        return True

                    if self.pce_err_value is not None:
                        return True

                    if self.rp_request_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPce.Peers.Peer.LastRxPceErr']['meta_info']


            class IgPs(object):
                """
                IGPs
                
                .. attribute:: igp_instance_id
                
                	Instance ID
                	**type**\:  str
                
                .. attribute:: igp_type
                
                	Type
                	**type**\:   :py:class:`IgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpProtocolEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.igp_instance_id = None
                    self.igp_type = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ig-ps'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.igp_instance_id is not None:
                        return True

                    if self.igp_type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPce.Peers.Peer.IgPs']['meta_info']

            @property
            def _common_path(self):
                if self.peer_address is None:
                    raise YPYModelError('Key property peer_address is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce/Cisco-IOS-XR-mpls-te-oper:peers/Cisco-IOS-XR-mpls-te-oper:peer[Cisco-IOS-XR-mpls-te-oper:peer-address = ' + str(self.peer_address) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.peer_address is not None:
                    return True

                if self.candidate is not None:
                    return True

                if self.capability_db_version is not None:
                    return True

                if self.capability_instantiate is not None:
                    return True

                if self.capability_segment_routing is not None:
                    return True

                if self.capability_update is not None:
                    return True

                if self.delta_sync_capability is not None:
                    return True

                if self.error is not None:
                    return True

                if self.ig_ps is not None:
                    for child_ref in self.ig_ps:
                        if child_ref._has_data():
                            return True

                if self.keepalives is not None:
                    return True

                if self.keychain_enabled is not None:
                    return True

                if self.last_rx_pce_err is not None and self.last_rx_pce_err._has_data():
                    return True

                if self.last_tx_pce_err is not None and self.last_tx_pce_err._has_data():
                    return True

                if self.local_sid is not None:
                    return True

                if self.max_dead_interval is not None:
                    return True

                if self.md5_enabled is not None:
                    return True

                if self.min_keepalive_interval is not None:
                    return True

                if self.negotated_dead_time is not None:
                    return True

                if self.negotiated_keepalive is not None:
                    return True

                if self.pce_err_rx is not None:
                    return True

                if self.pce_err_tx is not None:
                    return True

                if self.pce_init_rx is not None:
                    return True

                if self.pce_init_tx is not None:
                    return True

                if self.pce_keepalive_rx is not None:
                    return True

                if self.pce_keepalive_tx is not None:
                    return True

                if self.pce_open_rx is not None:
                    return True

                if self.pce_open_tx is not None:
                    return True

                if self.pce_rep_rx is not None:
                    return True

                if self.pce_rep_tx is not None:
                    return True

                if self.pce_req_rx is not None:
                    return True

                if self.pce_req_tx is not None:
                    return True

                if self.pce_rpt_rx is not None:
                    return True

                if self.pce_rpt_tx is not None:
                    return True

                if self.pce_state is not None:
                    return True

                if self.pce_upd_rx is not None:
                    return True

                if self.pce_upd_tx is not None:
                    return True

                if self.pcep_up_time is not None:
                    return True

                if self.precedence is not None:
                    return True

                if self.remote_sid is not None:
                    return True

                if self.req_reply_avg is not None:
                    return True

                if self.req_reply_max is not None:
                    return True

                if self.req_reply_min is not None:
                    return True

                if self.request_timeouts is not None:
                    return True

                if self.stateful is not None:
                    return True

                if self.statically_configured is not None:
                    return True

                if self.triggered_sync_capability is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsPce.Peers.Peer']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce/Cisco-IOS-XR-mpls-te-oper:peers'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.peer is not None:
                for child_ref in self.peer:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsPce.Peers']['meta_info']


    class Topology(object):
        """
        The topology information in PCE
        
        .. attribute:: global_
        
        	The global information of the overall  topology
        	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Topology.Global_>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.global_ = MplsPce.Topology.Global_()
            self.global_.parent = self


        class Global_(object):
            """
            The global information of the overall  topology
            
            .. attribute:: nodes
            
            	Node information
            	**type**\: list of    :py:class:`Nodes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Topology.Global_.Nodes>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.nodes = YList()
                self.nodes.parent = self
                self.nodes.name = 'nodes'


            class Nodes(object):
                """
                Node information
                
                .. attribute:: igp_area_format
                
                	IGP Area Format
                	**type**\:   :py:class:`IgpOspfAreaFormatEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpOspfAreaFormatEnum>`
                
                .. attribute:: igp_area_id
                
                	IGP Area number
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_pce_border_node
                
                	PCE border node
                	**type**\:  bool
                
                .. attribute:: node_id
                
                	Node ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: pce_cost
                
                	PCE cost
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: router_id
                
                	Router ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.igp_area_format = None
                    self.igp_area_id = None
                    self.is_pce_border_node = None
                    self.node_id = None
                    self.pce_cost = None
                    self.router_id = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:global/Cisco-IOS-XR-mpls-te-oper:nodes'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.igp_area_format is not None:
                        return True

                    if self.igp_area_id is not None:
                        return True

                    if self.is_pce_border_node is not None:
                        return True

                    if self.node_id is not None:
                        return True

                    if self.pce_cost is not None:
                        return True

                    if self.router_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPce.Topology.Global_.Nodes']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:global'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.nodes is not None:
                    for child_ref in self.nodes:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsPce.Topology.Global_']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce/Cisco-IOS-XR-mpls-te-oper:topology'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.global_ is not None and self.global_._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsPce.Topology']['meta_info']


    class Tunnels(object):
        """
        Table of PCE tunnels
        
        .. attribute:: admin_weight
        
        	Path metric
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: configured_pce_address
        
        	Configured PCE Address
        	**type**\:  str
        
        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
        
        .. attribute:: curr_path_option_index
        
        	Path Option Index of the current path
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: destination_address
        
        	Destination Address
        	**type**\:  str
        
        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
        
        .. attribute:: hop_count
        
        	Hop Count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: is_curr_path_option_pce
        
        	True if current path option is PCE based
        	**type**\:  bool
        
        .. attribute:: path_state
        
        	Path Request State
        	**type**\:   :py:class:`PceTunPathStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceTunPathStateEnum>`
        
        .. attribute:: sender_pce_address
        
        	Sender PCE Address
        	**type**\:  str
        
        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
        
        .. attribute:: source_address
        
        	Source Address
        	**type**\:  str
        
        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
        
        .. attribute:: tunnel
        
        	Information of a PCE tunnel
        	**type**\: list of    :py:class:`Tunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPce.Tunnels.Tunnel>`
        
        .. attribute:: tunnel_state
        
        	Tunnel State
        	**type**\:   :py:class:`PceTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceTunnelStateEnum>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.admin_weight = None
            self.configured_pce_address = None
            self.curr_path_option_index = None
            self.destination_address = None
            self.hop_count = None
            self.is_curr_path_option_pce = None
            self.path_state = None
            self.sender_pce_address = None
            self.source_address = None
            self.tunnel = YList()
            self.tunnel.parent = self
            self.tunnel.name = 'tunnel'
            self.tunnel_state = None


        class Tunnel(object):
            """
            Information of a PCE tunnel
            
            .. attribute:: tunnel_name  <key>
            
            	Tunnel Name
            	**type**\:  str
            
            	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
            
            .. attribute:: admin_weight
            
            	Path metric
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: configured_pce_address
            
            	Configured PCE Address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: curr_path_option_index
            
            	Path Option Index of the current path
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: destination_address
            
            	Destination Address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: hop_count
            
            	Hop Count
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: is_curr_path_option_pce
            
            	True if current path option is PCE based
            	**type**\:  bool
            
            .. attribute:: path_state
            
            	Path Request State
            	**type**\:   :py:class:`PceTunPathStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceTunPathStateEnum>`
            
            .. attribute:: sender_pce_address
            
            	Sender PCE Address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: source_address
            
            	Source Address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: tunnel_state
            
            	Tunnel State
            	**type**\:   :py:class:`PceTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceTunnelStateEnum>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tunnel_name = None
                self.admin_weight = None
                self.configured_pce_address = None
                self.curr_path_option_index = None
                self.destination_address = None
                self.hop_count = None
                self.is_curr_path_option_pce = None
                self.path_state = None
                self.sender_pce_address = None
                self.source_address = None
                self.tunnel_state = None

            @property
            def _common_path(self):
                if self.tunnel_name is None:
                    raise YPYModelError('Key property tunnel_name is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel[Cisco-IOS-XR-mpls-te-oper:tunnel-name = ' + str(self.tunnel_name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tunnel_name is not None:
                    return True

                if self.admin_weight is not None:
                    return True

                if self.configured_pce_address is not None:
                    return True

                if self.curr_path_option_index is not None:
                    return True

                if self.destination_address is not None:
                    return True

                if self.hop_count is not None:
                    return True

                if self.is_curr_path_option_pce is not None:
                    return True

                if self.path_state is not None:
                    return True

                if self.sender_pce_address is not None:
                    return True

                if self.source_address is not None:
                    return True

                if self.tunnel_state is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsPce.Tunnels.Tunnel']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce/Cisco-IOS-XR-mpls-te-oper:tunnels'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.admin_weight is not None:
                return True

            if self.configured_pce_address is not None:
                return True

            if self.curr_path_option_index is not None:
                return True

            if self.destination_address is not None:
                return True

            if self.hop_count is not None:
                return True

            if self.is_curr_path_option_pce is not None:
                return True

            if self.path_state is not None:
                return True

            if self.sender_pce_address is not None:
                return True

            if self.source_address is not None:
                return True

            if self.tunnel is not None:
                for child_ref in self.tunnel:
                    if child_ref._has_data():
                        return True

            if self.tunnel_state is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsPce.Tunnels']['meta_info']

    @property
    def _common_path(self):

        return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce'

    def is_config(self):
        ''' Returns True if this instance represents config data else returns False '''
        return False

    def _has_data(self):
        if not self.is_config():
            return False
        if self.lsps is not None and self.lsps._has_data():
            return True

        if self.peers is not None and self.peers._has_data():
            return True

        if self.statistics is not None and self.statistics._has_data():
            return True

        if self.topology is not None and self.topology._has_data():
            return True

        if self.tunnels is not None and self.tunnels._has_data():
            return True

        return False

    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsPce']['meta_info']


class MplsPceStdby(object):
    """
    mpls pce stdby
    
    .. attribute:: lsps
    
    	Table of LSPs
    	**type**\:   :py:class:`Lsps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps>`
    
    .. attribute:: peers
    
    	The set of PCE peers
    	**type**\:   :py:class:`Peers <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Peers>`
    
    .. attribute:: statistics
    
    	PCE stats info
    	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Statistics>`
    
    .. attribute:: topology
    
    	The topology information in PCE
    	**type**\:   :py:class:`Topology <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Topology>`
    
    .. attribute:: tunnels
    
    	Table of PCE tunnels
    	**type**\:   :py:class:`Tunnels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Tunnels>`
    
    

    """

    _prefix = 'mpls-te-oper'
    _revision = '2015-11-09'

    def __init__(self):
        self.lsps = MplsPceStdby.Lsps()
        self.lsps.parent = self
        self.peers = MplsPceStdby.Peers()
        self.peers.parent = self
        self.statistics = MplsPceStdby.Statistics()
        self.statistics.parent = self
        self.topology = MplsPceStdby.Topology()
        self.topology.parent = self
        self.tunnels = MplsPceStdby.Tunnels()
        self.tunnels.parent = self


    class Lsps(object):
        """
        Table of LSPs
        
        .. attribute:: administrative
        
        	LSP administrative status
        	**type**\:  bool
        
        .. attribute:: autoroute
        
        	Auto Route
        	**type**\:   :py:class:`Autoroute <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps.Autoroute>`
        
        .. attribute:: backup_path
        
        	Backup Path
        	**type**\:  list of str
        
        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
        
        .. attribute:: binding_sid
        
        	Binding SID
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: cleanup_timer_exp
        
        	Deprecated
        	**type**\:  int
        
        	**range:** \-2147483648..2147483647
        
        .. attribute:: create
        
        	LSPO create flag
        	**type**\:  bool
        
        .. attribute:: creator
        
        	Creator Peer of the LSP
        	**type**\:   :py:class:`Creator <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps.Creator>`
        
        .. attribute:: delegatable
        
        	LSP delegatable
        	**type**\:  bool
        
        .. attribute:: delegated
        
        	Owner Peer of the LSP
        	**type**\:   :py:class:`Delegated <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps.Delegated>`
        
        .. attribute:: delegation_timer_exp
        
        	LSP delegation timer expiration in sec
        	**type**\:  int
        
        	**range:** \-2147483648..2147483647
        
        .. attribute:: destination_address
        
        	Destination IP Address
        	**type**\:  str
        
        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
        
        .. attribute:: forward_class_id
        
        	Forward Class ID
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: identifiers
        
        	LSP Identifiers
        	**type**\:   :py:class:`Identifiers <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps.Identifiers>`
        
        .. attribute:: load_share
        
        	Load share factor
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: lsp
        
        	Information of a LSP from LSPDB
        	**type**\: list of    :py:class:`Lsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps.Lsp>`
        
        .. attribute:: lspo_is_used
        
        	LSP Object used flag
        	**type**\:  bool
        
        .. attribute:: operational
        
        	LSP operational status
        	**type**\:   :py:class:`PceLspOperStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceLspOperStateEnum>`
        
        .. attribute:: path_setup_type
        
        	Path setup type
        	**type**\:  int
        
        	**range:** 0..255
        
        .. attribute:: paths
        
        	Array of paths
        	**type**\: list of    :py:class:`Paths <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps.Paths>`
        
        .. attribute:: request_queue_size
        
        	Request queue size
        	**type**\:  int
        
        	**range:** 0..255
        
        .. attribute:: session_internal_lsp_id
        
        	Session internal ID
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: source_address
        
        	Source IP Address
        	**type**\:  str
        
        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
        
        .. attribute:: state_timer_exp
        
        	LSP state\-timeout time expiration
        	**type**\:  int
        
        	**range:** \-2147483648..2147483647
        
        .. attribute:: stateful_request_parameter_id
        
        	SRP ID
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: symbolic_name_xr
        
        	Symbolic Name
        	**type**\:  str
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.administrative = None
            self.autoroute = MplsPceStdby.Lsps.Autoroute()
            self.autoroute.parent = self
            self.backup_path = YLeafList()
            self.backup_path.parent = self
            self.backup_path.name = 'backup_path'
            self.binding_sid = None
            self.cleanup_timer_exp = None
            self.create = None
            self.creator = MplsPceStdby.Lsps.Creator()
            self.creator.parent = self
            self.delegatable = None
            self.delegated = MplsPceStdby.Lsps.Delegated()
            self.delegated.parent = self
            self.delegation_timer_exp = None
            self.destination_address = None
            self.forward_class_id = None
            self.identifiers = MplsPceStdby.Lsps.Identifiers()
            self.identifiers.parent = self
            self.load_share = None
            self.lsp = YList()
            self.lsp.parent = self
            self.lsp.name = 'lsp'
            self.lspo_is_used = None
            self.operational = None
            self.path_setup_type = None
            self.paths = YList()
            self.paths.parent = self
            self.paths.name = 'paths'
            self.request_queue_size = None
            self.session_internal_lsp_id = None
            self.source_address = None
            self.state_timer_exp = None
            self.stateful_request_parameter_id = None
            self.symbolic_name_xr = None


        class Lsp(object):
            """
            Information of a LSP from LSPDB
            
            .. attribute:: symbolic_name  <key>
            
            	Symbolic name
            	**type**\:  str
            
            	**length:** 1..256
            
            .. attribute:: administrative
            
            	LSP administrative status
            	**type**\:  bool
            
            .. attribute:: autoroute
            
            	Auto Route
            	**type**\:   :py:class:`Autoroute <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps.Lsp.Autoroute>`
            
            .. attribute:: backup_path
            
            	Backup Path
            	**type**\:  list of str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: binding_sid
            
            	Binding SID
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: cleanup_timer_exp
            
            	Deprecated
            	**type**\:  int
            
            	**range:** \-2147483648..2147483647
            
            .. attribute:: create
            
            	LSPO create flag
            	**type**\:  bool
            
            .. attribute:: creator
            
            	Creator Peer of the LSP
            	**type**\:   :py:class:`Creator <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps.Lsp.Creator>`
            
            .. attribute:: delegatable
            
            	LSP delegatable
            	**type**\:  bool
            
            .. attribute:: delegated
            
            	Owner Peer of the LSP
            	**type**\:   :py:class:`Delegated <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps.Lsp.Delegated>`
            
            .. attribute:: delegation_timer_exp
            
            	LSP delegation timer expiration in sec
            	**type**\:  int
            
            	**range:** \-2147483648..2147483647
            
            .. attribute:: destination_address
            
            	Destination IP Address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: forward_class_id
            
            	Forward Class ID
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: identifiers
            
            	LSP Identifiers
            	**type**\:   :py:class:`Identifiers <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps.Lsp.Identifiers>`
            
            .. attribute:: load_share
            
            	Load share factor
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: lspo_is_used
            
            	LSP Object used flag
            	**type**\:  bool
            
            .. attribute:: operational
            
            	LSP operational status
            	**type**\:   :py:class:`PceLspOperStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceLspOperStateEnum>`
            
            .. attribute:: path_setup_type
            
            	Path setup type
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: paths
            
            	Array of paths
            	**type**\: list of    :py:class:`Paths <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps.Lsp.Paths>`
            
            .. attribute:: request_queue_size
            
            	Request queue size
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: session_internal_lsp_id
            
            	Session internal ID
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: source_address
            
            	Source IP Address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: state_timer_exp
            
            	LSP state\-timeout time expiration
            	**type**\:  int
            
            	**range:** \-2147483648..2147483647
            
            .. attribute:: stateful_request_parameter_id
            
            	SRP ID
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: symbolic_name_xr
            
            	Symbolic Name
            	**type**\:  str
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.symbolic_name = None
                self.administrative = None
                self.autoroute = MplsPceStdby.Lsps.Lsp.Autoroute()
                self.autoroute.parent = self
                self.backup_path = YLeafList()
                self.backup_path.parent = self
                self.backup_path.name = 'backup_path'
                self.binding_sid = None
                self.cleanup_timer_exp = None
                self.create = None
                self.creator = MplsPceStdby.Lsps.Lsp.Creator()
                self.creator.parent = self
                self.delegatable = None
                self.delegated = MplsPceStdby.Lsps.Lsp.Delegated()
                self.delegated.parent = self
                self.delegation_timer_exp = None
                self.destination_address = None
                self.forward_class_id = None
                self.identifiers = MplsPceStdby.Lsps.Lsp.Identifiers()
                self.identifiers.parent = self
                self.load_share = None
                self.lspo_is_used = None
                self.operational = None
                self.path_setup_type = None
                self.paths = YList()
                self.paths.parent = self
                self.paths.name = 'paths'
                self.request_queue_size = None
                self.session_internal_lsp_id = None
                self.source_address = None
                self.state_timer_exp = None
                self.stateful_request_parameter_id = None
                self.symbolic_name_xr = None


            class Creator(object):
                """
                Creator Peer of the LSP
                
                .. attribute:: address
                
                	Peer Ip Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: node_identifier
                
                	Peer Node Identifier
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.address = None
                    self.node_identifier = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:creator'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.address is not None:
                        return True

                    if self.node_identifier is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPceStdby.Lsps.Lsp.Creator']['meta_info']


            class Delegated(object):
                """
                Owner Peer of the LSP
                
                .. attribute:: address
                
                	Peer Ip Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: node_identifier
                
                	Peer Node Identifier
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.address = None
                    self.node_identifier = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:delegated'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.address is not None:
                        return True

                    if self.node_identifier is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPceStdby.Lsps.Lsp.Delegated']['meta_info']


            class Identifiers(object):
                """
                LSP Identifiers
                
                .. attribute:: ext_tunnel_id
                
                	External Tunnel ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_used
                
                	LSP Identifier used flag
                	**type**\:  bool
                
                .. attribute:: sender
                
                	Sender Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: te_lsp_id
                
                	TE LSP ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tunnel_id
                
                	LSPO Tunnel ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ext_tunnel_id = None
                    self.is_used = None
                    self.sender = None
                    self.te_lsp_id = None
                    self.tunnel_id = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:identifiers'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ext_tunnel_id is not None:
                        return True

                    if self.is_used is not None:
                        return True

                    if self.sender is not None:
                        return True

                    if self.te_lsp_id is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPceStdby.Lsps.Lsp.Identifiers']['meta_info']


            class Autoroute(object):
                """
                Auto Route
                
                .. attribute:: announced
                
                	Autoroute announced
                	**type**\:  bool
                
                .. attribute:: destination
                
                	Destinations
                	**type**\:  list of str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: is_used
                
                	Autoroute used flag
                	**type**\:  bool
                
                .. attribute:: metric
                
                	Metric Value
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: metric_type
                
                	Metric Type
                	**type**\:   :py:class:`PceLspAutorouteMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceLspAutorouteMetricEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.announced = None
                    self.destination = YLeafList()
                    self.destination.parent = self
                    self.destination.name = 'destination'
                    self.is_used = None
                    self.metric = None
                    self.metric_type = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:autoroute'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.announced is not None:
                        return True

                    if self.destination is not None:
                        for child in self.destination:
                            if child is not None:
                                return True

                    if self.is_used is not None:
                        return True

                    if self.metric is not None:
                        return True

                    if self.metric_type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPceStdby.Lsps.Lsp.Autoroute']['meta_info']


            class Paths(object):
                """
                Array of paths
                
                .. attribute:: applied_bw
                
                	Applied bandwidth
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: bw
                
                	Bandwidth
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: ero
                
                	Explicit Router Object
                	**type**\:   :py:class:`Ero <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps.Lsp.Paths.Ero>`
                
                .. attribute:: is_applied_bw_used
                
                	Applied bandwidth used flag
                	**type**\:  bool
                
                .. attribute:: is_bw_used
                
                	Bandwidth used flag
                	**type**\:  bool
                
                .. attribute:: is_reopt_bw_used
                
                	Reoptimize bandwidth used flag
                	**type**\:  bool
                
                .. attribute:: lspa
                
                	LSP Attributes Object
                	**type**\:   :py:class:`Lspa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps.Lsp.Paths.Lspa>`
                
                .. attribute:: metric
                
                	List of Metrics
                	**type**\: list of    :py:class:`Metric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps.Lsp.Paths.Metric>`
                
                .. attribute:: reopt_bw
                
                	Reoptimize bandwidth
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: rro
                
                	Reported Route Object
                	**type**\:   :py:class:`Rro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps.Lsp.Paths.Rro>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.applied_bw = None
                    self.bw = None
                    self.ero = MplsPceStdby.Lsps.Lsp.Paths.Ero()
                    self.ero.parent = self
                    self.is_applied_bw_used = None
                    self.is_bw_used = None
                    self.is_reopt_bw_used = None
                    self.lspa = MplsPceStdby.Lsps.Lsp.Paths.Lspa()
                    self.lspa.parent = self
                    self.metric = YList()
                    self.metric.parent = self
                    self.metric.name = 'metric'
                    self.reopt_bw = None
                    self.rro = MplsPceStdby.Lsps.Lsp.Paths.Rro()
                    self.rro.parent = self


                class Ero(object):
                    """
                    Explicit Router Object
                    
                    .. attribute:: address
                    
                    	List of Addresses
                    	**type**\:  list of str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	Cost
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_used
                    
                    	Route Object used flag
                    	**type**\:  bool
                    
                    .. attribute:: subobject
                    
                    	List of Route Subobjects
                    	**type**\: list of    :py:class:`Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps.Lsp.Paths.Ero.Subobject>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.address = YLeafList()
                        self.address.parent = self
                        self.address.name = 'address'
                        self.cost = None
                        self.is_used = None
                        self.subobject = YList()
                        self.subobject.parent = self
                        self.subobject.name = 'subobject'


                    class Subobject(object):
                        """
                        List of Route Subobjects
                        
                        .. attribute:: complete_mpls_label_entry
                        
                        	If this flag is true, all fields of MPLS labe entry are valid
                        	**type**\:  bool
                        
                        .. attribute:: global_
                        
                        	Global
                        	**type**\:  bool
                        
                        .. attribute:: ipv4_address
                        
                        	IPv4 address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ipv4_prefix_len
                        
                        	IPv4 Address Prefix Length
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: local_address
                        
                        	Address of the local address corresponding the adjacency SegmentID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: missing_node_adjcency_id
                        
                        	If this flag is true, ERO subobject does not have NodeAdjacencyID
                        	**type**\:  bool
                        
                        .. attribute:: missing_segment_id
                        
                        	If this flag is true, ERO subobject does not have SegmentID
                        	**type**\:  bool
                        
                        .. attribute:: mpls_label
                        
                        	MPLS Label in case Segment ID type is MPLS
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: node_adjacency_id_exists
                        
                        	If this flag is true, the bag contains NodeAdjacencyID information
                        	**type**\:  bool
                        
                        .. attribute:: node_id
                        
                        	Address of the node corresponding the node SegmentID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: only_valid_mpls_label
                        
                        	If this flag is true, SID has only MPLS label value. TC, S, and TTL fields are considered invalid
                        	**type**\:  bool
                        
                        .. attribute:: remote_address
                        
                        	Address of the remote address corresponding the adjacency SegmentID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: segment_id_exists
                        
                        	If this field is true, the bag contains SegmentID value
                        	**type**\:  bool
                        
                        .. attribute:: segment_id_type
                        
                        	Segment ID Type
                        	**type**\:   :py:class:`PceSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceSrSidEnum>`
                        
                        .. attribute:: segment_id_value
                        
                        	Contains a SegmentID value in case SegmentID is valid
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: strict
                        
                        	Strict
                        	**type**\:  bool
                        
                        .. attribute:: subobj_type
                        
                        	Route Subobject Type
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.complete_mpls_label_entry = None
                            self.global_ = None
                            self.ipv4_address = None
                            self.ipv4_prefix_len = None
                            self.local_address = None
                            self.missing_node_adjcency_id = None
                            self.missing_segment_id = None
                            self.mpls_label = None
                            self.node_adjacency_id_exists = None
                            self.node_id = None
                            self.only_valid_mpls_label = None
                            self.remote_address = None
                            self.segment_id_exists = None
                            self.segment_id_type = None
                            self.segment_id_value = None
                            self.strict = None
                            self.subobj_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:subobject'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.complete_mpls_label_entry is not None:
                                return True

                            if self.global_ is not None:
                                return True

                            if self.ipv4_address is not None:
                                return True

                            if self.ipv4_prefix_len is not None:
                                return True

                            if self.local_address is not None:
                                return True

                            if self.missing_node_adjcency_id is not None:
                                return True

                            if self.missing_segment_id is not None:
                                return True

                            if self.mpls_label is not None:
                                return True

                            if self.node_adjacency_id_exists is not None:
                                return True

                            if self.node_id is not None:
                                return True

                            if self.only_valid_mpls_label is not None:
                                return True

                            if self.remote_address is not None:
                                return True

                            if self.segment_id_exists is not None:
                                return True

                            if self.segment_id_type is not None:
                                return True

                            if self.segment_id_value is not None:
                                return True

                            if self.strict is not None:
                                return True

                            if self.subobj_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsPceStdby.Lsps.Lsp.Paths.Ero.Subobject']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ero'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.address is not None:
                            for child in self.address:
                                if child is not None:
                                    return True

                        if self.cost is not None:
                            return True

                        if self.is_used is not None:
                            return True

                        if self.subobject is not None:
                            for child_ref in self.subobject:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsPceStdby.Lsps.Lsp.Paths.Ero']['meta_info']


                class Lspa(object):
                    """
                    LSP Attributes Object
                    
                    .. attribute:: exlude_any
                    
                    	Exclude Any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: hold
                    
                    	Hold
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: include_all
                    
                    	Include All
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: include_any
                    
                    	Include Any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_used
                    
                    	LSPA used flag
                    	**type**\:  bool
                    
                    .. attribute:: lbit
                    
                    	L flag
                    	**type**\:  bool
                    
                    .. attribute:: setup
                    
                    	Setup
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.exlude_any = None
                        self.hold = None
                        self.include_all = None
                        self.include_any = None
                        self.is_used = None
                        self.lbit = None
                        self.setup = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lspa'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.exlude_any is not None:
                            return True

                        if self.hold is not None:
                            return True

                        if self.include_all is not None:
                            return True

                        if self.include_any is not None:
                            return True

                        if self.is_used is not None:
                            return True

                        if self.lbit is not None:
                            return True

                        if self.setup is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsPceStdby.Lsps.Lsp.Paths.Lspa']['meta_info']


                class Rro(object):
                    """
                    Reported Route Object
                    
                    .. attribute:: address
                    
                    	List of Addresses
                    	**type**\:  list of str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	Cost
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_used
                    
                    	Route Object used flag
                    	**type**\:  bool
                    
                    .. attribute:: subobject
                    
                    	List of Route Subobjects
                    	**type**\: list of    :py:class:`Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps.Lsp.Paths.Rro.Subobject>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.address = YLeafList()
                        self.address.parent = self
                        self.address.name = 'address'
                        self.cost = None
                        self.is_used = None
                        self.subobject = YList()
                        self.subobject.parent = self
                        self.subobject.name = 'subobject'


                    class Subobject(object):
                        """
                        List of Route Subobjects
                        
                        .. attribute:: complete_mpls_label_entry
                        
                        	If this flag is true, all fields of MPLS labe entry are valid
                        	**type**\:  bool
                        
                        .. attribute:: global_
                        
                        	Global
                        	**type**\:  bool
                        
                        .. attribute:: ipv4_address
                        
                        	IPv4 address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ipv4_prefix_len
                        
                        	IPv4 Address Prefix Length
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: local_address
                        
                        	Address of the local address corresponding the adjacency SegmentID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: missing_node_adjcency_id
                        
                        	If this flag is true, ERO subobject does not have NodeAdjacencyID
                        	**type**\:  bool
                        
                        .. attribute:: missing_segment_id
                        
                        	If this flag is true, ERO subobject does not have SegmentID
                        	**type**\:  bool
                        
                        .. attribute:: mpls_label
                        
                        	MPLS Label in case Segment ID type is MPLS
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: node_adjacency_id_exists
                        
                        	If this flag is true, the bag contains NodeAdjacencyID information
                        	**type**\:  bool
                        
                        .. attribute:: node_id
                        
                        	Address of the node corresponding the node SegmentID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: only_valid_mpls_label
                        
                        	If this flag is true, SID has only MPLS label value. TC, S, and TTL fields are considered invalid
                        	**type**\:  bool
                        
                        .. attribute:: remote_address
                        
                        	Address of the remote address corresponding the adjacency SegmentID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: segment_id_exists
                        
                        	If this field is true, the bag contains SegmentID value
                        	**type**\:  bool
                        
                        .. attribute:: segment_id_type
                        
                        	Segment ID Type
                        	**type**\:   :py:class:`PceSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceSrSidEnum>`
                        
                        .. attribute:: segment_id_value
                        
                        	Contains a SegmentID value in case SegmentID is valid
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: strict
                        
                        	Strict
                        	**type**\:  bool
                        
                        .. attribute:: subobj_type
                        
                        	Route Subobject Type
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.complete_mpls_label_entry = None
                            self.global_ = None
                            self.ipv4_address = None
                            self.ipv4_prefix_len = None
                            self.local_address = None
                            self.missing_node_adjcency_id = None
                            self.missing_segment_id = None
                            self.mpls_label = None
                            self.node_adjacency_id_exists = None
                            self.node_id = None
                            self.only_valid_mpls_label = None
                            self.remote_address = None
                            self.segment_id_exists = None
                            self.segment_id_type = None
                            self.segment_id_value = None
                            self.strict = None
                            self.subobj_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:subobject'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.complete_mpls_label_entry is not None:
                                return True

                            if self.global_ is not None:
                                return True

                            if self.ipv4_address is not None:
                                return True

                            if self.ipv4_prefix_len is not None:
                                return True

                            if self.local_address is not None:
                                return True

                            if self.missing_node_adjcency_id is not None:
                                return True

                            if self.missing_segment_id is not None:
                                return True

                            if self.mpls_label is not None:
                                return True

                            if self.node_adjacency_id_exists is not None:
                                return True

                            if self.node_id is not None:
                                return True

                            if self.only_valid_mpls_label is not None:
                                return True

                            if self.remote_address is not None:
                                return True

                            if self.segment_id_exists is not None:
                                return True

                            if self.segment_id_type is not None:
                                return True

                            if self.segment_id_value is not None:
                                return True

                            if self.strict is not None:
                                return True

                            if self.subobj_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsPceStdby.Lsps.Lsp.Paths.Rro.Subobject']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:rro'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.address is not None:
                            for child in self.address:
                                if child is not None:
                                    return True

                        if self.cost is not None:
                            return True

                        if self.is_used is not None:
                            return True

                        if self.subobject is not None:
                            for child_ref in self.subobject:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsPceStdby.Lsps.Lsp.Paths.Rro']['meta_info']


                class Metric(object):
                    """
                    List of Metrics
                    
                    .. attribute:: cost
                    
                    	Cost
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: type
                    
                    	Type
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.cost = None
                        self.type = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:metric'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.cost is not None:
                            return True

                        if self.type is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsPceStdby.Lsps.Lsp.Paths.Metric']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:paths'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.applied_bw is not None:
                        return True

                    if self.bw is not None:
                        return True

                    if self.ero is not None and self.ero._has_data():
                        return True

                    if self.is_applied_bw_used is not None:
                        return True

                    if self.is_bw_used is not None:
                        return True

                    if self.is_reopt_bw_used is not None:
                        return True

                    if self.lspa is not None and self.lspa._has_data():
                        return True

                    if self.metric is not None:
                        for child_ref in self.metric:
                            if child_ref._has_data():
                                return True

                    if self.reopt_bw is not None:
                        return True

                    if self.rro is not None and self.rro._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPceStdby.Lsps.Lsp.Paths']['meta_info']

            @property
            def _common_path(self):
                if self.symbolic_name is None:
                    raise YPYModelError('Key property symbolic_name is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce-stdby/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:lsp[Cisco-IOS-XR-mpls-te-oper:symbolic-name = ' + str(self.symbolic_name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.symbolic_name is not None:
                    return True

                if self.administrative is not None:
                    return True

                if self.autoroute is not None and self.autoroute._has_data():
                    return True

                if self.backup_path is not None:
                    for child in self.backup_path:
                        if child is not None:
                            return True

                if self.binding_sid is not None:
                    return True

                if self.cleanup_timer_exp is not None:
                    return True

                if self.create is not None:
                    return True

                if self.creator is not None and self.creator._has_data():
                    return True

                if self.delegatable is not None:
                    return True

                if self.delegated is not None and self.delegated._has_data():
                    return True

                if self.delegation_timer_exp is not None:
                    return True

                if self.destination_address is not None:
                    return True

                if self.forward_class_id is not None:
                    return True

                if self.identifiers is not None and self.identifiers._has_data():
                    return True

                if self.load_share is not None:
                    return True

                if self.lspo_is_used is not None:
                    return True

                if self.operational is not None:
                    return True

                if self.path_setup_type is not None:
                    return True

                if self.paths is not None:
                    for child_ref in self.paths:
                        if child_ref._has_data():
                            return True

                if self.request_queue_size is not None:
                    return True

                if self.session_internal_lsp_id is not None:
                    return True

                if self.source_address is not None:
                    return True

                if self.state_timer_exp is not None:
                    return True

                if self.stateful_request_parameter_id is not None:
                    return True

                if self.symbolic_name_xr is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsPceStdby.Lsps.Lsp']['meta_info']


        class Creator(object):
            """
            Creator Peer of the LSP
            
            .. attribute:: address
            
            	Peer Ip Address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: node_identifier
            
            	Peer Node Identifier
            	**type**\:  str
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.address = None
                self.node_identifier = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce-stdby/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:creator'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.address is not None:
                    return True

                if self.node_identifier is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsPceStdby.Lsps.Creator']['meta_info']


        class Delegated(object):
            """
            Owner Peer of the LSP
            
            .. attribute:: address
            
            	Peer Ip Address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: node_identifier
            
            	Peer Node Identifier
            	**type**\:  str
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.address = None
                self.node_identifier = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce-stdby/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:delegated'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.address is not None:
                    return True

                if self.node_identifier is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsPceStdby.Lsps.Delegated']['meta_info']


        class Identifiers(object):
            """
            LSP Identifiers
            
            .. attribute:: ext_tunnel_id
            
            	External Tunnel ID
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: is_used
            
            	LSP Identifier used flag
            	**type**\:  bool
            
            .. attribute:: sender
            
            	Sender Address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: te_lsp_id
            
            	TE LSP ID
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: tunnel_id
            
            	LSPO Tunnel ID
            	**type**\:  int
            
            	**range:** 0..65535
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.ext_tunnel_id = None
                self.is_used = None
                self.sender = None
                self.te_lsp_id = None
                self.tunnel_id = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce-stdby/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:identifiers'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.ext_tunnel_id is not None:
                    return True

                if self.is_used is not None:
                    return True

                if self.sender is not None:
                    return True

                if self.te_lsp_id is not None:
                    return True

                if self.tunnel_id is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsPceStdby.Lsps.Identifiers']['meta_info']


        class Autoroute(object):
            """
            Auto Route
            
            .. attribute:: announced
            
            	Autoroute announced
            	**type**\:  bool
            
            .. attribute:: destination
            
            	Destinations
            	**type**\:  list of str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: is_used
            
            	Autoroute used flag
            	**type**\:  bool
            
            .. attribute:: metric
            
            	Metric Value
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: metric_type
            
            	Metric Type
            	**type**\:   :py:class:`PceLspAutorouteMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceLspAutorouteMetricEnum>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.announced = None
                self.destination = YLeafList()
                self.destination.parent = self
                self.destination.name = 'destination'
                self.is_used = None
                self.metric = None
                self.metric_type = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce-stdby/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:autoroute'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.announced is not None:
                    return True

                if self.destination is not None:
                    for child in self.destination:
                        if child is not None:
                            return True

                if self.is_used is not None:
                    return True

                if self.metric is not None:
                    return True

                if self.metric_type is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsPceStdby.Lsps.Autoroute']['meta_info']


        class Paths(object):
            """
            Array of paths
            
            .. attribute:: applied_bw
            
            	Applied bandwidth
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bw
            
            	Bandwidth
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: ero
            
            	Explicit Router Object
            	**type**\:   :py:class:`Ero <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps.Paths.Ero>`
            
            .. attribute:: is_applied_bw_used
            
            	Applied bandwidth used flag
            	**type**\:  bool
            
            .. attribute:: is_bw_used
            
            	Bandwidth used flag
            	**type**\:  bool
            
            .. attribute:: is_reopt_bw_used
            
            	Reoptimize bandwidth used flag
            	**type**\:  bool
            
            .. attribute:: lspa
            
            	LSP Attributes Object
            	**type**\:   :py:class:`Lspa <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps.Paths.Lspa>`
            
            .. attribute:: metric
            
            	List of Metrics
            	**type**\: list of    :py:class:`Metric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps.Paths.Metric>`
            
            .. attribute:: reopt_bw
            
            	Reoptimize bandwidth
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rro
            
            	Reported Route Object
            	**type**\:   :py:class:`Rro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps.Paths.Rro>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.applied_bw = None
                self.bw = None
                self.ero = MplsPceStdby.Lsps.Paths.Ero()
                self.ero.parent = self
                self.is_applied_bw_used = None
                self.is_bw_used = None
                self.is_reopt_bw_used = None
                self.lspa = MplsPceStdby.Lsps.Paths.Lspa()
                self.lspa.parent = self
                self.metric = YList()
                self.metric.parent = self
                self.metric.name = 'metric'
                self.reopt_bw = None
                self.rro = MplsPceStdby.Lsps.Paths.Rro()
                self.rro.parent = self


            class Ero(object):
                """
                Explicit Router Object
                
                .. attribute:: address
                
                	List of Addresses
                	**type**\:  list of str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: cost
                
                	Cost
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_used
                
                	Route Object used flag
                	**type**\:  bool
                
                .. attribute:: subobject
                
                	List of Route Subobjects
                	**type**\: list of    :py:class:`Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps.Paths.Ero.Subobject>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.address = YLeafList()
                    self.address.parent = self
                    self.address.name = 'address'
                    self.cost = None
                    self.is_used = None
                    self.subobject = YList()
                    self.subobject.parent = self
                    self.subobject.name = 'subobject'


                class Subobject(object):
                    """
                    List of Route Subobjects
                    
                    .. attribute:: complete_mpls_label_entry
                    
                    	If this flag is true, all fields of MPLS labe entry are valid
                    	**type**\:  bool
                    
                    .. attribute:: global_
                    
                    	Global
                    	**type**\:  bool
                    
                    .. attribute:: ipv4_address
                    
                    	IPv4 address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: ipv4_prefix_len
                    
                    	IPv4 Address Prefix Length
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: local_address
                    
                    	Address of the local address corresponding the adjacency SegmentID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: missing_node_adjcency_id
                    
                    	If this flag is true, ERO subobject does not have NodeAdjacencyID
                    	**type**\:  bool
                    
                    .. attribute:: missing_segment_id
                    
                    	If this flag is true, ERO subobject does not have SegmentID
                    	**type**\:  bool
                    
                    .. attribute:: mpls_label
                    
                    	MPLS Label in case Segment ID type is MPLS
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: node_adjacency_id_exists
                    
                    	If this flag is true, the bag contains NodeAdjacencyID information
                    	**type**\:  bool
                    
                    .. attribute:: node_id
                    
                    	Address of the node corresponding the node SegmentID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: only_valid_mpls_label
                    
                    	If this flag is true, SID has only MPLS label value. TC, S, and TTL fields are considered invalid
                    	**type**\:  bool
                    
                    .. attribute:: remote_address
                    
                    	Address of the remote address corresponding the adjacency SegmentID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: segment_id_exists
                    
                    	If this field is true, the bag contains SegmentID value
                    	**type**\:  bool
                    
                    .. attribute:: segment_id_type
                    
                    	Segment ID Type
                    	**type**\:   :py:class:`PceSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceSrSidEnum>`
                    
                    .. attribute:: segment_id_value
                    
                    	Contains a SegmentID value in case SegmentID is valid
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: strict
                    
                    	Strict
                    	**type**\:  bool
                    
                    .. attribute:: subobj_type
                    
                    	Route Subobject Type
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.complete_mpls_label_entry = None
                        self.global_ = None
                        self.ipv4_address = None
                        self.ipv4_prefix_len = None
                        self.local_address = None
                        self.missing_node_adjcency_id = None
                        self.missing_segment_id = None
                        self.mpls_label = None
                        self.node_adjacency_id_exists = None
                        self.node_id = None
                        self.only_valid_mpls_label = None
                        self.remote_address = None
                        self.segment_id_exists = None
                        self.segment_id_type = None
                        self.segment_id_value = None
                        self.strict = None
                        self.subobj_type = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce-stdby/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:paths/Cisco-IOS-XR-mpls-te-oper:ero/Cisco-IOS-XR-mpls-te-oper:subobject'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.complete_mpls_label_entry is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.ipv4_address is not None:
                            return True

                        if self.ipv4_prefix_len is not None:
                            return True

                        if self.local_address is not None:
                            return True

                        if self.missing_node_adjcency_id is not None:
                            return True

                        if self.missing_segment_id is not None:
                            return True

                        if self.mpls_label is not None:
                            return True

                        if self.node_adjacency_id_exists is not None:
                            return True

                        if self.node_id is not None:
                            return True

                        if self.only_valid_mpls_label is not None:
                            return True

                        if self.remote_address is not None:
                            return True

                        if self.segment_id_exists is not None:
                            return True

                        if self.segment_id_type is not None:
                            return True

                        if self.segment_id_value is not None:
                            return True

                        if self.strict is not None:
                            return True

                        if self.subobj_type is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsPceStdby.Lsps.Paths.Ero.Subobject']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce-stdby/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:paths/Cisco-IOS-XR-mpls-te-oper:ero'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.address is not None:
                        for child in self.address:
                            if child is not None:
                                return True

                    if self.cost is not None:
                        return True

                    if self.is_used is not None:
                        return True

                    if self.subobject is not None:
                        for child_ref in self.subobject:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPceStdby.Lsps.Paths.Ero']['meta_info']


            class Lspa(object):
                """
                LSP Attributes Object
                
                .. attribute:: exlude_any
                
                	Exclude Any
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: hold
                
                	Hold
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: include_all
                
                	Include All
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: include_any
                
                	Include Any
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_used
                
                	LSPA used flag
                	**type**\:  bool
                
                .. attribute:: lbit
                
                	L flag
                	**type**\:  bool
                
                .. attribute:: setup
                
                	Setup
                	**type**\:  int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.exlude_any = None
                    self.hold = None
                    self.include_all = None
                    self.include_any = None
                    self.is_used = None
                    self.lbit = None
                    self.setup = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce-stdby/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:paths/Cisco-IOS-XR-mpls-te-oper:lspa'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.exlude_any is not None:
                        return True

                    if self.hold is not None:
                        return True

                    if self.include_all is not None:
                        return True

                    if self.include_any is not None:
                        return True

                    if self.is_used is not None:
                        return True

                    if self.lbit is not None:
                        return True

                    if self.setup is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPceStdby.Lsps.Paths.Lspa']['meta_info']


            class Rro(object):
                """
                Reported Route Object
                
                .. attribute:: address
                
                	List of Addresses
                	**type**\:  list of str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: cost
                
                	Cost
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_used
                
                	Route Object used flag
                	**type**\:  bool
                
                .. attribute:: subobject
                
                	List of Route Subobjects
                	**type**\: list of    :py:class:`Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Lsps.Paths.Rro.Subobject>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.address = YLeafList()
                    self.address.parent = self
                    self.address.name = 'address'
                    self.cost = None
                    self.is_used = None
                    self.subobject = YList()
                    self.subobject.parent = self
                    self.subobject.name = 'subobject'


                class Subobject(object):
                    """
                    List of Route Subobjects
                    
                    .. attribute:: complete_mpls_label_entry
                    
                    	If this flag is true, all fields of MPLS labe entry are valid
                    	**type**\:  bool
                    
                    .. attribute:: global_
                    
                    	Global
                    	**type**\:  bool
                    
                    .. attribute:: ipv4_address
                    
                    	IPv4 address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: ipv4_prefix_len
                    
                    	IPv4 Address Prefix Length
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: local_address
                    
                    	Address of the local address corresponding the adjacency SegmentID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: missing_node_adjcency_id
                    
                    	If this flag is true, ERO subobject does not have NodeAdjacencyID
                    	**type**\:  bool
                    
                    .. attribute:: missing_segment_id
                    
                    	If this flag is true, ERO subobject does not have SegmentID
                    	**type**\:  bool
                    
                    .. attribute:: mpls_label
                    
                    	MPLS Label in case Segment ID type is MPLS
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: node_adjacency_id_exists
                    
                    	If this flag is true, the bag contains NodeAdjacencyID information
                    	**type**\:  bool
                    
                    .. attribute:: node_id
                    
                    	Address of the node corresponding the node SegmentID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: only_valid_mpls_label
                    
                    	If this flag is true, SID has only MPLS label value. TC, S, and TTL fields are considered invalid
                    	**type**\:  bool
                    
                    .. attribute:: remote_address
                    
                    	Address of the remote address corresponding the adjacency SegmentID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: segment_id_exists
                    
                    	If this field is true, the bag contains SegmentID value
                    	**type**\:  bool
                    
                    .. attribute:: segment_id_type
                    
                    	Segment ID Type
                    	**type**\:   :py:class:`PceSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceSrSidEnum>`
                    
                    .. attribute:: segment_id_value
                    
                    	Contains a SegmentID value in case SegmentID is valid
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: strict
                    
                    	Strict
                    	**type**\:  bool
                    
                    .. attribute:: subobj_type
                    
                    	Route Subobject Type
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.complete_mpls_label_entry = None
                        self.global_ = None
                        self.ipv4_address = None
                        self.ipv4_prefix_len = None
                        self.local_address = None
                        self.missing_node_adjcency_id = None
                        self.missing_segment_id = None
                        self.mpls_label = None
                        self.node_adjacency_id_exists = None
                        self.node_id = None
                        self.only_valid_mpls_label = None
                        self.remote_address = None
                        self.segment_id_exists = None
                        self.segment_id_type = None
                        self.segment_id_value = None
                        self.strict = None
                        self.subobj_type = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce-stdby/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:paths/Cisco-IOS-XR-mpls-te-oper:rro/Cisco-IOS-XR-mpls-te-oper:subobject'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.complete_mpls_label_entry is not None:
                            return True

                        if self.global_ is not None:
                            return True

                        if self.ipv4_address is not None:
                            return True

                        if self.ipv4_prefix_len is not None:
                            return True

                        if self.local_address is not None:
                            return True

                        if self.missing_node_adjcency_id is not None:
                            return True

                        if self.missing_segment_id is not None:
                            return True

                        if self.mpls_label is not None:
                            return True

                        if self.node_adjacency_id_exists is not None:
                            return True

                        if self.node_id is not None:
                            return True

                        if self.only_valid_mpls_label is not None:
                            return True

                        if self.remote_address is not None:
                            return True

                        if self.segment_id_exists is not None:
                            return True

                        if self.segment_id_type is not None:
                            return True

                        if self.segment_id_value is not None:
                            return True

                        if self.strict is not None:
                            return True

                        if self.subobj_type is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsPceStdby.Lsps.Paths.Rro.Subobject']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce-stdby/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:paths/Cisco-IOS-XR-mpls-te-oper:rro'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.address is not None:
                        for child in self.address:
                            if child is not None:
                                return True

                    if self.cost is not None:
                        return True

                    if self.is_used is not None:
                        return True

                    if self.subobject is not None:
                        for child_ref in self.subobject:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPceStdby.Lsps.Paths.Rro']['meta_info']


            class Metric(object):
                """
                List of Metrics
                
                .. attribute:: cost
                
                	Cost
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: type
                
                	Type
                	**type**\:  int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.cost = None
                    self.type = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce-stdby/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:paths/Cisco-IOS-XR-mpls-te-oper:metric'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.cost is not None:
                        return True

                    if self.type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPceStdby.Lsps.Paths.Metric']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce-stdby/Cisco-IOS-XR-mpls-te-oper:lsps/Cisco-IOS-XR-mpls-te-oper:paths'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.applied_bw is not None:
                    return True

                if self.bw is not None:
                    return True

                if self.ero is not None and self.ero._has_data():
                    return True

                if self.is_applied_bw_used is not None:
                    return True

                if self.is_bw_used is not None:
                    return True

                if self.is_reopt_bw_used is not None:
                    return True

                if self.lspa is not None and self.lspa._has_data():
                    return True

                if self.metric is not None:
                    for child_ref in self.metric:
                        if child_ref._has_data():
                            return True

                if self.reopt_bw is not None:
                    return True

                if self.rro is not None and self.rro._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsPceStdby.Lsps.Paths']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce-stdby/Cisco-IOS-XR-mpls-te-oper:lsps'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.administrative is not None:
                return True

            if self.autoroute is not None and self.autoroute._has_data():
                return True

            if self.backup_path is not None:
                for child in self.backup_path:
                    if child is not None:
                        return True

            if self.binding_sid is not None:
                return True

            if self.cleanup_timer_exp is not None:
                return True

            if self.create is not None:
                return True

            if self.creator is not None and self.creator._has_data():
                return True

            if self.delegatable is not None:
                return True

            if self.delegated is not None and self.delegated._has_data():
                return True

            if self.delegation_timer_exp is not None:
                return True

            if self.destination_address is not None:
                return True

            if self.forward_class_id is not None:
                return True

            if self.identifiers is not None and self.identifiers._has_data():
                return True

            if self.load_share is not None:
                return True

            if self.lsp is not None:
                for child_ref in self.lsp:
                    if child_ref._has_data():
                        return True

            if self.lspo_is_used is not None:
                return True

            if self.operational is not None:
                return True

            if self.path_setup_type is not None:
                return True

            if self.paths is not None:
                for child_ref in self.paths:
                    if child_ref._has_data():
                        return True

            if self.request_queue_size is not None:
                return True

            if self.session_internal_lsp_id is not None:
                return True

            if self.source_address is not None:
                return True

            if self.state_timer_exp is not None:
                return True

            if self.stateful_request_parameter_id is not None:
                return True

            if self.symbolic_name_xr is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsPceStdby.Lsps']['meta_info']


    class Statistics(object):
        """
        PCE stats info
        
        .. attribute:: average_in_queue_depth
        
        	Average Input Queue Depth
        	**type**\:  list of int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_file_descriptors
        
        	Number of TCP file descriptors currently in use
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_pceq_length
        
        	Current PCE queue length
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_teq_length
        
        	Current TE queue length
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: igp_statistics
        
        	IGP Statistics
        	**type**\:   :py:class:`IgpStatistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Statistics.IgpStatistics>`
        
        .. attribute:: max_file_descriptors
        
        	Maximum number of TCP file descriptors used
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: max_pceq_length
        
        	Max PCE queue length
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: max_teq_length
        
        	Max TE queue length
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: maximum_in_queue_depth
        
        	Max Input Queue Depth
        	**type**\:  list of int
        
        	**range:** 0..4294967295
        
        .. attribute:: neighbors
        
        	Neighbor Count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: pce_req_pending
        
        	Number of pending req
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: pce_req_timed_out
        
        	Number of timedout req
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: pce_req_total
        
        	Total number of PCEReq
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: tunnels
        
        	Tunnel Count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.average_in_queue_depth = YLeafList()
            self.average_in_queue_depth.parent = self
            self.average_in_queue_depth.name = 'average_in_queue_depth'
            self.current_file_descriptors = None
            self.current_pceq_length = None
            self.current_teq_length = None
            self.igp_statistics = MplsPceStdby.Statistics.IgpStatistics()
            self.igp_statistics.parent = self
            self.max_file_descriptors = None
            self.max_pceq_length = None
            self.max_teq_length = None
            self.maximum_in_queue_depth = YLeafList()
            self.maximum_in_queue_depth.parent = self
            self.maximum_in_queue_depth.name = 'maximum_in_queue_depth'
            self.neighbors = None
            self.pce_req_pending = None
            self.pce_req_timed_out = None
            self.pce_req_total = None
            self.tunnels = None


        class IgpStatistics(object):
            """
            IGP Statistics
            
            .. attribute:: abr_lookup_avg
            
            	ABR Lookup Avg
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: abr_lookup_complete
            
            	ABR Lookup Complete
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: abr_lookup_max
            
            	ABR Lookup Max
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: abr_lookup_min
            
            	ABR Lookup Min
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: abr_lookup_timeout
            
            	ABR Lookup Timeout
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.abr_lookup_avg = None
                self.abr_lookup_complete = None
                self.abr_lookup_max = None
                self.abr_lookup_min = None
                self.abr_lookup_timeout = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce-stdby/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:igp-statistics'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.abr_lookup_avg is not None:
                    return True

                if self.abr_lookup_complete is not None:
                    return True

                if self.abr_lookup_max is not None:
                    return True

                if self.abr_lookup_min is not None:
                    return True

                if self.abr_lookup_timeout is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsPceStdby.Statistics.IgpStatistics']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce-stdby/Cisco-IOS-XR-mpls-te-oper:statistics'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.average_in_queue_depth is not None:
                for child in self.average_in_queue_depth:
                    if child is not None:
                        return True

            if self.current_file_descriptors is not None:
                return True

            if self.current_pceq_length is not None:
                return True

            if self.current_teq_length is not None:
                return True

            if self.igp_statistics is not None and self.igp_statistics._has_data():
                return True

            if self.max_file_descriptors is not None:
                return True

            if self.max_pceq_length is not None:
                return True

            if self.max_teq_length is not None:
                return True

            if self.maximum_in_queue_depth is not None:
                for child in self.maximum_in_queue_depth:
                    if child is not None:
                        return True

            if self.neighbors is not None:
                return True

            if self.pce_req_pending is not None:
                return True

            if self.pce_req_timed_out is not None:
                return True

            if self.pce_req_total is not None:
                return True

            if self.tunnels is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsPceStdby.Statistics']['meta_info']


    class Peers(object):
        """
        The set of PCE peers
        
        .. attribute:: peer
        
        	A PCE peer
        	**type**\: list of    :py:class:`Peer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Peers.Peer>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.peer = YList()
            self.peer.parent = self
            self.peer.name = 'peer'


        class Peer(object):
            """
            A PCE peer
            
            .. attribute:: peer_address  <key>
            
            	The peer address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: candidate
            
            	Candidate
            	**type**\:  bool
            
            .. attribute:: capability_db_version
            
            	DB version capability
            	**type**\:  bool
            
            .. attribute:: capability_instantiate
            
            	Instantiation capability
            	**type**\:  bool
            
            .. attribute:: capability_segment_routing
            
            	Segment Routing capability
            	**type**\:  bool
            
            .. attribute:: capability_update
            
            	Update capability
            	**type**\:  bool
            
            .. attribute:: delta_sync_capability
            
            	Delta Synchronization capability
            	**type**\:  bool
            
            .. attribute:: error
            
            	Error (for display only)
            	**type**\:  str
            
            .. attribute:: ig_ps
            
            	IGPs
            	**type**\: list of    :py:class:`IgPs <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Peers.Peer.IgPs>`
            
            .. attribute:: keepalives
            
            	Keepalive count
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: keychain_enabled
            
            	Keychain based Authentication Enabled
            	**type**\:  bool
            
            .. attribute:: last_rx_pce_err
            
            	Last received PCEErr
            	**type**\:   :py:class:`LastRxPceErr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Peers.Peer.LastRxPceErr>`
            
            .. attribute:: last_tx_pce_err
            
            	Last sent PCEErr
            	**type**\:   :py:class:`LastTxPceErr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Peers.Peer.LastTxPceErr>`
            
            .. attribute:: local_sid
            
            	Local PCEP session ID
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: max_dead_interval
            
            	Maximum dead interval for the peer
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: md5_enabled
            
            	MD5 Authentication Enabled
            	**type**\:  bool
            
            .. attribute:: min_keepalive_interval
            
            	Minimum keepalive interval for the peer
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: negotated_dead_time
            
            	Negotiated DT
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: negotiated_keepalive
            
            	Negotiated KA
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_err_rx
            
            	PCEErr Rx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_err_tx
            
            	PCEErr Tx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_init_rx
            
            	PCEInit Rx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_init_tx
            
            	PCEInit Tx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_keepalive_rx
            
            	PCE Keepalive Rx
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: pce_keepalive_tx
            
            	PCE Keepalive Tx
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: pce_open_rx
            
            	PCEOpen Rx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_open_tx
            
            	PCEOpen Tx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_rep_rx
            
            	PCERep Rx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_rep_tx
            
            	PCERep Tx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_req_rx
            
            	PCEReq Rx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_req_tx
            
            	PCEReq Tx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_rpt_rx
            
            	PCERpt Rx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_rpt_tx
            
            	PCERpt Tx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_state
            
            	PCE State
            	**type**\:   :py:class:`PceStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceStateEnum>`
            
            .. attribute:: pce_upd_rx
            
            	PCEUpd Rx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pce_upd_tx
            
            	PCEUpd Tx
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: pcep_up_time
            
            	PCEP Up Time
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: precedence
            
            	PCE Precedence
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: remote_sid
            
            	Remote PCEP session ID
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: req_reply_avg
            
            	Average reply time from peer in ms
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: req_reply_max
            
            	Maximum reply time from peer in ms
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: req_reply_min
            
            	Mininum reply time from peer in ms
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: request_timeouts
            
            	Request timeout count
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: stateful
            
            	Stateful
            	**type**\:  bool
            
            .. attribute:: statically_configured
            
            	Statically Configured
            	**type**\:  bool
            
            .. attribute:: triggered_sync_capability
            
            	Triggered Synchronization capability
            	**type**\:  bool
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.peer_address = None
                self.candidate = None
                self.capability_db_version = None
                self.capability_instantiate = None
                self.capability_segment_routing = None
                self.capability_update = None
                self.delta_sync_capability = None
                self.error = None
                self.ig_ps = YList()
                self.ig_ps.parent = self
                self.ig_ps.name = 'ig_ps'
                self.keepalives = None
                self.keychain_enabled = None
                self.last_rx_pce_err = MplsPceStdby.Peers.Peer.LastRxPceErr()
                self.last_rx_pce_err.parent = self
                self.last_tx_pce_err = MplsPceStdby.Peers.Peer.LastTxPceErr()
                self.last_tx_pce_err.parent = self
                self.local_sid = None
                self.max_dead_interval = None
                self.md5_enabled = None
                self.min_keepalive_interval = None
                self.negotated_dead_time = None
                self.negotiated_keepalive = None
                self.pce_err_rx = None
                self.pce_err_tx = None
                self.pce_init_rx = None
                self.pce_init_tx = None
                self.pce_keepalive_rx = None
                self.pce_keepalive_tx = None
                self.pce_open_rx = None
                self.pce_open_tx = None
                self.pce_rep_rx = None
                self.pce_rep_tx = None
                self.pce_req_rx = None
                self.pce_req_tx = None
                self.pce_rpt_rx = None
                self.pce_rpt_tx = None
                self.pce_state = None
                self.pce_upd_rx = None
                self.pce_upd_tx = None
                self.pcep_up_time = None
                self.precedence = None
                self.remote_sid = None
                self.req_reply_avg = None
                self.req_reply_max = None
                self.req_reply_min = None
                self.request_timeouts = None
                self.stateful = None
                self.statically_configured = None
                self.triggered_sync_capability = None


            class LastTxPceErr(object):
                """
                Last sent PCEErr
                
                .. attribute:: has_open_object
                
                	Has Open object
                	**type**\:  bool
                
                .. attribute:: has_rp_object
                
                	Has RP object
                	**type**\:  bool
                
                .. attribute:: open_dead_time
                
                	Open Deadtime (seconds)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: open_keepalive
                
                	Open Keepalive (seconds)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: openversion
                
                	Open Version
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: pce_err_type
                
                	PCE Error Type
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: pce_err_value
                
                	PCE Error Value
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: rp_request_id
                
                	RP request ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.has_open_object = None
                    self.has_rp_object = None
                    self.open_dead_time = None
                    self.open_keepalive = None
                    self.openversion = None
                    self.pce_err_type = None
                    self.pce_err_value = None
                    self.rp_request_id = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:last-tx-pce-err'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.has_open_object is not None:
                        return True

                    if self.has_rp_object is not None:
                        return True

                    if self.open_dead_time is not None:
                        return True

                    if self.open_keepalive is not None:
                        return True

                    if self.openversion is not None:
                        return True

                    if self.pce_err_type is not None:
                        return True

                    if self.pce_err_value is not None:
                        return True

                    if self.rp_request_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPceStdby.Peers.Peer.LastTxPceErr']['meta_info']


            class LastRxPceErr(object):
                """
                Last received PCEErr
                
                .. attribute:: has_open_object
                
                	Has Open object
                	**type**\:  bool
                
                .. attribute:: has_rp_object
                
                	Has RP object
                	**type**\:  bool
                
                .. attribute:: open_dead_time
                
                	Open Deadtime (seconds)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: open_keepalive
                
                	Open Keepalive (seconds)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: openversion
                
                	Open Version
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: pce_err_type
                
                	PCE Error Type
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: pce_err_value
                
                	PCE Error Value
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: rp_request_id
                
                	RP request ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.has_open_object = None
                    self.has_rp_object = None
                    self.open_dead_time = None
                    self.open_keepalive = None
                    self.openversion = None
                    self.pce_err_type = None
                    self.pce_err_value = None
                    self.rp_request_id = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:last-rx-pce-err'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.has_open_object is not None:
                        return True

                    if self.has_rp_object is not None:
                        return True

                    if self.open_dead_time is not None:
                        return True

                    if self.open_keepalive is not None:
                        return True

                    if self.openversion is not None:
                        return True

                    if self.pce_err_type is not None:
                        return True

                    if self.pce_err_value is not None:
                        return True

                    if self.rp_request_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPceStdby.Peers.Peer.LastRxPceErr']['meta_info']


            class IgPs(object):
                """
                IGPs
                
                .. attribute:: igp_instance_id
                
                	Instance ID
                	**type**\:  str
                
                .. attribute:: igp_type
                
                	Type
                	**type**\:   :py:class:`IgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpProtocolEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.igp_instance_id = None
                    self.igp_type = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ig-ps'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.igp_instance_id is not None:
                        return True

                    if self.igp_type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPceStdby.Peers.Peer.IgPs']['meta_info']

            @property
            def _common_path(self):
                if self.peer_address is None:
                    raise YPYModelError('Key property peer_address is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce-stdby/Cisco-IOS-XR-mpls-te-oper:peers/Cisco-IOS-XR-mpls-te-oper:peer[Cisco-IOS-XR-mpls-te-oper:peer-address = ' + str(self.peer_address) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.peer_address is not None:
                    return True

                if self.candidate is not None:
                    return True

                if self.capability_db_version is not None:
                    return True

                if self.capability_instantiate is not None:
                    return True

                if self.capability_segment_routing is not None:
                    return True

                if self.capability_update is not None:
                    return True

                if self.delta_sync_capability is not None:
                    return True

                if self.error is not None:
                    return True

                if self.ig_ps is not None:
                    for child_ref in self.ig_ps:
                        if child_ref._has_data():
                            return True

                if self.keepalives is not None:
                    return True

                if self.keychain_enabled is not None:
                    return True

                if self.last_rx_pce_err is not None and self.last_rx_pce_err._has_data():
                    return True

                if self.last_tx_pce_err is not None and self.last_tx_pce_err._has_data():
                    return True

                if self.local_sid is not None:
                    return True

                if self.max_dead_interval is not None:
                    return True

                if self.md5_enabled is not None:
                    return True

                if self.min_keepalive_interval is not None:
                    return True

                if self.negotated_dead_time is not None:
                    return True

                if self.negotiated_keepalive is not None:
                    return True

                if self.pce_err_rx is not None:
                    return True

                if self.pce_err_tx is not None:
                    return True

                if self.pce_init_rx is not None:
                    return True

                if self.pce_init_tx is not None:
                    return True

                if self.pce_keepalive_rx is not None:
                    return True

                if self.pce_keepalive_tx is not None:
                    return True

                if self.pce_open_rx is not None:
                    return True

                if self.pce_open_tx is not None:
                    return True

                if self.pce_rep_rx is not None:
                    return True

                if self.pce_rep_tx is not None:
                    return True

                if self.pce_req_rx is not None:
                    return True

                if self.pce_req_tx is not None:
                    return True

                if self.pce_rpt_rx is not None:
                    return True

                if self.pce_rpt_tx is not None:
                    return True

                if self.pce_state is not None:
                    return True

                if self.pce_upd_rx is not None:
                    return True

                if self.pce_upd_tx is not None:
                    return True

                if self.pcep_up_time is not None:
                    return True

                if self.precedence is not None:
                    return True

                if self.remote_sid is not None:
                    return True

                if self.req_reply_avg is not None:
                    return True

                if self.req_reply_max is not None:
                    return True

                if self.req_reply_min is not None:
                    return True

                if self.request_timeouts is not None:
                    return True

                if self.stateful is not None:
                    return True

                if self.statically_configured is not None:
                    return True

                if self.triggered_sync_capability is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsPceStdby.Peers.Peer']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce-stdby/Cisco-IOS-XR-mpls-te-oper:peers'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.peer is not None:
                for child_ref in self.peer:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsPceStdby.Peers']['meta_info']


    class Topology(object):
        """
        The topology information in PCE
        
        .. attribute:: global_
        
        	The global information of the overall  topology
        	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Topology.Global_>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.global_ = MplsPceStdby.Topology.Global_()
            self.global_.parent = self


        class Global_(object):
            """
            The global information of the overall  topology
            
            .. attribute:: nodes
            
            	Node information
            	**type**\: list of    :py:class:`Nodes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Topology.Global_.Nodes>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.nodes = YList()
                self.nodes.parent = self
                self.nodes.name = 'nodes'


            class Nodes(object):
                """
                Node information
                
                .. attribute:: igp_area_format
                
                	IGP Area Format
                	**type**\:   :py:class:`IgpOspfAreaFormatEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpOspfAreaFormatEnum>`
                
                .. attribute:: igp_area_id
                
                	IGP Area number
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_pce_border_node
                
                	PCE border node
                	**type**\:  bool
                
                .. attribute:: node_id
                
                	Node ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: pce_cost
                
                	PCE cost
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: router_id
                
                	Router ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.igp_area_format = None
                    self.igp_area_id = None
                    self.is_pce_border_node = None
                    self.node_id = None
                    self.pce_cost = None
                    self.router_id = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce-stdby/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:global/Cisco-IOS-XR-mpls-te-oper:nodes'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.igp_area_format is not None:
                        return True

                    if self.igp_area_id is not None:
                        return True

                    if self.is_pce_border_node is not None:
                        return True

                    if self.node_id is not None:
                        return True

                    if self.pce_cost is not None:
                        return True

                    if self.router_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsPceStdby.Topology.Global_.Nodes']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce-stdby/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:global'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.nodes is not None:
                    for child_ref in self.nodes:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsPceStdby.Topology.Global_']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce-stdby/Cisco-IOS-XR-mpls-te-oper:topology'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.global_ is not None and self.global_._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsPceStdby.Topology']['meta_info']


    class Tunnels(object):
        """
        Table of PCE tunnels
        
        .. attribute:: admin_weight
        
        	Path metric
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: configured_pce_address
        
        	Configured PCE Address
        	**type**\:  str
        
        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
        
        .. attribute:: curr_path_option_index
        
        	Path Option Index of the current path
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: destination_address
        
        	Destination Address
        	**type**\:  str
        
        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
        
        .. attribute:: hop_count
        
        	Hop Count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: is_curr_path_option_pce
        
        	True if current path option is PCE based
        	**type**\:  bool
        
        .. attribute:: path_state
        
        	Path Request State
        	**type**\:   :py:class:`PceTunPathStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceTunPathStateEnum>`
        
        .. attribute:: sender_pce_address
        
        	Sender PCE Address
        	**type**\:  str
        
        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
        
        .. attribute:: source_address
        
        	Source Address
        	**type**\:  str
        
        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
        
        .. attribute:: tunnel
        
        	Information of a PCE tunnel
        	**type**\: list of    :py:class:`Tunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsPceStdby.Tunnels.Tunnel>`
        
        .. attribute:: tunnel_state
        
        	Tunnel State
        	**type**\:   :py:class:`PceTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceTunnelStateEnum>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.admin_weight = None
            self.configured_pce_address = None
            self.curr_path_option_index = None
            self.destination_address = None
            self.hop_count = None
            self.is_curr_path_option_pce = None
            self.path_state = None
            self.sender_pce_address = None
            self.source_address = None
            self.tunnel = YList()
            self.tunnel.parent = self
            self.tunnel.name = 'tunnel'
            self.tunnel_state = None


        class Tunnel(object):
            """
            Information of a PCE tunnel
            
            .. attribute:: tunnel_name  <key>
            
            	Tunnel Name
            	**type**\:  str
            
            	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
            
            .. attribute:: admin_weight
            
            	Path metric
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: configured_pce_address
            
            	Configured PCE Address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: curr_path_option_index
            
            	Path Option Index of the current path
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: destination_address
            
            	Destination Address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: hop_count
            
            	Hop Count
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: is_curr_path_option_pce
            
            	True if current path option is PCE based
            	**type**\:  bool
            
            .. attribute:: path_state
            
            	Path Request State
            	**type**\:   :py:class:`PceTunPathStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceTunPathStateEnum>`
            
            .. attribute:: sender_pce_address
            
            	Sender PCE Address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: source_address
            
            	Source Address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: tunnel_state
            
            	Tunnel State
            	**type**\:   :py:class:`PceTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.PceTunnelStateEnum>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tunnel_name = None
                self.admin_weight = None
                self.configured_pce_address = None
                self.curr_path_option_index = None
                self.destination_address = None
                self.hop_count = None
                self.is_curr_path_option_pce = None
                self.path_state = None
                self.sender_pce_address = None
                self.source_address = None
                self.tunnel_state = None

            @property
            def _common_path(self):
                if self.tunnel_name is None:
                    raise YPYModelError('Key property tunnel_name is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce-stdby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel[Cisco-IOS-XR-mpls-te-oper:tunnel-name = ' + str(self.tunnel_name) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tunnel_name is not None:
                    return True

                if self.admin_weight is not None:
                    return True

                if self.configured_pce_address is not None:
                    return True

                if self.curr_path_option_index is not None:
                    return True

                if self.destination_address is not None:
                    return True

                if self.hop_count is not None:
                    return True

                if self.is_curr_path_option_pce is not None:
                    return True

                if self.path_state is not None:
                    return True

                if self.sender_pce_address is not None:
                    return True

                if self.source_address is not None:
                    return True

                if self.tunnel_state is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsPceStdby.Tunnels.Tunnel']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce-stdby/Cisco-IOS-XR-mpls-te-oper:tunnels'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.admin_weight is not None:
                return True

            if self.configured_pce_address is not None:
                return True

            if self.curr_path_option_index is not None:
                return True

            if self.destination_address is not None:
                return True

            if self.hop_count is not None:
                return True

            if self.is_curr_path_option_pce is not None:
                return True

            if self.path_state is not None:
                return True

            if self.sender_pce_address is not None:
                return True

            if self.source_address is not None:
                return True

            if self.tunnel is not None:
                for child_ref in self.tunnel:
                    if child_ref._has_data():
                        return True

            if self.tunnel_state is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsPceStdby.Tunnels']['meta_info']

    @property
    def _common_path(self):

        return '/Cisco-IOS-XR-mpls-te-oper:mpls-pce-stdby'

    def is_config(self):
        ''' Returns True if this instance represents config data else returns False '''
        return False

    def _has_data(self):
        if not self.is_config():
            return False
        if self.lsps is not None and self.lsps._has_data():
            return True

        if self.peers is not None and self.peers._has_data():
            return True

        if self.statistics is not None and self.statistics._has_data():
            return True

        if self.topology is not None and self.topology._has_data():
            return True

        if self.tunnels is not None and self.tunnels._has_data():
            return True

        return False

    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsPceStdby']['meta_info']


class MplsTp(object):
    """
    mpls tp
    
    .. attribute:: tp_global_parameters
    
    	Transport profile global parameters
    	**type**\:   :py:class:`TpGlobalParameters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpGlobalParameters>`
    
    .. attribute:: tp_links
    
    	Transport profile links
    	**type**\:   :py:class:`TpLinks <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpLinks>`
    
    .. attribute:: tp_midpoints
    
    	Transport profile mid\-point
    	**type**\:   :py:class:`TpMidpoints <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpMidpoints>`
    
    .. attribute:: tp_tunnels
    
    	Transport profile tunnels
    	**type**\:   :py:class:`TpTunnels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpTunnels>`
    
    

    """

    _prefix = 'mpls-te-oper'
    _revision = '2015-11-09'

    def __init__(self):
        self.tp_global_parameters = MplsTp.TpGlobalParameters()
        self.tp_global_parameters.parent = self
        self.tp_links = MplsTp.TpLinks()
        self.tp_links.parent = self
        self.tp_midpoints = MplsTp.TpMidpoints()
        self.tp_midpoints.parent = self
        self.tp_tunnels = MplsTp.TpTunnels()
        self.tp_tunnels.parent = self


    class TpLinks(object):
        """
        Transport profile links
        
        .. attribute:: tp_detail_links
        
        	Detailed table of transport profile links
        	**type**\:   :py:class:`TpDetailLinks <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpLinks.TpDetailLinks>`
        
        .. attribute:: tp_link_summary
        
        	Summary of transport profile links
        	**type**\:   :py:class:`TpLinkSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpLinks.TpLinkSummary>`
        
        .. attribute:: tp_links
        
        	Table of transport profile links
        	**type**\:   :py:class:`TpLinks_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpLinks.TpLinks_>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.tp_detail_links = MplsTp.TpLinks.TpDetailLinks()
            self.tp_detail_links.parent = self
            self.tp_link_summary = MplsTp.TpLinks.TpLinkSummary()
            self.tp_link_summary.parent = self
            self.tp_links = MplsTp.TpLinks.TpLinks_()
            self.tp_links.parent = self


        class TpDetailLinks(object):
            """
            Detailed table of transport profile links
            
            .. attribute:: tp_detail_link
            
            	Detailed information of transport profile link
            	**type**\: list of    :py:class:`TpDetailLink <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpLinks.TpDetailLinks.TpDetailLink>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tp_detail_link = YList()
                self.tp_detail_link.parent = self
                self.tp_detail_link.name = 'tp_detail_link'


            class TpDetailLink(object):
                """
                Detailed information of transport profile link
                
                .. attribute:: tp_link_id  <key>
                
                	Numeric transport profile link identifier
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: available_bandwidth
                
                	Available bandwidth in Kbps
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                	**units**\: kbit/s
                
                .. attribute:: interface
                
                	Transport profile link interface name
                	**type**\:  str
                
                .. attribute:: link_id
                
                	Transport profile link identifier
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: link_state
                
                	Link State
                	**type**\:   :py:class:`TpLinkStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TpLinkStateEnum>`
                
                .. attribute:: ls_ps
                
                	Number of TP LSPs on this TP link
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_address
                
                	Transport profile next\-hop in IPv4 address format
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: reserved_bandwidth
                
                	Reserved bandwidth in Kbps
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                	**units**\: kbit/s
                
                .. attribute:: unsupported_linecard
                
                	Link is hosted on a linecard that does not support MPLS\-TP
                	**type**\:  bool
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.tp_link_id = None
                    self.available_bandwidth = None
                    self.interface = None
                    self.link_id = None
                    self.link_state = None
                    self.ls_ps = None
                    self.next_hop_address = None
                    self.reserved_bandwidth = None
                    self.unsupported_linecard = None

                @property
                def _common_path(self):
                    if self.tp_link_id is None:
                        raise YPYModelError('Key property tp_link_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-tp/Cisco-IOS-XR-mpls-te-oper:tp-links/Cisco-IOS-XR-mpls-te-oper:tp-detail-links/Cisco-IOS-XR-mpls-te-oper:tp-detail-link[Cisco-IOS-XR-mpls-te-oper:tp-link-id = ' + str(self.tp_link_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.tp_link_id is not None:
                        return True

                    if self.available_bandwidth is not None:
                        return True

                    if self.interface is not None:
                        return True

                    if self.link_id is not None:
                        return True

                    if self.link_state is not None:
                        return True

                    if self.ls_ps is not None:
                        return True

                    if self.next_hop_address is not None:
                        return True

                    if self.reserved_bandwidth is not None:
                        return True

                    if self.unsupported_linecard is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTp.TpLinks.TpDetailLinks.TpDetailLink']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-tp/Cisco-IOS-XR-mpls-te-oper:tp-links/Cisco-IOS-XR-mpls-te-oper:tp-detail-links'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tp_detail_link is not None:
                    for child_ref in self.tp_detail_link:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTp.TpLinks.TpDetailLinks']['meta_info']


        class TpLinkSummary(object):
            """
            Summary of transport profile links
            
            .. attribute:: links
            
            	Number of transport profile links
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.links = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-tp/Cisco-IOS-XR-mpls-te-oper:tp-links/Cisco-IOS-XR-mpls-te-oper:tp-link-summary'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.links is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTp.TpLinks.TpLinkSummary']['meta_info']


        class TpLinks_(object):
            """
            Table of transport profile links
            
            .. attribute:: tp_link
            
            	Brief information of transport profile link
            	**type**\: list of    :py:class:`TpLink <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpLinks.TpLinks_.TpLink>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tp_link = YList()
                self.tp_link.parent = self
                self.tp_link.name = 'tp_link'


            class TpLink(object):
                """
                Brief information of transport profile link
                
                .. attribute:: tp_link_id  <key>
                
                	Numeric transport profile link identifier
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: available_bandwidth
                
                	Available bandwidth in Kbps
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                	**units**\: kbit/s
                
                .. attribute:: interface
                
                	Transport profile link interface name
                	**type**\:  str
                
                .. attribute:: link_id
                
                	Transport profile link identifier
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: link_state
                
                	Link state
                	**type**\:   :py:class:`TpLinkStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TpLinkStateEnum>`
                
                .. attribute:: next_hop_address
                
                	Transport profile next\-hop in IPv4 address format
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.tp_link_id = None
                    self.available_bandwidth = None
                    self.interface = None
                    self.link_id = None
                    self.link_state = None
                    self.next_hop_address = None

                @property
                def _common_path(self):
                    if self.tp_link_id is None:
                        raise YPYModelError('Key property tp_link_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-tp/Cisco-IOS-XR-mpls-te-oper:tp-links/Cisco-IOS-XR-mpls-te-oper:tp-links/Cisco-IOS-XR-mpls-te-oper:tp-link[Cisco-IOS-XR-mpls-te-oper:tp-link-id = ' + str(self.tp_link_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.tp_link_id is not None:
                        return True

                    if self.available_bandwidth is not None:
                        return True

                    if self.interface is not None:
                        return True

                    if self.link_id is not None:
                        return True

                    if self.link_state is not None:
                        return True

                    if self.next_hop_address is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTp.TpLinks.TpLinks_.TpLink']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-tp/Cisco-IOS-XR-mpls-te-oper:tp-links/Cisco-IOS-XR-mpls-te-oper:tp-links'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tp_link is not None:
                    for child_ref in self.tp_link:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTp.TpLinks.TpLinks_']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-tp/Cisco-IOS-XR-mpls-te-oper:tp-links'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.tp_detail_links is not None and self.tp_detail_links._has_data():
                return True

            if self.tp_link_summary is not None and self.tp_link_summary._has_data():
                return True

            if self.tp_links is not None and self.tp_links._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTp.TpLinks']['meta_info']


    class TpTunnels(object):
        """
        Transport profile tunnels
        
        .. attribute:: tp_detail_tunnels
        
        	Detailed table of transport profile tunnels
        	**type**\:   :py:class:`TpDetailTunnels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpTunnels.TpDetailTunnels>`
        
        .. attribute:: tp_tunnel_summary
        
        	Summary of transport profile tunnels
        	**type**\:   :py:class:`TpTunnelSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpTunnels.TpTunnelSummary>`
        
        .. attribute:: tp_tunnels
        
        	Table of transport profile tunnels
        	**type**\:   :py:class:`TpTunnels_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpTunnels.TpTunnels_>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.tp_detail_tunnels = MplsTp.TpTunnels.TpDetailTunnels()
            self.tp_detail_tunnels.parent = self
            self.tp_tunnel_summary = MplsTp.TpTunnels.TpTunnelSummary()
            self.tp_tunnel_summary.parent = self
            self.tp_tunnels = MplsTp.TpTunnels.TpTunnels_()
            self.tp_tunnels.parent = self


        class TpTunnelSummary(object):
            """
            Summary of transport profile tunnels
            
            .. attribute:: active_protect_ls_ps
            
            	Number of protect LSPs that are active
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: active_working_ls_ps
            
            	Number of working LSPs that are active
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: admin_down_tunnels
            
            	Number of tunnels that are administratively down
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bfd_session_protect_ls_ps
            
            	Number of protect LSPs with BFD session
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bfd_session_working_ls_ps
            
            	Number of working LSPs with BFD session
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: complete_fec_protect_ls_ps
            
            	Number of protect LSPs with complete FEC
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: complete_fec_working_ls_ps
            
            	Number of working LSPs with complete FEC
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: down_protect_ls_ps
            
            	Number of protect LSPs that are in down state
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: down_tunnels
            
            	Number of tunnels that are in down state
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: down_working_ls_ps
            
            	Number of Working LSPs that are in down state
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: locked_protect_ls_ps
            
            	Number of protect LSPs that are locked out
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: locked_working_ls_ps
            
            	Number of working LSPs that are locked out
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: up_protect_ls_ps
            
            	Number of protect LSPs that are in up state
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: up_tunnels
            
            	Number of tunnels that are in up state
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: up_working_ls_ps
            
            	Number of working LSPs that are in up state
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.active_protect_ls_ps = None
                self.active_working_ls_ps = None
                self.admin_down_tunnels = None
                self.bfd_session_protect_ls_ps = None
                self.bfd_session_working_ls_ps = None
                self.complete_fec_protect_ls_ps = None
                self.complete_fec_working_ls_ps = None
                self.down_protect_ls_ps = None
                self.down_tunnels = None
                self.down_working_ls_ps = None
                self.locked_protect_ls_ps = None
                self.locked_working_ls_ps = None
                self.up_protect_ls_ps = None
                self.up_tunnels = None
                self.up_working_ls_ps = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-tp/Cisco-IOS-XR-mpls-te-oper:tp-tunnels/Cisco-IOS-XR-mpls-te-oper:tp-tunnel-summary'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.active_protect_ls_ps is not None:
                    return True

                if self.active_working_ls_ps is not None:
                    return True

                if self.admin_down_tunnels is not None:
                    return True

                if self.bfd_session_protect_ls_ps is not None:
                    return True

                if self.bfd_session_working_ls_ps is not None:
                    return True

                if self.complete_fec_protect_ls_ps is not None:
                    return True

                if self.complete_fec_working_ls_ps is not None:
                    return True

                if self.down_protect_ls_ps is not None:
                    return True

                if self.down_tunnels is not None:
                    return True

                if self.down_working_ls_ps is not None:
                    return True

                if self.locked_protect_ls_ps is not None:
                    return True

                if self.locked_working_ls_ps is not None:
                    return True

                if self.up_protect_ls_ps is not None:
                    return True

                if self.up_tunnels is not None:
                    return True

                if self.up_working_ls_ps is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTp.TpTunnels.TpTunnelSummary']['meta_info']


        class TpDetailTunnels(object):
            """
            Detailed table of transport profile tunnels
            
            .. attribute:: tp_detail_tunnel
            
            	Detailed information of transport profile tunnel
            	**type**\: list of    :py:class:`TpDetailTunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tp_detail_tunnel = YList()
                self.tp_detail_tunnel.parent = self
                self.tp_detail_tunnel.name = 'tp_detail_tunnel'


            class TpDetailTunnel(object):
                """
                Detailed information of transport profile
                tunnel
                
                .. attribute:: tp_tunnel_name  <key>
                
                	Tunnel name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: bfd_interval_active
                
                	BFD interval for active LSP
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: bfd_interval_active_in_micro_sec
                
                	Is BFD interval for active LSP in micro sec
                	**type**\:  bool
                
                .. attribute:: bfd_interval_standby
                
                	BFD interval for standby LSP
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: bfd_interval_standby_in_micro_sec
                
                	Is BFD interval for standby LSP in micro sec
                	**type**\:  bool
                
                .. attribute:: bfd_multiplier_active
                
                	BFD multiplier for active LSP
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: bfd_multiplier_standby
                
                	BFD multiplier for standby LSP
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: oam_interval
                
                	OAM Interval
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: oam_protection_triggers
                
                	OAM Protection Triggers
                	**type**\:   :py:class:`OamProtectionTriggers <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.OamProtectionTriggers>`
                
                .. attribute:: protect_lsp
                
                	Protect LSP information
                	**type**\:   :py:class:`ProtectLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.ProtectLsp>`
                
                .. attribute:: req_bandwidth
                
                	Requested tunnel bandwidth in Kbps
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: kbit/s
                
                .. attribute:: switch_over_time
                
                	The time at which last switchover was triggered
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: switchover_trig
                
                	Switchover trigger
                	**type**\:   :py:class:`MplsTpTunnelSwitchoverTrigEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpTunnelSwitchoverTrigEnum>`
                
                .. attribute:: tunnel
                
                	Brief tunnel information
                	**type**\:   :py:class:`Tunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.Tunnel>`
                
                .. attribute:: tunnel_up_time
                
                	Time in seconds since tunnel went up
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: working_lsp
                
                	Working LSP information
                	**type**\:   :py:class:`WorkingLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.WorkingLsp>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.tp_tunnel_name = None
                    self.bfd_interval_active = None
                    self.bfd_interval_active_in_micro_sec = None
                    self.bfd_interval_standby = None
                    self.bfd_interval_standby_in_micro_sec = None
                    self.bfd_multiplier_active = None
                    self.bfd_multiplier_standby = None
                    self.oam_interval = None
                    self.oam_protection_triggers = MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.OamProtectionTriggers()
                    self.oam_protection_triggers.parent = self
                    self.protect_lsp = MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.ProtectLsp()
                    self.protect_lsp.parent = self
                    self.req_bandwidth = None
                    self.switch_over_time = None
                    self.switchover_trig = None
                    self.tunnel = MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.Tunnel()
                    self.tunnel.parent = self
                    self.tunnel_up_time = None
                    self.working_lsp = MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.WorkingLsp()
                    self.working_lsp.parent = self


                class Tunnel(object):
                    """
                    Brief tunnel information
                    
                    .. attribute:: active_lsp
                    
                    	Active LSP
                    	**type**\:   :py:class:`MplsTpTunnelActiveLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpTunnelActiveLspEnum>`
                    
                    .. attribute:: admin_status
                    
                    	Tunnel admin status
                    	**type**\:   :py:class:`MplsTpTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpTunnelStateEnum>`
                    
                    .. attribute:: destination_global_id
                    
                    	Destination global ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: destination_node_id
                    
                    	Destination node ID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: operation_status
                    
                    	Tunnel operational status
                    	**type**\:   :py:class:`MplsTpTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpTunnelStateEnum>`
                    
                    .. attribute:: protect_lsp
                    
                    	Protect LSP information
                    	**type**\:   :py:class:`ProtectLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.Tunnel.ProtectLsp>`
                    
                    .. attribute:: remote_tunnel_id
                    
                    	Remote tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: source_global_id
                    
                    	Source global ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: source_node_id
                    
                    	Source node ID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: source_tunnel_id
                    
                    	Source tunnel identifier
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tunnel_name
                    
                    	Transport profile tunnel name
                    	**type**\:  str
                    
                    .. attribute:: working_lsp
                    
                    	Working LSP information
                    	**type**\:   :py:class:`WorkingLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.Tunnel.WorkingLsp>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.active_lsp = None
                        self.admin_status = None
                        self.destination_global_id = None
                        self.destination_node_id = None
                        self.operation_status = None
                        self.protect_lsp = MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.Tunnel.ProtectLsp()
                        self.protect_lsp.parent = self
                        self.remote_tunnel_id = None
                        self.source_global_id = None
                        self.source_node_id = None
                        self.source_tunnel_id = None
                        self.tunnel_name = None
                        self.working_lsp = MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.Tunnel.WorkingLsp()
                        self.working_lsp.parent = self


                    class WorkingLsp(object):
                        """
                        Working LSP information
                        
                        .. attribute:: bfd_state
                        
                        	BFD state
                        	**type**\:   :py:class:`MplsTpLspBfdStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspBfdStateEnum>`
                        
                        .. attribute:: lock_out
                        
                        	Lock out
                        	**type**\:  bool
                        
                        .. attribute:: lsp_id
                        
                        	LSP identifier
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_oam_state
                        
                        	Received fault OAM state
                        	**type**\:   :py:class:`MplsTpLspOamStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspOamStateEnum>`
                        
                        .. attribute:: state
                        
                        	LSP state
                        	**type**\:   :py:class:`MplsTpLspStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspStateEnum>`
                        
                        .. attribute:: tx_oam_state
                        
                        	Transmitted fault OAM state
                        	**type**\:   :py:class:`MplsTpLspOamStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspOamStateEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bfd_state = None
                            self.lock_out = None
                            self.lsp_id = None
                            self.rx_oam_state = None
                            self.state = None
                            self.tx_oam_state = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:working-lsp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bfd_state is not None:
                                return True

                            if self.lock_out is not None:
                                return True

                            if self.lsp_id is not None:
                                return True

                            if self.rx_oam_state is not None:
                                return True

                            if self.state is not None:
                                return True

                            if self.tx_oam_state is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.Tunnel.WorkingLsp']['meta_info']


                    class ProtectLsp(object):
                        """
                        Protect LSP information
                        
                        .. attribute:: bfd_state
                        
                        	BFD state
                        	**type**\:   :py:class:`MplsTpLspBfdStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspBfdStateEnum>`
                        
                        .. attribute:: lock_out
                        
                        	Lock out
                        	**type**\:  bool
                        
                        .. attribute:: lsp_id
                        
                        	LSP identifier
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_oam_state
                        
                        	Received fault OAM state
                        	**type**\:   :py:class:`MplsTpLspOamStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspOamStateEnum>`
                        
                        .. attribute:: state
                        
                        	LSP state
                        	**type**\:   :py:class:`MplsTpLspStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspStateEnum>`
                        
                        .. attribute:: tx_oam_state
                        
                        	Transmitted fault OAM state
                        	**type**\:   :py:class:`MplsTpLspOamStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspOamStateEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bfd_state = None
                            self.lock_out = None
                            self.lsp_id = None
                            self.rx_oam_state = None
                            self.state = None
                            self.tx_oam_state = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protect-lsp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bfd_state is not None:
                                return True

                            if self.lock_out is not None:
                                return True

                            if self.lsp_id is not None:
                                return True

                            if self.rx_oam_state is not None:
                                return True

                            if self.state is not None:
                                return True

                            if self.tx_oam_state is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.Tunnel.ProtectLsp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.active_lsp is not None:
                            return True

                        if self.admin_status is not None:
                            return True

                        if self.destination_global_id is not None:
                            return True

                        if self.destination_node_id is not None:
                            return True

                        if self.operation_status is not None:
                            return True

                        if self.protect_lsp is not None and self.protect_lsp._has_data():
                            return True

                        if self.remote_tunnel_id is not None:
                            return True

                        if self.source_global_id is not None:
                            return True

                        if self.source_node_id is not None:
                            return True

                        if self.source_tunnel_id is not None:
                            return True

                        if self.tunnel_name is not None:
                            return True

                        if self.working_lsp is not None and self.working_lsp._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.Tunnel']['meta_info']


                class WorkingLsp(object):
                    """
                    Working LSP information
                    
                    .. attribute:: brief_information
                    
                    	Brief LSP information
                    	**type**\:   :py:class:`BriefInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.WorkingLsp.BriefInformation>`
                    
                    .. attribute:: in_label
                    
                    	Incoming label
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: link_id
                    
                    	Transport Profile Link Identifier
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: oam_refresh_interval
                    
                    	OAM refresh interval
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: out_interface_name
                    
                    	Outgoing interface name
                    	**type**\:  str
                    
                    .. attribute:: out_next_hop
                    
                    	Outgoing next hop in IPv4 address format
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: reserved_bandwidth
                    
                    	Reserved Bandwidth in Kbps
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: kbit/s
                    
                    .. attribute:: tp_out_label
                    
                    	Outgoing label
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.brief_information = MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.WorkingLsp.BriefInformation()
                        self.brief_information.parent = self
                        self.in_label = None
                        self.link_id = None
                        self.oam_refresh_interval = None
                        self.out_interface_name = None
                        self.out_next_hop = None
                        self.reserved_bandwidth = None
                        self.tp_out_label = None


                    class BriefInformation(object):
                        """
                        Brief LSP information
                        
                        .. attribute:: bfd_state
                        
                        	BFD state
                        	**type**\:   :py:class:`MplsTpLspBfdStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspBfdStateEnum>`
                        
                        .. attribute:: lock_out
                        
                        	Lock out
                        	**type**\:  bool
                        
                        .. attribute:: lsp_id
                        
                        	LSP identifier
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_oam_state
                        
                        	Received fault OAM state
                        	**type**\:   :py:class:`MplsTpLspOamStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspOamStateEnum>`
                        
                        .. attribute:: state
                        
                        	LSP state
                        	**type**\:   :py:class:`MplsTpLspStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspStateEnum>`
                        
                        .. attribute:: tx_oam_state
                        
                        	Transmitted fault OAM state
                        	**type**\:   :py:class:`MplsTpLspOamStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspOamStateEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bfd_state = None
                            self.lock_out = None
                            self.lsp_id = None
                            self.rx_oam_state = None
                            self.state = None
                            self.tx_oam_state = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:brief-information'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bfd_state is not None:
                                return True

                            if self.lock_out is not None:
                                return True

                            if self.lsp_id is not None:
                                return True

                            if self.rx_oam_state is not None:
                                return True

                            if self.state is not None:
                                return True

                            if self.tx_oam_state is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.WorkingLsp.BriefInformation']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:working-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.brief_information is not None and self.brief_information._has_data():
                            return True

                        if self.in_label is not None:
                            return True

                        if self.link_id is not None:
                            return True

                        if self.oam_refresh_interval is not None:
                            return True

                        if self.out_interface_name is not None:
                            return True

                        if self.out_next_hop is not None:
                            return True

                        if self.reserved_bandwidth is not None:
                            return True

                        if self.tp_out_label is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.WorkingLsp']['meta_info']


                class ProtectLsp(object):
                    """
                    Protect LSP information
                    
                    .. attribute:: brief_information
                    
                    	Brief LSP information
                    	**type**\:   :py:class:`BriefInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.ProtectLsp.BriefInformation>`
                    
                    .. attribute:: in_label
                    
                    	Incoming label
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: link_id
                    
                    	Transport Profile Link Identifier
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: oam_refresh_interval
                    
                    	OAM refresh interval
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: out_interface_name
                    
                    	Outgoing interface name
                    	**type**\:  str
                    
                    .. attribute:: out_next_hop
                    
                    	Outgoing next hop in IPv4 address format
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: reserved_bandwidth
                    
                    	Reserved Bandwidth in Kbps
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: kbit/s
                    
                    .. attribute:: tp_out_label
                    
                    	Outgoing label
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.brief_information = MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.ProtectLsp.BriefInformation()
                        self.brief_information.parent = self
                        self.in_label = None
                        self.link_id = None
                        self.oam_refresh_interval = None
                        self.out_interface_name = None
                        self.out_next_hop = None
                        self.reserved_bandwidth = None
                        self.tp_out_label = None


                    class BriefInformation(object):
                        """
                        Brief LSP information
                        
                        .. attribute:: bfd_state
                        
                        	BFD state
                        	**type**\:   :py:class:`MplsTpLspBfdStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspBfdStateEnum>`
                        
                        .. attribute:: lock_out
                        
                        	Lock out
                        	**type**\:  bool
                        
                        .. attribute:: lsp_id
                        
                        	LSP identifier
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_oam_state
                        
                        	Received fault OAM state
                        	**type**\:   :py:class:`MplsTpLspOamStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspOamStateEnum>`
                        
                        .. attribute:: state
                        
                        	LSP state
                        	**type**\:   :py:class:`MplsTpLspStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspStateEnum>`
                        
                        .. attribute:: tx_oam_state
                        
                        	Transmitted fault OAM state
                        	**type**\:   :py:class:`MplsTpLspOamStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspOamStateEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bfd_state = None
                            self.lock_out = None
                            self.lsp_id = None
                            self.rx_oam_state = None
                            self.state = None
                            self.tx_oam_state = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:brief-information'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bfd_state is not None:
                                return True

                            if self.lock_out is not None:
                                return True

                            if self.lsp_id is not None:
                                return True

                            if self.rx_oam_state is not None:
                                return True

                            if self.state is not None:
                                return True

                            if self.tx_oam_state is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.ProtectLsp.BriefInformation']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protect-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.brief_information is not None and self.brief_information._has_data():
                            return True

                        if self.in_label is not None:
                            return True

                        if self.link_id is not None:
                            return True

                        if self.oam_refresh_interval is not None:
                            return True

                        if self.out_interface_name is not None:
                            return True

                        if self.out_next_hop is not None:
                            return True

                        if self.reserved_bandwidth is not None:
                            return True

                        if self.tp_out_label is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.ProtectLsp']['meta_info']


                class OamProtectionTriggers(object):
                    """
                    OAM Protection Triggers
                    
                    .. attribute:: ais
                    
                    	Trigger due to AIS
                    	**type**\:  bool
                    
                    .. attribute:: ldi
                    
                    	Trigger due to LDI
                    	**type**\:  bool
                    
                    .. attribute:: lkr
                    
                    	Trigger due to LKR
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.ais = None
                        self.ldi = None
                        self.lkr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:oam-protection-triggers'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.ais is not None:
                            return True

                        if self.ldi is not None:
                            return True

                        if self.lkr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.OamProtectionTriggers']['meta_info']

                @property
                def _common_path(self):
                    if self.tp_tunnel_name is None:
                        raise YPYModelError('Key property tp_tunnel_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-tp/Cisco-IOS-XR-mpls-te-oper:tp-tunnels/Cisco-IOS-XR-mpls-te-oper:tp-detail-tunnels/Cisco-IOS-XR-mpls-te-oper:tp-detail-tunnel[Cisco-IOS-XR-mpls-te-oper:tp-tunnel-name = ' + str(self.tp_tunnel_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.tp_tunnel_name is not None:
                        return True

                    if self.bfd_interval_active is not None:
                        return True

                    if self.bfd_interval_active_in_micro_sec is not None:
                        return True

                    if self.bfd_interval_standby is not None:
                        return True

                    if self.bfd_interval_standby_in_micro_sec is not None:
                        return True

                    if self.bfd_multiplier_active is not None:
                        return True

                    if self.bfd_multiplier_standby is not None:
                        return True

                    if self.oam_interval is not None:
                        return True

                    if self.oam_protection_triggers is not None and self.oam_protection_triggers._has_data():
                        return True

                    if self.protect_lsp is not None and self.protect_lsp._has_data():
                        return True

                    if self.req_bandwidth is not None:
                        return True

                    if self.switch_over_time is not None:
                        return True

                    if self.switchover_trig is not None:
                        return True

                    if self.tunnel is not None and self.tunnel._has_data():
                        return True

                    if self.tunnel_up_time is not None:
                        return True

                    if self.working_lsp is not None and self.working_lsp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-tp/Cisco-IOS-XR-mpls-te-oper:tp-tunnels/Cisco-IOS-XR-mpls-te-oper:tp-detail-tunnels'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tp_detail_tunnel is not None:
                    for child_ref in self.tp_detail_tunnel:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTp.TpTunnels.TpDetailTunnels']['meta_info']


        class TpTunnels_(object):
            """
            Table of transport profile tunnels
            
            .. attribute:: tp_tunnel
            
            	Brief information of transport profile tunnel
            	**type**\: list of    :py:class:`TpTunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpTunnels.TpTunnels_.TpTunnel>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tp_tunnel = YList()
                self.tp_tunnel.parent = self
                self.tp_tunnel.name = 'tp_tunnel'


            class TpTunnel(object):
                """
                Brief information of transport profile tunnel
                
                .. attribute:: tp_tunnel_name  <key>
                
                	Tunnel name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: active_lsp
                
                	Active LSP
                	**type**\:   :py:class:`MplsTpTunnelActiveLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpTunnelActiveLspEnum>`
                
                .. attribute:: admin_status
                
                	Tunnel admin status
                	**type**\:   :py:class:`MplsTpTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpTunnelStateEnum>`
                
                .. attribute:: destination_global_id
                
                	Destination global ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: destination_node_id
                
                	Destination node ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: operation_status
                
                	Tunnel operational status
                	**type**\:   :py:class:`MplsTpTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpTunnelStateEnum>`
                
                .. attribute:: protect_lsp
                
                	Protect LSP information
                	**type**\:   :py:class:`ProtectLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpTunnels.TpTunnels_.TpTunnel.ProtectLsp>`
                
                .. attribute:: remote_tunnel_id
                
                	Remote tunnel identifier
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: source_global_id
                
                	Source global ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: source_node_id
                
                	Source node ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: source_tunnel_id
                
                	Source tunnel identifier
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_name
                
                	Transport profile tunnel name
                	**type**\:  str
                
                .. attribute:: working_lsp
                
                	Working LSP information
                	**type**\:   :py:class:`WorkingLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpTunnels.TpTunnels_.TpTunnel.WorkingLsp>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.tp_tunnel_name = None
                    self.active_lsp = None
                    self.admin_status = None
                    self.destination_global_id = None
                    self.destination_node_id = None
                    self.operation_status = None
                    self.protect_lsp = MplsTp.TpTunnels.TpTunnels_.TpTunnel.ProtectLsp()
                    self.protect_lsp.parent = self
                    self.remote_tunnel_id = None
                    self.source_global_id = None
                    self.source_node_id = None
                    self.source_tunnel_id = None
                    self.tunnel_name = None
                    self.working_lsp = MplsTp.TpTunnels.TpTunnels_.TpTunnel.WorkingLsp()
                    self.working_lsp.parent = self


                class WorkingLsp(object):
                    """
                    Working LSP information
                    
                    .. attribute:: bfd_state
                    
                    	BFD state
                    	**type**\:   :py:class:`MplsTpLspBfdStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspBfdStateEnum>`
                    
                    .. attribute:: lock_out
                    
                    	Lock out
                    	**type**\:  bool
                    
                    .. attribute:: lsp_id
                    
                    	LSP identifier
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_oam_state
                    
                    	Received fault OAM state
                    	**type**\:   :py:class:`MplsTpLspOamStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspOamStateEnum>`
                    
                    .. attribute:: state
                    
                    	LSP state
                    	**type**\:   :py:class:`MplsTpLspStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspStateEnum>`
                    
                    .. attribute:: tx_oam_state
                    
                    	Transmitted fault OAM state
                    	**type**\:   :py:class:`MplsTpLspOamStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspOamStateEnum>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bfd_state = None
                        self.lock_out = None
                        self.lsp_id = None
                        self.rx_oam_state = None
                        self.state = None
                        self.tx_oam_state = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:working-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bfd_state is not None:
                            return True

                        if self.lock_out is not None:
                            return True

                        if self.lsp_id is not None:
                            return True

                        if self.rx_oam_state is not None:
                            return True

                        if self.state is not None:
                            return True

                        if self.tx_oam_state is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTp.TpTunnels.TpTunnels_.TpTunnel.WorkingLsp']['meta_info']


                class ProtectLsp(object):
                    """
                    Protect LSP information
                    
                    .. attribute:: bfd_state
                    
                    	BFD state
                    	**type**\:   :py:class:`MplsTpLspBfdStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspBfdStateEnum>`
                    
                    .. attribute:: lock_out
                    
                    	Lock out
                    	**type**\:  bool
                    
                    .. attribute:: lsp_id
                    
                    	LSP identifier
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_oam_state
                    
                    	Received fault OAM state
                    	**type**\:   :py:class:`MplsTpLspOamStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspOamStateEnum>`
                    
                    .. attribute:: state
                    
                    	LSP state
                    	**type**\:   :py:class:`MplsTpLspStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspStateEnum>`
                    
                    .. attribute:: tx_oam_state
                    
                    	Transmitted fault OAM state
                    	**type**\:   :py:class:`MplsTpLspOamStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTpLspOamStateEnum>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bfd_state = None
                        self.lock_out = None
                        self.lsp_id = None
                        self.rx_oam_state = None
                        self.state = None
                        self.tx_oam_state = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protect-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bfd_state is not None:
                            return True

                        if self.lock_out is not None:
                            return True

                        if self.lsp_id is not None:
                            return True

                        if self.rx_oam_state is not None:
                            return True

                        if self.state is not None:
                            return True

                        if self.tx_oam_state is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTp.TpTunnels.TpTunnels_.TpTunnel.ProtectLsp']['meta_info']

                @property
                def _common_path(self):
                    if self.tp_tunnel_name is None:
                        raise YPYModelError('Key property tp_tunnel_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-tp/Cisco-IOS-XR-mpls-te-oper:tp-tunnels/Cisco-IOS-XR-mpls-te-oper:tp-tunnels/Cisco-IOS-XR-mpls-te-oper:tp-tunnel[Cisco-IOS-XR-mpls-te-oper:tp-tunnel-name = ' + str(self.tp_tunnel_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.tp_tunnel_name is not None:
                        return True

                    if self.active_lsp is not None:
                        return True

                    if self.admin_status is not None:
                        return True

                    if self.destination_global_id is not None:
                        return True

                    if self.destination_node_id is not None:
                        return True

                    if self.operation_status is not None:
                        return True

                    if self.protect_lsp is not None and self.protect_lsp._has_data():
                        return True

                    if self.remote_tunnel_id is not None:
                        return True

                    if self.source_global_id is not None:
                        return True

                    if self.source_node_id is not None:
                        return True

                    if self.source_tunnel_id is not None:
                        return True

                    if self.tunnel_name is not None:
                        return True

                    if self.working_lsp is not None and self.working_lsp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTp.TpTunnels.TpTunnels_.TpTunnel']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-tp/Cisco-IOS-XR-mpls-te-oper:tp-tunnels/Cisco-IOS-XR-mpls-te-oper:tp-tunnels'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tp_tunnel is not None:
                    for child_ref in self.tp_tunnel:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTp.TpTunnels.TpTunnels_']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-tp/Cisco-IOS-XR-mpls-te-oper:tp-tunnels'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.tp_detail_tunnels is not None and self.tp_detail_tunnels._has_data():
                return True

            if self.tp_tunnel_summary is not None and self.tp_tunnel_summary._has_data():
                return True

            if self.tp_tunnels is not None and self.tp_tunnels._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTp.TpTunnels']['meta_info']


    class TpMidpoints(object):
        """
        Transport profile mid\-point
        
        .. attribute:: tp_detail_midpoints
        
        	Detailed table of transport profile mid\-points
        	**type**\:   :py:class:`TpDetailMidpoints <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpMidpoints.TpDetailMidpoints>`
        
        .. attribute:: tp_midpoint_summary
        
        	Summary of transport profile mid\-points
        	**type**\:   :py:class:`TpMidpointSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpMidpoints.TpMidpointSummary>`
        
        .. attribute:: tp_midpoints
        
        	Table of transport profile mid\-points
        	**type**\:   :py:class:`TpMidpoints_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpMidpoints.TpMidpoints_>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.tp_detail_midpoints = MplsTp.TpMidpoints.TpDetailMidpoints()
            self.tp_detail_midpoints.parent = self
            self.tp_midpoint_summary = MplsTp.TpMidpoints.TpMidpointSummary()
            self.tp_midpoint_summary.parent = self
            self.tp_midpoints = MplsTp.TpMidpoints.TpMidpoints_()
            self.tp_midpoints.parent = self


        class TpDetailMidpoints(object):
            """
            Detailed table of transport profile mid\-points
            
            .. attribute:: tp_detail_midpoint
            
            	Detailed information of transport profile mid\-point
            	**type**\: list of    :py:class:`TpDetailMidpoint <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tp_detail_midpoint = YList()
                self.tp_detail_midpoint.parent = self
                self.tp_detail_midpoint.name = 'tp_detail_midpoint'


            class TpDetailMidpoint(object):
                """
                Detailed information of transport profile
                mid\-point
                
                .. attribute:: tp_midpoint_name  <key>
                
                	Mid\-point name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: brief_lsp_information
                
                	Brief LSP information
                	**type**\:   :py:class:`BriefLspInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint.BriefLspInformation>`
                
                .. attribute:: forward_lsp
                
                	Forward LSP information
                	**type**\:   :py:class:`ForwardLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint.ForwardLsp>`
                
                .. attribute:: forward_lsp_reserved_bandwidth
                
                	Forward LSP reserved bandwidth in Kbps
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: kbit/s
                
                .. attribute:: reverse_lsp
                
                	Reverse LSP information
                	**type**\:   :py:class:`ReverseLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint.ReverseLsp>`
                
                .. attribute:: reverse_lsp_reserved_bandwidth
                
                	Reverse LSP reserved bandwidth in Kbps
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: kbit/s
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.tp_midpoint_name = None
                    self.brief_lsp_information = MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint.BriefLspInformation()
                    self.brief_lsp_information.parent = self
                    self.forward_lsp = MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint.ForwardLsp()
                    self.forward_lsp.parent = self
                    self.forward_lsp_reserved_bandwidth = None
                    self.reverse_lsp = MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint.ReverseLsp()
                    self.reverse_lsp.parent = self
                    self.reverse_lsp_reserved_bandwidth = None


                class BriefLspInformation(object):
                    """
                    Brief LSP information
                    
                    .. attribute:: destination_global_id
                    
                    	Destination Global ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: destination_node_id
                    
                    	Destination Node ID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: destination_tunnel_id
                    
                    	Destination Tunnel ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: forward_lsp_state
                    
                    	Forward LSP State
                    	**type**\:   :py:class:`TpMidLspStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TpMidLspStatusEnum>`
                    
                    .. attribute:: lsp_id
                    
                    	LSP ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: midpoint_name
                    
                    	Mid Point Name
                    	**type**\:  str
                    
                    .. attribute:: reverse_lsp_state
                    
                    	Reverse LSP State
                    	**type**\:   :py:class:`TpMidLspStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TpMidLspStatusEnum>`
                    
                    .. attribute:: source_global_id
                    
                    	Source Global ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: source_node_id
                    
                    	Source Node ID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: source_tunnel_id
                    
                    	Source Tunnel ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tunnel_name
                    
                    	Tunnel Name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.destination_global_id = None
                        self.destination_node_id = None
                        self.destination_tunnel_id = None
                        self.forward_lsp_state = None
                        self.lsp_id = None
                        self.midpoint_name = None
                        self.reverse_lsp_state = None
                        self.source_global_id = None
                        self.source_node_id = None
                        self.source_tunnel_id = None
                        self.tunnel_name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:brief-lsp-information'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.destination_global_id is not None:
                            return True

                        if self.destination_node_id is not None:
                            return True

                        if self.destination_tunnel_id is not None:
                            return True

                        if self.forward_lsp_state is not None:
                            return True

                        if self.lsp_id is not None:
                            return True

                        if self.midpoint_name is not None:
                            return True

                        if self.reverse_lsp_state is not None:
                            return True

                        if self.source_global_id is not None:
                            return True

                        if self.source_node_id is not None:
                            return True

                        if self.source_tunnel_id is not None:
                            return True

                        if self.tunnel_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint.BriefLspInformation']['meta_info']


                class ForwardLsp(object):
                    """
                    Forward LSP information
                    
                    .. attribute:: bandwidth
                    
                    	Configured bandwidth in Kbps
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: kbit/s
                    
                    .. attribute:: in_label
                    
                    	Incoming label
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: next_hop_address
                    
                    	Outgoing next\-hop in IPv4 address format
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: oam_refresh_interval
                    
                    	OAM Refresh time in seconds
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: out_label
                    
                    	Outgoing label
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: out_link
                    
                    	Outgoing TP link ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: outgoing_interface
                    
                    	Outgoing interface
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bandwidth = None
                        self.in_label = None
                        self.next_hop_address = None
                        self.oam_refresh_interval = None
                        self.out_label = None
                        self.out_link = None
                        self.outgoing_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:forward-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bandwidth is not None:
                            return True

                        if self.in_label is not None:
                            return True

                        if self.next_hop_address is not None:
                            return True

                        if self.oam_refresh_interval is not None:
                            return True

                        if self.out_label is not None:
                            return True

                        if self.out_link is not None:
                            return True

                        if self.outgoing_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint.ForwardLsp']['meta_info']


                class ReverseLsp(object):
                    """
                    Reverse LSP information
                    
                    .. attribute:: bandwidth
                    
                    	Configured bandwidth in Kbps
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: kbit/s
                    
                    .. attribute:: in_label
                    
                    	Incoming label
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: next_hop_address
                    
                    	Outgoing next\-hop in IPv4 address format
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: oam_refresh_interval
                    
                    	OAM Refresh time in seconds
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: out_label
                    
                    	Outgoing label
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: out_link
                    
                    	Outgoing TP link ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: outgoing_interface
                    
                    	Outgoing interface
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bandwidth = None
                        self.in_label = None
                        self.next_hop_address = None
                        self.oam_refresh_interval = None
                        self.out_label = None
                        self.out_link = None
                        self.outgoing_interface = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bandwidth is not None:
                            return True

                        if self.in_label is not None:
                            return True

                        if self.next_hop_address is not None:
                            return True

                        if self.oam_refresh_interval is not None:
                            return True

                        if self.out_label is not None:
                            return True

                        if self.out_link is not None:
                            return True

                        if self.outgoing_interface is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint.ReverseLsp']['meta_info']

                @property
                def _common_path(self):
                    if self.tp_midpoint_name is None:
                        raise YPYModelError('Key property tp_midpoint_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-tp/Cisco-IOS-XR-mpls-te-oper:tp-midpoints/Cisco-IOS-XR-mpls-te-oper:tp-detail-midpoints/Cisco-IOS-XR-mpls-te-oper:tp-detail-midpoint[Cisco-IOS-XR-mpls-te-oper:tp-midpoint-name = ' + str(self.tp_midpoint_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.tp_midpoint_name is not None:
                        return True

                    if self.brief_lsp_information is not None and self.brief_lsp_information._has_data():
                        return True

                    if self.forward_lsp is not None and self.forward_lsp._has_data():
                        return True

                    if self.forward_lsp_reserved_bandwidth is not None:
                        return True

                    if self.reverse_lsp is not None and self.reverse_lsp._has_data():
                        return True

                    if self.reverse_lsp_reserved_bandwidth is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-tp/Cisco-IOS-XR-mpls-te-oper:tp-midpoints/Cisco-IOS-XR-mpls-te-oper:tp-detail-midpoints'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tp_detail_midpoint is not None:
                    for child_ref in self.tp_detail_midpoint:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTp.TpMidpoints.TpDetailMidpoints']['meta_info']


        class TpMidpointSummary(object):
            """
            Summary of transport profile mid\-points
            
            .. attribute:: down_forward_ls_ps
            
            	Total number of forward LSPs that are Down
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: down_reverse_ls_ps
            
            	Total number of reverse LSPs that are Down
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: mid_points
            
            	Total number of mid points
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: up_forward_ls_ps
            
            	Total number of forward LSPs that are Up
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: up_reverse_ls_ps
            
            	Total number of reverse LSPs that are Up
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.down_forward_ls_ps = None
                self.down_reverse_ls_ps = None
                self.mid_points = None
                self.up_forward_ls_ps = None
                self.up_reverse_ls_ps = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-tp/Cisco-IOS-XR-mpls-te-oper:tp-midpoints/Cisco-IOS-XR-mpls-te-oper:tp-midpoint-summary'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.down_forward_ls_ps is not None:
                    return True

                if self.down_reverse_ls_ps is not None:
                    return True

                if self.mid_points is not None:
                    return True

                if self.up_forward_ls_ps is not None:
                    return True

                if self.up_reverse_ls_ps is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTp.TpMidpoints.TpMidpointSummary']['meta_info']


        class TpMidpoints_(object):
            """
            Table of transport profile mid\-points
            
            .. attribute:: tp_midpoint
            
            	Brief information of transport profile mid\-point
            	**type**\: list of    :py:class:`TpMidpoint <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpMidpoints.TpMidpoints_.TpMidpoint>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tp_midpoint = YList()
                self.tp_midpoint.parent = self
                self.tp_midpoint.name = 'tp_midpoint'


            class TpMidpoint(object):
                """
                Brief information of transport profile
                mid\-point
                
                .. attribute:: tp_midpoint_name  <key>
                
                	Mid\-point name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: destination_global_id
                
                	Destination Global ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: destination_node_id
                
                	Destination Node ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: destination_tunnel_id
                
                	Destination Tunnel ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: forward_lsp_state
                
                	Forward LSP State
                	**type**\:   :py:class:`TpMidLspStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TpMidLspStatusEnum>`
                
                .. attribute:: lsp_id
                
                	LSP ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: midpoint_name
                
                	Mid Point Name
                	**type**\:  str
                
                .. attribute:: reverse_lsp_state
                
                	Reverse LSP State
                	**type**\:   :py:class:`TpMidLspStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TpMidLspStatusEnum>`
                
                .. attribute:: source_global_id
                
                	Source Global ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: source_node_id
                
                	Source Node ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: source_tunnel_id
                
                	Source Tunnel ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_name
                
                	Tunnel Name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.tp_midpoint_name = None
                    self.destination_global_id = None
                    self.destination_node_id = None
                    self.destination_tunnel_id = None
                    self.forward_lsp_state = None
                    self.lsp_id = None
                    self.midpoint_name = None
                    self.reverse_lsp_state = None
                    self.source_global_id = None
                    self.source_node_id = None
                    self.source_tunnel_id = None
                    self.tunnel_name = None

                @property
                def _common_path(self):
                    if self.tp_midpoint_name is None:
                        raise YPYModelError('Key property tp_midpoint_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-tp/Cisco-IOS-XR-mpls-te-oper:tp-midpoints/Cisco-IOS-XR-mpls-te-oper:tp-midpoints/Cisco-IOS-XR-mpls-te-oper:tp-midpoint[Cisco-IOS-XR-mpls-te-oper:tp-midpoint-name = ' + str(self.tp_midpoint_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.tp_midpoint_name is not None:
                        return True

                    if self.destination_global_id is not None:
                        return True

                    if self.destination_node_id is not None:
                        return True

                    if self.destination_tunnel_id is not None:
                        return True

                    if self.forward_lsp_state is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.midpoint_name is not None:
                        return True

                    if self.reverse_lsp_state is not None:
                        return True

                    if self.source_global_id is not None:
                        return True

                    if self.source_node_id is not None:
                        return True

                    if self.source_tunnel_id is not None:
                        return True

                    if self.tunnel_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTp.TpMidpoints.TpMidpoints_.TpMidpoint']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-tp/Cisco-IOS-XR-mpls-te-oper:tp-midpoints/Cisco-IOS-XR-mpls-te-oper:tp-midpoints'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tp_midpoint is not None:
                    for child_ref in self.tp_midpoint:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTp.TpMidpoints.TpMidpoints_']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-tp/Cisco-IOS-XR-mpls-te-oper:tp-midpoints'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.tp_detail_midpoints is not None and self.tp_detail_midpoints._has_data():
                return True

            if self.tp_midpoint_summary is not None and self.tp_midpoint_summary._has_data():
                return True

            if self.tp_midpoints is not None and self.tp_midpoints._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTp.TpMidpoints']['meta_info']


    class TpGlobalParameters(object):
        """
        Transport profile global parameters
        
        .. attribute:: alarm_suppression
        
        	Tunnel/LSP alarm suppression
        	**type**\:  bool
        
        .. attribute:: bfd_interval
        
        	BFD interval
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: bfd_interval_in_micro_sec
        
        	Is global BFD interval in micro sec
        	**type**\:  bool
        
        .. attribute:: bfd_interval_standby
        
        	BFD interval for standby LSPs
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: bfd_interval_standby_in_micro_sec
        
        	Is global BFD interval for standby LSPs in micro sec
        	**type**\:  bool
        
        .. attribute:: bfd_multiplier
        
        	BFD multiplier
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: bfd_multiplier_standby
        
        	BFD multiplier for standby LSPs
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: global_id
        
        	Global ID
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: node_id
        
        	Node ID
        	**type**\:  str
        
        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
        
        .. attribute:: oam_protection_triggers
        
        	OAM Protection Triggers
        	**type**\:   :py:class:`OamProtectionTriggers <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTp.TpGlobalParameters.OamProtectionTriggers>`
        
        .. attribute:: oam_refresh
        
        	OAM refresh interval in seconds
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        	**units**\: second
        
        .. attribute:: soak_time
        
        	Tunnel/LSP alarm soak time in seconds
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        	**units**\: second
        
        .. attribute:: wait_to_restore_interval
        
        	Wait to restore interval for working LSP in seconds
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        	**units**\: second
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.alarm_suppression = None
            self.bfd_interval = None
            self.bfd_interval_in_micro_sec = None
            self.bfd_interval_standby = None
            self.bfd_interval_standby_in_micro_sec = None
            self.bfd_multiplier = None
            self.bfd_multiplier_standby = None
            self.global_id = None
            self.node_id = None
            self.oam_protection_triggers = MplsTp.TpGlobalParameters.OamProtectionTriggers()
            self.oam_protection_triggers.parent = self
            self.oam_refresh = None
            self.soak_time = None
            self.wait_to_restore_interval = None


        class OamProtectionTriggers(object):
            """
            OAM Protection Triggers
            
            .. attribute:: ais
            
            	Trigger due to AIS
            	**type**\:  bool
            
            .. attribute:: ldi
            
            	Trigger due to LDI
            	**type**\:  bool
            
            .. attribute:: lkr
            
            	Trigger due to LKR
            	**type**\:  bool
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.ais = None
                self.ldi = None
                self.lkr = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-tp/Cisco-IOS-XR-mpls-te-oper:tp-global-parameters/Cisco-IOS-XR-mpls-te-oper:oam-protection-triggers'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.ais is not None:
                    return True

                if self.ldi is not None:
                    return True

                if self.lkr is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTp.TpGlobalParameters.OamProtectionTriggers']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-tp/Cisco-IOS-XR-mpls-te-oper:tp-global-parameters'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.alarm_suppression is not None:
                return True

            if self.bfd_interval is not None:
                return True

            if self.bfd_interval_in_micro_sec is not None:
                return True

            if self.bfd_interval_standby is not None:
                return True

            if self.bfd_interval_standby_in_micro_sec is not None:
                return True

            if self.bfd_multiplier is not None:
                return True

            if self.bfd_multiplier_standby is not None:
                return True

            if self.global_id is not None:
                return True

            if self.node_id is not None:
                return True

            if self.oam_protection_triggers is not None and self.oam_protection_triggers._has_data():
                return True

            if self.oam_refresh is not None:
                return True

            if self.soak_time is not None:
                return True

            if self.wait_to_restore_interval is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTp.TpGlobalParameters']['meta_info']

    @property
    def _common_path(self):

        return '/Cisco-IOS-XR-mpls-te-oper:mpls-tp'

    def is_config(self):
        ''' Returns True if this instance represents config data else returns False '''
        return False

    def _has_data(self):
        if not self.is_config():
            return False
        if self.tp_global_parameters is not None and self.tp_global_parameters._has_data():
            return True

        if self.tp_links is not None and self.tp_links._has_data():
            return True

        if self.tp_midpoints is not None and self.tp_midpoints._has_data():
            return True

        if self.tp_tunnels is not None and self.tp_tunnels._has_data():
            return True

        return False

    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTp']['meta_info']


class MplsTeStandby(object):
    """
    mpls te standby
    
    .. attribute:: affinity_map
    
    	Affinity name to value mapping
    	**type**\:   :py:class:`AffinityMap <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AffinityMap>`
    
    .. attribute:: announce_tunnels_info
    
    	Announced tunnels (forwarding adjacency and autoroute annonce)
    	**type**\:   :py:class:`AnnounceTunnelsInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AnnounceTunnelsInfo>`
    
    .. attribute:: attribute_sets
    
    	AttributeSet information
    	**type**\:   :py:class:`AttributeSets <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets>`
    
    .. attribute:: auto_tunnel
    
    	Auto tunnel information
    	**type**\:   :py:class:`AutoTunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel>`
    
    .. attribute:: auto_tunnel_services
    
    	MPLS TE Auto Tunnel Services
    	**type**\:   :py:class:`AutoTunnelServices <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnelServices>`
    
    .. attribute:: bfd
    
    	MPLS TE BFD Oper Info
    	**type**\:   :py:class:`Bfd <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Bfd>`
    
    .. attribute:: collaborator_timers
    
    	TE Collaborator timer status
    	**type**\:   :py:class:`CollaboratorTimers <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.CollaboratorTimers>`
    
    .. attribute:: diff_serv_te_classes
    
    	The configured Diff Serv TE classes
    	**type**\:   :py:class:`DiffServTeClasses <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.DiffServTeClasses>`
    
    .. attribute:: fast_reroute
    
    	Represent all the fastreroute info in MPLS\-TE
    	**type**\:   :py:class:`FastReroute <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.FastReroute>`
    
    .. attribute:: fib_next_hop_label_routes
    
    	MPLS TE FIB nexthop label route database
    	**type**\:   :py:class:`FibNextHopLabelRoutes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.FibNextHopLabelRoutes>`
    
    .. attribute:: forwarding_adjacency_destinations
    
    	Announced Destination tunnel
    	**type**\:   :py:class:`ForwardingAdjacencyDestinations <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.ForwardingAdjacencyDestinations>`
    
    .. attribute:: hardware_out_of_resources
    
    	NPU Hardware OOR Information
    	**type**\:   :py:class:`HardwareOutOfResources <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.HardwareOutOfResources>`
    
    .. attribute:: igp_area_briefs
    
    	The set of IGP\-areas known to MPLS\-TE
    	**type**\:   :py:class:`IgpAreaBriefs <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.IgpAreaBriefs>`
    
    .. attribute:: igp_areas
    
    	The set of IGP\-areas known to MPLS\-TE
    	**type**\:   :py:class:`IgpAreas <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.IgpAreas>`
    
    .. attribute:: issu
    
    	MPLS TE ISSU information
    	**type**\:   :py:class:`Issu <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu>`
    
    .. attribute:: lsp_out_of_resources
    
    	LSP OOR information
    	**type**\:   :py:class:`LspOutOfResources <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.LspOutOfResources>`
    
    .. attribute:: maximum_tunnels
    
    	MPLS Traffic Engineering Tunnels
    	**type**\:   :py:class:`MaximumTunnels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.MaximumTunnels>`
    
    .. attribute:: nsr
    
    	MPLS TE NSR information
    	**type**\:   :py:class:`Nsr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr>`
    
    .. attribute:: open_config
    
    	OpenConfig MPLS TE operational data
    	**type**\:   :py:class:`OpenConfig <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.OpenConfig>`
    
    .. attribute:: p2mp
    
    	P2MP Information
    	**type**\:   :py:class:`P2Mp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp>`
    
    .. attribute:: p2p_p2mp_tunnel
    
    	P2P or P2MP tunnels
    	**type**\:   :py:class:`P2PP2MpTunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel>`
    
    .. attribute:: path_protection
    
    	MPLS TE path protection info
    	**type**\:   :py:class:`PathProtection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.PathProtection>`
    
    .. attribute:: signalling_counters
    
    	TE counters
    	**type**\:   :py:class:`SignallingCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters>`
    
    .. attribute:: soft_preemption
    
    	Soft Preemption information
    	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SoftPreemption>`
    
    .. attribute:: topology
    
    	The topology information in MPLS\-TE
    	**type**\:   :py:class:`Topology <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology>`
    
    .. attribute:: topology_briefs
    
    	MPLS\-TE topology brief table
    	**type**\:   :py:class:`TopologyBriefs <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyBriefs>`
    
    .. attribute:: topology_nodes
    
    	A node in the MPLS\-TE topology
    	**type**\:   :py:class:`TopologyNodes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyNodes>`
    
    .. attribute:: tunnels
    
    	Failure protection provided for tunnels
    	**type**\:   :py:class:`Tunnels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels>`
    
    .. attribute:: wrap_protection
    
    	Represent all the LSP Wrap Protection info in MPLS\-TE
    	**type**\:   :py:class:`WrapProtection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.WrapProtection>`
    
    

    """

    _prefix = 'mpls-te-oper'
    _revision = '2015-11-09'

    def __init__(self):
        self.affinity_map = MplsTeStandby.AffinityMap()
        self.affinity_map.parent = self
        self.announce_tunnels_info = MplsTeStandby.AnnounceTunnelsInfo()
        self.announce_tunnels_info.parent = self
        self.attribute_sets = MplsTeStandby.AttributeSets()
        self.attribute_sets.parent = self
        self.auto_tunnel = MplsTeStandby.AutoTunnel()
        self.auto_tunnel.parent = self
        self.auto_tunnel_services = MplsTeStandby.AutoTunnelServices()
        self.auto_tunnel_services.parent = self
        self.bfd = MplsTeStandby.Bfd()
        self.bfd.parent = self
        self.collaborator_timers = MplsTeStandby.CollaboratorTimers()
        self.collaborator_timers.parent = self
        self.diff_serv_te_classes = MplsTeStandby.DiffServTeClasses()
        self.diff_serv_te_classes.parent = self
        self.fast_reroute = MplsTeStandby.FastReroute()
        self.fast_reroute.parent = self
        self.fib_next_hop_label_routes = MplsTeStandby.FibNextHopLabelRoutes()
        self.fib_next_hop_label_routes.parent = self
        self.forwarding_adjacency_destinations = MplsTeStandby.ForwardingAdjacencyDestinations()
        self.forwarding_adjacency_destinations.parent = self
        self.hardware_out_of_resources = MplsTeStandby.HardwareOutOfResources()
        self.hardware_out_of_resources.parent = self
        self.igp_area_briefs = MplsTeStandby.IgpAreaBriefs()
        self.igp_area_briefs.parent = self
        self.igp_areas = MplsTeStandby.IgpAreas()
        self.igp_areas.parent = self
        self.issu = MplsTeStandby.Issu()
        self.issu.parent = self
        self.lsp_out_of_resources = MplsTeStandby.LspOutOfResources()
        self.lsp_out_of_resources.parent = self
        self.maximum_tunnels = MplsTeStandby.MaximumTunnels()
        self.maximum_tunnels.parent = self
        self.nsr = MplsTeStandby.Nsr()
        self.nsr.parent = self
        self.open_config = MplsTeStandby.OpenConfig()
        self.open_config.parent = self
        self.p2mp = MplsTeStandby.P2Mp()
        self.p2mp.parent = self
        self.p2p_p2mp_tunnel = MplsTeStandby.P2PP2MpTunnel()
        self.p2p_p2mp_tunnel.parent = self
        self.path_protection = MplsTeStandby.PathProtection()
        self.path_protection.parent = self
        self.signalling_counters = MplsTeStandby.SignallingCounters()
        self.signalling_counters.parent = self
        self.soft_preemption = MplsTeStandby.SoftPreemption()
        self.soft_preemption.parent = self
        self.topology = MplsTeStandby.Topology()
        self.topology.parent = self
        self.topology_briefs = MplsTeStandby.TopologyBriefs()
        self.topology_briefs.parent = self
        self.topology_nodes = MplsTeStandby.TopologyNodes()
        self.topology_nodes.parent = self
        self.tunnels = MplsTeStandby.Tunnels()
        self.tunnels.parent = self
        self.wrap_protection = MplsTeStandby.WrapProtection()
        self.wrap_protection.parent = self


    class HardwareOutOfResources(object):
        """
        NPU Hardware OOR Information
        
        .. attribute:: summary
        
        	HW OOR Summary information
        	**type**\:   :py:class:`Summary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.HardwareOutOfResources.Summary>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.summary = MplsTeStandby.HardwareOutOfResources.Summary()
            self.summary.parent = self


        class Summary(object):
            """
            HW OOR Summary information
            
            .. attribute:: hardware_out_of_resources_state
            
            	Array of NPU HW OOR info per state
            	**type**\: list of    :py:class:`HardwareOutOfResourcesState <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.HardwareOutOfResources.Summary.HardwareOutOfResourcesState>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.hardware_out_of_resources_state = YList()
                self.hardware_out_of_resources_state.parent = self
                self.hardware_out_of_resources_state.name = 'hardware_out_of_resources_state'


            class HardwareOutOfResourcesState(object):
                """
                Array of NPU HW OOR info per state
                
                .. attribute:: accept_reopt
                
                	Make\-before\-break is allowed for LSPs reoptimizing over the same link in the NPU HW OOR state
                	**type**\:  bool
                
                .. attribute:: available_bw_percentage
                
                	The flooded percentage of available bandwidth advertized when the link is in this  NPU HW OOR state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: percentage
                
                .. attribute:: hw_oor_state
                
                	The HW\-OOR state that this information belong to
                	**type**\:   :py:class:`HwOorStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.HwOorStateEnum>`
                
                .. attribute:: minimum_lsp_bandwidth
                
                	Minimum LSP bandwidth so the LSP is admitted when the link is in this NPU HW OOR state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: node_protection_disable
                
                	Disable FRR node protection when the link is in this NPU HW OOR state
                	**type**\:  bool
                
                .. attribute:: statistics
                
                	NPU HW OOR Statistics per state
                	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.HardwareOutOfResources.Summary.HardwareOutOfResourcesState.Statistics>`
                
                .. attribute:: te_metric_penalty
                
                	The TE metric penalty when the link is in this NPU HW OOR state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: transition_duration
                
                	Recovery in minutes after the green OOR state is entered
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: minute
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.accept_reopt = None
                    self.available_bw_percentage = None
                    self.hw_oor_state = None
                    self.minimum_lsp_bandwidth = None
                    self.node_protection_disable = None
                    self.statistics = MplsTeStandby.HardwareOutOfResources.Summary.HardwareOutOfResourcesState.Statistics()
                    self.statistics.parent = self
                    self.te_metric_penalty = None
                    self.transition_duration = None


                class Statistics(object):
                    """
                    NPU HW OOR Statistics per state
                    
                    .. attribute:: accepted_ls_ps_number
                    
                    	Number of LSPs that were accepted in this state
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: accepted_reopt_ls_ps_number
                    
                    	Number of Reoptimize LSPs that were accepted in this state
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: hw_oor_state
                    
                    	The HW\-OOR state that these statistics belong to
                    	**type**\:   :py:class:`HwOorStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.HwOorStateEnum>`
                    
                    .. attribute:: node_protection_disable_number
                    
                    	Number of times this OOR state disabled node protection assignment
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rejected_ls_ps_number
                    
                    	Number of LSPs that were rejected in this state
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rejected_reopt_ls_ps_number
                    
                    	Number of Reoptimize LSPs that were rejected in this state
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: transitions
                    
                    	Number of transitions to this state
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.accepted_ls_ps_number = None
                        self.accepted_reopt_ls_ps_number = None
                        self.hw_oor_state = None
                        self.node_protection_disable_number = None
                        self.rejected_ls_ps_number = None
                        self.rejected_reopt_ls_ps_number = None
                        self.transitions = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:hardware-out-of-resources/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:hardware-out-of-resources-state/Cisco-IOS-XR-mpls-te-oper:statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.accepted_ls_ps_number is not None:
                            return True

                        if self.accepted_reopt_ls_ps_number is not None:
                            return True

                        if self.hw_oor_state is not None:
                            return True

                        if self.node_protection_disable_number is not None:
                            return True

                        if self.rejected_ls_ps_number is not None:
                            return True

                        if self.rejected_reopt_ls_ps_number is not None:
                            return True

                        if self.transitions is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.HardwareOutOfResources.Summary.HardwareOutOfResourcesState.Statistics']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:hardware-out-of-resources/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:hardware-out-of-resources-state'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.accept_reopt is not None:
                        return True

                    if self.available_bw_percentage is not None:
                        return True

                    if self.hw_oor_state is not None:
                        return True

                    if self.minimum_lsp_bandwidth is not None:
                        return True

                    if self.node_protection_disable is not None:
                        return True

                    if self.statistics is not None and self.statistics._has_data():
                        return True

                    if self.te_metric_penalty is not None:
                        return True

                    if self.transition_duration is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.HardwareOutOfResources.Summary.HardwareOutOfResourcesState']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:hardware-out-of-resources/Cisco-IOS-XR-mpls-te-oper:summary'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.hardware_out_of_resources_state is not None:
                    for child_ref in self.hardware_out_of_resources_state:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.HardwareOutOfResources.Summary']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:hardware-out-of-resources'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.summary is not None and self.summary._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.HardwareOutOfResources']['meta_info']


    class P2PP2MpTunnel(object):
        """
        P2P or P2MP tunnels
        
        .. attribute:: nni_tunnels
        
        	GMPLS NNI tunnels
        	**type**\:   :py:class:`NniTunnels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels>`
        
        .. attribute:: tunnel_heads
        
        	Restrict display to P2P or P2MP head tunnels
        	**type**\:   :py:class:`TunnelHeads <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads>`
        
        .. attribute:: tunnel_remote_briefs
        
        	Restrict display to P2P or P2MP mid or tail tunnels
        	**type**\:   :py:class:`TunnelRemoteBriefs <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs>`
        
        .. attribute:: tunnel_remotes
        
        	Restrict display to P2P or P2MP mid or tail tunnels
        	**type**\:   :py:class:`TunnelRemotes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.nni_tunnels = MplsTeStandby.P2PP2MpTunnel.NniTunnels()
            self.nni_tunnels.parent = self
            self.tunnel_heads = MplsTeStandby.P2PP2MpTunnel.TunnelHeads()
            self.tunnel_heads.parent = self
            self.tunnel_remote_briefs = MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs()
            self.tunnel_remote_briefs.parent = self
            self.tunnel_remotes = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes()
            self.tunnel_remotes.parent = self


        class TunnelRemoteBriefs(object):
            """
            Restrict display to P2P or P2MP mid or tail
            tunnels
            
            .. attribute:: tunnel_remote_brief
            
            	P2P or P2MP tunnel that is a mid or tail
            	**type**\: list of    :py:class:`TunnelRemoteBrief <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tunnel_remote_brief = YList()
                self.tunnel_remote_brief.parent = self
                self.tunnel_remote_brief.name = 'tunnel_remote_brief'


            class TunnelRemoteBrief(object):
                """
                P2P or P2MP tunnel that is a mid or tail
                
                .. attribute:: ctype  <key>
                
                	Ctype
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id  <key>
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lsp_id  <key>
                
                	LSP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: p2mp_id  <key>
                
                	P2MP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: source_address  <key>
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id  <key>
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: lsp_fec
                
                	FEC for the LSP
                	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec>`
                
                .. attribute:: s2l
                
                	array of S2L structures
                	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L>`
                
                .. attribute:: signaled_name
                
                	Signaled Name
                	**type**\:  str
                
                .. attribute:: uptime
                
                	Time in seconds since the LSP was up
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ctype = None
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.lsp_id = None
                    self.p2mp_id = None
                    self.source_address = None
                    self.tunnel_id = None
                    self.lsp_fec = MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec()
                    self.lsp_fec.parent = self
                    self.s2l = YList()
                    self.s2l.parent = self
                    self.s2l.name = 's2l'
                    self.signaled_name = None
                    self.uptime = None


                class LspFec(object):
                    """
                    FEC for the LSP
                    
                    .. attribute:: fec_destination_info
                    
                    	Destination or P2MP ID
                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec.FecDestinationInfo>`
                    
                    .. attribute:: fec_extended_tunnel_id
                    
                    	Extended tunnel ID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: fec_lsp_id
                    
                    	LSP ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: fec_source
                    
                    	Tunnel source address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: fec_tunnel_id
                    
                    	Tunnel ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: fec_vrf
                    
                    	VRF; currently only for GMPLS tunnels
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec.FecDestinationInfo()
                        self.fec_destination_info.parent = self
                        self.fec_extended_tunnel_id = None
                        self.fec_lsp_id = None
                        self.fec_source = None
                        self.fec_tunnel_id = None
                        self.fec_vrf = None


                    class FecDestinationInfo(object):
                        """
                        Destination or P2MP ID
                        
                        .. attribute:: fec_ctype
                        
                        	FEC CType
                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                        
                        .. attribute:: fec_destination_p2mp_id
                        
                        	P2MP ID
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: p2p_lsp_destination
                        
                        	P2P LSP destination
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_ctype = None
                            self.fec_destination_p2mp_id = None
                            self.p2p_lsp_destination = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_ctype is not None:
                                return True

                            if self.fec_destination_p2mp_id is not None:
                                return True

                            if self.p2p_lsp_destination is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec.FecDestinationInfo']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                            return True

                        if self.fec_extended_tunnel_id is not None:
                            return True

                        if self.fec_lsp_id is not None:
                            return True

                        if self.fec_source is not None:
                            return True

                        if self.fec_tunnel_id is not None:
                            return True

                        if self.fec_vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec']['meta_info']


                class S2L(object):
                    """
                    array of S2L structures
                    
                    .. attribute:: egress_interface
                    
                    	Egress Interface
                    	**type**\:  str
                    
                    .. attribute:: ingress_interface
                    
                    	Ingress Interface
                    	**type**\:  str
                    
                    .. attribute:: oper_state
                    
                    	Oper state of S2L
                    	**type**\:  bool
                    
                    .. attribute:: role
                    
                    	Role of S2L
                    	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                    
                    .. attribute:: s2l_fec
                    
                    	FEC for the S2L
                    	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L.S2LFec>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the S2L was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.egress_interface = None
                        self.ingress_interface = None
                        self.oper_state = None
                        self.role = None
                        self.s2l_fec = MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L.S2LFec()
                        self.s2l_fec.parent = self
                        self.uptime = None


                    class S2LFec(object):
                        """
                        FEC for the S2L
                        
                        .. attribute:: s2l_fec_ctype
                        
                        	Session identifier (ctype)
                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                        
                        .. attribute:: s2l_fec_dest
                        
                        	sub\-LSP destination address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: s2l_fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: s2l_fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_fec_p2mp_id
                        
                        	P2MP ID
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_fec_source
                        
                        	LSP source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: s2l_fec_subgroup_id
                        
                        	sub\-LSP subgroup ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_fec_subgroup_originator
                        
                        	Subgroup Originator
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: s2l_fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.s2l_fec_ctype = None
                            self.s2l_fec_dest = None
                            self.s2l_fec_extended_tunnel_id = None
                            self.s2l_fec_lsp_id = None
                            self.s2l_fec_p2mp_id = None
                            self.s2l_fec_source = None
                            self.s2l_fec_subgroup_id = None
                            self.s2l_fec_subgroup_originator = None
                            self.s2l_fec_tunnel_id = None
                            self.s2l_fec_vrf = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.s2l_fec_ctype is not None:
                                return True

                            if self.s2l_fec_dest is not None:
                                return True

                            if self.s2l_fec_extended_tunnel_id is not None:
                                return True

                            if self.s2l_fec_lsp_id is not None:
                                return True

                            if self.s2l_fec_p2mp_id is not None:
                                return True

                            if self.s2l_fec_source is not None:
                                return True

                            if self.s2l_fec_subgroup_id is not None:
                                return True

                            if self.s2l_fec_subgroup_originator is not None:
                                return True

                            if self.s2l_fec_tunnel_id is not None:
                                return True

                            if self.s2l_fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L.S2LFec']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.egress_interface is not None:
                            return True

                        if self.ingress_interface is not None:
                            return True

                        if self.oper_state is not None:
                            return True

                        if self.role is not None:
                            return True

                        if self.s2l_fec is not None and self.s2l_fec._has_data():
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L']['meta_info']

                @property
                def _common_path(self):
                    if self.ctype is None:
                        raise YPYModelError('Key property ctype is None')
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.extended_tunnel_id is None:
                        raise YPYModelError('Key property extended_tunnel_id is None')
                    if self.lsp_id is None:
                        raise YPYModelError('Key property lsp_id is None')
                    if self.p2mp_id is None:
                        raise YPYModelError('Key property p2mp_id is None')
                    if self.source_address is None:
                        raise YPYModelError('Key property source_address is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:p2p-p2mp-tunnel/Cisco-IOS-XR-mpls-te-oper:tunnel-remote-briefs/Cisco-IOS-XR-mpls-te-oper:tunnel-remote-brief[Cisco-IOS-XR-mpls-te-oper:ctype = ' + str(self.ctype) + '][Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:extended-tunnel-id = ' + str(self.extended_tunnel_id) + '][Cisco-IOS-XR-mpls-te-oper:lsp-id = ' + str(self.lsp_id) + '][Cisco-IOS-XR-mpls-te-oper:p2mp-id = ' + str(self.p2mp_id) + '][Cisco-IOS-XR-mpls-te-oper:source-address = ' + str(self.source_address) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ctype is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.p2mp_id is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.lsp_fec is not None and self.lsp_fec._has_data():
                        return True

                    if self.s2l is not None:
                        for child_ref in self.s2l:
                            if child_ref._has_data():
                                return True

                    if self.signaled_name is not None:
                        return True

                    if self.uptime is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:p2p-p2mp-tunnel/Cisco-IOS-XR-mpls-te-oper:tunnel-remote-briefs'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tunnel_remote_brief is not None:
                    for child_ref in self.tunnel_remote_brief:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs']['meta_info']


        class TunnelRemotes(object):
            """
            Restrict display to P2P or P2MP mid or tail
            tunnels
            
            .. attribute:: tunnel_remote
            
            	P2P or P2MP tunnel that is a mid or tail
            	**type**\: list of    :py:class:`TunnelRemote <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tunnel_remote = YList()
                self.tunnel_remote.parent = self
                self.tunnel_remote.name = 'tunnel_remote'


            class TunnelRemote(object):
                """
                P2P or P2MP tunnel that is a mid or tail
                
                .. attribute:: ctype  <key>
                
                	Ctype
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id  <key>
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lsp_id  <key>
                
                	LSP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: p2mp_id  <key>
                
                	P2MP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: source_address  <key>
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id  <key>
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: dste_class_index
                
                	Matching DSTE class index
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: dste_class_match
                
                	Do the class type and priority match a DSTE class
                	**type**\:  bool
                
                .. attribute:: frr_active_reason
                
                	P2MP LSP FRR active reason
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_frr_failed
                
                	P2MP LSP has FRR Failed
                	**type**\:  bool
                
                .. attribute:: is_interface
                
                	True for tunnel head
                	**type**\:  bool
                
                .. attribute:: is_passive
                
                	True for passive tunnel
                	**type**\:  bool
                
                .. attribute:: last_path_change
                
                	Time in seconds since the last path change
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: lsp_bandwidth
                
                	P2MP LSP Bandwidth
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: lsp_bandwidth_type
                
                	The LSP bandwidth type
                	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                
                .. attribute:: lsp_fec
                
                	FEC for the LSP
                	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec>`
                
                .. attribute:: lsp_hold_priority
                
                	LSP hold priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: lsp_setup_priority
                
                	LSP setup priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: persistent_bytes
                
                	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                	**units**\: byte
                
                .. attribute:: persistent_packets
                
                	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: reoptimize_reason
                
                	Reason for re\-optimization
                	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                
                .. attribute:: reoptimize_trigger
                
                	Re\-optimize trigger
                	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                
                .. attribute:: s2_ls_down
                
                	Number of down S2Ls
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: s2_ls_proceeding
                
                	Number of proceeding S2Ls
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: s2_ls_up
                
                	Number of connected S2Ls
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: s2l
                
                	array of S2L structures
                	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L>`
                
                .. attribute:: signaled_name
                
                	Signaled Name
                	**type**\:  str
                
                .. attribute:: timer_left
                
                	Time in seconds left to take next action if any
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: type
                
                	The type of this LSP
                	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                
                .. attribute:: uptime
                
                	Time in seconds since the tunnel was up
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ctype = None
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.lsp_id = None
                    self.p2mp_id = None
                    self.source_address = None
                    self.tunnel_id = None
                    self.dste_class_index = None
                    self.dste_class_match = None
                    self.frr_active_reason = None
                    self.is_frr_failed = None
                    self.is_interface = None
                    self.is_passive = None
                    self.last_path_change = None
                    self.lsp_bandwidth = None
                    self.lsp_bandwidth_type = None
                    self.lsp_fec = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec()
                    self.lsp_fec.parent = self
                    self.lsp_hold_priority = None
                    self.lsp_setup_priority = None
                    self.persistent_bytes = None
                    self.persistent_packets = None
                    self.reoptimize_reason = None
                    self.reoptimize_trigger = None
                    self.s2_ls_down = None
                    self.s2_ls_proceeding = None
                    self.s2_ls_up = None
                    self.s2l = YList()
                    self.s2l.parent = self
                    self.s2l.name = 's2l'
                    self.signaled_name = None
                    self.timer_left = None
                    self.type = None
                    self.uptime = None


                class LspFec(object):
                    """
                    FEC for the LSP
                    
                    .. attribute:: fec_destination_info
                    
                    	Destination or P2MP ID
                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec.FecDestinationInfo>`
                    
                    .. attribute:: fec_extended_tunnel_id
                    
                    	Extended tunnel ID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: fec_lsp_id
                    
                    	LSP ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: fec_source
                    
                    	Tunnel source address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: fec_tunnel_id
                    
                    	Tunnel ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: fec_vrf
                    
                    	VRF; currently only for GMPLS tunnels
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec.FecDestinationInfo()
                        self.fec_destination_info.parent = self
                        self.fec_extended_tunnel_id = None
                        self.fec_lsp_id = None
                        self.fec_source = None
                        self.fec_tunnel_id = None
                        self.fec_vrf = None


                    class FecDestinationInfo(object):
                        """
                        Destination or P2MP ID
                        
                        .. attribute:: fec_ctype
                        
                        	FEC CType
                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                        
                        .. attribute:: fec_destination_p2mp_id
                        
                        	P2MP ID
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: p2p_lsp_destination
                        
                        	P2P LSP destination
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_ctype = None
                            self.fec_destination_p2mp_id = None
                            self.p2p_lsp_destination = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_ctype is not None:
                                return True

                            if self.fec_destination_p2mp_id is not None:
                                return True

                            if self.p2p_lsp_destination is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec.FecDestinationInfo']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                            return True

                        if self.fec_extended_tunnel_id is not None:
                            return True

                        if self.fec_lsp_id is not None:
                            return True

                        if self.fec_source is not None:
                            return True

                        if self.fec_tunnel_id is not None:
                            return True

                        if self.fec_vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec']['meta_info']


                class S2L(object):
                    """
                    array of S2L structures
                    
                    .. attribute:: abr_auto_discovered
                    
                    	Next ABR auto discovered
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: active_path_option
                    
                    	The path option used to find the path for this S2L
                    	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption>`
                    
                    .. attribute:: association
                    
                    	Association Object
                    	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Association>`
                    
                    .. attribute:: backup_tunnel_interface
                    
                    	Interface handle of the backup tunnel
                    	**type**\:  str
                    
                    	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                    
                    .. attribute:: diversity_info
                    
                    	S2L Diversity Information
                    	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.DiversityInfo>`
                    
                    .. attribute:: downstream_router_id
                    
                    	Downstream router id
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: egress_interface
                    
                    	Egress Interface
                    	**type**\:  str
                    
                    .. attribute:: egress_interface_brief
                    
                    	Egress Interface in brief format
                    	**type**\:  str
                    
                    .. attribute:: egress_interface_state
                    
                    	State of Outgoing Interface
                    	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                    
                    .. attribute:: expanded_ero_affinity_bits
                    
                    	The Outgoing ERO's affinity bits (colors)
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: expanded_ero_affinity_mask
                    
                    	The Outgoing ERO's affinity mask (colors)
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: expanded_ero_area_id
                    
                    	Indicates the protocol and area used to find Outgoing ERO
                    	**type**\:  str
                    
                    .. attribute:: expanded_ero_metric
                    
                    	The metric value of the expanded path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: expanded_ero_metric_type
                    
                    	The Outgoing ERO's selection metric
                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                    
                    .. attribute:: flex_info
                    
                    	FlexLSP S2L Information
                    	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo>`
                    
                    .. attribute:: frr_out_tunnel_interface
                    
                    	FRR out tunnel intface
                    	**type**\:  str
                    
                    .. attribute:: fspec
                    
                    	The F spec info
                    	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Fspec>`
                    
                    .. attribute:: generic_fspec
                    
                    	Generic FSpec
                    	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec>`
                    
                    .. attribute:: generic_tspec
                    
                    	Generic TSpec
                    	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec>`
                    
                    .. attribute:: gmpls_labels
                    
                    	GMPLS labels
                    	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels>`
                    
                    .. attribute:: head_end_bfd_info
                    
                    	The Head\-end BFD info
                    	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo>`
                    
                    .. attribute:: in_ero
                    
                    	Incoming ERO for this S2L
                    	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro>`
                    
                    .. attribute:: in_xro
                    
                    	Incoming XRO for this S2L
                    	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro>`
                    
                    .. attribute:: incoming_address
                    
                    	Incoming interface address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: incoming_address_generic
                    
                    	Incoming interface address
                    	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric>`
                    
                    .. attribute:: ingress_interface
                    
                    	Ingress Interface
                    	**type**\:  str
                    
                    .. attribute:: ingress_interface_brief
                    
                    	Ingress Interface in brief format
                    	**type**\:  str
                    
                    .. attribute:: ingress_interface_state
                    
                    	State of Incoming Interface
                    	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                    
                    .. attribute:: is_bandwidth_protect
                    
                    	BW Protection Enabled or Disabled
                    	**type**\:  bool
                    
                    .. attribute:: is_expanded_ero
                    
                    	TRUE if this LSR expanded a loose path
                    	**type**\:  bool
                    
                    .. attribute:: is_frr_enabled
                    
                    	FRR Enabled or Disabled
                    	**type**\:  bool
                    
                    .. attribute:: is_node_protected
                    
                    	Node Protection Enabled or Disabled
                    	**type**\:  bool
                    
                    .. attribute:: is_optical
                    
                    	Is Optical
                    	**type**\:  bool
                    
                    .. attribute:: local_router_id
                    
                    	Local router id
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: lsp_wrap_info
                    
                    	Lsp Wrap  Related information
                    	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.LspWrapInfo>`
                    
                    .. attribute:: next_hop_address
                    
                    	Next hop address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: next_hop_address_generic
                    
                    	Next hop address
                    	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric>`
                    
                    .. attribute:: node_hop_count
                    
                    	Hop count
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: otn_s2l
                    
                    	Otn S2L Information
                    	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L>`
                    
                    .. attribute:: out_ero
                    
                    	Outgoing ERO for this S2L
                    	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro>`
                    
                    .. attribute:: out_xro
                    
                    	Outgoing XRO for this S2L
                    	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro>`
                    
                    .. attribute:: outbound_frr_state
                    
                    	Indicates outbound FRR state
                    	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                    
                    .. attribute:: path_affinity_array
                    
                    	Tunnel's Path hops with affinity
                    	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathAffinityArray>`
                    
                    .. attribute:: path_reeval_query_mid
                    
                    	Loose path reevaluation query received at mid\-point
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_rro
                    
                    	Path RRO for this S2L
                    	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro>`
                    
                    .. attribute:: path_rro_enabled
                    
                    	Path RRO Enabled or Disabled
                    	**type**\:  bool
                    
                    .. attribute:: path_using_strict_spf
                    
                    	Path is using Strict SPF
                    	**type**\:  bool
                    
                    .. attribute:: pcalc_area
                    
                    	IGP\-area in which the S2L path was calculated
                    	**type**\:  str
                    
                    .. attribute:: previous_hop_address
                    
                    	Previous hop address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: previous_hop_address_generic
                    
                    	Previous hop address
                    	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric>`
                    
                    .. attribute:: protection
                    
                    	Protection Object
                    	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Protection>`
                    
                    .. attribute:: resv_rro
                    
                    	Resv RRO for this S2L
                    	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro>`
                    
                    .. attribute:: reverse_ero_in
                    
                    	 Reverse Incoming ERO for this S2L
                    	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn>`
                    
                    .. attribute:: reverse_lsp_connected
                    
                    	Reverse Associated Bidir LSP Connected
                    	**type**\:  bool
                    
                    .. attribute:: reverse_lsp_fec
                    
                    	Reverse Associated Bidir LSP FEC
                    	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec>`
                    
                    .. attribute:: reverse_lsp_name
                    
                    	Reverse Associated Bidir LSP Name
                    	**type**\:  str
                    
                    .. attribute:: reverse_lsp_present
                    
                    	Reverse Associated Bidir LSP Present
                    	**type**\:  bool
                    
                    .. attribute:: reverse_tspec
                    
                    	The Reverse T spec info
                    	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseTspec>`
                    
                    .. attribute:: reverse_weight
                    
                    	The reverse path weight
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: role
                    
                    	Role of S2L
                    	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                    
                    .. attribute:: s2l_convergence
                    
                    	TE LSP convergence related information
                    	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LConvergence>`
                    
                    .. attribute:: s2l_fec
                    
                    	FEC for the S2L
                    	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LFec>`
                    
                    .. attribute:: s2l_local_label
                    
                    	Local label
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l_out_label
                    
                    	Outgoing label
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l_reverse_ero_obj_present
                    
                    	 S2l Reverse ERO Object Present
                    	**type**\:  bool
                    
                    .. attribute:: s2l_reverse_lsp_sub_obj
                    
                    	Reverse LSP Sub Objects
                    	**type**\:  list of int
                    
                    	**range:** 0..255
                    
                    .. attribute:: s2l_reverse_tspec_obj_present
                    
                    	 S2L Reverse TSpec Object Present
                    	**type**\:  bool
                    
                    .. attribute:: s2l_segment_routing_path
                    
                    	Segment\-Routing S2L path info
                    	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LSegmentRoutingPath>`
                    
                    .. attribute:: shared_risk_link_group
                    
                    	The S2L's excluded srlg groups
                    	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SharedRiskLinkGroup>`
                    
                    .. attribute:: signalling_status
                    
                    	Signaling status
                    	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                    
                    .. attribute:: soft_preemption
                    
                    	The soft preemption info for this LSP
                    	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SoftPreemption>`
                    
                    .. attribute:: srlg_collection
                    
                    	SRLG\-collection data
                    	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SrlgCollection>`
                    
                    .. attribute:: tail_end_bfd_info
                    
                    	The Tail\-end BFD info
                    	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo>`
                    
                    .. attribute:: time_since_last_preferred_path_exists_send_mid
                    
                    	Time since last preferred path exists msg send from mid\-point
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: time_since_last_preferred_tree_exists_send_mid
                    
                    	Time since last preferred tree exists msg send from mid\-point
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: time_since_last_query_received_mid
                    
                    	Time since last reevaluation query received at mid\-point
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tspec
                    
                    	The T spec info
                    	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Tspec>`
                    
                    .. attribute:: upstream_router_id
                    
                    	Upstream router id
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: weight
                    
                    	The path's weight
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.abr_auto_discovered = None
                        self.active_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption()
                        self.active_path_option.parent = self
                        self.association = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Association()
                        self.association.parent = self
                        self.backup_tunnel_interface = None
                        self.diversity_info = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.DiversityInfo()
                        self.diversity_info.parent = self
                        self.downstream_router_id = None
                        self.egress_interface = None
                        self.egress_interface_brief = None
                        self.egress_interface_state = None
                        self.expanded_ero_affinity_bits = None
                        self.expanded_ero_affinity_mask = None
                        self.expanded_ero_area_id = None
                        self.expanded_ero_metric = None
                        self.expanded_ero_metric_type = None
                        self.flex_info = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo()
                        self.flex_info.parent = self
                        self.frr_out_tunnel_interface = None
                        self.fspec = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Fspec()
                        self.fspec.parent = self
                        self.generic_fspec = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec()
                        self.generic_fspec.parent = self
                        self.generic_tspec = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec()
                        self.generic_tspec.parent = self
                        self.gmpls_labels = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels()
                        self.gmpls_labels.parent = self
                        self.head_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo()
                        self.head_end_bfd_info.parent = self
                        self.in_ero = YList()
                        self.in_ero.parent = self
                        self.in_ero.name = 'in_ero'
                        self.in_xro = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro()
                        self.in_xro.parent = self
                        self.incoming_address = None
                        self.incoming_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric()
                        self.incoming_address_generic.parent = self
                        self.ingress_interface = None
                        self.ingress_interface_brief = None
                        self.ingress_interface_state = None
                        self.is_bandwidth_protect = None
                        self.is_expanded_ero = None
                        self.is_frr_enabled = None
                        self.is_node_protected = None
                        self.is_optical = None
                        self.local_router_id = None
                        self.lsp_wrap_info = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.LspWrapInfo()
                        self.lsp_wrap_info.parent = self
                        self.next_hop_address = None
                        self.next_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric()
                        self.next_hop_address_generic.parent = self
                        self.node_hop_count = None
                        self.otn_s2l = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L()
                        self.otn_s2l.parent = self
                        self.out_ero = YList()
                        self.out_ero.parent = self
                        self.out_ero.name = 'out_ero'
                        self.out_xro = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro()
                        self.out_xro.parent = self
                        self.outbound_frr_state = None
                        self.path_affinity_array = YList()
                        self.path_affinity_array.parent = self
                        self.path_affinity_array.name = 'path_affinity_array'
                        self.path_reeval_query_mid = None
                        self.path_rro = YList()
                        self.path_rro.parent = self
                        self.path_rro.name = 'path_rro'
                        self.path_rro_enabled = None
                        self.path_using_strict_spf = None
                        self.pcalc_area = None
                        self.previous_hop_address = None
                        self.previous_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric()
                        self.previous_hop_address_generic.parent = self
                        self.protection = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Protection()
                        self.protection.parent = self
                        self.resv_rro = YList()
                        self.resv_rro.parent = self
                        self.resv_rro.name = 'resv_rro'
                        self.reverse_ero_in = YList()
                        self.reverse_ero_in.parent = self
                        self.reverse_ero_in.name = 'reverse_ero_in'
                        self.reverse_lsp_connected = None
                        self.reverse_lsp_fec = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec()
                        self.reverse_lsp_fec.parent = self
                        self.reverse_lsp_name = None
                        self.reverse_lsp_present = None
                        self.reverse_tspec = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseTspec()
                        self.reverse_tspec.parent = self
                        self.reverse_weight = None
                        self.role = None
                        self.s2l_convergence = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LConvergence()
                        self.s2l_convergence.parent = self
                        self.s2l_fec = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LFec()
                        self.s2l_fec.parent = self
                        self.s2l_local_label = None
                        self.s2l_out_label = None
                        self.s2l_reverse_ero_obj_present = None
                        self.s2l_reverse_lsp_sub_obj = YLeafList()
                        self.s2l_reverse_lsp_sub_obj.parent = self
                        self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                        self.s2l_reverse_tspec_obj_present = None
                        self.s2l_segment_routing_path = YList()
                        self.s2l_segment_routing_path.parent = self
                        self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                        self.shared_risk_link_group = YList()
                        self.shared_risk_link_group.parent = self
                        self.shared_risk_link_group.name = 'shared_risk_link_group'
                        self.signalling_status = None
                        self.soft_preemption = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SoftPreemption()
                        self.soft_preemption.parent = self
                        self.srlg_collection = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SrlgCollection()
                        self.srlg_collection.parent = self
                        self.tail_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo()
                        self.tail_end_bfd_info.parent = self
                        self.time_since_last_preferred_path_exists_send_mid = None
                        self.time_since_last_preferred_tree_exists_send_mid = None
                        self.time_since_last_query_received_mid = None
                        self.tspec = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Tspec()
                        self.tspec.parent = self
                        self.upstream_router_id = None
                        self.uptime = None
                        self.weight = None


                    class S2LFec(object):
                        """
                        FEC for the S2L
                        
                        .. attribute:: s2l_fec_ctype
                        
                        	Session identifier (ctype)
                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                        
                        .. attribute:: s2l_fec_dest
                        
                        	sub\-LSP destination address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: s2l_fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: s2l_fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_fec_p2mp_id
                        
                        	P2MP ID
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_fec_source
                        
                        	LSP source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: s2l_fec_subgroup_id
                        
                        	sub\-LSP subgroup ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_fec_subgroup_originator
                        
                        	Subgroup Originator
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: s2l_fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.s2l_fec_ctype = None
                            self.s2l_fec_dest = None
                            self.s2l_fec_extended_tunnel_id = None
                            self.s2l_fec_lsp_id = None
                            self.s2l_fec_p2mp_id = None
                            self.s2l_fec_source = None
                            self.s2l_fec_subgroup_id = None
                            self.s2l_fec_subgroup_originator = None
                            self.s2l_fec_tunnel_id = None
                            self.s2l_fec_vrf = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.s2l_fec_ctype is not None:
                                return True

                            if self.s2l_fec_dest is not None:
                                return True

                            if self.s2l_fec_extended_tunnel_id is not None:
                                return True

                            if self.s2l_fec_lsp_id is not None:
                                return True

                            if self.s2l_fec_p2mp_id is not None:
                                return True

                            if self.s2l_fec_source is not None:
                                return True

                            if self.s2l_fec_subgroup_id is not None:
                                return True

                            if self.s2l_fec_subgroup_originator is not None:
                                return True

                            if self.s2l_fec_tunnel_id is not None:
                                return True

                            if self.s2l_fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LFec']['meta_info']


                    class ActivePathOption(object):
                        """
                        The path option used to find the path for this
                        S2L
                        
                        .. attribute:: attribute_set
                        
                        	The path option attribute set used by this path
                        	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet>`
                        
                        .. attribute:: attribute_set_found
                        
                        	TRUE if the path has found the defined attribute set
                        	**type**\:  bool
                        
                        .. attribute:: explicit_path_id
                        
                        	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: explicit_path_name
                        
                        	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                        	**type**\:  str
                        
                        .. attribute:: has_attribute_set
                        
                        	TRUE if the path has an attribute set defined
                        	**type**\:  bool
                        
                        .. attribute:: has_xro_attribute_set
                        
                        	TRUE if the path has an XRO attribute set configured
                        	**type**\:  bool
                        
                        .. attribute:: holddown_duration
                        
                        	Holddown Duration (seconds)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        .. attribute:: is_disabled
                        
                        	TRUE if the path option is disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_helddown
                        
                        	TRUE if path is helddown
                        	**type**\:  bool
                        
                        .. attribute:: is_lockdown
                        
                        	TRUE if the path is locked down
                        	**type**\:  bool
                        
                        .. attribute:: is_segment_routing
                        
                        	TRUE if the path is Segment\-Routing
                        	**type**\:  bool
                        
                        .. attribute:: is_strict_explicit_path
                        
                        	TRUE if explicit path is strict
                        	**type**\:  bool
                        
                        .. attribute:: is_verbatim
                        
                        	TRUE if the path is verbatim
                        	**type**\:  bool
                        
                        .. attribute:: option_index
                        
                        	Path option index
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: option_index_is_valid
                        
                        	The path option index is valid
                        	**type**\:  bool
                        
                        .. attribute:: path_calculation_error
                        
                        	Path computation information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.PathCalculationError>`
                        
                        .. attribute:: path_option_area_id
                        
                        	The path\-option area constraint
                        	**type**\:  str
                        
                        .. attribute:: path_option_name
                        
                        	Path option name
                        	**type**\:  str
                        
                        .. attribute:: path_option_type
                        
                        	Path option type
                        	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                        
                        .. attribute:: pce_address
                        
                        	PCE server address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: protected_by_path_option_index
                        
                        	Path option index for Protect path options
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: remerge_error
                        
                        	Path computation remerge resolve info
                        	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.RemergeError>`
                        
                        .. attribute:: restored_from_path_option_index
                        
                        	Path option index for Restore path options
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: signalling_error
                        
                        	Signalling information
                        	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.SignallingError>`
                        
                        .. attribute:: xro_attribute_set
                        
                        	The XRO attribute set used by this path\-option
                        	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet>`
                        
                        .. attribute:: xro_attribute_set_found
                        
                        	TRUE if the path's XRO attribute set is known
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.attribute_set = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet()
                            self.attribute_set.parent = self
                            self.attribute_set_found = None
                            self.explicit_path_id = None
                            self.explicit_path_name = None
                            self.has_attribute_set = None
                            self.has_xro_attribute_set = None
                            self.holddown_duration = None
                            self.is_disabled = None
                            self.is_helddown = None
                            self.is_lockdown = None
                            self.is_segment_routing = None
                            self.is_strict_explicit_path = None
                            self.is_verbatim = None
                            self.option_index = None
                            self.option_index_is_valid = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_area_id = None
                            self.path_option_name = None
                            self.path_option_type = None
                            self.pce_address = None
                            self.protected_by_path_option_index = None
                            self.remerge_error = YList()
                            self.remerge_error.parent = self
                            self.remerge_error.name = 'remerge_error'
                            self.restored_from_path_option_index = None
                            self.signalling_error = YList()
                            self.signalling_error.parent = self
                            self.signalling_error.name = 'signalling_error'
                            self.xro_attribute_set = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet()
                            self.xro_attribute_set.parent = self
                            self.xro_attribute_set_found = None


                        class AttributeSet(object):
                            """
                            The path option attribute set used by this path
                            
                            .. attribute:: attribute_set_union
                            
                            	Union of Attribute Sets
                            	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                            
                            .. attribute:: tunnel_attribute_set_name
                            
                            	Attribute Set Name
                            	**type**\:  str
                            
                            .. attribute:: tunnel_attribute_set_name_crc32
                            
                            	Attribute Set name CRC32 value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                self.attribute_set_union.parent = self
                                self.tunnel_attribute_set_name = None
                                self.tunnel_attribute_set_name_crc32 = None


                            class AttributeSetUnion(object):
                                """
                                Union of Attribute Sets
                                
                                .. attribute:: attribute_set_aps_pp
                                
                                	Attribute Set OTN APS Path Protection
                                	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                
                                .. attribute:: attribute_set_autobackup
                                
                                	MPLS TE Auto\-backup Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                
                                .. attribute:: attribute_set_automesh
                                
                                	MPLS TE Auto\-mesh Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                
                                .. attribute:: attribute_set_p2mpte
                                
                                	MPLS TE P2MP\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                
                                .. attribute:: attribute_set_p2p_te
                                
                                	MPLS TE P2P\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                
                                .. attribute:: attribute_set_path_option
                                
                                	MPLS TE Path Option Attribute Set
                                	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                
                                .. attribute:: attribute_set_xro
                                
                                	Attribute Set XRO
                                	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                
                                .. attribute:: tunnel_attribute_set_type
                                
                                	TunnelAttributeSetType
                                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                    self.attribute_set_aps_pp.parent = self
                                    self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                    self.attribute_set_autobackup.parent = self
                                    self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                    self.attribute_set_automesh.parent = self
                                    self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                    self.attribute_set_p2mpte.parent = self
                                    self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                    self.attribute_set_p2p_te.parent = self
                                    self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                    self.attribute_set_path_option.parent = self
                                    self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                    self.attribute_set_xro.parent = self
                                    self.tunnel_attribute_set_type = None


                                class AttributeSetPathOption(object):
                                    """
                                    MPLS TE Path Option Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                    
                                    .. attribute:: bandwidth_type
                                    
                                    	The bandwidth type
                                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                    
                                    .. attribute:: bfd_reverse_path
                                    
                                    	BFD reverse path
                                    	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: cost_limit
                                    
                                    	Cost limit on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: exclude_list_name
                                    
                                    	Exclude list name
                                    	**type**\:  str
                                    
                                    .. attribute:: generation
                                    
                                    	Generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bfd_reverse_pat_configured
                                    
                                    	Is BFD reverse path configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_cost_limit_configured
                                    
                                    	Is Cost Limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_exclude_list_name_configured
                                    
                                    	Is exclude list name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is path invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is path invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation interval on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: version_info
                                    
                                    	Version Info
                                    	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                        self.affinity.parent = self
                                        self.bandwidth_type = None
                                        self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                        self.bfd_reverse_path.parent = self
                                        self.configured_bandwidth = None
                                        self.cost_limit = None
                                        self.dste_class_type = None
                                        self.exclude_list_name = None
                                        self.generation = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_bfd_reverse_pat_configured = None
                                        self.is_cost_limit_configured = None
                                        self.is_exclude_list_name_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.path_invalidation_action = None
                                        self.path_invalidation_timeout = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'
                                        self.version_info = YList()
                                        self.version_info.parent = self
                                        self.version_info.name = 'version_info'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                    class BfdReversePath(object):
                                        """
                                        BFD reverse path
                                        
                                        .. attribute:: binding_label
                                        
                                        	BFD reverse path binding label
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_type
                                        
                                        	BFD reverse path type
                                        	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.binding_label = None
                                            self.path_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.binding_label is not None:
                                                return True

                                            if self.path_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                    class VersionInfo(object):
                                        """
                                        Version Info
                                        
                                        .. attribute:: attribute_type
                                        
                                        	Attribute Type
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_default
                                        
                                        	Is default
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute_type = None
                                            self.generation = None
                                            self.is_default = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute_type is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_default is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.bandwidth_type is not None:
                                            return True

                                        if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.cost_limit is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.exclude_list_name is not None:
                                            return True

                                        if self.generation is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_bfd_reverse_pat_configured is not None:
                                            return True

                                        if self.is_cost_limit_configured is not None:
                                            return True

                                        if self.is_exclude_list_name_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.path_invalidation_action is not None:
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        if self.version_info is not None:
                                            for child_ref in self.version_info:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                class AttributeSetAutobackup(object):
                                    """
                                    MPLS TE Auto\-backup Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_signalled_name_configured
                                    
                                    	Is signalled name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: protected_interface
                                    
                                    	Array of Protected Interface Names
                                    	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: signalled_name
                                    
                                    	Signalled name
                                    	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                        self.affinity.parent = self
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.is_signalled_name_configured = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                        self.logging.parent = self
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.protected_interface = YList()
                                        self.protected_interface.parent = self
                                        self.protected_interface.name = 'protected_interface'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.signalled_name = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                        self.signalled_name.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class SignalledName(object):
                                        """
                                        Signalled name
                                        
                                        .. attribute:: is_mp_addresses
                                        
                                        	MP address appended
                                        	**type**\:  bool
                                        
                                        .. attribute:: name
                                        
                                        	Signalled name
                                        	**type**\:  str
                                        
                                        .. attribute:: protected_interface_type
                                        
                                        	Protected interface address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        .. attribute:: source_type
                                        
                                        	Source address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.is_mp_addresses = None
                                            self.name = None
                                            self.protected_interface_type = None
                                            self.source_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.is_mp_addresses is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.protected_interface_type is not None:
                                                return True

                                            if self.source_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                    class ProtectedInterface(object):
                                        """
                                        Array of Protected Interface Names
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Protected Interface Name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.protected_interface = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.protected_interface is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.is_signalled_name_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.protected_interface is not None:
                                            for child_ref in self.protected_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.signalled_name is not None and self.signalled_name._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                class AttributeSetAutomesh(object):
                                    """
                                    MPLS TE Auto\-mesh Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                    
                                    .. attribute:: auto_bandwidth_collect
                                    
                                    	Auto bandwidth collect only
                                    	**type**\:  bool
                                    
                                    .. attribute:: auto_route_announce
                                    
                                    	Announce auto route to IGP
                                    	**type**\:  bool
                                    
                                    .. attribute:: bandwidth
                                    
                                    	IM bandwidth
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: forward_class
                                    
                                    	Forward class
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_node_protection
                                    
                                    	FRR Node protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_interface_bw_configured
                                    
                                    	Is Interface BW configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: load_share
                                    
                                    	Load Share
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                    
                                    .. attribute:: mesh_group_id
                                    
                                    	Meshgroup ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: soft_preemption_configured
                                    
                                    	Soft preemption is configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                        self.affinity.parent = self
                                        self.auto_bandwidth_collect = None
                                        self.auto_route_announce = None
                                        self.bandwidth = None
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.forward_class = None
                                        self.frr_bandwidth_protection = None
                                        self.frr_node_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_interface_bw_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.load_share = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                        self.logging.parent = self
                                        self.mesh_group_id = YLeafList()
                                        self.mesh_group_id.parent = self
                                        self.mesh_group_id.name = 'mesh_group_id'
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.soft_preemption_configured = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.auto_bandwidth_collect is not None:
                                            return True

                                        if self.auto_route_announce is not None:
                                            return True

                                        if self.bandwidth is not None:
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.forward_class is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.frr_node_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_interface_bw_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.load_share is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.mesh_group_id is not None:
                                            for child in self.mesh_group_id:
                                                if child is not None:
                                                    return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.soft_preemption_configured is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                class AttributeSetXro(object):
                                    """
                                    Attribute Set XRO
                                    
                                    .. attribute:: xro
                                    
                                    	The XRO specified by this attribute\-set
                                    	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.xro = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                        self.xro.parent = self


                                    class Xro(object):
                                        """
                                        The XRO specified by this attribute\-set
                                        
                                        .. attribute:: mutual_diversity_flag
                                        
                                        	Mutual Diversity Flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: xro_subobject
                                        
                                        	List of XRO sub\-objects
                                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.mutual_diversity_flag = None
                                            self.xro_subobject = YList()
                                            self.xro_subobject.parent = self
                                            self.xro_subobject.name = 'xro_subobject'


                                        class XroSubobject(object):
                                            """
                                            List of XRO sub\-objects
                                            
                                            .. attribute:: as_subobject
                                            
                                            	AS sub\-object
                                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                            
                                            .. attribute:: ipv4_subobject
                                            
                                            	IPv4 sub\-object
                                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                            
                                            .. attribute:: ipv6_subobject
                                            
                                            	IPv6 sub\-object
                                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                            
                                            .. attribute:: lsp_subobject
                                            
                                            	P2P LSP sub\-object
                                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                            
                                            .. attribute:: srlg_subobject
                                            
                                            	SRLG sub\-object
                                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                            
                                            .. attribute:: unnumbered_subobject
                                            
                                            	Unnumbered sub\-object
                                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                self.as_subobject.parent = self
                                                self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                self.ipv4_subobject.parent = self
                                                self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                self.ipv6_subobject.parent = self
                                                self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                self.lsp_subobject.parent = self
                                                self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                self.srlg_subobject.parent = self
                                                self.type = None
                                                self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                self.unnumbered_subobject.parent = self


                                            class Ipv4Subobject(object):
                                                """
                                                IPv4 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv4 address
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                            class Ipv6Subobject(object):
                                                """
                                                IPv6 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv6 address
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                            class UnnumberedSubobject(object):
                                                """
                                                Unnumbered sub\-object
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: interface_id
                                                
                                                	Interface ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: te_router_id
                                                
                                                	TE router\-id
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.interface_id = None
                                                    self.te_router_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.interface_id is not None:
                                                        return True

                                                    if self.te_router_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                            class AsSubobject(object):
                                                """
                                                AS sub\-object
                                                
                                                .. attribute:: as_number
                                                
                                                	Autonomous System number
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_number = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_number is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                            class SrlgSubobject(object):
                                                """
                                                SRLG sub\-object
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: srlg_id
                                                
                                                	SRLG ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.exclusion_type = None
                                                    self.srlg_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.srlg_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                            class LspSubobject(object):
                                                """
                                                P2P LSP sub\-object
                                                
                                                .. attribute:: destination_node_exception
                                                
                                                	Destination\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: fec
                                                
                                                	LSP FEC
                                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                
                                                .. attribute:: ignore_lsp_id
                                                
                                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                	**type**\:  bool
                                                
                                                .. attribute:: penultimate_node_exception
                                                
                                                	Penultimate\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: processing_node_exception
                                                
                                                	Processing\-node exception flag
                                                	**type**\:  bool
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.destination_node_exception = None
                                                    self.exclusion_type = None
                                                    self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                    self.fec.parent = self
                                                    self.ignore_lsp_id = None
                                                    self.penultimate_node_exception = None
                                                    self.processing_node_exception = None


                                                class Fec(object):
                                                    """
                                                    LSP FEC
                                                    
                                                    .. attribute:: fec_destination_info
                                                    
                                                    	Destination or P2MP ID
                                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                    
                                                    .. attribute:: fec_extended_tunnel_id
                                                    
                                                    	Extended tunnel ID
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_lsp_id
                                                    
                                                    	LSP ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_source
                                                    
                                                    	Tunnel source address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_tunnel_id
                                                    
                                                    	Tunnel ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_vrf
                                                    
                                                    	VRF; currently only for GMPLS tunnels
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                        self.fec_destination_info.parent = self
                                                        self.fec_extended_tunnel_id = None
                                                        self.fec_lsp_id = None
                                                        self.fec_source = None
                                                        self.fec_tunnel_id = None
                                                        self.fec_vrf = None


                                                    class FecDestinationInfo(object):
                                                        """
                                                        Destination or P2MP ID
                                                        
                                                        .. attribute:: fec_ctype
                                                        
                                                        	FEC CType
                                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                        
                                                        .. attribute:: fec_destination_p2mp_id
                                                        
                                                        	P2MP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: p2p_lsp_destination
                                                        
                                                        	P2P LSP destination
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_ctype = None
                                                            self.fec_destination_p2mp_id = None
                                                            self.p2p_lsp_destination = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_ctype is not None:
                                                                return True

                                                            if self.fec_destination_p2mp_id is not None:
                                                                return True

                                                            if self.p2p_lsp_destination is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                            return True

                                                        if self.fec_extended_tunnel_id is not None:
                                                            return True

                                                        if self.fec_lsp_id is not None:
                                                            return True

                                                        if self.fec_source is not None:
                                                            return True

                                                        if self.fec_tunnel_id is not None:
                                                            return True

                                                        if self.fec_vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.destination_node_exception is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.fec is not None and self.fec._has_data():
                                                        return True

                                                    if self.ignore_lsp_id is not None:
                                                        return True

                                                    if self.penultimate_node_exception is not None:
                                                        return True

                                                    if self.processing_node_exception is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.as_subobject is not None and self.as_subobject._has_data():
                                                    return True

                                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                    return True

                                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                    return True

                                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                    return True

                                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.mutual_diversity_flag is not None:
                                                return True

                                            if self.xro_subobject is not None:
                                                for child_ref in self.xro_subobject:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.xro is not None and self.xro._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                class AttributeSetP2Mpte(object):
                                    """
                                    MPLS TE P2MP\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                        self.affinity.parent = self
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.frr_bandwidth_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_priority_configured = None
                                        self.setup_priority = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                class AttributeSetApsPp(object):
                                    """
                                    Attribute Set OTN APS Path Protection
                                    
                                    .. attribute:: hold_off_time
                                    
                                    	Hold\-off time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path Protection Profile Type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: protection_mode
                                    
                                    	Protection Restoration Mode
                                    	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                    
                                    .. attribute:: protection_type
                                    
                                    	Protection Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: restoration_style
                                    
                                    	Restoration Style
                                    	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                    
                                    .. attribute:: revert_schedule
                                    
                                    	Revert Schedule
                                    	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                    
                                    .. attribute:: snc_mode
                                    
                                    	Sub\-network Connection Mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	Sub\-network Connection Monitoring Mode
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wait_to_restore_time
                                    
                                    	Wait to restore time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.hold_off_time = None
                                        self.path_prot_profile_type = None
                                        self.protection_mode = None
                                        self.protection_type = None
                                        self.restoration_style = None
                                        self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                        self.revert_schedule.parent = self
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wait_to_restore_time = None


                                    class RevertSchedule(object):
                                        """
                                        Revert Schedule
                                        
                                        .. attribute:: duration
                                        
                                        	Duration for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_tries
                                        
                                        	Max tries for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_date
                                        
                                        	Schedule time for reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_frequency
                                        
                                        	Schedule frequency for reversion
                                        	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                        
                                        .. attribute:: schedulename
                                        
                                        	Schedule name identifier
                                        	**type**\:  str
                                        
                                        	**length:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.duration = None
                                            self.max_tries = None
                                            self.schedule_date = None
                                            self.schedule_frequency = None
                                            self.schedulename = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.duration is not None:
                                                return True

                                            if self.max_tries is not None:
                                                return True

                                            if self.schedule_date is not None:
                                                return True

                                            if self.schedule_frequency is not None:
                                                return True

                                            if self.schedulename is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.hold_off_time is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.protection_mode is not None:
                                            return True

                                        if self.protection_type is not None:
                                            return True

                                        if self.restoration_style is not None:
                                            return True

                                        if self.revert_schedule is not None and self.revert_schedule._has_data():
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wait_to_restore_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                class AttributeSetP2PTe(object):
                                    """
                                    MPLS TE P2P\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is Path Invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is Path Invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_select_configured
                                    
                                    	Is any of the path selection parameters configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_metric_configured
                                    
                                    	Is path selection metric configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                    
                                    	Is path selection segment routing configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_configured
                                    
                                    	Is path selection margin configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_relative
                                    
                                    	Path selection margin is\_relative
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_prepend_list_configured
                                    
                                    	Is SR prepend list configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation timeout on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                    
                                    .. attribute:: path_selection_metric
                                    
                                    	Path selection metric type
                                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_adjacency_protection
                                    
                                    	Path selection segment\-routing type
                                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_margin
                                    
                                    	Path selection margin
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_segment_routing_segment_limit
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: prepend_list
                                    
                                    	SR prepend list
                                    	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                        self.affinity.parent = self
                                        self.is_affinity_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_path_select_configured = None
                                        self.is_path_selection_metric_configured = None
                                        self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                        self.is_path_selection_segment_routing_margin_configured = None
                                        self.is_path_selection_segment_routing_margin_relative = None
                                        self.is_path_selection_segment_routing_segment_limit_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.is_prepend_list_configured = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                        self.logging.parent = self
                                        self.path_invalidation_timeout = None
                                        self.path_selection_invalidation_action = None
                                        self.path_selection_metric = None
                                        self.path_selection_segment_routing_adjacency_protection = None
                                        self.path_selection_segment_routing_margin = None
                                        self.path_selection_segment_routing_segment_limit = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.prepend_list = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                        self.prepend_list.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                    class PrependList(object):
                                        """
                                        SR prepend list
                                        
                                        .. attribute:: prepend_entry
                                        
                                        	List of prepend entries
                                        	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.prepend_entry = YList()
                                            self.prepend_entry.parent = self
                                            self.prepend_entry.name = 'prepend_entry'


                                        class PrependEntry(object):
                                            """
                                            List of prepend entries
                                            
                                            .. attribute:: index
                                            
                                            	Prepend index
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: next_label
                                            
                                            	Prepend next label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: type
                                            
                                            	Prepend Type
                                            	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.index = None
                                                self.next_label = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.index is not None:
                                                    return True

                                                if self.next_label is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.prepend_entry is not None:
                                                for child_ref in self.prepend_entry:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_path_select_configured is not None:
                                            return True

                                        if self.is_path_selection_metric_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_relative is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.is_prepend_list_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.path_selection_invalidation_action is not None:
                                            return True

                                        if self.path_selection_metric is not None:
                                            return True

                                        if self.path_selection_segment_routing_adjacency_protection is not None:
                                            return True

                                        if self.path_selection_segment_routing_margin is not None:
                                            return True

                                        if self.path_selection_segment_routing_segment_limit is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.prepend_list is not None and self.prepend_list._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                        return True

                                    if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                        return True

                                    if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                        return True

                                    if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                        return True

                                    if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                        return True

                                    if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                        return True

                                    if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                        return True

                                    if self.tunnel_attribute_set_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                    return True

                                if self.tunnel_attribute_set_name is not None:
                                    return True

                                if self.tunnel_attribute_set_name_crc32 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet']['meta_info']


                        class XroAttributeSet(object):
                            """
                            The XRO attribute set used by this path\-option
                            
                            .. attribute:: attribute_set_union
                            
                            	Union of Attribute Sets
                            	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                            
                            .. attribute:: tunnel_attribute_set_name
                            
                            	Attribute Set Name
                            	**type**\:  str
                            
                            .. attribute:: tunnel_attribute_set_name_crc32
                            
                            	Attribute Set name CRC32 value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                self.attribute_set_union.parent = self
                                self.tunnel_attribute_set_name = None
                                self.tunnel_attribute_set_name_crc32 = None


                            class AttributeSetUnion(object):
                                """
                                Union of Attribute Sets
                                
                                .. attribute:: attribute_set_aps_pp
                                
                                	Attribute Set OTN APS Path Protection
                                	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                
                                .. attribute:: attribute_set_autobackup
                                
                                	MPLS TE Auto\-backup Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                
                                .. attribute:: attribute_set_automesh
                                
                                	MPLS TE Auto\-mesh Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                
                                .. attribute:: attribute_set_p2mpte
                                
                                	MPLS TE P2MP\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                
                                .. attribute:: attribute_set_p2p_te
                                
                                	MPLS TE P2P\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                
                                .. attribute:: attribute_set_path_option
                                
                                	MPLS TE Path Option Attribute Set
                                	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                
                                .. attribute:: attribute_set_xro
                                
                                	Attribute Set XRO
                                	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                
                                .. attribute:: tunnel_attribute_set_type
                                
                                	TunnelAttributeSetType
                                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                    self.attribute_set_aps_pp.parent = self
                                    self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                    self.attribute_set_autobackup.parent = self
                                    self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                    self.attribute_set_automesh.parent = self
                                    self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                    self.attribute_set_p2mpte.parent = self
                                    self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                    self.attribute_set_p2p_te.parent = self
                                    self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                    self.attribute_set_path_option.parent = self
                                    self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                    self.attribute_set_xro.parent = self
                                    self.tunnel_attribute_set_type = None


                                class AttributeSetPathOption(object):
                                    """
                                    MPLS TE Path Option Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                    
                                    .. attribute:: bandwidth_type
                                    
                                    	The bandwidth type
                                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                    
                                    .. attribute:: bfd_reverse_path
                                    
                                    	BFD reverse path
                                    	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: cost_limit
                                    
                                    	Cost limit on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: exclude_list_name
                                    
                                    	Exclude list name
                                    	**type**\:  str
                                    
                                    .. attribute:: generation
                                    
                                    	Generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bfd_reverse_pat_configured
                                    
                                    	Is BFD reverse path configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_cost_limit_configured
                                    
                                    	Is Cost Limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_exclude_list_name_configured
                                    
                                    	Is exclude list name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is path invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is path invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation interval on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: version_info
                                    
                                    	Version Info
                                    	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                        self.affinity.parent = self
                                        self.bandwidth_type = None
                                        self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                        self.bfd_reverse_path.parent = self
                                        self.configured_bandwidth = None
                                        self.cost_limit = None
                                        self.dste_class_type = None
                                        self.exclude_list_name = None
                                        self.generation = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_bfd_reverse_pat_configured = None
                                        self.is_cost_limit_configured = None
                                        self.is_exclude_list_name_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.path_invalidation_action = None
                                        self.path_invalidation_timeout = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'
                                        self.version_info = YList()
                                        self.version_info.parent = self
                                        self.version_info.name = 'version_info'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                    class BfdReversePath(object):
                                        """
                                        BFD reverse path
                                        
                                        .. attribute:: binding_label
                                        
                                        	BFD reverse path binding label
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_type
                                        
                                        	BFD reverse path type
                                        	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.binding_label = None
                                            self.path_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.binding_label is not None:
                                                return True

                                            if self.path_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                    class VersionInfo(object):
                                        """
                                        Version Info
                                        
                                        .. attribute:: attribute_type
                                        
                                        	Attribute Type
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_default
                                        
                                        	Is default
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute_type = None
                                            self.generation = None
                                            self.is_default = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute_type is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_default is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.bandwidth_type is not None:
                                            return True

                                        if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.cost_limit is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.exclude_list_name is not None:
                                            return True

                                        if self.generation is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_bfd_reverse_pat_configured is not None:
                                            return True

                                        if self.is_cost_limit_configured is not None:
                                            return True

                                        if self.is_exclude_list_name_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.path_invalidation_action is not None:
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        if self.version_info is not None:
                                            for child_ref in self.version_info:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                class AttributeSetAutobackup(object):
                                    """
                                    MPLS TE Auto\-backup Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_signalled_name_configured
                                    
                                    	Is signalled name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: protected_interface
                                    
                                    	Array of Protected Interface Names
                                    	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: signalled_name
                                    
                                    	Signalled name
                                    	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                        self.affinity.parent = self
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.is_signalled_name_configured = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                        self.logging.parent = self
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.protected_interface = YList()
                                        self.protected_interface.parent = self
                                        self.protected_interface.name = 'protected_interface'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.signalled_name = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                        self.signalled_name.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class SignalledName(object):
                                        """
                                        Signalled name
                                        
                                        .. attribute:: is_mp_addresses
                                        
                                        	MP address appended
                                        	**type**\:  bool
                                        
                                        .. attribute:: name
                                        
                                        	Signalled name
                                        	**type**\:  str
                                        
                                        .. attribute:: protected_interface_type
                                        
                                        	Protected interface address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        .. attribute:: source_type
                                        
                                        	Source address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.is_mp_addresses = None
                                            self.name = None
                                            self.protected_interface_type = None
                                            self.source_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.is_mp_addresses is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.protected_interface_type is not None:
                                                return True

                                            if self.source_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                    class ProtectedInterface(object):
                                        """
                                        Array of Protected Interface Names
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Protected Interface Name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.protected_interface = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.protected_interface is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.is_signalled_name_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.protected_interface is not None:
                                            for child_ref in self.protected_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.signalled_name is not None and self.signalled_name._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                class AttributeSetAutomesh(object):
                                    """
                                    MPLS TE Auto\-mesh Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                    
                                    .. attribute:: auto_bandwidth_collect
                                    
                                    	Auto bandwidth collect only
                                    	**type**\:  bool
                                    
                                    .. attribute:: auto_route_announce
                                    
                                    	Announce auto route to IGP
                                    	**type**\:  bool
                                    
                                    .. attribute:: bandwidth
                                    
                                    	IM bandwidth
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: forward_class
                                    
                                    	Forward class
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_node_protection
                                    
                                    	FRR Node protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_interface_bw_configured
                                    
                                    	Is Interface BW configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: load_share
                                    
                                    	Load Share
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                    
                                    .. attribute:: mesh_group_id
                                    
                                    	Meshgroup ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: soft_preemption_configured
                                    
                                    	Soft preemption is configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                        self.affinity.parent = self
                                        self.auto_bandwidth_collect = None
                                        self.auto_route_announce = None
                                        self.bandwidth = None
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.forward_class = None
                                        self.frr_bandwidth_protection = None
                                        self.frr_node_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_interface_bw_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.load_share = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                        self.logging.parent = self
                                        self.mesh_group_id = YLeafList()
                                        self.mesh_group_id.parent = self
                                        self.mesh_group_id.name = 'mesh_group_id'
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.soft_preemption_configured = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.auto_bandwidth_collect is not None:
                                            return True

                                        if self.auto_route_announce is not None:
                                            return True

                                        if self.bandwidth is not None:
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.forward_class is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.frr_node_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_interface_bw_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.load_share is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.mesh_group_id is not None:
                                            for child in self.mesh_group_id:
                                                if child is not None:
                                                    return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.soft_preemption_configured is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                class AttributeSetXro(object):
                                    """
                                    Attribute Set XRO
                                    
                                    .. attribute:: xro
                                    
                                    	The XRO specified by this attribute\-set
                                    	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.xro = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                        self.xro.parent = self


                                    class Xro(object):
                                        """
                                        The XRO specified by this attribute\-set
                                        
                                        .. attribute:: mutual_diversity_flag
                                        
                                        	Mutual Diversity Flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: xro_subobject
                                        
                                        	List of XRO sub\-objects
                                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.mutual_diversity_flag = None
                                            self.xro_subobject = YList()
                                            self.xro_subobject.parent = self
                                            self.xro_subobject.name = 'xro_subobject'


                                        class XroSubobject(object):
                                            """
                                            List of XRO sub\-objects
                                            
                                            .. attribute:: as_subobject
                                            
                                            	AS sub\-object
                                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                            
                                            .. attribute:: ipv4_subobject
                                            
                                            	IPv4 sub\-object
                                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                            
                                            .. attribute:: ipv6_subobject
                                            
                                            	IPv6 sub\-object
                                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                            
                                            .. attribute:: lsp_subobject
                                            
                                            	P2P LSP sub\-object
                                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                            
                                            .. attribute:: srlg_subobject
                                            
                                            	SRLG sub\-object
                                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                            
                                            .. attribute:: unnumbered_subobject
                                            
                                            	Unnumbered sub\-object
                                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                self.as_subobject.parent = self
                                                self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                self.ipv4_subobject.parent = self
                                                self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                self.ipv6_subobject.parent = self
                                                self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                self.lsp_subobject.parent = self
                                                self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                self.srlg_subobject.parent = self
                                                self.type = None
                                                self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                self.unnumbered_subobject.parent = self


                                            class Ipv4Subobject(object):
                                                """
                                                IPv4 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv4 address
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                            class Ipv6Subobject(object):
                                                """
                                                IPv6 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv6 address
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                            class UnnumberedSubobject(object):
                                                """
                                                Unnumbered sub\-object
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: interface_id
                                                
                                                	Interface ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: te_router_id
                                                
                                                	TE router\-id
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.interface_id = None
                                                    self.te_router_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.interface_id is not None:
                                                        return True

                                                    if self.te_router_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                            class AsSubobject(object):
                                                """
                                                AS sub\-object
                                                
                                                .. attribute:: as_number
                                                
                                                	Autonomous System number
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_number = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_number is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                            class SrlgSubobject(object):
                                                """
                                                SRLG sub\-object
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: srlg_id
                                                
                                                	SRLG ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.exclusion_type = None
                                                    self.srlg_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.srlg_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                            class LspSubobject(object):
                                                """
                                                P2P LSP sub\-object
                                                
                                                .. attribute:: destination_node_exception
                                                
                                                	Destination\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: fec
                                                
                                                	LSP FEC
                                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                
                                                .. attribute:: ignore_lsp_id
                                                
                                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                	**type**\:  bool
                                                
                                                .. attribute:: penultimate_node_exception
                                                
                                                	Penultimate\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: processing_node_exception
                                                
                                                	Processing\-node exception flag
                                                	**type**\:  bool
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.destination_node_exception = None
                                                    self.exclusion_type = None
                                                    self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                    self.fec.parent = self
                                                    self.ignore_lsp_id = None
                                                    self.penultimate_node_exception = None
                                                    self.processing_node_exception = None


                                                class Fec(object):
                                                    """
                                                    LSP FEC
                                                    
                                                    .. attribute:: fec_destination_info
                                                    
                                                    	Destination or P2MP ID
                                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                    
                                                    .. attribute:: fec_extended_tunnel_id
                                                    
                                                    	Extended tunnel ID
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_lsp_id
                                                    
                                                    	LSP ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_source
                                                    
                                                    	Tunnel source address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_tunnel_id
                                                    
                                                    	Tunnel ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_vrf
                                                    
                                                    	VRF; currently only for GMPLS tunnels
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                        self.fec_destination_info.parent = self
                                                        self.fec_extended_tunnel_id = None
                                                        self.fec_lsp_id = None
                                                        self.fec_source = None
                                                        self.fec_tunnel_id = None
                                                        self.fec_vrf = None


                                                    class FecDestinationInfo(object):
                                                        """
                                                        Destination or P2MP ID
                                                        
                                                        .. attribute:: fec_ctype
                                                        
                                                        	FEC CType
                                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                        
                                                        .. attribute:: fec_destination_p2mp_id
                                                        
                                                        	P2MP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: p2p_lsp_destination
                                                        
                                                        	P2P LSP destination
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_ctype = None
                                                            self.fec_destination_p2mp_id = None
                                                            self.p2p_lsp_destination = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_ctype is not None:
                                                                return True

                                                            if self.fec_destination_p2mp_id is not None:
                                                                return True

                                                            if self.p2p_lsp_destination is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                            return True

                                                        if self.fec_extended_tunnel_id is not None:
                                                            return True

                                                        if self.fec_lsp_id is not None:
                                                            return True

                                                        if self.fec_source is not None:
                                                            return True

                                                        if self.fec_tunnel_id is not None:
                                                            return True

                                                        if self.fec_vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.destination_node_exception is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.fec is not None and self.fec._has_data():
                                                        return True

                                                    if self.ignore_lsp_id is not None:
                                                        return True

                                                    if self.penultimate_node_exception is not None:
                                                        return True

                                                    if self.processing_node_exception is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.as_subobject is not None and self.as_subobject._has_data():
                                                    return True

                                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                    return True

                                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                    return True

                                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                    return True

                                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.mutual_diversity_flag is not None:
                                                return True

                                            if self.xro_subobject is not None:
                                                for child_ref in self.xro_subobject:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.xro is not None and self.xro._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                class AttributeSetP2Mpte(object):
                                    """
                                    MPLS TE P2MP\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                        self.affinity.parent = self
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.frr_bandwidth_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_priority_configured = None
                                        self.setup_priority = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                class AttributeSetApsPp(object):
                                    """
                                    Attribute Set OTN APS Path Protection
                                    
                                    .. attribute:: hold_off_time
                                    
                                    	Hold\-off time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path Protection Profile Type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: protection_mode
                                    
                                    	Protection Restoration Mode
                                    	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                    
                                    .. attribute:: protection_type
                                    
                                    	Protection Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: restoration_style
                                    
                                    	Restoration Style
                                    	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                    
                                    .. attribute:: revert_schedule
                                    
                                    	Revert Schedule
                                    	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                    
                                    .. attribute:: snc_mode
                                    
                                    	Sub\-network Connection Mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	Sub\-network Connection Monitoring Mode
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wait_to_restore_time
                                    
                                    	Wait to restore time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.hold_off_time = None
                                        self.path_prot_profile_type = None
                                        self.protection_mode = None
                                        self.protection_type = None
                                        self.restoration_style = None
                                        self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                        self.revert_schedule.parent = self
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wait_to_restore_time = None


                                    class RevertSchedule(object):
                                        """
                                        Revert Schedule
                                        
                                        .. attribute:: duration
                                        
                                        	Duration for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_tries
                                        
                                        	Max tries for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_date
                                        
                                        	Schedule time for reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_frequency
                                        
                                        	Schedule frequency for reversion
                                        	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                        
                                        .. attribute:: schedulename
                                        
                                        	Schedule name identifier
                                        	**type**\:  str
                                        
                                        	**length:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.duration = None
                                            self.max_tries = None
                                            self.schedule_date = None
                                            self.schedule_frequency = None
                                            self.schedulename = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.duration is not None:
                                                return True

                                            if self.max_tries is not None:
                                                return True

                                            if self.schedule_date is not None:
                                                return True

                                            if self.schedule_frequency is not None:
                                                return True

                                            if self.schedulename is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.hold_off_time is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.protection_mode is not None:
                                            return True

                                        if self.protection_type is not None:
                                            return True

                                        if self.restoration_style is not None:
                                            return True

                                        if self.revert_schedule is not None and self.revert_schedule._has_data():
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wait_to_restore_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                class AttributeSetP2PTe(object):
                                    """
                                    MPLS TE P2P\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is Path Invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is Path Invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_select_configured
                                    
                                    	Is any of the path selection parameters configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_metric_configured
                                    
                                    	Is path selection metric configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                    
                                    	Is path selection segment routing configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_configured
                                    
                                    	Is path selection margin configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_relative
                                    
                                    	Path selection margin is\_relative
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_prepend_list_configured
                                    
                                    	Is SR prepend list configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation timeout on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                    
                                    .. attribute:: path_selection_metric
                                    
                                    	Path selection metric type
                                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_adjacency_protection
                                    
                                    	Path selection segment\-routing type
                                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_margin
                                    
                                    	Path selection margin
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_segment_routing_segment_limit
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: prepend_list
                                    
                                    	SR prepend list
                                    	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                        self.affinity.parent = self
                                        self.is_affinity_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_path_select_configured = None
                                        self.is_path_selection_metric_configured = None
                                        self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                        self.is_path_selection_segment_routing_margin_configured = None
                                        self.is_path_selection_segment_routing_margin_relative = None
                                        self.is_path_selection_segment_routing_segment_limit_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.is_prepend_list_configured = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                        self.logging.parent = self
                                        self.path_invalidation_timeout = None
                                        self.path_selection_invalidation_action = None
                                        self.path_selection_metric = None
                                        self.path_selection_segment_routing_adjacency_protection = None
                                        self.path_selection_segment_routing_margin = None
                                        self.path_selection_segment_routing_segment_limit = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.prepend_list = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                        self.prepend_list.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                    class PrependList(object):
                                        """
                                        SR prepend list
                                        
                                        .. attribute:: prepend_entry
                                        
                                        	List of prepend entries
                                        	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.prepend_entry = YList()
                                            self.prepend_entry.parent = self
                                            self.prepend_entry.name = 'prepend_entry'


                                        class PrependEntry(object):
                                            """
                                            List of prepend entries
                                            
                                            .. attribute:: index
                                            
                                            	Prepend index
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: next_label
                                            
                                            	Prepend next label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: type
                                            
                                            	Prepend Type
                                            	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.index = None
                                                self.next_label = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.index is not None:
                                                    return True

                                                if self.next_label is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.prepend_entry is not None:
                                                for child_ref in self.prepend_entry:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_path_select_configured is not None:
                                            return True

                                        if self.is_path_selection_metric_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_relative is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.is_prepend_list_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.path_selection_invalidation_action is not None:
                                            return True

                                        if self.path_selection_metric is not None:
                                            return True

                                        if self.path_selection_segment_routing_adjacency_protection is not None:
                                            return True

                                        if self.path_selection_segment_routing_margin is not None:
                                            return True

                                        if self.path_selection_segment_routing_segment_limit is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.prepend_list is not None and self.prepend_list._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                        return True

                                    if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                        return True

                                    if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                        return True

                                    if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                        return True

                                    if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                        return True

                                    if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                        return True

                                    if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                        return True

                                    if self.tunnel_attribute_set_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                    return True

                                if self.tunnel_attribute_set_name is not None:
                                    return True

                                if self.tunnel_attribute_set_name_crc32 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                        class PathCalculationError(object):
                            """
                            Path computation information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.PathCalculationError']['meta_info']


                        class RemergeError(object):
                            """
                            Path computation remerge resolve info
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.RemergeError']['meta_info']


                        class SignallingError(object):
                            """
                            Signalling information
                            
                            .. attribute:: error
                            
                            	Path Error code
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: error_node
                            
                            	Source address of the error generating node
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: log_time
                            
                            	Time in seconds when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSPMode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            .. attribute:: reverse_lsp
                            
                            	Indicates if error is on the reverse LSP
                            	**type**\:  bool
                            
                            .. attribute:: signalling_lsp_id
                            
                            	LSP\-id for which the error was received
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: sub_code
                            
                            	Path Error subcode
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error = None
                                self.error_message = None
                                self.error_node = None
                                self.log_time = None
                                self.lsp_mode = None
                                self.reverse_lsp = None
                                self.signalling_lsp_id = None
                                self.sub_code = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error is not None:
                                    return True

                                if self.error_message is not None:
                                    return True

                                if self.error_node is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                if self.reverse_lsp is not None:
                                    return True

                                if self.signalling_lsp_id is not None:
                                    return True

                                if self.sub_code is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.SignallingError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.attribute_set is not None and self.attribute_set._has_data():
                                return True

                            if self.attribute_set_found is not None:
                                return True

                            if self.explicit_path_id is not None:
                                return True

                            if self.explicit_path_name is not None:
                                return True

                            if self.has_attribute_set is not None:
                                return True

                            if self.has_xro_attribute_set is not None:
                                return True

                            if self.holddown_duration is not None:
                                return True

                            if self.is_disabled is not None:
                                return True

                            if self.is_helddown is not None:
                                return True

                            if self.is_lockdown is not None:
                                return True

                            if self.is_segment_routing is not None:
                                return True

                            if self.is_strict_explicit_path is not None:
                                return True

                            if self.is_verbatim is not None:
                                return True

                            if self.option_index is not None:
                                return True

                            if self.option_index_is_valid is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_area_id is not None:
                                return True

                            if self.path_option_name is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.pce_address is not None:
                                return True

                            if self.protected_by_path_option_index is not None:
                                return True

                            if self.remerge_error is not None:
                                for child_ref in self.remerge_error:
                                    if child_ref._has_data():
                                        return True

                            if self.restored_from_path_option_index is not None:
                                return True

                            if self.signalling_error is not None:
                                for child_ref in self.signalling_error:
                                    if child_ref._has_data():
                                        return True

                            if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                return True

                            if self.xro_attribute_set_found is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption']['meta_info']


                    class OutXro(object):
                        """
                        Outgoing XRO for this S2L
                        
                        .. attribute:: mutual_diversity_flag
                        
                        	Mutual Diversity Flag
                        	**type**\:  bool
                        
                        .. attribute:: xro_subobject
                        
                        	List of XRO sub\-objects
                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.mutual_diversity_flag = None
                            self.xro_subobject = YList()
                            self.xro_subobject.parent = self
                            self.xro_subobject.name = 'xro_subobject'


                        class XroSubobject(object):
                            """
                            List of XRO sub\-objects
                            
                            .. attribute:: as_subobject
                            
                            	AS sub\-object
                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.AsSubobject>`
                            
                            .. attribute:: ipv4_subobject
                            
                            	IPv4 sub\-object
                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                            
                            .. attribute:: ipv6_subobject
                            
                            	IPv6 sub\-object
                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                            
                            .. attribute:: lsp_subobject
                            
                            	P2P LSP sub\-object
                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject>`
                            
                            .. attribute:: srlg_subobject
                            
                            	SRLG sub\-object
                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.SrlgSubobject>`
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                            
                            .. attribute:: unnumbered_subobject
                            
                            	Unnumbered sub\-object
                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.AsSubobject()
                                self.as_subobject.parent = self
                                self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                self.ipv4_subobject.parent = self
                                self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                self.ipv6_subobject.parent = self
                                self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject()
                                self.lsp_subobject.parent = self
                                self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.SrlgSubobject()
                                self.srlg_subobject.parent = self
                                self.type = None
                                self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                self.unnumbered_subobject.parent = self


                            class Ipv4Subobject(object):
                                """
                                IPv4 sub\-object
                                
                                .. attribute:: address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: attribute
                                
                                	Attribute
                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: prefix_len
                                
                                	Prefix length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None
                                    self.attribute = None
                                    self.exclusion_type = None
                                    self.prefix_len = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.address is not None:
                                        return True

                                    if self.attribute is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.prefix_len is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                            class Ipv6Subobject(object):
                                """
                                IPv6 sub\-object
                                
                                .. attribute:: address
                                
                                	IPv6 address
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: attribute
                                
                                	Attribute
                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: prefix_len
                                
                                	Prefix length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None
                                    self.attribute = None
                                    self.exclusion_type = None
                                    self.prefix_len = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.address is not None:
                                        return True

                                    if self.attribute is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.prefix_len is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                            class UnnumberedSubobject(object):
                                """
                                Unnumbered sub\-object
                                
                                .. attribute:: attribute
                                
                                	Attribute
                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: interface_id
                                
                                	Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: te_router_id
                                
                                	TE router\-id
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute = None
                                    self.exclusion_type = None
                                    self.interface_id = None
                                    self.te_router_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    if self.te_router_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                            class AsSubobject(object):
                                """
                                AS sub\-object
                                
                                .. attribute:: as_number
                                
                                	Autonomous System number
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_number = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_number is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                            class SrlgSubobject(object):
                                """
                                SRLG sub\-object
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: srlg_id
                                
                                	SRLG ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.exclusion_type = None
                                    self.srlg_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.exclusion_type is not None:
                                        return True

                                    if self.srlg_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                            class LspSubobject(object):
                                """
                                P2P LSP sub\-object
                                
                                .. attribute:: destination_node_exception
                                
                                	Destination\-node exception flag
                                	**type**\:  bool
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: fec
                                
                                	LSP FEC
                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                
                                .. attribute:: ignore_lsp_id
                                
                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                	**type**\:  bool
                                
                                .. attribute:: penultimate_node_exception
                                
                                	Penultimate\-node exception flag
                                	**type**\:  bool
                                
                                .. attribute:: processing_node_exception
                                
                                	Processing\-node exception flag
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.destination_node_exception = None
                                    self.exclusion_type = None
                                    self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                    self.fec.parent = self
                                    self.ignore_lsp_id = None
                                    self.penultimate_node_exception = None
                                    self.processing_node_exception = None


                                class Fec(object):
                                    """
                                    LSP FEC
                                    
                                    .. attribute:: fec_destination_info
                                    
                                    	Destination or P2MP ID
                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                    
                                    .. attribute:: fec_extended_tunnel_id
                                    
                                    	Extended tunnel ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: fec_lsp_id
                                    
                                    	LSP ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: fec_source
                                    
                                    	Tunnel source address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: fec_tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: fec_vrf
                                    
                                    	VRF; currently only for GMPLS tunnels
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                        self.fec_destination_info.parent = self
                                        self.fec_extended_tunnel_id = None
                                        self.fec_lsp_id = None
                                        self.fec_source = None
                                        self.fec_tunnel_id = None
                                        self.fec_vrf = None


                                    class FecDestinationInfo(object):
                                        """
                                        Destination or P2MP ID
                                        
                                        .. attribute:: fec_ctype
                                        
                                        	FEC CType
                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                        
                                        .. attribute:: fec_destination_p2mp_id
                                        
                                        	P2MP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: p2p_lsp_destination
                                        
                                        	P2P LSP destination
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_ctype = None
                                            self.fec_destination_p2mp_id = None
                                            self.p2p_lsp_destination = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_ctype is not None:
                                                return True

                                            if self.fec_destination_p2mp_id is not None:
                                                return True

                                            if self.p2p_lsp_destination is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                            return True

                                        if self.fec_extended_tunnel_id is not None:
                                            return True

                                        if self.fec_lsp_id is not None:
                                            return True

                                        if self.fec_source is not None:
                                            return True

                                        if self.fec_tunnel_id is not None:
                                            return True

                                        if self.fec_vrf is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.destination_node_exception is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.fec is not None and self.fec._has_data():
                                        return True

                                    if self.ignore_lsp_id is not None:
                                        return True

                                    if self.penultimate_node_exception is not None:
                                        return True

                                    if self.processing_node_exception is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.as_subobject is not None and self.as_subobject._has_data():
                                    return True

                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                    return True

                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                    return True

                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                    return True

                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                    return True

                                if self.type is not None:
                                    return True

                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.mutual_diversity_flag is not None:
                                return True

                            if self.xro_subobject is not None:
                                for child_ref in self.xro_subobject:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro']['meta_info']


                    class InXro(object):
                        """
                        Incoming XRO for this S2L
                        
                        .. attribute:: mutual_diversity_flag
                        
                        	Mutual Diversity Flag
                        	**type**\:  bool
                        
                        .. attribute:: xro_subobject
                        
                        	List of XRO sub\-objects
                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.mutual_diversity_flag = None
                            self.xro_subobject = YList()
                            self.xro_subobject.parent = self
                            self.xro_subobject.name = 'xro_subobject'


                        class XroSubobject(object):
                            """
                            List of XRO sub\-objects
                            
                            .. attribute:: as_subobject
                            
                            	AS sub\-object
                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.AsSubobject>`
                            
                            .. attribute:: ipv4_subobject
                            
                            	IPv4 sub\-object
                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv4Subobject>`
                            
                            .. attribute:: ipv6_subobject
                            
                            	IPv6 sub\-object
                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv6Subobject>`
                            
                            .. attribute:: lsp_subobject
                            
                            	P2P LSP sub\-object
                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject>`
                            
                            .. attribute:: srlg_subobject
                            
                            	SRLG sub\-object
                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.SrlgSubobject>`
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                            
                            .. attribute:: unnumbered_subobject
                            
                            	Unnumbered sub\-object
                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.AsSubobject()
                                self.as_subobject.parent = self
                                self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv4Subobject()
                                self.ipv4_subobject.parent = self
                                self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv6Subobject()
                                self.ipv6_subobject.parent = self
                                self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject()
                                self.lsp_subobject.parent = self
                                self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.SrlgSubobject()
                                self.srlg_subobject.parent = self
                                self.type = None
                                self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                self.unnumbered_subobject.parent = self


                            class Ipv4Subobject(object):
                                """
                                IPv4 sub\-object
                                
                                .. attribute:: address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: attribute
                                
                                	Attribute
                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: prefix_len
                                
                                	Prefix length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None
                                    self.attribute = None
                                    self.exclusion_type = None
                                    self.prefix_len = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.address is not None:
                                        return True

                                    if self.attribute is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.prefix_len is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                            class Ipv6Subobject(object):
                                """
                                IPv6 sub\-object
                                
                                .. attribute:: address
                                
                                	IPv6 address
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: attribute
                                
                                	Attribute
                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: prefix_len
                                
                                	Prefix length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None
                                    self.attribute = None
                                    self.exclusion_type = None
                                    self.prefix_len = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.address is not None:
                                        return True

                                    if self.attribute is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.prefix_len is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                            class UnnumberedSubobject(object):
                                """
                                Unnumbered sub\-object
                                
                                .. attribute:: attribute
                                
                                	Attribute
                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: interface_id
                                
                                	Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: te_router_id
                                
                                	TE router\-id
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute = None
                                    self.exclusion_type = None
                                    self.interface_id = None
                                    self.te_router_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    if self.te_router_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                            class AsSubobject(object):
                                """
                                AS sub\-object
                                
                                .. attribute:: as_number
                                
                                	Autonomous System number
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_number = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_number is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                            class SrlgSubobject(object):
                                """
                                SRLG sub\-object
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: srlg_id
                                
                                	SRLG ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.exclusion_type = None
                                    self.srlg_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.exclusion_type is not None:
                                        return True

                                    if self.srlg_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                            class LspSubobject(object):
                                """
                                P2P LSP sub\-object
                                
                                .. attribute:: destination_node_exception
                                
                                	Destination\-node exception flag
                                	**type**\:  bool
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: fec
                                
                                	LSP FEC
                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                
                                .. attribute:: ignore_lsp_id
                                
                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                	**type**\:  bool
                                
                                .. attribute:: penultimate_node_exception
                                
                                	Penultimate\-node exception flag
                                	**type**\:  bool
                                
                                .. attribute:: processing_node_exception
                                
                                	Processing\-node exception flag
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.destination_node_exception = None
                                    self.exclusion_type = None
                                    self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                    self.fec.parent = self
                                    self.ignore_lsp_id = None
                                    self.penultimate_node_exception = None
                                    self.processing_node_exception = None


                                class Fec(object):
                                    """
                                    LSP FEC
                                    
                                    .. attribute:: fec_destination_info
                                    
                                    	Destination or P2MP ID
                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                    
                                    .. attribute:: fec_extended_tunnel_id
                                    
                                    	Extended tunnel ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: fec_lsp_id
                                    
                                    	LSP ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: fec_source
                                    
                                    	Tunnel source address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: fec_tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: fec_vrf
                                    
                                    	VRF; currently only for GMPLS tunnels
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                        self.fec_destination_info.parent = self
                                        self.fec_extended_tunnel_id = None
                                        self.fec_lsp_id = None
                                        self.fec_source = None
                                        self.fec_tunnel_id = None
                                        self.fec_vrf = None


                                    class FecDestinationInfo(object):
                                        """
                                        Destination or P2MP ID
                                        
                                        .. attribute:: fec_ctype
                                        
                                        	FEC CType
                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                        
                                        .. attribute:: fec_destination_p2mp_id
                                        
                                        	P2MP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: p2p_lsp_destination
                                        
                                        	P2P LSP destination
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_ctype = None
                                            self.fec_destination_p2mp_id = None
                                            self.p2p_lsp_destination = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_ctype is not None:
                                                return True

                                            if self.fec_destination_p2mp_id is not None:
                                                return True

                                            if self.p2p_lsp_destination is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                            return True

                                        if self.fec_extended_tunnel_id is not None:
                                            return True

                                        if self.fec_lsp_id is not None:
                                            return True

                                        if self.fec_source is not None:
                                            return True

                                        if self.fec_tunnel_id is not None:
                                            return True

                                        if self.fec_vrf is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.destination_node_exception is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.fec is not None and self.fec._has_data():
                                        return True

                                    if self.ignore_lsp_id is not None:
                                        return True

                                    if self.penultimate_node_exception is not None:
                                        return True

                                    if self.processing_node_exception is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.as_subobject is not None and self.as_subobject._has_data():
                                    return True

                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                    return True

                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                    return True

                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                    return True

                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                    return True

                                if self.type is not None:
                                    return True

                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.mutual_diversity_flag is not None:
                                return True

                            if self.xro_subobject is not None:
                                for child_ref in self.xro_subobject:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro']['meta_info']


                    class Tspec(object):
                        """
                        The T spec info
                        
                        .. attribute:: average_rate
                        
                        	Average bandwidth in  kbps
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: maximum_burst
                        
                        	Maximum burst of data in bytes
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: byte
                        
                        .. attribute:: peak_rate
                        
                        	Peak rate in  kbps
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.average_rate = None
                            self.maximum_burst = None
                            self.peak_rate = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.average_rate is not None:
                                return True

                            if self.maximum_burst is not None:
                                return True

                            if self.peak_rate is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Tspec']['meta_info']


                    class GenericTspec(object):
                        """
                        Generic TSpec
                        
                        .. attribute:: otntspec
                        
                        	TE TSpec for G709 OTN
                        	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec.Otntspec>`
                        
                        .. attribute:: tspec_type
                        
                        	TSpecType
                        	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.otntspec = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec.Otntspec()
                            self.otntspec.parent = self
                            self.tspec_type = None


                        class Otntspec(object):
                            """
                            TE TSpec for G709 OTN
                            
                            .. attribute:: bit_rate
                            
                            	Bit Rate in kbps
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nmc_or_tolerance
                            
                            	NMC or Tolerance
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nvc
                            
                            	Number of Virtual Components
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: signal_type
                            
                            	Signal Type
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bit_rate = None
                                self.multiplier = None
                                self.nmc_or_tolerance = None
                                self.nvc = None
                                self.signal_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bit_rate is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.nmc_or_tolerance is not None:
                                    return True

                                if self.nvc is not None:
                                    return True

                                if self.signal_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec.Otntspec']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.otntspec is not None and self.otntspec._has_data():
                                return True

                            if self.tspec_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec']['meta_info']


                    class Fspec(object):
                        """
                        The F spec info
                        
                        .. attribute:: average_rate
                        
                        	Average bandwidth in  kbps
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: maximum_burst
                        
                        	Maximum burst of data in bytes
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: byte
                        
                        .. attribute:: peak_rate
                        
                        	Peak rate in  kbps
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.average_rate = None
                            self.maximum_burst = None
                            self.peak_rate = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.average_rate is not None:
                                return True

                            if self.maximum_burst is not None:
                                return True

                            if self.peak_rate is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Fspec']['meta_info']


                    class GenericFspec(object):
                        """
                        Generic FSpec
                        
                        .. attribute:: fspec_type
                        
                        	FSpecType
                        	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                        
                        .. attribute:: otnfspec
                        
                        	TE FSpec for G709 OTN
                        	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec.Otnfspec>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fspec_type = None
                            self.otnfspec = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec.Otnfspec()
                            self.otnfspec.parent = self


                        class Otnfspec(object):
                            """
                            TE FSpec for G709 OTN
                            
                            .. attribute:: bit_rate
                            
                            	Bit Rate in kbps
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nmc_or_tolerance
                            
                            	NMC or Tolerance
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nvc
                            
                            	Number of Virtual Components
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: signal_type
                            
                            	Signal Type
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bit_rate = None
                                self.multiplier = None
                                self.nmc_or_tolerance = None
                                self.nvc = None
                                self.signal_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bit_rate is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.nmc_or_tolerance is not None:
                                    return True

                                if self.nvc is not None:
                                    return True

                                if self.signal_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec.Otnfspec']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fspec_type is not None:
                                return True

                            if self.otnfspec is not None and self.otnfspec._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec']['meta_info']


                    class NextHopAddressGeneric(object):
                        """
                        Next hop address
                        
                        .. attribute:: te_addr
                        
                        	TE Address
                        	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr()
                            self.te_addr.parent = self


                        class TeAddr(object):
                            """
                            TE Address
                            
                            .. attribute:: ipv4_address
                            
                            	IPv4 address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv4_unnumbered_address
                            
                            	IPv4 unnumbered address
                            	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4_address = None
                                self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                self.ipv4_unnumbered_address.parent = self
                                self.type = None


                            class Ipv4UnnumberedAddress(object):
                                """
                                IPv4 unnumbered address
                                
                                .. attribute:: interface_index
                                
                                	Interface index
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: router_id
                                
                                	IPv4 router ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.interface_index = None
                                    self.router_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.interface_index is not None:
                                        return True

                                    if self.router_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4_address is not None:
                                    return True

                                if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                    return True

                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.te_addr is not None and self.te_addr._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric']['meta_info']


                    class PreviousHopAddressGeneric(object):
                        """
                        Previous hop address
                        
                        .. attribute:: te_addr
                        
                        	TE Address
                        	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr()
                            self.te_addr.parent = self


                        class TeAddr(object):
                            """
                            TE Address
                            
                            .. attribute:: ipv4_address
                            
                            	IPv4 address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv4_unnumbered_address
                            
                            	IPv4 unnumbered address
                            	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4_address = None
                                self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                self.ipv4_unnumbered_address.parent = self
                                self.type = None


                            class Ipv4UnnumberedAddress(object):
                                """
                                IPv4 unnumbered address
                                
                                .. attribute:: interface_index
                                
                                	Interface index
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: router_id
                                
                                	IPv4 router ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.interface_index = None
                                    self.router_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.interface_index is not None:
                                        return True

                                    if self.router_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4_address is not None:
                                    return True

                                if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                    return True

                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.te_addr is not None and self.te_addr._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric']['meta_info']


                    class IncomingAddressGeneric(object):
                        """
                        Incoming interface address
                        
                        .. attribute:: te_addr
                        
                        	TE Address
                        	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr()
                            self.te_addr.parent = self


                        class TeAddr(object):
                            """
                            TE Address
                            
                            .. attribute:: ipv4_address
                            
                            	IPv4 address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv4_unnumbered_address
                            
                            	IPv4 unnumbered address
                            	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4_address = None
                                self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                self.ipv4_unnumbered_address.parent = self
                                self.type = None


                            class Ipv4UnnumberedAddress(object):
                                """
                                IPv4 unnumbered address
                                
                                .. attribute:: interface_index
                                
                                	Interface index
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: router_id
                                
                                	IPv4 router ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.interface_index = None
                                    self.router_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.interface_index is not None:
                                        return True

                                    if self.router_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4_address is not None:
                                    return True

                                if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                    return True

                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.te_addr is not None and self.te_addr._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric']['meta_info']


                    class S2LConvergence(object):
                        """
                        TE LSP convergence related information
                        
                        .. attribute:: creation_time
                        
                        	Tunnel creation timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: label_rewrite
                        
                        	LSP Label rewrite timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: path_in
                        
                        	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: path_out
                        
                        	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: resv_in
                        
                        	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: resv_out
                        
                        	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: tunnel_rewrite
                        
                        	Tunnel rewrite timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.creation_time = None
                            self.label_rewrite = None
                            self.path_in = None
                            self.path_out = None
                            self.resv_in = None
                            self.resv_out = None
                            self.tunnel_rewrite = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.creation_time is not None:
                                return True

                            if self.label_rewrite is not None:
                                return True

                            if self.path_in is not None:
                                return True

                            if self.path_out is not None:
                                return True

                            if self.resv_in is not None:
                                return True

                            if self.resv_out is not None:
                                return True

                            if self.tunnel_rewrite is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LConvergence']['meta_info']


                    class SoftPreemption(object):
                        """
                        The soft preemption info for this LSP.
                        
                        .. attribute:: fr_rrewrite
                        
                        	FRR\-rewrite during soft preemption
                        	**type**\:  bool
                        
                        .. attribute:: fr_rrewrite_tunnel_name
                        
                        	The tunnel name of the backup
                        	**type**\:  str
                        
                        .. attribute:: preempting_link_address
                        
                        	The address of the link where the preemption happened
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: soft_preemption_link
                        
                        	Name of the link where the soft preemption occurred
                        	**type**\:  str
                        
                        .. attribute:: soft_preemption_timestamp
                        
                        	The POSIX timestamp when the soft preemption occurred
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: status
                        
                        	The current state of the soft preemption operation
                        	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                        
                        .. attribute:: time_to_hard_preemption
                        
                        	The number of seconds until hard preemption is triggered
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fr_rrewrite = None
                            self.fr_rrewrite_tunnel_name = None
                            self.preempting_link_address = None
                            self.soft_preemption_link = None
                            self.soft_preemption_timestamp = None
                            self.status = None
                            self.time_to_hard_preemption = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fr_rrewrite is not None:
                                return True

                            if self.fr_rrewrite_tunnel_name is not None:
                                return True

                            if self.preempting_link_address is not None:
                                return True

                            if self.soft_preemption_link is not None:
                                return True

                            if self.soft_preemption_timestamp is not None:
                                return True

                            if self.status is not None:
                                return True

                            if self.time_to_hard_preemption is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SoftPreemption']['meta_info']


                    class GmplsLabels(object):
                        """
                        GMPLS labels
                        
                        .. attribute:: path_egress_label
                        
                        	Path message (upstream) egress label
                        	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel>`
                        
                        .. attribute:: path_ingress_label
                        
                        	Path message (upstream) ingress label
                        	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel>`
                        
                        .. attribute:: resv_egress_label
                        
                        	Resv message (downstream) egress label
                        	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel>`
                        
                        .. attribute:: resv_ingress_label
                        
                        	Resv message (downstream) ingress label
                        	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel()
                            self.path_egress_label.parent = self
                            self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel()
                            self.path_ingress_label.parent = self
                            self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel()
                            self.resv_egress_label.parent = self
                            self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel()
                            self.resv_ingress_label.parent = self


                        class PathIngressLabel(object):
                            """
                            Path message (upstream) ingress label
                            
                            .. attribute:: label_type
                            
                            	LabelType
                            	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                            
                            .. attribute:: otn
                            
                            	Fixed\-size G09 OTN label
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Otn>`
                            
                            .. attribute:: wdm
                            
                            	Fixed\-grid WDM label
                            	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.label_type = None
                                self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Otn()
                                self.otn.parent = self
                                self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                self.wdm.parent = self


                            class Wdm(object):
                                """
                                Fixed\-grid WDM label
                                
                                .. attribute:: channel
                                
                                	Channel Number
                                	**type**\:  int
                                
                                	**range:** \-32768..32767
                                
                                .. attribute:: channel_spacing
                                
                                	Channel spacing
                                	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                
                                .. attribute:: grid
                                
                                	Grid
                                	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                
                                .. attribute:: identifier
                                
                                	Identifier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: label_set
                                
                                	Flag to indicate whether label is set
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.channel = None
                                    self.channel_spacing = None
                                    self.grid = None
                                    self.identifier = None
                                    self.label_set = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.channel is not None:
                                        return True

                                    if self.channel_spacing is not None:
                                        return True

                                    if self.grid is not None:
                                        return True

                                    if self.identifier is not None:
                                        return True

                                    if self.label_set is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                            class Otn(object):
                                """
                                Fixed\-size G09 OTN label
                                
                                .. attribute:: bit_map
                                
                                	Bit Map
                                	**type**\:  list of int
                                
                                	**range:** 0..255
                                
                                .. attribute:: bit_map_length
                                
                                	Bit map length
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: tpn
                                
                                	Tributary time slot
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_map = YLeafList()
                                    self.bit_map.parent = self
                                    self.bit_map.name = 'bit_map'
                                    self.bit_map_length = None
                                    self.tpn = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_map is not None:
                                        for child in self.bit_map:
                                            if child is not None:
                                                return True

                                    if self.bit_map_length is not None:
                                        return True

                                    if self.tpn is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.label_type is not None:
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                if self.wdm is not None and self.wdm._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                        class PathEgressLabel(object):
                            """
                            Path message (upstream) egress label
                            
                            .. attribute:: label_type
                            
                            	LabelType
                            	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                            
                            .. attribute:: otn
                            
                            	Fixed\-size G09 OTN label
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Otn>`
                            
                            .. attribute:: wdm
                            
                            	Fixed\-grid WDM label
                            	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.label_type = None
                                self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Otn()
                                self.otn.parent = self
                                self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                self.wdm.parent = self


                            class Wdm(object):
                                """
                                Fixed\-grid WDM label
                                
                                .. attribute:: channel
                                
                                	Channel Number
                                	**type**\:  int
                                
                                	**range:** \-32768..32767
                                
                                .. attribute:: channel_spacing
                                
                                	Channel spacing
                                	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                
                                .. attribute:: grid
                                
                                	Grid
                                	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                
                                .. attribute:: identifier
                                
                                	Identifier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: label_set
                                
                                	Flag to indicate whether label is set
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.channel = None
                                    self.channel_spacing = None
                                    self.grid = None
                                    self.identifier = None
                                    self.label_set = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.channel is not None:
                                        return True

                                    if self.channel_spacing is not None:
                                        return True

                                    if self.grid is not None:
                                        return True

                                    if self.identifier is not None:
                                        return True

                                    if self.label_set is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                            class Otn(object):
                                """
                                Fixed\-size G09 OTN label
                                
                                .. attribute:: bit_map
                                
                                	Bit Map
                                	**type**\:  list of int
                                
                                	**range:** 0..255
                                
                                .. attribute:: bit_map_length
                                
                                	Bit map length
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: tpn
                                
                                	Tributary time slot
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_map = YLeafList()
                                    self.bit_map.parent = self
                                    self.bit_map.name = 'bit_map'
                                    self.bit_map_length = None
                                    self.tpn = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_map is not None:
                                        for child in self.bit_map:
                                            if child is not None:
                                                return True

                                    if self.bit_map_length is not None:
                                        return True

                                    if self.tpn is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.label_type is not None:
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                if self.wdm is not None and self.wdm._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                        class ResvIngressLabel(object):
                            """
                            Resv message (downstream) ingress label
                            
                            .. attribute:: label_type
                            
                            	LabelType
                            	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                            
                            .. attribute:: otn
                            
                            	Fixed\-size G09 OTN label
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                            
                            .. attribute:: wdm
                            
                            	Fixed\-grid WDM label
                            	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.label_type = None
                                self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                self.otn.parent = self
                                self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                self.wdm.parent = self


                            class Wdm(object):
                                """
                                Fixed\-grid WDM label
                                
                                .. attribute:: channel
                                
                                	Channel Number
                                	**type**\:  int
                                
                                	**range:** \-32768..32767
                                
                                .. attribute:: channel_spacing
                                
                                	Channel spacing
                                	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                
                                .. attribute:: grid
                                
                                	Grid
                                	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                
                                .. attribute:: identifier
                                
                                	Identifier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: label_set
                                
                                	Flag to indicate whether label is set
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.channel = None
                                    self.channel_spacing = None
                                    self.grid = None
                                    self.identifier = None
                                    self.label_set = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.channel is not None:
                                        return True

                                    if self.channel_spacing is not None:
                                        return True

                                    if self.grid is not None:
                                        return True

                                    if self.identifier is not None:
                                        return True

                                    if self.label_set is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                            class Otn(object):
                                """
                                Fixed\-size G09 OTN label
                                
                                .. attribute:: bit_map
                                
                                	Bit Map
                                	**type**\:  list of int
                                
                                	**range:** 0..255
                                
                                .. attribute:: bit_map_length
                                
                                	Bit map length
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: tpn
                                
                                	Tributary time slot
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_map = YLeafList()
                                    self.bit_map.parent = self
                                    self.bit_map.name = 'bit_map'
                                    self.bit_map_length = None
                                    self.tpn = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_map is not None:
                                        for child in self.bit_map:
                                            if child is not None:
                                                return True

                                    if self.bit_map_length is not None:
                                        return True

                                    if self.tpn is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.label_type is not None:
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                if self.wdm is not None and self.wdm._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                        class ResvEgressLabel(object):
                            """
                            Resv message (downstream) egress label
                            
                            .. attribute:: label_type
                            
                            	LabelType
                            	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                            
                            .. attribute:: otn
                            
                            	Fixed\-size G09 OTN label
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                            
                            .. attribute:: wdm
                            
                            	Fixed\-grid WDM label
                            	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.label_type = None
                                self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                self.otn.parent = self
                                self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                self.wdm.parent = self


                            class Wdm(object):
                                """
                                Fixed\-grid WDM label
                                
                                .. attribute:: channel
                                
                                	Channel Number
                                	**type**\:  int
                                
                                	**range:** \-32768..32767
                                
                                .. attribute:: channel_spacing
                                
                                	Channel spacing
                                	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                
                                .. attribute:: grid
                                
                                	Grid
                                	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                
                                .. attribute:: identifier
                                
                                	Identifier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: label_set
                                
                                	Flag to indicate whether label is set
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.channel = None
                                    self.channel_spacing = None
                                    self.grid = None
                                    self.identifier = None
                                    self.label_set = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.channel is not None:
                                        return True

                                    if self.channel_spacing is not None:
                                        return True

                                    if self.grid is not None:
                                        return True

                                    if self.identifier is not None:
                                        return True

                                    if self.label_set is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                            class Otn(object):
                                """
                                Fixed\-size G09 OTN label
                                
                                .. attribute:: bit_map
                                
                                	Bit Map
                                	**type**\:  list of int
                                
                                	**range:** 0..255
                                
                                .. attribute:: bit_map_length
                                
                                	Bit map length
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: tpn
                                
                                	Tributary time slot
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_map = YLeafList()
                                    self.bit_map.parent = self
                                    self.bit_map.name = 'bit_map'
                                    self.bit_map_length = None
                                    self.tpn = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_map is not None:
                                        for child in self.bit_map:
                                            if child is not None:
                                                return True

                                    if self.bit_map_length is not None:
                                        return True

                                    if self.tpn is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.label_type is not None:
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                if self.wdm is not None and self.wdm._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.path_egress_label is not None and self.path_egress_label._has_data():
                                return True

                            if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                return True

                            if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                return True

                            if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels']['meta_info']


                    class OtnS2L(object):
                        """
                        Otn S2L Information
                        
                        .. attribute:: aps
                        
                        	APS Info for OTN S2L
                        	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps>`
                        
                        .. attribute:: otn
                        
                        	Info Related to OTN technology in S2L
                        	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.aps = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps()
                            self.aps.parent = self
                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn()
                            self.otn.parent = self


                        class Otn(object):
                            """
                            Info Related to OTN technology in S2L
                            
                            .. attribute:: bandwidth
                            
                            	OTN Bandwidth for s2l
                            	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth>`
                            
                            .. attribute:: cross_connect_id
                            
                            	Cross connect id
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: gpid
                            
                            	Gpid Payload
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: incoming_controller
                            
                            	Incoming Controller
                            	**type**\:  str
                            
                            .. attribute:: incoming_controller_ifhandle
                            
                            	Incoming Controller Ifhandle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: incoming_controller_state
                            
                            	State of Incoming Controller
                            	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                            
                            .. attribute:: incoming_sub_controller
                            
                            	Incoming Sub Controller
                            	**type**\:  str
                            
                            .. attribute:: incoming_sub_controller_ifhandle
                            
                            	Incoming Sub Controller Ifhandle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: incoming_sub_controller_state
                            
                            	State of Incoming Sub Controller
                            	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                            
                            .. attribute:: is_connected
                            
                            	True if subcontrollers are connected
                            	**type**\:  bool
                            
                            .. attribute:: labels
                            
                            	Labels
                            	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels>`
                            
                            .. attribute:: outgoing_controller
                            
                            	Outgoing Controller
                            	**type**\:  str
                            
                            .. attribute:: outgoing_controller_ifhandle
                            
                            	Outgoing Controller Ifhandle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: outgoing_controller_state
                            
                            	State of Outgoing Controller
                            	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                            
                            .. attribute:: outgoing_sub_controller
                            
                            	Outgoing Sub Controller
                            	**type**\:  str
                            
                            .. attribute:: outgoing_sub_controller_ifhandle
                            
                            	Outgoing Sub Controller Ifhandle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: outgoing_sub_controller_state
                            
                            	State of Outgoing Sub Controller
                            	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                            
                            .. attribute:: uptime
                            
                            	XC Uptime
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bandwidth = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth()
                                self.bandwidth.parent = self
                                self.cross_connect_id = None
                                self.gpid = None
                                self.incoming_controller = None
                                self.incoming_controller_ifhandle = None
                                self.incoming_controller_state = None
                                self.incoming_sub_controller = None
                                self.incoming_sub_controller_ifhandle = None
                                self.incoming_sub_controller_state = None
                                self.is_connected = None
                                self.labels = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels()
                                self.labels.parent = self
                                self.outgoing_controller = None
                                self.outgoing_controller_ifhandle = None
                                self.outgoing_controller_state = None
                                self.outgoing_sub_controller = None
                                self.outgoing_sub_controller_ifhandle = None
                                self.outgoing_sub_controller_state = None
                                self.uptime = None


                            class Bandwidth(object):
                                """
                                OTN Bandwidth for s2l
                                
                                .. attribute:: odu_flex_cbr
                                
                                	Odu flex CBR info
                                	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                
                                .. attribute:: odu_flex_gfp_f_non_res
                                
                                	Odu flex GFP\-F non\-resizable info
                                	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                
                                .. attribute:: odu_flex_gfp_f_res
                                
                                	Odu flex GFP\-F resizable info
                                	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                
                                .. attribute:: odu_level
                                
                                	ODULevel
                                	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.odu_flex_cbr = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                    self.odu_flex_cbr.parent = self
                                    self.odu_flex_gfp_f_non_res = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                    self.odu_flex_gfp_f_non_res.parent = self
                                    self.odu_flex_gfp_f_res = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                    self.odu_flex_gfp_f_res.parent = self
                                    self.odu_level = None


                                class OduFlexCbr(object):
                                    """
                                    Odu flex CBR info
                                    
                                    .. attribute:: bit_rate
                                    
                                    	Bit rate in kbit/s
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tolerance
                                    
                                    	Tolerance
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_rate = None
                                        self.tolerance = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_rate is not None:
                                            return True

                                        if self.tolerance is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                class OduFlexGfpFRes(object):
                                    """
                                    Odu flex GFP\-F resizable info
                                    
                                    .. attribute:: bit_rate
                                    
                                    	Bit rate in kbit/s
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_rate = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_rate is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                class OduFlexGfpFNonRes(object):
                                    """
                                    Odu flex GFP\-F non\-resizable info
                                    
                                    .. attribute:: bit_rate
                                    
                                    	Bit rate in kbit/s
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_rate = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_rate is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                        return True

                                    if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                        return True

                                    if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                        return True

                                    if self.odu_level is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                            class Labels(object):
                                """
                                Labels
                                
                                .. attribute:: path_egress_label
                                
                                	Path message (upstream) egress label
                                	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                
                                .. attribute:: path_ingress_label
                                
                                	Path message (upstream) ingress label
                                	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                
                                .. attribute:: resv_egress_label
                                
                                	Resv message (downstream) egress label
                                	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                
                                .. attribute:: resv_ingress_label
                                
                                	Resv message (downstream) ingress label
                                	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                    self.path_egress_label.parent = self
                                    self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                    self.path_ingress_label.parent = self
                                    self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                    self.resv_egress_label.parent = self
                                    self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                    self.resv_ingress_label.parent = self


                                class PathIngressLabel(object):
                                    """
                                    Path message (upstream) ingress label
                                    
                                    .. attribute:: label_type
                                    
                                    	LabelType
                                    	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                    
                                    .. attribute:: otn
                                    
                                    	Fixed\-size G09 OTN label
                                    	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                    
                                    .. attribute:: wdm
                                    
                                    	Fixed\-grid WDM label
                                    	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.label_type = None
                                        self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                        self.otn.parent = self
                                        self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                        self.wdm.parent = self


                                    class Wdm(object):
                                        """
                                        Fixed\-grid WDM label
                                        
                                        .. attribute:: channel
                                        
                                        	Channel Number
                                        	**type**\:  int
                                        
                                        	**range:** \-32768..32767
                                        
                                        .. attribute:: channel_spacing
                                        
                                        	Channel spacing
                                        	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                        
                                        .. attribute:: grid
                                        
                                        	Grid
                                        	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                        
                                        .. attribute:: identifier
                                        
                                        	Identifier
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: label_set
                                        
                                        	Flag to indicate whether label is set
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.channel = None
                                            self.channel_spacing = None
                                            self.grid = None
                                            self.identifier = None
                                            self.label_set = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.channel is not None:
                                                return True

                                            if self.channel_spacing is not None:
                                                return True

                                            if self.grid is not None:
                                                return True

                                            if self.identifier is not None:
                                                return True

                                            if self.label_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                    class Otn_(object):
                                        """
                                        Fixed\-size G09 OTN label
                                        
                                        .. attribute:: bit_map
                                        
                                        	Bit Map
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: bit_map_length
                                        
                                        	Bit map length
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: tpn
                                        
                                        	Tributary time slot
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_map = YLeafList()
                                            self.bit_map.parent = self
                                            self.bit_map.name = 'bit_map'
                                            self.bit_map_length = None
                                            self.tpn = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_map is not None:
                                                for child in self.bit_map:
                                                    if child is not None:
                                                        return True

                                            if self.bit_map_length is not None:
                                                return True

                                            if self.tpn is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.label_type is not None:
                                            return True

                                        if self.otn is not None and self.otn._has_data():
                                            return True

                                        if self.wdm is not None and self.wdm._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                class PathEgressLabel(object):
                                    """
                                    Path message (upstream) egress label
                                    
                                    .. attribute:: label_type
                                    
                                    	LabelType
                                    	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                    
                                    .. attribute:: otn
                                    
                                    	Fixed\-size G09 OTN label
                                    	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                    
                                    .. attribute:: wdm
                                    
                                    	Fixed\-grid WDM label
                                    	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.label_type = None
                                        self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                        self.otn.parent = self
                                        self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                        self.wdm.parent = self


                                    class Wdm(object):
                                        """
                                        Fixed\-grid WDM label
                                        
                                        .. attribute:: channel
                                        
                                        	Channel Number
                                        	**type**\:  int
                                        
                                        	**range:** \-32768..32767
                                        
                                        .. attribute:: channel_spacing
                                        
                                        	Channel spacing
                                        	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                        
                                        .. attribute:: grid
                                        
                                        	Grid
                                        	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                        
                                        .. attribute:: identifier
                                        
                                        	Identifier
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: label_set
                                        
                                        	Flag to indicate whether label is set
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.channel = None
                                            self.channel_spacing = None
                                            self.grid = None
                                            self.identifier = None
                                            self.label_set = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.channel is not None:
                                                return True

                                            if self.channel_spacing is not None:
                                                return True

                                            if self.grid is not None:
                                                return True

                                            if self.identifier is not None:
                                                return True

                                            if self.label_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                    class Otn_(object):
                                        """
                                        Fixed\-size G09 OTN label
                                        
                                        .. attribute:: bit_map
                                        
                                        	Bit Map
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: bit_map_length
                                        
                                        	Bit map length
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: tpn
                                        
                                        	Tributary time slot
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_map = YLeafList()
                                            self.bit_map.parent = self
                                            self.bit_map.name = 'bit_map'
                                            self.bit_map_length = None
                                            self.tpn = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_map is not None:
                                                for child in self.bit_map:
                                                    if child is not None:
                                                        return True

                                            if self.bit_map_length is not None:
                                                return True

                                            if self.tpn is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.label_type is not None:
                                            return True

                                        if self.otn is not None and self.otn._has_data():
                                            return True

                                        if self.wdm is not None and self.wdm._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                class ResvIngressLabel(object):
                                    """
                                    Resv message (downstream) ingress label
                                    
                                    .. attribute:: label_type
                                    
                                    	LabelType
                                    	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                    
                                    .. attribute:: otn
                                    
                                    	Fixed\-size G09 OTN label
                                    	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                    
                                    .. attribute:: wdm
                                    
                                    	Fixed\-grid WDM label
                                    	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.label_type = None
                                        self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                        self.otn.parent = self
                                        self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                        self.wdm.parent = self


                                    class Wdm(object):
                                        """
                                        Fixed\-grid WDM label
                                        
                                        .. attribute:: channel
                                        
                                        	Channel Number
                                        	**type**\:  int
                                        
                                        	**range:** \-32768..32767
                                        
                                        .. attribute:: channel_spacing
                                        
                                        	Channel spacing
                                        	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                        
                                        .. attribute:: grid
                                        
                                        	Grid
                                        	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                        
                                        .. attribute:: identifier
                                        
                                        	Identifier
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: label_set
                                        
                                        	Flag to indicate whether label is set
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.channel = None
                                            self.channel_spacing = None
                                            self.grid = None
                                            self.identifier = None
                                            self.label_set = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.channel is not None:
                                                return True

                                            if self.channel_spacing is not None:
                                                return True

                                            if self.grid is not None:
                                                return True

                                            if self.identifier is not None:
                                                return True

                                            if self.label_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                    class Otn_(object):
                                        """
                                        Fixed\-size G09 OTN label
                                        
                                        .. attribute:: bit_map
                                        
                                        	Bit Map
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: bit_map_length
                                        
                                        	Bit map length
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: tpn
                                        
                                        	Tributary time slot
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_map = YLeafList()
                                            self.bit_map.parent = self
                                            self.bit_map.name = 'bit_map'
                                            self.bit_map_length = None
                                            self.tpn = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_map is not None:
                                                for child in self.bit_map:
                                                    if child is not None:
                                                        return True

                                            if self.bit_map_length is not None:
                                                return True

                                            if self.tpn is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.label_type is not None:
                                            return True

                                        if self.otn is not None and self.otn._has_data():
                                            return True

                                        if self.wdm is not None and self.wdm._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                class ResvEgressLabel(object):
                                    """
                                    Resv message (downstream) egress label
                                    
                                    .. attribute:: label_type
                                    
                                    	LabelType
                                    	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                    
                                    .. attribute:: otn
                                    
                                    	Fixed\-size G09 OTN label
                                    	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                    
                                    .. attribute:: wdm
                                    
                                    	Fixed\-grid WDM label
                                    	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.label_type = None
                                        self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                        self.otn.parent = self
                                        self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                        self.wdm.parent = self


                                    class Wdm(object):
                                        """
                                        Fixed\-grid WDM label
                                        
                                        .. attribute:: channel
                                        
                                        	Channel Number
                                        	**type**\:  int
                                        
                                        	**range:** \-32768..32767
                                        
                                        .. attribute:: channel_spacing
                                        
                                        	Channel spacing
                                        	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                        
                                        .. attribute:: grid
                                        
                                        	Grid
                                        	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                        
                                        .. attribute:: identifier
                                        
                                        	Identifier
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: label_set
                                        
                                        	Flag to indicate whether label is set
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.channel = None
                                            self.channel_spacing = None
                                            self.grid = None
                                            self.identifier = None
                                            self.label_set = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.channel is not None:
                                                return True

                                            if self.channel_spacing is not None:
                                                return True

                                            if self.grid is not None:
                                                return True

                                            if self.identifier is not None:
                                                return True

                                            if self.label_set is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                    class Otn_(object):
                                        """
                                        Fixed\-size G09 OTN label
                                        
                                        .. attribute:: bit_map
                                        
                                        	Bit Map
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: bit_map_length
                                        
                                        	Bit map length
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: tpn
                                        
                                        	Tributary time slot
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_map = YLeafList()
                                            self.bit_map.parent = self
                                            self.bit_map.name = 'bit_map'
                                            self.bit_map_length = None
                                            self.tpn = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_map is not None:
                                                for child in self.bit_map:
                                                    if child is not None:
                                                        return True

                                            if self.bit_map_length is not None:
                                                return True

                                            if self.tpn is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.label_type is not None:
                                            return True

                                        if self.otn is not None and self.otn._has_data():
                                            return True

                                        if self.wdm is not None and self.wdm._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.path_egress_label is not None and self.path_egress_label._has_data():
                                        return True

                                    if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                        return True

                                    if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                        return True

                                    if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bandwidth is not None and self.bandwidth._has_data():
                                    return True

                                if self.cross_connect_id is not None:
                                    return True

                                if self.gpid is not None:
                                    return True

                                if self.incoming_controller is not None:
                                    return True

                                if self.incoming_controller_ifhandle is not None:
                                    return True

                                if self.incoming_controller_state is not None:
                                    return True

                                if self.incoming_sub_controller is not None:
                                    return True

                                if self.incoming_sub_controller_ifhandle is not None:
                                    return True

                                if self.incoming_sub_controller_state is not None:
                                    return True

                                if self.is_connected is not None:
                                    return True

                                if self.labels is not None and self.labels._has_data():
                                    return True

                                if self.outgoing_controller is not None:
                                    return True

                                if self.outgoing_controller_ifhandle is not None:
                                    return True

                                if self.outgoing_controller_state is not None:
                                    return True

                                if self.outgoing_sub_controller is not None:
                                    return True

                                if self.outgoing_sub_controller_ifhandle is not None:
                                    return True

                                if self.outgoing_sub_controller_state is not None:
                                    return True

                                if self.uptime is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn']['meta_info']


                        class Aps(object):
                            """
                            APS Info for OTN S2L
                            
                            .. attribute:: protection_info
                            
                            	Protection Info
                            	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps.ProtectionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.protection_info = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps.ProtectionInfo()
                                self.protection_info.parent = self


                            class ProtectionInfo(object):
                                """
                                Protection Info
                                
                                .. attribute:: ho_timeout
                                
                                	Hold\-Off timeout
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: is_hopresent
                                
                                	Is Hold\-Off timeout present
                                	**type**\:  bool
                                
                                .. attribute:: is_snc_mode_present
                                
                                	Is SNC mode present
                                	**type**\:  bool
                                
                                .. attribute:: is_wtr_present
                                
                                	Is Wait\-to\-Restore timeout present
                                	**type**\:  bool
                                
                                .. attribute:: nbit
                                
                                	Notification bit 
                                	**type**\:  bool
                                
                                .. attribute:: obit
                                
                                	Operational bit
                                	**type**\:  bool
                                
                                .. attribute:: path_prot_profile_type
                                
                                	Path protection profile type
                                	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                
                                .. attribute:: pbit
                                
                                	Protecting bit
                                	**type**\:  bool
                                
                                .. attribute:: protect_type
                                
                                	LSP Protect Type
                                	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                
                                .. attribute:: sbit
                                
                                	Secondary bit
                                	**type**\:  bool
                                
                                .. attribute:: snc_mode
                                
                                	SNC mode
                                	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                
                                .. attribute:: tcm_id
                                
                                	TCM ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: wtr_timeout
                                
                                	Wait\-to\-Restore timeout
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ho_timeout = None
                                    self.is_hopresent = None
                                    self.is_snc_mode_present = None
                                    self.is_wtr_present = None
                                    self.nbit = None
                                    self.obit = None
                                    self.path_prot_profile_type = None
                                    self.pbit = None
                                    self.protect_type = None
                                    self.sbit = None
                                    self.snc_mode = None
                                    self.tcm_id = None
                                    self.wtr_timeout = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ho_timeout is not None:
                                        return True

                                    if self.is_hopresent is not None:
                                        return True

                                    if self.is_snc_mode_present is not None:
                                        return True

                                    if self.is_wtr_present is not None:
                                        return True

                                    if self.nbit is not None:
                                        return True

                                    if self.obit is not None:
                                        return True

                                    if self.path_prot_profile_type is not None:
                                        return True

                                    if self.pbit is not None:
                                        return True

                                    if self.protect_type is not None:
                                        return True

                                    if self.sbit is not None:
                                        return True

                                    if self.snc_mode is not None:
                                        return True

                                    if self.tcm_id is not None:
                                        return True

                                    if self.wtr_timeout is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.protection_info is not None and self.protection_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.aps is not None and self.aps._has_data():
                                return True

                            if self.otn is not None and self.otn._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L']['meta_info']


                    class HeadEndBfdInfo(object):
                        """
                        The Head\-end BFD info
                        
                        .. attribute:: bfd_reverse_path_label
                        
                        	BFD reverse path labels
                        	**type**\:  list of int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bfd_reverse_path_stale
                        
                        	The BFD reverse path is stale compared to configuration
                        	**type**\:  bool
                        
                        .. attribute:: creation_time
                        
                        	Time in seconds since the BFD session created
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: deletion_history
                        
                        	BFD Session Deletion History
                        	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.DeletionHistory>`
                        
                        .. attribute:: is_redundant
                        
                        	sBFD session is redundant
                        	**type**\:  bool
                        
                        .. attribute:: lspbfd_type
                        
                        	LSP BFD type
                        	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                        
                        .. attribute:: session_info
                        
                        	BFD Session Info
                        	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.SessionInfo>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bfd_reverse_path_label = YLeafList()
                            self.bfd_reverse_path_label.parent = self
                            self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                            self.bfd_reverse_path_stale = None
                            self.creation_time = None
                            self.deletion_history = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.DeletionHistory()
                            self.deletion_history.parent = self
                            self.is_redundant = None
                            self.lspbfd_type = None
                            self.session_info = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.SessionInfo()
                            self.session_info.parent = self


                        class SessionInfo(object):
                            """
                            BFD Session Info
                            
                            .. attribute:: state
                            
                            	BFD session state
                            	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                            
                            .. attribute:: state_change_time
                            
                            	Time in seconds since the last session state change
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.state = None
                                self.state_change_time = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.state is not None:
                                    return True

                                if self.state_change_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                        class DeletionHistory(object):
                            """
                            BFD Session Deletion History
                            
                            .. attribute:: deletion_diagnostic_code
                            
                            	Diagnostic Code for the BFD session get deleted
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: deletion_reason
                            
                            	Reason for the BFD session get deleted
                            	**type**\:  str
                            
                            .. attribute:: deletion_time
                            
                            	Time stamp of the BFD session get deleted
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_id
                            
                            	LSP ID of the BFD session get deleted
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.deletion_diagnostic_code = None
                                self.deletion_reason = None
                                self.deletion_time = None
                                self.lsp_id = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.deletion_diagnostic_code is not None:
                                    return True

                                if self.deletion_reason is not None:
                                    return True

                                if self.deletion_time is not None:
                                    return True

                                if self.lsp_id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bfd_reverse_path_label is not None:
                                for child in self.bfd_reverse_path_label:
                                    if child is not None:
                                        return True

                            if self.bfd_reverse_path_stale is not None:
                                return True

                            if self.creation_time is not None:
                                return True

                            if self.deletion_history is not None and self.deletion_history._has_data():
                                return True

                            if self.is_redundant is not None:
                                return True

                            if self.lspbfd_type is not None:
                                return True

                            if self.session_info is not None and self.session_info._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo']['meta_info']


                    class TailEndBfdInfo(object):
                        """
                        The Tail\-end BFD info
                        
                        .. attribute:: failure_diagnostic_code
                        
                        	BFD session failure diagnostic code
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: failure_reason
                        
                        	BFD session failure reason
                        	**type**\:  str
                        
                        .. attribute:: local_discriminator
                        
                        	BFD Local Discriminator
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: min_interval
                        
                        	Hello interval in mini second
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: min_interval_default
                        
                        	Is default hello interval
                        	**type**\:  bool
                        
                        .. attribute:: multiplier
                        
                        	Multiplier
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: multiplier_default
                        
                        	Is default multiplier
                        	**type**\:  bool
                        
                        .. attribute:: remote_discriminator
                        
                        	BFD Remote Discrminator
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_info
                        
                        	BFD Session Info
                        	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo.SessionInfo>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.failure_diagnostic_code = None
                            self.failure_reason = None
                            self.local_discriminator = None
                            self.min_interval = None
                            self.min_interval_default = None
                            self.multiplier = None
                            self.multiplier_default = None
                            self.remote_discriminator = None
                            self.session_info = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo.SessionInfo()
                            self.session_info.parent = self


                        class SessionInfo(object):
                            """
                            BFD Session Info
                            
                            .. attribute:: state
                            
                            	BFD session state
                            	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                            
                            .. attribute:: state_change_time
                            
                            	Time in seconds since the last session state change
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.state = None
                                self.state_change_time = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.state is not None:
                                    return True

                                if self.state_change_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.failure_diagnostic_code is not None:
                                return True

                            if self.failure_reason is not None:
                                return True

                            if self.local_discriminator is not None:
                                return True

                            if self.min_interval is not None:
                                return True

                            if self.min_interval_default is not None:
                                return True

                            if self.multiplier is not None:
                                return True

                            if self.multiplier_default is not None:
                                return True

                            if self.remote_discriminator is not None:
                                return True

                            if self.session_info is not None and self.session_info._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo']['meta_info']


                    class SrlgCollection(object):
                        """
                        SRLG\-collection data
                        
                        .. attribute:: discovered_srlg
                        
                        	Discovered SRLGs
                        	**type**\:  list of int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: srlg_collect_type
                        
                        	SRLG\-collection mechanism
                        	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.discovered_srlg = YLeafList()
                            self.discovered_srlg.parent = self
                            self.discovered_srlg.name = 'discovered_srlg'
                            self.srlg_collect_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.discovered_srlg is not None:
                                for child in self.discovered_srlg:
                                    if child is not None:
                                        return True

                            if self.srlg_collect_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SrlgCollection']['meta_info']


                    class Association(object):
                        """
                        Association Object
                        
                        .. attribute:: s2l_association_id
                        
                        	S2L Association ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_association_source
                        
                        	S2L Association Source
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: s2l_association_tie_role
                        
                        	S2L Association Tie Role
                        	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                        
                        .. attribute:: s2l_association_type
                        
                        	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_extended_id
                        
                        	S2L Extended ID Array
                        	**type**\:  list of int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_global_source
                        
                        	S2L Global Source
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.s2l_association_id = None
                            self.s2l_association_source = None
                            self.s2l_association_tie_role = None
                            self.s2l_association_type = None
                            self.s2l_extended_id = YLeafList()
                            self.s2l_extended_id.parent = self
                            self.s2l_extended_id.name = 's2l_extended_id'
                            self.s2l_global_source = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.s2l_association_id is not None:
                                return True

                            if self.s2l_association_source is not None:
                                return True

                            if self.s2l_association_tie_role is not None:
                                return True

                            if self.s2l_association_type is not None:
                                return True

                            if self.s2l_extended_id is not None:
                                for child in self.s2l_extended_id:
                                    if child is not None:
                                        return True

                            if self.s2l_global_source is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Association']['meta_info']


                    class Protection(object):
                        """
                        Protection Object
                        
                        .. attribute:: any
                        
                        	Any
                        	**type**\:  bool
                        
                        .. attribute:: ded1_plus1
                        
                        	Dedicated 1+1 Protection
                        	**type**\:  bool
                        
                        .. attribute:: ded1_to1
                        
                        	Dedicated 1\:1 Protection
                        	**type**\:  bool
                        
                        .. attribute:: enhanced
                        
                        	Indicates Enhanced Protection Scheme
                        	**type**\:  bool
                        
                        .. attribute:: extra_traffic
                        
                        	LSP should use Links that are protecting other (primary) traffic
                        	**type**\:  bool
                        
                        .. attribute:: link_unprotected
                        
                        	LSP should not use any Link Layer Protection
                        	**type**\:  bool
                        
                        .. attribute:: lsp_unprotected
                        
                        	LSP Flags Unprotected
                        	**type**\:  bool
                        
                        .. attribute:: one_plus_one_bi
                        
                        	1+1 Bidirectional Protection
                        	**type**\:  bool
                        
                        .. attribute:: one_plus_one_uni
                        
                        	1+1 Unidirectional Protection
                        	**type**\:  bool
                        
                        .. attribute:: one_to_n_protection_et
                        
                        	1\:N Protection with Extra\-Traffic
                        	**type**\:  bool
                        
                        .. attribute:: rerouting
                        
                        	Full Rerouting
                        	**type**\:  bool
                        
                        .. attribute:: rerouting_no_et
                        
                        	Rerouting Without Extra\-Traffic
                        	**type**\:  bool
                        
                        .. attribute:: s2l_notification
                        
                        	 S2L Protection Notification Bit
                        	**type**\:  bool
                        
                        .. attribute:: s2l_operational
                        
                        	 S2L Protection Operational Bit
                        	**type**\:  bool
                        
                        .. attribute:: s2l_protecting
                        
                        	 S2L Protection Protecting Bit
                        	**type**\:  bool
                        
                        .. attribute:: s2l_secondary
                        
                        	 S2L Protection Secondary Bit
                        	**type**\:  bool
                        
                        .. attribute:: shared
                        
                        	Shared Link Layer Protection
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.any = None
                            self.ded1_plus1 = None
                            self.ded1_to1 = None
                            self.enhanced = None
                            self.extra_traffic = None
                            self.link_unprotected = None
                            self.lsp_unprotected = None
                            self.one_plus_one_bi = None
                            self.one_plus_one_uni = None
                            self.one_to_n_protection_et = None
                            self.rerouting = None
                            self.rerouting_no_et = None
                            self.s2l_notification = None
                            self.s2l_operational = None
                            self.s2l_protecting = None
                            self.s2l_secondary = None
                            self.shared = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.any is not None:
                                return True

                            if self.ded1_plus1 is not None:
                                return True

                            if self.ded1_to1 is not None:
                                return True

                            if self.enhanced is not None:
                                return True

                            if self.extra_traffic is not None:
                                return True

                            if self.link_unprotected is not None:
                                return True

                            if self.lsp_unprotected is not None:
                                return True

                            if self.one_plus_one_bi is not None:
                                return True

                            if self.one_plus_one_uni is not None:
                                return True

                            if self.one_to_n_protection_et is not None:
                                return True

                            if self.rerouting is not None:
                                return True

                            if self.rerouting_no_et is not None:
                                return True

                            if self.s2l_notification is not None:
                                return True

                            if self.s2l_operational is not None:
                                return True

                            if self.s2l_protecting is not None:
                                return True

                            if self.s2l_secondary is not None:
                                return True

                            if self.shared is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Protection']['meta_info']


                    class ReverseLspFec(object):
                        """
                        Reverse Associated Bidir LSP FEC
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec']['meta_info']


                    class ReverseTspec(object):
                        """
                        The Reverse T spec info
                        
                        .. attribute:: average_rate
                        
                        	Average bandwidth in  kbps
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: maximum_burst
                        
                        	Maximum burst of data in bytes
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: byte
                        
                        .. attribute:: peak_rate
                        
                        	Peak rate in  kbps
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: kbit/s
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.average_rate = None
                            self.maximum_burst = None
                            self.peak_rate = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.average_rate is not None:
                                return True

                            if self.maximum_burst is not None:
                                return True

                            if self.peak_rate is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseTspec']['meta_info']


                    class FlexInfo(object):
                        """
                        FlexLSP S2L Information
                        
                        .. attribute:: bfd_created
                        
                        	GAL BFD Session Created
                        	**type**\:  bool
                        
                        .. attribute:: bfd_egress_label
                        
                        	BFD Egress Label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bfd_int_label
                        
                        	BFD Internal Label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bfd_next_hop
                        
                        	BFD Next Hop
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: bfd_out_ifh
                        
                        	BFD Out Interface Handle
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: bfd_tun_ifh
                        
                        	BFD Tunnel Interface Handle
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: bfd_up
                        
                        	GAL BFD Session Up
                        	**type**\:  bool
                        
                        .. attribute:: entry_exists
                        
                        	FlexLSP Entry Exists
                        	**type**\:  bool
                        
                        .. attribute:: fault_ais
                        
                        	Fault AIS
                        	**type**\:  bool
                        
                        .. attribute:: fault_ldi
                        
                        	Fault LDI
                        	**type**\:  bool
                        
                        .. attribute:: fault_ldi_lockout
                        
                        	Fault LDI Lockout
                        	**type**\:  bool
                        
                        .. attribute:: fault_lkr
                        
                        	Fault LKR
                        	**type**\:  bool
                        
                        .. attribute:: fault_time
                        
                        	Fault Time
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: flex_fec
                        
                        	FEC for the FlexLSP Entry
                        	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo.FlexFec>`
                        
                        .. attribute:: in_label
                        
                        	In Label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: oam_created
                        
                        	OAM Entry Created
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bfd_created = None
                            self.bfd_egress_label = None
                            self.bfd_int_label = None
                            self.bfd_next_hop = None
                            self.bfd_out_ifh = None
                            self.bfd_tun_ifh = None
                            self.bfd_up = None
                            self.entry_exists = None
                            self.fault_ais = None
                            self.fault_ldi = None
                            self.fault_ldi_lockout = None
                            self.fault_lkr = None
                            self.fault_time = None
                            self.flex_fec = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo.FlexFec()
                            self.flex_fec.parent = self
                            self.in_label = None
                            self.oam_created = None


                        class FlexFec(object):
                            """
                            FEC for the FlexLSP Entry
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo.FlexFec']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bfd_created is not None:
                                return True

                            if self.bfd_egress_label is not None:
                                return True

                            if self.bfd_int_label is not None:
                                return True

                            if self.bfd_next_hop is not None:
                                return True

                            if self.bfd_out_ifh is not None:
                                return True

                            if self.bfd_tun_ifh is not None:
                                return True

                            if self.bfd_up is not None:
                                return True

                            if self.entry_exists is not None:
                                return True

                            if self.fault_ais is not None:
                                return True

                            if self.fault_ldi is not None:
                                return True

                            if self.fault_ldi_lockout is not None:
                                return True

                            if self.fault_lkr is not None:
                                return True

                            if self.fault_time is not None:
                                return True

                            if self.flex_fec is not None and self.flex_fec._has_data():
                                return True

                            if self.in_label is not None:
                                return True

                            if self.oam_created is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo']['meta_info']


                    class LspWrapInfo(object):
                        """
                        Lsp Wrap  Related information
                        
                        .. attribute:: lsp_wrap_protection_enable
                        
                        	LSP Wrap protection enabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_wrap_protection_label
                        
                        	LSP Wrap Merge Point Label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: lsp_wrap_protection_state
                        
                        	LSP wrap protection state
                        	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                        
                        .. attribute:: reverse_egress_interface
                        
                        	Reverse Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_label
                        
                        	Reverse LSP label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.lsp_wrap_protection_enable = None
                            self.lsp_wrap_protection_label = None
                            self.lsp_wrap_protection_state = None
                            self.reverse_egress_interface = None
                            self.reverse_lsp_label = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.lsp_wrap_protection_enable is not None:
                                return True

                            if self.lsp_wrap_protection_label is not None:
                                return True

                            if self.lsp_wrap_protection_state is not None:
                                return True

                            if self.reverse_egress_interface is not None:
                                return True

                            if self.reverse_lsp_label is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.LspWrapInfo']['meta_info']


                    class DiversityInfo(object):
                        """
                        S2L Diversity Information
                        
                        .. attribute:: diversity_type
                        
                        	S2L path diversity type
                        	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.diversity_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.diversity_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.DiversityInfo']['meta_info']


                    class SharedRiskLinkGroup(object):
                        """
                        The S2L's excluded srlg groups
                        
                        .. attribute:: shared_risk_group
                        
                        	SRLG number
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: srlg_name
                        
                        	SRLG name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.shared_risk_group = None
                            self.srlg_name = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.shared_risk_group is not None:
                                return True

                            if self.srlg_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SharedRiskLinkGroup']['meta_info']


                    class OutEro(object):
                        """
                        Outgoing ERO for this S2L
                        
                        .. attribute:: ero_type
                        
                        	EROType
                        	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                        
                        .. attribute:: ipv4ero_sub_object
                        
                        	IPV4 ERO Sub Object
                        	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.Ipv4EroSubObject>`
                        
                        .. attribute:: unnumbered_ero_sub_object
                        
                        	Unnumbered ERO Sub Object
                        	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.UnnumberedEroSubObject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_type = None
                            self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.Ipv4EroSubObject()
                            self.ipv4ero_sub_object.parent = self
                            self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.UnnumberedEroSubObject()
                            self.unnumbered_ero_sub_object.parent = self


                        class Ipv4EroSubObject(object):
                            """
                            IPV4 ERO Sub Object
                            
                            .. attribute:: ero_address
                            
                            	The ERO IPV4 Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: prefix_length
                            
                            	ERO Prefix Length
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_address = None
                                self.is_strict_route = None
                                self.prefix_length = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_address is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.prefix_length is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                        class UnnumberedEroSubObject(object):
                            """
                            Unnumbered ERO Sub Object
                            
                            .. attribute:: ero_interface_id
                            
                            	The Interface ID in ERO
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: ero_router_id
                            
                            	The Router ID in ERO
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: status
                            
                            	Status of ERO
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_interface_id = None
                                self.ero_router_id = None
                                self.is_strict_route = None
                                self.status = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_interface_id is not None:
                                    return True

                                if self.ero_router_id is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_type is not None:
                                return True

                            if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                return True

                            if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro']['meta_info']


                    class InEro(object):
                        """
                        Incoming ERO for this S2L
                        
                        .. attribute:: ero_type
                        
                        	EROType
                        	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                        
                        .. attribute:: ipv4ero_sub_object
                        
                        	IPV4 ERO Sub Object
                        	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.Ipv4EroSubObject>`
                        
                        .. attribute:: unnumbered_ero_sub_object
                        
                        	Unnumbered ERO Sub Object
                        	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.UnnumberedEroSubObject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_type = None
                            self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.Ipv4EroSubObject()
                            self.ipv4ero_sub_object.parent = self
                            self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.UnnumberedEroSubObject()
                            self.unnumbered_ero_sub_object.parent = self


                        class Ipv4EroSubObject(object):
                            """
                            IPV4 ERO Sub Object
                            
                            .. attribute:: ero_address
                            
                            	The ERO IPV4 Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: prefix_length
                            
                            	ERO Prefix Length
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_address = None
                                self.is_strict_route = None
                                self.prefix_length = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_address is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.prefix_length is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.Ipv4EroSubObject']['meta_info']


                        class UnnumberedEroSubObject(object):
                            """
                            Unnumbered ERO Sub Object
                            
                            .. attribute:: ero_interface_id
                            
                            	The Interface ID in ERO
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: ero_router_id
                            
                            	The Router ID in ERO
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: status
                            
                            	Status of ERO
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_interface_id = None
                                self.ero_router_id = None
                                self.is_strict_route = None
                                self.status = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_interface_id is not None:
                                    return True

                                if self.ero_router_id is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_type is not None:
                                return True

                            if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                return True

                            if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro']['meta_info']


                    class PathRro(object):
                        """
                        Path RRO for this S2L
                        
                        .. attribute:: ipv4rro_sub_object
                        
                        	IPV4 RRO Sub Object
                        	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject>`
                        
                        .. attribute:: label_rro_sub_object
                        
                        	Label RRO Sub Object
                        	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject>`
                        
                        .. attribute:: rro_type
                        
                        	RROType
                        	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                        
                        .. attribute:: srlg_rro_sub_object
                        
                        	SRLG RRO Sub Object
                        	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.SrlgRroSubObject>`
                        
                        .. attribute:: unnumbered_rro_sub_object
                        
                        	Unnumbered RRO Sub Object
                        	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject()
                            self.ipv4rro_sub_object.parent = self
                            self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject()
                            self.label_rro_sub_object.parent = self
                            self.rro_type = None
                            self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.SrlgRroSubObject()
                            self.srlg_rro_sub_object.parent = self
                            self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject()
                            self.unnumbered_rro_sub_object.parent = self


                        class Ipv4RroSubObject(object):
                            """
                            IPV4 RRO Sub Object
                            
                            .. attribute:: flags
                            
                            	The RRO IPV4 Subobject Flags
                            	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject.Flags>`
                            
                            .. attribute:: rro_address
                            
                            	The RRO IPV4 Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject.Flags()
                                self.flags.parent = self
                                self.rro_address = None


                            class Flags(object):
                                """
                                The RRO IPV4 Subobject Flags
                                
                                .. attribute:: is_bandwidth_protected
                                
                                	Bandwidth Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_node_id
                                
                                	Node ID In Use
                                	**type**\:  bool
                                
                                .. attribute:: is_node_protection_available
                                
                                	Node Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_protection_available
                                
                                	Local Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_protection_in_use
                                
                                	Local Protection In Use
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.is_bandwidth_protected = None
                                    self.is_node_id = None
                                    self.is_node_protection_available = None
                                    self.is_protection_available = None
                                    self.is_protection_in_use = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.is_bandwidth_protected is not None:
                                        return True

                                    if self.is_node_id is not None:
                                        return True

                                    if self.is_node_protection_available is not None:
                                        return True

                                    if self.is_protection_available is not None:
                                        return True

                                    if self.is_protection_in_use is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.flags is not None and self.flags._has_data():
                                    return True

                                if self.rro_address is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                        class LabelRroSubObject(object):
                            """
                            Label RRO Sub Object
                            
                            .. attribute:: flags
                            
                            	The RRO Subobject Label Flags
                            	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject.Flags>`
                            
                            .. attribute:: is_label_variable_length
                            
                            	Is the RRO Subobject Label Variable Length
                            	**type**\:  bool
                            
                            .. attribute:: label
                            
                            	The RRO Subobject Label Value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: variable_length_label
                            
                            	The RRO Subobject Variable Length Label
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject.Flags()
                                self.flags.parent = self
                                self.is_label_variable_length = None
                                self.label = None
                                self.variable_length_label = YLeafList()
                                self.variable_length_label.parent = self
                                self.variable_length_label.name = 'variable_length_label'


                            class Flags(object):
                                """
                                The RRO Subobject Label Flags
                                
                                .. attribute:: is_global_label
                                
                                	Label is Global across all interfaces
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.is_global_label = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.is_global_label is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.flags is not None and self.flags._has_data():
                                    return True

                                if self.is_label_variable_length is not None:
                                    return True

                                if self.label is not None:
                                    return True

                                if self.variable_length_label is not None:
                                    for child in self.variable_length_label:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject']['meta_info']


                        class UnnumberedRroSubObject(object):
                            """
                            Unnumbered RRO Sub Object
                            
                            .. attribute:: flags
                            
                            	The RRO Subobject Unnumbered Flags
                            	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                            
                            .. attribute:: interface_address
                            
                            	The RRO Interface Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: interface_id
                            
                            	The RRO Interface ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                self.flags.parent = self
                                self.interface_address = None
                                self.interface_id = None


                            class Flags(object):
                                """
                                The RRO Subobject Unnumbered Flags
                                
                                .. attribute:: is_bandwidth_protected
                                
                                	Bandwidth Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_node_id
                                
                                	Node ID In Use
                                	**type**\:  bool
                                
                                .. attribute:: is_node_protection_available
                                
                                	Node Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_protection_available
                                
                                	Local Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_protection_in_use
                                
                                	Local Protection In Use
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.is_bandwidth_protected = None
                                    self.is_node_id = None
                                    self.is_node_protection_available = None
                                    self.is_protection_available = None
                                    self.is_protection_in_use = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.is_bandwidth_protected is not None:
                                        return True

                                    if self.is_node_id is not None:
                                        return True

                                    if self.is_node_protection_available is not None:
                                        return True

                                    if self.is_protection_available is not None:
                                        return True

                                    if self.is_protection_in_use is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.flags is not None and self.flags._has_data():
                                    return True

                                if self.interface_address is not None:
                                    return True

                                if self.interface_id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                        class SrlgRroSubObject(object):
                            """
                            SRLG RRO Sub Object
                            
                            .. attribute:: srl_gs
                            
                            	The RRO Subobject SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.srl_gs = YLeafList()
                                self.srl_gs.parent = self
                                self.srl_gs.name = 'srl_gs'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.srl_gs is not None:
                                    for child in self.srl_gs:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.SrlgRroSubObject']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                return True

                            if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                return True

                            if self.rro_type is not None:
                                return True

                            if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                return True

                            if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro']['meta_info']


                    class ResvRro(object):
                        """
                        Resv RRO for this S2L
                        
                        .. attribute:: ipv4rro_sub_object
                        
                        	IPV4 RRO Sub Object
                        	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject>`
                        
                        .. attribute:: label_rro_sub_object
                        
                        	Label RRO Sub Object
                        	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject>`
                        
                        .. attribute:: rro_type
                        
                        	RROType
                        	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                        
                        .. attribute:: srlg_rro_sub_object
                        
                        	SRLG RRO Sub Object
                        	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.SrlgRroSubObject>`
                        
                        .. attribute:: unnumbered_rro_sub_object
                        
                        	Unnumbered RRO Sub Object
                        	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject()
                            self.ipv4rro_sub_object.parent = self
                            self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject()
                            self.label_rro_sub_object.parent = self
                            self.rro_type = None
                            self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.SrlgRroSubObject()
                            self.srlg_rro_sub_object.parent = self
                            self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject()
                            self.unnumbered_rro_sub_object.parent = self


                        class Ipv4RroSubObject(object):
                            """
                            IPV4 RRO Sub Object
                            
                            .. attribute:: flags
                            
                            	The RRO IPV4 Subobject Flags
                            	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                            
                            .. attribute:: rro_address
                            
                            	The RRO IPV4 Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                self.flags.parent = self
                                self.rro_address = None


                            class Flags(object):
                                """
                                The RRO IPV4 Subobject Flags
                                
                                .. attribute:: is_bandwidth_protected
                                
                                	Bandwidth Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_node_id
                                
                                	Node ID In Use
                                	**type**\:  bool
                                
                                .. attribute:: is_node_protection_available
                                
                                	Node Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_protection_available
                                
                                	Local Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_protection_in_use
                                
                                	Local Protection In Use
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.is_bandwidth_protected = None
                                    self.is_node_id = None
                                    self.is_node_protection_available = None
                                    self.is_protection_available = None
                                    self.is_protection_in_use = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.is_bandwidth_protected is not None:
                                        return True

                                    if self.is_node_id is not None:
                                        return True

                                    if self.is_node_protection_available is not None:
                                        return True

                                    if self.is_protection_available is not None:
                                        return True

                                    if self.is_protection_in_use is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.flags is not None and self.flags._has_data():
                                    return True

                                if self.rro_address is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                        class LabelRroSubObject(object):
                            """
                            Label RRO Sub Object
                            
                            .. attribute:: flags
                            
                            	The RRO Subobject Label Flags
                            	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject.Flags>`
                            
                            .. attribute:: is_label_variable_length
                            
                            	Is the RRO Subobject Label Variable Length
                            	**type**\:  bool
                            
                            .. attribute:: label
                            
                            	The RRO Subobject Label Value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: variable_length_label
                            
                            	The RRO Subobject Variable Length Label
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject.Flags()
                                self.flags.parent = self
                                self.is_label_variable_length = None
                                self.label = None
                                self.variable_length_label = YLeafList()
                                self.variable_length_label.parent = self
                                self.variable_length_label.name = 'variable_length_label'


                            class Flags(object):
                                """
                                The RRO Subobject Label Flags
                                
                                .. attribute:: is_global_label
                                
                                	Label is Global across all interfaces
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.is_global_label = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.is_global_label is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.flags is not None and self.flags._has_data():
                                    return True

                                if self.is_label_variable_length is not None:
                                    return True

                                if self.label is not None:
                                    return True

                                if self.variable_length_label is not None:
                                    for child in self.variable_length_label:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject']['meta_info']


                        class UnnumberedRroSubObject(object):
                            """
                            Unnumbered RRO Sub Object
                            
                            .. attribute:: flags
                            
                            	The RRO Subobject Unnumbered Flags
                            	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                            
                            .. attribute:: interface_address
                            
                            	The RRO Interface Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: interface_id
                            
                            	The RRO Interface ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                self.flags.parent = self
                                self.interface_address = None
                                self.interface_id = None


                            class Flags(object):
                                """
                                The RRO Subobject Unnumbered Flags
                                
                                .. attribute:: is_bandwidth_protected
                                
                                	Bandwidth Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_node_id
                                
                                	Node ID In Use
                                	**type**\:  bool
                                
                                .. attribute:: is_node_protection_available
                                
                                	Node Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_protection_available
                                
                                	Local Protection Available
                                	**type**\:  bool
                                
                                .. attribute:: is_protection_in_use
                                
                                	Local Protection In Use
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.is_bandwidth_protected = None
                                    self.is_node_id = None
                                    self.is_node_protection_available = None
                                    self.is_protection_available = None
                                    self.is_protection_in_use = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.is_bandwidth_protected is not None:
                                        return True

                                    if self.is_node_id is not None:
                                        return True

                                    if self.is_node_protection_available is not None:
                                        return True

                                    if self.is_protection_available is not None:
                                        return True

                                    if self.is_protection_in_use is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.flags is not None and self.flags._has_data():
                                    return True

                                if self.interface_address is not None:
                                    return True

                                if self.interface_id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                        class SrlgRroSubObject(object):
                            """
                            SRLG RRO Sub Object
                            
                            .. attribute:: srl_gs
                            
                            	The RRO Subobject SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.srl_gs = YLeafList()
                                self.srl_gs.parent = self
                                self.srl_gs.name = 'srl_gs'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.srl_gs is not None:
                                    for child in self.srl_gs:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                return True

                            if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                return True

                            if self.rro_type is not None:
                                return True

                            if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                return True

                            if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro']['meta_info']


                    class PathAffinityArray(object):
                        """
                        Tunnel's Path hops with affinity
                        
                        .. attribute:: hop_address
                        
                        	Hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: hop_affinity
                        
                        	Deprecated
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: hop_extended_affinity
                        
                        	Hop affinity
                        	**type**\:  list of int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.hop_address = None
                            self.hop_affinity = None
                            self.hop_extended_affinity = YLeafList()
                            self.hop_extended_affinity.parent = self
                            self.hop_extended_affinity.name = 'hop_extended_affinity'

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.hop_address is not None:
                                return True

                            if self.hop_affinity is not None:
                                return True

                            if self.hop_extended_affinity is not None:
                                for child in self.hop_extended_affinity:
                                    if child is not None:
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathAffinityArray']['meta_info']


                    class ReverseEroIn(object):
                        """
                         Reverse Incoming ERO for this S2L
                        
                        .. attribute:: ero_type
                        
                        	EROType
                        	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                        
                        .. attribute:: ipv4ero_sub_object
                        
                        	IPV4 ERO Sub Object
                        	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.Ipv4EroSubObject>`
                        
                        .. attribute:: unnumbered_ero_sub_object
                        
                        	Unnumbered ERO Sub Object
                        	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_type = None
                            self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.Ipv4EroSubObject()
                            self.ipv4ero_sub_object.parent = self
                            self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.UnnumberedEroSubObject()
                            self.unnumbered_ero_sub_object.parent = self


                        class Ipv4EroSubObject(object):
                            """
                            IPV4 ERO Sub Object
                            
                            .. attribute:: ero_address
                            
                            	The ERO IPV4 Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: prefix_length
                            
                            	ERO Prefix Length
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_address = None
                                self.is_strict_route = None
                                self.prefix_length = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_address is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.prefix_length is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                        class UnnumberedEroSubObject(object):
                            """
                            Unnumbered ERO Sub Object
                            
                            .. attribute:: ero_interface_id
                            
                            	The Interface ID in ERO
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: ero_router_id
                            
                            	The Router ID in ERO
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: status
                            
                            	Status of ERO
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_interface_id = None
                                self.ero_router_id = None
                                self.is_strict_route = None
                                self.status = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_interface_id is not None:
                                    return True

                                if self.ero_router_id is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_type is not None:
                                return True

                            if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                return True

                            if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn']['meta_info']


                    class S2LSegmentRoutingPath(object):
                        """
                        Segment\-Routing S2L path info
                        
                        .. attribute:: has_entropy_label
                        
                        	Hop has EL specified
                        	**type**\:  bool
                        
                        .. attribute:: has_ip_addresses
                        
                        	Node has IP addresses specified
                        	**type**\:  bool
                        
                        .. attribute:: has_mpls_label
                        
                        	Hop has MPLS label specified
                        	**type**\:  bool
                        
                        .. attribute:: local_addr
                        
                        	Local IP address of adjacency or Node ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mpls_label_value
                        
                        	The MPLS label value
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: remote_addr
                        
                        	Remote IP address of adjacency
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: sid_type
                        
                        	Type of the SID
                        	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.has_entropy_label = None
                            self.has_ip_addresses = None
                            self.has_mpls_label = None
                            self.local_addr = None
                            self.mpls_label_value = None
                            self.remote_addr = None
                            self.sid_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.has_entropy_label is not None:
                                return True

                            if self.has_ip_addresses is not None:
                                return True

                            if self.has_mpls_label is not None:
                                return True

                            if self.local_addr is not None:
                                return True

                            if self.mpls_label_value is not None:
                                return True

                            if self.remote_addr is not None:
                                return True

                            if self.sid_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LSegmentRoutingPath']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.abr_auto_discovered is not None:
                            return True

                        if self.active_path_option is not None and self.active_path_option._has_data():
                            return True

                        if self.association is not None and self.association._has_data():
                            return True

                        if self.backup_tunnel_interface is not None:
                            return True

                        if self.diversity_info is not None and self.diversity_info._has_data():
                            return True

                        if self.downstream_router_id is not None:
                            return True

                        if self.egress_interface is not None:
                            return True

                        if self.egress_interface_brief is not None:
                            return True

                        if self.egress_interface_state is not None:
                            return True

                        if self.expanded_ero_affinity_bits is not None:
                            return True

                        if self.expanded_ero_affinity_mask is not None:
                            return True

                        if self.expanded_ero_area_id is not None:
                            return True

                        if self.expanded_ero_metric is not None:
                            return True

                        if self.expanded_ero_metric_type is not None:
                            return True

                        if self.flex_info is not None and self.flex_info._has_data():
                            return True

                        if self.frr_out_tunnel_interface is not None:
                            return True

                        if self.fspec is not None and self.fspec._has_data():
                            return True

                        if self.generic_fspec is not None and self.generic_fspec._has_data():
                            return True

                        if self.generic_tspec is not None and self.generic_tspec._has_data():
                            return True

                        if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                            return True

                        if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                            return True

                        if self.in_ero is not None:
                            for child_ref in self.in_ero:
                                if child_ref._has_data():
                                    return True

                        if self.in_xro is not None and self.in_xro._has_data():
                            return True

                        if self.incoming_address is not None:
                            return True

                        if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                            return True

                        if self.ingress_interface is not None:
                            return True

                        if self.ingress_interface_brief is not None:
                            return True

                        if self.ingress_interface_state is not None:
                            return True

                        if self.is_bandwidth_protect is not None:
                            return True

                        if self.is_expanded_ero is not None:
                            return True

                        if self.is_frr_enabled is not None:
                            return True

                        if self.is_node_protected is not None:
                            return True

                        if self.is_optical is not None:
                            return True

                        if self.local_router_id is not None:
                            return True

                        if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                            return True

                        if self.next_hop_address is not None:
                            return True

                        if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                            return True

                        if self.node_hop_count is not None:
                            return True

                        if self.otn_s2l is not None and self.otn_s2l._has_data():
                            return True

                        if self.out_ero is not None:
                            for child_ref in self.out_ero:
                                if child_ref._has_data():
                                    return True

                        if self.out_xro is not None and self.out_xro._has_data():
                            return True

                        if self.outbound_frr_state is not None:
                            return True

                        if self.path_affinity_array is not None:
                            for child_ref in self.path_affinity_array:
                                if child_ref._has_data():
                                    return True

                        if self.path_reeval_query_mid is not None:
                            return True

                        if self.path_rro is not None:
                            for child_ref in self.path_rro:
                                if child_ref._has_data():
                                    return True

                        if self.path_rro_enabled is not None:
                            return True

                        if self.path_using_strict_spf is not None:
                            return True

                        if self.pcalc_area is not None:
                            return True

                        if self.previous_hop_address is not None:
                            return True

                        if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                            return True

                        if self.protection is not None and self.protection._has_data():
                            return True

                        if self.resv_rro is not None:
                            for child_ref in self.resv_rro:
                                if child_ref._has_data():
                                    return True

                        if self.reverse_ero_in is not None:
                            for child_ref in self.reverse_ero_in:
                                if child_ref._has_data():
                                    return True

                        if self.reverse_lsp_connected is not None:
                            return True

                        if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                            return True

                        if self.reverse_lsp_name is not None:
                            return True

                        if self.reverse_lsp_present is not None:
                            return True

                        if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                            return True

                        if self.reverse_weight is not None:
                            return True

                        if self.role is not None:
                            return True

                        if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                            return True

                        if self.s2l_fec is not None and self.s2l_fec._has_data():
                            return True

                        if self.s2l_local_label is not None:
                            return True

                        if self.s2l_out_label is not None:
                            return True

                        if self.s2l_reverse_ero_obj_present is not None:
                            return True

                        if self.s2l_reverse_lsp_sub_obj is not None:
                            for child in self.s2l_reverse_lsp_sub_obj:
                                if child is not None:
                                    return True

                        if self.s2l_reverse_tspec_obj_present is not None:
                            return True

                        if self.s2l_segment_routing_path is not None:
                            for child_ref in self.s2l_segment_routing_path:
                                if child_ref._has_data():
                                    return True

                        if self.shared_risk_link_group is not None:
                            for child_ref in self.shared_risk_link_group:
                                if child_ref._has_data():
                                    return True

                        if self.signalling_status is not None:
                            return True

                        if self.soft_preemption is not None and self.soft_preemption._has_data():
                            return True

                        if self.srlg_collection is not None and self.srlg_collection._has_data():
                            return True

                        if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                            return True

                        if self.time_since_last_preferred_path_exists_send_mid is not None:
                            return True

                        if self.time_since_last_preferred_tree_exists_send_mid is not None:
                            return True

                        if self.time_since_last_query_received_mid is not None:
                            return True

                        if self.tspec is not None and self.tspec._has_data():
                            return True

                        if self.upstream_router_id is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        if self.weight is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']

                @property
                def _common_path(self):
                    if self.ctype is None:
                        raise YPYModelError('Key property ctype is None')
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.extended_tunnel_id is None:
                        raise YPYModelError('Key property extended_tunnel_id is None')
                    if self.lsp_id is None:
                        raise YPYModelError('Key property lsp_id is None')
                    if self.p2mp_id is None:
                        raise YPYModelError('Key property p2mp_id is None')
                    if self.source_address is None:
                        raise YPYModelError('Key property source_address is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:p2p-p2mp-tunnel/Cisco-IOS-XR-mpls-te-oper:tunnel-remotes/Cisco-IOS-XR-mpls-te-oper:tunnel-remote[Cisco-IOS-XR-mpls-te-oper:ctype = ' + str(self.ctype) + '][Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:extended-tunnel-id = ' + str(self.extended_tunnel_id) + '][Cisco-IOS-XR-mpls-te-oper:lsp-id = ' + str(self.lsp_id) + '][Cisco-IOS-XR-mpls-te-oper:p2mp-id = ' + str(self.p2mp_id) + '][Cisco-IOS-XR-mpls-te-oper:source-address = ' + str(self.source_address) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ctype is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.p2mp_id is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.dste_class_index is not None:
                        return True

                    if self.dste_class_match is not None:
                        return True

                    if self.frr_active_reason is not None:
                        return True

                    if self.is_frr_failed is not None:
                        return True

                    if self.is_interface is not None:
                        return True

                    if self.is_passive is not None:
                        return True

                    if self.last_path_change is not None:
                        return True

                    if self.lsp_bandwidth is not None:
                        return True

                    if self.lsp_bandwidth_type is not None:
                        return True

                    if self.lsp_fec is not None and self.lsp_fec._has_data():
                        return True

                    if self.lsp_hold_priority is not None:
                        return True

                    if self.lsp_setup_priority is not None:
                        return True

                    if self.persistent_bytes is not None:
                        return True

                    if self.persistent_packets is not None:
                        return True

                    if self.reoptimize_reason is not None:
                        return True

                    if self.reoptimize_trigger is not None:
                        return True

                    if self.s2_ls_down is not None:
                        return True

                    if self.s2_ls_proceeding is not None:
                        return True

                    if self.s2_ls_up is not None:
                        return True

                    if self.s2l is not None:
                        for child_ref in self.s2l:
                            if child_ref._has_data():
                                return True

                    if self.signaled_name is not None:
                        return True

                    if self.timer_left is not None:
                        return True

                    if self.type is not None:
                        return True

                    if self.uptime is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:p2p-p2mp-tunnel/Cisco-IOS-XR-mpls-te-oper:tunnel-remotes'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tunnel_remote is not None:
                    for child_ref in self.tunnel_remote:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes']['meta_info']


        class NniTunnels(object):
            """
            GMPLS NNI tunnels
            
            .. attribute:: nni_tunnel
            
            	GMPLS\-NNI tail tunnel
            	**type**\: list of    :py:class:`NniTunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.nni_tunnel = YList()
                self.nni_tunnel.parent = self
                self.nni_tunnel.name = 'nni_tunnel'


            class NniTunnel(object):
                """
                GMPLS\-NNI tail tunnel
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: source_address  <key>
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id  <key>
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: admin_state
                
                	Administrative State
                	**type**\:   :py:class:`MteTunnelAdminStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteTunnelAdminStateEnum>`
                
                .. attribute:: affinity_failure_delayed_tear_time_remained
                
                	Affinity Failure LSP tear down time remaining
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: affinity_failure_reopt_disabled
                
                	AffinityFailureReoptDisabled
                	**type**\:  bool
                
                .. attribute:: affinity_failure_reopt_time_remained
                
                	AffinityFailureReoptTimeRemained
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: area_id
                
                	Indicates the protocol and area used to find Outgoing ERO
                	**type**\:  str
                
                .. attribute:: auto_backup
                
                	Autobackup Information
                	**type**\:   :py:class:`AutoBackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup>`
                
                .. attribute:: auto_mesh
                
                	Automesh Information
                	**type**\:   :py:class:`AutoMesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoMesh>`
                
                .. attribute:: auto_pcc
                
                	Auto\-PCC Information
                	**type**\:   :py:class:`AutoPcc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoPcc>`
                
                .. attribute:: auto_route
                
                	IGP Auto route announce enabled
                	**type**\:  bool
                
                .. attribute:: autoroute_announce_exclude_segment_routing
                
                	Indicates whether this tunnel is autoroute announced with exclude segment\-routing option
                	**type**\:  bool
                
                .. attribute:: bandwidth_requested
                
                	Bandwidth Requested
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: bandwidth_type
                
                	The requested bandwidth type
                	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                
                .. attribute:: bfd_info
                
                	BFD session info. This is NULL if BFD is not configured
                	**type**\:   :py:class:`BfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo>`
                
                .. attribute:: bidir
                
                	Bidir info
                	**type**\:   :py:class:`Bidir <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir>`
                
                .. attribute:: binding_label
                
                	Binding Label
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: binding_label_exists
                
                	True, if binding label exists
                	**type**\:  bool
                
                .. attribute:: cleaned_lsp
                
                	Cleaned LSP
                	**type**\:   :py:class:`CleanedLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp>`
                
                .. attribute:: config
                
                	Configuration data
                	**type**\:   :py:class:`Config <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config>`
                
                .. attribute:: create_time
                
                	Time at which the tunnel was created
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: delay_clean_pp_lsp
                
                	Delay Clean PP LSP
                	**type**\:   :py:class:`DelayCleanPpLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp>`
                
                .. attribute:: destination
                
                	Destinations array
                	**type**\: list of    :py:class:`Destination <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination>`
                
                .. attribute:: destination_disabled_count
                
                	Count of disabled destinations
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: destination_down_count
                
                	Count of down destinations
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: destination_up_count
                
                	Count of up destinations
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: drop_mode
                
                	True if tunnel is in drop mode
                	**type**\:  bool
                
                .. attribute:: explicit_path_change
                
                	Explicit\-path inuse by the current LSP has been modified
                	**type**\:  bool
                
                .. attribute:: fail_reason
                
                	The reason why failure occurred
                	**type**\:   :py:class:`MplsMteTunnelFailReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsMteTunnelFailReasonEnum>`
                
                .. attribute:: flex_info
                
                	Flex Info
                	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.FlexInfo>`
                
                .. attribute:: forwarding_adjacency
                
                	IGP forwarding adjacency enabled
                	**type**\:  bool
                
                .. attribute:: history
                
                	Tunnel history
                	**type**\:   :py:class:`History <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History>`
                
                .. attribute:: hop_limit_ignored_reason
                
                	Hop\-limit ignored reason
                	**type**\:   :py:class:`TeHopLimitIgnoreEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeHopLimitIgnoreEnum>`
                
                .. attribute:: invalidation_time_remained
                
                	Path invalidation time remaining
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_auto_backup
                
                	Indicates whether this is an automatically generated backup tunnel
                	**type**\:  bool
                
                .. attribute:: is_auto_pcc
                
                	Indicates whether this is an automatic PCC tunnel
                	**type**\:  bool
                
                .. attribute:: is_bandwidth_protect
                
                	BW Protection Enabled or Disabled
                	**type**\:  bool
                
                .. attribute:: is_hop_limit_ignore
                
                	Is Hop\-limit ignored
                	**type**\:  bool
                
                .. attribute:: is_inter_area_tunnel
                
                	Indicates whether this tunnel spans multiple areas
                	**type**\:  bool
                
                .. attribute:: is_interface
                
                	True for tunnel head
                	**type**\:  bool
                
                .. attribute:: is_named
                
                	Indicates whether this tunnel is named
                	**type**\:  bool
                
                .. attribute:: is_node_protected
                
                	Node Protection Enabled or Disabled
                	**type**\:  bool
                
                .. attribute:: is_passive
                
                	True for passive tunnel
                	**type**\:  bool
                
                .. attribute:: is_pce_delegated
                
                	Indicates whether this tunnel is delegated to a PCE server or not
                	**type**\:  bool
                
                .. attribute:: last_hop_ifindex
                
                	Termination destination ifindex
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: last_path_change
                
                	Time in seconds since the last path change
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: load_share_factor
                
                	The specified loadsharing for the tunnel
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: load_share_type
                
                	Loadsharing type
                	**type**\:   :py:class:`MplsTeLoadshareEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLoadshareEnum>`
                
                .. attribute:: lsp_wrap_label
                
                	Lsp\-wrap label value
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: lsp_wrap_protection_enabled
                
                	Lsp\-wrap Protection enabled
                	**type**\:  bool
                
                .. attribute:: metric_qualifier
                
                	Describe how the metric was specified\: default, globally set, or per interface
                	**type**\:   :py:class:`MplsTeMetricQualifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricQualifierEnum>`
                
                .. attribute:: metric_type
                
                	The path selection metric
                	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                
                .. attribute:: operational_state
                
                	Operational State
                	**type**\:   :py:class:`MteTunnelOperStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteTunnelOperStateEnum>`
                
                .. attribute:: operational_state_changes
                
                	Counters for operational state changes
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: otn_bidir
                
                	OTN bidir info
                	**type**\:   :py:class:`OtnBidir <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir>`
                
                .. attribute:: outbound_frr_state
                
                	Indicates outbound FRR state
                	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                
                .. attribute:: p2p_info
                
                	P2P specific info
                	**type**\:   :py:class:`P2PInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo>`
                
                .. attribute:: passive_tunnel_name
                
                	Passive tunnel name
                	**type**\:  str
                
                .. attribute:: path_option_change
                
                	Path\-Option inuse by the current LSP has been modified
                	**type**\:  bool
                
                .. attribute:: path_protection
                
                	Path Protect Info
                	**type**\:   :py:class:`PathProtection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection>`
                
                .. attribute:: pce_delegation
                
                	PCE Delegation information
                	**type**\:   :py:class:`PceDelegation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.PceDelegation>`
                
                .. attribute:: pce_fail_reason
                
                	Failure reason for PCE\-based tunnels
                	**type**\:   :py:class:`MplsTePceFailReasonsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePceFailReasonsEnum>`
                
                .. attribute:: persistent_bytes
                
                	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                	**units**\: byte
                
                .. attribute:: persistent_packets
                
                	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: re_opt_hold_down_timer_remaining
                
                	Backup hold\-down timer remaining time in seconds
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: reoptimized_p2mp_lsp
                
                	Reopt LSP
                	**type**\:   :py:class:`ReoptimizedP2MpLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp>`
                
                .. attribute:: reoptimized_standby_p2mp_lsp
                
                	Standby Reopt LSP
                	**type**\:   :py:class:`ReoptimizedStandbyP2MpLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp>`
                
                .. attribute:: reroute_pending
                
                	ReroutePending
                	**type**\:  bool
                
                .. attribute:: role_standby
                
                	TRUE if Role is Standby, Active otherwise
                	**type**\:  bool
                
                .. attribute:: signaled_name
                
                	Signaled Name
                	**type**\:  str
                
                .. attribute:: snmp_index
                
                	SNMP index for interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: soft_preemption
                
                	Tunnel head soft preemption info. This is NULL if soft preemption is not configured
                	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption>`
                
                .. attribute:: te_tunnel_convergence
                
                	TE tunnel convergence related information
                	**type**\:   :py:class:`TeTunnelConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence>`
                
                .. attribute:: tie_breaker
                
                	The path selection tiebreaker
                	**type**\:   :py:class:`TePathSelectionTiebreakerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathSelectionTiebreakerEnum>`
                
                .. attribute:: tiebreaker_qualifier
                
                	Describes how the path selection tiebreaker was specified\: default, globally set, or per interface
                	**type**\:   :py:class:`MplsTeMetricQualifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricQualifierEnum>`
                
                .. attribute:: tiebreaker_type
                
                	Deprecated \- replaced by Tiebreaker
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: transport_tunnel_info
                
                	Transport tunnel data. Only exists for Transport tunnels
                	**type**\:   :py:class:`TransportTunnelInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo>`
                
                .. attribute:: tunnel_attribute_set_name
                
                	AttributeSet name
                	**type**\:  str
                
                .. attribute:: tunnel_attribute_set_type
                
                	AttributeSet type
                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                
                .. attribute:: tunnel_current_lsp
                
                	Current LSP
                	**type**\:   :py:class:`TunnelCurrentLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp>`
                
                .. attribute:: tunnel_interface_name
                
                	Interface handle of the associated tunnel
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: tunnel_recovering
                
                	Tunnel recovering
                	**type**\:  bool
                
                .. attribute:: tunnel_restoration_lsp
                
                	Restoration LSP
                	**type**\:   :py:class:`TunnelRestorationLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp>`
                
                .. attribute:: tunnel_standby_lsp
                
                	Standby LSP
                	**type**\:   :py:class:`TunnelStandbyLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp>`
                
                .. attribute:: uptime
                
                	Time in seconds since the tunnel was up
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: wdm_unitunnel
                
                	WDM\-UNI tunnel data. Only exists for WDM\-UNI tunnels
                	**type**\:   :py:class:`WdmUnitunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.WdmUnitunnel>`
                
                .. attribute:: xro_attribute_set
                
                	XRO attribute\-set
                	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet>`
                
                .. attribute:: xro_attribute_set_name
                
                	Configured XRO attribute\-set name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.destination_address = None
                    self.source_address = None
                    self.tunnel_id = None
                    self.admin_state = None
                    self.affinity_failure_delayed_tear_time_remained = None
                    self.affinity_failure_reopt_disabled = None
                    self.affinity_failure_reopt_time_remained = None
                    self.area_id = None
                    self.auto_backup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup()
                    self.auto_backup.parent = self
                    self.auto_mesh = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoMesh()
                    self.auto_mesh.parent = self
                    self.auto_pcc = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoPcc()
                    self.auto_pcc.parent = self
                    self.auto_route = None
                    self.autoroute_announce_exclude_segment_routing = None
                    self.bandwidth_requested = None
                    self.bandwidth_type = None
                    self.bfd_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo()
                    self.bfd_info.parent = self
                    self.bidir = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir()
                    self.bidir.parent = self
                    self.binding_label = None
                    self.binding_label_exists = None
                    self.cleaned_lsp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp()
                    self.cleaned_lsp.parent = self
                    self.config = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config()
                    self.config.parent = self
                    self.create_time = None
                    self.delay_clean_pp_lsp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp()
                    self.delay_clean_pp_lsp.parent = self
                    self.destination = YList()
                    self.destination.parent = self
                    self.destination.name = 'destination'
                    self.destination_disabled_count = None
                    self.destination_down_count = None
                    self.destination_up_count = None
                    self.drop_mode = None
                    self.explicit_path_change = None
                    self.fail_reason = None
                    self.flex_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.FlexInfo()
                    self.flex_info.parent = self
                    self.forwarding_adjacency = None
                    self.history = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History()
                    self.history.parent = self
                    self.hop_limit_ignored_reason = None
                    self.invalidation_time_remained = None
                    self.is_auto_backup = None
                    self.is_auto_pcc = None
                    self.is_bandwidth_protect = None
                    self.is_hop_limit_ignore = None
                    self.is_inter_area_tunnel = None
                    self.is_interface = None
                    self.is_named = None
                    self.is_node_protected = None
                    self.is_passive = None
                    self.is_pce_delegated = None
                    self.last_hop_ifindex = None
                    self.last_path_change = None
                    self.load_share_factor = None
                    self.load_share_type = None
                    self.lsp_wrap_label = None
                    self.lsp_wrap_protection_enabled = None
                    self.metric_qualifier = None
                    self.metric_type = None
                    self.operational_state = None
                    self.operational_state_changes = None
                    self.otn_bidir = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir()
                    self.otn_bidir.parent = self
                    self.outbound_frr_state = None
                    self.p2p_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo()
                    self.p2p_info.parent = self
                    self.passive_tunnel_name = None
                    self.path_option_change = None
                    self.path_protection = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection()
                    self.path_protection.parent = self
                    self.pce_delegation = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.PceDelegation()
                    self.pce_delegation.parent = self
                    self.pce_fail_reason = None
                    self.persistent_bytes = None
                    self.persistent_packets = None
                    self.re_opt_hold_down_timer_remaining = None
                    self.reoptimized_p2mp_lsp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp()
                    self.reoptimized_p2mp_lsp.parent = self
                    self.reoptimized_standby_p2mp_lsp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp()
                    self.reoptimized_standby_p2mp_lsp.parent = self
                    self.reroute_pending = None
                    self.role_standby = None
                    self.signaled_name = None
                    self.snmp_index = None
                    self.soft_preemption = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption()
                    self.soft_preemption.parent = self
                    self.te_tunnel_convergence = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence()
                    self.te_tunnel_convergence.parent = self
                    self.tie_breaker = None
                    self.tiebreaker_qualifier = None
                    self.tiebreaker_type = None
                    self.transport_tunnel_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo()
                    self.transport_tunnel_info.parent = self
                    self.tunnel_attribute_set_name = None
                    self.tunnel_attribute_set_type = None
                    self.tunnel_current_lsp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp()
                    self.tunnel_current_lsp.parent = self
                    self.tunnel_interface_name = None
                    self.tunnel_recovering = None
                    self.tunnel_restoration_lsp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp()
                    self.tunnel_restoration_lsp.parent = self
                    self.tunnel_standby_lsp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp()
                    self.tunnel_standby_lsp.parent = self
                    self.uptime = None
                    self.wdm_unitunnel = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.WdmUnitunnel()
                    self.wdm_unitunnel.parent = self
                    self.xro_attribute_set = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet()
                    self.xro_attribute_set.parent = self
                    self.xro_attribute_set_name = None


                class Config(object):
                    """
                    Configuration data
                    
                    .. attribute:: affinity
                    
                    	Affinity
                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity>`
                    
                    .. attribute:: affinity_failure_reopt_timer
                    
                    	AffinityFailureReoptTimer
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: autoroute_destination
                    
                    	Autoroute Destinations list
                    	**type**\: list of    :py:class:`AutorouteDestination <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.AutorouteDestination>`
                    
                    .. attribute:: backup_bandwidth
                    
                    	Backup bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: backup_bandwidth_flags
                    
                    	Backup bandwidth flags
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: bandwidth_type
                    
                    	The bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: bfd_config
                    
                    	BFD Configuration Information
                    	**type**\:   :py:class:`BfdConfig <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BfdConfig>`
                    
                    .. attribute:: bidirectional_config
                    
                    	Bidirectional Configuration Information
                    	**type**\:   :py:class:`BidirectionalConfig <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BidirectionalConfig>`
                    
                    .. attribute:: config_load_share
                    
                    	Config loadshare
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: configured_bandwidth
                    
                    	Configured Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: cost_limit
                    
                    	Cost limit on the tunnel path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: cost_limit_global
                    
                    	Global Cost Limit
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: disable_affinity_failure_reopt
                    
                    	DisableAffinityFailureReopt
                    	**type**\:  bool
                    
                    .. attribute:: explicit_null_imposition
                    
                    	Imposition of Explicit NULL
                    	**type**\:  bool
                    
                    .. attribute:: fast_reroute
                    
                    	Fast reroute enabled
                    	**type**\:  bool
                    
                    .. attribute:: forward_class
                    
                    	Forward class
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: hold_priority
                    
                    	Hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: hop_limit
                    
                    	Hop Limit
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: interface_configured_bandwidth
                    
                    	Configured Interface Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_backup_tunnel
                    
                    	TRUE if this is a backup tunnel
                    	**type**\:  bool
                    
                    .. attribute:: is_in_config
                    
                    	Is in config
                    	**type**\:  bool
                    
                    .. attribute:: is_p2mp
                    
                    	True if tunnel is a P2MP tunnel
                    	**type**\:  bool
                    
                    .. attribute:: path_invalidation_action
                    
                    	Path invalidation action on the tunnel path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_invalidation_action_source
                    
                    	Path invalidation action configuration source
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_invalidation_timeout
                    
                    	Path invalidation timeout interval on the tunnel path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_invalidation_timeout_source
                    
                    	Path invalidation timeout configuration source
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_protection_enabled
                    
                    	Path Protection enabled
                    	**type**\:  bool
                    
                    .. attribute:: payload_type
                    
                    	Payload type
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: policy_class
                    
                    	deprecated
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: policy_class_entry
                    
                    	PBTS policy classes
                    	**type**\:  list of int
                    
                    	**range:** 0..255
                    
                    .. attribute:: record_route
                    
                    	Record route
                    	**type**\:  bool
                    
                    .. attribute:: segment_routing_path_selection
                    
                    	Segment\-Routing path selection type
                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                    
                    .. attribute:: setup_priority
                    
                    	Setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: signaled_name
                    
                    	Signaled name
                    	**type**\:  str
                    
                    .. attribute:: soft_preempt
                    
                    	Soft preemption enabled
                    	**type**\:  bool
                    
                    .. attribute:: srlg_discovery
                    
                    	SRLG\-discovery enabled
                    	**type**\:  bool
                    
                    .. attribute:: tunnel_id
                    
                    	Tunnel id
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tunnel_name
                    
                    	Tunnel name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity()
                        self.affinity.parent = self
                        self.affinity_failure_reopt_timer = None
                        self.autoroute_destination = YList()
                        self.autoroute_destination.parent = self
                        self.autoroute_destination.name = 'autoroute_destination'
                        self.backup_bandwidth = None
                        self.backup_bandwidth_flags = None
                        self.bandwidth_type = None
                        self.bfd_config = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BfdConfig()
                        self.bfd_config.parent = self
                        self.bidirectional_config = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BidirectionalConfig()
                        self.bidirectional_config.parent = self
                        self.config_load_share = None
                        self.configured_bandwidth = None
                        self.cost_limit = None
                        self.cost_limit_global = None
                        self.disable_affinity_failure_reopt = None
                        self.explicit_null_imposition = None
                        self.fast_reroute = None
                        self.forward_class = None
                        self.hold_priority = None
                        self.hop_limit = None
                        self.interface_configured_bandwidth = None
                        self.is_backup_tunnel = None
                        self.is_in_config = None
                        self.is_p2mp = None
                        self.path_invalidation_action = None
                        self.path_invalidation_action_source = None
                        self.path_invalidation_timeout = None
                        self.path_invalidation_timeout_source = None
                        self.path_protection_enabled = None
                        self.payload_type = None
                        self.policy_class = None
                        self.policy_class_entry = YLeafList()
                        self.policy_class_entry.parent = self
                        self.policy_class_entry.name = 'policy_class_entry'
                        self.record_route = None
                        self.segment_routing_path_selection = None
                        self.setup_priority = None
                        self.signaled_name = None
                        self.soft_preempt = None
                        self.srlg_discovery = None
                        self.tunnel_id = None
                        self.tunnel_name = None


                    class Affinity(object):
                        """
                        Affinity
                        
                        .. attribute:: affinity_bits
                        
                        	The affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: affinity_mask
                        
                        	The affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: named_affinity
                        
                        	Array of name based constratints currently applied to the tunnel
                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity.NamedAffinity>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.affinity_bits = None
                            self.affinity_mask = None
                            self.named_affinity = YList()
                            self.named_affinity.parent = self
                            self.named_affinity.name = 'named_affinity'


                        class NamedAffinity(object):
                            """
                            Array of name based constratints currently
                            applied to the tunnel
                            
                            .. attribute:: constraint_extended_value
                            
                            	Constraint value
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: constraint_type
                            
                            	Constraint type
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: constraint_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: extended_forward_ref_value
                            
                            	Reference bits for undefined affinity names
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: forward_ref_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.constraint_extended_value = YLeafList()
                                self.constraint_extended_value.parent = self
                                self.constraint_extended_value.name = 'constraint_extended_value'
                                self.constraint_type = None
                                self.constraint_value = None
                                self.extended_forward_ref_value = YLeafList()
                                self.extended_forward_ref_value.parent = self
                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                self.forward_ref_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.constraint_extended_value is not None:
                                    for child in self.constraint_extended_value:
                                        if child is not None:
                                            return True

                                if self.constraint_type is not None:
                                    return True

                                if self.constraint_value is not None:
                                    return True

                                if self.extended_forward_ref_value is not None:
                                    for child in self.extended_forward_ref_value:
                                        if child is not None:
                                            return True

                                if self.forward_ref_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity.NamedAffinity']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.affinity_bits is not None:
                                return True

                            if self.affinity_mask is not None:
                                return True

                            if self.named_affinity is not None:
                                for child_ref in self.named_affinity:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity']['meta_info']


                    class BidirectionalConfig(object):
                        """
                        Bidirectional Configuration Information
                        
                        .. attribute:: association_corouted
                        
                        	Is the association co\-routed
                        	**type**\:  bool
                        
                        .. attribute:: association_global_id
                        
                        	The association global ID
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: association_id
                        
                        	The association ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: association_source
                        
                        	The association source
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: association_type
                        
                        	Association Type (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.association_corouted = None
                            self.association_global_id = None
                            self.association_id = None
                            self.association_source = None
                            self.association_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bidirectional-config'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.association_corouted is not None:
                                return True

                            if self.association_global_id is not None:
                                return True

                            if self.association_id is not None:
                                return True

                            if self.association_source is not None:
                                return True

                            if self.association_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BidirectionalConfig']['meta_info']


                    class BfdConfig(object):
                        """
                        BFD Configuration Information
                        
                        .. attribute:: bfd_encap_mode
                        
                        	BFD Encap Mode
                        	**type**\:   :py:class:`TeVifBfdEncapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEncapModeEnum>`
                        
                        .. attribute:: bfd_fast_detecting_enabled
                        
                        	Deprecated
                        	**type**\:  bool
                        
                        .. attribute:: bfd_session_down_action
                        
                        	BFD Session Down Action
                        	**type**\:   :py:class:`MplsTeBfdSessionDownAction1Enum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBfdSessionDownAction1Enum>`
                        
                        .. attribute:: bfd_session_down_reopt_timeout
                        
                        	BFD Session Down Reopt Timeout
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bfd_type
                        
                        	BFD Type
                        	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                        
                        .. attribute:: bring_up_timeout
                        
                        	Bring Up Timeout in second
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: bring_up_timeout_default
                        
                        	Is default bring up timeout
                        	**type**\:  bool
                        
                        .. attribute:: dampening_initial_wait
                        
                        	Dampening initial wait time in milliseconds
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: dampening_initial_wait_default
                        
                        	Is default dampening inital wait time
                        	**type**\:  bool
                        
                        .. attribute:: dampening_max_wait
                        
                        	Dampening max wait time in milliseconds
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: dampening_max_wait_default
                        
                        	Is default dampening max wait time
                        	**type**\:  bool
                        
                        .. attribute:: dampening_secondary_wait
                        
                        	Dampening secondary wait time in milliseconds
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: dampening_secondary_wait_default
                        
                        	Is default dampening secondary wait time
                        	**type**\:  bool
                        
                        .. attribute:: min_interval
                        
                        	Hello interval in milliseconds
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: min_interval_default
                        
                        	Is default hello interval
                        	**type**\:  bool
                        
                        .. attribute:: multiplier
                        
                        	Multiplier
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: multiplier_default
                        
                        	Is default multiplier
                        	**type**\:  bool
                        
                        .. attribute:: periodic_lsp_ping_disabled
                        
                        	Periodic LSP Ping disabled
                        	**type**\:  bool
                        
                        .. attribute:: periodic_lsp_ping_interval
                        
                        	Periodic LSP Ping interval in seconds
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: periodic_lsp_ping_interval_default
                        
                        	Is default LSP Ping interval
                        	**type**\:  bool
                        
                        .. attribute:: sbfd_target_id
                        
                        	SBFD Target ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bfd_encap_mode = None
                            self.bfd_fast_detecting_enabled = None
                            self.bfd_session_down_action = None
                            self.bfd_session_down_reopt_timeout = None
                            self.bfd_type = None
                            self.bring_up_timeout = None
                            self.bring_up_timeout_default = None
                            self.dampening_initial_wait = None
                            self.dampening_initial_wait_default = None
                            self.dampening_max_wait = None
                            self.dampening_max_wait_default = None
                            self.dampening_secondary_wait = None
                            self.dampening_secondary_wait_default = None
                            self.min_interval = None
                            self.min_interval_default = None
                            self.multiplier = None
                            self.multiplier_default = None
                            self.periodic_lsp_ping_disabled = None
                            self.periodic_lsp_ping_interval = None
                            self.periodic_lsp_ping_interval_default = None
                            self.sbfd_target_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-config'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bfd_encap_mode is not None:
                                return True

                            if self.bfd_fast_detecting_enabled is not None:
                                return True

                            if self.bfd_session_down_action is not None:
                                return True

                            if self.bfd_session_down_reopt_timeout is not None:
                                return True

                            if self.bfd_type is not None:
                                return True

                            if self.bring_up_timeout is not None:
                                return True

                            if self.bring_up_timeout_default is not None:
                                return True

                            if self.dampening_initial_wait is not None:
                                return True

                            if self.dampening_initial_wait_default is not None:
                                return True

                            if self.dampening_max_wait is not None:
                                return True

                            if self.dampening_max_wait_default is not None:
                                return True

                            if self.dampening_secondary_wait is not None:
                                return True

                            if self.dampening_secondary_wait_default is not None:
                                return True

                            if self.min_interval is not None:
                                return True

                            if self.min_interval_default is not None:
                                return True

                            if self.multiplier is not None:
                                return True

                            if self.multiplier_default is not None:
                                return True

                            if self.periodic_lsp_ping_disabled is not None:
                                return True

                            if self.periodic_lsp_ping_interval is not None:
                                return True

                            if self.periodic_lsp_ping_interval_default is not None:
                                return True

                            if self.sbfd_target_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BfdConfig']['meta_info']


                    class AutorouteDestination(object):
                        """
                        Autoroute Destinations list
                        
                        .. attribute:: destination_address
                        
                        	Destination address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: prefix_length
                        
                        	Prefix length
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.destination_address = None
                            self.prefix_length = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:autoroute-destination'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.destination_address is not None:
                                return True

                            if self.prefix_length is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.AutorouteDestination']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:config'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.affinity is not None and self.affinity._has_data():
                            return True

                        if self.affinity_failure_reopt_timer is not None:
                            return True

                        if self.autoroute_destination is not None:
                            for child_ref in self.autoroute_destination:
                                if child_ref._has_data():
                                    return True

                        if self.backup_bandwidth is not None:
                            return True

                        if self.backup_bandwidth_flags is not None:
                            return True

                        if self.bandwidth_type is not None:
                            return True

                        if self.bfd_config is not None and self.bfd_config._has_data():
                            return True

                        if self.bidirectional_config is not None and self.bidirectional_config._has_data():
                            return True

                        if self.config_load_share is not None:
                            return True

                        if self.configured_bandwidth is not None:
                            return True

                        if self.cost_limit is not None:
                            return True

                        if self.cost_limit_global is not None:
                            return True

                        if self.disable_affinity_failure_reopt is not None:
                            return True

                        if self.explicit_null_imposition is not None:
                            return True

                        if self.fast_reroute is not None:
                            return True

                        if self.forward_class is not None:
                            return True

                        if self.hold_priority is not None:
                            return True

                        if self.hop_limit is not None:
                            return True

                        if self.interface_configured_bandwidth is not None:
                            return True

                        if self.is_backup_tunnel is not None:
                            return True

                        if self.is_in_config is not None:
                            return True

                        if self.is_p2mp is not None:
                            return True

                        if self.path_invalidation_action is not None:
                            return True

                        if self.path_invalidation_action_source is not None:
                            return True

                        if self.path_invalidation_timeout is not None:
                            return True

                        if self.path_invalidation_timeout_source is not None:
                            return True

                        if self.path_protection_enabled is not None:
                            return True

                        if self.payload_type is not None:
                            return True

                        if self.policy_class is not None:
                            return True

                        if self.policy_class_entry is not None:
                            for child in self.policy_class_entry:
                                if child is not None:
                                    return True

                        if self.record_route is not None:
                            return True

                        if self.segment_routing_path_selection is not None:
                            return True

                        if self.setup_priority is not None:
                            return True

                        if self.signaled_name is not None:
                            return True

                        if self.soft_preempt is not None:
                            return True

                        if self.srlg_discovery is not None:
                            return True

                        if self.tunnel_id is not None:
                            return True

                        if self.tunnel_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config']['meta_info']


                class TunnelCurrentLsp(object):
                    """
                    Current LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel-current-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp']['meta_info']


                class ReoptimizedP2MpLsp(object):
                    """
                    Reopt LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reoptimized-p2mp-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp']['meta_info']


                class TunnelStandbyLsp(object):
                    """
                    Standby LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel-standby-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp']['meta_info']


                class ReoptimizedStandbyP2MpLsp(object):
                    """
                    Standby Reopt LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reoptimized-standby-p2mp-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp']['meta_info']


                class TunnelRestorationLsp(object):
                    """
                    Restoration LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel-restoration-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp']['meta_info']


                class DelayCleanPpLsp(object):
                    """
                    Delay Clean PP LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:delay-clean-pp-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp']['meta_info']


                class CleanedLsp(object):
                    """
                    Cleaned LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:cleaned-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp']['meta_info']


                class P2PInfo(object):
                    """
                    P2P specific info
                    
                    .. attribute:: auto_bandwidth_config
                    
                    	Tunnels's AutoBandwidth Configuration information
                    	**type**\:   :py:class:`AutoBandwidthConfig <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthConfig>`
                    
                    .. attribute:: auto_bandwidth_oper
                    
                    	Tunnels's AutoBandwidth Operational information
                    	**type**\:   :py:class:`AutoBandwidthOper <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthOper>`
                    
                    .. attribute:: auto_bandwidth_status
                    
                    	Tunnels's AutoBandwidth Status information
                    	**type**\:   :py:class:`AutoBandwidthStatus <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthStatus>`
                    
                    .. attribute:: is_bidirectional
                    
                    	TRUE if the tunnel is bidirectional
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.auto_bandwidth_config = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthConfig()
                        self.auto_bandwidth_config.parent = self
                        self.auto_bandwidth_oper = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthOper()
                        self.auto_bandwidth_oper.parent = self
                        self.auto_bandwidth_status = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthStatus()
                        self.auto_bandwidth_status.parent = self
                        self.is_bidirectional = None


                    class AutoBandwidthStatus(object):
                        """
                        Tunnels's AutoBandwidth Status information
                        
                        .. attribute:: is_auto_bandwidth_enabled
                        
                        	TRUE if auto\-bw is enabled for the tunnel
                        	**type**\:  bool
                        
                        .. attribute:: reactivation_time
                        
                        	Time until auto\-bw gets activated if activation has been delayed due to failover
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.is_auto_bandwidth_enabled = None
                            self.reactivation_time = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-bandwidth-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.is_auto_bandwidth_enabled is not None:
                                return True

                            if self.reactivation_time is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthStatus']['meta_info']


                    class AutoBandwidthConfig(object):
                        """
                        Tunnels's AutoBandwidth Configuration
                        information
                        
                        .. attribute:: adjustment_threshold_percent
                        
                        	Bandwidth change threshold needed to trigger bandwidth adjustment
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: adjustment_threshold_value
                        
                        	Bandwidth change value (kbps) needed to trigger bandwidth adjustment
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: application_frequency
                        
                        	Auto\-bw application frequency for the tunnel (mins)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: minute
                        
                        .. attribute:: collection_frequency
                        
                        	Global auto\-bw collection frequency
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: is_auto_bandwidth_collect_only
                        
                        	TRUE if auto\-bw collection\-only is enabled
                        	**type**\:  bool
                        
                        .. attribute:: maximum_bandwidth
                        
                        	Maximum bandwidth auto\-bw can apply
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: minimum_bandwidth
                        
                        	Minimum bandwidth auto\-bw can apply
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: overflow_threshold_limit
                        
                        	Limit of consecutive collections exceeding threshold to trigger an immediate overflow bandwidth adjustment
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: overflow_threshold_percent
                        
                        	Bandwidth change threshold needed to count a collection towards overflow limit allowed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: overflow_threshold_value
                        
                        	Bandwidth change value needed to count a collection towards overflow limit allowed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: underflow_threshold_limit
                        
                        	Limit of consecutive collections exceeding threshold to trigger an immediate underflow bandwidth adjustment
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: underflow_threshold_percent
                        
                        	Bandwidth change threshold needed to count a collection towards underflow limit allowed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: underflow_threshold_value
                        
                        	Bandwidth change value needed to count a collection towards underflow limit allowed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.adjustment_threshold_percent = None
                            self.adjustment_threshold_value = None
                            self.application_frequency = None
                            self.collection_frequency = None
                            self.is_auto_bandwidth_collect_only = None
                            self.maximum_bandwidth = None
                            self.minimum_bandwidth = None
                            self.overflow_threshold_limit = None
                            self.overflow_threshold_percent = None
                            self.overflow_threshold_value = None
                            self.underflow_threshold_limit = None
                            self.underflow_threshold_percent = None
                            self.underflow_threshold_value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-bandwidth-config'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.adjustment_threshold_percent is not None:
                                return True

                            if self.adjustment_threshold_value is not None:
                                return True

                            if self.application_frequency is not None:
                                return True

                            if self.collection_frequency is not None:
                                return True

                            if self.is_auto_bandwidth_collect_only is not None:
                                return True

                            if self.maximum_bandwidth is not None:
                                return True

                            if self.minimum_bandwidth is not None:
                                return True

                            if self.overflow_threshold_limit is not None:
                                return True

                            if self.overflow_threshold_percent is not None:
                                return True

                            if self.overflow_threshold_value is not None:
                                return True

                            if self.underflow_threshold_limit is not None:
                                return True

                            if self.underflow_threshold_percent is not None:
                                return True

                            if self.underflow_threshold_value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthConfig']['meta_info']


                    class AutoBandwidthOper(object):
                        """
                        Tunnels's AutoBandwidth Operational information
                        
                        .. attribute:: application_jitter
                        
                        	Amount of time introduced to delay first application so that not all tunnels may signal BW at the same time
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: application_reject_reason
                        
                        	Current application reject reason
                        	**type**\:   :py:class:`TeAutobwAppRejEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAutobwAppRejEnum>`
                        
                        .. attribute:: bandwidth_applications
                        
                        	Total number of bandwidth applications requested by auto\-bw
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bandwidth_pool_type
                        
                        	Bandwidth pool type
                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                        
                        .. attribute:: collect_only_requested_bandwidth
                        
                        	Collect\-only Requested Bandwidth for the tunnel
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: highest_bandwidth
                        
                        	Highest bandwidth registered within current application period
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: last_application_trigger
                        
                        	The reason causing the last BW application
                        	**type**\:   :py:class:`TeAutobwAppTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAutobwAppTriggerEnum>`
                        
                        .. attribute:: last_bandwidth_applied
                        
                        	Last bandwidth requested by auto\-bw for the tunnel
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: overflow_early_bw_applications
                        
                        	tunnel counter for number of bandwidth applications due to overflow
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: samples_collected
                        
                        	Number of samples collected within current application period
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: threshold_overflows
                        
                        	counter for current consecutive collections exceeding threshold
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: threshold_underflows
                        
                        	counter for current consecutive collections exceeding threshold
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_left_application
                        
                        	Time left until next auto\-bw application algorithm is performed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_left_collection
                        
                        	Time left until next auto\-bw data collection is performed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: underflow_early_bw_applications
                        
                        	tunnel counter for number of bandwidth applications due to underflow
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: underflow_highest_bandwidth
                        
                        	Highest sample collected during an underflow sequence
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.application_jitter = None
                            self.application_reject_reason = None
                            self.bandwidth_applications = None
                            self.bandwidth_pool_type = None
                            self.collect_only_requested_bandwidth = None
                            self.highest_bandwidth = None
                            self.last_application_trigger = None
                            self.last_bandwidth_applied = None
                            self.overflow_early_bw_applications = None
                            self.samples_collected = None
                            self.threshold_overflows = None
                            self.threshold_underflows = None
                            self.time_left_application = None
                            self.time_left_collection = None
                            self.underflow_early_bw_applications = None
                            self.underflow_highest_bandwidth = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-bandwidth-oper'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.application_jitter is not None:
                                return True

                            if self.application_reject_reason is not None:
                                return True

                            if self.bandwidth_applications is not None:
                                return True

                            if self.bandwidth_pool_type is not None:
                                return True

                            if self.collect_only_requested_bandwidth is not None:
                                return True

                            if self.highest_bandwidth is not None:
                                return True

                            if self.last_application_trigger is not None:
                                return True

                            if self.last_bandwidth_applied is not None:
                                return True

                            if self.overflow_early_bw_applications is not None:
                                return True

                            if self.samples_collected is not None:
                                return True

                            if self.threshold_overflows is not None:
                                return True

                            if self.threshold_underflows is not None:
                                return True

                            if self.time_left_application is not None:
                                return True

                            if self.time_left_collection is not None:
                                return True

                            if self.underflow_early_bw_applications is not None:
                                return True

                            if self.underflow_highest_bandwidth is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthOper']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:p2p-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.auto_bandwidth_config is not None and self.auto_bandwidth_config._has_data():
                            return True

                        if self.auto_bandwidth_oper is not None and self.auto_bandwidth_oper._has_data():
                            return True

                        if self.auto_bandwidth_status is not None and self.auto_bandwidth_status._has_data():
                            return True

                        if self.is_bidirectional is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo']['meta_info']


                class History(object):
                    """
                    Tunnel history
                    
                    .. attribute:: current_setup
                    
                    	Current setup data
                    	**type**\:   :py:class:`CurrentSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup>`
                    
                    .. attribute:: gmpls_other_protect_setup
                    
                    	GMPLS additional protecting setup data
                    	**type**\:   :py:class:`GmplsOtherProtectSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherProtectSetup>`
                    
                    .. attribute:: gmpls_other_setup
                    
                    	GMPLS additional setup data
                    	**type**\:   :py:class:`GmplsOtherSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherSetup>`
                    
                    .. attribute:: gmpls_path_protect_setup
                    
                    	GMPLS protecting setup data
                    	**type**\:   :py:class:`GmplsPathProtectSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsPathProtectSetup>`
                    
                    .. attribute:: last_re_opt_fail
                    
                    	Last re\-opt attempt failure information
                    	**type**\:   :py:class:`LastReOptFail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastReOptFail>`
                    
                    .. attribute:: last_stdby_re_opt_fail
                    
                    	Last standby re\-opt attempt failure information
                    	**type**\:   :py:class:`LastStdbyReOptFail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastStdbyReOptFail>`
                    
                    .. attribute:: previous_gmpls_path_protect_setup
                    
                    	Previous GMPLS protecting setup data
                    	**type**\:   :py:class:`PreviousGmplsPathProtectSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousGmplsPathProtectSetup>`
                    
                    .. attribute:: previous_setup
                    
                    	Previous setup data
                    	**type**\:   :py:class:`PreviousSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousSetup>`
                    
                    .. attribute:: reopt_setup
                    
                    	Reoptimized setup data
                    	**type**\:   :py:class:`ReoptSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.ReoptSetup>`
                    
                    .. attribute:: standby_reopt_setup
                    
                    	Standby Reopt setup data
                    	**type**\:   :py:class:`StandbyReoptSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbyReoptSetup>`
                    
                    .. attribute:: standby_setup
                    
                    	Standby setup data
                    	**type**\:   :py:class:`StandbySetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbySetup>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.current_setup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup()
                        self.current_setup.parent = self
                        self.gmpls_other_protect_setup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherProtectSetup()
                        self.gmpls_other_protect_setup.parent = self
                        self.gmpls_other_setup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherSetup()
                        self.gmpls_other_setup.parent = self
                        self.gmpls_path_protect_setup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsPathProtectSetup()
                        self.gmpls_path_protect_setup.parent = self
                        self.last_re_opt_fail = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastReOptFail()
                        self.last_re_opt_fail.parent = self
                        self.last_stdby_re_opt_fail = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastStdbyReOptFail()
                        self.last_stdby_re_opt_fail.parent = self
                        self.previous_gmpls_path_protect_setup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousGmplsPathProtectSetup()
                        self.previous_gmpls_path_protect_setup.parent = self
                        self.previous_setup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousSetup()
                        self.previous_setup.parent = self
                        self.reopt_setup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.ReoptSetup()
                        self.reopt_setup.parent = self
                        self.standby_reopt_setup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbyReoptSetup()
                        self.standby_reopt_setup.parent = self
                        self.standby_setup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbySetup()
                        self.standby_setup.parent = self


                    class CurrentSetup(object):
                        """
                        Current setup data
                        
                        .. attribute:: connected_uptimes
                        
                        	Uptimes for connected setup
                        	**type**\:   :py:class:`ConnectedUptimes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup.ConnectedUptimes>`
                        
                        .. attribute:: current_setup_last_error
                        
                        	The last error for the current setup
                        	**type**\:  str
                        
                        .. attribute:: current_setup_timer
                        
                        	Time in seconds until the next attempt to connect this setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: selection_reason
                        
                        	The reason why this setup is selected. For display purposes only
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.connected_uptimes = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup.ConnectedUptimes()
                            self.connected_uptimes.parent = self
                            self.current_setup_last_error = None
                            self.current_setup_timer = None
                            self.selection_reason = None


                        class ConnectedUptimes(object):
                            """
                            Uptimes for connected setup
                            
                            .. attribute:: current_lsp_uptime
                            
                            	Time in seconds since the current LSP was up
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: current_uptime
                            
                            	Time in seconds since the tunnel was up
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.current_lsp_uptime = None
                                self.current_uptime = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:connected-uptimes'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.current_lsp_uptime is not None:
                                    return True

                                if self.current_uptime is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup.ConnectedUptimes']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:current-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.connected_uptimes is not None and self.connected_uptimes._has_data():
                                return True

                            if self.current_setup_last_error is not None:
                                return True

                            if self.current_setup_timer is not None:
                                return True

                            if self.selection_reason is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup']['meta_info']


                    class ReoptSetup(object):
                        """
                        Reoptimized setup data
                        
                        .. attribute:: reoptimized_setup_last_error
                        
                        	The last error for the reopt setup
                        	**type**\:  str
                        
                        .. attribute:: reoptimized_setup_timer
                        
                        	Time in seconds until the next attempt to connect the reopt setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: reoptimized_setup_uptime
                        
                        	Time in seconds since the reopt setup came up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.reoptimized_setup_last_error = None
                            self.reoptimized_setup_timer = None
                            self.reoptimized_setup_uptime = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reopt-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.reoptimized_setup_last_error is not None:
                                return True

                            if self.reoptimized_setup_timer is not None:
                                return True

                            if self.reoptimized_setup_uptime is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.ReoptSetup']['meta_info']


                    class GmplsPathProtectSetup(object):
                        """
                        GMPLS protecting setup data
                        
                        .. attribute:: protecting_setup_last_error
                        
                        	The last error for the protecting setup (for display purposes only)
                        	**type**\:  str
                        
                        .. attribute:: protecting_setup_timer
                        
                        	Time in seconds until the next attempt to connect the protecting setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: protecting_setup_uptime
                        
                        	Time in seconds since the protecting setup came up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.protecting_setup_last_error = None
                            self.protecting_setup_timer = None
                            self.protecting_setup_uptime = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-path-protect-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.protecting_setup_last_error is not None:
                                return True

                            if self.protecting_setup_timer is not None:
                                return True

                            if self.protecting_setup_uptime is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsPathProtectSetup']['meta_info']


                    class PreviousSetup(object):
                        """
                        Previous setup data
                        
                        .. attribute:: previous_fail_reason
                        
                        	Reason for the previous setup's failure
                        	**type**\:  str
                        
                        .. attribute:: previous_path_option
                        
                        	The previous setup path option
                        	**type**\:  str
                        
                        .. attribute:: previous_setup_last_error
                        
                        	The last error for the previous setup
                        	**type**\:  str
                        
                        .. attribute:: previous_tunnel_instance
                        
                        	The previous setup's instance
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.previous_fail_reason = None
                            self.previous_path_option = None
                            self.previous_setup_last_error = None
                            self.previous_tunnel_instance = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.previous_fail_reason is not None:
                                return True

                            if self.previous_path_option is not None:
                                return True

                            if self.previous_setup_last_error is not None:
                                return True

                            if self.previous_tunnel_instance is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousSetup']['meta_info']


                    class PreviousGmplsPathProtectSetup(object):
                        """
                        Previous GMPLS protecting setup data
                        
                        .. attribute:: previous_protect_fail_reason
                        
                        	Reason for the previous protect setup's failure
                        	**type**\:  str
                        
                        .. attribute:: previous_protect_path_option
                        
                        	The previous protect setup path option
                        	**type**\:  str
                        
                        .. attribute:: previous_protect_setup_last_error
                        
                        	The last error for the previous setup
                        	**type**\:  str
                        
                        .. attribute:: previous_protect_tunnel_instance
                        
                        	The previous protect setup's instance
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.previous_protect_fail_reason = None
                            self.previous_protect_path_option = None
                            self.previous_protect_setup_last_error = None
                            self.previous_protect_tunnel_instance = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-gmpls-path-protect-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.previous_protect_fail_reason is not None:
                                return True

                            if self.previous_protect_path_option is not None:
                                return True

                            if self.previous_protect_setup_last_error is not None:
                                return True

                            if self.previous_protect_tunnel_instance is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousGmplsPathProtectSetup']['meta_info']


                    class GmplsOtherSetup(object):
                        """
                        GMPLS additional setup data
                        
                        .. attribute:: other_setup_error
                        
                        	The last error for the additional setup
                        	**type**\:  str
                        
                        .. attribute:: path_option_index
                        
                        	Path option index for the additional setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.other_setup_error = None
                            self.path_option_index = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-other-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.other_setup_error is not None:
                                return True

                            if self.path_option_index is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherSetup']['meta_info']


                    class GmplsOtherProtectSetup(object):
                        """
                        GMPLS additional protecting setup data
                        
                        .. attribute:: other_setup_error
                        
                        	The last error for the additional setup
                        	**type**\:  str
                        
                        .. attribute:: path_option_index
                        
                        	Path option index for the additional setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.other_setup_error = None
                            self.path_option_index = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-other-protect-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.other_setup_error is not None:
                                return True

                            if self.path_option_index is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherProtectSetup']['meta_info']


                    class StandbySetup(object):
                        """
                        Standby setup data
                        
                        .. attribute:: standby_lsp_uptime
                        
                        	Time in seconds since the standby LSP was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: standby_setup_timer
                        
                        	Time in seconds until the next attempt to connect this setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.standby_lsp_uptime = None
                            self.standby_setup_timer = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:standby-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.standby_lsp_uptime is not None:
                                return True

                            if self.standby_setup_timer is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbySetup']['meta_info']


                    class StandbyReoptSetup(object):
                        """
                        Standby Reopt setup data
                        
                        .. attribute:: reoptimized_setup_last_error
                        
                        	The last error for the reopt setup
                        	**type**\:  str
                        
                        .. attribute:: reoptimized_setup_timer
                        
                        	Time in seconds until the next attempt to connect the reopt setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: reoptimized_setup_uptime
                        
                        	Time in seconds since the reopt setup came up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.reoptimized_setup_last_error = None
                            self.reoptimized_setup_timer = None
                            self.reoptimized_setup_uptime = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:standby-reopt-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.reoptimized_setup_last_error is not None:
                                return True

                            if self.reoptimized_setup_timer is not None:
                                return True

                            if self.reoptimized_setup_uptime is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbyReoptSetup']['meta_info']


                    class LastReOptFail(object):
                        """
                        Last re\-opt attempt failure information
                        
                        .. attribute:: re_opt_failed_destination
                        
                        	First tunnel destination (if any) in re\-opt LSP that failed to come up
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: re_opt_failed_timestamp
                        
                        	Time stamp of the last re\-opt failure. (seconds since Jan. 1, 1970)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: re_opt_last_fail_reason
                        
                        	Reason (if any) for the last re\-opt attempt failure
                        	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.re_opt_failed_destination = None
                            self.re_opt_failed_timestamp = None
                            self.re_opt_last_fail_reason = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:last-re-opt-fail'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.re_opt_failed_destination is not None:
                                return True

                            if self.re_opt_failed_timestamp is not None:
                                return True

                            if self.re_opt_last_fail_reason is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastReOptFail']['meta_info']


                    class LastStdbyReOptFail(object):
                        """
                        Last standby re\-opt attempt failure information
                        
                        .. attribute:: re_opt_failed_destination
                        
                        	First tunnel destination (if any) in re\-opt LSP that failed to come up
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: re_opt_failed_timestamp
                        
                        	Time stamp of the last re\-opt failure. (seconds since Jan. 1, 1970)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: re_opt_last_fail_reason
                        
                        	Reason (if any) for the last re\-opt attempt failure
                        	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.re_opt_failed_destination = None
                            self.re_opt_failed_timestamp = None
                            self.re_opt_last_fail_reason = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:last-stdby-re-opt-fail'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.re_opt_failed_destination is not None:
                                return True

                            if self.re_opt_failed_timestamp is not None:
                                return True

                            if self.re_opt_last_fail_reason is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastStdbyReOptFail']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:history'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.current_setup is not None and self.current_setup._has_data():
                            return True

                        if self.gmpls_other_protect_setup is not None and self.gmpls_other_protect_setup._has_data():
                            return True

                        if self.gmpls_other_setup is not None and self.gmpls_other_setup._has_data():
                            return True

                        if self.gmpls_path_protect_setup is not None and self.gmpls_path_protect_setup._has_data():
                            return True

                        if self.last_re_opt_fail is not None and self.last_re_opt_fail._has_data():
                            return True

                        if self.last_stdby_re_opt_fail is not None and self.last_stdby_re_opt_fail._has_data():
                            return True

                        if self.previous_gmpls_path_protect_setup is not None and self.previous_gmpls_path_protect_setup._has_data():
                            return True

                        if self.previous_setup is not None and self.previous_setup._has_data():
                            return True

                        if self.reopt_setup is not None and self.reopt_setup._has_data():
                            return True

                        if self.standby_reopt_setup is not None and self.standby_reopt_setup._has_data():
                            return True

                        if self.standby_setup is not None and self.standby_setup._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']


                class PathProtection(object):
                    """
                    Path Protect Info
                    
                    .. attribute:: diversity_type
                    
                    	Standby path diversity type
                    	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                    
                    .. attribute:: is_path_protect_configured
                    
                    	Is Path Protection Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_protect_switch_over_underway
                    
                    	Is Switchover Underway
                    	**type**\:  bool
                    
                    .. attribute:: path_protection_protected_by_id
                    
                    	The path option ID (level/index) of the configured explicit protecting path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: reoptimization_time_remaining
                    
                    	Remaining time until path protection reoptimization (seconds)
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: standby_reoptimized_number
                    
                    	Number of times the standby LSP was reoptimized
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: switchover
                    
                    	Path Protected Switchover Information
                    	**type**\:   :py:class:`Switchover <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection.Switchover>`
                    
                    .. attribute:: switchover_ready
                    
                    	Total times, Standby LSP ready for use
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: switchover_reason
                    
                    	Reason for last switchover
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: switchover_total
                    
                    	Number of times switchover occurred
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: time_of_switchover_sec
                    
                    	The date when the switchover was completed. This date is the number of seconds since Jan 1st 1970
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: valid_path_protection_path_option_exists
                    
                    	Flag to indicate whether tunnel has a path\-option which is valid for path\-protection
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.diversity_type = None
                        self.is_path_protect_configured = None
                        self.is_path_protect_switch_over_underway = None
                        self.path_protection_protected_by_id = None
                        self.reoptimization_time_remaining = None
                        self.standby_reoptimized_number = None
                        self.switchover = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection.Switchover()
                        self.switchover.parent = self
                        self.switchover_ready = None
                        self.switchover_reason = None
                        self.switchover_total = None
                        self.time_of_switchover_sec = None
                        self.valid_path_protection_path_option_exists = None


                    class Switchover(object):
                        """
                        Path Protected Switchover Information
                        
                        .. attribute:: date_of_error_detection
                        
                        	The date when the error that caused the switchover was detected. This date is the number of seconds since Jan 1st 1970
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: date_of_error_detection_millisec
                        
                        	The milliseconds offset of the date when the error that caused  the switchover was detected
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: from_lsp_id
                        
                        	The LSP ID from which the traffic was switched over
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: path_protection_switchover_event_index
                        
                        	The index number of the path protection switch over event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_protection_switchover_reason
                        
                        	The reason that caused the path protection switchover
                        	**type**\:   :py:class:`TeP2MpS2LDeletionSubcauseEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeP2MpS2LDeletionSubcauseEnum>`
                        
                        .. attribute:: path_protection_tunnel_id
                        
                        	The ID of the tunnel that experienced switchover
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: switchover_duration_millisec
                        
                        	The time in milliseconds between the detection of the error and switching the traffic
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: to_lsp_id
                        
                        	The LSP ID to which the traffic was switched over
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.date_of_error_detection = None
                            self.date_of_error_detection_millisec = None
                            self.from_lsp_id = None
                            self.path_protection_switchover_event_index = None
                            self.path_protection_switchover_reason = None
                            self.path_protection_tunnel_id = None
                            self.switchover_duration_millisec = None
                            self.to_lsp_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:switchover'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.date_of_error_detection is not None:
                                return True

                            if self.date_of_error_detection_millisec is not None:
                                return True

                            if self.from_lsp_id is not None:
                                return True

                            if self.path_protection_switchover_event_index is not None:
                                return True

                            if self.path_protection_switchover_reason is not None:
                                return True

                            if self.path_protection_tunnel_id is not None:
                                return True

                            if self.switchover_duration_millisec is not None:
                                return True

                            if self.to_lsp_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection.Switchover']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-protection'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.diversity_type is not None:
                            return True

                        if self.is_path_protect_configured is not None:
                            return True

                        if self.is_path_protect_switch_over_underway is not None:
                            return True

                        if self.path_protection_protected_by_id is not None:
                            return True

                        if self.reoptimization_time_remaining is not None:
                            return True

                        if self.standby_reoptimized_number is not None:
                            return True

                        if self.switchover is not None and self.switchover._has_data():
                            return True

                        if self.switchover_ready is not None:
                            return True

                        if self.switchover_reason is not None:
                            return True

                        if self.switchover_total is not None:
                            return True

                        if self.time_of_switchover_sec is not None:
                            return True

                        if self.valid_path_protection_path_option_exists is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection']['meta_info']


                class AutoBackup(object):
                    """
                    Autobackup Information
                    
                    .. attribute:: ab_protected_interface
                    
                    	Protected Interface
                    	**type**\:  str
                    
                    .. attribute:: ab_protection_type
                    
                    	Protection type
                    	**type**\:   :py:class:`AutoBackupProtectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AutoBackupProtectionEnum>`
                    
                    .. attribute:: iep
                    
                    	List of IEPs for the path options on this tunnel
                    	**type**\: list of    :py:class:`Iep <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep>`
                    
                    .. attribute:: is_unused_removal_timer_running
                    
                    	Indicates if the unused removal timer is running
                    	**type**\:  bool
                    
                    .. attribute:: is_using_srlg
                    
                    	Indicates whether SRLG Path Option is in use
                    	**type**\:  bool
                    
                    .. attribute:: protected_address
                    
                    	Protected Address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: protected_ls_ps
                    
                    	Number Of Protected LSPs
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: protected_s2_ls
                    
                    	Number of Protected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sharing_families
                    
                    	Number of S2L Sharing Families
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srlg_prot_type
                    
                    	SRLG Protection Type
                    	**type**\:   :py:class:`AutoBackupSrlgModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AutoBackupSrlgModeEnum>`
                    
                    .. attribute:: tunnel_attribute_set_name
                    
                    	AttributeSet name
                    	**type**\:  str
                    
                    .. attribute:: unused_removal_remaining_time
                    
                    	Time Remaining in Unused Removal Time in seconds
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: weighted_srlg_info
                    
                    	Weighted SRLG info for the autobackup tunnel
                    	**type**\:   :py:class:`WeightedSrlgInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.ab_protected_interface = None
                        self.ab_protection_type = None
                        self.iep = YList()
                        self.iep.parent = self
                        self.iep.name = 'iep'
                        self.is_unused_removal_timer_running = None
                        self.is_using_srlg = None
                        self.protected_address = None
                        self.protected_ls_ps = None
                        self.protected_s2_ls = None
                        self.sharing_families = None
                        self.srlg_prot_type = None
                        self.tunnel_attribute_set_name = None
                        self.unused_removal_remaining_time = None
                        self.weighted_srlg_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo()
                        self.weighted_srlg_info.parent = self


                    class WeightedSrlgInfo(object):
                        """
                        Weighted SRLG info for the autobackup tunnel
                        
                        .. attribute:: protected_interface_srlg
                        
                        	SRLG values and admin weight penalties of the protected interface
                        	**type**\: list of    :py:class:`ProtectedInterfaceSrlg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg>`
                        
                        .. attribute:: weighted_srlg_hop
                        
                        	Autobackup hops and the common SRLG with the protected interface
                        	**type**\: list of    :py:class:`WeightedSrlgHop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.protected_interface_srlg = YList()
                            self.protected_interface_srlg.parent = self
                            self.protected_interface_srlg.name = 'protected_interface_srlg'
                            self.weighted_srlg_hop = YList()
                            self.weighted_srlg_hop.parent = self
                            self.weighted_srlg_hop.name = 'weighted_srlg_hop'


                        class ProtectedInterfaceSrlg(object):
                            """
                            SRLG values and admin weight penalties of the
                            protected interface
                            
                            .. attribute:: admin_weight
                            
                            	Admin weight
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.admin_weight = None
                                self.srlg = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface-srlg'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.admin_weight is not None:
                                    return True

                                if self.srlg is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg']['meta_info']


                        class WeightedSrlgHop(object):
                            """
                            Autobackup hops and the common SRLG with the
                            protected interface
                            
                            .. attribute:: aggregate_admin_weight
                            
                            	Sum of the admin weights for all the common SRLG values
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            .. attribute:: common_srlg
                            
                            	Common SRLG between this hop and the protected interface
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: from_address
                            
                            	Local IP address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: to_address
                            
                            	Remote IP address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aggregate_admin_weight = None
                                self.common_srlg = YLeafList()
                                self.common_srlg.parent = self
                                self.common_srlg.name = 'common_srlg'
                                self.from_address = None
                                self.to_address = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:weighted-srlg-hop'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aggregate_admin_weight is not None:
                                    return True

                                if self.common_srlg is not None:
                                    for child in self.common_srlg:
                                        if child is not None:
                                            return True

                                if self.from_address is not None:
                                    return True

                                if self.to_address is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:weighted-srlg-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.protected_interface_srlg is not None:
                                for child_ref in self.protected_interface_srlg:
                                    if child_ref._has_data():
                                        return True

                            if self.weighted_srlg_hop is not None:
                                for child_ref in self.weighted_srlg_hop:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo']['meta_info']


                    class Iep(object):
                        """
                        List of IEPs for the path options on this tunnel
                        
                        .. attribute:: iep_hop
                        
                        	IEP Hop List
                        	**type**\: list of    :py:class:`IepHop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep.IepHop>`
                        
                        .. attribute:: path_option_id
                        
                        	Path option ID this IEP is associated with
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.iep_hop = YList()
                            self.iep_hop.parent = self
                            self.iep_hop.name = 'iep_hop'
                            self.path_option_id = None


                        class IepHop(object):
                            """
                            IEP Hop List
                            
                            .. attribute:: hop_index
                            
                            	Hop Index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: iep_hop_address
                            
                            	IEP Hop Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: iep_hop_type
                            
                            	IEP type
                            	**type**\:   :py:class:`MplsTeIepHopEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeIepHopEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_index = None
                                self.iep_hop_address = None
                                self.iep_hop_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:iep-hop'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_index is not None:
                                    return True

                                if self.iep_hop_address is not None:
                                    return True

                                if self.iep_hop_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep.IepHop']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:iep'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.iep_hop is not None:
                                for child_ref in self.iep_hop:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-backup'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.ab_protected_interface is not None:
                            return True

                        if self.ab_protection_type is not None:
                            return True

                        if self.iep is not None:
                            for child_ref in self.iep:
                                if child_ref._has_data():
                                    return True

                        if self.is_unused_removal_timer_running is not None:
                            return True

                        if self.is_using_srlg is not None:
                            return True

                        if self.protected_address is not None:
                            return True

                        if self.protected_ls_ps is not None:
                            return True

                        if self.protected_s2_ls is not None:
                            return True

                        if self.sharing_families is not None:
                            return True

                        if self.srlg_prot_type is not None:
                            return True

                        if self.tunnel_attribute_set_name is not None:
                            return True

                        if self.unused_removal_remaining_time is not None:
                            return True

                        if self.weighted_srlg_info is not None and self.weighted_srlg_info._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup']['meta_info']


                class AutoMesh(object):
                    """
                    Automesh Information
                    
                    .. attribute:: is_tunnel_unused_timer_running
                    
                    	Flag to indicate whether unused timer running
                    	**type**\:  bool
                    
                    .. attribute:: mesh_group_id
                    
                    	Auto\-mesh tunnel Mesh Group ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: mesh_group_type
                    
                    	Auto\-tunnel mesh group type
                    	**type**\:   :py:class:`TeMeshgroupEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMeshgroupEnum>`
                    
                    .. attribute:: remaining_unused_time
                    
                    	Remaining time for unused timer in seconds
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: tunnel_destination_list_name
                    
                    	Destination List name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.is_tunnel_unused_timer_running = None
                        self.mesh_group_id = None
                        self.mesh_group_type = None
                        self.remaining_unused_time = None
                        self.tunnel_destination_list_name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-mesh'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.is_tunnel_unused_timer_running is not None:
                            return True

                        if self.mesh_group_id is not None:
                            return True

                        if self.mesh_group_type is not None:
                            return True

                        if self.remaining_unused_time is not None:
                            return True

                        if self.tunnel_destination_list_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoMesh']['meta_info']


                class AutoPcc(object):
                    """
                    Auto\-PCC Information
                    
                    .. attribute:: creator_address
                    
                    	Address of creating node
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: creator_id
                    
                    	ID of creating node
                    	**type**\:  str
                    
                    .. attribute:: has_creator_id
                    
                    	Indicates if the ID of the creating node is set
                    	**type**\:  bool
                    
                    .. attribute:: operationally_up
                    
                    	Operationally up
                    	**type**\:  bool
                    
                    .. attribute:: owner_address
                    
                    	Address of owner node
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: plspid
                    
                    	PLSP ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: symbolic_name
                    
                    	Symbolic name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.creator_address = None
                        self.creator_id = None
                        self.has_creator_id = None
                        self.operationally_up = None
                        self.owner_address = None
                        self.plspid = None
                        self.symbolic_name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-pcc'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.creator_address is not None:
                            return True

                        if self.creator_id is not None:
                            return True

                        if self.has_creator_id is not None:
                            return True

                        if self.operationally_up is not None:
                            return True

                        if self.owner_address is not None:
                            return True

                        if self.plspid is not None:
                            return True

                        if self.symbolic_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoPcc']['meta_info']


                class PceDelegation(object):
                    """
                    PCE Delegation information
                    
                    .. attribute:: operationally_up
                    
                    	Operationally up
                    	**type**\:  bool
                    
                    .. attribute:: owner_address
                    
                    	Address of owner node
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: plsp_id
                    
                    	PLSP ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: symbolic_name
                    
                    	Symbolic name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.operationally_up = None
                        self.owner_address = None
                        self.plsp_id = None
                        self.symbolic_name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:pce-delegation'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.operationally_up is not None:
                            return True

                        if self.owner_address is not None:
                            return True

                        if self.plsp_id is not None:
                            return True

                        if self.symbolic_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.PceDelegation']['meta_info']


                class SoftPreemption(object):
                    """
                    Tunnel head soft preemption info. This is NULL
                    if soft preemption is not configured
                    
                    .. attribute:: preemption_pending_resolution
                    
                    	Indicates how the soft preemption operation ended
                    	**type**\:   :py:class:`MplsTeSoftPreemptionResolutionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionResolutionEnum>`
                    
                    .. attribute:: soft_preemption_counters
                    
                    	The soft preemption counters for this tunnel head
                    	**type**\:   :py:class:`SoftPreemptionCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionCounters>`
                    
                    .. attribute:: soft_preemption_path_error
                    
                    	The array of soft preemption path errors info received for the LSP that is being soft preempted
                    	**type**\: list of    :py:class:`SoftPreemptionPathError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionPathError>`
                    
                    .. attribute:: status
                    
                    	The preemption state
                    	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                    
                    .. attribute:: time_in_preemption_pending
                    
                    	The number of seconds that were spent in the preemption\-pending state
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.preemption_pending_resolution = None
                        self.soft_preemption_counters = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionCounters()
                        self.soft_preemption_counters.parent = self
                        self.soft_preemption_path_error = YList()
                        self.soft_preemption_path_error.parent = self
                        self.soft_preemption_path_error.name = 'soft_preemption_path_error'
                        self.status = None
                        self.time_in_preemption_pending = None


                    class SoftPreemptionCounters(object):
                        """
                        The soft preemption counters for this tunnel
                        head
                        
                        .. attribute:: frr_triggered_ls_ps
                        
                        	The number of soft preempted LSPs that were fast rerouted at the             headend or any remote node before the reoptimization is done
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_protection_switchover_ls_ps
                        
                        	The number of soft preempted LSPs that were switched over to a             standby LSP
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: reopt_completed_ls_ps
                        
                        	The number of soft preempted LSPs that were torn down by the ingress router after the reopt LSP was successfully setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: soft_preemption_events
                        
                        	The number of soft preemption events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_in_preemption_pending_avg
                        
                        	The average time in seconds that an LSP was in preemption pending state
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        .. attribute:: time_in_preemption_pending_max
                        
                        	The maximum time in seconds that an LSP was in preemption pending state
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        .. attribute:: time_in_preemption_pending_min
                        
                        	The minimum time in seconds that an LSP was in preemption pending state
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        .. attribute:: torn_down_ls_ps
                        
                        	The number of soft preempted LSPs that were torn down by the              headend or any remote node before the reoptimization is done
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.frr_triggered_ls_ps = None
                            self.path_protection_switchover_ls_ps = None
                            self.reopt_completed_ls_ps = None
                            self.soft_preemption_events = None
                            self.time_in_preemption_pending_avg = None
                            self.time_in_preemption_pending_max = None
                            self.time_in_preemption_pending_min = None
                            self.torn_down_ls_ps = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption-counters'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.frr_triggered_ls_ps is not None:
                                return True

                            if self.path_protection_switchover_ls_ps is not None:
                                return True

                            if self.reopt_completed_ls_ps is not None:
                                return True

                            if self.soft_preemption_events is not None:
                                return True

                            if self.time_in_preemption_pending_avg is not None:
                                return True

                            if self.time_in_preemption_pending_max is not None:
                                return True

                            if self.time_in_preemption_pending_min is not None:
                                return True

                            if self.torn_down_ls_ps is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionCounters']['meta_info']


                    class SoftPreemptionPathError(object):
                        """
                        The array of soft preemption path errors info
                        received for the LSP that is being soft
                        preempted
                        
                        .. attribute:: preempting_link_address
                        
                        	The address of the link where the preemption happened
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: timestamp
                        
                        	The POSIX timestamp when the soft preemption error is received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.preempting_link_address = None
                            self.timestamp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption-path-error'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.preempting_link_address is not None:
                                return True

                            if self.timestamp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionPathError']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.preemption_pending_resolution is not None:
                            return True

                        if self.soft_preemption_counters is not None and self.soft_preemption_counters._has_data():
                            return True

                        if self.soft_preemption_path_error is not None:
                            for child_ref in self.soft_preemption_path_error:
                                if child_ref._has_data():
                                    return True

                        if self.status is not None:
                            return True

                        if self.time_in_preemption_pending is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption']['meta_info']


                class WdmUnitunnel(object):
                    """
                    WDM\-UNI tunnel data. Only exists for WDM\-UNI
                    tunnels
                    
                    .. attribute:: controlled_interface
                    
                    	Interface being controlled
                    	**type**\:  str
                    
                    .. attribute:: destination_address
                    
                    	Destination address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: extended_tunnel_id
                    
                    	Extended tunnel\-id
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: label_origin
                    
                    	Label origin
                    	**type**\:   :py:class:`MplsTeMgmtGmplsLabelOriginEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelOriginEnum>`
                    
                    .. attribute:: local_optical_router_id
                    
                    	Local optical router id
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: lsp_id
                    
                    	LSP ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: remote_optical_router_id
                    
                    	Remote optical router id
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: source_address
                    
                    	Source address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: srlg_discovery
                    
                    	SRLG\-discovery enabled
                    	**type**\:  bool
                    
                    .. attribute:: tunnel_id
                    
                    	Tunnel ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tunnel_role
                    
                    	Tunnel Role
                    	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                    
                    .. attribute:: tunnel_state
                    
                    	Tunnel state
                    	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.controlled_interface = None
                        self.destination_address = None
                        self.extended_tunnel_id = None
                        self.label_origin = None
                        self.local_optical_router_id = None
                        self.lsp_id = None
                        self.remote_optical_router_id = None
                        self.source_address = None
                        self.srlg_discovery = None
                        self.tunnel_id = None
                        self.tunnel_role = None
                        self.tunnel_state = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm-unitunnel'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.controlled_interface is not None:
                            return True

                        if self.destination_address is not None:
                            return True

                        if self.extended_tunnel_id is not None:
                            return True

                        if self.label_origin is not None:
                            return True

                        if self.local_optical_router_id is not None:
                            return True

                        if self.lsp_id is not None:
                            return True

                        if self.remote_optical_router_id is not None:
                            return True

                        if self.source_address is not None:
                            return True

                        if self.srlg_discovery is not None:
                            return True

                        if self.tunnel_id is not None:
                            return True

                        if self.tunnel_role is not None:
                            return True

                        if self.tunnel_state is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.WdmUnitunnel']['meta_info']


                class TransportTunnelInfo(object):
                    """
                    Transport tunnel data. Only exists for Transport
                    tunnels
                    
                    .. attribute:: diversity_info
                    
                    	Diversity Info
                    	**type**\: list of    :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.DiversityInfo>`
                    
                    .. attribute:: egress_static_uni
                    
                    	Tunnel EgressStatic UNI Info
                    	**type**\:   :py:class:`EgressStaticUni <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni>`
                    
                    .. attribute:: homepath_ero
                    
                    	Homepath ero for working lsp
                    	**type**\: list of    :py:class:`HomepathEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro>`
                    
                    .. attribute:: otn
                    
                    	Info Related to OTN technology in S2L
                    	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn>`
                    
                    .. attribute:: static_uni
                    
                    	Tunnel Static UNI Info
                    	**type**\:   :py:class:`StaticUni <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.StaticUni>`
                    
                    .. attribute:: status_homepath_working
                    
                    	Status of working homepath
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.diversity_info = YList()
                        self.diversity_info.parent = self
                        self.diversity_info.name = 'diversity_info'
                        self.egress_static_uni = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni()
                        self.egress_static_uni.parent = self
                        self.homepath_ero = YList()
                        self.homepath_ero.parent = self
                        self.homepath_ero.name = 'homepath_ero'
                        self.otn = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn()
                        self.otn.parent = self
                        self.static_uni = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.StaticUni()
                        self.static_uni.parent = self
                        self.status_homepath_working = None


                    class Otn(object):
                        """
                        Info Related to OTN technology in S2L
                        
                        .. attribute:: bandwidth_cfg
                        
                        	Configured OTN Bandwidth for tunnel
                        	**type**\:   :py:class:`BandwidthCfg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bandwidth_cfg = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg()
                            self.bandwidth_cfg.parent = self


                        class BandwidthCfg(object):
                            """
                            Configured OTN Bandwidth for tunnel
                            
                            .. attribute:: odu_flex_cbr
                            
                            	Odu flex CBR info
                            	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr>`
                            
                            .. attribute:: odu_flex_gfp_f_non_res
                            
                            	Odu flex GFP\-F non\-resizable info
                            	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes>`
                            
                            .. attribute:: odu_flex_gfp_f_res
                            
                            	Odu flex GFP\-F resizable info
                            	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes>`
                            
                            .. attribute:: odu_level
                            
                            	ODULevel
                            	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.odu_flex_cbr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr()
                                self.odu_flex_cbr.parent = self
                                self.odu_flex_gfp_f_non_res = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes()
                                self.odu_flex_gfp_f_non_res.parent = self
                                self.odu_flex_gfp_f_res = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes()
                                self.odu_flex_gfp_f_res.parent = self
                                self.odu_level = None


                            class OduFlexCbr(object):
                                """
                                Odu flex CBR info
                                
                                .. attribute:: bit_rate
                                
                                	Bit rate in kbit/s
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tolerance
                                
                                	Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.tolerance = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.tolerance is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr']['meta_info']


                            class OduFlexGfpFRes(object):
                                """
                                Odu flex GFP\-F resizable info
                                
                                .. attribute:: bit_rate
                                
                                	Bit rate in kbit/s
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes']['meta_info']


                            class OduFlexGfpFNonRes(object):
                                """
                                Odu flex GFP\-F non\-resizable info
                                
                                .. attribute:: bit_rate
                                
                                	Bit rate in kbit/s
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-cfg'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                    return True

                                if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                    return True

                                if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                    return True

                                if self.odu_level is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bandwidth_cfg is not None and self.bandwidth_cfg._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn']['meta_info']


                    class StaticUni(object):
                        """
                        Tunnel Static UNI Info
                        
                        .. attribute:: client_if_handle
                        
                        	Ingress Client Port Ifhandle
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: client_odu_if_handle
                        
                        	Client Odu Interface
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: client_odu_name
                        
                        	Client Odu Name
                        	**type**\:  str
                        
                        .. attribute:: client_port
                        
                        	Ingress Client Port
                        	**type**\:  str
                        
                        .. attribute:: cross_connect_id
                        
                        	Cross connect id
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: is_connected
                        
                        	True if client port is connected
                        	**type**\:  bool
                        
                        .. attribute:: local_termination
                        
                        	Local Termination Type
                        	**type**\:   :py:class:`MplsTeTerminationEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTerminationEnum>`
                        
                        .. attribute:: static_uni_type
                        
                        	Static uni type
                        	**type**\:   :py:class:`MplsTeUniEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeUniEnum>`
                        
                        .. attribute:: term_client_if_handle
                        
                        	Termination Ingress Client Port Ifhandle
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: term_client_port
                        
                        	Termination Ingress Client Port
                        	**type**\:  str
                        
                        .. attribute:: uptime
                        
                        	Client Port Uptime
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.client_if_handle = None
                            self.client_odu_if_handle = None
                            self.client_odu_name = None
                            self.client_port = None
                            self.cross_connect_id = None
                            self.is_connected = None
                            self.local_termination = None
                            self.static_uni_type = None
                            self.term_client_if_handle = None
                            self.term_client_port = None
                            self.uptime = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:static-uni'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.client_if_handle is not None:
                                return True

                            if self.client_odu_if_handle is not None:
                                return True

                            if self.client_odu_name is not None:
                                return True

                            if self.client_port is not None:
                                return True

                            if self.cross_connect_id is not None:
                                return True

                            if self.is_connected is not None:
                                return True

                            if self.local_termination is not None:
                                return True

                            if self.static_uni_type is not None:
                                return True

                            if self.term_client_if_handle is not None:
                                return True

                            if self.term_client_port is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.StaticUni']['meta_info']


                    class EgressStaticUni(object):
                        """
                        Tunnel EgressStatic UNI Info
                        
                        .. attribute:: egress_port
                        
                        	Egress Client Port of Tunnel
                        	**type**\:   :py:class:`EgressPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort>`
                        
                        .. attribute:: local_termination
                        
                        	Local Termination Type
                        	**type**\:   :py:class:`MplsTeTerminationEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTerminationEnum>`
                        
                        .. attribute:: remote_uni_type
                        
                        	Remote uni type
                        	**type**\:   :py:class:`MplsTeUniEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeUniEnum>`
                        
                        .. attribute:: term_egress_port
                        
                        	Termination Egress Client Port of Tunnel
                        	**type**\:   :py:class:`TermEgressPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.egress_port = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort()
                            self.egress_port.parent = self
                            self.local_termination = None
                            self.remote_uni_type = None
                            self.term_egress_port = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort()
                            self.term_egress_port.parent = self


                        class EgressPort(object):
                            """
                            Egress Client Port of Tunnel
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:egress-port'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort']['meta_info']


                        class TermEgressPort(object):
                            """
                            Termination Egress Client Port of Tunnel
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:term-egress-port'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:egress-static-uni'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.egress_port is not None and self.egress_port._has_data():
                                return True

                            if self.local_termination is not None:
                                return True

                            if self.remote_uni_type is not None:
                                return True

                            if self.term_egress_port is not None and self.term_egress_port._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni']['meta_info']


                    class HomepathEro(object):
                        """
                        Homepath ero for working lsp
                        
                        .. attribute:: ero_type
                        
                        	EROType
                        	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                        
                        .. attribute:: ipv4ero_sub_object
                        
                        	IPV4 ERO Sub Object
                        	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject>`
                        
                        .. attribute:: unnumbered_ero_sub_object
                        
                        	Unnumbered ERO Sub Object
                        	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_type = None
                            self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject()
                            self.ipv4ero_sub_object.parent = self
                            self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject()
                            self.unnumbered_ero_sub_object.parent = self


                        class Ipv4EroSubObject(object):
                            """
                            IPV4 ERO Sub Object
                            
                            .. attribute:: ero_address
                            
                            	The ERO IPV4 Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: prefix_length
                            
                            	ERO Prefix Length
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_address = None
                                self.is_strict_route = None
                                self.prefix_length = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_address is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.prefix_length is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject']['meta_info']


                        class UnnumberedEroSubObject(object):
                            """
                            Unnumbered ERO Sub Object
                            
                            .. attribute:: ero_interface_id
                            
                            	The Interface ID in ERO
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: ero_router_id
                            
                            	The Router ID in ERO
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: status
                            
                            	Status of ERO
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_interface_id = None
                                self.ero_router_id = None
                                self.is_strict_route = None
                                self.status = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_interface_id is not None:
                                    return True

                                if self.ero_router_id is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:homepath-ero'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_type is not None:
                                return True

                            if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                return True

                            if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro']['meta_info']


                    class DiversityInfo(object):
                        """
                        Diversity Info
                        
                        .. attribute:: tunnel_id
                        
                        	Dependent Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.tunnel_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.tunnel_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.DiversityInfo']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:transport-tunnel-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.diversity_info is not None:
                            for child_ref in self.diversity_info:
                                if child_ref._has_data():
                                    return True

                        if self.egress_static_uni is not None and self.egress_static_uni._has_data():
                            return True

                        if self.homepath_ero is not None:
                            for child_ref in self.homepath_ero:
                                if child_ref._has_data():
                                    return True

                        if self.otn is not None and self.otn._has_data():
                            return True

                        if self.static_uni is not None and self.static_uni._has_data():
                            return True

                        if self.status_homepath_working is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo']['meta_info']


                class BfdInfo(object):
                    """
                    BFD session info. This is NULL if BFD is not
                    configured
                    
                    .. attribute:: bfd_session_up
                    
                    	Tunnel BFD session state up or down
                    	**type**\:  bool
                    
                    .. attribute:: dampening_info
                    
                    	Path option dampening info
                    	**type**\: list of    :py:class:`DampeningInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.DampeningInfo>`
                    
                    .. attribute:: event_counters
                    
                    	Per tunnel BFD session event counters
                    	**type**\:   :py:class:`EventCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.EventCounters>`
                    
                    .. attribute:: failure_diagnostic_code
                    
                    	BFD session failure diagnostic code
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: failure_reason
                    
                    	BFD session failure reason
                    	**type**\:  str
                    
                    .. attribute:: maximum_session_up_interval
                    
                    	Maximum time in mini second for session to come up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: minimum_session_up_interval
                    
                    	Minimum time in mini second for session to come up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: session_up_time
                    
                    	Time in seconds since the last session state up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bfd_session_up = None
                        self.dampening_info = YList()
                        self.dampening_info.parent = self
                        self.dampening_info.name = 'dampening_info'
                        self.event_counters = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.EventCounters()
                        self.event_counters.parent = self
                        self.failure_diagnostic_code = None
                        self.failure_reason = None
                        self.maximum_session_up_interval = None
                        self.minimum_session_up_interval = None
                        self.session_up_time = None


                    class EventCounters(object):
                        """
                        Per tunnel BFD session event counters
                        
                        .. attribute:: session_admin_down_events
                        
                        	The number of BFDOverLSP session admin down events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_create_events
                        
                        	The number of BFDOverLSP session create events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_create_timeout_events
                        
                        	The number of BFDOverLSP session create timeout events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_creation_failed_events
                        
                        	The number of BFDOverLSP session creation failed events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_down_events
                        
                        	The number of BFDOverLSP session down events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_gracefully_delete_events
                        
                        	The number of BFDOverLSP session gracefully delete events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_non_gracefully_delete_events
                        
                        	The number of BFDOverLSP session non gracefully delete events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_replay_events
                        
                        	The number of BFDOverLSP session replay events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_up_events
                        
                        	The number of BFDOverLSP session up events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.session_admin_down_events = None
                            self.session_create_events = None
                            self.session_create_timeout_events = None
                            self.session_creation_failed_events = None
                            self.session_down_events = None
                            self.session_gracefully_delete_events = None
                            self.session_non_gracefully_delete_events = None
                            self.session_replay_events = None
                            self.session_up_events = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:event-counters'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.session_admin_down_events is not None:
                                return True

                            if self.session_create_events is not None:
                                return True

                            if self.session_create_timeout_events is not None:
                                return True

                            if self.session_creation_failed_events is not None:
                                return True

                            if self.session_down_events is not None:
                                return True

                            if self.session_gracefully_delete_events is not None:
                                return True

                            if self.session_non_gracefully_delete_events is not None:
                                return True

                            if self.session_replay_events is not None:
                                return True

                            if self.session_up_events is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.EventCounters']['meta_info']


                    class DampeningInfo(object):
                        """
                        Path option dampening info
                        
                        .. attribute:: backoff_count
                        
                        	Backoff count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: hold_down_time
                        
                        	Hold down time in second
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: option_index
                        
                        	Path option index
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: remained_time
                        
                        	Remained time to resignal in second
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.backoff_count = None
                            self.hold_down_time = None
                            self.option_index = None
                            self.remained_time = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:dampening-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.backoff_count is not None:
                                return True

                            if self.hold_down_time is not None:
                                return True

                            if self.option_index is not None:
                                return True

                            if self.remained_time is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.DampeningInfo']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bfd_session_up is not None:
                            return True

                        if self.dampening_info is not None:
                            for child_ref in self.dampening_info:
                                if child_ref._has_data():
                                    return True

                        if self.event_counters is not None and self.event_counters._has_data():
                            return True

                        if self.failure_diagnostic_code is not None:
                            return True

                        if self.failure_reason is not None:
                            return True

                        if self.maximum_session_up_interval is not None:
                            return True

                        if self.minimum_session_up_interval is not None:
                            return True

                        if self.session_up_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo']['meta_info']


                class OtnBidir(object):
                    """
                    OTN bidir info
                    
                    .. attribute:: aps
                    
                    	APS Protection Info
                    	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps>`
                    
                    .. attribute:: restoration
                    
                    	Restoration Info
                    	**type**\:   :py:class:`Restoration <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Restoration>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.aps = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps()
                        self.aps.parent = self
                        self.restoration = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Restoration()
                        self.restoration.parent = self


                    class Aps(object):
                        """
                        APS Protection Info
                        
                        .. attribute:: active_lsp
                        
                        	Active LSP for Incoming Data
                        	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                        
                        .. attribute:: diversity_type
                        
                        	Standby path diversity type
                        	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                        
                        .. attribute:: protection_profile
                        
                        	Protection Profile Information of tunnel
                        	**type**\:   :py:class:`ProtectionProfile <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.active_lsp = None
                            self.diversity_type = None
                            self.protection_profile = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile()
                            self.protection_profile.parent = self


                        class ProtectionProfile(object):
                            """
                            Protection Profile Information of tunnel
                            
                            .. attribute:: hold_off_time
                            
                            	Hold\-off time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: path_prot_profile_type
                            
                            	Path Protection Profile Type
                            	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                            
                            .. attribute:: protection_mode
                            
                            	Protection Restoration Mode
                            	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                            
                            .. attribute:: protection_type
                            
                            	Protection Type
                            	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                            
                            .. attribute:: restoration_style
                            
                            	Restoration Style
                            	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                            
                            .. attribute:: revert_schedule
                            
                            	Revert Schedule
                            	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile.RevertSchedule>`
                            
                            .. attribute:: snc_mode
                            
                            	Sub\-network Connection Mode
                            	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                            
                            .. attribute:: tcm_id
                            
                            	Sub\-network Connection Monitoring Mode
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: wait_to_restore_time
                            
                            	Wait to restore time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hold_off_time = None
                                self.path_prot_profile_type = None
                                self.protection_mode = None
                                self.protection_type = None
                                self.restoration_style = None
                                self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile.RevertSchedule()
                                self.revert_schedule.parent = self
                                self.snc_mode = None
                                self.tcm_id = None
                                self.wait_to_restore_time = None


                            class RevertSchedule(object):
                                """
                                Revert Schedule
                                
                                .. attribute:: duration
                                
                                	Duration for scheduled reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: max_tries
                                
                                	Max tries for scheduled reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: schedule_date
                                
                                	Schedule time for reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: schedule_frequency
                                
                                	Schedule frequency for reversion
                                	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                
                                .. attribute:: schedulename
                                
                                	Schedule name identifier
                                	**type**\:  str
                                
                                	**length:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.duration = None
                                    self.max_tries = None
                                    self.schedule_date = None
                                    self.schedule_frequency = None
                                    self.schedulename = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.duration is not None:
                                        return True

                                    if self.max_tries is not None:
                                        return True

                                    if self.schedule_date is not None:
                                        return True

                                    if self.schedule_frequency is not None:
                                        return True

                                    if self.schedulename is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile.RevertSchedule']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-profile'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hold_off_time is not None:
                                    return True

                                if self.path_prot_profile_type is not None:
                                    return True

                                if self.protection_mode is not None:
                                    return True

                                if self.protection_type is not None:
                                    return True

                                if self.restoration_style is not None:
                                    return True

                                if self.revert_schedule is not None and self.revert_schedule._has_data():
                                    return True

                                if self.snc_mode is not None:
                                    return True

                                if self.tcm_id is not None:
                                    return True

                                if self.wait_to_restore_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.active_lsp is not None:
                                return True

                            if self.diversity_type is not None:
                                return True

                            if self.protection_profile is not None and self.protection_profile._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps']['meta_info']


                    class Restoration(object):
                        """
                        Restoration Info
                        
                        .. attribute:: diverse_lsp
                        
                        	LSP from which restoration LSP is DIVERSED
                        	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                        
                        .. attribute:: diversity_type
                        
                        	Restoration path diversity type
                        	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                        
                        .. attribute:: revert_option
                        
                        	Revertive or non\-revertive
                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.diverse_lsp = None
                            self.diversity_type = None
                            self.revert_option = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:restoration'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.diverse_lsp is not None:
                                return True

                            if self.diversity_type is not None:
                                return True

                            if self.revert_option is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Restoration']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-bidir'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.aps is not None and self.aps._has_data():
                            return True

                        if self.restoration is not None and self.restoration._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir']['meta_info']


                class Bidir(object):
                    """
                    Bidir info
                    
                    .. attribute:: reverse_bandwidth
                    
                    	Reverse Bandwidth value in kbps
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: kbit/s
                    
                    .. attribute:: reverse_bandwidth_standby
                    
                    	Reverse Bandwidth value for standby in kbps
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: kbit/s
                    
                    .. attribute:: reverse_ero_error_current
                    
                    	Reverse ERO Error Current LSP
                    	**type**\:   :py:class:`ReverseEroErrorCurrent <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent>`
                    
                    .. attribute:: reverse_ero_error_reopt
                    
                    	Reverse ERO Error Reopt LSP
                    	**type**\:   :py:class:`ReverseEroErrorReopt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt>`
                    
                    .. attribute:: reverse_ero_error_standby
                    
                    	Reverse ERO Error Standby LSP
                    	**type**\:   :py:class:`ReverseEroErrorStandby <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby>`
                    
                    .. attribute:: reverse_ero_error_standby_reopt
                    
                    	Reverse ERO Error Standby Reopt LSP
                    	**type**\:   :py:class:`ReverseEroErrorStandbyReopt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.reverse_bandwidth = None
                        self.reverse_bandwidth_standby = None
                        self.reverse_ero_error_current = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent()
                        self.reverse_ero_error_current.parent = self
                        self.reverse_ero_error_reopt = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt()
                        self.reverse_ero_error_reopt.parent = self
                        self.reverse_ero_error_standby = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby()
                        self.reverse_ero_error_standby.parent = self
                        self.reverse_ero_error_standby_reopt = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt()
                        self.reverse_ero_error_standby_reopt.parent = self


                    class ReverseEroErrorCurrent(object):
                        """
                        Reverse ERO Error Current LSP
                        
                        .. attribute:: ero_reject_reason
                        
                        	Reverse ERO Reject Reason
                        	**type**\:   :py:class:`TeRevEroRejectReasonsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRevEroRejectReasonsEnum>`
                        
                        .. attribute:: path_calculation_error
                        
                        	Path Computation Information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent.PathCalculationError>`
                        
                        .. attribute:: path_option_index
                        
                        	Path Option Index
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: path_option_type
                        
                        	Path Option Type
                        	**type**\:   :py:class:`MtePathOptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MtePathOptionEnum>`
                        
                        .. attribute:: path_reject_reason_affinity
                        
                        	Path Reject due to affinity
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_bw
                        
                        	Path Reject due to bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_link
                        
                        	Path Reject due to exclude link
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_node
                        
                        	Path Reject due to exclude node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_srlg
                        
                        	Path Reject due to exclude SRLG
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_holddown
                        
                        	Path Reject due to holddown
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_hop_limit
                        
                        	Path Reject due to hop limit
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ip_addr
                        
                        	Path Reject due to IP address
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ixcd
                        
                        	Path Reject due to IXCD
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_head
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_mid
                        
                        	Path Reject due to mid node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_tail
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_unknown
                        
                        	Path Reject due to unknown node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_unreachable
                        
                        	Path Reject due to unreachable node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_bw
                        
                        	Path Reject due to reverse bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_link
                        
                        	Path Reject due to reverse link
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_id
                        
                        	Reverse LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_reject_reason = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_index = None
                            self.path_option_type = None
                            self.path_reject_reason_affinity = None
                            self.path_reject_reason_bw = None
                            self.path_reject_reason_exclude_link = None
                            self.path_reject_reason_exclude_node = None
                            self.path_reject_reason_exclude_srlg = None
                            self.path_reject_reason_holddown = None
                            self.path_reject_reason_hop_limit = None
                            self.path_reject_reason_ip_addr = None
                            self.path_reject_reason_ixcd = None
                            self.path_reject_reason_node_ol_head = None
                            self.path_reject_reason_node_ol_mid = None
                            self.path_reject_reason_node_ol_tail = None
                            self.path_reject_reason_node_ol_unknown = None
                            self.path_reject_reason_node_unreachable = None
                            self.path_reject_reason_reverse_bw = None
                            self.path_reject_reason_reverse_link = None
                            self.reverse_lsp_id = None


                        class PathCalculationError(object):
                            """
                            Path Computation Information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent.PathCalculationError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-error-current'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_reject_reason is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_index is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.path_reject_reason_affinity is not None:
                                return True

                            if self.path_reject_reason_bw is not None:
                                return True

                            if self.path_reject_reason_exclude_link is not None:
                                return True

                            if self.path_reject_reason_exclude_node is not None:
                                return True

                            if self.path_reject_reason_exclude_srlg is not None:
                                return True

                            if self.path_reject_reason_holddown is not None:
                                return True

                            if self.path_reject_reason_hop_limit is not None:
                                return True

                            if self.path_reject_reason_ip_addr is not None:
                                return True

                            if self.path_reject_reason_ixcd is not None:
                                return True

                            if self.path_reject_reason_node_ol_head is not None:
                                return True

                            if self.path_reject_reason_node_ol_mid is not None:
                                return True

                            if self.path_reject_reason_node_ol_tail is not None:
                                return True

                            if self.path_reject_reason_node_ol_unknown is not None:
                                return True

                            if self.path_reject_reason_node_unreachable is not None:
                                return True

                            if self.path_reject_reason_reverse_bw is not None:
                                return True

                            if self.path_reject_reason_reverse_link is not None:
                                return True

                            if self.reverse_lsp_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent']['meta_info']


                    class ReverseEroErrorReopt(object):
                        """
                        Reverse ERO Error Reopt LSP
                        
                        .. attribute:: ero_reject_reason
                        
                        	Reverse ERO Reject Reason
                        	**type**\:   :py:class:`TeRevEroRejectReasonsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRevEroRejectReasonsEnum>`
                        
                        .. attribute:: path_calculation_error
                        
                        	Path Computation Information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt.PathCalculationError>`
                        
                        .. attribute:: path_option_index
                        
                        	Path Option Index
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: path_option_type
                        
                        	Path Option Type
                        	**type**\:   :py:class:`MtePathOptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MtePathOptionEnum>`
                        
                        .. attribute:: path_reject_reason_affinity
                        
                        	Path Reject due to affinity
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_bw
                        
                        	Path Reject due to bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_link
                        
                        	Path Reject due to exclude link
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_node
                        
                        	Path Reject due to exclude node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_srlg
                        
                        	Path Reject due to exclude SRLG
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_holddown
                        
                        	Path Reject due to holddown
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_hop_limit
                        
                        	Path Reject due to hop limit
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ip_addr
                        
                        	Path Reject due to IP address
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ixcd
                        
                        	Path Reject due to IXCD
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_head
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_mid
                        
                        	Path Reject due to mid node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_tail
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_unknown
                        
                        	Path Reject due to unknown node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_unreachable
                        
                        	Path Reject due to unreachable node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_bw
                        
                        	Path Reject due to reverse bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_link
                        
                        	Path Reject due to reverse link
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_id
                        
                        	Reverse LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_reject_reason = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_index = None
                            self.path_option_type = None
                            self.path_reject_reason_affinity = None
                            self.path_reject_reason_bw = None
                            self.path_reject_reason_exclude_link = None
                            self.path_reject_reason_exclude_node = None
                            self.path_reject_reason_exclude_srlg = None
                            self.path_reject_reason_holddown = None
                            self.path_reject_reason_hop_limit = None
                            self.path_reject_reason_ip_addr = None
                            self.path_reject_reason_ixcd = None
                            self.path_reject_reason_node_ol_head = None
                            self.path_reject_reason_node_ol_mid = None
                            self.path_reject_reason_node_ol_tail = None
                            self.path_reject_reason_node_ol_unknown = None
                            self.path_reject_reason_node_unreachable = None
                            self.path_reject_reason_reverse_bw = None
                            self.path_reject_reason_reverse_link = None
                            self.reverse_lsp_id = None


                        class PathCalculationError(object):
                            """
                            Path Computation Information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt.PathCalculationError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-error-reopt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_reject_reason is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_index is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.path_reject_reason_affinity is not None:
                                return True

                            if self.path_reject_reason_bw is not None:
                                return True

                            if self.path_reject_reason_exclude_link is not None:
                                return True

                            if self.path_reject_reason_exclude_node is not None:
                                return True

                            if self.path_reject_reason_exclude_srlg is not None:
                                return True

                            if self.path_reject_reason_holddown is not None:
                                return True

                            if self.path_reject_reason_hop_limit is not None:
                                return True

                            if self.path_reject_reason_ip_addr is not None:
                                return True

                            if self.path_reject_reason_ixcd is not None:
                                return True

                            if self.path_reject_reason_node_ol_head is not None:
                                return True

                            if self.path_reject_reason_node_ol_mid is not None:
                                return True

                            if self.path_reject_reason_node_ol_tail is not None:
                                return True

                            if self.path_reject_reason_node_ol_unknown is not None:
                                return True

                            if self.path_reject_reason_node_unreachable is not None:
                                return True

                            if self.path_reject_reason_reverse_bw is not None:
                                return True

                            if self.path_reject_reason_reverse_link is not None:
                                return True

                            if self.reverse_lsp_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt']['meta_info']


                    class ReverseEroErrorStandby(object):
                        """
                        Reverse ERO Error Standby LSP
                        
                        .. attribute:: ero_reject_reason
                        
                        	Reverse ERO Reject Reason
                        	**type**\:   :py:class:`TeRevEroRejectReasonsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRevEroRejectReasonsEnum>`
                        
                        .. attribute:: path_calculation_error
                        
                        	Path Computation Information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby.PathCalculationError>`
                        
                        .. attribute:: path_option_index
                        
                        	Path Option Index
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: path_option_type
                        
                        	Path Option Type
                        	**type**\:   :py:class:`MtePathOptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MtePathOptionEnum>`
                        
                        .. attribute:: path_reject_reason_affinity
                        
                        	Path Reject due to affinity
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_bw
                        
                        	Path Reject due to bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_link
                        
                        	Path Reject due to exclude link
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_node
                        
                        	Path Reject due to exclude node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_srlg
                        
                        	Path Reject due to exclude SRLG
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_holddown
                        
                        	Path Reject due to holddown
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_hop_limit
                        
                        	Path Reject due to hop limit
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ip_addr
                        
                        	Path Reject due to IP address
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ixcd
                        
                        	Path Reject due to IXCD
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_head
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_mid
                        
                        	Path Reject due to mid node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_tail
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_unknown
                        
                        	Path Reject due to unknown node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_unreachable
                        
                        	Path Reject due to unreachable node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_bw
                        
                        	Path Reject due to reverse bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_link
                        
                        	Path Reject due to reverse link
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_id
                        
                        	Reverse LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_reject_reason = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_index = None
                            self.path_option_type = None
                            self.path_reject_reason_affinity = None
                            self.path_reject_reason_bw = None
                            self.path_reject_reason_exclude_link = None
                            self.path_reject_reason_exclude_node = None
                            self.path_reject_reason_exclude_srlg = None
                            self.path_reject_reason_holddown = None
                            self.path_reject_reason_hop_limit = None
                            self.path_reject_reason_ip_addr = None
                            self.path_reject_reason_ixcd = None
                            self.path_reject_reason_node_ol_head = None
                            self.path_reject_reason_node_ol_mid = None
                            self.path_reject_reason_node_ol_tail = None
                            self.path_reject_reason_node_ol_unknown = None
                            self.path_reject_reason_node_unreachable = None
                            self.path_reject_reason_reverse_bw = None
                            self.path_reject_reason_reverse_link = None
                            self.reverse_lsp_id = None


                        class PathCalculationError(object):
                            """
                            Path Computation Information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby.PathCalculationError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-error-standby'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_reject_reason is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_index is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.path_reject_reason_affinity is not None:
                                return True

                            if self.path_reject_reason_bw is not None:
                                return True

                            if self.path_reject_reason_exclude_link is not None:
                                return True

                            if self.path_reject_reason_exclude_node is not None:
                                return True

                            if self.path_reject_reason_exclude_srlg is not None:
                                return True

                            if self.path_reject_reason_holddown is not None:
                                return True

                            if self.path_reject_reason_hop_limit is not None:
                                return True

                            if self.path_reject_reason_ip_addr is not None:
                                return True

                            if self.path_reject_reason_ixcd is not None:
                                return True

                            if self.path_reject_reason_node_ol_head is not None:
                                return True

                            if self.path_reject_reason_node_ol_mid is not None:
                                return True

                            if self.path_reject_reason_node_ol_tail is not None:
                                return True

                            if self.path_reject_reason_node_ol_unknown is not None:
                                return True

                            if self.path_reject_reason_node_unreachable is not None:
                                return True

                            if self.path_reject_reason_reverse_bw is not None:
                                return True

                            if self.path_reject_reason_reverse_link is not None:
                                return True

                            if self.reverse_lsp_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby']['meta_info']


                    class ReverseEroErrorStandbyReopt(object):
                        """
                        Reverse ERO Error Standby Reopt LSP
                        
                        .. attribute:: ero_reject_reason
                        
                        	Reverse ERO Reject Reason
                        	**type**\:   :py:class:`TeRevEroRejectReasonsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRevEroRejectReasonsEnum>`
                        
                        .. attribute:: path_calculation_error
                        
                        	Path Computation Information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError>`
                        
                        .. attribute:: path_option_index
                        
                        	Path Option Index
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: path_option_type
                        
                        	Path Option Type
                        	**type**\:   :py:class:`MtePathOptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MtePathOptionEnum>`
                        
                        .. attribute:: path_reject_reason_affinity
                        
                        	Path Reject due to affinity
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_bw
                        
                        	Path Reject due to bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_link
                        
                        	Path Reject due to exclude link
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_node
                        
                        	Path Reject due to exclude node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_srlg
                        
                        	Path Reject due to exclude SRLG
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_holddown
                        
                        	Path Reject due to holddown
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_hop_limit
                        
                        	Path Reject due to hop limit
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ip_addr
                        
                        	Path Reject due to IP address
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ixcd
                        
                        	Path Reject due to IXCD
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_head
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_mid
                        
                        	Path Reject due to mid node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_tail
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_unknown
                        
                        	Path Reject due to unknown node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_unreachable
                        
                        	Path Reject due to unreachable node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_bw
                        
                        	Path Reject due to reverse bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_link
                        
                        	Path Reject due to reverse link
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_id
                        
                        	Reverse LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_reject_reason = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_index = None
                            self.path_option_type = None
                            self.path_reject_reason_affinity = None
                            self.path_reject_reason_bw = None
                            self.path_reject_reason_exclude_link = None
                            self.path_reject_reason_exclude_node = None
                            self.path_reject_reason_exclude_srlg = None
                            self.path_reject_reason_holddown = None
                            self.path_reject_reason_hop_limit = None
                            self.path_reject_reason_ip_addr = None
                            self.path_reject_reason_ixcd = None
                            self.path_reject_reason_node_ol_head = None
                            self.path_reject_reason_node_ol_mid = None
                            self.path_reject_reason_node_ol_tail = None
                            self.path_reject_reason_node_ol_unknown = None
                            self.path_reject_reason_node_unreachable = None
                            self.path_reject_reason_reverse_bw = None
                            self.path_reject_reason_reverse_link = None
                            self.reverse_lsp_id = None


                        class PathCalculationError(object):
                            """
                            Path Computation Information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-error-standby-reopt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_reject_reason is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_index is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.path_reject_reason_affinity is not None:
                                return True

                            if self.path_reject_reason_bw is not None:
                                return True

                            if self.path_reject_reason_exclude_link is not None:
                                return True

                            if self.path_reject_reason_exclude_node is not None:
                                return True

                            if self.path_reject_reason_exclude_srlg is not None:
                                return True

                            if self.path_reject_reason_holddown is not None:
                                return True

                            if self.path_reject_reason_hop_limit is not None:
                                return True

                            if self.path_reject_reason_ip_addr is not None:
                                return True

                            if self.path_reject_reason_ixcd is not None:
                                return True

                            if self.path_reject_reason_node_ol_head is not None:
                                return True

                            if self.path_reject_reason_node_ol_mid is not None:
                                return True

                            if self.path_reject_reason_node_ol_tail is not None:
                                return True

                            if self.path_reject_reason_node_ol_unknown is not None:
                                return True

                            if self.path_reject_reason_node_unreachable is not None:
                                return True

                            if self.path_reject_reason_reverse_bw is not None:
                                return True

                            if self.path_reject_reason_reverse_link is not None:
                                return True

                            if self.reverse_lsp_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bidir'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.reverse_bandwidth is not None:
                            return True

                        if self.reverse_bandwidth_standby is not None:
                            return True

                        if self.reverse_ero_error_current is not None and self.reverse_ero_error_current._has_data():
                            return True

                        if self.reverse_ero_error_reopt is not None and self.reverse_ero_error_reopt._has_data():
                            return True

                        if self.reverse_ero_error_standby is not None and self.reverse_ero_error_standby._has_data():
                            return True

                        if self.reverse_ero_error_standby_reopt is not None and self.reverse_ero_error_standby_reopt._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir']['meta_info']


                class XroAttributeSet(object):
                    """
                    XRO attribute\-set
                    
                    .. attribute:: attribute_set_union
                    
                    	Union of Attribute Sets
                    	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion>`
                    
                    .. attribute:: tunnel_attribute_set_name
                    
                    	Attribute Set Name
                    	**type**\:  str
                    
                    .. attribute:: tunnel_attribute_set_name_crc32
                    
                    	Attribute Set name CRC32 value
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion()
                        self.attribute_set_union.parent = self
                        self.tunnel_attribute_set_name = None
                        self.tunnel_attribute_set_name_crc32 = None


                    class AttributeSetUnion(object):
                        """
                        Union of Attribute Sets
                        
                        .. attribute:: attribute_set_aps_pp
                        
                        	Attribute Set OTN APS Path Protection
                        	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                        
                        .. attribute:: attribute_set_autobackup
                        
                        	MPLS TE Auto\-backup Attribute Set
                        	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                        
                        .. attribute:: attribute_set_automesh
                        
                        	MPLS TE Auto\-mesh Attribute Set
                        	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                        
                        .. attribute:: attribute_set_p2mpte
                        
                        	MPLS TE P2MP\-TE Attribute Set
                        	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                        
                        .. attribute:: attribute_set_p2p_te
                        
                        	MPLS TE P2P\-TE Attribute Set
                        	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                        
                        .. attribute:: attribute_set_path_option
                        
                        	MPLS TE Path Option Attribute Set
                        	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                        
                        .. attribute:: attribute_set_xro
                        
                        	Attribute Set XRO
                        	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                        
                        .. attribute:: tunnel_attribute_set_type
                        
                        	TunnelAttributeSetType
                        	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                            self.attribute_set_aps_pp.parent = self
                            self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                            self.attribute_set_autobackup.parent = self
                            self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                            self.attribute_set_automesh.parent = self
                            self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                            self.attribute_set_p2mpte.parent = self
                            self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                            self.attribute_set_p2p_te.parent = self
                            self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                            self.attribute_set_path_option.parent = self
                            self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                            self.attribute_set_xro.parent = self
                            self.tunnel_attribute_set_type = None


                        class AttributeSetPathOption(object):
                            """
                            MPLS TE Path Option Attribute Set
                            
                            .. attribute:: affinity
                            
                            	Affinity
                            	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                            
                            .. attribute:: bandwidth_type
                            
                            	The bandwidth type
                            	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                            
                            .. attribute:: bfd_reverse_path
                            
                            	BFD reverse path
                            	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                            
                            .. attribute:: configured_bandwidth
                            
                            	Bandwidth value in kbps
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: cost_limit
                            
                            	Cost limit on the tunnel path
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: dste_class_type
                            
                            	DSTE Class
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: exclude_list_name
                            
                            	Exclude list name
                            	**type**\:  str
                            
                            .. attribute:: generation
                            
                            	Generation
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: is_affinity_configured
                            
                            	Is affinity configured
                            	**type**\:  bool
                            
                            .. attribute:: is_bandwidth_configured
                            
                            	Is bandwidth configured
                            	**type**\:  bool
                            
                            .. attribute:: is_bfd_reverse_pat_configured
                            
                            	Is BFD reverse path configured
                            	**type**\:  bool
                            
                            .. attribute:: is_cost_limit_configured
                            
                            	Is Cost Limit configured
                            	**type**\:  bool
                            
                            .. attribute:: is_exclude_list_name_configured
                            
                            	Is exclude list name configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_invalidation_action_configured
                            
                            	Is path invalidation action configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_invalidation_timeout_configured
                            
                            	Is path invalidation timeout configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_configured
                            
                            	Is PCE Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_group_id_configured
                            
                            	Is PCE Disjoint Path Group ID Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_source_configured
                            
                            	Is PCE Disjoint Path Source Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_type_configured
                            
                            	Is PCE Disjoint Path Type Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pceb_dj_source_configured
                            
                            	Is PCE Bidirectional Source Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pcebd_group_id_configured
                            
                            	Is PCE Bidirectional Group ID Configured
                            	**type**\:  bool
                            
                            .. attribute:: path_invalidation_action
                            
                            	Path invalidation action
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: path_invalidation_timeout
                            
                            	Path invalidation interval on the tunnel path
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcebd_group_id
                            
                            	PCE Bidirectional Group ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcebd_source_address
                            
                            	PCE Bidirectional Source Address
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_group_id
                            
                            	PCE Disjoint Path Group ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_source_address
                            
                            	PCE Disjoint Path Source Address
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_type
                            
                            	PCE Disjoint Path Type
                            	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: version_info
                            
                            	Version Info
                            	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                self.affinity.parent = self
                                self.bandwidth_type = None
                                self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                self.bfd_reverse_path.parent = self
                                self.configured_bandwidth = None
                                self.cost_limit = None
                                self.dste_class_type = None
                                self.exclude_list_name = None
                                self.generation = None
                                self.is_affinity_configured = None
                                self.is_bandwidth_configured = None
                                self.is_bfd_reverse_pat_configured = None
                                self.is_cost_limit_configured = None
                                self.is_exclude_list_name_configured = None
                                self.is_path_invalidation_action_configured = None
                                self.is_path_invalidation_timeout_configured = None
                                self.is_pce_configured = None
                                self.is_pce_disj_group_id_configured = None
                                self.is_pce_disj_source_configured = None
                                self.is_pce_disj_type_configured = None
                                self.is_pceb_dj_source_configured = None
                                self.is_pcebd_group_id_configured = None
                                self.path_invalidation_action = None
                                self.path_invalidation_timeout = None
                                self.pcebd_group_id = None
                                self.pcebd_source_address = None
                                self.pcedp_group_id = None
                                self.pcedp_source_address = None
                                self.pcedp_type = None
                                self.tunnel_id = YLeafList()
                                self.tunnel_id.parent = self
                                self.tunnel_id.name = 'tunnel_id'
                                self.version_info = YList()
                                self.version_info.parent = self
                                self.version_info.name = 'version_info'


                            class Affinity(object):
                                """
                                Affinity
                                
                                .. attribute:: affinity_bits
                                
                                	The affinity bits (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: affinity_mask
                                
                                	The affinity mask (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: named_affinity
                                
                                	Array of name based constratints currently applied to the tunnel
                                	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.affinity_bits = None
                                    self.affinity_mask = None
                                    self.named_affinity = YList()
                                    self.named_affinity.parent = self
                                    self.named_affinity.name = 'named_affinity'


                                class NamedAffinity(object):
                                    """
                                    Array of name based constratints currently
                                    applied to the tunnel
                                    
                                    .. attribute:: constraint_extended_value
                                    
                                    	Constraint value
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: constraint_type
                                    
                                    	Constraint type
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: constraint_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: extended_forward_ref_value
                                    
                                    	Reference bits for undefined affinity names
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: forward_ref_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.constraint_extended_value = YLeafList()
                                        self.constraint_extended_value.parent = self
                                        self.constraint_extended_value.name = 'constraint_extended_value'
                                        self.constraint_type = None
                                        self.constraint_value = None
                                        self.extended_forward_ref_value = YLeafList()
                                        self.extended_forward_ref_value.parent = self
                                        self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                        self.forward_ref_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.constraint_extended_value is not None:
                                            for child in self.constraint_extended_value:
                                                if child is not None:
                                                    return True

                                        if self.constraint_type is not None:
                                            return True

                                        if self.constraint_value is not None:
                                            return True

                                        if self.extended_forward_ref_value is not None:
                                            for child in self.extended_forward_ref_value:
                                                if child is not None:
                                                    return True

                                        if self.forward_ref_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.affinity_bits is not None:
                                        return True

                                    if self.affinity_mask is not None:
                                        return True

                                    if self.named_affinity is not None:
                                        for child_ref in self.named_affinity:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                            class BfdReversePath(object):
                                """
                                BFD reverse path
                                
                                .. attribute:: binding_label
                                
                                	BFD reverse path binding label
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: path_type
                                
                                	BFD reverse path type
                                	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.binding_label = None
                                    self.path_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.binding_label is not None:
                                        return True

                                    if self.path_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                            class VersionInfo(object):
                                """
                                Version Info
                                
                                .. attribute:: attribute_type
                                
                                	Attribute Type
                                	**type**\:  str
                                
                                .. attribute:: generation
                                
                                	Generation
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: is_default
                                
                                	Is default
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_type = None
                                    self.generation = None
                                    self.is_default = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_type is not None:
                                        return True

                                    if self.generation is not None:
                                        return True

                                    if self.is_default is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.affinity is not None and self.affinity._has_data():
                                    return True

                                if self.bandwidth_type is not None:
                                    return True

                                if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                    return True

                                if self.configured_bandwidth is not None:
                                    return True

                                if self.cost_limit is not None:
                                    return True

                                if self.dste_class_type is not None:
                                    return True

                                if self.exclude_list_name is not None:
                                    return True

                                if self.generation is not None:
                                    return True

                                if self.is_affinity_configured is not None:
                                    return True

                                if self.is_bandwidth_configured is not None:
                                    return True

                                if self.is_bfd_reverse_pat_configured is not None:
                                    return True

                                if self.is_cost_limit_configured is not None:
                                    return True

                                if self.is_exclude_list_name_configured is not None:
                                    return True

                                if self.is_path_invalidation_action_configured is not None:
                                    return True

                                if self.is_path_invalidation_timeout_configured is not None:
                                    return True

                                if self.is_pce_configured is not None:
                                    return True

                                if self.is_pce_disj_group_id_configured is not None:
                                    return True

                                if self.is_pce_disj_source_configured is not None:
                                    return True

                                if self.is_pce_disj_type_configured is not None:
                                    return True

                                if self.is_pceb_dj_source_configured is not None:
                                    return True

                                if self.is_pcebd_group_id_configured is not None:
                                    return True

                                if self.path_invalidation_action is not None:
                                    return True

                                if self.path_invalidation_timeout is not None:
                                    return True

                                if self.pcebd_group_id is not None:
                                    return True

                                if self.pcebd_source_address is not None:
                                    return True

                                if self.pcedp_group_id is not None:
                                    return True

                                if self.pcedp_source_address is not None:
                                    return True

                                if self.pcedp_type is not None:
                                    return True

                                if self.tunnel_id is not None:
                                    for child in self.tunnel_id:
                                        if child is not None:
                                            return True

                                if self.version_info is not None:
                                    for child_ref in self.version_info:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                        class AttributeSetAutobackup(object):
                            """
                            MPLS TE Auto\-backup Attribute Set
                            
                            .. attribute:: affinity
                            
                            	Affinity
                            	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                            
                            .. attribute:: hold_priority
                            
                            	Hold priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: is_affinity_configured
                            
                            	Is affinity configured
                            	**type**\:  bool
                            
                            .. attribute:: is_policyclass_configured
                            
                            	Is policy class configured
                            	**type**\:  bool
                            
                            .. attribute:: is_priority_configured
                            
                            	Is priority configured
                            	**type**\:  bool
                            
                            .. attribute:: is_signalled_name_configured
                            
                            	Is signalled name configured
                            	**type**\:  bool
                            
                            .. attribute:: logging
                            
                            	Logging attributes
                            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                            
                            .. attribute:: policy_class
                            
                            	deprecated
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: policy_class_entry
                            
                            	PBTS policy classes
                            	**type**\:  list of int
                            
                            	**range:** 0..255
                            
                            .. attribute:: protected_interface
                            
                            	Array of Protected Interface Names
                            	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                            
                            .. attribute:: record_route
                            
                            	Record route
                            	**type**\:  bool
                            
                            .. attribute:: setup_priority
                            
                            	Setup priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: signalled_name
                            
                            	Signalled name
                            	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                self.affinity.parent = self
                                self.hold_priority = None
                                self.is_affinity_configured = None
                                self.is_policyclass_configured = None
                                self.is_priority_configured = None
                                self.is_signalled_name_configured = None
                                self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                self.logging.parent = self
                                self.policy_class = None
                                self.policy_class_entry = YLeafList()
                                self.policy_class_entry.parent = self
                                self.policy_class_entry.name = 'policy_class_entry'
                                self.protected_interface = YList()
                                self.protected_interface.parent = self
                                self.protected_interface.name = 'protected_interface'
                                self.record_route = None
                                self.setup_priority = None
                                self.signalled_name = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                self.signalled_name.parent = self
                                self.tunnel_id = YLeafList()
                                self.tunnel_id.parent = self
                                self.tunnel_id.name = 'tunnel_id'


                            class SignalledName(object):
                                """
                                Signalled name
                                
                                .. attribute:: is_mp_addresses
                                
                                	MP address appended
                                	**type**\:  bool
                                
                                .. attribute:: name
                                
                                	Signalled name
                                	**type**\:  str
                                
                                .. attribute:: protected_interface_type
                                
                                	Protected interface address or name
                                	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                
                                .. attribute:: source_type
                                
                                	Source address or name
                                	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.is_mp_addresses = None
                                    self.name = None
                                    self.protected_interface_type = None
                                    self.source_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.is_mp_addresses is not None:
                                        return True

                                    if self.name is not None:
                                        return True

                                    if self.protected_interface_type is not None:
                                        return True

                                    if self.source_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                            class Affinity(object):
                                """
                                Affinity
                                
                                .. attribute:: affinity_bits
                                
                                	The affinity bits (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: affinity_mask
                                
                                	The affinity mask (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: named_affinity
                                
                                	Array of name based constratints currently applied to the tunnel
                                	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.affinity_bits = None
                                    self.affinity_mask = None
                                    self.named_affinity = YList()
                                    self.named_affinity.parent = self
                                    self.named_affinity.name = 'named_affinity'


                                class NamedAffinity(object):
                                    """
                                    Array of name based constratints currently
                                    applied to the tunnel
                                    
                                    .. attribute:: constraint_extended_value
                                    
                                    	Constraint value
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: constraint_type
                                    
                                    	Constraint type
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: constraint_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: extended_forward_ref_value
                                    
                                    	Reference bits for undefined affinity names
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: forward_ref_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.constraint_extended_value = YLeafList()
                                        self.constraint_extended_value.parent = self
                                        self.constraint_extended_value.name = 'constraint_extended_value'
                                        self.constraint_type = None
                                        self.constraint_value = None
                                        self.extended_forward_ref_value = YLeafList()
                                        self.extended_forward_ref_value.parent = self
                                        self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                        self.forward_ref_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.constraint_extended_value is not None:
                                            for child in self.constraint_extended_value:
                                                if child is not None:
                                                    return True

                                        if self.constraint_type is not None:
                                            return True

                                        if self.constraint_value is not None:
                                            return True

                                        if self.extended_forward_ref_value is not None:
                                            for child in self.extended_forward_ref_value:
                                                if child is not None:
                                                    return True

                                        if self.forward_ref_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.affinity_bits is not None:
                                        return True

                                    if self.affinity_mask is not None:
                                        return True

                                    if self.named_affinity is not None:
                                        for child_ref in self.named_affinity:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                            class Logging(object):
                                """
                                Logging attributes
                                
                                .. attribute:: all_logging_enabled
                                
                                	All logging option\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_bandwidth_change
                                
                                	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_insufficient_bw
                                
                                	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_pcalc_failure_logging_enabled
                                
                                	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_opt
                                
                                	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_route
                                
                                	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_state
                                
                                	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: s2l_state
                                
                                	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.all_logging_enabled = None
                                    self.lsp_bandwidth_change = None
                                    self.lsp_insufficient_bw = None
                                    self.lsp_pcalc_failure_logging_enabled = None
                                    self.lsp_re_opt = None
                                    self.lsp_re_route = None
                                    self.lsp_state = None
                                    self.s2l_state = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.all_logging_enabled is not None:
                                        return True

                                    if self.lsp_bandwidth_change is not None:
                                        return True

                                    if self.lsp_insufficient_bw is not None:
                                        return True

                                    if self.lsp_pcalc_failure_logging_enabled is not None:
                                        return True

                                    if self.lsp_re_opt is not None:
                                        return True

                                    if self.lsp_re_route is not None:
                                        return True

                                    if self.lsp_state is not None:
                                        return True

                                    if self.s2l_state is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                            class ProtectedInterface(object):
                                """
                                Array of Protected Interface Names
                                
                                .. attribute:: protected_interface
                                
                                	Protected Interface Name
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protected_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protected_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.affinity is not None and self.affinity._has_data():
                                    return True

                                if self.hold_priority is not None:
                                    return True

                                if self.is_affinity_configured is not None:
                                    return True

                                if self.is_policyclass_configured is not None:
                                    return True

                                if self.is_priority_configured is not None:
                                    return True

                                if self.is_signalled_name_configured is not None:
                                    return True

                                if self.logging is not None and self.logging._has_data():
                                    return True

                                if self.policy_class is not None:
                                    return True

                                if self.policy_class_entry is not None:
                                    for child in self.policy_class_entry:
                                        if child is not None:
                                            return True

                                if self.protected_interface is not None:
                                    for child_ref in self.protected_interface:
                                        if child_ref._has_data():
                                            return True

                                if self.record_route is not None:
                                    return True

                                if self.setup_priority is not None:
                                    return True

                                if self.signalled_name is not None and self.signalled_name._has_data():
                                    return True

                                if self.tunnel_id is not None:
                                    for child in self.tunnel_id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                        class AttributeSetAutomesh(object):
                            """
                            MPLS TE Auto\-mesh Attribute Set
                            
                            .. attribute:: affinity
                            
                            	Affinity
                            	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                            
                            .. attribute:: auto_bandwidth_collect
                            
                            	Auto bandwidth collect only
                            	**type**\:  bool
                            
                            .. attribute:: auto_route_announce
                            
                            	Announce auto route to IGP
                            	**type**\:  bool
                            
                            .. attribute:: bandwidth
                            
                            	IM bandwidth
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: configured_bandwidth
                            
                            	Bandwidth value in kbps
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: dste_class_type
                            
                            	DSTE Class
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: fast_reroute
                            
                            	Fast reroute
                            	**type**\:  bool
                            
                            .. attribute:: forward_class
                            
                            	Forward class
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: frr_bandwidth_protection
                            
                            	FRR bandwidth protection
                            	**type**\:  bool
                            
                            .. attribute:: frr_node_protection
                            
                            	FRR Node protection
                            	**type**\:  bool
                            
                            .. attribute:: hold_priority
                            
                            	Hold priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: is_affinity_configured
                            
                            	Is affinity configured
                            	**type**\:  bool
                            
                            .. attribute:: is_bandwidth_configured
                            
                            	Is bandwidth configured
                            	**type**\:  bool
                            
                            .. attribute:: is_interface_bw_configured
                            
                            	Is Interface BW configured
                            	**type**\:  bool
                            
                            .. attribute:: is_policyclass_configured
                            
                            	Is policy class configured
                            	**type**\:  bool
                            
                            .. attribute:: is_priority_configured
                            
                            	Is priority configured
                            	**type**\:  bool
                            
                            .. attribute:: load_share
                            
                            	Load Share
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: logging
                            
                            	Logging attributes
                            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                            
                            .. attribute:: mesh_group_id
                            
                            	Meshgroup ID
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: policy_class
                            
                            	deprecated
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: policy_class_entry
                            
                            	PBTS policy classes
                            	**type**\:  list of int
                            
                            	**range:** 0..255
                            
                            .. attribute:: record_route
                            
                            	Record route
                            	**type**\:  bool
                            
                            .. attribute:: setup_priority
                            
                            	Setup priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: soft_preemption_configured
                            
                            	Soft preemption is configured
                            	**type**\:  bool
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                self.affinity.parent = self
                                self.auto_bandwidth_collect = None
                                self.auto_route_announce = None
                                self.bandwidth = None
                                self.configured_bandwidth = None
                                self.dste_class_type = None
                                self.fast_reroute = None
                                self.forward_class = None
                                self.frr_bandwidth_protection = None
                                self.frr_node_protection = None
                                self.hold_priority = None
                                self.is_affinity_configured = None
                                self.is_bandwidth_configured = None
                                self.is_interface_bw_configured = None
                                self.is_policyclass_configured = None
                                self.is_priority_configured = None
                                self.load_share = None
                                self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                self.logging.parent = self
                                self.mesh_group_id = YLeafList()
                                self.mesh_group_id.parent = self
                                self.mesh_group_id.name = 'mesh_group_id'
                                self.policy_class = None
                                self.policy_class_entry = YLeafList()
                                self.policy_class_entry.parent = self
                                self.policy_class_entry.name = 'policy_class_entry'
                                self.record_route = None
                                self.setup_priority = None
                                self.soft_preemption_configured = None
                                self.tunnel_id = YLeafList()
                                self.tunnel_id.parent = self
                                self.tunnel_id.name = 'tunnel_id'


                            class Affinity(object):
                                """
                                Affinity
                                
                                .. attribute:: affinity_bits
                                
                                	The affinity bits (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: affinity_mask
                                
                                	The affinity mask (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: named_affinity
                                
                                	Array of name based constratints currently applied to the tunnel
                                	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.affinity_bits = None
                                    self.affinity_mask = None
                                    self.named_affinity = YList()
                                    self.named_affinity.parent = self
                                    self.named_affinity.name = 'named_affinity'


                                class NamedAffinity(object):
                                    """
                                    Array of name based constratints currently
                                    applied to the tunnel
                                    
                                    .. attribute:: constraint_extended_value
                                    
                                    	Constraint value
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: constraint_type
                                    
                                    	Constraint type
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: constraint_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: extended_forward_ref_value
                                    
                                    	Reference bits for undefined affinity names
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: forward_ref_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.constraint_extended_value = YLeafList()
                                        self.constraint_extended_value.parent = self
                                        self.constraint_extended_value.name = 'constraint_extended_value'
                                        self.constraint_type = None
                                        self.constraint_value = None
                                        self.extended_forward_ref_value = YLeafList()
                                        self.extended_forward_ref_value.parent = self
                                        self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                        self.forward_ref_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.constraint_extended_value is not None:
                                            for child in self.constraint_extended_value:
                                                if child is not None:
                                                    return True

                                        if self.constraint_type is not None:
                                            return True

                                        if self.constraint_value is not None:
                                            return True

                                        if self.extended_forward_ref_value is not None:
                                            for child in self.extended_forward_ref_value:
                                                if child is not None:
                                                    return True

                                        if self.forward_ref_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.affinity_bits is not None:
                                        return True

                                    if self.affinity_mask is not None:
                                        return True

                                    if self.named_affinity is not None:
                                        for child_ref in self.named_affinity:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                            class Logging(object):
                                """
                                Logging attributes
                                
                                .. attribute:: all_logging_enabled
                                
                                	All logging option\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_bandwidth_change
                                
                                	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_insufficient_bw
                                
                                	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_pcalc_failure_logging_enabled
                                
                                	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_opt
                                
                                	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_route
                                
                                	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_state
                                
                                	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: s2l_state
                                
                                	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.all_logging_enabled = None
                                    self.lsp_bandwidth_change = None
                                    self.lsp_insufficient_bw = None
                                    self.lsp_pcalc_failure_logging_enabled = None
                                    self.lsp_re_opt = None
                                    self.lsp_re_route = None
                                    self.lsp_state = None
                                    self.s2l_state = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.all_logging_enabled is not None:
                                        return True

                                    if self.lsp_bandwidth_change is not None:
                                        return True

                                    if self.lsp_insufficient_bw is not None:
                                        return True

                                    if self.lsp_pcalc_failure_logging_enabled is not None:
                                        return True

                                    if self.lsp_re_opt is not None:
                                        return True

                                    if self.lsp_re_route is not None:
                                        return True

                                    if self.lsp_state is not None:
                                        return True

                                    if self.s2l_state is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.affinity is not None and self.affinity._has_data():
                                    return True

                                if self.auto_bandwidth_collect is not None:
                                    return True

                                if self.auto_route_announce is not None:
                                    return True

                                if self.bandwidth is not None:
                                    return True

                                if self.configured_bandwidth is not None:
                                    return True

                                if self.dste_class_type is not None:
                                    return True

                                if self.fast_reroute is not None:
                                    return True

                                if self.forward_class is not None:
                                    return True

                                if self.frr_bandwidth_protection is not None:
                                    return True

                                if self.frr_node_protection is not None:
                                    return True

                                if self.hold_priority is not None:
                                    return True

                                if self.is_affinity_configured is not None:
                                    return True

                                if self.is_bandwidth_configured is not None:
                                    return True

                                if self.is_interface_bw_configured is not None:
                                    return True

                                if self.is_policyclass_configured is not None:
                                    return True

                                if self.is_priority_configured is not None:
                                    return True

                                if self.load_share is not None:
                                    return True

                                if self.logging is not None and self.logging._has_data():
                                    return True

                                if self.mesh_group_id is not None:
                                    for child in self.mesh_group_id:
                                        if child is not None:
                                            return True

                                if self.policy_class is not None:
                                    return True

                                if self.policy_class_entry is not None:
                                    for child in self.policy_class_entry:
                                        if child is not None:
                                            return True

                                if self.record_route is not None:
                                    return True

                                if self.setup_priority is not None:
                                    return True

                                if self.soft_preemption_configured is not None:
                                    return True

                                if self.tunnel_id is not None:
                                    for child in self.tunnel_id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                        class AttributeSetXro(object):
                            """
                            Attribute Set XRO
                            
                            .. attribute:: xro
                            
                            	The XRO specified by this attribute\-set
                            	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                self.xro.parent = self


                            class Xro(object):
                                """
                                The XRO specified by this attribute\-set
                                
                                .. attribute:: mutual_diversity_flag
                                
                                	Mutual Diversity Flag
                                	**type**\:  bool
                                
                                .. attribute:: xro_subobject
                                
                                	List of XRO sub\-objects
                                	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.mutual_diversity_flag = None
                                    self.xro_subobject = YList()
                                    self.xro_subobject.parent = self
                                    self.xro_subobject.name = 'xro_subobject'


                                class XroSubobject(object):
                                    """
                                    List of XRO sub\-objects
                                    
                                    .. attribute:: as_subobject
                                    
                                    	AS sub\-object
                                    	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                    
                                    .. attribute:: ipv4_subobject
                                    
                                    	IPv4 sub\-object
                                    	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                    
                                    .. attribute:: ipv6_subobject
                                    
                                    	IPv6 sub\-object
                                    	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                    
                                    .. attribute:: lsp_subobject
                                    
                                    	P2P LSP sub\-object
                                    	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                    
                                    .. attribute:: srlg_subobject
                                    
                                    	SRLG sub\-object
                                    	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                    
                                    .. attribute:: type
                                    
                                    	Type
                                    	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                    
                                    .. attribute:: unnumbered_subobject
                                    
                                    	Unnumbered sub\-object
                                    	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                        self.as_subobject.parent = self
                                        self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                        self.ipv4_subobject.parent = self
                                        self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                        self.ipv6_subobject.parent = self
                                        self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                        self.lsp_subobject.parent = self
                                        self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                        self.srlg_subobject.parent = self
                                        self.type = None
                                        self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                        self.unnumbered_subobject.parent = self


                                    class Ipv4Subobject(object):
                                        """
                                        IPv4 sub\-object
                                        
                                        .. attribute:: address
                                        
                                        	IPv4 address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: attribute
                                        
                                        	Attribute
                                        	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                        
                                        .. attribute:: exclusion_type
                                        
                                        	Exclusion Type
                                        	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                        
                                        .. attribute:: prefix_len
                                        
                                        	Prefix length
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.address = None
                                            self.attribute = None
                                            self.exclusion_type = None
                                            self.prefix_len = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.address is not None:
                                                return True

                                            if self.attribute is not None:
                                                return True

                                            if self.exclusion_type is not None:
                                                return True

                                            if self.prefix_len is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                    class Ipv6Subobject(object):
                                        """
                                        IPv6 sub\-object
                                        
                                        .. attribute:: address
                                        
                                        	IPv6 address
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: attribute
                                        
                                        	Attribute
                                        	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                        
                                        .. attribute:: exclusion_type
                                        
                                        	Exclusion Type
                                        	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                        
                                        .. attribute:: prefix_len
                                        
                                        	Prefix length
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.address = None
                                            self.attribute = None
                                            self.exclusion_type = None
                                            self.prefix_len = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.address is not None:
                                                return True

                                            if self.attribute is not None:
                                                return True

                                            if self.exclusion_type is not None:
                                                return True

                                            if self.prefix_len is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                    class UnnumberedSubobject(object):
                                        """
                                        Unnumbered sub\-object
                                        
                                        .. attribute:: attribute
                                        
                                        	Attribute
                                        	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                        
                                        .. attribute:: exclusion_type
                                        
                                        	Exclusion Type
                                        	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                        
                                        .. attribute:: interface_id
                                        
                                        	Interface ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: te_router_id
                                        
                                        	TE router\-id
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute = None
                                            self.exclusion_type = None
                                            self.interface_id = None
                                            self.te_router_id = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute is not None:
                                                return True

                                            if self.exclusion_type is not None:
                                                return True

                                            if self.interface_id is not None:
                                                return True

                                            if self.te_router_id is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                    class AsSubobject(object):
                                        """
                                        AS sub\-object
                                        
                                        .. attribute:: as_number
                                        
                                        	Autonomous System number
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.as_number = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.as_number is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                    class SrlgSubobject(object):
                                        """
                                        SRLG sub\-object
                                        
                                        .. attribute:: exclusion_type
                                        
                                        	Exclusion Type
                                        	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                        
                                        .. attribute:: srlg_id
                                        
                                        	SRLG ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.exclusion_type = None
                                            self.srlg_id = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.exclusion_type is not None:
                                                return True

                                            if self.srlg_id is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                    class LspSubobject(object):
                                        """
                                        P2P LSP sub\-object
                                        
                                        .. attribute:: destination_node_exception
                                        
                                        	Destination\-node exception flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: exclusion_type
                                        
                                        	Exclusion Type
                                        	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                        
                                        .. attribute:: fec
                                        
                                        	LSP FEC
                                        	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                        
                                        .. attribute:: ignore_lsp_id
                                        
                                        	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                        	**type**\:  bool
                                        
                                        .. attribute:: penultimate_node_exception
                                        
                                        	Penultimate\-node exception flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: processing_node_exception
                                        
                                        	Processing\-node exception flag
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.destination_node_exception = None
                                            self.exclusion_type = None
                                            self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                            self.fec.parent = self
                                            self.ignore_lsp_id = None
                                            self.penultimate_node_exception = None
                                            self.processing_node_exception = None


                                        class Fec(object):
                                            """
                                            LSP FEC
                                            
                                            .. attribute:: fec_destination_info
                                            
                                            	Destination or P2MP ID
                                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                            
                                            .. attribute:: fec_extended_tunnel_id
                                            
                                            	Extended tunnel ID
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: fec_lsp_id
                                            
                                            	LSP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: fec_source
                                            
                                            	Tunnel source address
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: fec_tunnel_id
                                            
                                            	Tunnel ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: fec_vrf
                                            
                                            	VRF; currently only for GMPLS tunnels
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                self.fec_destination_info.parent = self
                                                self.fec_extended_tunnel_id = None
                                                self.fec_lsp_id = None
                                                self.fec_source = None
                                                self.fec_tunnel_id = None
                                                self.fec_vrf = None


                                            class FecDestinationInfo(object):
                                                """
                                                Destination or P2MP ID
                                                
                                                .. attribute:: fec_ctype
                                                
                                                	FEC CType
                                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                
                                                .. attribute:: fec_destination_p2mp_id
                                                
                                                	P2MP ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: p2p_lsp_destination
                                                
                                                	P2P LSP destination
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.fec_ctype = None
                                                    self.fec_destination_p2mp_id = None
                                                    self.p2p_lsp_destination = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.fec_ctype is not None:
                                                        return True

                                                    if self.fec_destination_p2mp_id is not None:
                                                        return True

                                                    if self.p2p_lsp_destination is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                    return True

                                                if self.fec_extended_tunnel_id is not None:
                                                    return True

                                                if self.fec_lsp_id is not None:
                                                    return True

                                                if self.fec_source is not None:
                                                    return True

                                                if self.fec_tunnel_id is not None:
                                                    return True

                                                if self.fec_vrf is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.destination_node_exception is not None:
                                                return True

                                            if self.exclusion_type is not None:
                                                return True

                                            if self.fec is not None and self.fec._has_data():
                                                return True

                                            if self.ignore_lsp_id is not None:
                                                return True

                                            if self.penultimate_node_exception is not None:
                                                return True

                                            if self.processing_node_exception is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_subobject is not None and self.as_subobject._has_data():
                                            return True

                                        if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                            return True

                                        if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                            return True

                                        if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                            return True

                                        if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                            return True

                                        if self.type is not None:
                                            return True

                                        if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.mutual_diversity_flag is not None:
                                        return True

                                    if self.xro_subobject is not None:
                                        for child_ref in self.xro_subobject:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.xro is not None and self.xro._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                        class AttributeSetP2Mpte(object):
                            """
                            MPLS TE P2MP\-TE Attribute Set
                            
                            .. attribute:: affinity
                            
                            	Affinity
                            	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                            
                            .. attribute:: configured_bandwidth
                            
                            	Bandwidth value in kbps
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: dste_class_type
                            
                            	DSTE Class
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: fast_reroute
                            
                            	Fast reroute
                            	**type**\:  bool
                            
                            .. attribute:: frr_bandwidth_protection
                            
                            	FRR bandwidth protection
                            	**type**\:  bool
                            
                            .. attribute:: hold_priority
                            
                            	Hold priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: is_affinity_configured
                            
                            	Is affinity configured
                            	**type**\:  bool
                            
                            .. attribute:: is_bandwidth_configured
                            
                            	Is bandwidth configured
                            	**type**\:  bool
                            
                            .. attribute:: is_priority_configured
                            
                            	Is priority configured
                            	**type**\:  bool
                            
                            .. attribute:: setup_priority
                            
                            	Setup priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                self.affinity.parent = self
                                self.configured_bandwidth = None
                                self.dste_class_type = None
                                self.fast_reroute = None
                                self.frr_bandwidth_protection = None
                                self.hold_priority = None
                                self.is_affinity_configured = None
                                self.is_bandwidth_configured = None
                                self.is_priority_configured = None
                                self.setup_priority = None
                                self.tunnel_id = YLeafList()
                                self.tunnel_id.parent = self
                                self.tunnel_id.name = 'tunnel_id'


                            class Affinity(object):
                                """
                                Affinity
                                
                                .. attribute:: affinity_bits
                                
                                	The affinity bits (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: affinity_mask
                                
                                	The affinity mask (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: named_affinity
                                
                                	Array of name based constratints currently applied to the tunnel
                                	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.affinity_bits = None
                                    self.affinity_mask = None
                                    self.named_affinity = YList()
                                    self.named_affinity.parent = self
                                    self.named_affinity.name = 'named_affinity'


                                class NamedAffinity(object):
                                    """
                                    Array of name based constratints currently
                                    applied to the tunnel
                                    
                                    .. attribute:: constraint_extended_value
                                    
                                    	Constraint value
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: constraint_type
                                    
                                    	Constraint type
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: constraint_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: extended_forward_ref_value
                                    
                                    	Reference bits for undefined affinity names
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: forward_ref_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.constraint_extended_value = YLeafList()
                                        self.constraint_extended_value.parent = self
                                        self.constraint_extended_value.name = 'constraint_extended_value'
                                        self.constraint_type = None
                                        self.constraint_value = None
                                        self.extended_forward_ref_value = YLeafList()
                                        self.extended_forward_ref_value.parent = self
                                        self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                        self.forward_ref_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.constraint_extended_value is not None:
                                            for child in self.constraint_extended_value:
                                                if child is not None:
                                                    return True

                                        if self.constraint_type is not None:
                                            return True

                                        if self.constraint_value is not None:
                                            return True

                                        if self.extended_forward_ref_value is not None:
                                            for child in self.extended_forward_ref_value:
                                                if child is not None:
                                                    return True

                                        if self.forward_ref_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.affinity_bits is not None:
                                        return True

                                    if self.affinity_mask is not None:
                                        return True

                                    if self.named_affinity is not None:
                                        for child_ref in self.named_affinity:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.affinity is not None and self.affinity._has_data():
                                    return True

                                if self.configured_bandwidth is not None:
                                    return True

                                if self.dste_class_type is not None:
                                    return True

                                if self.fast_reroute is not None:
                                    return True

                                if self.frr_bandwidth_protection is not None:
                                    return True

                                if self.hold_priority is not None:
                                    return True

                                if self.is_affinity_configured is not None:
                                    return True

                                if self.is_bandwidth_configured is not None:
                                    return True

                                if self.is_priority_configured is not None:
                                    return True

                                if self.setup_priority is not None:
                                    return True

                                if self.tunnel_id is not None:
                                    for child in self.tunnel_id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                        class AttributeSetApsPp(object):
                            """
                            Attribute Set OTN APS Path Protection
                            
                            .. attribute:: hold_off_time
                            
                            	Hold\-off time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: path_prot_profile_type
                            
                            	Path Protection Profile Type
                            	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                            
                            .. attribute:: protection_mode
                            
                            	Protection Restoration Mode
                            	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                            
                            .. attribute:: protection_type
                            
                            	Protection Type
                            	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                            
                            .. attribute:: restoration_style
                            
                            	Restoration Style
                            	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                            
                            .. attribute:: revert_schedule
                            
                            	Revert Schedule
                            	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                            
                            .. attribute:: snc_mode
                            
                            	Sub\-network Connection Mode
                            	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                            
                            .. attribute:: tcm_id
                            
                            	Sub\-network Connection Monitoring Mode
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: wait_to_restore_time
                            
                            	Wait to restore time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hold_off_time = None
                                self.path_prot_profile_type = None
                                self.protection_mode = None
                                self.protection_type = None
                                self.restoration_style = None
                                self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                self.revert_schedule.parent = self
                                self.snc_mode = None
                                self.tcm_id = None
                                self.wait_to_restore_time = None


                            class RevertSchedule(object):
                                """
                                Revert Schedule
                                
                                .. attribute:: duration
                                
                                	Duration for scheduled reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: max_tries
                                
                                	Max tries for scheduled reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: schedule_date
                                
                                	Schedule time for reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: schedule_frequency
                                
                                	Schedule frequency for reversion
                                	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                
                                .. attribute:: schedulename
                                
                                	Schedule name identifier
                                	**type**\:  str
                                
                                	**length:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.duration = None
                                    self.max_tries = None
                                    self.schedule_date = None
                                    self.schedule_frequency = None
                                    self.schedulename = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.duration is not None:
                                        return True

                                    if self.max_tries is not None:
                                        return True

                                    if self.schedule_date is not None:
                                        return True

                                    if self.schedule_frequency is not None:
                                        return True

                                    if self.schedulename is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hold_off_time is not None:
                                    return True

                                if self.path_prot_profile_type is not None:
                                    return True

                                if self.protection_mode is not None:
                                    return True

                                if self.protection_type is not None:
                                    return True

                                if self.restoration_style is not None:
                                    return True

                                if self.revert_schedule is not None and self.revert_schedule._has_data():
                                    return True

                                if self.snc_mode is not None:
                                    return True

                                if self.tcm_id is not None:
                                    return True

                                if self.wait_to_restore_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                        class AttributeSetP2PTe(object):
                            """
                            MPLS TE P2P\-TE Attribute Set
                            
                            .. attribute:: affinity
                            
                            	Affinity
                            	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                            
                            .. attribute:: is_affinity_configured
                            
                            	Is affinity configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_invalidation_action_configured
                            
                            	Is Path Invalidation action configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_invalidation_timeout_configured
                            
                            	Is Path Invalidation timeout configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_select_configured
                            
                            	Is any of the path selection parameters configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_selection_metric_configured
                            
                            	Is path selection metric configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                            
                            	Is path selection segment routing configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_selection_segment_routing_margin_configured
                            
                            	Is path selection margin configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_selection_segment_routing_margin_relative
                            
                            	Path selection margin is\_relative
                            	**type**\:  bool
                            
                            .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                            
                            	Is path selection segment limit configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_configured
                            
                            	Is PCE Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_group_id_configured
                            
                            	Is PCE Disjoint Path Group ID Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_source_configured
                            
                            	Is PCE Disjoint Path Source Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_type_configured
                            
                            	Is PCE Disjoint Path Type Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pceb_dj_source_configured
                            
                            	Is PCE Bidirectional Source Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pcebd_group_id_configured
                            
                            	Is PCE Bidirectional Group ID Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_prepend_list_configured
                            
                            	Is SR prepend list configured
                            	**type**\:  bool
                            
                            .. attribute:: logging
                            
                            	Logging attributes
                            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                            
                            .. attribute:: path_invalidation_timeout
                            
                            	Path invalidation timeout on the tunnel path
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: path_selection_invalidation_action
                            
                            	Path invalidation action
                            	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                            
                            .. attribute:: path_selection_metric
                            
                            	Path selection metric type
                            	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                            
                            .. attribute:: path_selection_segment_routing_adjacency_protection
                            
                            	Path selection segment\-routing type
                            	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                            
                            .. attribute:: path_selection_segment_routing_margin
                            
                            	Path selection margin
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: path_selection_segment_routing_segment_limit
                            
                            	Is path selection segment limit configured
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcebd_group_id
                            
                            	PCE Bidirectional Group ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcebd_source_address
                            
                            	PCE Bidirectional Source Address
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_group_id
                            
                            	PCE Disjoint Path Group ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_source_address
                            
                            	PCE Disjoint Path Source Address
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_type
                            
                            	PCE Disjoint Path Type
                            	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                            
                            .. attribute:: prepend_list
                            
                            	SR prepend list
                            	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                self.affinity.parent = self
                                self.is_affinity_configured = None
                                self.is_path_invalidation_action_configured = None
                                self.is_path_invalidation_timeout_configured = None
                                self.is_path_select_configured = None
                                self.is_path_selection_metric_configured = None
                                self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                self.is_path_selection_segment_routing_margin_configured = None
                                self.is_path_selection_segment_routing_margin_relative = None
                                self.is_path_selection_segment_routing_segment_limit_configured = None
                                self.is_pce_configured = None
                                self.is_pce_disj_group_id_configured = None
                                self.is_pce_disj_source_configured = None
                                self.is_pce_disj_type_configured = None
                                self.is_pceb_dj_source_configured = None
                                self.is_pcebd_group_id_configured = None
                                self.is_prepend_list_configured = None
                                self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                self.logging.parent = self
                                self.path_invalidation_timeout = None
                                self.path_selection_invalidation_action = None
                                self.path_selection_metric = None
                                self.path_selection_segment_routing_adjacency_protection = None
                                self.path_selection_segment_routing_margin = None
                                self.path_selection_segment_routing_segment_limit = None
                                self.pcebd_group_id = None
                                self.pcebd_source_address = None
                                self.pcedp_group_id = None
                                self.pcedp_source_address = None
                                self.pcedp_type = None
                                self.prepend_list = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                self.prepend_list.parent = self
                                self.tunnel_id = YLeafList()
                                self.tunnel_id.parent = self
                                self.tunnel_id.name = 'tunnel_id'


                            class Affinity(object):
                                """
                                Affinity
                                
                                .. attribute:: affinity_bits
                                
                                	The affinity bits (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: affinity_mask
                                
                                	The affinity mask (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: named_affinity
                                
                                	Array of name based constratints currently applied to the tunnel
                                	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.affinity_bits = None
                                    self.affinity_mask = None
                                    self.named_affinity = YList()
                                    self.named_affinity.parent = self
                                    self.named_affinity.name = 'named_affinity'


                                class NamedAffinity(object):
                                    """
                                    Array of name based constratints currently
                                    applied to the tunnel
                                    
                                    .. attribute:: constraint_extended_value
                                    
                                    	Constraint value
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: constraint_type
                                    
                                    	Constraint type
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: constraint_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: extended_forward_ref_value
                                    
                                    	Reference bits for undefined affinity names
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: forward_ref_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.constraint_extended_value = YLeafList()
                                        self.constraint_extended_value.parent = self
                                        self.constraint_extended_value.name = 'constraint_extended_value'
                                        self.constraint_type = None
                                        self.constraint_value = None
                                        self.extended_forward_ref_value = YLeafList()
                                        self.extended_forward_ref_value.parent = self
                                        self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                        self.forward_ref_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.constraint_extended_value is not None:
                                            for child in self.constraint_extended_value:
                                                if child is not None:
                                                    return True

                                        if self.constraint_type is not None:
                                            return True

                                        if self.constraint_value is not None:
                                            return True

                                        if self.extended_forward_ref_value is not None:
                                            for child in self.extended_forward_ref_value:
                                                if child is not None:
                                                    return True

                                        if self.forward_ref_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.affinity_bits is not None:
                                        return True

                                    if self.affinity_mask is not None:
                                        return True

                                    if self.named_affinity is not None:
                                        for child_ref in self.named_affinity:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                            class Logging(object):
                                """
                                Logging attributes
                                
                                .. attribute:: all_logging_enabled
                                
                                	All logging option\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_bandwidth_change
                                
                                	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_insufficient_bw
                                
                                	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_pcalc_failure_logging_enabled
                                
                                	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_opt
                                
                                	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_route
                                
                                	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_state
                                
                                	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: s2l_state
                                
                                	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.all_logging_enabled = None
                                    self.lsp_bandwidth_change = None
                                    self.lsp_insufficient_bw = None
                                    self.lsp_pcalc_failure_logging_enabled = None
                                    self.lsp_re_opt = None
                                    self.lsp_re_route = None
                                    self.lsp_state = None
                                    self.s2l_state = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.all_logging_enabled is not None:
                                        return True

                                    if self.lsp_bandwidth_change is not None:
                                        return True

                                    if self.lsp_insufficient_bw is not None:
                                        return True

                                    if self.lsp_pcalc_failure_logging_enabled is not None:
                                        return True

                                    if self.lsp_re_opt is not None:
                                        return True

                                    if self.lsp_re_route is not None:
                                        return True

                                    if self.lsp_state is not None:
                                        return True

                                    if self.s2l_state is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                            class PrependList(object):
                                """
                                SR prepend list
                                
                                .. attribute:: prepend_entry
                                
                                	List of prepend entries
                                	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.prepend_entry = YList()
                                    self.prepend_entry.parent = self
                                    self.prepend_entry.name = 'prepend_entry'


                                class PrependEntry(object):
                                    """
                                    List of prepend entries
                                    
                                    .. attribute:: index
                                    
                                    	Prepend index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: next_label
                                    
                                    	Prepend next label
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: type
                                    
                                    	Prepend Type
                                    	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.index = None
                                        self.next_label = None
                                        self.type = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.index is not None:
                                            return True

                                        if self.next_label is not None:
                                            return True

                                        if self.type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.prepend_entry is not None:
                                        for child_ref in self.prepend_entry:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.affinity is not None and self.affinity._has_data():
                                    return True

                                if self.is_affinity_configured is not None:
                                    return True

                                if self.is_path_invalidation_action_configured is not None:
                                    return True

                                if self.is_path_invalidation_timeout_configured is not None:
                                    return True

                                if self.is_path_select_configured is not None:
                                    return True

                                if self.is_path_selection_metric_configured is not None:
                                    return True

                                if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                    return True

                                if self.is_path_selection_segment_routing_margin_configured is not None:
                                    return True

                                if self.is_path_selection_segment_routing_margin_relative is not None:
                                    return True

                                if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                    return True

                                if self.is_pce_configured is not None:
                                    return True

                                if self.is_pce_disj_group_id_configured is not None:
                                    return True

                                if self.is_pce_disj_source_configured is not None:
                                    return True

                                if self.is_pce_disj_type_configured is not None:
                                    return True

                                if self.is_pceb_dj_source_configured is not None:
                                    return True

                                if self.is_pcebd_group_id_configured is not None:
                                    return True

                                if self.is_prepend_list_configured is not None:
                                    return True

                                if self.logging is not None and self.logging._has_data():
                                    return True

                                if self.path_invalidation_timeout is not None:
                                    return True

                                if self.path_selection_invalidation_action is not None:
                                    return True

                                if self.path_selection_metric is not None:
                                    return True

                                if self.path_selection_segment_routing_adjacency_protection is not None:
                                    return True

                                if self.path_selection_segment_routing_margin is not None:
                                    return True

                                if self.path_selection_segment_routing_segment_limit is not None:
                                    return True

                                if self.pcebd_group_id is not None:
                                    return True

                                if self.pcebd_source_address is not None:
                                    return True

                                if self.pcedp_group_id is not None:
                                    return True

                                if self.pcedp_source_address is not None:
                                    return True

                                if self.pcedp_type is not None:
                                    return True

                                if self.prepend_list is not None and self.prepend_list._has_data():
                                    return True

                                if self.tunnel_id is not None:
                                    for child in self.tunnel_id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                return True

                            if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                return True

                            if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                return True

                            if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                return True

                            if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                return True

                            if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                return True

                            if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                return True

                            if self.tunnel_attribute_set_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                            return True

                        if self.tunnel_attribute_set_name is not None:
                            return True

                        if self.tunnel_attribute_set_name_crc32 is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet']['meta_info']


                class TeTunnelConvergence(object):
                    """
                    TE tunnel convergence related information
                    
                    .. attribute:: binding_label_rewrite_time
                    
                    	Binding label timestamp (clocktime in nsecs)
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    .. attribute:: convergence_complete_time
                    
                    	TE convergence completion time
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: convergence_lsp
                    
                    	TE LSP convergence related information
                    	**type**\:   :py:class:`ConvergenceLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence.ConvergenceLsp>`
                    
                    .. attribute:: frr_trigger_time
                    
                    	FRR trigger time
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: is_convergence_in_progress
                    
                    	TE convergence in progress
                    	**type**\:  bool
                    
                    .. attribute:: pcalc_complete_time
                    
                    	Path computation completion timestamp (clocktime in nsecs)
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    .. attribute:: vif_creation_time
                    
                    	Vif creation timestamp (clocktime in nsecs)
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.binding_label_rewrite_time = None
                        self.convergence_complete_time = None
                        self.convergence_lsp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence.ConvergenceLsp()
                        self.convergence_lsp.parent = self
                        self.frr_trigger_time = None
                        self.is_convergence_in_progress = None
                        self.pcalc_complete_time = None
                        self.vif_creation_time = None


                    class ConvergenceLsp(object):
                        """
                        TE LSP convergence related information
                        
                        .. attribute:: creation_time
                        
                        	Tunnel creation timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: label_rewrite
                        
                        	LSP Label rewrite timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: path_in
                        
                        	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: path_out
                        
                        	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: resv_in
                        
                        	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: resv_out
                        
                        	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: tunnel_rewrite
                        
                        	Tunnel rewrite timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.creation_time = None
                            self.label_rewrite = None
                            self.path_in = None
                            self.path_out = None
                            self.resv_in = None
                            self.resv_out = None
                            self.tunnel_rewrite = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:convergence-lsp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.creation_time is not None:
                                return True

                            if self.label_rewrite is not None:
                                return True

                            if self.path_in is not None:
                                return True

                            if self.path_out is not None:
                                return True

                            if self.resv_in is not None:
                                return True

                            if self.resv_out is not None:
                                return True

                            if self.tunnel_rewrite is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence.ConvergenceLsp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-tunnel-convergence'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.binding_label_rewrite_time is not None:
                            return True

                        if self.convergence_complete_time is not None:
                            return True

                        if self.convergence_lsp is not None and self.convergence_lsp._has_data():
                            return True

                        if self.frr_trigger_time is not None:
                            return True

                        if self.is_convergence_in_progress is not None:
                            return True

                        if self.pcalc_complete_time is not None:
                            return True

                        if self.vif_creation_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence']['meta_info']


                class FlexInfo(object):
                    """
                    Flex Info
                    
                    .. attribute:: fault_ais
                    
                    	Fault AIS
                    	**type**\:  bool
                    
                    .. attribute:: fault_in_label
                    
                    	Fault In Label
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: fault_ldi
                    
                    	Fault LDI
                    	**type**\:  bool
                    
                    .. attribute:: fault_ldi_lockout
                    
                    	Fault LDI Lockout
                    	**type**\:  bool
                    
                    .. attribute:: fault_lkr
                    
                    	Fault LKR
                    	**type**\:  bool
                    
                    .. attribute:: fault_time
                    
                    	Fault Time
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_lockout
                    
                    	Lockout Status
                    	**type**\:  bool
                    
                    .. attribute:: lockout_lsp_id
                    
                    	The LSP ID of the locked out LSP
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: lockout_timestamp
                    
                    	The timestamp when the lockout is set
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: origination
                    
                    	Flex LSP Lockout Origination Source
                    	**type**\:   :py:class:`FlexLspLockoutOriginationEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.FlexLspLockoutOriginationEnum>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.fault_ais = None
                        self.fault_in_label = None
                        self.fault_ldi = None
                        self.fault_ldi_lockout = None
                        self.fault_lkr = None
                        self.fault_time = None
                        self.is_lockout = None
                        self.lockout_lsp_id = None
                        self.lockout_timestamp = None
                        self.origination = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.fault_ais is not None:
                            return True

                        if self.fault_in_label is not None:
                            return True

                        if self.fault_ldi is not None:
                            return True

                        if self.fault_ldi_lockout is not None:
                            return True

                        if self.fault_lkr is not None:
                            return True

                        if self.fault_time is not None:
                            return True

                        if self.is_lockout is not None:
                            return True

                        if self.lockout_lsp_id is not None:
                            return True

                        if self.lockout_timestamp is not None:
                            return True

                        if self.origination is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.FlexInfo']['meta_info']


                class Destination(object):
                    """
                    Destinations array
                    
                    .. attribute:: active_path_option_index
                    
                    	Index of active path option
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: destination_address
                    
                    	Destination address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: destination_deletion_cause
                    
                    	Destination deletion cause
                    	**type**\:   :py:class:`TeP2MpS2LDeletionCauseEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeP2MpS2LDeletionCauseEnum>`
                    
                    .. attribute:: destination_deletion_sub_cause
                    
                    	Destination deletion subcause
                    	**type**\:   :py:class:`TeP2MpS2LDeletionSubcauseEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeP2MpS2LDeletionSubcauseEnum>`
                    
                    .. attribute:: destination_deletion_timestamp
                    
                    	Destination deletion timestamp in seconds
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: destination_state
                    
                    	The state of the destination
                    	**type**\:   :py:class:`TeDestinationStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeDestinationStateEnum>`
                    
                    .. attribute:: inter_area_reoptimization
                    
                    	The timing and count information of interarea reoptimization
                    	**type**\:   :py:class:`InterAreaReoptimization <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.InterAreaReoptimization>`
                    
                    .. attribute:: is_inter_area
                    
                    	Indicates whether this destination is in different area
                    	**type**\:  bool
                    
                    .. attribute:: path_change_time
                    
                    	Last path change time
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_option
                    
                    	Destination's list of path options
                    	**type**\: list of    :py:class:`PathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption>`
                    
                    .. attribute:: path_option_entry
                    
                    	Deprecated; replaced by PathOption
                    	**type**\: list of    :py:class:`PathOptionEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry>`
                    
                    .. attribute:: path_option_exhausted
                    
                    	Path options are exhausted
                    	**type**\:  bool
                    
                    .. attribute:: s2l_exist
                    
                    	Dest state may not be up but S2L may exist
                    	**type**\:  bool
                    
                    .. attribute:: total_uptime
                    
                    	Unused
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the destination was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.active_path_option_index = None
                        self.destination_address = None
                        self.destination_deletion_cause = None
                        self.destination_deletion_sub_cause = None
                        self.destination_deletion_timestamp = None
                        self.destination_state = None
                        self.inter_area_reoptimization = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.InterAreaReoptimization()
                        self.inter_area_reoptimization.parent = self
                        self.is_inter_area = None
                        self.path_change_time = None
                        self.path_option = YList()
                        self.path_option.parent = self
                        self.path_option.name = 'path_option'
                        self.path_option_entry = YList()
                        self.path_option_entry.parent = self
                        self.path_option_entry.name = 'path_option_entry'
                        self.path_option_exhausted = None
                        self.s2l_exist = None
                        self.total_uptime = None
                        self.uptime = None


                    class InterAreaReoptimization(object):
                        """
                        The timing and count information of interarea
                        reoptimization.
                        
                        .. attribute:: preferred_path_error_node
                        
                        	Address of the preferred path error generating node
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: preferred_tree_error_node
                        
                        	Address of the preferred tree error generating node
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: received_preferred_path_errors
                        
                        	Number of received Preferred Path Exists Error
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: received_preferred_tree_errors
                        
                        	Number of received Preferred Tree Exists Error
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: sent_path_queries
                        
                        	Number of better path queries sent
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: time_since_last_preferred_path_error
                        
                        	Time since last Preferred Path Exists error received (seconds)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: time_since_last_preferred_tree_error
                        
                        	Time since last Preferred Tree Exists error received (seconds)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: time_since_last_query_sent
                        
                        	Time since the last better path query was sent (seconds)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.preferred_path_error_node = None
                            self.preferred_tree_error_node = None
                            self.received_preferred_path_errors = None
                            self.received_preferred_tree_errors = None
                            self.sent_path_queries = None
                            self.time_since_last_preferred_path_error = None
                            self.time_since_last_preferred_tree_error = None
                            self.time_since_last_query_sent = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:inter-area-reoptimization'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.preferred_path_error_node is not None:
                                return True

                            if self.preferred_tree_error_node is not None:
                                return True

                            if self.received_preferred_path_errors is not None:
                                return True

                            if self.received_preferred_tree_errors is not None:
                                return True

                            if self.sent_path_queries is not None:
                                return True

                            if self.time_since_last_preferred_path_error is not None:
                                return True

                            if self.time_since_last_preferred_tree_error is not None:
                                return True

                            if self.time_since_last_query_sent is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.InterAreaReoptimization']['meta_info']


                    class PathOptionEntry(object):
                        """
                        Deprecated; replaced by PathOption
                        
                        .. attribute:: attribute_set
                        
                        	The path option attribute set used by this path
                        	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet>`
                        
                        .. attribute:: attribute_set_found
                        
                        	TRUE if the path has found the defined attribute set
                        	**type**\:  bool
                        
                        .. attribute:: explicit_path_id
                        
                        	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: explicit_path_name
                        
                        	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                        	**type**\:  str
                        
                        .. attribute:: has_attribute_set
                        
                        	TRUE if the path has an attribute set defined
                        	**type**\:  bool
                        
                        .. attribute:: has_xro_attribute_set
                        
                        	TRUE if the path has an XRO attribute set configured
                        	**type**\:  bool
                        
                        .. attribute:: holddown_duration
                        
                        	Holddown Duration (seconds)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        .. attribute:: is_disabled
                        
                        	TRUE if the path option is disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_helddown
                        
                        	TRUE if path is helddown
                        	**type**\:  bool
                        
                        .. attribute:: is_lockdown
                        
                        	TRUE if the path is locked down
                        	**type**\:  bool
                        
                        .. attribute:: is_segment_routing
                        
                        	TRUE if the path is Segment\-Routing
                        	**type**\:  bool
                        
                        .. attribute:: is_strict_explicit_path
                        
                        	TRUE if explicit path is strict
                        	**type**\:  bool
                        
                        .. attribute:: is_verbatim
                        
                        	TRUE if the path is verbatim
                        	**type**\:  bool
                        
                        .. attribute:: option_index
                        
                        	Path option index
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: option_index_is_valid
                        
                        	The path option index is valid
                        	**type**\:  bool
                        
                        .. attribute:: path_calculation_error
                        
                        	Path computation information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.PathCalculationError>`
                        
                        .. attribute:: path_option_area_id
                        
                        	The path\-option area constraint
                        	**type**\:  str
                        
                        .. attribute:: path_option_name
                        
                        	Path option name
                        	**type**\:  str
                        
                        .. attribute:: path_option_type
                        
                        	Path option type
                        	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                        
                        .. attribute:: pce_address
                        
                        	PCE server address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: protected_by_path_option_index
                        
                        	Path option index for Protect path options
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: remerge_error
                        
                        	Path computation remerge resolve info
                        	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.RemergeError>`
                        
                        .. attribute:: restored_from_path_option_index
                        
                        	Path option index for Restore path options
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: signalling_error
                        
                        	Signalling information
                        	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.SignallingError>`
                        
                        .. attribute:: xro_attribute_set
                        
                        	The XRO attribute set used by this path\-option
                        	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet>`
                        
                        .. attribute:: xro_attribute_set_found
                        
                        	TRUE if the path's XRO attribute set is known
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.attribute_set = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet()
                            self.attribute_set.parent = self
                            self.attribute_set_found = None
                            self.explicit_path_id = None
                            self.explicit_path_name = None
                            self.has_attribute_set = None
                            self.has_xro_attribute_set = None
                            self.holddown_duration = None
                            self.is_disabled = None
                            self.is_helddown = None
                            self.is_lockdown = None
                            self.is_segment_routing = None
                            self.is_strict_explicit_path = None
                            self.is_verbatim = None
                            self.option_index = None
                            self.option_index_is_valid = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_area_id = None
                            self.path_option_name = None
                            self.path_option_type = None
                            self.pce_address = None
                            self.protected_by_path_option_index = None
                            self.remerge_error = YList()
                            self.remerge_error.parent = self
                            self.remerge_error.name = 'remerge_error'
                            self.restored_from_path_option_index = None
                            self.signalling_error = YList()
                            self.signalling_error.parent = self
                            self.signalling_error.name = 'signalling_error'
                            self.xro_attribute_set = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet()
                            self.xro_attribute_set.parent = self
                            self.xro_attribute_set_found = None


                        class AttributeSet(object):
                            """
                            The path option attribute set used by this path
                            
                            .. attribute:: attribute_set_union
                            
                            	Union of Attribute Sets
                            	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion>`
                            
                            .. attribute:: tunnel_attribute_set_name
                            
                            	Attribute Set Name
                            	**type**\:  str
                            
                            .. attribute:: tunnel_attribute_set_name_crc32
                            
                            	Attribute Set name CRC32 value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion()
                                self.attribute_set_union.parent = self
                                self.tunnel_attribute_set_name = None
                                self.tunnel_attribute_set_name_crc32 = None


                            class AttributeSetUnion(object):
                                """
                                Union of Attribute Sets
                                
                                .. attribute:: attribute_set_aps_pp
                                
                                	Attribute Set OTN APS Path Protection
                                	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                
                                .. attribute:: attribute_set_autobackup
                                
                                	MPLS TE Auto\-backup Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                
                                .. attribute:: attribute_set_automesh
                                
                                	MPLS TE Auto\-mesh Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                
                                .. attribute:: attribute_set_p2mpte
                                
                                	MPLS TE P2MP\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                
                                .. attribute:: attribute_set_p2p_te
                                
                                	MPLS TE P2P\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                
                                .. attribute:: attribute_set_path_option
                                
                                	MPLS TE Path Option Attribute Set
                                	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                
                                .. attribute:: attribute_set_xro
                                
                                	Attribute Set XRO
                                	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                
                                .. attribute:: tunnel_attribute_set_type
                                
                                	TunnelAttributeSetType
                                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                    self.attribute_set_aps_pp.parent = self
                                    self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                    self.attribute_set_autobackup.parent = self
                                    self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                    self.attribute_set_automesh.parent = self
                                    self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                    self.attribute_set_p2mpte.parent = self
                                    self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                    self.attribute_set_p2p_te.parent = self
                                    self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                    self.attribute_set_path_option.parent = self
                                    self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                    self.attribute_set_xro.parent = self
                                    self.tunnel_attribute_set_type = None


                                class AttributeSetPathOption(object):
                                    """
                                    MPLS TE Path Option Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                    
                                    .. attribute:: bandwidth_type
                                    
                                    	The bandwidth type
                                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                    
                                    .. attribute:: bfd_reverse_path
                                    
                                    	BFD reverse path
                                    	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: cost_limit
                                    
                                    	Cost limit on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: exclude_list_name
                                    
                                    	Exclude list name
                                    	**type**\:  str
                                    
                                    .. attribute:: generation
                                    
                                    	Generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bfd_reverse_pat_configured
                                    
                                    	Is BFD reverse path configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_cost_limit_configured
                                    
                                    	Is Cost Limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_exclude_list_name_configured
                                    
                                    	Is exclude list name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is path invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is path invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation interval on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: version_info
                                    
                                    	Version Info
                                    	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                        self.affinity.parent = self
                                        self.bandwidth_type = None
                                        self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                        self.bfd_reverse_path.parent = self
                                        self.configured_bandwidth = None
                                        self.cost_limit = None
                                        self.dste_class_type = None
                                        self.exclude_list_name = None
                                        self.generation = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_bfd_reverse_pat_configured = None
                                        self.is_cost_limit_configured = None
                                        self.is_exclude_list_name_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.path_invalidation_action = None
                                        self.path_invalidation_timeout = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'
                                        self.version_info = YList()
                                        self.version_info.parent = self
                                        self.version_info.name = 'version_info'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                    class BfdReversePath(object):
                                        """
                                        BFD reverse path
                                        
                                        .. attribute:: binding_label
                                        
                                        	BFD reverse path binding label
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_type
                                        
                                        	BFD reverse path type
                                        	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.binding_label = None
                                            self.path_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.binding_label is not None:
                                                return True

                                            if self.path_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                    class VersionInfo(object):
                                        """
                                        Version Info
                                        
                                        .. attribute:: attribute_type
                                        
                                        	Attribute Type
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_default
                                        
                                        	Is default
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute_type = None
                                            self.generation = None
                                            self.is_default = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute_type is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_default is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.bandwidth_type is not None:
                                            return True

                                        if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.cost_limit is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.exclude_list_name is not None:
                                            return True

                                        if self.generation is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_bfd_reverse_pat_configured is not None:
                                            return True

                                        if self.is_cost_limit_configured is not None:
                                            return True

                                        if self.is_exclude_list_name_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.path_invalidation_action is not None:
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        if self.version_info is not None:
                                            for child_ref in self.version_info:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                class AttributeSetAutobackup(object):
                                    """
                                    MPLS TE Auto\-backup Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_signalled_name_configured
                                    
                                    	Is signalled name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: protected_interface
                                    
                                    	Array of Protected Interface Names
                                    	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: signalled_name
                                    
                                    	Signalled name
                                    	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                        self.affinity.parent = self
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.is_signalled_name_configured = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                        self.logging.parent = self
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.protected_interface = YList()
                                        self.protected_interface.parent = self
                                        self.protected_interface.name = 'protected_interface'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.signalled_name = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                        self.signalled_name.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class SignalledName(object):
                                        """
                                        Signalled name
                                        
                                        .. attribute:: is_mp_addresses
                                        
                                        	MP address appended
                                        	**type**\:  bool
                                        
                                        .. attribute:: name
                                        
                                        	Signalled name
                                        	**type**\:  str
                                        
                                        .. attribute:: protected_interface_type
                                        
                                        	Protected interface address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        .. attribute:: source_type
                                        
                                        	Source address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.is_mp_addresses = None
                                            self.name = None
                                            self.protected_interface_type = None
                                            self.source_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.is_mp_addresses is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.protected_interface_type is not None:
                                                return True

                                            if self.source_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                    class ProtectedInterface(object):
                                        """
                                        Array of Protected Interface Names
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Protected Interface Name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.protected_interface = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.protected_interface is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.is_signalled_name_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.protected_interface is not None:
                                            for child_ref in self.protected_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.signalled_name is not None and self.signalled_name._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                class AttributeSetAutomesh(object):
                                    """
                                    MPLS TE Auto\-mesh Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                    
                                    .. attribute:: auto_bandwidth_collect
                                    
                                    	Auto bandwidth collect only
                                    	**type**\:  bool
                                    
                                    .. attribute:: auto_route_announce
                                    
                                    	Announce auto route to IGP
                                    	**type**\:  bool
                                    
                                    .. attribute:: bandwidth
                                    
                                    	IM bandwidth
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: forward_class
                                    
                                    	Forward class
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_node_protection
                                    
                                    	FRR Node protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_interface_bw_configured
                                    
                                    	Is Interface BW configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: load_share
                                    
                                    	Load Share
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                    
                                    .. attribute:: mesh_group_id
                                    
                                    	Meshgroup ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: soft_preemption_configured
                                    
                                    	Soft preemption is configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                        self.affinity.parent = self
                                        self.auto_bandwidth_collect = None
                                        self.auto_route_announce = None
                                        self.bandwidth = None
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.forward_class = None
                                        self.frr_bandwidth_protection = None
                                        self.frr_node_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_interface_bw_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.load_share = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                        self.logging.parent = self
                                        self.mesh_group_id = YLeafList()
                                        self.mesh_group_id.parent = self
                                        self.mesh_group_id.name = 'mesh_group_id'
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.soft_preemption_configured = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.auto_bandwidth_collect is not None:
                                            return True

                                        if self.auto_route_announce is not None:
                                            return True

                                        if self.bandwidth is not None:
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.forward_class is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.frr_node_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_interface_bw_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.load_share is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.mesh_group_id is not None:
                                            for child in self.mesh_group_id:
                                                if child is not None:
                                                    return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.soft_preemption_configured is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                class AttributeSetXro(object):
                                    """
                                    Attribute Set XRO
                                    
                                    .. attribute:: xro
                                    
                                    	The XRO specified by this attribute\-set
                                    	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                        self.xro.parent = self


                                    class Xro(object):
                                        """
                                        The XRO specified by this attribute\-set
                                        
                                        .. attribute:: mutual_diversity_flag
                                        
                                        	Mutual Diversity Flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: xro_subobject
                                        
                                        	List of XRO sub\-objects
                                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.mutual_diversity_flag = None
                                            self.xro_subobject = YList()
                                            self.xro_subobject.parent = self
                                            self.xro_subobject.name = 'xro_subobject'


                                        class XroSubobject(object):
                                            """
                                            List of XRO sub\-objects
                                            
                                            .. attribute:: as_subobject
                                            
                                            	AS sub\-object
                                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                            
                                            .. attribute:: ipv4_subobject
                                            
                                            	IPv4 sub\-object
                                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                            
                                            .. attribute:: ipv6_subobject
                                            
                                            	IPv6 sub\-object
                                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                            
                                            .. attribute:: lsp_subobject
                                            
                                            	P2P LSP sub\-object
                                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                            
                                            .. attribute:: srlg_subobject
                                            
                                            	SRLG sub\-object
                                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                            
                                            .. attribute:: unnumbered_subobject
                                            
                                            	Unnumbered sub\-object
                                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                self.as_subobject.parent = self
                                                self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                self.ipv4_subobject.parent = self
                                                self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                self.ipv6_subobject.parent = self
                                                self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                self.lsp_subobject.parent = self
                                                self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                self.srlg_subobject.parent = self
                                                self.type = None
                                                self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                self.unnumbered_subobject.parent = self


                                            class Ipv4Subobject(object):
                                                """
                                                IPv4 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv4 address
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                            class Ipv6Subobject(object):
                                                """
                                                IPv6 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv6 address
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                            class UnnumberedSubobject(object):
                                                """
                                                Unnumbered sub\-object
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: interface_id
                                                
                                                	Interface ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: te_router_id
                                                
                                                	TE router\-id
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.interface_id = None
                                                    self.te_router_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.interface_id is not None:
                                                        return True

                                                    if self.te_router_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                            class AsSubobject(object):
                                                """
                                                AS sub\-object
                                                
                                                .. attribute:: as_number
                                                
                                                	Autonomous System number
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_number = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_number is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                            class SrlgSubobject(object):
                                                """
                                                SRLG sub\-object
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: srlg_id
                                                
                                                	SRLG ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.exclusion_type = None
                                                    self.srlg_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.srlg_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                            class LspSubobject(object):
                                                """
                                                P2P LSP sub\-object
                                                
                                                .. attribute:: destination_node_exception
                                                
                                                	Destination\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: fec
                                                
                                                	LSP FEC
                                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                
                                                .. attribute:: ignore_lsp_id
                                                
                                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                	**type**\:  bool
                                                
                                                .. attribute:: penultimate_node_exception
                                                
                                                	Penultimate\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: processing_node_exception
                                                
                                                	Processing\-node exception flag
                                                	**type**\:  bool
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.destination_node_exception = None
                                                    self.exclusion_type = None
                                                    self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                    self.fec.parent = self
                                                    self.ignore_lsp_id = None
                                                    self.penultimate_node_exception = None
                                                    self.processing_node_exception = None


                                                class Fec(object):
                                                    """
                                                    LSP FEC
                                                    
                                                    .. attribute:: fec_destination_info
                                                    
                                                    	Destination or P2MP ID
                                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                    
                                                    .. attribute:: fec_extended_tunnel_id
                                                    
                                                    	Extended tunnel ID
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_lsp_id
                                                    
                                                    	LSP ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_source
                                                    
                                                    	Tunnel source address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_tunnel_id
                                                    
                                                    	Tunnel ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_vrf
                                                    
                                                    	VRF; currently only for GMPLS tunnels
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                        self.fec_destination_info.parent = self
                                                        self.fec_extended_tunnel_id = None
                                                        self.fec_lsp_id = None
                                                        self.fec_source = None
                                                        self.fec_tunnel_id = None
                                                        self.fec_vrf = None


                                                    class FecDestinationInfo(object):
                                                        """
                                                        Destination or P2MP ID
                                                        
                                                        .. attribute:: fec_ctype
                                                        
                                                        	FEC CType
                                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                        
                                                        .. attribute:: fec_destination_p2mp_id
                                                        
                                                        	P2MP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: p2p_lsp_destination
                                                        
                                                        	P2P LSP destination
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_ctype = None
                                                            self.fec_destination_p2mp_id = None
                                                            self.p2p_lsp_destination = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_ctype is not None:
                                                                return True

                                                            if self.fec_destination_p2mp_id is not None:
                                                                return True

                                                            if self.p2p_lsp_destination is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                            return True

                                                        if self.fec_extended_tunnel_id is not None:
                                                            return True

                                                        if self.fec_lsp_id is not None:
                                                            return True

                                                        if self.fec_source is not None:
                                                            return True

                                                        if self.fec_tunnel_id is not None:
                                                            return True

                                                        if self.fec_vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.destination_node_exception is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.fec is not None and self.fec._has_data():
                                                        return True

                                                    if self.ignore_lsp_id is not None:
                                                        return True

                                                    if self.penultimate_node_exception is not None:
                                                        return True

                                                    if self.processing_node_exception is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.as_subobject is not None and self.as_subobject._has_data():
                                                    return True

                                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                    return True

                                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                    return True

                                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                    return True

                                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.mutual_diversity_flag is not None:
                                                return True

                                            if self.xro_subobject is not None:
                                                for child_ref in self.xro_subobject:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.xro is not None and self.xro._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                class AttributeSetP2Mpte(object):
                                    """
                                    MPLS TE P2MP\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                        self.affinity.parent = self
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.frr_bandwidth_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_priority_configured = None
                                        self.setup_priority = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                class AttributeSetApsPp(object):
                                    """
                                    Attribute Set OTN APS Path Protection
                                    
                                    .. attribute:: hold_off_time
                                    
                                    	Hold\-off time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path Protection Profile Type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: protection_mode
                                    
                                    	Protection Restoration Mode
                                    	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                    
                                    .. attribute:: protection_type
                                    
                                    	Protection Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: restoration_style
                                    
                                    	Restoration Style
                                    	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                    
                                    .. attribute:: revert_schedule
                                    
                                    	Revert Schedule
                                    	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                    
                                    .. attribute:: snc_mode
                                    
                                    	Sub\-network Connection Mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	Sub\-network Connection Monitoring Mode
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wait_to_restore_time
                                    
                                    	Wait to restore time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.hold_off_time = None
                                        self.path_prot_profile_type = None
                                        self.protection_mode = None
                                        self.protection_type = None
                                        self.restoration_style = None
                                        self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                        self.revert_schedule.parent = self
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wait_to_restore_time = None


                                    class RevertSchedule(object):
                                        """
                                        Revert Schedule
                                        
                                        .. attribute:: duration
                                        
                                        	Duration for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_tries
                                        
                                        	Max tries for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_date
                                        
                                        	Schedule time for reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_frequency
                                        
                                        	Schedule frequency for reversion
                                        	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                        
                                        .. attribute:: schedulename
                                        
                                        	Schedule name identifier
                                        	**type**\:  str
                                        
                                        	**length:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.duration = None
                                            self.max_tries = None
                                            self.schedule_date = None
                                            self.schedule_frequency = None
                                            self.schedulename = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.duration is not None:
                                                return True

                                            if self.max_tries is not None:
                                                return True

                                            if self.schedule_date is not None:
                                                return True

                                            if self.schedule_frequency is not None:
                                                return True

                                            if self.schedulename is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.hold_off_time is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.protection_mode is not None:
                                            return True

                                        if self.protection_type is not None:
                                            return True

                                        if self.restoration_style is not None:
                                            return True

                                        if self.revert_schedule is not None and self.revert_schedule._has_data():
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wait_to_restore_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                class AttributeSetP2PTe(object):
                                    """
                                    MPLS TE P2P\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is Path Invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is Path Invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_select_configured
                                    
                                    	Is any of the path selection parameters configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_metric_configured
                                    
                                    	Is path selection metric configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                    
                                    	Is path selection segment routing configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_configured
                                    
                                    	Is path selection margin configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_relative
                                    
                                    	Path selection margin is\_relative
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_prepend_list_configured
                                    
                                    	Is SR prepend list configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation timeout on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                    
                                    .. attribute:: path_selection_metric
                                    
                                    	Path selection metric type
                                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_adjacency_protection
                                    
                                    	Path selection segment\-routing type
                                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_margin
                                    
                                    	Path selection margin
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_segment_routing_segment_limit
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: prepend_list
                                    
                                    	SR prepend list
                                    	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                        self.affinity.parent = self
                                        self.is_affinity_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_path_select_configured = None
                                        self.is_path_selection_metric_configured = None
                                        self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                        self.is_path_selection_segment_routing_margin_configured = None
                                        self.is_path_selection_segment_routing_margin_relative = None
                                        self.is_path_selection_segment_routing_segment_limit_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.is_prepend_list_configured = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                        self.logging.parent = self
                                        self.path_invalidation_timeout = None
                                        self.path_selection_invalidation_action = None
                                        self.path_selection_metric = None
                                        self.path_selection_segment_routing_adjacency_protection = None
                                        self.path_selection_segment_routing_margin = None
                                        self.path_selection_segment_routing_segment_limit = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.prepend_list = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                        self.prepend_list.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                    class PrependList(object):
                                        """
                                        SR prepend list
                                        
                                        .. attribute:: prepend_entry
                                        
                                        	List of prepend entries
                                        	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.prepend_entry = YList()
                                            self.prepend_entry.parent = self
                                            self.prepend_entry.name = 'prepend_entry'


                                        class PrependEntry(object):
                                            """
                                            List of prepend entries
                                            
                                            .. attribute:: index
                                            
                                            	Prepend index
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: next_label
                                            
                                            	Prepend next label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: type
                                            
                                            	Prepend Type
                                            	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.index = None
                                                self.next_label = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.index is not None:
                                                    return True

                                                if self.next_label is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.prepend_entry is not None:
                                                for child_ref in self.prepend_entry:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_path_select_configured is not None:
                                            return True

                                        if self.is_path_selection_metric_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_relative is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.is_prepend_list_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.path_selection_invalidation_action is not None:
                                            return True

                                        if self.path_selection_metric is not None:
                                            return True

                                        if self.path_selection_segment_routing_adjacency_protection is not None:
                                            return True

                                        if self.path_selection_segment_routing_margin is not None:
                                            return True

                                        if self.path_selection_segment_routing_segment_limit is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.prepend_list is not None and self.prepend_list._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                        return True

                                    if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                        return True

                                    if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                        return True

                                    if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                        return True

                                    if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                        return True

                                    if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                        return True

                                    if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                        return True

                                    if self.tunnel_attribute_set_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                    return True

                                if self.tunnel_attribute_set_name is not None:
                                    return True

                                if self.tunnel_attribute_set_name_crc32 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet']['meta_info']


                        class XroAttributeSet(object):
                            """
                            The XRO attribute set used by this path\-option
                            
                            .. attribute:: attribute_set_union
                            
                            	Union of Attribute Sets
                            	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion>`
                            
                            .. attribute:: tunnel_attribute_set_name
                            
                            	Attribute Set Name
                            	**type**\:  str
                            
                            .. attribute:: tunnel_attribute_set_name_crc32
                            
                            	Attribute Set name CRC32 value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion()
                                self.attribute_set_union.parent = self
                                self.tunnel_attribute_set_name = None
                                self.tunnel_attribute_set_name_crc32 = None


                            class AttributeSetUnion(object):
                                """
                                Union of Attribute Sets
                                
                                .. attribute:: attribute_set_aps_pp
                                
                                	Attribute Set OTN APS Path Protection
                                	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                
                                .. attribute:: attribute_set_autobackup
                                
                                	MPLS TE Auto\-backup Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                
                                .. attribute:: attribute_set_automesh
                                
                                	MPLS TE Auto\-mesh Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                
                                .. attribute:: attribute_set_p2mpte
                                
                                	MPLS TE P2MP\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                
                                .. attribute:: attribute_set_p2p_te
                                
                                	MPLS TE P2P\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                
                                .. attribute:: attribute_set_path_option
                                
                                	MPLS TE Path Option Attribute Set
                                	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                
                                .. attribute:: attribute_set_xro
                                
                                	Attribute Set XRO
                                	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                
                                .. attribute:: tunnel_attribute_set_type
                                
                                	TunnelAttributeSetType
                                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                    self.attribute_set_aps_pp.parent = self
                                    self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                    self.attribute_set_autobackup.parent = self
                                    self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                    self.attribute_set_automesh.parent = self
                                    self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                    self.attribute_set_p2mpte.parent = self
                                    self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                    self.attribute_set_p2p_te.parent = self
                                    self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                    self.attribute_set_path_option.parent = self
                                    self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                    self.attribute_set_xro.parent = self
                                    self.tunnel_attribute_set_type = None


                                class AttributeSetPathOption(object):
                                    """
                                    MPLS TE Path Option Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                    
                                    .. attribute:: bandwidth_type
                                    
                                    	The bandwidth type
                                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                    
                                    .. attribute:: bfd_reverse_path
                                    
                                    	BFD reverse path
                                    	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: cost_limit
                                    
                                    	Cost limit on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: exclude_list_name
                                    
                                    	Exclude list name
                                    	**type**\:  str
                                    
                                    .. attribute:: generation
                                    
                                    	Generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bfd_reverse_pat_configured
                                    
                                    	Is BFD reverse path configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_cost_limit_configured
                                    
                                    	Is Cost Limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_exclude_list_name_configured
                                    
                                    	Is exclude list name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is path invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is path invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation interval on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: version_info
                                    
                                    	Version Info
                                    	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                        self.affinity.parent = self
                                        self.bandwidth_type = None
                                        self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                        self.bfd_reverse_path.parent = self
                                        self.configured_bandwidth = None
                                        self.cost_limit = None
                                        self.dste_class_type = None
                                        self.exclude_list_name = None
                                        self.generation = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_bfd_reverse_pat_configured = None
                                        self.is_cost_limit_configured = None
                                        self.is_exclude_list_name_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.path_invalidation_action = None
                                        self.path_invalidation_timeout = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'
                                        self.version_info = YList()
                                        self.version_info.parent = self
                                        self.version_info.name = 'version_info'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                    class BfdReversePath(object):
                                        """
                                        BFD reverse path
                                        
                                        .. attribute:: binding_label
                                        
                                        	BFD reverse path binding label
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_type
                                        
                                        	BFD reverse path type
                                        	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.binding_label = None
                                            self.path_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.binding_label is not None:
                                                return True

                                            if self.path_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                    class VersionInfo(object):
                                        """
                                        Version Info
                                        
                                        .. attribute:: attribute_type
                                        
                                        	Attribute Type
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_default
                                        
                                        	Is default
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute_type = None
                                            self.generation = None
                                            self.is_default = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute_type is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_default is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.bandwidth_type is not None:
                                            return True

                                        if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.cost_limit is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.exclude_list_name is not None:
                                            return True

                                        if self.generation is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_bfd_reverse_pat_configured is not None:
                                            return True

                                        if self.is_cost_limit_configured is not None:
                                            return True

                                        if self.is_exclude_list_name_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.path_invalidation_action is not None:
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        if self.version_info is not None:
                                            for child_ref in self.version_info:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                class AttributeSetAutobackup(object):
                                    """
                                    MPLS TE Auto\-backup Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_signalled_name_configured
                                    
                                    	Is signalled name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: protected_interface
                                    
                                    	Array of Protected Interface Names
                                    	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: signalled_name
                                    
                                    	Signalled name
                                    	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                        self.affinity.parent = self
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.is_signalled_name_configured = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                        self.logging.parent = self
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.protected_interface = YList()
                                        self.protected_interface.parent = self
                                        self.protected_interface.name = 'protected_interface'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.signalled_name = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                        self.signalled_name.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class SignalledName(object):
                                        """
                                        Signalled name
                                        
                                        .. attribute:: is_mp_addresses
                                        
                                        	MP address appended
                                        	**type**\:  bool
                                        
                                        .. attribute:: name
                                        
                                        	Signalled name
                                        	**type**\:  str
                                        
                                        .. attribute:: protected_interface_type
                                        
                                        	Protected interface address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        .. attribute:: source_type
                                        
                                        	Source address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.is_mp_addresses = None
                                            self.name = None
                                            self.protected_interface_type = None
                                            self.source_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.is_mp_addresses is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.protected_interface_type is not None:
                                                return True

                                            if self.source_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                    class ProtectedInterface(object):
                                        """
                                        Array of Protected Interface Names
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Protected Interface Name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.protected_interface = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.protected_interface is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.is_signalled_name_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.protected_interface is not None:
                                            for child_ref in self.protected_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.signalled_name is not None and self.signalled_name._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                class AttributeSetAutomesh(object):
                                    """
                                    MPLS TE Auto\-mesh Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                    
                                    .. attribute:: auto_bandwidth_collect
                                    
                                    	Auto bandwidth collect only
                                    	**type**\:  bool
                                    
                                    .. attribute:: auto_route_announce
                                    
                                    	Announce auto route to IGP
                                    	**type**\:  bool
                                    
                                    .. attribute:: bandwidth
                                    
                                    	IM bandwidth
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: forward_class
                                    
                                    	Forward class
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_node_protection
                                    
                                    	FRR Node protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_interface_bw_configured
                                    
                                    	Is Interface BW configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: load_share
                                    
                                    	Load Share
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                    
                                    .. attribute:: mesh_group_id
                                    
                                    	Meshgroup ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: soft_preemption_configured
                                    
                                    	Soft preemption is configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                        self.affinity.parent = self
                                        self.auto_bandwidth_collect = None
                                        self.auto_route_announce = None
                                        self.bandwidth = None
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.forward_class = None
                                        self.frr_bandwidth_protection = None
                                        self.frr_node_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_interface_bw_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.load_share = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                        self.logging.parent = self
                                        self.mesh_group_id = YLeafList()
                                        self.mesh_group_id.parent = self
                                        self.mesh_group_id.name = 'mesh_group_id'
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.soft_preemption_configured = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.auto_bandwidth_collect is not None:
                                            return True

                                        if self.auto_route_announce is not None:
                                            return True

                                        if self.bandwidth is not None:
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.forward_class is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.frr_node_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_interface_bw_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.load_share is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.mesh_group_id is not None:
                                            for child in self.mesh_group_id:
                                                if child is not None:
                                                    return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.soft_preemption_configured is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                class AttributeSetXro(object):
                                    """
                                    Attribute Set XRO
                                    
                                    .. attribute:: xro
                                    
                                    	The XRO specified by this attribute\-set
                                    	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                        self.xro.parent = self


                                    class Xro(object):
                                        """
                                        The XRO specified by this attribute\-set
                                        
                                        .. attribute:: mutual_diversity_flag
                                        
                                        	Mutual Diversity Flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: xro_subobject
                                        
                                        	List of XRO sub\-objects
                                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.mutual_diversity_flag = None
                                            self.xro_subobject = YList()
                                            self.xro_subobject.parent = self
                                            self.xro_subobject.name = 'xro_subobject'


                                        class XroSubobject(object):
                                            """
                                            List of XRO sub\-objects
                                            
                                            .. attribute:: as_subobject
                                            
                                            	AS sub\-object
                                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                            
                                            .. attribute:: ipv4_subobject
                                            
                                            	IPv4 sub\-object
                                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                            
                                            .. attribute:: ipv6_subobject
                                            
                                            	IPv6 sub\-object
                                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                            
                                            .. attribute:: lsp_subobject
                                            
                                            	P2P LSP sub\-object
                                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                            
                                            .. attribute:: srlg_subobject
                                            
                                            	SRLG sub\-object
                                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                            
                                            .. attribute:: unnumbered_subobject
                                            
                                            	Unnumbered sub\-object
                                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                self.as_subobject.parent = self
                                                self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                self.ipv4_subobject.parent = self
                                                self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                self.ipv6_subobject.parent = self
                                                self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                self.lsp_subobject.parent = self
                                                self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                self.srlg_subobject.parent = self
                                                self.type = None
                                                self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                self.unnumbered_subobject.parent = self


                                            class Ipv4Subobject(object):
                                                """
                                                IPv4 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv4 address
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                            class Ipv6Subobject(object):
                                                """
                                                IPv6 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv6 address
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                            class UnnumberedSubobject(object):
                                                """
                                                Unnumbered sub\-object
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: interface_id
                                                
                                                	Interface ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: te_router_id
                                                
                                                	TE router\-id
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.interface_id = None
                                                    self.te_router_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.interface_id is not None:
                                                        return True

                                                    if self.te_router_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                            class AsSubobject(object):
                                                """
                                                AS sub\-object
                                                
                                                .. attribute:: as_number
                                                
                                                	Autonomous System number
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_number = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_number is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                            class SrlgSubobject(object):
                                                """
                                                SRLG sub\-object
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: srlg_id
                                                
                                                	SRLG ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.exclusion_type = None
                                                    self.srlg_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.srlg_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                            class LspSubobject(object):
                                                """
                                                P2P LSP sub\-object
                                                
                                                .. attribute:: destination_node_exception
                                                
                                                	Destination\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: fec
                                                
                                                	LSP FEC
                                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                
                                                .. attribute:: ignore_lsp_id
                                                
                                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                	**type**\:  bool
                                                
                                                .. attribute:: penultimate_node_exception
                                                
                                                	Penultimate\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: processing_node_exception
                                                
                                                	Processing\-node exception flag
                                                	**type**\:  bool
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.destination_node_exception = None
                                                    self.exclusion_type = None
                                                    self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                    self.fec.parent = self
                                                    self.ignore_lsp_id = None
                                                    self.penultimate_node_exception = None
                                                    self.processing_node_exception = None


                                                class Fec(object):
                                                    """
                                                    LSP FEC
                                                    
                                                    .. attribute:: fec_destination_info
                                                    
                                                    	Destination or P2MP ID
                                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                    
                                                    .. attribute:: fec_extended_tunnel_id
                                                    
                                                    	Extended tunnel ID
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_lsp_id
                                                    
                                                    	LSP ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_source
                                                    
                                                    	Tunnel source address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_tunnel_id
                                                    
                                                    	Tunnel ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_vrf
                                                    
                                                    	VRF; currently only for GMPLS tunnels
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                        self.fec_destination_info.parent = self
                                                        self.fec_extended_tunnel_id = None
                                                        self.fec_lsp_id = None
                                                        self.fec_source = None
                                                        self.fec_tunnel_id = None
                                                        self.fec_vrf = None


                                                    class FecDestinationInfo(object):
                                                        """
                                                        Destination or P2MP ID
                                                        
                                                        .. attribute:: fec_ctype
                                                        
                                                        	FEC CType
                                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                        
                                                        .. attribute:: fec_destination_p2mp_id
                                                        
                                                        	P2MP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: p2p_lsp_destination
                                                        
                                                        	P2P LSP destination
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_ctype = None
                                                            self.fec_destination_p2mp_id = None
                                                            self.p2p_lsp_destination = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_ctype is not None:
                                                                return True

                                                            if self.fec_destination_p2mp_id is not None:
                                                                return True

                                                            if self.p2p_lsp_destination is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                            return True

                                                        if self.fec_extended_tunnel_id is not None:
                                                            return True

                                                        if self.fec_lsp_id is not None:
                                                            return True

                                                        if self.fec_source is not None:
                                                            return True

                                                        if self.fec_tunnel_id is not None:
                                                            return True

                                                        if self.fec_vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.destination_node_exception is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.fec is not None and self.fec._has_data():
                                                        return True

                                                    if self.ignore_lsp_id is not None:
                                                        return True

                                                    if self.penultimate_node_exception is not None:
                                                        return True

                                                    if self.processing_node_exception is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.as_subobject is not None and self.as_subobject._has_data():
                                                    return True

                                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                    return True

                                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                    return True

                                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                    return True

                                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.mutual_diversity_flag is not None:
                                                return True

                                            if self.xro_subobject is not None:
                                                for child_ref in self.xro_subobject:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.xro is not None and self.xro._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                class AttributeSetP2Mpte(object):
                                    """
                                    MPLS TE P2MP\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                        self.affinity.parent = self
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.frr_bandwidth_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_priority_configured = None
                                        self.setup_priority = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                class AttributeSetApsPp(object):
                                    """
                                    Attribute Set OTN APS Path Protection
                                    
                                    .. attribute:: hold_off_time
                                    
                                    	Hold\-off time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path Protection Profile Type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: protection_mode
                                    
                                    	Protection Restoration Mode
                                    	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                    
                                    .. attribute:: protection_type
                                    
                                    	Protection Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: restoration_style
                                    
                                    	Restoration Style
                                    	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                    
                                    .. attribute:: revert_schedule
                                    
                                    	Revert Schedule
                                    	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                    
                                    .. attribute:: snc_mode
                                    
                                    	Sub\-network Connection Mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	Sub\-network Connection Monitoring Mode
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wait_to_restore_time
                                    
                                    	Wait to restore time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.hold_off_time = None
                                        self.path_prot_profile_type = None
                                        self.protection_mode = None
                                        self.protection_type = None
                                        self.restoration_style = None
                                        self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                        self.revert_schedule.parent = self
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wait_to_restore_time = None


                                    class RevertSchedule(object):
                                        """
                                        Revert Schedule
                                        
                                        .. attribute:: duration
                                        
                                        	Duration for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_tries
                                        
                                        	Max tries for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_date
                                        
                                        	Schedule time for reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_frequency
                                        
                                        	Schedule frequency for reversion
                                        	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                        
                                        .. attribute:: schedulename
                                        
                                        	Schedule name identifier
                                        	**type**\:  str
                                        
                                        	**length:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.duration = None
                                            self.max_tries = None
                                            self.schedule_date = None
                                            self.schedule_frequency = None
                                            self.schedulename = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.duration is not None:
                                                return True

                                            if self.max_tries is not None:
                                                return True

                                            if self.schedule_date is not None:
                                                return True

                                            if self.schedule_frequency is not None:
                                                return True

                                            if self.schedulename is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.hold_off_time is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.protection_mode is not None:
                                            return True

                                        if self.protection_type is not None:
                                            return True

                                        if self.restoration_style is not None:
                                            return True

                                        if self.revert_schedule is not None and self.revert_schedule._has_data():
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wait_to_restore_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                class AttributeSetP2PTe(object):
                                    """
                                    MPLS TE P2P\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is Path Invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is Path Invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_select_configured
                                    
                                    	Is any of the path selection parameters configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_metric_configured
                                    
                                    	Is path selection metric configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                    
                                    	Is path selection segment routing configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_configured
                                    
                                    	Is path selection margin configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_relative
                                    
                                    	Path selection margin is\_relative
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_prepend_list_configured
                                    
                                    	Is SR prepend list configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation timeout on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                    
                                    .. attribute:: path_selection_metric
                                    
                                    	Path selection metric type
                                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_adjacency_protection
                                    
                                    	Path selection segment\-routing type
                                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_margin
                                    
                                    	Path selection margin
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_segment_routing_segment_limit
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: prepend_list
                                    
                                    	SR prepend list
                                    	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                        self.affinity.parent = self
                                        self.is_affinity_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_path_select_configured = None
                                        self.is_path_selection_metric_configured = None
                                        self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                        self.is_path_selection_segment_routing_margin_configured = None
                                        self.is_path_selection_segment_routing_margin_relative = None
                                        self.is_path_selection_segment_routing_segment_limit_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.is_prepend_list_configured = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                        self.logging.parent = self
                                        self.path_invalidation_timeout = None
                                        self.path_selection_invalidation_action = None
                                        self.path_selection_metric = None
                                        self.path_selection_segment_routing_adjacency_protection = None
                                        self.path_selection_segment_routing_margin = None
                                        self.path_selection_segment_routing_segment_limit = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.prepend_list = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                        self.prepend_list.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                    class PrependList(object):
                                        """
                                        SR prepend list
                                        
                                        .. attribute:: prepend_entry
                                        
                                        	List of prepend entries
                                        	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.prepend_entry = YList()
                                            self.prepend_entry.parent = self
                                            self.prepend_entry.name = 'prepend_entry'


                                        class PrependEntry(object):
                                            """
                                            List of prepend entries
                                            
                                            .. attribute:: index
                                            
                                            	Prepend index
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: next_label
                                            
                                            	Prepend next label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: type
                                            
                                            	Prepend Type
                                            	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.index = None
                                                self.next_label = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.index is not None:
                                                    return True

                                                if self.next_label is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.prepend_entry is not None:
                                                for child_ref in self.prepend_entry:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_path_select_configured is not None:
                                            return True

                                        if self.is_path_selection_metric_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_relative is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.is_prepend_list_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.path_selection_invalidation_action is not None:
                                            return True

                                        if self.path_selection_metric is not None:
                                            return True

                                        if self.path_selection_segment_routing_adjacency_protection is not None:
                                            return True

                                        if self.path_selection_segment_routing_margin is not None:
                                            return True

                                        if self.path_selection_segment_routing_segment_limit is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.prepend_list is not None and self.prepend_list._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                        return True

                                    if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                        return True

                                    if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                        return True

                                    if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                        return True

                                    if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                        return True

                                    if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                        return True

                                    if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                        return True

                                    if self.tunnel_attribute_set_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                    return True

                                if self.tunnel_attribute_set_name is not None:
                                    return True

                                if self.tunnel_attribute_set_name_crc32 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet']['meta_info']


                        class PathCalculationError(object):
                            """
                            Path computation information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.PathCalculationError']['meta_info']


                        class RemergeError(object):
                            """
                            Path computation remerge resolve info
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.RemergeError']['meta_info']


                        class SignallingError(object):
                            """
                            Signalling information
                            
                            .. attribute:: error
                            
                            	Path Error code
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: error_node
                            
                            	Source address of the error generating node
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: log_time
                            
                            	Time in seconds when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSPMode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            .. attribute:: reverse_lsp
                            
                            	Indicates if error is on the reverse LSP
                            	**type**\:  bool
                            
                            .. attribute:: signalling_lsp_id
                            
                            	LSP\-id for which the error was received
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: sub_code
                            
                            	Path Error subcode
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error = None
                                self.error_message = None
                                self.error_node = None
                                self.log_time = None
                                self.lsp_mode = None
                                self.reverse_lsp = None
                                self.signalling_lsp_id = None
                                self.sub_code = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error is not None:
                                    return True

                                if self.error_message is not None:
                                    return True

                                if self.error_node is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                if self.reverse_lsp is not None:
                                    return True

                                if self.signalling_lsp_id is not None:
                                    return True

                                if self.sub_code is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.SignallingError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-option-entry'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.attribute_set is not None and self.attribute_set._has_data():
                                return True

                            if self.attribute_set_found is not None:
                                return True

                            if self.explicit_path_id is not None:
                                return True

                            if self.explicit_path_name is not None:
                                return True

                            if self.has_attribute_set is not None:
                                return True

                            if self.has_xro_attribute_set is not None:
                                return True

                            if self.holddown_duration is not None:
                                return True

                            if self.is_disabled is not None:
                                return True

                            if self.is_helddown is not None:
                                return True

                            if self.is_lockdown is not None:
                                return True

                            if self.is_segment_routing is not None:
                                return True

                            if self.is_strict_explicit_path is not None:
                                return True

                            if self.is_verbatim is not None:
                                return True

                            if self.option_index is not None:
                                return True

                            if self.option_index_is_valid is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_area_id is not None:
                                return True

                            if self.path_option_name is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.pce_address is not None:
                                return True

                            if self.protected_by_path_option_index is not None:
                                return True

                            if self.remerge_error is not None:
                                for child_ref in self.remerge_error:
                                    if child_ref._has_data():
                                        return True

                            if self.restored_from_path_option_index is not None:
                                return True

                            if self.signalling_error is not None:
                                for child_ref in self.signalling_error:
                                    if child_ref._has_data():
                                        return True

                            if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                return True

                            if self.xro_attribute_set_found is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry']['meta_info']


                    class PathOption(object):
                        """
                        Destination's list of path options
                        
                        .. attribute:: attribute_set
                        
                        	The path option attribute set used by this path
                        	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet>`
                        
                        .. attribute:: attribute_set_found
                        
                        	TRUE if the path has found the defined attribute set
                        	**type**\:  bool
                        
                        .. attribute:: explicit_path_id
                        
                        	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: explicit_path_name
                        
                        	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                        	**type**\:  str
                        
                        .. attribute:: has_attribute_set
                        
                        	TRUE if the path has an attribute set defined
                        	**type**\:  bool
                        
                        .. attribute:: has_xro_attribute_set
                        
                        	TRUE if the path has an XRO attribute set configured
                        	**type**\:  bool
                        
                        .. attribute:: holddown_duration
                        
                        	Holddown Duration (seconds)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        .. attribute:: is_disabled
                        
                        	TRUE if the path option is disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_helddown
                        
                        	TRUE if path is helddown
                        	**type**\:  bool
                        
                        .. attribute:: is_lockdown
                        
                        	TRUE if the path is locked down
                        	**type**\:  bool
                        
                        .. attribute:: is_segment_routing
                        
                        	TRUE if the path is Segment\-Routing
                        	**type**\:  bool
                        
                        .. attribute:: is_strict_explicit_path
                        
                        	TRUE if explicit path is strict
                        	**type**\:  bool
                        
                        .. attribute:: is_verbatim
                        
                        	TRUE if the path is verbatim
                        	**type**\:  bool
                        
                        .. attribute:: option_index
                        
                        	Path option index
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: option_index_is_valid
                        
                        	The path option index is valid
                        	**type**\:  bool
                        
                        .. attribute:: path_calculation_error
                        
                        	Path computation information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.PathCalculationError>`
                        
                        .. attribute:: path_option_area_id
                        
                        	The path\-option area constraint
                        	**type**\:  str
                        
                        .. attribute:: path_option_name
                        
                        	Path option name
                        	**type**\:  str
                        
                        .. attribute:: path_option_type
                        
                        	Path option type
                        	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                        
                        .. attribute:: pce_address
                        
                        	PCE server address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: protected_by_path_option_index
                        
                        	Path option index for Protect path options
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: remerge_error
                        
                        	Path computation remerge resolve info
                        	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.RemergeError>`
                        
                        .. attribute:: restored_from_path_option_index
                        
                        	Path option index for Restore path options
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: signalling_error
                        
                        	Signalling information
                        	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.SignallingError>`
                        
                        .. attribute:: xro_attribute_set
                        
                        	The XRO attribute set used by this path\-option
                        	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet>`
                        
                        .. attribute:: xro_attribute_set_found
                        
                        	TRUE if the path's XRO attribute set is known
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.attribute_set = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet()
                            self.attribute_set.parent = self
                            self.attribute_set_found = None
                            self.explicit_path_id = None
                            self.explicit_path_name = None
                            self.has_attribute_set = None
                            self.has_xro_attribute_set = None
                            self.holddown_duration = None
                            self.is_disabled = None
                            self.is_helddown = None
                            self.is_lockdown = None
                            self.is_segment_routing = None
                            self.is_strict_explicit_path = None
                            self.is_verbatim = None
                            self.option_index = None
                            self.option_index_is_valid = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_area_id = None
                            self.path_option_name = None
                            self.path_option_type = None
                            self.pce_address = None
                            self.protected_by_path_option_index = None
                            self.remerge_error = YList()
                            self.remerge_error.parent = self
                            self.remerge_error.name = 'remerge_error'
                            self.restored_from_path_option_index = None
                            self.signalling_error = YList()
                            self.signalling_error.parent = self
                            self.signalling_error.name = 'signalling_error'
                            self.xro_attribute_set = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet()
                            self.xro_attribute_set.parent = self
                            self.xro_attribute_set_found = None


                        class AttributeSet(object):
                            """
                            The path option attribute set used by this path
                            
                            .. attribute:: attribute_set_union
                            
                            	Union of Attribute Sets
                            	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion>`
                            
                            .. attribute:: tunnel_attribute_set_name
                            
                            	Attribute Set Name
                            	**type**\:  str
                            
                            .. attribute:: tunnel_attribute_set_name_crc32
                            
                            	Attribute Set name CRC32 value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion()
                                self.attribute_set_union.parent = self
                                self.tunnel_attribute_set_name = None
                                self.tunnel_attribute_set_name_crc32 = None


                            class AttributeSetUnion(object):
                                """
                                Union of Attribute Sets
                                
                                .. attribute:: attribute_set_aps_pp
                                
                                	Attribute Set OTN APS Path Protection
                                	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                
                                .. attribute:: attribute_set_autobackup
                                
                                	MPLS TE Auto\-backup Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                
                                .. attribute:: attribute_set_automesh
                                
                                	MPLS TE Auto\-mesh Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                
                                .. attribute:: attribute_set_p2mpte
                                
                                	MPLS TE P2MP\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                
                                .. attribute:: attribute_set_p2p_te
                                
                                	MPLS TE P2P\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                
                                .. attribute:: attribute_set_path_option
                                
                                	MPLS TE Path Option Attribute Set
                                	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                
                                .. attribute:: attribute_set_xro
                                
                                	Attribute Set XRO
                                	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                
                                .. attribute:: tunnel_attribute_set_type
                                
                                	TunnelAttributeSetType
                                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                    self.attribute_set_aps_pp.parent = self
                                    self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                    self.attribute_set_autobackup.parent = self
                                    self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                    self.attribute_set_automesh.parent = self
                                    self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                    self.attribute_set_p2mpte.parent = self
                                    self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                    self.attribute_set_p2p_te.parent = self
                                    self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                    self.attribute_set_path_option.parent = self
                                    self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                    self.attribute_set_xro.parent = self
                                    self.tunnel_attribute_set_type = None


                                class AttributeSetPathOption(object):
                                    """
                                    MPLS TE Path Option Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                    
                                    .. attribute:: bandwidth_type
                                    
                                    	The bandwidth type
                                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                    
                                    .. attribute:: bfd_reverse_path
                                    
                                    	BFD reverse path
                                    	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: cost_limit
                                    
                                    	Cost limit on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: exclude_list_name
                                    
                                    	Exclude list name
                                    	**type**\:  str
                                    
                                    .. attribute:: generation
                                    
                                    	Generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bfd_reverse_pat_configured
                                    
                                    	Is BFD reverse path configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_cost_limit_configured
                                    
                                    	Is Cost Limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_exclude_list_name_configured
                                    
                                    	Is exclude list name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is path invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is path invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation interval on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: version_info
                                    
                                    	Version Info
                                    	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                        self.affinity.parent = self
                                        self.bandwidth_type = None
                                        self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                        self.bfd_reverse_path.parent = self
                                        self.configured_bandwidth = None
                                        self.cost_limit = None
                                        self.dste_class_type = None
                                        self.exclude_list_name = None
                                        self.generation = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_bfd_reverse_pat_configured = None
                                        self.is_cost_limit_configured = None
                                        self.is_exclude_list_name_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.path_invalidation_action = None
                                        self.path_invalidation_timeout = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'
                                        self.version_info = YList()
                                        self.version_info.parent = self
                                        self.version_info.name = 'version_info'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                    class BfdReversePath(object):
                                        """
                                        BFD reverse path
                                        
                                        .. attribute:: binding_label
                                        
                                        	BFD reverse path binding label
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_type
                                        
                                        	BFD reverse path type
                                        	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.binding_label = None
                                            self.path_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.binding_label is not None:
                                                return True

                                            if self.path_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                    class VersionInfo(object):
                                        """
                                        Version Info
                                        
                                        .. attribute:: attribute_type
                                        
                                        	Attribute Type
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_default
                                        
                                        	Is default
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute_type = None
                                            self.generation = None
                                            self.is_default = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute_type is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_default is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.bandwidth_type is not None:
                                            return True

                                        if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.cost_limit is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.exclude_list_name is not None:
                                            return True

                                        if self.generation is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_bfd_reverse_pat_configured is not None:
                                            return True

                                        if self.is_cost_limit_configured is not None:
                                            return True

                                        if self.is_exclude_list_name_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.path_invalidation_action is not None:
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        if self.version_info is not None:
                                            for child_ref in self.version_info:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                class AttributeSetAutobackup(object):
                                    """
                                    MPLS TE Auto\-backup Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_signalled_name_configured
                                    
                                    	Is signalled name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: protected_interface
                                    
                                    	Array of Protected Interface Names
                                    	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: signalled_name
                                    
                                    	Signalled name
                                    	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                        self.affinity.parent = self
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.is_signalled_name_configured = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                        self.logging.parent = self
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.protected_interface = YList()
                                        self.protected_interface.parent = self
                                        self.protected_interface.name = 'protected_interface'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.signalled_name = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                        self.signalled_name.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class SignalledName(object):
                                        """
                                        Signalled name
                                        
                                        .. attribute:: is_mp_addresses
                                        
                                        	MP address appended
                                        	**type**\:  bool
                                        
                                        .. attribute:: name
                                        
                                        	Signalled name
                                        	**type**\:  str
                                        
                                        .. attribute:: protected_interface_type
                                        
                                        	Protected interface address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        .. attribute:: source_type
                                        
                                        	Source address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.is_mp_addresses = None
                                            self.name = None
                                            self.protected_interface_type = None
                                            self.source_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.is_mp_addresses is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.protected_interface_type is not None:
                                                return True

                                            if self.source_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                    class ProtectedInterface(object):
                                        """
                                        Array of Protected Interface Names
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Protected Interface Name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.protected_interface = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.protected_interface is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.is_signalled_name_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.protected_interface is not None:
                                            for child_ref in self.protected_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.signalled_name is not None and self.signalled_name._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                class AttributeSetAutomesh(object):
                                    """
                                    MPLS TE Auto\-mesh Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                    
                                    .. attribute:: auto_bandwidth_collect
                                    
                                    	Auto bandwidth collect only
                                    	**type**\:  bool
                                    
                                    .. attribute:: auto_route_announce
                                    
                                    	Announce auto route to IGP
                                    	**type**\:  bool
                                    
                                    .. attribute:: bandwidth
                                    
                                    	IM bandwidth
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: forward_class
                                    
                                    	Forward class
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_node_protection
                                    
                                    	FRR Node protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_interface_bw_configured
                                    
                                    	Is Interface BW configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: load_share
                                    
                                    	Load Share
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                    
                                    .. attribute:: mesh_group_id
                                    
                                    	Meshgroup ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: soft_preemption_configured
                                    
                                    	Soft preemption is configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                        self.affinity.parent = self
                                        self.auto_bandwidth_collect = None
                                        self.auto_route_announce = None
                                        self.bandwidth = None
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.forward_class = None
                                        self.frr_bandwidth_protection = None
                                        self.frr_node_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_interface_bw_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.load_share = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                        self.logging.parent = self
                                        self.mesh_group_id = YLeafList()
                                        self.mesh_group_id.parent = self
                                        self.mesh_group_id.name = 'mesh_group_id'
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.soft_preemption_configured = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.auto_bandwidth_collect is not None:
                                            return True

                                        if self.auto_route_announce is not None:
                                            return True

                                        if self.bandwidth is not None:
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.forward_class is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.frr_node_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_interface_bw_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.load_share is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.mesh_group_id is not None:
                                            for child in self.mesh_group_id:
                                                if child is not None:
                                                    return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.soft_preemption_configured is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                class AttributeSetXro(object):
                                    """
                                    Attribute Set XRO
                                    
                                    .. attribute:: xro
                                    
                                    	The XRO specified by this attribute\-set
                                    	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                        self.xro.parent = self


                                    class Xro(object):
                                        """
                                        The XRO specified by this attribute\-set
                                        
                                        .. attribute:: mutual_diversity_flag
                                        
                                        	Mutual Diversity Flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: xro_subobject
                                        
                                        	List of XRO sub\-objects
                                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.mutual_diversity_flag = None
                                            self.xro_subobject = YList()
                                            self.xro_subobject.parent = self
                                            self.xro_subobject.name = 'xro_subobject'


                                        class XroSubobject(object):
                                            """
                                            List of XRO sub\-objects
                                            
                                            .. attribute:: as_subobject
                                            
                                            	AS sub\-object
                                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                            
                                            .. attribute:: ipv4_subobject
                                            
                                            	IPv4 sub\-object
                                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                            
                                            .. attribute:: ipv6_subobject
                                            
                                            	IPv6 sub\-object
                                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                            
                                            .. attribute:: lsp_subobject
                                            
                                            	P2P LSP sub\-object
                                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                            
                                            .. attribute:: srlg_subobject
                                            
                                            	SRLG sub\-object
                                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                            
                                            .. attribute:: unnumbered_subobject
                                            
                                            	Unnumbered sub\-object
                                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                self.as_subobject.parent = self
                                                self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                self.ipv4_subobject.parent = self
                                                self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                self.ipv6_subobject.parent = self
                                                self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                self.lsp_subobject.parent = self
                                                self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                self.srlg_subobject.parent = self
                                                self.type = None
                                                self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                self.unnumbered_subobject.parent = self


                                            class Ipv4Subobject(object):
                                                """
                                                IPv4 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv4 address
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                            class Ipv6Subobject(object):
                                                """
                                                IPv6 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv6 address
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                            class UnnumberedSubobject(object):
                                                """
                                                Unnumbered sub\-object
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: interface_id
                                                
                                                	Interface ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: te_router_id
                                                
                                                	TE router\-id
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.interface_id = None
                                                    self.te_router_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.interface_id is not None:
                                                        return True

                                                    if self.te_router_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                            class AsSubobject(object):
                                                """
                                                AS sub\-object
                                                
                                                .. attribute:: as_number
                                                
                                                	Autonomous System number
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_number = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_number is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                            class SrlgSubobject(object):
                                                """
                                                SRLG sub\-object
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: srlg_id
                                                
                                                	SRLG ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.exclusion_type = None
                                                    self.srlg_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.srlg_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                            class LspSubobject(object):
                                                """
                                                P2P LSP sub\-object
                                                
                                                .. attribute:: destination_node_exception
                                                
                                                	Destination\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: fec
                                                
                                                	LSP FEC
                                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                
                                                .. attribute:: ignore_lsp_id
                                                
                                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                	**type**\:  bool
                                                
                                                .. attribute:: penultimate_node_exception
                                                
                                                	Penultimate\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: processing_node_exception
                                                
                                                	Processing\-node exception flag
                                                	**type**\:  bool
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.destination_node_exception = None
                                                    self.exclusion_type = None
                                                    self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                    self.fec.parent = self
                                                    self.ignore_lsp_id = None
                                                    self.penultimate_node_exception = None
                                                    self.processing_node_exception = None


                                                class Fec(object):
                                                    """
                                                    LSP FEC
                                                    
                                                    .. attribute:: fec_destination_info
                                                    
                                                    	Destination or P2MP ID
                                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                    
                                                    .. attribute:: fec_extended_tunnel_id
                                                    
                                                    	Extended tunnel ID
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_lsp_id
                                                    
                                                    	LSP ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_source
                                                    
                                                    	Tunnel source address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_tunnel_id
                                                    
                                                    	Tunnel ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_vrf
                                                    
                                                    	VRF; currently only for GMPLS tunnels
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                        self.fec_destination_info.parent = self
                                                        self.fec_extended_tunnel_id = None
                                                        self.fec_lsp_id = None
                                                        self.fec_source = None
                                                        self.fec_tunnel_id = None
                                                        self.fec_vrf = None


                                                    class FecDestinationInfo(object):
                                                        """
                                                        Destination or P2MP ID
                                                        
                                                        .. attribute:: fec_ctype
                                                        
                                                        	FEC CType
                                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                        
                                                        .. attribute:: fec_destination_p2mp_id
                                                        
                                                        	P2MP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: p2p_lsp_destination
                                                        
                                                        	P2P LSP destination
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_ctype = None
                                                            self.fec_destination_p2mp_id = None
                                                            self.p2p_lsp_destination = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_ctype is not None:
                                                                return True

                                                            if self.fec_destination_p2mp_id is not None:
                                                                return True

                                                            if self.p2p_lsp_destination is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                            return True

                                                        if self.fec_extended_tunnel_id is not None:
                                                            return True

                                                        if self.fec_lsp_id is not None:
                                                            return True

                                                        if self.fec_source is not None:
                                                            return True

                                                        if self.fec_tunnel_id is not None:
                                                            return True

                                                        if self.fec_vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.destination_node_exception is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.fec is not None and self.fec._has_data():
                                                        return True

                                                    if self.ignore_lsp_id is not None:
                                                        return True

                                                    if self.penultimate_node_exception is not None:
                                                        return True

                                                    if self.processing_node_exception is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.as_subobject is not None and self.as_subobject._has_data():
                                                    return True

                                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                    return True

                                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                    return True

                                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                    return True

                                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.mutual_diversity_flag is not None:
                                                return True

                                            if self.xro_subobject is not None:
                                                for child_ref in self.xro_subobject:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.xro is not None and self.xro._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                class AttributeSetP2Mpte(object):
                                    """
                                    MPLS TE P2MP\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                        self.affinity.parent = self
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.frr_bandwidth_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_priority_configured = None
                                        self.setup_priority = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                class AttributeSetApsPp(object):
                                    """
                                    Attribute Set OTN APS Path Protection
                                    
                                    .. attribute:: hold_off_time
                                    
                                    	Hold\-off time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path Protection Profile Type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: protection_mode
                                    
                                    	Protection Restoration Mode
                                    	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                    
                                    .. attribute:: protection_type
                                    
                                    	Protection Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: restoration_style
                                    
                                    	Restoration Style
                                    	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                    
                                    .. attribute:: revert_schedule
                                    
                                    	Revert Schedule
                                    	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                    
                                    .. attribute:: snc_mode
                                    
                                    	Sub\-network Connection Mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	Sub\-network Connection Monitoring Mode
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wait_to_restore_time
                                    
                                    	Wait to restore time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.hold_off_time = None
                                        self.path_prot_profile_type = None
                                        self.protection_mode = None
                                        self.protection_type = None
                                        self.restoration_style = None
                                        self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                        self.revert_schedule.parent = self
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wait_to_restore_time = None


                                    class RevertSchedule(object):
                                        """
                                        Revert Schedule
                                        
                                        .. attribute:: duration
                                        
                                        	Duration for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_tries
                                        
                                        	Max tries for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_date
                                        
                                        	Schedule time for reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_frequency
                                        
                                        	Schedule frequency for reversion
                                        	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                        
                                        .. attribute:: schedulename
                                        
                                        	Schedule name identifier
                                        	**type**\:  str
                                        
                                        	**length:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.duration = None
                                            self.max_tries = None
                                            self.schedule_date = None
                                            self.schedule_frequency = None
                                            self.schedulename = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.duration is not None:
                                                return True

                                            if self.max_tries is not None:
                                                return True

                                            if self.schedule_date is not None:
                                                return True

                                            if self.schedule_frequency is not None:
                                                return True

                                            if self.schedulename is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.hold_off_time is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.protection_mode is not None:
                                            return True

                                        if self.protection_type is not None:
                                            return True

                                        if self.restoration_style is not None:
                                            return True

                                        if self.revert_schedule is not None and self.revert_schedule._has_data():
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wait_to_restore_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                class AttributeSetP2PTe(object):
                                    """
                                    MPLS TE P2P\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is Path Invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is Path Invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_select_configured
                                    
                                    	Is any of the path selection parameters configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_metric_configured
                                    
                                    	Is path selection metric configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                    
                                    	Is path selection segment routing configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_configured
                                    
                                    	Is path selection margin configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_relative
                                    
                                    	Path selection margin is\_relative
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_prepend_list_configured
                                    
                                    	Is SR prepend list configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation timeout on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                    
                                    .. attribute:: path_selection_metric
                                    
                                    	Path selection metric type
                                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_adjacency_protection
                                    
                                    	Path selection segment\-routing type
                                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_margin
                                    
                                    	Path selection margin
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_segment_routing_segment_limit
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: prepend_list
                                    
                                    	SR prepend list
                                    	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                        self.affinity.parent = self
                                        self.is_affinity_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_path_select_configured = None
                                        self.is_path_selection_metric_configured = None
                                        self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                        self.is_path_selection_segment_routing_margin_configured = None
                                        self.is_path_selection_segment_routing_margin_relative = None
                                        self.is_path_selection_segment_routing_segment_limit_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.is_prepend_list_configured = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                        self.logging.parent = self
                                        self.path_invalidation_timeout = None
                                        self.path_selection_invalidation_action = None
                                        self.path_selection_metric = None
                                        self.path_selection_segment_routing_adjacency_protection = None
                                        self.path_selection_segment_routing_margin = None
                                        self.path_selection_segment_routing_segment_limit = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.prepend_list = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                        self.prepend_list.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                    class PrependList(object):
                                        """
                                        SR prepend list
                                        
                                        .. attribute:: prepend_entry
                                        
                                        	List of prepend entries
                                        	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.prepend_entry = YList()
                                            self.prepend_entry.parent = self
                                            self.prepend_entry.name = 'prepend_entry'


                                        class PrependEntry(object):
                                            """
                                            List of prepend entries
                                            
                                            .. attribute:: index
                                            
                                            	Prepend index
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: next_label
                                            
                                            	Prepend next label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: type
                                            
                                            	Prepend Type
                                            	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.index = None
                                                self.next_label = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.index is not None:
                                                    return True

                                                if self.next_label is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.prepend_entry is not None:
                                                for child_ref in self.prepend_entry:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_path_select_configured is not None:
                                            return True

                                        if self.is_path_selection_metric_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_relative is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.is_prepend_list_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.path_selection_invalidation_action is not None:
                                            return True

                                        if self.path_selection_metric is not None:
                                            return True

                                        if self.path_selection_segment_routing_adjacency_protection is not None:
                                            return True

                                        if self.path_selection_segment_routing_margin is not None:
                                            return True

                                        if self.path_selection_segment_routing_segment_limit is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.prepend_list is not None and self.prepend_list._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                        return True

                                    if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                        return True

                                    if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                        return True

                                    if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                        return True

                                    if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                        return True

                                    if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                        return True

                                    if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                        return True

                                    if self.tunnel_attribute_set_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                    return True

                                if self.tunnel_attribute_set_name is not None:
                                    return True

                                if self.tunnel_attribute_set_name_crc32 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet']['meta_info']


                        class XroAttributeSet(object):
                            """
                            The XRO attribute set used by this path\-option
                            
                            .. attribute:: attribute_set_union
                            
                            	Union of Attribute Sets
                            	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion>`
                            
                            .. attribute:: tunnel_attribute_set_name
                            
                            	Attribute Set Name
                            	**type**\:  str
                            
                            .. attribute:: tunnel_attribute_set_name_crc32
                            
                            	Attribute Set name CRC32 value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion()
                                self.attribute_set_union.parent = self
                                self.tunnel_attribute_set_name = None
                                self.tunnel_attribute_set_name_crc32 = None


                            class AttributeSetUnion(object):
                                """
                                Union of Attribute Sets
                                
                                .. attribute:: attribute_set_aps_pp
                                
                                	Attribute Set OTN APS Path Protection
                                	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                
                                .. attribute:: attribute_set_autobackup
                                
                                	MPLS TE Auto\-backup Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                
                                .. attribute:: attribute_set_automesh
                                
                                	MPLS TE Auto\-mesh Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                
                                .. attribute:: attribute_set_p2mpte
                                
                                	MPLS TE P2MP\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                
                                .. attribute:: attribute_set_p2p_te
                                
                                	MPLS TE P2P\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                
                                .. attribute:: attribute_set_path_option
                                
                                	MPLS TE Path Option Attribute Set
                                	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                
                                .. attribute:: attribute_set_xro
                                
                                	Attribute Set XRO
                                	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                
                                .. attribute:: tunnel_attribute_set_type
                                
                                	TunnelAttributeSetType
                                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                    self.attribute_set_aps_pp.parent = self
                                    self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                    self.attribute_set_autobackup.parent = self
                                    self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                    self.attribute_set_automesh.parent = self
                                    self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                    self.attribute_set_p2mpte.parent = self
                                    self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                    self.attribute_set_p2p_te.parent = self
                                    self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                    self.attribute_set_path_option.parent = self
                                    self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                    self.attribute_set_xro.parent = self
                                    self.tunnel_attribute_set_type = None


                                class AttributeSetPathOption(object):
                                    """
                                    MPLS TE Path Option Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                    
                                    .. attribute:: bandwidth_type
                                    
                                    	The bandwidth type
                                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                    
                                    .. attribute:: bfd_reverse_path
                                    
                                    	BFD reverse path
                                    	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: cost_limit
                                    
                                    	Cost limit on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: exclude_list_name
                                    
                                    	Exclude list name
                                    	**type**\:  str
                                    
                                    .. attribute:: generation
                                    
                                    	Generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bfd_reverse_pat_configured
                                    
                                    	Is BFD reverse path configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_cost_limit_configured
                                    
                                    	Is Cost Limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_exclude_list_name_configured
                                    
                                    	Is exclude list name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is path invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is path invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation interval on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: version_info
                                    
                                    	Version Info
                                    	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                        self.affinity.parent = self
                                        self.bandwidth_type = None
                                        self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                        self.bfd_reverse_path.parent = self
                                        self.configured_bandwidth = None
                                        self.cost_limit = None
                                        self.dste_class_type = None
                                        self.exclude_list_name = None
                                        self.generation = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_bfd_reverse_pat_configured = None
                                        self.is_cost_limit_configured = None
                                        self.is_exclude_list_name_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.path_invalidation_action = None
                                        self.path_invalidation_timeout = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'
                                        self.version_info = YList()
                                        self.version_info.parent = self
                                        self.version_info.name = 'version_info'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                    class BfdReversePath(object):
                                        """
                                        BFD reverse path
                                        
                                        .. attribute:: binding_label
                                        
                                        	BFD reverse path binding label
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_type
                                        
                                        	BFD reverse path type
                                        	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.binding_label = None
                                            self.path_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.binding_label is not None:
                                                return True

                                            if self.path_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                    class VersionInfo(object):
                                        """
                                        Version Info
                                        
                                        .. attribute:: attribute_type
                                        
                                        	Attribute Type
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_default
                                        
                                        	Is default
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute_type = None
                                            self.generation = None
                                            self.is_default = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute_type is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_default is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.bandwidth_type is not None:
                                            return True

                                        if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.cost_limit is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.exclude_list_name is not None:
                                            return True

                                        if self.generation is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_bfd_reverse_pat_configured is not None:
                                            return True

                                        if self.is_cost_limit_configured is not None:
                                            return True

                                        if self.is_exclude_list_name_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.path_invalidation_action is not None:
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        if self.version_info is not None:
                                            for child_ref in self.version_info:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                class AttributeSetAutobackup(object):
                                    """
                                    MPLS TE Auto\-backup Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_signalled_name_configured
                                    
                                    	Is signalled name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: protected_interface
                                    
                                    	Array of Protected Interface Names
                                    	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: signalled_name
                                    
                                    	Signalled name
                                    	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                        self.affinity.parent = self
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.is_signalled_name_configured = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                        self.logging.parent = self
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.protected_interface = YList()
                                        self.protected_interface.parent = self
                                        self.protected_interface.name = 'protected_interface'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.signalled_name = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                        self.signalled_name.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class SignalledName(object):
                                        """
                                        Signalled name
                                        
                                        .. attribute:: is_mp_addresses
                                        
                                        	MP address appended
                                        	**type**\:  bool
                                        
                                        .. attribute:: name
                                        
                                        	Signalled name
                                        	**type**\:  str
                                        
                                        .. attribute:: protected_interface_type
                                        
                                        	Protected interface address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        .. attribute:: source_type
                                        
                                        	Source address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.is_mp_addresses = None
                                            self.name = None
                                            self.protected_interface_type = None
                                            self.source_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.is_mp_addresses is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.protected_interface_type is not None:
                                                return True

                                            if self.source_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                    class ProtectedInterface(object):
                                        """
                                        Array of Protected Interface Names
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Protected Interface Name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.protected_interface = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.protected_interface is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.is_signalled_name_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.protected_interface is not None:
                                            for child_ref in self.protected_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.signalled_name is not None and self.signalled_name._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                class AttributeSetAutomesh(object):
                                    """
                                    MPLS TE Auto\-mesh Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                    
                                    .. attribute:: auto_bandwidth_collect
                                    
                                    	Auto bandwidth collect only
                                    	**type**\:  bool
                                    
                                    .. attribute:: auto_route_announce
                                    
                                    	Announce auto route to IGP
                                    	**type**\:  bool
                                    
                                    .. attribute:: bandwidth
                                    
                                    	IM bandwidth
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: forward_class
                                    
                                    	Forward class
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_node_protection
                                    
                                    	FRR Node protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_interface_bw_configured
                                    
                                    	Is Interface BW configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: load_share
                                    
                                    	Load Share
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                    
                                    .. attribute:: mesh_group_id
                                    
                                    	Meshgroup ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: soft_preemption_configured
                                    
                                    	Soft preemption is configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                        self.affinity.parent = self
                                        self.auto_bandwidth_collect = None
                                        self.auto_route_announce = None
                                        self.bandwidth = None
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.forward_class = None
                                        self.frr_bandwidth_protection = None
                                        self.frr_node_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_interface_bw_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.load_share = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                        self.logging.parent = self
                                        self.mesh_group_id = YLeafList()
                                        self.mesh_group_id.parent = self
                                        self.mesh_group_id.name = 'mesh_group_id'
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.soft_preemption_configured = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.auto_bandwidth_collect is not None:
                                            return True

                                        if self.auto_route_announce is not None:
                                            return True

                                        if self.bandwidth is not None:
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.forward_class is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.frr_node_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_interface_bw_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.load_share is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.mesh_group_id is not None:
                                            for child in self.mesh_group_id:
                                                if child is not None:
                                                    return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.soft_preemption_configured is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                class AttributeSetXro(object):
                                    """
                                    Attribute Set XRO
                                    
                                    .. attribute:: xro
                                    
                                    	The XRO specified by this attribute\-set
                                    	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.xro = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                        self.xro.parent = self


                                    class Xro(object):
                                        """
                                        The XRO specified by this attribute\-set
                                        
                                        .. attribute:: mutual_diversity_flag
                                        
                                        	Mutual Diversity Flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: xro_subobject
                                        
                                        	List of XRO sub\-objects
                                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.mutual_diversity_flag = None
                                            self.xro_subobject = YList()
                                            self.xro_subobject.parent = self
                                            self.xro_subobject.name = 'xro_subobject'


                                        class XroSubobject(object):
                                            """
                                            List of XRO sub\-objects
                                            
                                            .. attribute:: as_subobject
                                            
                                            	AS sub\-object
                                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                            
                                            .. attribute:: ipv4_subobject
                                            
                                            	IPv4 sub\-object
                                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                            
                                            .. attribute:: ipv6_subobject
                                            
                                            	IPv6 sub\-object
                                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                            
                                            .. attribute:: lsp_subobject
                                            
                                            	P2P LSP sub\-object
                                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                            
                                            .. attribute:: srlg_subobject
                                            
                                            	SRLG sub\-object
                                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                            
                                            .. attribute:: unnumbered_subobject
                                            
                                            	Unnumbered sub\-object
                                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.as_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                self.as_subobject.parent = self
                                                self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                self.ipv4_subobject.parent = self
                                                self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                self.ipv6_subobject.parent = self
                                                self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                self.lsp_subobject.parent = self
                                                self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                self.srlg_subobject.parent = self
                                                self.type = None
                                                self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                self.unnumbered_subobject.parent = self


                                            class Ipv4Subobject(object):
                                                """
                                                IPv4 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv4 address
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                            class Ipv6Subobject(object):
                                                """
                                                IPv6 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv6 address
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                            class UnnumberedSubobject(object):
                                                """
                                                Unnumbered sub\-object
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: interface_id
                                                
                                                	Interface ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: te_router_id
                                                
                                                	TE router\-id
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.interface_id = None
                                                    self.te_router_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.interface_id is not None:
                                                        return True

                                                    if self.te_router_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                            class AsSubobject(object):
                                                """
                                                AS sub\-object
                                                
                                                .. attribute:: as_number
                                                
                                                	Autonomous System number
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_number = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_number is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                            class SrlgSubobject(object):
                                                """
                                                SRLG sub\-object
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: srlg_id
                                                
                                                	SRLG ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.exclusion_type = None
                                                    self.srlg_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.srlg_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                            class LspSubobject(object):
                                                """
                                                P2P LSP sub\-object
                                                
                                                .. attribute:: destination_node_exception
                                                
                                                	Destination\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: fec
                                                
                                                	LSP FEC
                                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                
                                                .. attribute:: ignore_lsp_id
                                                
                                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                	**type**\:  bool
                                                
                                                .. attribute:: penultimate_node_exception
                                                
                                                	Penultimate\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: processing_node_exception
                                                
                                                	Processing\-node exception flag
                                                	**type**\:  bool
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.destination_node_exception = None
                                                    self.exclusion_type = None
                                                    self.fec = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                    self.fec.parent = self
                                                    self.ignore_lsp_id = None
                                                    self.penultimate_node_exception = None
                                                    self.processing_node_exception = None


                                                class Fec(object):
                                                    """
                                                    LSP FEC
                                                    
                                                    .. attribute:: fec_destination_info
                                                    
                                                    	Destination or P2MP ID
                                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                    
                                                    .. attribute:: fec_extended_tunnel_id
                                                    
                                                    	Extended tunnel ID
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_lsp_id
                                                    
                                                    	LSP ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_source
                                                    
                                                    	Tunnel source address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_tunnel_id
                                                    
                                                    	Tunnel ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_vrf
                                                    
                                                    	VRF; currently only for GMPLS tunnels
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                        self.fec_destination_info.parent = self
                                                        self.fec_extended_tunnel_id = None
                                                        self.fec_lsp_id = None
                                                        self.fec_source = None
                                                        self.fec_tunnel_id = None
                                                        self.fec_vrf = None


                                                    class FecDestinationInfo(object):
                                                        """
                                                        Destination or P2MP ID
                                                        
                                                        .. attribute:: fec_ctype
                                                        
                                                        	FEC CType
                                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                        
                                                        .. attribute:: fec_destination_p2mp_id
                                                        
                                                        	P2MP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: p2p_lsp_destination
                                                        
                                                        	P2P LSP destination
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_ctype = None
                                                            self.fec_destination_p2mp_id = None
                                                            self.p2p_lsp_destination = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_ctype is not None:
                                                                return True

                                                            if self.fec_destination_p2mp_id is not None:
                                                                return True

                                                            if self.p2p_lsp_destination is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                            return True

                                                        if self.fec_extended_tunnel_id is not None:
                                                            return True

                                                        if self.fec_lsp_id is not None:
                                                            return True

                                                        if self.fec_source is not None:
                                                            return True

                                                        if self.fec_tunnel_id is not None:
                                                            return True

                                                        if self.fec_vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.destination_node_exception is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.fec is not None and self.fec._has_data():
                                                        return True

                                                    if self.ignore_lsp_id is not None:
                                                        return True

                                                    if self.penultimate_node_exception is not None:
                                                        return True

                                                    if self.processing_node_exception is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.as_subobject is not None and self.as_subobject._has_data():
                                                    return True

                                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                    return True

                                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                    return True

                                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                    return True

                                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.mutual_diversity_flag is not None:
                                                return True

                                            if self.xro_subobject is not None:
                                                for child_ref in self.xro_subobject:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.xro is not None and self.xro._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                class AttributeSetP2Mpte(object):
                                    """
                                    MPLS TE P2MP\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                        self.affinity.parent = self
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.frr_bandwidth_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_priority_configured = None
                                        self.setup_priority = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                class AttributeSetApsPp(object):
                                    """
                                    Attribute Set OTN APS Path Protection
                                    
                                    .. attribute:: hold_off_time
                                    
                                    	Hold\-off time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path Protection Profile Type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: protection_mode
                                    
                                    	Protection Restoration Mode
                                    	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                    
                                    .. attribute:: protection_type
                                    
                                    	Protection Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: restoration_style
                                    
                                    	Restoration Style
                                    	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                    
                                    .. attribute:: revert_schedule
                                    
                                    	Revert Schedule
                                    	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                    
                                    .. attribute:: snc_mode
                                    
                                    	Sub\-network Connection Mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	Sub\-network Connection Monitoring Mode
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wait_to_restore_time
                                    
                                    	Wait to restore time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.hold_off_time = None
                                        self.path_prot_profile_type = None
                                        self.protection_mode = None
                                        self.protection_type = None
                                        self.restoration_style = None
                                        self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                        self.revert_schedule.parent = self
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wait_to_restore_time = None


                                    class RevertSchedule(object):
                                        """
                                        Revert Schedule
                                        
                                        .. attribute:: duration
                                        
                                        	Duration for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_tries
                                        
                                        	Max tries for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_date
                                        
                                        	Schedule time for reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_frequency
                                        
                                        	Schedule frequency for reversion
                                        	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                        
                                        .. attribute:: schedulename
                                        
                                        	Schedule name identifier
                                        	**type**\:  str
                                        
                                        	**length:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.duration = None
                                            self.max_tries = None
                                            self.schedule_date = None
                                            self.schedule_frequency = None
                                            self.schedulename = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.duration is not None:
                                                return True

                                            if self.max_tries is not None:
                                                return True

                                            if self.schedule_date is not None:
                                                return True

                                            if self.schedule_frequency is not None:
                                                return True

                                            if self.schedulename is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.hold_off_time is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.protection_mode is not None:
                                            return True

                                        if self.protection_type is not None:
                                            return True

                                        if self.restoration_style is not None:
                                            return True

                                        if self.revert_schedule is not None and self.revert_schedule._has_data():
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wait_to_restore_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                class AttributeSetP2PTe(object):
                                    """
                                    MPLS TE P2P\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is Path Invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is Path Invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_select_configured
                                    
                                    	Is any of the path selection parameters configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_metric_configured
                                    
                                    	Is path selection metric configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                    
                                    	Is path selection segment routing configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_configured
                                    
                                    	Is path selection margin configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_relative
                                    
                                    	Path selection margin is\_relative
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_prepend_list_configured
                                    
                                    	Is SR prepend list configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation timeout on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                    
                                    .. attribute:: path_selection_metric
                                    
                                    	Path selection metric type
                                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_adjacency_protection
                                    
                                    	Path selection segment\-routing type
                                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_margin
                                    
                                    	Path selection margin
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_segment_routing_segment_limit
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: prepend_list
                                    
                                    	SR prepend list
                                    	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                        self.affinity.parent = self
                                        self.is_affinity_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_path_select_configured = None
                                        self.is_path_selection_metric_configured = None
                                        self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                        self.is_path_selection_segment_routing_margin_configured = None
                                        self.is_path_selection_segment_routing_margin_relative = None
                                        self.is_path_selection_segment_routing_segment_limit_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.is_prepend_list_configured = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                        self.logging.parent = self
                                        self.path_invalidation_timeout = None
                                        self.path_selection_invalidation_action = None
                                        self.path_selection_metric = None
                                        self.path_selection_segment_routing_adjacency_protection = None
                                        self.path_selection_segment_routing_margin = None
                                        self.path_selection_segment_routing_segment_limit = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.prepend_list = MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                        self.prepend_list.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                    class PrependList(object):
                                        """
                                        SR prepend list
                                        
                                        .. attribute:: prepend_entry
                                        
                                        	List of prepend entries
                                        	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.prepend_entry = YList()
                                            self.prepend_entry.parent = self
                                            self.prepend_entry.name = 'prepend_entry'


                                        class PrependEntry(object):
                                            """
                                            List of prepend entries
                                            
                                            .. attribute:: index
                                            
                                            	Prepend index
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: next_label
                                            
                                            	Prepend next label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: type
                                            
                                            	Prepend Type
                                            	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.index = None
                                                self.next_label = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.index is not None:
                                                    return True

                                                if self.next_label is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.prepend_entry is not None:
                                                for child_ref in self.prepend_entry:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_path_select_configured is not None:
                                            return True

                                        if self.is_path_selection_metric_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_relative is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.is_prepend_list_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.path_selection_invalidation_action is not None:
                                            return True

                                        if self.path_selection_metric is not None:
                                            return True

                                        if self.path_selection_segment_routing_adjacency_protection is not None:
                                            return True

                                        if self.path_selection_segment_routing_margin is not None:
                                            return True

                                        if self.path_selection_segment_routing_segment_limit is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.prepend_list is not None and self.prepend_list._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                        return True

                                    if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                        return True

                                    if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                        return True

                                    if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                        return True

                                    if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                        return True

                                    if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                        return True

                                    if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                        return True

                                    if self.tunnel_attribute_set_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                    return True

                                if self.tunnel_attribute_set_name is not None:
                                    return True

                                if self.tunnel_attribute_set_name_crc32 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet']['meta_info']


                        class PathCalculationError(object):
                            """
                            Path computation information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.PathCalculationError']['meta_info']


                        class RemergeError(object):
                            """
                            Path computation remerge resolve info
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.RemergeError']['meta_info']


                        class SignallingError(object):
                            """
                            Signalling information
                            
                            .. attribute:: error
                            
                            	Path Error code
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: error_node
                            
                            	Source address of the error generating node
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: log_time
                            
                            	Time in seconds when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSPMode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            .. attribute:: reverse_lsp
                            
                            	Indicates if error is on the reverse LSP
                            	**type**\:  bool
                            
                            .. attribute:: signalling_lsp_id
                            
                            	LSP\-id for which the error was received
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: sub_code
                            
                            	Path Error subcode
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error = None
                                self.error_message = None
                                self.error_node = None
                                self.log_time = None
                                self.lsp_mode = None
                                self.reverse_lsp = None
                                self.signalling_lsp_id = None
                                self.sub_code = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error is not None:
                                    return True

                                if self.error_message is not None:
                                    return True

                                if self.error_node is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                if self.reverse_lsp is not None:
                                    return True

                                if self.signalling_lsp_id is not None:
                                    return True

                                if self.sub_code is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.SignallingError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-option'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.attribute_set is not None and self.attribute_set._has_data():
                                return True

                            if self.attribute_set_found is not None:
                                return True

                            if self.explicit_path_id is not None:
                                return True

                            if self.explicit_path_name is not None:
                                return True

                            if self.has_attribute_set is not None:
                                return True

                            if self.has_xro_attribute_set is not None:
                                return True

                            if self.holddown_duration is not None:
                                return True

                            if self.is_disabled is not None:
                                return True

                            if self.is_helddown is not None:
                                return True

                            if self.is_lockdown is not None:
                                return True

                            if self.is_segment_routing is not None:
                                return True

                            if self.is_strict_explicit_path is not None:
                                return True

                            if self.is_verbatim is not None:
                                return True

                            if self.option_index is not None:
                                return True

                            if self.option_index_is_valid is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_area_id is not None:
                                return True

                            if self.path_option_name is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.pce_address is not None:
                                return True

                            if self.protected_by_path_option_index is not None:
                                return True

                            if self.remerge_error is not None:
                                for child_ref in self.remerge_error:
                                    if child_ref._has_data():
                                        return True

                            if self.restored_from_path_option_index is not None:
                                return True

                            if self.signalling_error is not None:
                                for child_ref in self.signalling_error:
                                    if child_ref._has_data():
                                        return True

                            if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                return True

                            if self.xro_attribute_set_found is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:destination'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.active_path_option_index is not None:
                            return True

                        if self.destination_address is not None:
                            return True

                        if self.destination_deletion_cause is not None:
                            return True

                        if self.destination_deletion_sub_cause is not None:
                            return True

                        if self.destination_deletion_timestamp is not None:
                            return True

                        if self.destination_state is not None:
                            return True

                        if self.inter_area_reoptimization is not None and self.inter_area_reoptimization._has_data():
                            return True

                        if self.is_inter_area is not None:
                            return True

                        if self.path_change_time is not None:
                            return True

                        if self.path_option is not None:
                            for child_ref in self.path_option:
                                if child_ref._has_data():
                                    return True

                        if self.path_option_entry is not None:
                            for child_ref in self.path_option_entry:
                                if child_ref._has_data():
                                    return True

                        if self.path_option_exhausted is not None:
                            return True

                        if self.s2l_exist is not None:
                            return True

                        if self.total_uptime is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination']['meta_info']

                @property
                def _common_path(self):
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.source_address is None:
                        raise YPYModelError('Key property source_address is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:p2p-p2mp-tunnel/Cisco-IOS-XR-mpls-te-oper:nni-tunnels/Cisco-IOS-XR-mpls-te-oper:nni-tunnel[Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:source-address = ' + str(self.source_address) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.destination_address is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.admin_state is not None:
                        return True

                    if self.affinity_failure_delayed_tear_time_remained is not None:
                        return True

                    if self.affinity_failure_reopt_disabled is not None:
                        return True

                    if self.affinity_failure_reopt_time_remained is not None:
                        return True

                    if self.area_id is not None:
                        return True

                    if self.auto_backup is not None and self.auto_backup._has_data():
                        return True

                    if self.auto_mesh is not None and self.auto_mesh._has_data():
                        return True

                    if self.auto_pcc is not None and self.auto_pcc._has_data():
                        return True

                    if self.auto_route is not None:
                        return True

                    if self.autoroute_announce_exclude_segment_routing is not None:
                        return True

                    if self.bandwidth_requested is not None:
                        return True

                    if self.bandwidth_type is not None:
                        return True

                    if self.bfd_info is not None and self.bfd_info._has_data():
                        return True

                    if self.bidir is not None and self.bidir._has_data():
                        return True

                    if self.binding_label is not None:
                        return True

                    if self.binding_label_exists is not None:
                        return True

                    if self.cleaned_lsp is not None and self.cleaned_lsp._has_data():
                        return True

                    if self.config is not None and self.config._has_data():
                        return True

                    if self.create_time is not None:
                        return True

                    if self.delay_clean_pp_lsp is not None and self.delay_clean_pp_lsp._has_data():
                        return True

                    if self.destination is not None:
                        for child_ref in self.destination:
                            if child_ref._has_data():
                                return True

                    if self.destination_disabled_count is not None:
                        return True

                    if self.destination_down_count is not None:
                        return True

                    if self.destination_up_count is not None:
                        return True

                    if self.drop_mode is not None:
                        return True

                    if self.explicit_path_change is not None:
                        return True

                    if self.fail_reason is not None:
                        return True

                    if self.flex_info is not None and self.flex_info._has_data():
                        return True

                    if self.forwarding_adjacency is not None:
                        return True

                    if self.history is not None and self.history._has_data():
                        return True

                    if self.hop_limit_ignored_reason is not None:
                        return True

                    if self.invalidation_time_remained is not None:
                        return True

                    if self.is_auto_backup is not None:
                        return True

                    if self.is_auto_pcc is not None:
                        return True

                    if self.is_bandwidth_protect is not None:
                        return True

                    if self.is_hop_limit_ignore is not None:
                        return True

                    if self.is_inter_area_tunnel is not None:
                        return True

                    if self.is_interface is not None:
                        return True

                    if self.is_named is not None:
                        return True

                    if self.is_node_protected is not None:
                        return True

                    if self.is_passive is not None:
                        return True

                    if self.is_pce_delegated is not None:
                        return True

                    if self.last_hop_ifindex is not None:
                        return True

                    if self.last_path_change is not None:
                        return True

                    if self.load_share_factor is not None:
                        return True

                    if self.load_share_type is not None:
                        return True

                    if self.lsp_wrap_label is not None:
                        return True

                    if self.lsp_wrap_protection_enabled is not None:
                        return True

                    if self.metric_qualifier is not None:
                        return True

                    if self.metric_type is not None:
                        return True

                    if self.operational_state is not None:
                        return True

                    if self.operational_state_changes is not None:
                        return True

                    if self.otn_bidir is not None and self.otn_bidir._has_data():
                        return True

                    if self.outbound_frr_state is not None:
                        return True

                    if self.p2p_info is not None and self.p2p_info._has_data():
                        return True

                    if self.passive_tunnel_name is not None:
                        return True

                    if self.path_option_change is not None:
                        return True

                    if self.path_protection is not None and self.path_protection._has_data():
                        return True

                    if self.pce_delegation is not None and self.pce_delegation._has_data():
                        return True

                    if self.pce_fail_reason is not None:
                        return True

                    if self.persistent_bytes is not None:
                        return True

                    if self.persistent_packets is not None:
                        return True

                    if self.re_opt_hold_down_timer_remaining is not None:
                        return True

                    if self.reoptimized_p2mp_lsp is not None and self.reoptimized_p2mp_lsp._has_data():
                        return True

                    if self.reoptimized_standby_p2mp_lsp is not None and self.reoptimized_standby_p2mp_lsp._has_data():
                        return True

                    if self.reroute_pending is not None:
                        return True

                    if self.role_standby is not None:
                        return True

                    if self.signaled_name is not None:
                        return True

                    if self.snmp_index is not None:
                        return True

                    if self.soft_preemption is not None and self.soft_preemption._has_data():
                        return True

                    if self.te_tunnel_convergence is not None and self.te_tunnel_convergence._has_data():
                        return True

                    if self.tie_breaker is not None:
                        return True

                    if self.tiebreaker_qualifier is not None:
                        return True

                    if self.tiebreaker_type is not None:
                        return True

                    if self.transport_tunnel_info is not None and self.transport_tunnel_info._has_data():
                        return True

                    if self.tunnel_attribute_set_name is not None:
                        return True

                    if self.tunnel_attribute_set_type is not None:
                        return True

                    if self.tunnel_current_lsp is not None and self.tunnel_current_lsp._has_data():
                        return True

                    if self.tunnel_interface_name is not None:
                        return True

                    if self.tunnel_recovering is not None:
                        return True

                    if self.tunnel_restoration_lsp is not None and self.tunnel_restoration_lsp._has_data():
                        return True

                    if self.tunnel_standby_lsp is not None and self.tunnel_standby_lsp._has_data():
                        return True

                    if self.uptime is not None:
                        return True

                    if self.wdm_unitunnel is not None and self.wdm_unitunnel._has_data():
                        return True

                    if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                        return True

                    if self.xro_attribute_set_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:p2p-p2mp-tunnel/Cisco-IOS-XR-mpls-te-oper:nni-tunnels'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.nni_tunnel is not None:
                    for child_ref in self.nni_tunnel:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels']['meta_info']


        class TunnelHeads(object):
            """
            Restrict display to P2P or P2MP head tunnels
            
            .. attribute:: tunnel_head
            
            	mpls te p2p or p2mp tunnels
            	**type**\: list of    :py:class:`TunnelHead <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tunnel_head = YList()
                self.tunnel_head.parent = self
                self.tunnel_head.name = 'tunnel_head'


            class TunnelHead(object):
                """
                mpls te p2p or p2mp tunnels
                
                .. attribute:: tunnel_name  <key>
                
                	Tunnel Name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: admin_state
                
                	Administrative State
                	**type**\:   :py:class:`MteTunnelAdminStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteTunnelAdminStateEnum>`
                
                .. attribute:: affinity_failure_delayed_tear_time_remained
                
                	Affinity Failure LSP tear down time remaining
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: affinity_failure_reopt_disabled
                
                	AffinityFailureReoptDisabled
                	**type**\:  bool
                
                .. attribute:: affinity_failure_reopt_time_remained
                
                	AffinityFailureReoptTimeRemained
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: area_id
                
                	Indicates the protocol and area used to find Outgoing ERO
                	**type**\:  str
                
                .. attribute:: auto_backup
                
                	Autobackup Information
                	**type**\:   :py:class:`AutoBackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup>`
                
                .. attribute:: auto_mesh
                
                	Automesh Information
                	**type**\:   :py:class:`AutoMesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoMesh>`
                
                .. attribute:: auto_pcc
                
                	Auto\-PCC Information
                	**type**\:   :py:class:`AutoPcc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoPcc>`
                
                .. attribute:: auto_route
                
                	IGP Auto route announce enabled
                	**type**\:  bool
                
                .. attribute:: autoroute_announce_exclude_segment_routing
                
                	Indicates whether this tunnel is autoroute announced with exclude segment\-routing option
                	**type**\:  bool
                
                .. attribute:: bandwidth_requested
                
                	Bandwidth Requested
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: bandwidth_type
                
                	The requested bandwidth type
                	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                
                .. attribute:: bfd_info
                
                	BFD session info. This is NULL if BFD is not configured
                	**type**\:   :py:class:`BfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo>`
                
                .. attribute:: bidir
                
                	Bidir info
                	**type**\:   :py:class:`Bidir <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir>`
                
                .. attribute:: binding_label
                
                	Binding Label
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: binding_label_exists
                
                	True, if binding label exists
                	**type**\:  bool
                
                .. attribute:: cleaned_lsp
                
                	Cleaned LSP
                	**type**\:   :py:class:`CleanedLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp>`
                
                .. attribute:: config
                
                	Configuration data
                	**type**\:   :py:class:`Config <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config>`
                
                .. attribute:: create_time
                
                	Time at which the tunnel was created
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: delay_clean_pp_lsp
                
                	Delay Clean PP LSP
                	**type**\:   :py:class:`DelayCleanPpLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp>`
                
                .. attribute:: destination
                
                	Destinations array
                	**type**\: list of    :py:class:`Destination <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination>`
                
                .. attribute:: destination_disabled_count
                
                	Count of disabled destinations
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: destination_down_count
                
                	Count of down destinations
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: destination_up_count
                
                	Count of up destinations
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: drop_mode
                
                	True if tunnel is in drop mode
                	**type**\:  bool
                
                .. attribute:: explicit_path_change
                
                	Explicit\-path inuse by the current LSP has been modified
                	**type**\:  bool
                
                .. attribute:: fail_reason
                
                	The reason why failure occurred
                	**type**\:   :py:class:`MplsMteTunnelFailReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsMteTunnelFailReasonEnum>`
                
                .. attribute:: flex_info
                
                	Flex Info
                	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.FlexInfo>`
                
                .. attribute:: forwarding_adjacency
                
                	IGP forwarding adjacency enabled
                	**type**\:  bool
                
                .. attribute:: history
                
                	Tunnel history
                	**type**\:   :py:class:`History <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History>`
                
                .. attribute:: hop_limit_ignored_reason
                
                	Hop\-limit ignored reason
                	**type**\:   :py:class:`TeHopLimitIgnoreEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeHopLimitIgnoreEnum>`
                
                .. attribute:: invalidation_time_remained
                
                	Path invalidation time remaining
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_auto_backup
                
                	Indicates whether this is an automatically generated backup tunnel
                	**type**\:  bool
                
                .. attribute:: is_auto_pcc
                
                	Indicates whether this is an automatic PCC tunnel
                	**type**\:  bool
                
                .. attribute:: is_bandwidth_protect
                
                	BW Protection Enabled or Disabled
                	**type**\:  bool
                
                .. attribute:: is_hop_limit_ignore
                
                	Is Hop\-limit ignored
                	**type**\:  bool
                
                .. attribute:: is_inter_area_tunnel
                
                	Indicates whether this tunnel spans multiple areas
                	**type**\:  bool
                
                .. attribute:: is_interface
                
                	True for tunnel head
                	**type**\:  bool
                
                .. attribute:: is_named
                
                	Indicates whether this tunnel is named
                	**type**\:  bool
                
                .. attribute:: is_node_protected
                
                	Node Protection Enabled or Disabled
                	**type**\:  bool
                
                .. attribute:: is_passive
                
                	True for passive tunnel
                	**type**\:  bool
                
                .. attribute:: is_pce_delegated
                
                	Indicates whether this tunnel is delegated to a PCE server or not
                	**type**\:  bool
                
                .. attribute:: last_hop_ifindex
                
                	Termination destination ifindex
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: last_path_change
                
                	Time in seconds since the last path change
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: load_share_factor
                
                	The specified loadsharing for the tunnel
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: load_share_type
                
                	Loadsharing type
                	**type**\:   :py:class:`MplsTeLoadshareEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLoadshareEnum>`
                
                .. attribute:: lsp_wrap_label
                
                	Lsp\-wrap label value
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: lsp_wrap_protection_enabled
                
                	Lsp\-wrap Protection enabled
                	**type**\:  bool
                
                .. attribute:: metric_qualifier
                
                	Describe how the metric was specified\: default, globally set, or per interface
                	**type**\:   :py:class:`MplsTeMetricQualifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricQualifierEnum>`
                
                .. attribute:: metric_type
                
                	The path selection metric
                	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                
                .. attribute:: operational_state
                
                	Operational State
                	**type**\:   :py:class:`MteTunnelOperStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteTunnelOperStateEnum>`
                
                .. attribute:: operational_state_changes
                
                	Counters for operational state changes
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: otn_bidir
                
                	OTN bidir info
                	**type**\:   :py:class:`OtnBidir <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir>`
                
                .. attribute:: outbound_frr_state
                
                	Indicates outbound FRR state
                	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                
                .. attribute:: p2p_info
                
                	P2P specific info
                	**type**\:   :py:class:`P2PInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo>`
                
                .. attribute:: passive_tunnel_name
                
                	Passive tunnel name
                	**type**\:  str
                
                .. attribute:: path_option_change
                
                	Path\-Option inuse by the current LSP has been modified
                	**type**\:  bool
                
                .. attribute:: path_protection
                
                	Path Protect Info
                	**type**\:   :py:class:`PathProtection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection>`
                
                .. attribute:: pce_delegation
                
                	PCE Delegation information
                	**type**\:   :py:class:`PceDelegation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.PceDelegation>`
                
                .. attribute:: pce_fail_reason
                
                	Failure reason for PCE\-based tunnels
                	**type**\:   :py:class:`MplsTePceFailReasonsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePceFailReasonsEnum>`
                
                .. attribute:: persistent_bytes
                
                	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                	**units**\: byte
                
                .. attribute:: persistent_packets
                
                	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: re_opt_hold_down_timer_remaining
                
                	Backup hold\-down timer remaining time in seconds
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: reoptimized_p2mp_lsp
                
                	Reopt LSP
                	**type**\:   :py:class:`ReoptimizedP2MpLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp>`
                
                .. attribute:: reoptimized_standby_p2mp_lsp
                
                	Standby Reopt LSP
                	**type**\:   :py:class:`ReoptimizedStandbyP2MpLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp>`
                
                .. attribute:: reroute_pending
                
                	ReroutePending
                	**type**\:  bool
                
                .. attribute:: role_standby
                
                	TRUE if Role is Standby, Active otherwise
                	**type**\:  bool
                
                .. attribute:: signaled_name
                
                	Signaled Name
                	**type**\:  str
                
                .. attribute:: snmp_index
                
                	SNMP index for interface
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: soft_preemption
                
                	Tunnel head soft preemption info. This is NULL if soft preemption is not configured
                	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption>`
                
                .. attribute:: te_tunnel_convergence
                
                	TE tunnel convergence related information
                	**type**\:   :py:class:`TeTunnelConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence>`
                
                .. attribute:: tie_breaker
                
                	The path selection tiebreaker
                	**type**\:   :py:class:`TePathSelectionTiebreakerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathSelectionTiebreakerEnum>`
                
                .. attribute:: tiebreaker_qualifier
                
                	Describes how the path selection tiebreaker was specified\: default, globally set, or per interface
                	**type**\:   :py:class:`MplsTeMetricQualifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricQualifierEnum>`
                
                .. attribute:: tiebreaker_type
                
                	Deprecated \- replaced by Tiebreaker
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: transport_tunnel_info
                
                	Transport tunnel data. Only exists for Transport tunnels
                	**type**\:   :py:class:`TransportTunnelInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo>`
                
                .. attribute:: tunnel_attribute_set_name
                
                	AttributeSet name
                	**type**\:  str
                
                .. attribute:: tunnel_attribute_set_type
                
                	AttributeSet type
                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                
                .. attribute:: tunnel_current_lsp
                
                	Current LSP
                	**type**\:   :py:class:`TunnelCurrentLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp>`
                
                .. attribute:: tunnel_interface_name
                
                	Interface handle of the associated tunnel
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: tunnel_recovering
                
                	Tunnel recovering
                	**type**\:  bool
                
                .. attribute:: tunnel_restoration_lsp
                
                	Restoration LSP
                	**type**\:   :py:class:`TunnelRestorationLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp>`
                
                .. attribute:: tunnel_standby_lsp
                
                	Standby LSP
                	**type**\:   :py:class:`TunnelStandbyLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp>`
                
                .. attribute:: uptime
                
                	Time in seconds since the tunnel was up
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: wdm_unitunnel
                
                	WDM\-UNI tunnel data. Only exists for WDM\-UNI tunnels
                	**type**\:   :py:class:`WdmUnitunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.WdmUnitunnel>`
                
                .. attribute:: xro_attribute_set
                
                	XRO attribute\-set
                	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet>`
                
                .. attribute:: xro_attribute_set_name
                
                	Configured XRO attribute\-set name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.tunnel_name = None
                    self.admin_state = None
                    self.affinity_failure_delayed_tear_time_remained = None
                    self.affinity_failure_reopt_disabled = None
                    self.affinity_failure_reopt_time_remained = None
                    self.area_id = None
                    self.auto_backup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup()
                    self.auto_backup.parent = self
                    self.auto_mesh = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoMesh()
                    self.auto_mesh.parent = self
                    self.auto_pcc = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoPcc()
                    self.auto_pcc.parent = self
                    self.auto_route = None
                    self.autoroute_announce_exclude_segment_routing = None
                    self.bandwidth_requested = None
                    self.bandwidth_type = None
                    self.bfd_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo()
                    self.bfd_info.parent = self
                    self.bidir = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir()
                    self.bidir.parent = self
                    self.binding_label = None
                    self.binding_label_exists = None
                    self.cleaned_lsp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp()
                    self.cleaned_lsp.parent = self
                    self.config = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config()
                    self.config.parent = self
                    self.create_time = None
                    self.delay_clean_pp_lsp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp()
                    self.delay_clean_pp_lsp.parent = self
                    self.destination = YList()
                    self.destination.parent = self
                    self.destination.name = 'destination'
                    self.destination_disabled_count = None
                    self.destination_down_count = None
                    self.destination_up_count = None
                    self.drop_mode = None
                    self.explicit_path_change = None
                    self.fail_reason = None
                    self.flex_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.FlexInfo()
                    self.flex_info.parent = self
                    self.forwarding_adjacency = None
                    self.history = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History()
                    self.history.parent = self
                    self.hop_limit_ignored_reason = None
                    self.invalidation_time_remained = None
                    self.is_auto_backup = None
                    self.is_auto_pcc = None
                    self.is_bandwidth_protect = None
                    self.is_hop_limit_ignore = None
                    self.is_inter_area_tunnel = None
                    self.is_interface = None
                    self.is_named = None
                    self.is_node_protected = None
                    self.is_passive = None
                    self.is_pce_delegated = None
                    self.last_hop_ifindex = None
                    self.last_path_change = None
                    self.load_share_factor = None
                    self.load_share_type = None
                    self.lsp_wrap_label = None
                    self.lsp_wrap_protection_enabled = None
                    self.metric_qualifier = None
                    self.metric_type = None
                    self.operational_state = None
                    self.operational_state_changes = None
                    self.otn_bidir = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir()
                    self.otn_bidir.parent = self
                    self.outbound_frr_state = None
                    self.p2p_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo()
                    self.p2p_info.parent = self
                    self.passive_tunnel_name = None
                    self.path_option_change = None
                    self.path_protection = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection()
                    self.path_protection.parent = self
                    self.pce_delegation = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.PceDelegation()
                    self.pce_delegation.parent = self
                    self.pce_fail_reason = None
                    self.persistent_bytes = None
                    self.persistent_packets = None
                    self.re_opt_hold_down_timer_remaining = None
                    self.reoptimized_p2mp_lsp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp()
                    self.reoptimized_p2mp_lsp.parent = self
                    self.reoptimized_standby_p2mp_lsp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp()
                    self.reoptimized_standby_p2mp_lsp.parent = self
                    self.reroute_pending = None
                    self.role_standby = None
                    self.signaled_name = None
                    self.snmp_index = None
                    self.soft_preemption = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption()
                    self.soft_preemption.parent = self
                    self.te_tunnel_convergence = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence()
                    self.te_tunnel_convergence.parent = self
                    self.tie_breaker = None
                    self.tiebreaker_qualifier = None
                    self.tiebreaker_type = None
                    self.transport_tunnel_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo()
                    self.transport_tunnel_info.parent = self
                    self.tunnel_attribute_set_name = None
                    self.tunnel_attribute_set_type = None
                    self.tunnel_current_lsp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp()
                    self.tunnel_current_lsp.parent = self
                    self.tunnel_interface_name = None
                    self.tunnel_recovering = None
                    self.tunnel_restoration_lsp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp()
                    self.tunnel_restoration_lsp.parent = self
                    self.tunnel_standby_lsp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp()
                    self.tunnel_standby_lsp.parent = self
                    self.uptime = None
                    self.wdm_unitunnel = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.WdmUnitunnel()
                    self.wdm_unitunnel.parent = self
                    self.xro_attribute_set = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet()
                    self.xro_attribute_set.parent = self
                    self.xro_attribute_set_name = None


                class Config(object):
                    """
                    Configuration data
                    
                    .. attribute:: affinity
                    
                    	Affinity
                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity>`
                    
                    .. attribute:: affinity_failure_reopt_timer
                    
                    	AffinityFailureReoptTimer
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: autoroute_destination
                    
                    	Autoroute Destinations list
                    	**type**\: list of    :py:class:`AutorouteDestination <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.AutorouteDestination>`
                    
                    .. attribute:: backup_bandwidth
                    
                    	Backup bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: backup_bandwidth_flags
                    
                    	Backup bandwidth flags
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: bandwidth_type
                    
                    	The bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: bfd_config
                    
                    	BFD Configuration Information
                    	**type**\:   :py:class:`BfdConfig <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BfdConfig>`
                    
                    .. attribute:: bidirectional_config
                    
                    	Bidirectional Configuration Information
                    	**type**\:   :py:class:`BidirectionalConfig <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BidirectionalConfig>`
                    
                    .. attribute:: config_load_share
                    
                    	Config loadshare
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: configured_bandwidth
                    
                    	Configured Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: cost_limit
                    
                    	Cost limit on the tunnel path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: cost_limit_global
                    
                    	Global Cost Limit
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: disable_affinity_failure_reopt
                    
                    	DisableAffinityFailureReopt
                    	**type**\:  bool
                    
                    .. attribute:: explicit_null_imposition
                    
                    	Imposition of Explicit NULL
                    	**type**\:  bool
                    
                    .. attribute:: fast_reroute
                    
                    	Fast reroute enabled
                    	**type**\:  bool
                    
                    .. attribute:: forward_class
                    
                    	Forward class
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: hold_priority
                    
                    	Hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: hop_limit
                    
                    	Hop Limit
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: interface_configured_bandwidth
                    
                    	Configured Interface Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_backup_tunnel
                    
                    	TRUE if this is a backup tunnel
                    	**type**\:  bool
                    
                    .. attribute:: is_in_config
                    
                    	Is in config
                    	**type**\:  bool
                    
                    .. attribute:: is_p2mp
                    
                    	True if tunnel is a P2MP tunnel
                    	**type**\:  bool
                    
                    .. attribute:: path_invalidation_action
                    
                    	Path invalidation action on the tunnel path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_invalidation_action_source
                    
                    	Path invalidation action configuration source
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_invalidation_timeout
                    
                    	Path invalidation timeout interval on the tunnel path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_invalidation_timeout_source
                    
                    	Path invalidation timeout configuration source
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_protection_enabled
                    
                    	Path Protection enabled
                    	**type**\:  bool
                    
                    .. attribute:: payload_type
                    
                    	Payload type
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: policy_class
                    
                    	deprecated
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: policy_class_entry
                    
                    	PBTS policy classes
                    	**type**\:  list of int
                    
                    	**range:** 0..255
                    
                    .. attribute:: record_route
                    
                    	Record route
                    	**type**\:  bool
                    
                    .. attribute:: segment_routing_path_selection
                    
                    	Segment\-Routing path selection type
                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                    
                    .. attribute:: setup_priority
                    
                    	Setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: signaled_name
                    
                    	Signaled name
                    	**type**\:  str
                    
                    .. attribute:: soft_preempt
                    
                    	Soft preemption enabled
                    	**type**\:  bool
                    
                    .. attribute:: srlg_discovery
                    
                    	SRLG\-discovery enabled
                    	**type**\:  bool
                    
                    .. attribute:: tunnel_id
                    
                    	Tunnel id
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tunnel_name
                    
                    	Tunnel name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity()
                        self.affinity.parent = self
                        self.affinity_failure_reopt_timer = None
                        self.autoroute_destination = YList()
                        self.autoroute_destination.parent = self
                        self.autoroute_destination.name = 'autoroute_destination'
                        self.backup_bandwidth = None
                        self.backup_bandwidth_flags = None
                        self.bandwidth_type = None
                        self.bfd_config = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BfdConfig()
                        self.bfd_config.parent = self
                        self.bidirectional_config = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BidirectionalConfig()
                        self.bidirectional_config.parent = self
                        self.config_load_share = None
                        self.configured_bandwidth = None
                        self.cost_limit = None
                        self.cost_limit_global = None
                        self.disable_affinity_failure_reopt = None
                        self.explicit_null_imposition = None
                        self.fast_reroute = None
                        self.forward_class = None
                        self.hold_priority = None
                        self.hop_limit = None
                        self.interface_configured_bandwidth = None
                        self.is_backup_tunnel = None
                        self.is_in_config = None
                        self.is_p2mp = None
                        self.path_invalidation_action = None
                        self.path_invalidation_action_source = None
                        self.path_invalidation_timeout = None
                        self.path_invalidation_timeout_source = None
                        self.path_protection_enabled = None
                        self.payload_type = None
                        self.policy_class = None
                        self.policy_class_entry = YLeafList()
                        self.policy_class_entry.parent = self
                        self.policy_class_entry.name = 'policy_class_entry'
                        self.record_route = None
                        self.segment_routing_path_selection = None
                        self.setup_priority = None
                        self.signaled_name = None
                        self.soft_preempt = None
                        self.srlg_discovery = None
                        self.tunnel_id = None
                        self.tunnel_name = None


                    class Affinity(object):
                        """
                        Affinity
                        
                        .. attribute:: affinity_bits
                        
                        	The affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: affinity_mask
                        
                        	The affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: named_affinity
                        
                        	Array of name based constratints currently applied to the tunnel
                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity.NamedAffinity>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.affinity_bits = None
                            self.affinity_mask = None
                            self.named_affinity = YList()
                            self.named_affinity.parent = self
                            self.named_affinity.name = 'named_affinity'


                        class NamedAffinity(object):
                            """
                            Array of name based constratints currently
                            applied to the tunnel
                            
                            .. attribute:: constraint_extended_value
                            
                            	Constraint value
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: constraint_type
                            
                            	Constraint type
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: constraint_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: extended_forward_ref_value
                            
                            	Reference bits for undefined affinity names
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: forward_ref_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.constraint_extended_value = YLeafList()
                                self.constraint_extended_value.parent = self
                                self.constraint_extended_value.name = 'constraint_extended_value'
                                self.constraint_type = None
                                self.constraint_value = None
                                self.extended_forward_ref_value = YLeafList()
                                self.extended_forward_ref_value.parent = self
                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                self.forward_ref_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.constraint_extended_value is not None:
                                    for child in self.constraint_extended_value:
                                        if child is not None:
                                            return True

                                if self.constraint_type is not None:
                                    return True

                                if self.constraint_value is not None:
                                    return True

                                if self.extended_forward_ref_value is not None:
                                    for child in self.extended_forward_ref_value:
                                        if child is not None:
                                            return True

                                if self.forward_ref_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity.NamedAffinity']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.affinity_bits is not None:
                                return True

                            if self.affinity_mask is not None:
                                return True

                            if self.named_affinity is not None:
                                for child_ref in self.named_affinity:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity']['meta_info']


                    class BidirectionalConfig(object):
                        """
                        Bidirectional Configuration Information
                        
                        .. attribute:: association_corouted
                        
                        	Is the association co\-routed
                        	**type**\:  bool
                        
                        .. attribute:: association_global_id
                        
                        	The association global ID
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: association_id
                        
                        	The association ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: association_source
                        
                        	The association source
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: association_type
                        
                        	Association Type (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.association_corouted = None
                            self.association_global_id = None
                            self.association_id = None
                            self.association_source = None
                            self.association_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bidirectional-config'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.association_corouted is not None:
                                return True

                            if self.association_global_id is not None:
                                return True

                            if self.association_id is not None:
                                return True

                            if self.association_source is not None:
                                return True

                            if self.association_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BidirectionalConfig']['meta_info']


                    class BfdConfig(object):
                        """
                        BFD Configuration Information
                        
                        .. attribute:: bfd_encap_mode
                        
                        	BFD Encap Mode
                        	**type**\:   :py:class:`TeVifBfdEncapModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEncapModeEnum>`
                        
                        .. attribute:: bfd_fast_detecting_enabled
                        
                        	Deprecated
                        	**type**\:  bool
                        
                        .. attribute:: bfd_session_down_action
                        
                        	BFD Session Down Action
                        	**type**\:   :py:class:`MplsTeBfdSessionDownAction1Enum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBfdSessionDownAction1Enum>`
                        
                        .. attribute:: bfd_session_down_reopt_timeout
                        
                        	BFD Session Down Reopt Timeout
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bfd_type
                        
                        	BFD Type
                        	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                        
                        .. attribute:: bring_up_timeout
                        
                        	Bring Up Timeout in second
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: bring_up_timeout_default
                        
                        	Is default bring up timeout
                        	**type**\:  bool
                        
                        .. attribute:: dampening_initial_wait
                        
                        	Dampening initial wait time in milliseconds
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: dampening_initial_wait_default
                        
                        	Is default dampening inital wait time
                        	**type**\:  bool
                        
                        .. attribute:: dampening_max_wait
                        
                        	Dampening max wait time in milliseconds
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: dampening_max_wait_default
                        
                        	Is default dampening max wait time
                        	**type**\:  bool
                        
                        .. attribute:: dampening_secondary_wait
                        
                        	Dampening secondary wait time in milliseconds
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: dampening_secondary_wait_default
                        
                        	Is default dampening secondary wait time
                        	**type**\:  bool
                        
                        .. attribute:: min_interval
                        
                        	Hello interval in milliseconds
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: min_interval_default
                        
                        	Is default hello interval
                        	**type**\:  bool
                        
                        .. attribute:: multiplier
                        
                        	Multiplier
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: multiplier_default
                        
                        	Is default multiplier
                        	**type**\:  bool
                        
                        .. attribute:: periodic_lsp_ping_disabled
                        
                        	Periodic LSP Ping disabled
                        	**type**\:  bool
                        
                        .. attribute:: periodic_lsp_ping_interval
                        
                        	Periodic LSP Ping interval in seconds
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: periodic_lsp_ping_interval_default
                        
                        	Is default LSP Ping interval
                        	**type**\:  bool
                        
                        .. attribute:: sbfd_target_id
                        
                        	SBFD Target ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bfd_encap_mode = None
                            self.bfd_fast_detecting_enabled = None
                            self.bfd_session_down_action = None
                            self.bfd_session_down_reopt_timeout = None
                            self.bfd_type = None
                            self.bring_up_timeout = None
                            self.bring_up_timeout_default = None
                            self.dampening_initial_wait = None
                            self.dampening_initial_wait_default = None
                            self.dampening_max_wait = None
                            self.dampening_max_wait_default = None
                            self.dampening_secondary_wait = None
                            self.dampening_secondary_wait_default = None
                            self.min_interval = None
                            self.min_interval_default = None
                            self.multiplier = None
                            self.multiplier_default = None
                            self.periodic_lsp_ping_disabled = None
                            self.periodic_lsp_ping_interval = None
                            self.periodic_lsp_ping_interval_default = None
                            self.sbfd_target_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-config'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bfd_encap_mode is not None:
                                return True

                            if self.bfd_fast_detecting_enabled is not None:
                                return True

                            if self.bfd_session_down_action is not None:
                                return True

                            if self.bfd_session_down_reopt_timeout is not None:
                                return True

                            if self.bfd_type is not None:
                                return True

                            if self.bring_up_timeout is not None:
                                return True

                            if self.bring_up_timeout_default is not None:
                                return True

                            if self.dampening_initial_wait is not None:
                                return True

                            if self.dampening_initial_wait_default is not None:
                                return True

                            if self.dampening_max_wait is not None:
                                return True

                            if self.dampening_max_wait_default is not None:
                                return True

                            if self.dampening_secondary_wait is not None:
                                return True

                            if self.dampening_secondary_wait_default is not None:
                                return True

                            if self.min_interval is not None:
                                return True

                            if self.min_interval_default is not None:
                                return True

                            if self.multiplier is not None:
                                return True

                            if self.multiplier_default is not None:
                                return True

                            if self.periodic_lsp_ping_disabled is not None:
                                return True

                            if self.periodic_lsp_ping_interval is not None:
                                return True

                            if self.periodic_lsp_ping_interval_default is not None:
                                return True

                            if self.sbfd_target_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BfdConfig']['meta_info']


                    class AutorouteDestination(object):
                        """
                        Autoroute Destinations list
                        
                        .. attribute:: destination_address
                        
                        	Destination address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: prefix_length
                        
                        	Prefix length
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.destination_address = None
                            self.prefix_length = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:autoroute-destination'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.destination_address is not None:
                                return True

                            if self.prefix_length is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.AutorouteDestination']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:config'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.affinity is not None and self.affinity._has_data():
                            return True

                        if self.affinity_failure_reopt_timer is not None:
                            return True

                        if self.autoroute_destination is not None:
                            for child_ref in self.autoroute_destination:
                                if child_ref._has_data():
                                    return True

                        if self.backup_bandwidth is not None:
                            return True

                        if self.backup_bandwidth_flags is not None:
                            return True

                        if self.bandwidth_type is not None:
                            return True

                        if self.bfd_config is not None and self.bfd_config._has_data():
                            return True

                        if self.bidirectional_config is not None and self.bidirectional_config._has_data():
                            return True

                        if self.config_load_share is not None:
                            return True

                        if self.configured_bandwidth is not None:
                            return True

                        if self.cost_limit is not None:
                            return True

                        if self.cost_limit_global is not None:
                            return True

                        if self.disable_affinity_failure_reopt is not None:
                            return True

                        if self.explicit_null_imposition is not None:
                            return True

                        if self.fast_reroute is not None:
                            return True

                        if self.forward_class is not None:
                            return True

                        if self.hold_priority is not None:
                            return True

                        if self.hop_limit is not None:
                            return True

                        if self.interface_configured_bandwidth is not None:
                            return True

                        if self.is_backup_tunnel is not None:
                            return True

                        if self.is_in_config is not None:
                            return True

                        if self.is_p2mp is not None:
                            return True

                        if self.path_invalidation_action is not None:
                            return True

                        if self.path_invalidation_action_source is not None:
                            return True

                        if self.path_invalidation_timeout is not None:
                            return True

                        if self.path_invalidation_timeout_source is not None:
                            return True

                        if self.path_protection_enabled is not None:
                            return True

                        if self.payload_type is not None:
                            return True

                        if self.policy_class is not None:
                            return True

                        if self.policy_class_entry is not None:
                            for child in self.policy_class_entry:
                                if child is not None:
                                    return True

                        if self.record_route is not None:
                            return True

                        if self.segment_routing_path_selection is not None:
                            return True

                        if self.setup_priority is not None:
                            return True

                        if self.signaled_name is not None:
                            return True

                        if self.soft_preempt is not None:
                            return True

                        if self.srlg_discovery is not None:
                            return True

                        if self.tunnel_id is not None:
                            return True

                        if self.tunnel_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config']['meta_info']


                class TunnelCurrentLsp(object):
                    """
                    Current LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel-current-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp']['meta_info']


                class ReoptimizedP2MpLsp(object):
                    """
                    Reopt LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reoptimized-p2mp-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp']['meta_info']


                class TunnelStandbyLsp(object):
                    """
                    Standby LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel-standby-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp']['meta_info']


                class ReoptimizedStandbyP2MpLsp(object):
                    """
                    Standby Reopt LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reoptimized-standby-p2mp-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp']['meta_info']


                class TunnelRestorationLsp(object):
                    """
                    Restoration LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel-restoration-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp']['meta_info']


                class DelayCleanPpLsp(object):
                    """
                    Delay Clean PP LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:delay-clean-pp-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp']['meta_info']


                class CleanedLsp(object):
                    """
                    Cleaned LSP
                    
                    .. attribute:: dste_class_index
                    
                    	Matching DSTE class index
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dste_class_match
                    
                    	Do the class type and priority match a DSTE class
                    	**type**\:  bool
                    
                    .. attribute:: frr_active_reason
                    
                    	P2MP LSP FRR active reason
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_frr_failed
                    
                    	P2MP LSP has FRR Failed
                    	**type**\:  bool
                    
                    .. attribute:: is_interface
                    
                    	True for tunnel head
                    	**type**\:  bool
                    
                    .. attribute:: is_passive
                    
                    	True for passive tunnel
                    	**type**\:  bool
                    
                    .. attribute:: last_path_change
                    
                    	Time in seconds since the last path change
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: lsp_bandwidth
                    
                    	P2MP LSP Bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_bandwidth_type
                    
                    	The LSP bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: lsp_fec
                    
                    	FEC for the LSP
                    	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec>`
                    
                    .. attribute:: lsp_hold_priority
                    
                    	LSP hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: lsp_setup_priority
                    
                    	LSP setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: persistent_bytes
                    
                    	Persistent forwarding statistics for number of bytes. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: byte
                    
                    .. attribute:: persistent_packets
                    
                    	Persistent forwarding statistics for Number of packets. Clear counters will not reset the counter
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: reoptimize_reason
                    
                    	Reason for re\-optimization
                    	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                    
                    .. attribute:: reoptimize_trigger
                    
                    	Re\-optimize trigger
                    	**type**\:   :py:class:`MteReoptTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MteReoptTriggerEnum>`
                    
                    .. attribute:: s2_ls_down
                    
                    	Number of down S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_proceeding
                    
                    	Number of proceeding S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2_ls_up
                    
                    	Number of connected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l
                    
                    	array of S2L structures
                    	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L>`
                    
                    .. attribute:: signaled_name
                    
                    	Signaled Name
                    	**type**\:  str
                    
                    .. attribute:: timer_left
                    
                    	Time in seconds left to take next action if any
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: type
                    
                    	The type of this LSP
                    	**type**\:   :py:class:`MplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspEnum>`
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the tunnel was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.dste_class_index = None
                        self.dste_class_match = None
                        self.frr_active_reason = None
                        self.is_frr_failed = None
                        self.is_interface = None
                        self.is_passive = None
                        self.last_path_change = None
                        self.lsp_bandwidth = None
                        self.lsp_bandwidth_type = None
                        self.lsp_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec()
                        self.lsp_fec.parent = self
                        self.lsp_hold_priority = None
                        self.lsp_setup_priority = None
                        self.persistent_bytes = None
                        self.persistent_packets = None
                        self.reoptimize_reason = None
                        self.reoptimize_trigger = None
                        self.s2_ls_down = None
                        self.s2_ls_proceeding = None
                        self.s2_ls_up = None
                        self.s2l = YList()
                        self.s2l.parent = self
                        self.s2l.name = 's2l'
                        self.signaled_name = None
                        self.timer_left = None
                        self.type = None
                        self.uptime = None


                    class LspFec(object):
                        """
                        FEC for the LSP
                        
                        .. attribute:: fec_destination_info
                        
                        	Destination or P2MP ID
                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec.FecDestinationInfo>`
                        
                        .. attribute:: fec_extended_tunnel_id
                        
                        	Extended tunnel ID
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_source
                        
                        	Tunnel source address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: fec_tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: fec_vrf
                        
                        	VRF; currently only for GMPLS tunnels
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec.FecDestinationInfo()
                            self.fec_destination_info.parent = self
                            self.fec_extended_tunnel_id = None
                            self.fec_lsp_id = None
                            self.fec_source = None
                            self.fec_tunnel_id = None
                            self.fec_vrf = None


                        class FecDestinationInfo(object):
                            """
                            Destination or P2MP ID
                            
                            .. attribute:: fec_ctype
                            
                            	FEC CType
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: fec_destination_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: p2p_lsp_destination
                            
                            	P2P LSP destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_ctype = None
                                self.fec_destination_p2mp_id = None
                                self.p2p_lsp_destination = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_ctype is not None:
                                    return True

                                if self.fec_destination_p2mp_id is not None:
                                    return True

                                if self.p2p_lsp_destination is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec.FecDestinationInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                return True

                            if self.fec_extended_tunnel_id is not None:
                                return True

                            if self.fec_lsp_id is not None:
                                return True

                            if self.fec_source is not None:
                                return True

                            if self.fec_tunnel_id is not None:
                                return True

                            if self.fec_vrf is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec']['meta_info']


                    class S2L(object):
                        """
                        array of S2L structures
                        
                        .. attribute:: abr_auto_discovered
                        
                        	Next ABR auto discovered
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: active_path_option
                        
                        	The path option used to find the path for this S2L
                        	**type**\:   :py:class:`ActivePathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption>`
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Association>`
                        
                        .. attribute:: backup_tunnel_interface
                        
                        	Interface handle of the backup tunnel
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: diversity_info
                        
                        	S2L Diversity Information
                        	**type**\:   :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.DiversityInfo>`
                        
                        .. attribute:: downstream_router_id
                        
                        	Downstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: egress_interface
                        
                        	Egress Interface
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_brief
                        
                        	Egress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: egress_interface_state
                        
                        	State of Outgoing Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: expanded_ero_affinity_bits
                        
                        	The Outgoing ERO's affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_affinity_mask
                        
                        	The Outgoing ERO's affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_area_id
                        
                        	Indicates the protocol and area used to find Outgoing ERO
                        	**type**\:  str
                        
                        .. attribute:: expanded_ero_metric
                        
                        	The metric value of the expanded path
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: expanded_ero_metric_type
                        
                        	The Outgoing ERO's selection metric
                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                        
                        .. attribute:: flex_info
                        
                        	FlexLSP S2L Information
                        	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo>`
                        
                        .. attribute:: frr_out_tunnel_interface
                        
                        	FRR out tunnel intface
                        	**type**\:  str
                        
                        .. attribute:: fspec
                        
                        	The F spec info
                        	**type**\:   :py:class:`Fspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Fspec>`
                        
                        .. attribute:: generic_fspec
                        
                        	Generic FSpec
                        	**type**\:   :py:class:`GenericFspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec>`
                        
                        .. attribute:: generic_tspec
                        
                        	Generic TSpec
                        	**type**\:   :py:class:`GenericTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec>`
                        
                        .. attribute:: gmpls_labels
                        
                        	GMPLS labels
                        	**type**\:   :py:class:`GmplsLabels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels>`
                        
                        .. attribute:: head_end_bfd_info
                        
                        	The Head\-end BFD info
                        	**type**\:   :py:class:`HeadEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo>`
                        
                        .. attribute:: in_ero
                        
                        	Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`InEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro>`
                        
                        .. attribute:: in_xro
                        
                        	Incoming XRO for this S2L
                        	**type**\:   :py:class:`InXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro>`
                        
                        .. attribute:: incoming_address
                        
                        	Incoming interface address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: incoming_address_generic
                        
                        	Incoming interface address
                        	**type**\:   :py:class:`IncomingAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric>`
                        
                        .. attribute:: ingress_interface
                        
                        	Ingress Interface
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_brief
                        
                        	Ingress Interface in brief format
                        	**type**\:  str
                        
                        .. attribute:: ingress_interface_state
                        
                        	State of Incoming Interface
                        	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                        
                        .. attribute:: is_bandwidth_protect
                        
                        	BW Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_expanded_ero
                        
                        	TRUE if this LSR expanded a loose path
                        	**type**\:  bool
                        
                        .. attribute:: is_frr_enabled
                        
                        	FRR Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_node_protected
                        
                        	Node Protection Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_optical
                        
                        	Is Optical
                        	**type**\:  bool
                        
                        .. attribute:: local_router_id
                        
                        	Local router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: lsp_wrap_info
                        
                        	Lsp Wrap  Related information
                        	**type**\:   :py:class:`LspWrapInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.LspWrapInfo>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: next_hop_address_generic
                        
                        	Next hop address
                        	**type**\:   :py:class:`NextHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric>`
                        
                        .. attribute:: node_hop_count
                        
                        	Hop count
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: otn_s2l
                        
                        	Otn S2L Information
                        	**type**\:   :py:class:`OtnS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L>`
                        
                        .. attribute:: out_ero
                        
                        	Outgoing ERO for this S2L
                        	**type**\: list of    :py:class:`OutEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro>`
                        
                        .. attribute:: out_xro
                        
                        	Outgoing XRO for this S2L
                        	**type**\:   :py:class:`OutXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro>`
                        
                        .. attribute:: outbound_frr_state
                        
                        	Indicates outbound FRR state
                        	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                        
                        .. attribute:: path_affinity_array
                        
                        	Tunnel's Path hops with affinity
                        	**type**\: list of    :py:class:`PathAffinityArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathAffinityArray>`
                        
                        .. attribute:: path_reeval_query_mid
                        
                        	Loose path reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_rro
                        
                        	Path RRO for this S2L
                        	**type**\: list of    :py:class:`PathRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro>`
                        
                        .. attribute:: path_rro_enabled
                        
                        	Path RRO Enabled or Disabled
                        	**type**\:  bool
                        
                        .. attribute:: path_using_strict_spf
                        
                        	Path is using Strict SPF
                        	**type**\:  bool
                        
                        .. attribute:: pcalc_area
                        
                        	IGP\-area in which the S2L path was calculated
                        	**type**\:  str
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address_generic
                        
                        	Previous hop address
                        	**type**\:   :py:class:`PreviousHopAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Protection>`
                        
                        .. attribute:: resv_rro
                        
                        	Resv RRO for this S2L
                        	**type**\: list of    :py:class:`ResvRro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro>`
                        
                        .. attribute:: reverse_ero_in
                        
                        	 Reverse Incoming ERO for this S2L
                        	**type**\: list of    :py:class:`ReverseEroIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_name
                        
                        	Reverse Associated Bidir LSP Name
                        	**type**\:  str
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        .. attribute:: reverse_tspec
                        
                        	The Reverse T spec info
                        	**type**\:   :py:class:`ReverseTspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseTspec>`
                        
                        .. attribute:: reverse_weight
                        
                        	The reverse path weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: role
                        
                        	Role of S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: s2l_convergence
                        
                        	TE LSP convergence related information
                        	**type**\:   :py:class:`S2LConvergence <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LConvergence>`
                        
                        .. attribute:: s2l_fec
                        
                        	FEC for the S2L
                        	**type**\:   :py:class:`S2LFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LFec>`
                        
                        .. attribute:: s2l_local_label
                        
                        	Local label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_out_label
                        
                        	Outgoing label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_reverse_ero_obj_present
                        
                        	 S2l Reverse ERO Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_reverse_lsp_sub_obj
                        
                        	Reverse LSP Sub Objects
                        	**type**\:  list of int
                        
                        	**range:** 0..255
                        
                        .. attribute:: s2l_reverse_tspec_obj_present
                        
                        	 S2L Reverse TSpec Object Present
                        	**type**\:  bool
                        
                        .. attribute:: s2l_segment_routing_path
                        
                        	Segment\-Routing S2L path info
                        	**type**\: list of    :py:class:`S2LSegmentRoutingPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LSegmentRoutingPath>`
                        
                        .. attribute:: shared_risk_link_group
                        
                        	The S2L's excluded srlg groups
                        	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SharedRiskLinkGroup>`
                        
                        .. attribute:: signalling_status
                        
                        	Signaling status
                        	**type**\:   :py:class:`MplsTeTunnelsSignalingStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsSignalingStatusEnum>`
                        
                        .. attribute:: soft_preemption
                        
                        	The soft preemption info for this LSP
                        	**type**\:   :py:class:`SoftPreemption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SoftPreemption>`
                        
                        .. attribute:: srlg_collection
                        
                        	SRLG\-collection data
                        	**type**\:   :py:class:`SrlgCollection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SrlgCollection>`
                        
                        .. attribute:: tail_end_bfd_info
                        
                        	The Tail\-end BFD info
                        	**type**\:   :py:class:`TailEndBfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo>`
                        
                        .. attribute:: time_since_last_preferred_path_exists_send_mid
                        
                        	Time since last preferred path exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_preferred_tree_exists_send_mid
                        
                        	Time since last preferred tree exists msg send from mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_since_last_query_received_mid
                        
                        	Time since last reevaluation query received at mid\-point
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tspec
                        
                        	The T spec info
                        	**type**\:   :py:class:`Tspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Tspec>`
                        
                        .. attribute:: upstream_router_id
                        
                        	Upstream router id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: uptime
                        
                        	Time in seconds since the tunnel was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: weight
                        
                        	The path's weight
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.abr_auto_discovered = None
                            self.active_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption()
                            self.active_path_option.parent = self
                            self.association = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Association()
                            self.association.parent = self
                            self.backup_tunnel_interface = None
                            self.diversity_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.DiversityInfo()
                            self.diversity_info.parent = self
                            self.downstream_router_id = None
                            self.egress_interface = None
                            self.egress_interface_brief = None
                            self.egress_interface_state = None
                            self.expanded_ero_affinity_bits = None
                            self.expanded_ero_affinity_mask = None
                            self.expanded_ero_area_id = None
                            self.expanded_ero_metric = None
                            self.expanded_ero_metric_type = None
                            self.flex_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo()
                            self.flex_info.parent = self
                            self.frr_out_tunnel_interface = None
                            self.fspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Fspec()
                            self.fspec.parent = self
                            self.generic_fspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec()
                            self.generic_fspec.parent = self
                            self.generic_tspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec()
                            self.generic_tspec.parent = self
                            self.gmpls_labels = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels()
                            self.gmpls_labels.parent = self
                            self.head_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo()
                            self.head_end_bfd_info.parent = self
                            self.in_ero = YList()
                            self.in_ero.parent = self
                            self.in_ero.name = 'in_ero'
                            self.in_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro()
                            self.in_xro.parent = self
                            self.incoming_address = None
                            self.incoming_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric()
                            self.incoming_address_generic.parent = self
                            self.ingress_interface = None
                            self.ingress_interface_brief = None
                            self.ingress_interface_state = None
                            self.is_bandwidth_protect = None
                            self.is_expanded_ero = None
                            self.is_frr_enabled = None
                            self.is_node_protected = None
                            self.is_optical = None
                            self.local_router_id = None
                            self.lsp_wrap_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.LspWrapInfo()
                            self.lsp_wrap_info.parent = self
                            self.next_hop_address = None
                            self.next_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric()
                            self.next_hop_address_generic.parent = self
                            self.node_hop_count = None
                            self.otn_s2l = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L()
                            self.otn_s2l.parent = self
                            self.out_ero = YList()
                            self.out_ero.parent = self
                            self.out_ero.name = 'out_ero'
                            self.out_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro()
                            self.out_xro.parent = self
                            self.outbound_frr_state = None
                            self.path_affinity_array = YList()
                            self.path_affinity_array.parent = self
                            self.path_affinity_array.name = 'path_affinity_array'
                            self.path_reeval_query_mid = None
                            self.path_rro = YList()
                            self.path_rro.parent = self
                            self.path_rro.name = 'path_rro'
                            self.path_rro_enabled = None
                            self.path_using_strict_spf = None
                            self.pcalc_area = None
                            self.previous_hop_address = None
                            self.previous_hop_address_generic = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric()
                            self.previous_hop_address_generic.parent = self
                            self.protection = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Protection()
                            self.protection.parent = self
                            self.resv_rro = YList()
                            self.resv_rro.parent = self
                            self.resv_rro.name = 'resv_rro'
                            self.reverse_ero_in = YList()
                            self.reverse_ero_in.parent = self
                            self.reverse_ero_in.name = 'reverse_ero_in'
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_name = None
                            self.reverse_lsp_present = None
                            self.reverse_tspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseTspec()
                            self.reverse_tspec.parent = self
                            self.reverse_weight = None
                            self.role = None
                            self.s2l_convergence = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LConvergence()
                            self.s2l_convergence.parent = self
                            self.s2l_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LFec()
                            self.s2l_fec.parent = self
                            self.s2l_local_label = None
                            self.s2l_out_label = None
                            self.s2l_reverse_ero_obj_present = None
                            self.s2l_reverse_lsp_sub_obj = YLeafList()
                            self.s2l_reverse_lsp_sub_obj.parent = self
                            self.s2l_reverse_lsp_sub_obj.name = 's2l_reverse_lsp_sub_obj'
                            self.s2l_reverse_tspec_obj_present = None
                            self.s2l_segment_routing_path = YList()
                            self.s2l_segment_routing_path.parent = self
                            self.s2l_segment_routing_path.name = 's2l_segment_routing_path'
                            self.shared_risk_link_group = YList()
                            self.shared_risk_link_group.parent = self
                            self.shared_risk_link_group.name = 'shared_risk_link_group'
                            self.signalling_status = None
                            self.soft_preemption = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SoftPreemption()
                            self.soft_preemption.parent = self
                            self.srlg_collection = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SrlgCollection()
                            self.srlg_collection.parent = self
                            self.tail_end_bfd_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo()
                            self.tail_end_bfd_info.parent = self
                            self.time_since_last_preferred_path_exists_send_mid = None
                            self.time_since_last_preferred_tree_exists_send_mid = None
                            self.time_since_last_query_received_mid = None
                            self.tspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Tspec()
                            self.tspec.parent = self
                            self.upstream_router_id = None
                            self.uptime = None
                            self.weight = None


                        class S2LFec(object):
                            """
                            FEC for the S2L
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LFec']['meta_info']


                        class ActivePathOption(object):
                            """
                            The path option used to find the path for this
                            S2L
                            
                            .. attribute:: attribute_set
                            
                            	The path option attribute set used by this path
                            	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet>`
                            
                            .. attribute:: attribute_set_found
                            
                            	TRUE if the path has found the defined attribute set
                            	**type**\:  bool
                            
                            .. attribute:: explicit_path_id
                            
                            	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: explicit_path_name
                            
                            	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                            	**type**\:  str
                            
                            .. attribute:: has_attribute_set
                            
                            	TRUE if the path has an attribute set defined
                            	**type**\:  bool
                            
                            .. attribute:: has_xro_attribute_set
                            
                            	TRUE if the path has an XRO attribute set configured
                            	**type**\:  bool
                            
                            .. attribute:: holddown_duration
                            
                            	Holddown Duration (seconds)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            .. attribute:: is_disabled
                            
                            	TRUE if the path option is disabled
                            	**type**\:  bool
                            
                            .. attribute:: is_helddown
                            
                            	TRUE if path is helddown
                            	**type**\:  bool
                            
                            .. attribute:: is_lockdown
                            
                            	TRUE if the path is locked down
                            	**type**\:  bool
                            
                            .. attribute:: is_segment_routing
                            
                            	TRUE if the path is Segment\-Routing
                            	**type**\:  bool
                            
                            .. attribute:: is_strict_explicit_path
                            
                            	TRUE if explicit path is strict
                            	**type**\:  bool
                            
                            .. attribute:: is_verbatim
                            
                            	TRUE if the path is verbatim
                            	**type**\:  bool
                            
                            .. attribute:: option_index
                            
                            	Path option index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: option_index_is_valid
                            
                            	The path option index is valid
                            	**type**\:  bool
                            
                            .. attribute:: path_calculation_error
                            
                            	Path computation information
                            	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.PathCalculationError>`
                            
                            .. attribute:: path_option_area_id
                            
                            	The path\-option area constraint
                            	**type**\:  str
                            
                            .. attribute:: path_option_name
                            
                            	Path option name
                            	**type**\:  str
                            
                            .. attribute:: path_option_type
                            
                            	Path option type
                            	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                            
                            .. attribute:: pce_address
                            
                            	PCE server address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: protected_by_path_option_index
                            
                            	Path option index for Protect path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remerge_error
                            
                            	Path computation remerge resolve info
                            	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.RemergeError>`
                            
                            .. attribute:: restored_from_path_option_index
                            
                            	Path option index for Restore path options
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: signalling_error
                            
                            	Signalling information
                            	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.SignallingError>`
                            
                            .. attribute:: xro_attribute_set
                            
                            	The XRO attribute set used by this path\-option
                            	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet>`
                            
                            .. attribute:: xro_attribute_set_found
                            
                            	TRUE if the path's XRO attribute set is known
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet()
                                self.attribute_set.parent = self
                                self.attribute_set_found = None
                                self.explicit_path_id = None
                                self.explicit_path_name = None
                                self.has_attribute_set = None
                                self.has_xro_attribute_set = None
                                self.holddown_duration = None
                                self.is_disabled = None
                                self.is_helddown = None
                                self.is_lockdown = None
                                self.is_segment_routing = None
                                self.is_strict_explicit_path = None
                                self.is_verbatim = None
                                self.option_index = None
                                self.option_index_is_valid = None
                                self.path_calculation_error = YList()
                                self.path_calculation_error.parent = self
                                self.path_calculation_error.name = 'path_calculation_error'
                                self.path_option_area_id = None
                                self.path_option_name = None
                                self.path_option_type = None
                                self.pce_address = None
                                self.protected_by_path_option_index = None
                                self.remerge_error = YList()
                                self.remerge_error.parent = self
                                self.remerge_error.name = 'remerge_error'
                                self.restored_from_path_option_index = None
                                self.signalling_error = YList()
                                self.signalling_error.parent = self
                                self.signalling_error.name = 'signalling_error'
                                self.xro_attribute_set = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet()
                                self.xro_attribute_set.parent = self
                                self.xro_attribute_set_found = None


                            class AttributeSet(object):
                                """
                                The path option attribute set used by this path
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet']['meta_info']


                            class XroAttributeSet(object):
                                """
                                The XRO attribute set used by this path\-option
                                
                                .. attribute:: attribute_set_union
                                
                                	Union of Attribute Sets
                                	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion>`
                                
                                .. attribute:: tunnel_attribute_set_name
                                
                                	Attribute Set Name
                                	**type**\:  str
                                
                                .. attribute:: tunnel_attribute_set_name_crc32
                                
                                	Attribute Set name CRC32 value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion()
                                    self.attribute_set_union.parent = self
                                    self.tunnel_attribute_set_name = None
                                    self.tunnel_attribute_set_name_crc32 = None


                                class AttributeSetUnion(object):
                                    """
                                    Union of Attribute Sets
                                    
                                    .. attribute:: attribute_set_aps_pp
                                    
                                    	Attribute Set OTN APS Path Protection
                                    	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                    
                                    .. attribute:: attribute_set_autobackup
                                    
                                    	MPLS TE Auto\-backup Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                    
                                    .. attribute:: attribute_set_automesh
                                    
                                    	MPLS TE Auto\-mesh Attribute Set
                                    	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                    
                                    .. attribute:: attribute_set_p2mpte
                                    
                                    	MPLS TE P2MP\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                    
                                    .. attribute:: attribute_set_p2p_te
                                    
                                    	MPLS TE P2P\-TE Attribute Set
                                    	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                    
                                    .. attribute:: attribute_set_path_option
                                    
                                    	MPLS TE Path Option Attribute Set
                                    	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                    
                                    .. attribute:: attribute_set_xro
                                    
                                    	Attribute Set XRO
                                    	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                    
                                    .. attribute:: tunnel_attribute_set_type
                                    
                                    	TunnelAttributeSetType
                                    	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                        self.attribute_set_aps_pp.parent = self
                                        self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                        self.attribute_set_autobackup.parent = self
                                        self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                        self.attribute_set_automesh.parent = self
                                        self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                        self.attribute_set_p2mpte.parent = self
                                        self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                        self.attribute_set_p2p_te.parent = self
                                        self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                        self.attribute_set_path_option.parent = self
                                        self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                        self.attribute_set_xro.parent = self
                                        self.tunnel_attribute_set_type = None


                                    class AttributeSetPathOption(object):
                                        """
                                        MPLS TE Path Option Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                        
                                        .. attribute:: bandwidth_type
                                        
                                        	The bandwidth type
                                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                        
                                        .. attribute:: bfd_reverse_path
                                        
                                        	BFD reverse path
                                        	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: cost_limit
                                        
                                        	Cost limit on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: exclude_list_name
                                        
                                        	Exclude list name
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bfd_reverse_pat_configured
                                        
                                        	Is BFD reverse path configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_cost_limit_configured
                                        
                                        	Is Cost Limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_exclude_list_name_configured
                                        
                                        	Is exclude list name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is path invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is path invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: path_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation interval on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: version_info
                                        
                                        	Version Info
                                        	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                            self.affinity.parent = self
                                            self.bandwidth_type = None
                                            self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                            self.bfd_reverse_path.parent = self
                                            self.configured_bandwidth = None
                                            self.cost_limit = None
                                            self.dste_class_type = None
                                            self.exclude_list_name = None
                                            self.generation = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_bfd_reverse_pat_configured = None
                                            self.is_cost_limit_configured = None
                                            self.is_exclude_list_name_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.path_invalidation_action = None
                                            self.path_invalidation_timeout = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'
                                            self.version_info = YList()
                                            self.version_info.parent = self
                                            self.version_info.name = 'version_info'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                        class BfdReversePath(object):
                                            """
                                            BFD reverse path
                                            
                                            .. attribute:: binding_label
                                            
                                            	BFD reverse path binding label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: path_type
                                            
                                            	BFD reverse path type
                                            	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.binding_label = None
                                                self.path_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.binding_label is not None:
                                                    return True

                                                if self.path_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                        class VersionInfo(object):
                                            """
                                            Version Info
                                            
                                            .. attribute:: attribute_type
                                            
                                            	Attribute Type
                                            	**type**\:  str
                                            
                                            .. attribute:: generation
                                            
                                            	Generation
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: is_default
                                            
                                            	Is default
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.attribute_type = None
                                                self.generation = None
                                                self.is_default = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.attribute_type is not None:
                                                    return True

                                                if self.generation is not None:
                                                    return True

                                                if self.is_default is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.bandwidth_type is not None:
                                                return True

                                            if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.cost_limit is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.exclude_list_name is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_bfd_reverse_pat_configured is not None:
                                                return True

                                            if self.is_cost_limit_configured is not None:
                                                return True

                                            if self.is_exclude_list_name_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.path_invalidation_action is not None:
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            if self.version_info is not None:
                                                for child_ref in self.version_info:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                    class AttributeSetAutobackup(object):
                                        """
                                        MPLS TE Auto\-backup Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_signalled_name_configured
                                        
                                        	Is signalled name configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Array of Protected Interface Names
                                        	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: signalled_name
                                        
                                        	Signalled name
                                        	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                            self.affinity.parent = self
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.is_signalled_name_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                            self.logging.parent = self
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.protected_interface = YList()
                                            self.protected_interface.parent = self
                                            self.protected_interface.name = 'protected_interface'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.signalled_name = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                            self.signalled_name.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class SignalledName(object):
                                            """
                                            Signalled name
                                            
                                            .. attribute:: is_mp_addresses
                                            
                                            	MP address appended
                                            	**type**\:  bool
                                            
                                            .. attribute:: name
                                            
                                            	Signalled name
                                            	**type**\:  str
                                            
                                            .. attribute:: protected_interface_type
                                            
                                            	Protected interface address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            .. attribute:: source_type
                                            
                                            	Source address or name
                                            	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.is_mp_addresses = None
                                                self.name = None
                                                self.protected_interface_type = None
                                                self.source_type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.is_mp_addresses is not None:
                                                    return True

                                                if self.name is not None:
                                                    return True

                                                if self.protected_interface_type is not None:
                                                    return True

                                                if self.source_type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                        class ProtectedInterface(object):
                                            """
                                            Array of Protected Interface Names
                                            
                                            .. attribute:: protected_interface
                                            
                                            	Protected Interface Name
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.protected_interface = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.protected_interface is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.is_signalled_name_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.protected_interface is not None:
                                                for child_ref in self.protected_interface:
                                                    if child_ref._has_data():
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.signalled_name is not None and self.signalled_name._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                    class AttributeSetAutomesh(object):
                                        """
                                        MPLS TE Auto\-mesh Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                        
                                        .. attribute:: auto_bandwidth_collect
                                        
                                        	Auto bandwidth collect only
                                        	**type**\:  bool
                                        
                                        .. attribute:: auto_route_announce
                                        
                                        	Announce auto route to IGP
                                        	**type**\:  bool
                                        
                                        .. attribute:: bandwidth
                                        
                                        	IM bandwidth
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: forward_class
                                        
                                        	Forward class
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_node_protection
                                        
                                        	FRR Node protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_interface_bw_configured
                                        
                                        	Is Interface BW configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_policyclass_configured
                                        
                                        	Is policy class configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: load_share
                                        
                                        	Load Share
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                        
                                        .. attribute:: mesh_group_id
                                        
                                        	Meshgroup ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: policy_class
                                        
                                        	deprecated
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: policy_class_entry
                                        
                                        	PBTS policy classes
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: record_route
                                        
                                        	Record route
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: soft_preemption_configured
                                        
                                        	Soft preemption is configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                            self.affinity.parent = self
                                            self.auto_bandwidth_collect = None
                                            self.auto_route_announce = None
                                            self.bandwidth = None
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.forward_class = None
                                            self.frr_bandwidth_protection = None
                                            self.frr_node_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_interface_bw_configured = None
                                            self.is_policyclass_configured = None
                                            self.is_priority_configured = None
                                            self.load_share = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                            self.logging.parent = self
                                            self.mesh_group_id = YLeafList()
                                            self.mesh_group_id.parent = self
                                            self.mesh_group_id.name = 'mesh_group_id'
                                            self.policy_class = None
                                            self.policy_class_entry = YLeafList()
                                            self.policy_class_entry.parent = self
                                            self.policy_class_entry.name = 'policy_class_entry'
                                            self.record_route = None
                                            self.setup_priority = None
                                            self.soft_preemption_configured = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.auto_bandwidth_collect is not None:
                                                return True

                                            if self.auto_route_announce is not None:
                                                return True

                                            if self.bandwidth is not None:
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.forward_class is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.frr_node_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_interface_bw_configured is not None:
                                                return True

                                            if self.is_policyclass_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.load_share is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.mesh_group_id is not None:
                                                for child in self.mesh_group_id:
                                                    if child is not None:
                                                        return True

                                            if self.policy_class is not None:
                                                return True

                                            if self.policy_class_entry is not None:
                                                for child in self.policy_class_entry:
                                                    if child is not None:
                                                        return True

                                            if self.record_route is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.soft_preemption_configured is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                    class AttributeSetXro(object):
                                        """
                                        Attribute Set XRO
                                        
                                        .. attribute:: xro
                                        
                                        	The XRO specified by this attribute\-set
                                        	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                            self.xro.parent = self


                                        class Xro(object):
                                            """
                                            The XRO specified by this attribute\-set
                                            
                                            .. attribute:: mutual_diversity_flag
                                            
                                            	Mutual Diversity Flag
                                            	**type**\:  bool
                                            
                                            .. attribute:: xro_subobject
                                            
                                            	List of XRO sub\-objects
                                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.mutual_diversity_flag = None
                                                self.xro_subobject = YList()
                                                self.xro_subobject.parent = self
                                                self.xro_subobject.name = 'xro_subobject'


                                            class XroSubobject(object):
                                                """
                                                List of XRO sub\-objects
                                                
                                                .. attribute:: as_subobject
                                                
                                                	AS sub\-object
                                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                                
                                                .. attribute:: ipv4_subobject
                                                
                                                	IPv4 sub\-object
                                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                                
                                                .. attribute:: ipv6_subobject
                                                
                                                	IPv6 sub\-object
                                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                                
                                                .. attribute:: lsp_subobject
                                                
                                                	P2P LSP sub\-object
                                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                                
                                                .. attribute:: srlg_subobject
                                                
                                                	SRLG sub\-object
                                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                                
                                                .. attribute:: type
                                                
                                                	Type
                                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                                
                                                .. attribute:: unnumbered_subobject
                                                
                                                	Unnumbered sub\-object
                                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                    self.as_subobject.parent = self
                                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                    self.ipv4_subobject.parent = self
                                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                    self.ipv6_subobject.parent = self
                                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                    self.lsp_subobject.parent = self
                                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                    self.srlg_subobject.parent = self
                                                    self.type = None
                                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                    self.unnumbered_subobject.parent = self


                                                class Ipv4Subobject(object):
                                                    """
                                                    IPv4 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv4 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                                class Ipv6Subobject(object):
                                                    """
                                                    IPv6 sub\-object
                                                    
                                                    .. attribute:: address
                                                    
                                                    	IPv6 address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: prefix_len
                                                    
                                                    	Prefix length
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.address = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.prefix_len = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.address is not None:
                                                            return True

                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.prefix_len is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                                class UnnumberedSubobject(object):
                                                    """
                                                    Unnumbered sub\-object
                                                    
                                                    .. attribute:: attribute
                                                    
                                                    	Attribute
                                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: interface_id
                                                    
                                                    	Interface ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: te_router_id
                                                    
                                                    	TE router\-id
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.attribute = None
                                                        self.exclusion_type = None
                                                        self.interface_id = None
                                                        self.te_router_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.attribute is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.interface_id is not None:
                                                            return True

                                                        if self.te_router_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                                class AsSubobject(object):
                                                    """
                                                    AS sub\-object
                                                    
                                                    .. attribute:: as_number
                                                    
                                                    	Autonomous System number
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.as_number = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.as_number is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                                class SrlgSubobject(object):
                                                    """
                                                    SRLG sub\-object
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: srlg_id
                                                    
                                                    	SRLG ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.exclusion_type = None
                                                        self.srlg_id = None

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.srlg_id is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                                class LspSubobject(object):
                                                    """
                                                    P2P LSP sub\-object
                                                    
                                                    .. attribute:: destination_node_exception
                                                    
                                                    	Destination\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: exclusion_type
                                                    
                                                    	Exclusion Type
                                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                    
                                                    .. attribute:: fec
                                                    
                                                    	LSP FEC
                                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                    
                                                    .. attribute:: ignore_lsp_id
                                                    
                                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: penultimate_node_exception
                                                    
                                                    	Penultimate\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    .. attribute:: processing_node_exception
                                                    
                                                    	Processing\-node exception flag
                                                    	**type**\:  bool
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.destination_node_exception = None
                                                        self.exclusion_type = None
                                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                        self.fec.parent = self
                                                        self.ignore_lsp_id = None
                                                        self.penultimate_node_exception = None
                                                        self.processing_node_exception = None


                                                    class Fec(object):
                                                        """
                                                        LSP FEC
                                                        
                                                        .. attribute:: fec_destination_info
                                                        
                                                        	Destination or P2MP ID
                                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                        
                                                        .. attribute:: fec_extended_tunnel_id
                                                        
                                                        	Extended tunnel ID
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_lsp_id
                                                        
                                                        	LSP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_source
                                                        
                                                        	Tunnel source address
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        .. attribute:: fec_tunnel_id
                                                        
                                                        	Tunnel ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..65535
                                                        
                                                        .. attribute:: fec_vrf
                                                        
                                                        	VRF; currently only for GMPLS tunnels
                                                        	**type**\:  str
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                            self.fec_destination_info.parent = self
                                                            self.fec_extended_tunnel_id = None
                                                            self.fec_lsp_id = None
                                                            self.fec_source = None
                                                            self.fec_tunnel_id = None
                                                            self.fec_vrf = None


                                                        class FecDestinationInfo(object):
                                                            """
                                                            Destination or P2MP ID
                                                            
                                                            .. attribute:: fec_ctype
                                                            
                                                            	FEC CType
                                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                            
                                                            .. attribute:: fec_destination_p2mp_id
                                                            
                                                            	P2MP ID
                                                            	**type**\:  int
                                                            
                                                            	**range:** 0..4294967295
                                                            
                                                            .. attribute:: p2p_lsp_destination
                                                            
                                                            	P2P LSP destination
                                                            	**type**\:  str
                                                            
                                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                            
                                                            

                                                            """

                                                            _prefix = 'mpls-te-oper'
                                                            _revision = '2015-11-09'

                                                            def __init__(self):
                                                                self.parent = None
                                                                self.fec_ctype = None
                                                                self.fec_destination_p2mp_id = None
                                                                self.p2p_lsp_destination = None

                                                            @property
                                                            def _common_path(self):
                                                                if self.parent is None:
                                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                            def is_config(self):
                                                                ''' Returns True if this instance represents config data else returns False '''
                                                                return False

                                                            def _has_data(self):
                                                                if not self.is_config():
                                                                    return False
                                                                if self.fec_ctype is not None:
                                                                    return True

                                                                if self.fec_destination_p2mp_id is not None:
                                                                    return True

                                                                if self.p2p_lsp_destination is not None:
                                                                    return True

                                                                return False

                                                            @staticmethod
                                                            def _meta_info():
                                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                                return True

                                                            if self.fec_extended_tunnel_id is not None:
                                                                return True

                                                            if self.fec_lsp_id is not None:
                                                                return True

                                                            if self.fec_source is not None:
                                                                return True

                                                            if self.fec_tunnel_id is not None:
                                                                return True

                                                            if self.fec_vrf is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.destination_node_exception is not None:
                                                            return True

                                                        if self.exclusion_type is not None:
                                                            return True

                                                        if self.fec is not None and self.fec._has_data():
                                                            return True

                                                        if self.ignore_lsp_id is not None:
                                                            return True

                                                        if self.penultimate_node_exception is not None:
                                                            return True

                                                        if self.processing_node_exception is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                                        return True

                                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                        return True

                                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                        return True

                                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                        return True

                                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.mutual_diversity_flag is not None:
                                                    return True

                                                if self.xro_subobject is not None:
                                                    for child_ref in self.xro_subobject:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.xro is not None and self.xro._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                    class AttributeSetP2Mpte(object):
                                        """
                                        MPLS TE P2MP\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                        
                                        .. attribute:: configured_bandwidth
                                        
                                        	Bandwidth value in kbps
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        	**units**\: kbit/s
                                        
                                        .. attribute:: dste_class_type
                                        
                                        	DSTE Class
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: fast_reroute
                                        
                                        	Fast reroute
                                        	**type**\:  bool
                                        
                                        .. attribute:: frr_bandwidth_protection
                                        
                                        	FRR bandwidth protection
                                        	**type**\:  bool
                                        
                                        .. attribute:: hold_priority
                                        
                                        	Hold priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_bandwidth_configured
                                        
                                        	Is bandwidth configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_priority_configured
                                        
                                        	Is priority configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: setup_priority
                                        
                                        	Setup priority
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                            self.affinity.parent = self
                                            self.configured_bandwidth = None
                                            self.dste_class_type = None
                                            self.fast_reroute = None
                                            self.frr_bandwidth_protection = None
                                            self.hold_priority = None
                                            self.is_affinity_configured = None
                                            self.is_bandwidth_configured = None
                                            self.is_priority_configured = None
                                            self.setup_priority = None
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.configured_bandwidth is not None:
                                                return True

                                            if self.dste_class_type is not None:
                                                return True

                                            if self.fast_reroute is not None:
                                                return True

                                            if self.frr_bandwidth_protection is not None:
                                                return True

                                            if self.hold_priority is not None:
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_bandwidth_configured is not None:
                                                return True

                                            if self.is_priority_configured is not None:
                                                return True

                                            if self.setup_priority is not None:
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                    class AttributeSetApsPp(object):
                                        """
                                        Attribute Set OTN APS Path Protection
                                        
                                        .. attribute:: hold_off_time
                                        
                                        	Hold\-off time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_prot_profile_type
                                        
                                        	Path Protection Profile Type
                                        	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                        
                                        .. attribute:: protection_mode
                                        
                                        	Protection Restoration Mode
                                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                        
                                        .. attribute:: protection_type
                                        
                                        	Protection Type
                                        	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                        
                                        .. attribute:: restoration_style
                                        
                                        	Restoration Style
                                        	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                        
                                        .. attribute:: revert_schedule
                                        
                                        	Revert Schedule
                                        	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                        
                                        .. attribute:: snc_mode
                                        
                                        	Sub\-network Connection Mode
                                        	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                        
                                        .. attribute:: tcm_id
                                        
                                        	Sub\-network Connection Monitoring Mode
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: wait_to_restore_time
                                        
                                        	Wait to restore time
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.hold_off_time = None
                                            self.path_prot_profile_type = None
                                            self.protection_mode = None
                                            self.protection_type = None
                                            self.restoration_style = None
                                            self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                            self.revert_schedule.parent = self
                                            self.snc_mode = None
                                            self.tcm_id = None
                                            self.wait_to_restore_time = None


                                        class RevertSchedule(object):
                                            """
                                            Revert Schedule
                                            
                                            .. attribute:: duration
                                            
                                            	Duration for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: max_tries
                                            
                                            	Max tries for scheduled reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_date
                                            
                                            	Schedule time for reversion
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: schedule_frequency
                                            
                                            	Schedule frequency for reversion
                                            	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                            
                                            .. attribute:: schedulename
                                            
                                            	Schedule name identifier
                                            	**type**\:  str
                                            
                                            	**length:** 0..255
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.duration = None
                                                self.max_tries = None
                                                self.schedule_date = None
                                                self.schedule_frequency = None
                                                self.schedulename = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.duration is not None:
                                                    return True

                                                if self.max_tries is not None:
                                                    return True

                                                if self.schedule_date is not None:
                                                    return True

                                                if self.schedule_frequency is not None:
                                                    return True

                                                if self.schedulename is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.hold_off_time is not None:
                                                return True

                                            if self.path_prot_profile_type is not None:
                                                return True

                                            if self.protection_mode is not None:
                                                return True

                                            if self.protection_type is not None:
                                                return True

                                            if self.restoration_style is not None:
                                                return True

                                            if self.revert_schedule is not None and self.revert_schedule._has_data():
                                                return True

                                            if self.snc_mode is not None:
                                                return True

                                            if self.tcm_id is not None:
                                                return True

                                            if self.wait_to_restore_time is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                    class AttributeSetP2PTe(object):
                                        """
                                        MPLS TE P2P\-TE Attribute Set
                                        
                                        .. attribute:: affinity
                                        
                                        	Affinity
                                        	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                        
                                        .. attribute:: is_affinity_configured
                                        
                                        	Is affinity configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_action_configured
                                        
                                        	Is Path Invalidation action configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_invalidation_timeout_configured
                                        
                                        	Is Path Invalidation timeout configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_select_configured
                                        
                                        	Is any of the path selection parameters configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_metric_configured
                                        
                                        	Is path selection metric configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                        
                                        	Is path selection segment routing configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_configured
                                        
                                        	Is path selection margin configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_margin_relative
                                        
                                        	Path selection margin is\_relative
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_configured
                                        
                                        	Is PCE Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_group_id_configured
                                        
                                        	Is PCE Disjoint Path Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_source_configured
                                        
                                        	Is PCE Disjoint Path Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pce_disj_type_configured
                                        
                                        	Is PCE Disjoint Path Type Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pceb_dj_source_configured
                                        
                                        	Is PCE Bidirectional Source Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_pcebd_group_id_configured
                                        
                                        	Is PCE Bidirectional Group ID Configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: is_prepend_list_configured
                                        
                                        	Is SR prepend list configured
                                        	**type**\:  bool
                                        
                                        .. attribute:: logging
                                        
                                        	Logging attributes
                                        	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                        
                                        .. attribute:: path_invalidation_timeout
                                        
                                        	Path invalidation timeout on the tunnel path
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_invalidation_action
                                        
                                        	Path invalidation action
                                        	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                        
                                        .. attribute:: path_selection_metric
                                        
                                        	Path selection metric type
                                        	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_adjacency_protection
                                        
                                        	Path selection segment\-routing type
                                        	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                        
                                        .. attribute:: path_selection_segment_routing_margin
                                        
                                        	Path selection margin
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_selection_segment_routing_segment_limit
                                        
                                        	Is path selection segment limit configured
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_group_id
                                        
                                        	PCE Bidirectional Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcebd_source_address
                                        
                                        	PCE Bidirectional Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_group_id
                                        
                                        	PCE Disjoint Path Group ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_source_address
                                        
                                        	PCE Disjoint Path Source Address
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: pcedp_type
                                        
                                        	PCE Disjoint Path Type
                                        	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                        
                                        .. attribute:: prepend_list
                                        
                                        	SR prepend list
                                        	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                        
                                        .. attribute:: tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  list of int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                            self.affinity.parent = self
                                            self.is_affinity_configured = None
                                            self.is_path_invalidation_action_configured = None
                                            self.is_path_invalidation_timeout_configured = None
                                            self.is_path_select_configured = None
                                            self.is_path_selection_metric_configured = None
                                            self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                            self.is_path_selection_segment_routing_margin_configured = None
                                            self.is_path_selection_segment_routing_margin_relative = None
                                            self.is_path_selection_segment_routing_segment_limit_configured = None
                                            self.is_pce_configured = None
                                            self.is_pce_disj_group_id_configured = None
                                            self.is_pce_disj_source_configured = None
                                            self.is_pce_disj_type_configured = None
                                            self.is_pceb_dj_source_configured = None
                                            self.is_pcebd_group_id_configured = None
                                            self.is_prepend_list_configured = None
                                            self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                            self.logging.parent = self
                                            self.path_invalidation_timeout = None
                                            self.path_selection_invalidation_action = None
                                            self.path_selection_metric = None
                                            self.path_selection_segment_routing_adjacency_protection = None
                                            self.path_selection_segment_routing_margin = None
                                            self.path_selection_segment_routing_segment_limit = None
                                            self.pcebd_group_id = None
                                            self.pcebd_source_address = None
                                            self.pcedp_group_id = None
                                            self.pcedp_source_address = None
                                            self.pcedp_type = None
                                            self.prepend_list = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                            self.prepend_list.parent = self
                                            self.tunnel_id = YLeafList()
                                            self.tunnel_id.parent = self
                                            self.tunnel_id.name = 'tunnel_id'


                                        class Affinity(object):
                                            """
                                            Affinity
                                            
                                            .. attribute:: affinity_bits
                                            
                                            	The affinity bits (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: affinity_mask
                                            
                                            	The affinity mask (colors)
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: named_affinity
                                            
                                            	Array of name based constratints currently applied to the tunnel
                                            	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.affinity_bits = None
                                                self.affinity_mask = None
                                                self.named_affinity = YList()
                                                self.named_affinity.parent = self
                                                self.named_affinity.name = 'named_affinity'


                                            class NamedAffinity(object):
                                                """
                                                Array of name based constratints currently
                                                applied to the tunnel
                                                
                                                .. attribute:: constraint_extended_value
                                                
                                                	Constraint value
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: constraint_type
                                                
                                                	Constraint type
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: constraint_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: extended_forward_ref_value
                                                
                                                	Reference bits for undefined affinity names
                                                	**type**\:  list of int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: forward_ref_value
                                                
                                                	Deprecated
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.constraint_extended_value = YLeafList()
                                                    self.constraint_extended_value.parent = self
                                                    self.constraint_extended_value.name = 'constraint_extended_value'
                                                    self.constraint_type = None
                                                    self.constraint_value = None
                                                    self.extended_forward_ref_value = YLeafList()
                                                    self.extended_forward_ref_value.parent = self
                                                    self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                    self.forward_ref_value = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.constraint_extended_value is not None:
                                                        for child in self.constraint_extended_value:
                                                            if child is not None:
                                                                return True

                                                    if self.constraint_type is not None:
                                                        return True

                                                    if self.constraint_value is not None:
                                                        return True

                                                    if self.extended_forward_ref_value is not None:
                                                        for child in self.extended_forward_ref_value:
                                                            if child is not None:
                                                                return True

                                                    if self.forward_ref_value is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.affinity_bits is not None:
                                                    return True

                                                if self.affinity_mask is not None:
                                                    return True

                                                if self.named_affinity is not None:
                                                    for child_ref in self.named_affinity:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                        class Logging(object):
                                            """
                                            Logging attributes
                                            
                                            .. attribute:: all_logging_enabled
                                            
                                            	All logging option\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_bandwidth_change
                                            
                                            	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_insufficient_bw
                                            
                                            	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_pcalc_failure_logging_enabled
                                            
                                            	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_opt
                                            
                                            	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_re_route
                                            
                                            	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: lsp_state
                                            
                                            	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            .. attribute:: s2l_state
                                            
                                            	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.all_logging_enabled = None
                                                self.lsp_bandwidth_change = None
                                                self.lsp_insufficient_bw = None
                                                self.lsp_pcalc_failure_logging_enabled = None
                                                self.lsp_re_opt = None
                                                self.lsp_re_route = None
                                                self.lsp_state = None
                                                self.s2l_state = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.all_logging_enabled is not None:
                                                    return True

                                                if self.lsp_bandwidth_change is not None:
                                                    return True

                                                if self.lsp_insufficient_bw is not None:
                                                    return True

                                                if self.lsp_pcalc_failure_logging_enabled is not None:
                                                    return True

                                                if self.lsp_re_opt is not None:
                                                    return True

                                                if self.lsp_re_route is not None:
                                                    return True

                                                if self.lsp_state is not None:
                                                    return True

                                                if self.s2l_state is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                        class PrependList(object):
                                            """
                                            SR prepend list
                                            
                                            .. attribute:: prepend_entry
                                            
                                            	List of prepend entries
                                            	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.prepend_entry = YList()
                                                self.prepend_entry.parent = self
                                                self.prepend_entry.name = 'prepend_entry'


                                            class PrependEntry(object):
                                                """
                                                List of prepend entries
                                                
                                                .. attribute:: index
                                                
                                                	Prepend index
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: next_label
                                                
                                                	Prepend next label
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: type
                                                
                                                	Prepend Type
                                                	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.index = None
                                                    self.next_label = None
                                                    self.type = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.index is not None:
                                                        return True

                                                    if self.next_label is not None:
                                                        return True

                                                    if self.type is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.prepend_entry is not None:
                                                    for child_ref in self.prepend_entry:
                                                        if child_ref._has_data():
                                                            return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity is not None and self.affinity._has_data():
                                                return True

                                            if self.is_affinity_configured is not None:
                                                return True

                                            if self.is_path_invalidation_action_configured is not None:
                                                return True

                                            if self.is_path_invalidation_timeout_configured is not None:
                                                return True

                                            if self.is_path_select_configured is not None:
                                                return True

                                            if self.is_path_selection_metric_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_configured is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_margin_relative is not None:
                                                return True

                                            if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                                return True

                                            if self.is_pce_configured is not None:
                                                return True

                                            if self.is_pce_disj_group_id_configured is not None:
                                                return True

                                            if self.is_pce_disj_source_configured is not None:
                                                return True

                                            if self.is_pce_disj_type_configured is not None:
                                                return True

                                            if self.is_pceb_dj_source_configured is not None:
                                                return True

                                            if self.is_pcebd_group_id_configured is not None:
                                                return True

                                            if self.is_prepend_list_configured is not None:
                                                return True

                                            if self.logging is not None and self.logging._has_data():
                                                return True

                                            if self.path_invalidation_timeout is not None:
                                                return True

                                            if self.path_selection_invalidation_action is not None:
                                                return True

                                            if self.path_selection_metric is not None:
                                                return True

                                            if self.path_selection_segment_routing_adjacency_protection is not None:
                                                return True

                                            if self.path_selection_segment_routing_margin is not None:
                                                return True

                                            if self.path_selection_segment_routing_segment_limit is not None:
                                                return True

                                            if self.pcebd_group_id is not None:
                                                return True

                                            if self.pcebd_source_address is not None:
                                                return True

                                            if self.pcedp_group_id is not None:
                                                return True

                                            if self.pcedp_source_address is not None:
                                                return True

                                            if self.pcedp_type is not None:
                                                return True

                                            if self.prepend_list is not None and self.prepend_list._has_data():
                                                return True

                                            if self.tunnel_id is not None:
                                                for child in self.tunnel_id:
                                                    if child is not None:
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                            return True

                                        if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                            return True

                                        if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                            return True

                                        if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                            return True

                                        if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                            return True

                                        if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                            return True

                                        if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                            return True

                                        if self.tunnel_attribute_set_type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                        return True

                                    if self.tunnel_attribute_set_name is not None:
                                        return True

                                    if self.tunnel_attribute_set_name_crc32 is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']


                            class PathCalculationError(object):
                                """
                                Path computation information
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.PathCalculationError']['meta_info']


                            class RemergeError(object):
                                """
                                Path computation remerge resolve info
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: log_time
                                
                                	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSP Mode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error_message = None
                                    self.log_time = None
                                    self.lsp_mode = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error_message is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.RemergeError']['meta_info']


                            class SignallingError(object):
                                """
                                Signalling information
                                
                                .. attribute:: error
                                
                                	Path Error code
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: error_message
                                
                                	Error message (for display purposes only)
                                	**type**\:  str
                                
                                .. attribute:: error_node
                                
                                	Source address of the error generating node
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: log_time
                                
                                	Time in seconds when the error message is logged
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                .. attribute:: lsp_mode
                                
                                	LSPMode
                                	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                                
                                .. attribute:: reverse_lsp
                                
                                	Indicates if error is on the reverse LSP
                                	**type**\:  bool
                                
                                .. attribute:: signalling_lsp_id
                                
                                	LSP\-id for which the error was received
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_code
                                
                                	Path Error subcode
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.error = None
                                    self.error_message = None
                                    self.error_node = None
                                    self.log_time = None
                                    self.lsp_mode = None
                                    self.reverse_lsp = None
                                    self.signalling_lsp_id = None
                                    self.sub_code = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.error is not None:
                                        return True

                                    if self.error_message is not None:
                                        return True

                                    if self.error_node is not None:
                                        return True

                                    if self.log_time is not None:
                                        return True

                                    if self.lsp_mode is not None:
                                        return True

                                    if self.reverse_lsp is not None:
                                        return True

                                    if self.signalling_lsp_id is not None:
                                        return True

                                    if self.sub_code is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.SignallingError']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set is not None and self.attribute_set._has_data():
                                    return True

                                if self.attribute_set_found is not None:
                                    return True

                                if self.explicit_path_id is not None:
                                    return True

                                if self.explicit_path_name is not None:
                                    return True

                                if self.has_attribute_set is not None:
                                    return True

                                if self.has_xro_attribute_set is not None:
                                    return True

                                if self.holddown_duration is not None:
                                    return True

                                if self.is_disabled is not None:
                                    return True

                                if self.is_helddown is not None:
                                    return True

                                if self.is_lockdown is not None:
                                    return True

                                if self.is_segment_routing is not None:
                                    return True

                                if self.is_strict_explicit_path is not None:
                                    return True

                                if self.is_verbatim is not None:
                                    return True

                                if self.option_index is not None:
                                    return True

                                if self.option_index_is_valid is not None:
                                    return True

                                if self.path_calculation_error is not None:
                                    for child_ref in self.path_calculation_error:
                                        if child_ref._has_data():
                                            return True

                                if self.path_option_area_id is not None:
                                    return True

                                if self.path_option_name is not None:
                                    return True

                                if self.path_option_type is not None:
                                    return True

                                if self.pce_address is not None:
                                    return True

                                if self.protected_by_path_option_index is not None:
                                    return True

                                if self.remerge_error is not None:
                                    for child_ref in self.remerge_error:
                                        if child_ref._has_data():
                                            return True

                                if self.restored_from_path_option_index is not None:
                                    return True

                                if self.signalling_error is not None:
                                    for child_ref in self.signalling_error:
                                        if child_ref._has_data():
                                            return True

                                if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                    return True

                                if self.xro_attribute_set_found is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption']['meta_info']


                        class OutXro(object):
                            """
                            Outgoing XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro']['meta_info']


                        class InXro(object):
                            """
                            Incoming XRO for this S2L
                            
                            .. attribute:: mutual_diversity_flag
                            
                            	Mutual Diversity Flag
                            	**type**\:  bool
                            
                            .. attribute:: xro_subobject
                            
                            	List of XRO sub\-objects
                            	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.mutual_diversity_flag = None
                                self.xro_subobject = YList()
                                self.xro_subobject.parent = self
                                self.xro_subobject.name = 'xro_subobject'


                            class XroSubobject(object):
                                """
                                List of XRO sub\-objects
                                
                                .. attribute:: as_subobject
                                
                                	AS sub\-object
                                	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject>`
                                
                                .. attribute:: ipv4_subobject
                                
                                	IPv4 sub\-object
                                	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject>`
                                
                                .. attribute:: ipv6_subobject
                                
                                	IPv6 sub\-object
                                	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject>`
                                
                                .. attribute:: lsp_subobject
                                
                                	P2P LSP sub\-object
                                	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject>`
                                
                                .. attribute:: srlg_subobject
                                
                                	SRLG sub\-object
                                	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                
                                .. attribute:: unnumbered_subobject
                                
                                	Unnumbered sub\-object
                                	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject()
                                    self.as_subobject.parent = self
                                    self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject()
                                    self.ipv4_subobject.parent = self
                                    self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject()
                                    self.ipv6_subobject.parent = self
                                    self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject()
                                    self.lsp_subobject.parent = self
                                    self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject()
                                    self.srlg_subobject.parent = self
                                    self.type = None
                                    self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject()
                                    self.unnumbered_subobject.parent = self


                                class Ipv4Subobject(object):
                                    """
                                    IPv4 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv4 address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info']


                                class Ipv6Subobject(object):
                                    """
                                    IPv6 sub\-object
                                    
                                    .. attribute:: address
                                    
                                    	IPv6 address
                                    	**type**\:  str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: prefix_len
                                    
                                    	Prefix length
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.address = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.prefix_len = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.address is not None:
                                            return True

                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.prefix_len is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info']


                                class UnnumberedSubobject(object):
                                    """
                                    Unnumbered sub\-object
                                    
                                    .. attribute:: attribute
                                    
                                    	Attribute
                                    	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: interface_id
                                    
                                    	Interface ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: te_router_id
                                    
                                    	TE router\-id
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.attribute = None
                                        self.exclusion_type = None
                                        self.interface_id = None
                                        self.te_router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.attribute is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.interface_id is not None:
                                            return True

                                        if self.te_router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info']


                                class AsSubobject(object):
                                    """
                                    AS sub\-object
                                    
                                    .. attribute:: as_number
                                    
                                    	Autonomous System number
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_number = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_number is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info']


                                class SrlgSubobject(object):
                                    """
                                    SRLG sub\-object
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: srlg_id
                                    
                                    	SRLG ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.exclusion_type = None
                                        self.srlg_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.exclusion_type is not None:
                                            return True

                                        if self.srlg_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info']


                                class LspSubobject(object):
                                    """
                                    P2P LSP sub\-object
                                    
                                    .. attribute:: destination_node_exception
                                    
                                    	Destination\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: exclusion_type
                                    
                                    	Exclusion Type
                                    	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                    
                                    .. attribute:: fec
                                    
                                    	LSP FEC
                                    	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec>`
                                    
                                    .. attribute:: ignore_lsp_id
                                    
                                    	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                    	**type**\:  bool
                                    
                                    .. attribute:: penultimate_node_exception
                                    
                                    	Penultimate\-node exception flag
                                    	**type**\:  bool
                                    
                                    .. attribute:: processing_node_exception
                                    
                                    	Processing\-node exception flag
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.destination_node_exception = None
                                        self.exclusion_type = None
                                        self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec()
                                        self.fec.parent = self
                                        self.ignore_lsp_id = None
                                        self.penultimate_node_exception = None
                                        self.processing_node_exception = None


                                    class Fec(object):
                                        """
                                        LSP FEC
                                        
                                        .. attribute:: fec_destination_info
                                        
                                        	Destination or P2MP ID
                                        	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                        
                                        .. attribute:: fec_extended_tunnel_id
                                        
                                        	Extended tunnel ID
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_lsp_id
                                        
                                        	LSP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_source
                                        
                                        	Tunnel source address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: fec_tunnel_id
                                        
                                        	Tunnel ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: fec_vrf
                                        
                                        	VRF; currently only for GMPLS tunnels
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                            self.fec_destination_info.parent = self
                                            self.fec_extended_tunnel_id = None
                                            self.fec_lsp_id = None
                                            self.fec_source = None
                                            self.fec_tunnel_id = None
                                            self.fec_vrf = None


                                        class FecDestinationInfo(object):
                                            """
                                            Destination or P2MP ID
                                            
                                            .. attribute:: fec_ctype
                                            
                                            	FEC CType
                                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                            
                                            .. attribute:: fec_destination_p2mp_id
                                            
                                            	P2MP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: p2p_lsp_destination
                                            
                                            	P2P LSP destination
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_ctype = None
                                                self.fec_destination_p2mp_id = None
                                                self.p2p_lsp_destination = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_ctype is not None:
                                                    return True

                                                if self.fec_destination_p2mp_id is not None:
                                                    return True

                                                if self.p2p_lsp_destination is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                return True

                                            if self.fec_extended_tunnel_id is not None:
                                                return True

                                            if self.fec_lsp_id is not None:
                                                return True

                                            if self.fec_source is not None:
                                                return True

                                            if self.fec_tunnel_id is not None:
                                                return True

                                            if self.fec_vrf is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.destination_node_exception is not None:
                                            return True

                                        if self.exclusion_type is not None:
                                            return True

                                        if self.fec is not None and self.fec._has_data():
                                            return True

                                        if self.ignore_lsp_id is not None:
                                            return True

                                        if self.penultimate_node_exception is not None:
                                            return True

                                        if self.processing_node_exception is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_subobject is not None and self.as_subobject._has_data():
                                        return True

                                    if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                        return True

                                    if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                        return True

                                    if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                        return True

                                    if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.mutual_diversity_flag is not None:
                                    return True

                                if self.xro_subobject is not None:
                                    for child_ref in self.xro_subobject:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro']['meta_info']


                        class Tspec(object):
                            """
                            The T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Tspec']['meta_info']


                        class GenericTspec(object):
                            """
                            Generic TSpec
                            
                            .. attribute:: otntspec
                            
                            	TE TSpec for G709 OTN
                            	**type**\:   :py:class:`Otntspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec.Otntspec>`
                            
                            .. attribute:: tspec_type
                            
                            	TSpecType
                            	**type**\:   :py:class:`TeMgmtGenericTspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericTspecEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.otntspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec.Otntspec()
                                self.otntspec.parent = self
                                self.tspec_type = None


                            class Otntspec(object):
                                """
                                TE TSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otntspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec.Otntspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.otntspec is not None and self.otntspec._has_data():
                                    return True

                                if self.tspec_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec']['meta_info']


                        class Fspec(object):
                            """
                            The F spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Fspec']['meta_info']


                        class GenericFspec(object):
                            """
                            Generic FSpec
                            
                            .. attribute:: fspec_type
                            
                            	FSpecType
                            	**type**\:   :py:class:`TeMgmtGenericFspecEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMgmtGenericFspecEnum>`
                            
                            .. attribute:: otnfspec
                            
                            	TE FSpec for G709 OTN
                            	**type**\:   :py:class:`Otnfspec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec.Otnfspec>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fspec_type = None
                                self.otnfspec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec.Otnfspec()
                                self.otnfspec.parent = self


                            class Otnfspec(object):
                                """
                                TE FSpec for G709 OTN
                                
                                .. attribute:: bit_rate
                                
                                	Bit Rate in kbps
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: multiplier
                                
                                	Multiplier
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nmc_or_tolerance
                                
                                	NMC or Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nvc
                                
                                	Number of Virtual Components
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: signal_type
                                
                                	Signal Type
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.multiplier = None
                                    self.nmc_or_tolerance = None
                                    self.nvc = None
                                    self.signal_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otnfspec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.multiplier is not None:
                                        return True

                                    if self.nmc_or_tolerance is not None:
                                        return True

                                    if self.nvc is not None:
                                        return True

                                    if self.signal_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec.Otnfspec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:generic-fspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fspec_type is not None:
                                    return True

                                if self.otnfspec is not None and self.otnfspec._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec']['meta_info']


                        class NextHopAddressGeneric(object):
                            """
                            Next hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric']['meta_info']


                        class PreviousHopAddressGeneric(object):
                            """
                            Previous hop address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-hop-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric']['meta_info']


                        class IncomingAddressGeneric(object):
                            """
                            Incoming interface address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:incoming-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric']['meta_info']


                        class S2LConvergence(object):
                            """
                            TE LSP convergence related information
                            
                            .. attribute:: creation_time
                            
                            	Tunnel creation timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: label_rewrite
                            
                            	LSP Label rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_in
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: path_out
                            
                            	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_in
                            
                            	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: resv_out
                            
                            	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            .. attribute:: tunnel_rewrite
                            
                            	Tunnel rewrite timestamp (clocktime in nsecs)
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: nanosecond
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.creation_time = None
                                self.label_rewrite = None
                                self.path_in = None
                                self.path_out = None
                                self.resv_in = None
                                self.resv_out = None
                                self.tunnel_rewrite = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-convergence'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.creation_time is not None:
                                    return True

                                if self.label_rewrite is not None:
                                    return True

                                if self.path_in is not None:
                                    return True

                                if self.path_out is not None:
                                    return True

                                if self.resv_in is not None:
                                    return True

                                if self.resv_out is not None:
                                    return True

                                if self.tunnel_rewrite is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LConvergence']['meta_info']


                        class SoftPreemption(object):
                            """
                            The soft preemption info for this LSP.
                            
                            .. attribute:: fr_rrewrite
                            
                            	FRR\-rewrite during soft preemption
                            	**type**\:  bool
                            
                            .. attribute:: fr_rrewrite_tunnel_name
                            
                            	The tunnel name of the backup
                            	**type**\:  str
                            
                            .. attribute:: preempting_link_address
                            
                            	The address of the link where the preemption happened
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: soft_preemption_link
                            
                            	Name of the link where the soft preemption occurred
                            	**type**\:  str
                            
                            .. attribute:: soft_preemption_timestamp
                            
                            	The POSIX timestamp when the soft preemption occurred
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: status
                            
                            	The current state of the soft preemption operation
                            	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                            
                            .. attribute:: time_to_hard_preemption
                            
                            	The number of seconds until hard preemption is triggered
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fr_rrewrite = None
                                self.fr_rrewrite_tunnel_name = None
                                self.preempting_link_address = None
                                self.soft_preemption_link = None
                                self.soft_preemption_timestamp = None
                                self.status = None
                                self.time_to_hard_preemption = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fr_rrewrite is not None:
                                    return True

                                if self.fr_rrewrite_tunnel_name is not None:
                                    return True

                                if self.preempting_link_address is not None:
                                    return True

                                if self.soft_preemption_link is not None:
                                    return True

                                if self.soft_preemption_timestamp is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                if self.time_to_hard_preemption is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SoftPreemption']['meta_info']


                        class GmplsLabels(object):
                            """
                            GMPLS labels
                            
                            .. attribute:: path_egress_label
                            
                            	Path message (upstream) egress label
                            	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel>`
                            
                            .. attribute:: path_ingress_label
                            
                            	Path message (upstream) ingress label
                            	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel>`
                            
                            .. attribute:: resv_egress_label
                            
                            	Resv message (downstream) egress label
                            	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel>`
                            
                            .. attribute:: resv_ingress_label
                            
                            	Resv message (downstream) ingress label
                            	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel()
                                self.path_egress_label.parent = self
                                self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel()
                                self.path_ingress_label.parent = self
                                self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel()
                                self.resv_egress_label.parent = self
                                self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel()
                                self.resv_ingress_label.parent = self


                            class PathIngressLabel(object):
                                """
                                Path message (upstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']


                            class PathEgressLabel(object):
                                """
                                Path message (upstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']


                            class ResvIngressLabel(object):
                                """
                                Resv message (downstream) ingress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']


                            class ResvEgressLabel(object):
                                """
                                Resv message (downstream) egress label
                                
                                .. attribute:: label_type
                                
                                	LabelType
                                	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                
                                .. attribute:: otn
                                
                                	Fixed\-size G09 OTN label
                                	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn>`
                                
                                .. attribute:: wdm
                                
                                	Fixed\-grid WDM label
                                	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.label_type = None
                                    self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn()
                                    self.otn.parent = self
                                    self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm()
                                    self.wdm.parent = self


                                class Wdm(object):
                                    """
                                    Fixed\-grid WDM label
                                    
                                    .. attribute:: channel
                                    
                                    	Channel Number
                                    	**type**\:  int
                                    
                                    	**range:** \-32768..32767
                                    
                                    .. attribute:: channel_spacing
                                    
                                    	Channel spacing
                                    	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                    
                                    .. attribute:: grid
                                    
                                    	Grid
                                    	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                    
                                    .. attribute:: identifier
                                    
                                    	Identifier
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: label_set
                                    
                                    	Flag to indicate whether label is set
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.channel = None
                                        self.channel_spacing = None
                                        self.grid = None
                                        self.identifier = None
                                        self.label_set = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.channel is not None:
                                            return True

                                        if self.channel_spacing is not None:
                                            return True

                                        if self.grid is not None:
                                            return True

                                        if self.identifier is not None:
                                            return True

                                        if self.label_set is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info']


                                class Otn(object):
                                    """
                                    Fixed\-size G09 OTN label
                                    
                                    .. attribute:: bit_map
                                    
                                    	Bit Map
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: bit_map_length
                                    
                                    	Bit map length
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: tpn
                                    
                                    	Tributary time slot
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.bit_map = YLeafList()
                                        self.bit_map.parent = self
                                        self.bit_map.name = 'bit_map'
                                        self.bit_map_length = None
                                        self.tpn = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.bit_map is not None:
                                            for child in self.bit_map:
                                                if child is not None:
                                                    return True

                                        if self.bit_map_length is not None:
                                            return True

                                        if self.tpn is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.label_type is not None:
                                        return True

                                    if self.otn is not None and self.otn._has_data():
                                        return True

                                    if self.wdm is not None and self.wdm._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-labels'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.path_egress_label is not None and self.path_egress_label._has_data():
                                    return True

                                if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                    return True

                                if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                    return True

                                if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels']['meta_info']


                        class OtnS2L(object):
                            """
                            Otn S2L Information
                            
                            .. attribute:: aps
                            
                            	APS Info for OTN S2L
                            	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps>`
                            
                            .. attribute:: otn
                            
                            	Info Related to OTN technology in S2L
                            	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aps = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps()
                                self.aps.parent = self
                                self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn()
                                self.otn.parent = self


                            class Otn(object):
                                """
                                Info Related to OTN technology in S2L
                                
                                .. attribute:: bandwidth
                                
                                	OTN Bandwidth for s2l
                                	**type**\:   :py:class:`Bandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth>`
                                
                                .. attribute:: cross_connect_id
                                
                                	Cross connect id
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: gpid
                                
                                	Gpid Payload
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: incoming_controller
                                
                                	Incoming Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_controller_ifhandle
                                
                                	Incoming Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_controller_state
                                
                                	State of Incoming Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: incoming_sub_controller
                                
                                	Incoming Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: incoming_sub_controller_ifhandle
                                
                                	Incoming Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: incoming_sub_controller_state
                                
                                	State of Incoming Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: is_connected
                                
                                	True if subcontrollers are connected
                                	**type**\:  bool
                                
                                .. attribute:: labels
                                
                                	Labels
                                	**type**\:   :py:class:`Labels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels>`
                                
                                .. attribute:: outgoing_controller
                                
                                	Outgoing Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_controller_ifhandle
                                
                                	Outgoing Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_controller_state
                                
                                	State of Outgoing Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: outgoing_sub_controller
                                
                                	Outgoing Sub Controller
                                	**type**\:  str
                                
                                .. attribute:: outgoing_sub_controller_ifhandle
                                
                                	Outgoing Sub Controller Ifhandle
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: outgoing_sub_controller_state
                                
                                	State of Outgoing Sub Controller
                                	**type**\:   :py:class:`TeControllerStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeControllerStateEnum>`
                                
                                .. attribute:: uptime
                                
                                	XC Uptime
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth()
                                    self.bandwidth.parent = self
                                    self.cross_connect_id = None
                                    self.gpid = None
                                    self.incoming_controller = None
                                    self.incoming_controller_ifhandle = None
                                    self.incoming_controller_state = None
                                    self.incoming_sub_controller = None
                                    self.incoming_sub_controller_ifhandle = None
                                    self.incoming_sub_controller_state = None
                                    self.is_connected = None
                                    self.labels = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels()
                                    self.labels.parent = self
                                    self.outgoing_controller = None
                                    self.outgoing_controller_ifhandle = None
                                    self.outgoing_controller_state = None
                                    self.outgoing_sub_controller = None
                                    self.outgoing_sub_controller_ifhandle = None
                                    self.outgoing_sub_controller_state = None
                                    self.uptime = None


                                class Bandwidth(object):
                                    """
                                    OTN Bandwidth for s2l
                                    
                                    .. attribute:: odu_flex_cbr
                                    
                                    	Odu flex CBR info
                                    	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr>`
                                    
                                    .. attribute:: odu_flex_gfp_f_non_res
                                    
                                    	Odu flex GFP\-F non\-resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes>`
                                    
                                    .. attribute:: odu_flex_gfp_f_res
                                    
                                    	Odu flex GFP\-F resizable info
                                    	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes>`
                                    
                                    .. attribute:: odu_level
                                    
                                    	ODULevel
                                    	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.odu_flex_cbr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr()
                                        self.odu_flex_cbr.parent = self
                                        self.odu_flex_gfp_f_non_res = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes()
                                        self.odu_flex_gfp_f_non_res.parent = self
                                        self.odu_flex_gfp_f_res = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes()
                                        self.odu_flex_gfp_f_res.parent = self
                                        self.odu_level = None


                                    class OduFlexCbr(object):
                                        """
                                        Odu flex CBR info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: tolerance
                                        
                                        	Tolerance
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None
                                            self.tolerance = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            if self.tolerance is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info']


                                    class OduFlexGfpFRes(object):
                                        """
                                        Odu flex GFP\-F resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info']


                                    class OduFlexGfpFNonRes(object):
                                        """
                                        Odu flex GFP\-F non\-resizable info
                                        
                                        .. attribute:: bit_rate
                                        
                                        	Bit rate in kbit/s
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.bit_rate = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.bit_rate is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                            return True

                                        if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                            return True

                                        if self.odu_level is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']


                                class Labels(object):
                                    """
                                    Labels
                                    
                                    .. attribute:: path_egress_label
                                    
                                    	Path message (upstream) egress label
                                    	**type**\:   :py:class:`PathEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel>`
                                    
                                    .. attribute:: path_ingress_label
                                    
                                    	Path message (upstream) ingress label
                                    	**type**\:   :py:class:`PathIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel>`
                                    
                                    .. attribute:: resv_egress_label
                                    
                                    	Resv message (downstream) egress label
                                    	**type**\:   :py:class:`ResvEgressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel>`
                                    
                                    .. attribute:: resv_ingress_label
                                    
                                    	Resv message (downstream) ingress label
                                    	**type**\:   :py:class:`ResvIngressLabel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.path_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel()
                                        self.path_egress_label.parent = self
                                        self.path_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel()
                                        self.path_ingress_label.parent = self
                                        self.resv_egress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel()
                                        self.resv_egress_label.parent = self
                                        self.resv_ingress_label = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel()
                                        self.resv_ingress_label.parent = self


                                    class PathIngressLabel(object):
                                        """
                                        Path message (upstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']


                                    class PathEgressLabel(object):
                                        """
                                        Path message (upstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']


                                    class ResvIngressLabel(object):
                                        """
                                        Resv message (downstream) ingress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-ingress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']


                                    class ResvEgressLabel(object):
                                        """
                                        Resv message (downstream) egress label
                                        
                                        .. attribute:: label_type
                                        
                                        	LabelType
                                        	**type**\:   :py:class:`MplsTeMgmtGmplsLabelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelEnum>`
                                        
                                        .. attribute:: otn
                                        
                                        	Fixed\-size G09 OTN label
                                        	**type**\:   :py:class:`Otn_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_>`
                                        
                                        .. attribute:: wdm
                                        
                                        	Fixed\-grid WDM label
                                        	**type**\:   :py:class:`Wdm <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.label_type = None
                                            self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_()
                                            self.otn.parent = self
                                            self.wdm = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm()
                                            self.wdm.parent = self


                                        class Wdm(object):
                                            """
                                            Fixed\-grid WDM label
                                            
                                            .. attribute:: channel
                                            
                                            	Channel Number
                                            	**type**\:  int
                                            
                                            	**range:** \-32768..32767
                                            
                                            .. attribute:: channel_spacing
                                            
                                            	Channel spacing
                                            	**type**\:   :py:class:`GmplsUniMgmtDwdmCsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtDwdmCsEnum>`
                                            
                                            .. attribute:: grid
                                            
                                            	Grid
                                            	**type**\:   :py:class:`GmplsUniMgmtWdmGridEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.GmplsUniMgmtWdmGridEnum>`
                                            
                                            .. attribute:: identifier
                                            
                                            	Identifier
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: label_set
                                            
                                            	Flag to indicate whether label is set
                                            	**type**\:  bool
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.channel = None
                                                self.channel_spacing = None
                                                self.grid = None
                                                self.identifier = None
                                                self.label_set = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.channel is not None:
                                                    return True

                                                if self.channel_spacing is not None:
                                                    return True

                                                if self.grid is not None:
                                                    return True

                                                if self.identifier is not None:
                                                    return True

                                                if self.label_set is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info']


                                        class Otn_(object):
                                            """
                                            Fixed\-size G09 OTN label
                                            
                                            .. attribute:: bit_map
                                            
                                            	Bit Map
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: bit_map_length
                                            
                                            	Bit map length
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: tpn
                                            
                                            	Tributary time slot
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.bit_map = YLeafList()
                                                self.bit_map.parent = self
                                                self.bit_map.name = 'bit_map'
                                                self.bit_map_length = None
                                                self.tpn = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.bit_map is not None:
                                                    for child in self.bit_map:
                                                        if child is not None:
                                                            return True

                                                if self.bit_map_length is not None:
                                                    return True

                                                if self.tpn is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-egress-label'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.label_type is not None:
                                                return True

                                            if self.otn is not None and self.otn._has_data():
                                                return True

                                            if self.wdm is not None and self.wdm._has_data():
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:labels'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.path_egress_label is not None and self.path_egress_label._has_data():
                                            return True

                                        if self.path_ingress_label is not None and self.path_ingress_label._has_data():
                                            return True

                                        if self.resv_egress_label is not None and self.resv_egress_label._has_data():
                                            return True

                                        if self.resv_ingress_label is not None and self.resv_ingress_label._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth is not None and self.bandwidth._has_data():
                                        return True

                                    if self.cross_connect_id is not None:
                                        return True

                                    if self.gpid is not None:
                                        return True

                                    if self.incoming_controller is not None:
                                        return True

                                    if self.incoming_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_controller_state is not None:
                                        return True

                                    if self.incoming_sub_controller is not None:
                                        return True

                                    if self.incoming_sub_controller_ifhandle is not None:
                                        return True

                                    if self.incoming_sub_controller_state is not None:
                                        return True

                                    if self.is_connected is not None:
                                        return True

                                    if self.labels is not None and self.labels._has_data():
                                        return True

                                    if self.outgoing_controller is not None:
                                        return True

                                    if self.outgoing_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_controller_state is not None:
                                        return True

                                    if self.outgoing_sub_controller is not None:
                                        return True

                                    if self.outgoing_sub_controller_ifhandle is not None:
                                        return True

                                    if self.outgoing_sub_controller_state is not None:
                                        return True

                                    if self.uptime is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn']['meta_info']


                            class Aps(object):
                                """
                                APS Info for OTN S2L
                                
                                .. attribute:: protection_info
                                
                                	Protection Info
                                	**type**\:   :py:class:`ProtectionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protection_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo()
                                    self.protection_info.parent = self


                                class ProtectionInfo(object):
                                    """
                                    Protection Info
                                    
                                    .. attribute:: ho_timeout
                                    
                                    	Hold\-Off timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_hopresent
                                    
                                    	Is Hold\-Off timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_snc_mode_present
                                    
                                    	Is SNC mode present
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_wtr_present
                                    
                                    	Is Wait\-to\-Restore timeout present
                                    	**type**\:  bool
                                    
                                    .. attribute:: nbit
                                    
                                    	Notification bit 
                                    	**type**\:  bool
                                    
                                    .. attribute:: obit
                                    
                                    	Operational bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path protection profile type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: pbit
                                    
                                    	Protecting bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: protect_type
                                    
                                    	LSP Protect Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: sbit
                                    
                                    	Secondary bit
                                    	**type**\:  bool
                                    
                                    .. attribute:: snc_mode
                                    
                                    	SNC mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	TCM ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wtr_timeout
                                    
                                    	Wait\-to\-Restore timeout
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.ho_timeout = None
                                        self.is_hopresent = None
                                        self.is_snc_mode_present = None
                                        self.is_wtr_present = None
                                        self.nbit = None
                                        self.obit = None
                                        self.path_prot_profile_type = None
                                        self.pbit = None
                                        self.protect_type = None
                                        self.sbit = None
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wtr_timeout = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-info'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.ho_timeout is not None:
                                            return True

                                        if self.is_hopresent is not None:
                                            return True

                                        if self.is_snc_mode_present is not None:
                                            return True

                                        if self.is_wtr_present is not None:
                                            return True

                                        if self.nbit is not None:
                                            return True

                                        if self.obit is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.pbit is not None:
                                            return True

                                        if self.protect_type is not None:
                                            return True

                                        if self.sbit is not None:
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wtr_timeout is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protection_info is not None and self.protection_info._has_data():
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aps is not None and self.aps._has_data():
                                    return True

                                if self.otn is not None and self.otn._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L']['meta_info']


                        class HeadEndBfdInfo(object):
                            """
                            The Head\-end BFD info
                            
                            .. attribute:: bfd_reverse_path_label
                            
                            	BFD reverse path labels
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_reverse_path_stale
                            
                            	The BFD reverse path is stale compared to configuration
                            	**type**\:  bool
                            
                            .. attribute:: creation_time
                            
                            	Time in seconds since the BFD session created
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: deletion_history
                            
                            	BFD Session Deletion History
                            	**type**\:   :py:class:`DeletionHistory <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory>`
                            
                            .. attribute:: is_redundant
                            
                            	sBFD session is redundant
                            	**type**\:  bool
                            
                            .. attribute:: lspbfd_type
                            
                            	LSP BFD type
                            	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_reverse_path_label = YLeafList()
                                self.bfd_reverse_path_label.parent = self
                                self.bfd_reverse_path_label.name = 'bfd_reverse_path_label'
                                self.bfd_reverse_path_stale = None
                                self.creation_time = None
                                self.deletion_history = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory()
                                self.deletion_history.parent = self
                                self.is_redundant = None
                                self.lspbfd_type = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info']


                            class DeletionHistory(object):
                                """
                                BFD Session Deletion History
                                
                                .. attribute:: deletion_diagnostic_code
                                
                                	Diagnostic Code for the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: deletion_reason
                                
                                	Reason for the BFD session get deleted
                                	**type**\:  str
                                
                                .. attribute:: deletion_time
                                
                                	Time stamp of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: lsp_id
                                
                                	LSP ID of the BFD session get deleted
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.deletion_diagnostic_code = None
                                    self.deletion_reason = None
                                    self.deletion_time = None
                                    self.lsp_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:deletion-history'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.deletion_diagnostic_code is not None:
                                        return True

                                    if self.deletion_reason is not None:
                                        return True

                                    if self.deletion_time is not None:
                                        return True

                                    if self.lsp_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:head-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_reverse_path_label is not None:
                                    for child in self.bfd_reverse_path_label:
                                        if child is not None:
                                            return True

                                if self.bfd_reverse_path_stale is not None:
                                    return True

                                if self.creation_time is not None:
                                    return True

                                if self.deletion_history is not None and self.deletion_history._has_data():
                                    return True

                                if self.is_redundant is not None:
                                    return True

                                if self.lspbfd_type is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo']['meta_info']


                        class TailEndBfdInfo(object):
                            """
                            The Tail\-end BFD info
                            
                            .. attribute:: failure_diagnostic_code
                            
                            	BFD session failure diagnostic code
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: failure_reason
                            
                            	BFD session failure reason
                            	**type**\:  str
                            
                            .. attribute:: local_discriminator
                            
                            	BFD Local Discriminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval
                            
                            	Hello interval in mini second
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_interval_default
                            
                            	Is default hello interval
                            	**type**\:  bool
                            
                            .. attribute:: multiplier
                            
                            	Multiplier
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: multiplier_default
                            
                            	Is default multiplier
                            	**type**\:  bool
                            
                            .. attribute:: remote_discriminator
                            
                            	BFD Remote Discrminator
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: session_info
                            
                            	BFD Session Info
                            	**type**\:   :py:class:`SessionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.failure_diagnostic_code = None
                                self.failure_reason = None
                                self.local_discriminator = None
                                self.min_interval = None
                                self.min_interval_default = None
                                self.multiplier = None
                                self.multiplier_default = None
                                self.remote_discriminator = None
                                self.session_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo()
                                self.session_info.parent = self


                            class SessionInfo(object):
                                """
                                BFD Session Info
                                
                                .. attribute:: state
                                
                                	BFD session state
                                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                                
                                .. attribute:: state_change_time
                                
                                	Time in seconds since the last session state change
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: second
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.state = None
                                    self.state_change_time = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:session-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.state is not None:
                                        return True

                                    if self.state_change_time is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tail-end-bfd-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.failure_diagnostic_code is not None:
                                    return True

                                if self.failure_reason is not None:
                                    return True

                                if self.local_discriminator is not None:
                                    return True

                                if self.min_interval is not None:
                                    return True

                                if self.min_interval_default is not None:
                                    return True

                                if self.multiplier is not None:
                                    return True

                                if self.multiplier_default is not None:
                                    return True

                                if self.remote_discriminator is not None:
                                    return True

                                if self.session_info is not None and self.session_info._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo']['meta_info']


                        class SrlgCollection(object):
                            """
                            SRLG\-collection data
                            
                            .. attribute:: discovered_srlg
                            
                            	Discovered SRLGs
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_collect_type
                            
                            	SRLG\-collection mechanism
                            	**type**\:   :py:class:`TeSrlgCollectRequestEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrlgCollectRequestEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.discovered_srlg = YLeafList()
                                self.discovered_srlg.parent = self
                                self.discovered_srlg.name = 'discovered_srlg'
                                self.srlg_collect_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-collection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.discovered_srlg is not None:
                                    for child in self.discovered_srlg:
                                        if child is not None:
                                            return True

                                if self.srlg_collect_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SrlgCollection']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Protection']['meta_info']


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec']['meta_info']


                        class ReverseTspec(object):
                            """
                            The Reverse T spec info
                            
                            .. attribute:: average_rate
                            
                            	Average bandwidth in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: maximum_burst
                            
                            	Maximum burst of data in bytes
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: byte
                            
                            .. attribute:: peak_rate
                            
                            	Peak rate in  kbps
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            	**units**\: kbit/s
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.average_rate = None
                                self.maximum_burst = None
                                self.peak_rate = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-tspec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.average_rate is not None:
                                    return True

                                if self.maximum_burst is not None:
                                    return True

                                if self.peak_rate is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseTspec']['meta_info']


                        class FlexInfo(object):
                            """
                            FlexLSP S2L Information
                            
                            .. attribute:: bfd_created
                            
                            	GAL BFD Session Created
                            	**type**\:  bool
                            
                            .. attribute:: bfd_egress_label
                            
                            	BFD Egress Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_int_label
                            
                            	BFD Internal Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: bfd_next_hop
                            
                            	BFD Next Hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: bfd_out_ifh
                            
                            	BFD Out Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_tun_ifh
                            
                            	BFD Tunnel Interface Handle
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: bfd_up
                            
                            	GAL BFD Session Up
                            	**type**\:  bool
                            
                            .. attribute:: entry_exists
                            
                            	FlexLSP Entry Exists
                            	**type**\:  bool
                            
                            .. attribute:: fault_ais
                            
                            	Fault AIS
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi
                            
                            	Fault LDI
                            	**type**\:  bool
                            
                            .. attribute:: fault_ldi_lockout
                            
                            	Fault LDI Lockout
                            	**type**\:  bool
                            
                            .. attribute:: fault_lkr
                            
                            	Fault LKR
                            	**type**\:  bool
                            
                            .. attribute:: fault_time
                            
                            	Fault Time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: flex_fec
                            
                            	FEC for the FlexLSP Entry
                            	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo.FlexFec>`
                            
                            .. attribute:: in_label
                            
                            	In Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: oam_created
                            
                            	OAM Entry Created
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bfd_created = None
                                self.bfd_egress_label = None
                                self.bfd_int_label = None
                                self.bfd_next_hop = None
                                self.bfd_out_ifh = None
                                self.bfd_tun_ifh = None
                                self.bfd_up = None
                                self.entry_exists = None
                                self.fault_ais = None
                                self.fault_ldi = None
                                self.fault_ldi_lockout = None
                                self.fault_lkr = None
                                self.fault_time = None
                                self.flex_fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo.FlexFec()
                                self.flex_fec.parent = self
                                self.in_label = None
                                self.oam_created = None


                            class FlexFec(object):
                                """
                                FEC for the FlexLSP Entry
                                
                                .. attribute:: s2l_fec_ctype
                                
                                	Session identifier (ctype)
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: s2l_fec_dest
                                
                                	sub\-LSP destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_extended_tunnel_id
                                
                                	Extended tunnel ID
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_lsp_id
                                
                                	LSP ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: s2l_fec_source
                                
                                	LSP source address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_subgroup_id
                                
                                	sub\-LSP subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_subgroup_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: s2l_fec_tunnel_id
                                
                                	Tunnel ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: s2l_fec_vrf
                                
                                	VRF; currently only for GMPLS tunnels
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.s2l_fec_ctype = None
                                    self.s2l_fec_dest = None
                                    self.s2l_fec_extended_tunnel_id = None
                                    self.s2l_fec_lsp_id = None
                                    self.s2l_fec_p2mp_id = None
                                    self.s2l_fec_source = None
                                    self.s2l_fec_subgroup_id = None
                                    self.s2l_fec_subgroup_originator = None
                                    self.s2l_fec_tunnel_id = None
                                    self.s2l_fec_vrf = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.s2l_fec_ctype is not None:
                                        return True

                                    if self.s2l_fec_dest is not None:
                                        return True

                                    if self.s2l_fec_extended_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_lsp_id is not None:
                                        return True

                                    if self.s2l_fec_p2mp_id is not None:
                                        return True

                                    if self.s2l_fec_source is not None:
                                        return True

                                    if self.s2l_fec_subgroup_id is not None:
                                        return True

                                    if self.s2l_fec_subgroup_originator is not None:
                                        return True

                                    if self.s2l_fec_tunnel_id is not None:
                                        return True

                                    if self.s2l_fec_vrf is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo.FlexFec']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bfd_created is not None:
                                    return True

                                if self.bfd_egress_label is not None:
                                    return True

                                if self.bfd_int_label is not None:
                                    return True

                                if self.bfd_next_hop is not None:
                                    return True

                                if self.bfd_out_ifh is not None:
                                    return True

                                if self.bfd_tun_ifh is not None:
                                    return True

                                if self.bfd_up is not None:
                                    return True

                                if self.entry_exists is not None:
                                    return True

                                if self.fault_ais is not None:
                                    return True

                                if self.fault_ldi is not None:
                                    return True

                                if self.fault_ldi_lockout is not None:
                                    return True

                                if self.fault_lkr is not None:
                                    return True

                                if self.fault_time is not None:
                                    return True

                                if self.flex_fec is not None and self.flex_fec._has_data():
                                    return True

                                if self.in_label is not None:
                                    return True

                                if self.oam_created is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo']['meta_info']


                        class LspWrapInfo(object):
                            """
                            Lsp Wrap  Related information
                            
                            .. attribute:: lsp_wrap_protection_enable
                            
                            	LSP Wrap protection enabled
                            	**type**\:  bool
                            
                            .. attribute:: lsp_wrap_protection_label
                            
                            	LSP Wrap Merge Point Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: lsp_wrap_protection_state
                            
                            	LSP wrap protection state
                            	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                            
                            .. attribute:: reverse_egress_interface
                            
                            	Reverse Egress Interface
                            	**type**\:  str
                            
                            .. attribute:: reverse_lsp_label
                            
                            	Reverse LSP label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.lsp_wrap_protection_enable = None
                                self.lsp_wrap_protection_label = None
                                self.lsp_wrap_protection_state = None
                                self.reverse_egress_interface = None
                                self.reverse_lsp_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-wrap-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.lsp_wrap_protection_enable is not None:
                                    return True

                                if self.lsp_wrap_protection_label is not None:
                                    return True

                                if self.lsp_wrap_protection_state is not None:
                                    return True

                                if self.reverse_egress_interface is not None:
                                    return True

                                if self.reverse_lsp_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.LspWrapInfo']['meta_info']


                        class DiversityInfo(object):
                            """
                            S2L Diversity Information
                            
                            .. attribute:: diversity_type
                            
                            	S2L path diversity type
                            	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.diversity_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.diversity_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.DiversityInfo']['meta_info']


                        class SharedRiskLinkGroup(object):
                            """
                            The S2L's excluded srlg groups
                            
                            .. attribute:: shared_risk_group
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.shared_risk_group = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.shared_risk_group is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SharedRiskLinkGroup']['meta_info']


                        class OutEro(object):
                            """
                            Outgoing ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:out-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro']['meta_info']


                        class InEro(object):
                            """
                            Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:in-ero'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro']['meta_info']


                        class PathRro(object):
                            """
                            Path RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro']['meta_info']


                        class ResvRro(object):
                            """
                            Resv RRO for this S2L
                            
                            .. attribute:: ipv4rro_sub_object
                            
                            	IPV4 RRO Sub Object
                            	**type**\:   :py:class:`Ipv4RroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject>`
                            
                            .. attribute:: label_rro_sub_object
                            
                            	Label RRO Sub Object
                            	**type**\:   :py:class:`LabelRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject>`
                            
                            .. attribute:: rro_type
                            
                            	RROType
                            	**type**\:   :py:class:`RsvpMgmtRroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtRroSubobjEnum>`
                            
                            .. attribute:: srlg_rro_sub_object
                            
                            	SRLG RRO Sub Object
                            	**type**\:   :py:class:`SrlgRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.SrlgRroSubObject>`
                            
                            .. attribute:: unnumbered_rro_sub_object
                            
                            	Unnumbered RRO Sub Object
                            	**type**\:   :py:class:`UnnumberedRroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ipv4rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject()
                                self.ipv4rro_sub_object.parent = self
                                self.label_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject()
                                self.label_rro_sub_object.parent = self
                                self.rro_type = None
                                self.srlg_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.SrlgRroSubObject()
                                self.srlg_rro_sub_object.parent = self
                                self.unnumbered_rro_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject()
                                self.unnumbered_rro_sub_object.parent = self


                            class Ipv4RroSubObject(object):
                                """
                                IPV4 RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO IPV4 Subobject Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags>`
                                
                                .. attribute:: rro_address
                                
                                	The RRO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags()
                                    self.flags.parent = self
                                    self.rro_address = None


                                class Flags(object):
                                    """
                                    The RRO IPV4 Subobject Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.rro_address is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']


                            class LabelRroSubObject(object):
                                """
                                Label RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Label Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags>`
                                
                                .. attribute:: is_label_variable_length
                                
                                	Is the RRO Subobject Label Variable Length
                                	**type**\:  bool
                                
                                .. attribute:: label
                                
                                	The RRO Subobject Label Value
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: variable_length_label
                                
                                	The RRO Subobject Variable Length Label
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.is_label_variable_length = None
                                    self.label = None
                                    self.variable_length_label = YLeafList()
                                    self.variable_length_label.parent = self
                                    self.variable_length_label.name = 'variable_length_label'


                                class Flags(object):
                                    """
                                    The RRO Subobject Label Flags
                                    
                                    .. attribute:: is_global_label
                                    
                                    	Label is Global across all interfaces
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_global_label = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_global_label is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:label-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.is_label_variable_length is not None:
                                        return True

                                    if self.label is not None:
                                        return True

                                    if self.variable_length_label is not None:
                                        for child in self.variable_length_label:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']


                            class UnnumberedRroSubObject(object):
                                """
                                Unnumbered RRO Sub Object
                                
                                .. attribute:: flags
                                
                                	The RRO Subobject Unnumbered Flags
                                	**type**\:   :py:class:`Flags <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags>`
                                
                                .. attribute:: interface_address
                                
                                	The RRO Interface Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface_id
                                
                                	The RRO Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.flags = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags()
                                    self.flags.parent = self
                                    self.interface_address = None
                                    self.interface_id = None


                                class Flags(object):
                                    """
                                    The RRO Subobject Unnumbered Flags
                                    
                                    .. attribute:: is_bandwidth_protected
                                    
                                    	Bandwidth Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_id
                                    
                                    	Node ID In Use
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_node_protection_available
                                    
                                    	Node Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_available
                                    
                                    	Local Protection Available
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_protection_in_use
                                    
                                    	Local Protection In Use
                                    	**type**\:  bool
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.is_bandwidth_protected = None
                                        self.is_node_id = None
                                        self.is_node_protection_available = None
                                        self.is_protection_available = None
                                        self.is_protection_in_use = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flags'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.is_bandwidth_protected is not None:
                                            return True

                                        if self.is_node_id is not None:
                                            return True

                                        if self.is_node_protection_available is not None:
                                            return True

                                        if self.is_protection_available is not None:
                                            return True

                                        if self.is_protection_in_use is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.flags is not None and self.flags._has_data():
                                        return True

                                    if self.interface_address is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']


                            class SrlgRroSubObject(object):
                                """
                                SRLG RRO Sub Object
                                
                                .. attribute:: srl_gs
                                
                                	The RRO Subobject SRLGs
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.srl_gs = YLeafList()
                                    self.srl_gs.parent = self
                                    self.srl_gs.name = 'srl_gs'

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-rro-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.srl_gs is not None:
                                        for child in self.srl_gs:
                                            if child is not None:
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:resv-rro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ipv4rro_sub_object is not None and self.ipv4rro_sub_object._has_data():
                                    return True

                                if self.label_rro_sub_object is not None and self.label_rro_sub_object._has_data():
                                    return True

                                if self.rro_type is not None:
                                    return True

                                if self.srlg_rro_sub_object is not None and self.srlg_rro_sub_object._has_data():
                                    return True

                                if self.unnumbered_rro_sub_object is not None and self.unnumbered_rro_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro']['meta_info']


                        class PathAffinityArray(object):
                            """
                            Tunnel's Path hops with affinity
                            
                            .. attribute:: hop_address
                            
                            	Hop address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: hop_affinity
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: hop_extended_affinity
                            
                            	Hop affinity
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_address = None
                                self.hop_affinity = None
                                self.hop_extended_affinity = YLeafList()
                                self.hop_extended_affinity.parent = self
                                self.hop_extended_affinity.name = 'hop_extended_affinity'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-affinity-array'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_address is not None:
                                    return True

                                if self.hop_affinity is not None:
                                    return True

                                if self.hop_extended_affinity is not None:
                                    for child in self.hop_extended_affinity:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathAffinityArray']['meta_info']


                        class ReverseEroIn(object):
                            """
                             Reverse Incoming ERO for this S2L
                            
                            .. attribute:: ero_type
                            
                            	EROType
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                            
                            .. attribute:: ipv4ero_sub_object
                            
                            	IPV4 ERO Sub Object
                            	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject>`
                            
                            .. attribute:: unnumbered_ero_sub_object
                            
                            	Unnumbered ERO Sub Object
                            	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_type = None
                                self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject()
                                self.ipv4ero_sub_object.parent = self
                                self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject()
                                self.unnumbered_ero_sub_object.parent = self


                            class Ipv4EroSubObject(object):
                                """
                                IPV4 ERO Sub Object
                                
                                .. attribute:: ero_address
                                
                                	The ERO IPV4 Address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: prefix_length
                                
                                	ERO Prefix Length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_address = None
                                    self.is_strict_route = None
                                    self.prefix_length = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_address is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.prefix_length is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info']


                            class UnnumberedEroSubObject(object):
                                """
                                Unnumbered ERO Sub Object
                                
                                .. attribute:: ero_interface_id
                                
                                	The Interface ID in ERO
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: ero_router_id
                                
                                	The Router ID in ERO
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: is_strict_route
                                
                                	ERO Entry Is Strict
                                	**type**\:  bool
                                
                                .. attribute:: status
                                
                                	Status of ERO
                                	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ero_interface_id = None
                                    self.ero_router_id = None
                                    self.is_strict_route = None
                                    self.status = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ero_interface_id is not None:
                                        return True

                                    if self.ero_router_id is not None:
                                        return True

                                    if self.is_strict_route is not None:
                                        return True

                                    if self.status is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-in'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_type is not None:
                                    return True

                                if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                    return True

                                if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn']['meta_info']


                        class S2LSegmentRoutingPath(object):
                            """
                            Segment\-Routing S2L path info
                            
                            .. attribute:: has_entropy_label
                            
                            	Hop has EL specified
                            	**type**\:  bool
                            
                            .. attribute:: has_ip_addresses
                            
                            	Node has IP addresses specified
                            	**type**\:  bool
                            
                            .. attribute:: has_mpls_label
                            
                            	Hop has MPLS label specified
                            	**type**\:  bool
                            
                            .. attribute:: local_addr
                            
                            	Local IP address of adjacency or Node ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls_label_value
                            
                            	The MPLS label value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: remote_addr
                            
                            	Remote IP address of adjacency
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: sid_type
                            
                            	Type of the SID
                            	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.has_entropy_label = None
                                self.has_ip_addresses = None
                                self.has_mpls_label = None
                                self.local_addr = None
                                self.mpls_label_value = None
                                self.remote_addr = None
                                self.sid_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-segment-routing-path'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.has_entropy_label is not None:
                                    return True

                                if self.has_ip_addresses is not None:
                                    return True

                                if self.has_mpls_label is not None:
                                    return True

                                if self.local_addr is not None:
                                    return True

                                if self.mpls_label_value is not None:
                                    return True

                                if self.remote_addr is not None:
                                    return True

                                if self.sid_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LSegmentRoutingPath']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.abr_auto_discovered is not None:
                                return True

                            if self.active_path_option is not None and self.active_path_option._has_data():
                                return True

                            if self.association is not None and self.association._has_data():
                                return True

                            if self.backup_tunnel_interface is not None:
                                return True

                            if self.diversity_info is not None and self.diversity_info._has_data():
                                return True

                            if self.downstream_router_id is not None:
                                return True

                            if self.egress_interface is not None:
                                return True

                            if self.egress_interface_brief is not None:
                                return True

                            if self.egress_interface_state is not None:
                                return True

                            if self.expanded_ero_affinity_bits is not None:
                                return True

                            if self.expanded_ero_affinity_mask is not None:
                                return True

                            if self.expanded_ero_area_id is not None:
                                return True

                            if self.expanded_ero_metric is not None:
                                return True

                            if self.expanded_ero_metric_type is not None:
                                return True

                            if self.flex_info is not None and self.flex_info._has_data():
                                return True

                            if self.frr_out_tunnel_interface is not None:
                                return True

                            if self.fspec is not None and self.fspec._has_data():
                                return True

                            if self.generic_fspec is not None and self.generic_fspec._has_data():
                                return True

                            if self.generic_tspec is not None and self.generic_tspec._has_data():
                                return True

                            if self.gmpls_labels is not None and self.gmpls_labels._has_data():
                                return True

                            if self.head_end_bfd_info is not None and self.head_end_bfd_info._has_data():
                                return True

                            if self.in_ero is not None:
                                for child_ref in self.in_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.in_xro is not None and self.in_xro._has_data():
                                return True

                            if self.incoming_address is not None:
                                return True

                            if self.incoming_address_generic is not None and self.incoming_address_generic._has_data():
                                return True

                            if self.ingress_interface is not None:
                                return True

                            if self.ingress_interface_brief is not None:
                                return True

                            if self.ingress_interface_state is not None:
                                return True

                            if self.is_bandwidth_protect is not None:
                                return True

                            if self.is_expanded_ero is not None:
                                return True

                            if self.is_frr_enabled is not None:
                                return True

                            if self.is_node_protected is not None:
                                return True

                            if self.is_optical is not None:
                                return True

                            if self.local_router_id is not None:
                                return True

                            if self.lsp_wrap_info is not None and self.lsp_wrap_info._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.next_hop_address_generic is not None and self.next_hop_address_generic._has_data():
                                return True

                            if self.node_hop_count is not None:
                                return True

                            if self.otn_s2l is not None and self.otn_s2l._has_data():
                                return True

                            if self.out_ero is not None:
                                for child_ref in self.out_ero:
                                    if child_ref._has_data():
                                        return True

                            if self.out_xro is not None and self.out_xro._has_data():
                                return True

                            if self.outbound_frr_state is not None:
                                return True

                            if self.path_affinity_array is not None:
                                for child_ref in self.path_affinity_array:
                                    if child_ref._has_data():
                                        return True

                            if self.path_reeval_query_mid is not None:
                                return True

                            if self.path_rro is not None:
                                for child_ref in self.path_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.path_rro_enabled is not None:
                                return True

                            if self.path_using_strict_spf is not None:
                                return True

                            if self.pcalc_area is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            if self.previous_hop_address_generic is not None and self.previous_hop_address_generic._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.resv_rro is not None:
                                for child_ref in self.resv_rro:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_ero_in is not None:
                                for child_ref in self.reverse_ero_in:
                                    if child_ref._has_data():
                                        return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_name is not None:
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            if self.reverse_tspec is not None and self.reverse_tspec._has_data():
                                return True

                            if self.reverse_weight is not None:
                                return True

                            if self.role is not None:
                                return True

                            if self.s2l_convergence is not None and self.s2l_convergence._has_data():
                                return True

                            if self.s2l_fec is not None and self.s2l_fec._has_data():
                                return True

                            if self.s2l_local_label is not None:
                                return True

                            if self.s2l_out_label is not None:
                                return True

                            if self.s2l_reverse_ero_obj_present is not None:
                                return True

                            if self.s2l_reverse_lsp_sub_obj is not None:
                                for child in self.s2l_reverse_lsp_sub_obj:
                                    if child is not None:
                                        return True

                            if self.s2l_reverse_tspec_obj_present is not None:
                                return True

                            if self.s2l_segment_routing_path is not None:
                                for child_ref in self.s2l_segment_routing_path:
                                    if child_ref._has_data():
                                        return True

                            if self.shared_risk_link_group is not None:
                                for child_ref in self.shared_risk_link_group:
                                    if child_ref._has_data():
                                        return True

                            if self.signalling_status is not None:
                                return True

                            if self.soft_preemption is not None and self.soft_preemption._has_data():
                                return True

                            if self.srlg_collection is not None and self.srlg_collection._has_data():
                                return True

                            if self.tail_end_bfd_info is not None and self.tail_end_bfd_info._has_data():
                                return True

                            if self.time_since_last_preferred_path_exists_send_mid is not None:
                                return True

                            if self.time_since_last_preferred_tree_exists_send_mid is not None:
                                return True

                            if self.time_since_last_query_received_mid is not None:
                                return True

                            if self.tspec is not None and self.tspec._has_data():
                                return True

                            if self.upstream_router_id is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            if self.weight is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:cleaned-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.dste_class_index is not None:
                            return True

                        if self.dste_class_match is not None:
                            return True

                        if self.frr_active_reason is not None:
                            return True

                        if self.is_frr_failed is not None:
                            return True

                        if self.is_interface is not None:
                            return True

                        if self.is_passive is not None:
                            return True

                        if self.last_path_change is not None:
                            return True

                        if self.lsp_bandwidth is not None:
                            return True

                        if self.lsp_bandwidth_type is not None:
                            return True

                        if self.lsp_fec is not None and self.lsp_fec._has_data():
                            return True

                        if self.lsp_hold_priority is not None:
                            return True

                        if self.lsp_setup_priority is not None:
                            return True

                        if self.persistent_bytes is not None:
                            return True

                        if self.persistent_packets is not None:
                            return True

                        if self.reoptimize_reason is not None:
                            return True

                        if self.reoptimize_trigger is not None:
                            return True

                        if self.s2_ls_down is not None:
                            return True

                        if self.s2_ls_proceeding is not None:
                            return True

                        if self.s2_ls_up is not None:
                            return True

                        if self.s2l is not None:
                            for child_ref in self.s2l:
                                if child_ref._has_data():
                                    return True

                        if self.signaled_name is not None:
                            return True

                        if self.timer_left is not None:
                            return True

                        if self.type is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp']['meta_info']


                class P2PInfo(object):
                    """
                    P2P specific info
                    
                    .. attribute:: auto_bandwidth_config
                    
                    	Tunnels's AutoBandwidth Configuration information
                    	**type**\:   :py:class:`AutoBandwidthConfig <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthConfig>`
                    
                    .. attribute:: auto_bandwidth_oper
                    
                    	Tunnels's AutoBandwidth Operational information
                    	**type**\:   :py:class:`AutoBandwidthOper <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthOper>`
                    
                    .. attribute:: auto_bandwidth_status
                    
                    	Tunnels's AutoBandwidth Status information
                    	**type**\:   :py:class:`AutoBandwidthStatus <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthStatus>`
                    
                    .. attribute:: is_bidirectional
                    
                    	TRUE if the tunnel is bidirectional
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.auto_bandwidth_config = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthConfig()
                        self.auto_bandwidth_config.parent = self
                        self.auto_bandwidth_oper = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthOper()
                        self.auto_bandwidth_oper.parent = self
                        self.auto_bandwidth_status = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthStatus()
                        self.auto_bandwidth_status.parent = self
                        self.is_bidirectional = None


                    class AutoBandwidthStatus(object):
                        """
                        Tunnels's AutoBandwidth Status information
                        
                        .. attribute:: is_auto_bandwidth_enabled
                        
                        	TRUE if auto\-bw is enabled for the tunnel
                        	**type**\:  bool
                        
                        .. attribute:: reactivation_time
                        
                        	Time until auto\-bw gets activated if activation has been delayed due to failover
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.is_auto_bandwidth_enabled = None
                            self.reactivation_time = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-bandwidth-status'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.is_auto_bandwidth_enabled is not None:
                                return True

                            if self.reactivation_time is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthStatus']['meta_info']


                    class AutoBandwidthConfig(object):
                        """
                        Tunnels's AutoBandwidth Configuration
                        information
                        
                        .. attribute:: adjustment_threshold_percent
                        
                        	Bandwidth change threshold needed to trigger bandwidth adjustment
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: adjustment_threshold_value
                        
                        	Bandwidth change value (kbps) needed to trigger bandwidth adjustment
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: kbit/s
                        
                        .. attribute:: application_frequency
                        
                        	Auto\-bw application frequency for the tunnel (mins)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: minute
                        
                        .. attribute:: collection_frequency
                        
                        	Global auto\-bw collection frequency
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: is_auto_bandwidth_collect_only
                        
                        	TRUE if auto\-bw collection\-only is enabled
                        	**type**\:  bool
                        
                        .. attribute:: maximum_bandwidth
                        
                        	Maximum bandwidth auto\-bw can apply
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: minimum_bandwidth
                        
                        	Minimum bandwidth auto\-bw can apply
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: overflow_threshold_limit
                        
                        	Limit of consecutive collections exceeding threshold to trigger an immediate overflow bandwidth adjustment
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: overflow_threshold_percent
                        
                        	Bandwidth change threshold needed to count a collection towards overflow limit allowed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: overflow_threshold_value
                        
                        	Bandwidth change value needed to count a collection towards overflow limit allowed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: underflow_threshold_limit
                        
                        	Limit of consecutive collections exceeding threshold to trigger an immediate underflow bandwidth adjustment
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: underflow_threshold_percent
                        
                        	Bandwidth change threshold needed to count a collection towards underflow limit allowed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: underflow_threshold_value
                        
                        	Bandwidth change value needed to count a collection towards underflow limit allowed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.adjustment_threshold_percent = None
                            self.adjustment_threshold_value = None
                            self.application_frequency = None
                            self.collection_frequency = None
                            self.is_auto_bandwidth_collect_only = None
                            self.maximum_bandwidth = None
                            self.minimum_bandwidth = None
                            self.overflow_threshold_limit = None
                            self.overflow_threshold_percent = None
                            self.overflow_threshold_value = None
                            self.underflow_threshold_limit = None
                            self.underflow_threshold_percent = None
                            self.underflow_threshold_value = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-bandwidth-config'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.adjustment_threshold_percent is not None:
                                return True

                            if self.adjustment_threshold_value is not None:
                                return True

                            if self.application_frequency is not None:
                                return True

                            if self.collection_frequency is not None:
                                return True

                            if self.is_auto_bandwidth_collect_only is not None:
                                return True

                            if self.maximum_bandwidth is not None:
                                return True

                            if self.minimum_bandwidth is not None:
                                return True

                            if self.overflow_threshold_limit is not None:
                                return True

                            if self.overflow_threshold_percent is not None:
                                return True

                            if self.overflow_threshold_value is not None:
                                return True

                            if self.underflow_threshold_limit is not None:
                                return True

                            if self.underflow_threshold_percent is not None:
                                return True

                            if self.underflow_threshold_value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthConfig']['meta_info']


                    class AutoBandwidthOper(object):
                        """
                        Tunnels's AutoBandwidth Operational information
                        
                        .. attribute:: application_jitter
                        
                        	Amount of time introduced to delay first application so that not all tunnels may signal BW at the same time
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: application_reject_reason
                        
                        	Current application reject reason
                        	**type**\:   :py:class:`TeAutobwAppRejEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAutobwAppRejEnum>`
                        
                        .. attribute:: bandwidth_applications
                        
                        	Total number of bandwidth applications requested by auto\-bw
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bandwidth_pool_type
                        
                        	Bandwidth pool type
                        	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                        
                        .. attribute:: collect_only_requested_bandwidth
                        
                        	Collect\-only Requested Bandwidth for the tunnel
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: highest_bandwidth
                        
                        	Highest bandwidth registered within current application period
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: last_application_trigger
                        
                        	The reason causing the last BW application
                        	**type**\:   :py:class:`TeAutobwAppTriggerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAutobwAppTriggerEnum>`
                        
                        .. attribute:: last_bandwidth_applied
                        
                        	Last bandwidth requested by auto\-bw for the tunnel
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: overflow_early_bw_applications
                        
                        	tunnel counter for number of bandwidth applications due to overflow
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: samples_collected
                        
                        	Number of samples collected within current application period
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: threshold_overflows
                        
                        	counter for current consecutive collections exceeding threshold
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: threshold_underflows
                        
                        	counter for current consecutive collections exceeding threshold
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_left_application
                        
                        	Time left until next auto\-bw application algorithm is performed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_left_collection
                        
                        	Time left until next auto\-bw data collection is performed
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: underflow_early_bw_applications
                        
                        	tunnel counter for number of bandwidth applications due to underflow
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: underflow_highest_bandwidth
                        
                        	Highest sample collected during an underflow sequence
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.application_jitter = None
                            self.application_reject_reason = None
                            self.bandwidth_applications = None
                            self.bandwidth_pool_type = None
                            self.collect_only_requested_bandwidth = None
                            self.highest_bandwidth = None
                            self.last_application_trigger = None
                            self.last_bandwidth_applied = None
                            self.overflow_early_bw_applications = None
                            self.samples_collected = None
                            self.threshold_overflows = None
                            self.threshold_underflows = None
                            self.time_left_application = None
                            self.time_left_collection = None
                            self.underflow_early_bw_applications = None
                            self.underflow_highest_bandwidth = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-bandwidth-oper'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.application_jitter is not None:
                                return True

                            if self.application_reject_reason is not None:
                                return True

                            if self.bandwidth_applications is not None:
                                return True

                            if self.bandwidth_pool_type is not None:
                                return True

                            if self.collect_only_requested_bandwidth is not None:
                                return True

                            if self.highest_bandwidth is not None:
                                return True

                            if self.last_application_trigger is not None:
                                return True

                            if self.last_bandwidth_applied is not None:
                                return True

                            if self.overflow_early_bw_applications is not None:
                                return True

                            if self.samples_collected is not None:
                                return True

                            if self.threshold_overflows is not None:
                                return True

                            if self.threshold_underflows is not None:
                                return True

                            if self.time_left_application is not None:
                                return True

                            if self.time_left_collection is not None:
                                return True

                            if self.underflow_early_bw_applications is not None:
                                return True

                            if self.underflow_highest_bandwidth is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthOper']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:p2p-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.auto_bandwidth_config is not None and self.auto_bandwidth_config._has_data():
                            return True

                        if self.auto_bandwidth_oper is not None and self.auto_bandwidth_oper._has_data():
                            return True

                        if self.auto_bandwidth_status is not None and self.auto_bandwidth_status._has_data():
                            return True

                        if self.is_bidirectional is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo']['meta_info']


                class History(object):
                    """
                    Tunnel history
                    
                    .. attribute:: current_setup
                    
                    	Current setup data
                    	**type**\:   :py:class:`CurrentSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup>`
                    
                    .. attribute:: gmpls_other_protect_setup
                    
                    	GMPLS additional protecting setup data
                    	**type**\:   :py:class:`GmplsOtherProtectSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherProtectSetup>`
                    
                    .. attribute:: gmpls_other_setup
                    
                    	GMPLS additional setup data
                    	**type**\:   :py:class:`GmplsOtherSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherSetup>`
                    
                    .. attribute:: gmpls_path_protect_setup
                    
                    	GMPLS protecting setup data
                    	**type**\:   :py:class:`GmplsPathProtectSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsPathProtectSetup>`
                    
                    .. attribute:: last_re_opt_fail
                    
                    	Last re\-opt attempt failure information
                    	**type**\:   :py:class:`LastReOptFail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastReOptFail>`
                    
                    .. attribute:: last_stdby_re_opt_fail
                    
                    	Last standby re\-opt attempt failure information
                    	**type**\:   :py:class:`LastStdbyReOptFail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastStdbyReOptFail>`
                    
                    .. attribute:: previous_gmpls_path_protect_setup
                    
                    	Previous GMPLS protecting setup data
                    	**type**\:   :py:class:`PreviousGmplsPathProtectSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousGmplsPathProtectSetup>`
                    
                    .. attribute:: previous_setup
                    
                    	Previous setup data
                    	**type**\:   :py:class:`PreviousSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousSetup>`
                    
                    .. attribute:: reopt_setup
                    
                    	Reoptimized setup data
                    	**type**\:   :py:class:`ReoptSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.ReoptSetup>`
                    
                    .. attribute:: standby_reopt_setup
                    
                    	Standby Reopt setup data
                    	**type**\:   :py:class:`StandbyReoptSetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbyReoptSetup>`
                    
                    .. attribute:: standby_setup
                    
                    	Standby setup data
                    	**type**\:   :py:class:`StandbySetup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbySetup>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.current_setup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup()
                        self.current_setup.parent = self
                        self.gmpls_other_protect_setup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherProtectSetup()
                        self.gmpls_other_protect_setup.parent = self
                        self.gmpls_other_setup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherSetup()
                        self.gmpls_other_setup.parent = self
                        self.gmpls_path_protect_setup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsPathProtectSetup()
                        self.gmpls_path_protect_setup.parent = self
                        self.last_re_opt_fail = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastReOptFail()
                        self.last_re_opt_fail.parent = self
                        self.last_stdby_re_opt_fail = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastStdbyReOptFail()
                        self.last_stdby_re_opt_fail.parent = self
                        self.previous_gmpls_path_protect_setup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousGmplsPathProtectSetup()
                        self.previous_gmpls_path_protect_setup.parent = self
                        self.previous_setup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousSetup()
                        self.previous_setup.parent = self
                        self.reopt_setup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.ReoptSetup()
                        self.reopt_setup.parent = self
                        self.standby_reopt_setup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbyReoptSetup()
                        self.standby_reopt_setup.parent = self
                        self.standby_setup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbySetup()
                        self.standby_setup.parent = self


                    class CurrentSetup(object):
                        """
                        Current setup data
                        
                        .. attribute:: connected_uptimes
                        
                        	Uptimes for connected setup
                        	**type**\:   :py:class:`ConnectedUptimes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup.ConnectedUptimes>`
                        
                        .. attribute:: current_setup_last_error
                        
                        	The last error for the current setup
                        	**type**\:  str
                        
                        .. attribute:: current_setup_timer
                        
                        	Time in seconds until the next attempt to connect this setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: selection_reason
                        
                        	The reason why this setup is selected. For display purposes only
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.connected_uptimes = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup.ConnectedUptimes()
                            self.connected_uptimes.parent = self
                            self.current_setup_last_error = None
                            self.current_setup_timer = None
                            self.selection_reason = None


                        class ConnectedUptimes(object):
                            """
                            Uptimes for connected setup
                            
                            .. attribute:: current_lsp_uptime
                            
                            	Time in seconds since the current LSP was up
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: current_uptime
                            
                            	Time in seconds since the tunnel was up
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.current_lsp_uptime = None
                                self.current_uptime = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:connected-uptimes'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.current_lsp_uptime is not None:
                                    return True

                                if self.current_uptime is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup.ConnectedUptimes']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:current-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.connected_uptimes is not None and self.connected_uptimes._has_data():
                                return True

                            if self.current_setup_last_error is not None:
                                return True

                            if self.current_setup_timer is not None:
                                return True

                            if self.selection_reason is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup']['meta_info']


                    class ReoptSetup(object):
                        """
                        Reoptimized setup data
                        
                        .. attribute:: reoptimized_setup_last_error
                        
                        	The last error for the reopt setup
                        	**type**\:  str
                        
                        .. attribute:: reoptimized_setup_timer
                        
                        	Time in seconds until the next attempt to connect the reopt setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: reoptimized_setup_uptime
                        
                        	Time in seconds since the reopt setup came up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.reoptimized_setup_last_error = None
                            self.reoptimized_setup_timer = None
                            self.reoptimized_setup_uptime = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reopt-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.reoptimized_setup_last_error is not None:
                                return True

                            if self.reoptimized_setup_timer is not None:
                                return True

                            if self.reoptimized_setup_uptime is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.ReoptSetup']['meta_info']


                    class GmplsPathProtectSetup(object):
                        """
                        GMPLS protecting setup data
                        
                        .. attribute:: protecting_setup_last_error
                        
                        	The last error for the protecting setup (for display purposes only)
                        	**type**\:  str
                        
                        .. attribute:: protecting_setup_timer
                        
                        	Time in seconds until the next attempt to connect the protecting setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: protecting_setup_uptime
                        
                        	Time in seconds since the protecting setup came up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.protecting_setup_last_error = None
                            self.protecting_setup_timer = None
                            self.protecting_setup_uptime = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-path-protect-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.protecting_setup_last_error is not None:
                                return True

                            if self.protecting_setup_timer is not None:
                                return True

                            if self.protecting_setup_uptime is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsPathProtectSetup']['meta_info']


                    class PreviousSetup(object):
                        """
                        Previous setup data
                        
                        .. attribute:: previous_fail_reason
                        
                        	Reason for the previous setup's failure
                        	**type**\:  str
                        
                        .. attribute:: previous_path_option
                        
                        	The previous setup path option
                        	**type**\:  str
                        
                        .. attribute:: previous_setup_last_error
                        
                        	The last error for the previous setup
                        	**type**\:  str
                        
                        .. attribute:: previous_tunnel_instance
                        
                        	The previous setup's instance
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.previous_fail_reason = None
                            self.previous_path_option = None
                            self.previous_setup_last_error = None
                            self.previous_tunnel_instance = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.previous_fail_reason is not None:
                                return True

                            if self.previous_path_option is not None:
                                return True

                            if self.previous_setup_last_error is not None:
                                return True

                            if self.previous_tunnel_instance is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousSetup']['meta_info']


                    class PreviousGmplsPathProtectSetup(object):
                        """
                        Previous GMPLS protecting setup data
                        
                        .. attribute:: previous_protect_fail_reason
                        
                        	Reason for the previous protect setup's failure
                        	**type**\:  str
                        
                        .. attribute:: previous_protect_path_option
                        
                        	The previous protect setup path option
                        	**type**\:  str
                        
                        .. attribute:: previous_protect_setup_last_error
                        
                        	The last error for the previous setup
                        	**type**\:  str
                        
                        .. attribute:: previous_protect_tunnel_instance
                        
                        	The previous protect setup's instance
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.previous_protect_fail_reason = None
                            self.previous_protect_path_option = None
                            self.previous_protect_setup_last_error = None
                            self.previous_protect_tunnel_instance = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:previous-gmpls-path-protect-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.previous_protect_fail_reason is not None:
                                return True

                            if self.previous_protect_path_option is not None:
                                return True

                            if self.previous_protect_setup_last_error is not None:
                                return True

                            if self.previous_protect_tunnel_instance is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousGmplsPathProtectSetup']['meta_info']


                    class GmplsOtherSetup(object):
                        """
                        GMPLS additional setup data
                        
                        .. attribute:: other_setup_error
                        
                        	The last error for the additional setup
                        	**type**\:  str
                        
                        .. attribute:: path_option_index
                        
                        	Path option index for the additional setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.other_setup_error = None
                            self.path_option_index = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-other-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.other_setup_error is not None:
                                return True

                            if self.path_option_index is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherSetup']['meta_info']


                    class GmplsOtherProtectSetup(object):
                        """
                        GMPLS additional protecting setup data
                        
                        .. attribute:: other_setup_error
                        
                        	The last error for the additional setup
                        	**type**\:  str
                        
                        .. attribute:: path_option_index
                        
                        	Path option index for the additional setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.other_setup_error = None
                            self.path_option_index = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:gmpls-other-protect-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.other_setup_error is not None:
                                return True

                            if self.path_option_index is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherProtectSetup']['meta_info']


                    class StandbySetup(object):
                        """
                        Standby setup data
                        
                        .. attribute:: standby_lsp_uptime
                        
                        	Time in seconds since the standby LSP was up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: standby_setup_timer
                        
                        	Time in seconds until the next attempt to connect this setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.standby_lsp_uptime = None
                            self.standby_setup_timer = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:standby-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.standby_lsp_uptime is not None:
                                return True

                            if self.standby_setup_timer is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbySetup']['meta_info']


                    class StandbyReoptSetup(object):
                        """
                        Standby Reopt setup data
                        
                        .. attribute:: reoptimized_setup_last_error
                        
                        	The last error for the reopt setup
                        	**type**\:  str
                        
                        .. attribute:: reoptimized_setup_timer
                        
                        	Time in seconds until the next attempt to connect the reopt setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: reoptimized_setup_uptime
                        
                        	Time in seconds since the reopt setup came up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.reoptimized_setup_last_error = None
                            self.reoptimized_setup_timer = None
                            self.reoptimized_setup_uptime = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:standby-reopt-setup'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.reoptimized_setup_last_error is not None:
                                return True

                            if self.reoptimized_setup_timer is not None:
                                return True

                            if self.reoptimized_setup_uptime is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbyReoptSetup']['meta_info']


                    class LastReOptFail(object):
                        """
                        Last re\-opt attempt failure information
                        
                        .. attribute:: re_opt_failed_destination
                        
                        	First tunnel destination (if any) in re\-opt LSP that failed to come up
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: re_opt_failed_timestamp
                        
                        	Time stamp of the last re\-opt failure. (seconds since Jan. 1, 1970)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: re_opt_last_fail_reason
                        
                        	Reason (if any) for the last re\-opt attempt failure
                        	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.re_opt_failed_destination = None
                            self.re_opt_failed_timestamp = None
                            self.re_opt_last_fail_reason = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:last-re-opt-fail'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.re_opt_failed_destination is not None:
                                return True

                            if self.re_opt_failed_timestamp is not None:
                                return True

                            if self.re_opt_last_fail_reason is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastReOptFail']['meta_info']


                    class LastStdbyReOptFail(object):
                        """
                        Last standby re\-opt attempt failure information
                        
                        .. attribute:: re_opt_failed_destination
                        
                        	First tunnel destination (if any) in re\-opt LSP that failed to come up
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: re_opt_failed_timestamp
                        
                        	Time stamp of the last re\-opt failure. (seconds since Jan. 1, 1970)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: re_opt_last_fail_reason
                        
                        	Reason (if any) for the last re\-opt attempt failure
                        	**type**\:   :py:class:`MplsTeReoptDecisionReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeReoptDecisionReasonEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.re_opt_failed_destination = None
                            self.re_opt_failed_timestamp = None
                            self.re_opt_last_fail_reason = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:last-stdby-re-opt-fail'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.re_opt_failed_destination is not None:
                                return True

                            if self.re_opt_failed_timestamp is not None:
                                return True

                            if self.re_opt_last_fail_reason is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastStdbyReOptFail']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:history'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.current_setup is not None and self.current_setup._has_data():
                            return True

                        if self.gmpls_other_protect_setup is not None and self.gmpls_other_protect_setup._has_data():
                            return True

                        if self.gmpls_other_setup is not None and self.gmpls_other_setup._has_data():
                            return True

                        if self.gmpls_path_protect_setup is not None and self.gmpls_path_protect_setup._has_data():
                            return True

                        if self.last_re_opt_fail is not None and self.last_re_opt_fail._has_data():
                            return True

                        if self.last_stdby_re_opt_fail is not None and self.last_stdby_re_opt_fail._has_data():
                            return True

                        if self.previous_gmpls_path_protect_setup is not None and self.previous_gmpls_path_protect_setup._has_data():
                            return True

                        if self.previous_setup is not None and self.previous_setup._has_data():
                            return True

                        if self.reopt_setup is not None and self.reopt_setup._has_data():
                            return True

                        if self.standby_reopt_setup is not None and self.standby_reopt_setup._has_data():
                            return True

                        if self.standby_setup is not None and self.standby_setup._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']


                class PathProtection(object):
                    """
                    Path Protect Info
                    
                    .. attribute:: diversity_type
                    
                    	Standby path diversity type
                    	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                    
                    .. attribute:: is_path_protect_configured
                    
                    	Is Path Protection Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_protect_switch_over_underway
                    
                    	Is Switchover Underway
                    	**type**\:  bool
                    
                    .. attribute:: path_protection_protected_by_id
                    
                    	The path option ID (level/index) of the configured explicit protecting path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: reoptimization_time_remaining
                    
                    	Remaining time until path protection reoptimization (seconds)
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: standby_reoptimized_number
                    
                    	Number of times the standby LSP was reoptimized
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: switchover
                    
                    	Path Protected Switchover Information
                    	**type**\:   :py:class:`Switchover <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection.Switchover>`
                    
                    .. attribute:: switchover_ready
                    
                    	Total times, Standby LSP ready for use
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: switchover_reason
                    
                    	Reason for last switchover
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: switchover_total
                    
                    	Number of times switchover occurred
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: time_of_switchover_sec
                    
                    	The date when the switchover was completed. This date is the number of seconds since Jan 1st 1970
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: valid_path_protection_path_option_exists
                    
                    	Flag to indicate whether tunnel has a path\-option which is valid for path\-protection
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.diversity_type = None
                        self.is_path_protect_configured = None
                        self.is_path_protect_switch_over_underway = None
                        self.path_protection_protected_by_id = None
                        self.reoptimization_time_remaining = None
                        self.standby_reoptimized_number = None
                        self.switchover = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection.Switchover()
                        self.switchover.parent = self
                        self.switchover_ready = None
                        self.switchover_reason = None
                        self.switchover_total = None
                        self.time_of_switchover_sec = None
                        self.valid_path_protection_path_option_exists = None


                    class Switchover(object):
                        """
                        Path Protected Switchover Information
                        
                        .. attribute:: date_of_error_detection
                        
                        	The date when the error that caused the switchover was detected. This date is the number of seconds since Jan 1st 1970
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: date_of_error_detection_millisec
                        
                        	The milliseconds offset of the date when the error that caused  the switchover was detected
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: from_lsp_id
                        
                        	The LSP ID from which the traffic was switched over
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: path_protection_switchover_event_index
                        
                        	The index number of the path protection switch over event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_protection_switchover_reason
                        
                        	The reason that caused the path protection switchover
                        	**type**\:   :py:class:`TeP2MpS2LDeletionSubcauseEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeP2MpS2LDeletionSubcauseEnum>`
                        
                        .. attribute:: path_protection_tunnel_id
                        
                        	The ID of the tunnel that experienced switchover
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: switchover_duration_millisec
                        
                        	The time in milliseconds between the detection of the error and switching the traffic
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: to_lsp_id
                        
                        	The LSP ID to which the traffic was switched over
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.date_of_error_detection = None
                            self.date_of_error_detection_millisec = None
                            self.from_lsp_id = None
                            self.path_protection_switchover_event_index = None
                            self.path_protection_switchover_reason = None
                            self.path_protection_tunnel_id = None
                            self.switchover_duration_millisec = None
                            self.to_lsp_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:switchover'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.date_of_error_detection is not None:
                                return True

                            if self.date_of_error_detection_millisec is not None:
                                return True

                            if self.from_lsp_id is not None:
                                return True

                            if self.path_protection_switchover_event_index is not None:
                                return True

                            if self.path_protection_switchover_reason is not None:
                                return True

                            if self.path_protection_tunnel_id is not None:
                                return True

                            if self.switchover_duration_millisec is not None:
                                return True

                            if self.to_lsp_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection.Switchover']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-protection'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.diversity_type is not None:
                            return True

                        if self.is_path_protect_configured is not None:
                            return True

                        if self.is_path_protect_switch_over_underway is not None:
                            return True

                        if self.path_protection_protected_by_id is not None:
                            return True

                        if self.reoptimization_time_remaining is not None:
                            return True

                        if self.standby_reoptimized_number is not None:
                            return True

                        if self.switchover is not None and self.switchover._has_data():
                            return True

                        if self.switchover_ready is not None:
                            return True

                        if self.switchover_reason is not None:
                            return True

                        if self.switchover_total is not None:
                            return True

                        if self.time_of_switchover_sec is not None:
                            return True

                        if self.valid_path_protection_path_option_exists is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection']['meta_info']


                class AutoBackup(object):
                    """
                    Autobackup Information
                    
                    .. attribute:: ab_protected_interface
                    
                    	Protected Interface
                    	**type**\:  str
                    
                    .. attribute:: ab_protection_type
                    
                    	Protection type
                    	**type**\:   :py:class:`AutoBackupProtectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AutoBackupProtectionEnum>`
                    
                    .. attribute:: iep
                    
                    	List of IEPs for the path options on this tunnel
                    	**type**\: list of    :py:class:`Iep <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep>`
                    
                    .. attribute:: is_unused_removal_timer_running
                    
                    	Indicates if the unused removal timer is running
                    	**type**\:  bool
                    
                    .. attribute:: is_using_srlg
                    
                    	Indicates whether SRLG Path Option is in use
                    	**type**\:  bool
                    
                    .. attribute:: protected_address
                    
                    	Protected Address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: protected_ls_ps
                    
                    	Number Of Protected LSPs
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: protected_s2_ls
                    
                    	Number of Protected S2Ls
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sharing_families
                    
                    	Number of S2L Sharing Families
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srlg_prot_type
                    
                    	SRLG Protection Type
                    	**type**\:   :py:class:`AutoBackupSrlgModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AutoBackupSrlgModeEnum>`
                    
                    .. attribute:: tunnel_attribute_set_name
                    
                    	AttributeSet name
                    	**type**\:  str
                    
                    .. attribute:: unused_removal_remaining_time
                    
                    	Time Remaining in Unused Removal Time in seconds
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: weighted_srlg_info
                    
                    	Weighted SRLG info for the autobackup tunnel
                    	**type**\:   :py:class:`WeightedSrlgInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.ab_protected_interface = None
                        self.ab_protection_type = None
                        self.iep = YList()
                        self.iep.parent = self
                        self.iep.name = 'iep'
                        self.is_unused_removal_timer_running = None
                        self.is_using_srlg = None
                        self.protected_address = None
                        self.protected_ls_ps = None
                        self.protected_s2_ls = None
                        self.sharing_families = None
                        self.srlg_prot_type = None
                        self.tunnel_attribute_set_name = None
                        self.unused_removal_remaining_time = None
                        self.weighted_srlg_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo()
                        self.weighted_srlg_info.parent = self


                    class WeightedSrlgInfo(object):
                        """
                        Weighted SRLG info for the autobackup tunnel
                        
                        .. attribute:: protected_interface_srlg
                        
                        	SRLG values and admin weight penalties of the protected interface
                        	**type**\: list of    :py:class:`ProtectedInterfaceSrlg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg>`
                        
                        .. attribute:: weighted_srlg_hop
                        
                        	Autobackup hops and the common SRLG with the protected interface
                        	**type**\: list of    :py:class:`WeightedSrlgHop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.protected_interface_srlg = YList()
                            self.protected_interface_srlg.parent = self
                            self.protected_interface_srlg.name = 'protected_interface_srlg'
                            self.weighted_srlg_hop = YList()
                            self.weighted_srlg_hop.parent = self
                            self.weighted_srlg_hop.name = 'weighted_srlg_hop'


                        class ProtectedInterfaceSrlg(object):
                            """
                            SRLG values and admin weight penalties of the
                            protected interface
                            
                            .. attribute:: admin_weight
                            
                            	Admin weight
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg
                            
                            	SRLG number
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: srlg_name
                            
                            	SRLG name
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.admin_weight = None
                                self.srlg = None
                                self.srlg_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface-srlg'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.admin_weight is not None:
                                    return True

                                if self.srlg is not None:
                                    return True

                                if self.srlg_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg']['meta_info']


                        class WeightedSrlgHop(object):
                            """
                            Autobackup hops and the common SRLG with the
                            protected interface
                            
                            .. attribute:: aggregate_admin_weight
                            
                            	Sum of the admin weights for all the common SRLG values
                            	**type**\:  int
                            
                            	**range:** 0..18446744073709551615
                            
                            .. attribute:: common_srlg
                            
                            	Common SRLG between this hop and the protected interface
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: from_address
                            
                            	Local IP address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: to_address
                            
                            	Remote IP address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.aggregate_admin_weight = None
                                self.common_srlg = YLeafList()
                                self.common_srlg.parent = self
                                self.common_srlg.name = 'common_srlg'
                                self.from_address = None
                                self.to_address = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:weighted-srlg-hop'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.aggregate_admin_weight is not None:
                                    return True

                                if self.common_srlg is not None:
                                    for child in self.common_srlg:
                                        if child is not None:
                                            return True

                                if self.from_address is not None:
                                    return True

                                if self.to_address is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:weighted-srlg-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.protected_interface_srlg is not None:
                                for child_ref in self.protected_interface_srlg:
                                    if child_ref._has_data():
                                        return True

                            if self.weighted_srlg_hop is not None:
                                for child_ref in self.weighted_srlg_hop:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo']['meta_info']


                    class Iep(object):
                        """
                        List of IEPs for the path options on this tunnel
                        
                        .. attribute:: iep_hop
                        
                        	IEP Hop List
                        	**type**\: list of    :py:class:`IepHop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep.IepHop>`
                        
                        .. attribute:: path_option_id
                        
                        	Path option ID this IEP is associated with
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.iep_hop = YList()
                            self.iep_hop.parent = self
                            self.iep_hop.name = 'iep_hop'
                            self.path_option_id = None


                        class IepHop(object):
                            """
                            IEP Hop List
                            
                            .. attribute:: hop_index
                            
                            	Hop Index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: iep_hop_address
                            
                            	IEP Hop Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: iep_hop_type
                            
                            	IEP type
                            	**type**\:   :py:class:`MplsTeIepHopEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeIepHopEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hop_index = None
                                self.iep_hop_address = None
                                self.iep_hop_type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:iep-hop'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hop_index is not None:
                                    return True

                                if self.iep_hop_address is not None:
                                    return True

                                if self.iep_hop_type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep.IepHop']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:iep'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.iep_hop is not None:
                                for child_ref in self.iep_hop:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-backup'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.ab_protected_interface is not None:
                            return True

                        if self.ab_protection_type is not None:
                            return True

                        if self.iep is not None:
                            for child_ref in self.iep:
                                if child_ref._has_data():
                                    return True

                        if self.is_unused_removal_timer_running is not None:
                            return True

                        if self.is_using_srlg is not None:
                            return True

                        if self.protected_address is not None:
                            return True

                        if self.protected_ls_ps is not None:
                            return True

                        if self.protected_s2_ls is not None:
                            return True

                        if self.sharing_families is not None:
                            return True

                        if self.srlg_prot_type is not None:
                            return True

                        if self.tunnel_attribute_set_name is not None:
                            return True

                        if self.unused_removal_remaining_time is not None:
                            return True

                        if self.weighted_srlg_info is not None and self.weighted_srlg_info._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup']['meta_info']


                class AutoMesh(object):
                    """
                    Automesh Information
                    
                    .. attribute:: is_tunnel_unused_timer_running
                    
                    	Flag to indicate whether unused timer running
                    	**type**\:  bool
                    
                    .. attribute:: mesh_group_id
                    
                    	Auto\-mesh tunnel Mesh Group ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: mesh_group_type
                    
                    	Auto\-tunnel mesh group type
                    	**type**\:   :py:class:`TeMeshgroupEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMeshgroupEnum>`
                    
                    .. attribute:: remaining_unused_time
                    
                    	Remaining time for unused timer in seconds
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: tunnel_destination_list_name
                    
                    	Destination List name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.is_tunnel_unused_timer_running = None
                        self.mesh_group_id = None
                        self.mesh_group_type = None
                        self.remaining_unused_time = None
                        self.tunnel_destination_list_name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-mesh'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.is_tunnel_unused_timer_running is not None:
                            return True

                        if self.mesh_group_id is not None:
                            return True

                        if self.mesh_group_type is not None:
                            return True

                        if self.remaining_unused_time is not None:
                            return True

                        if self.tunnel_destination_list_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoMesh']['meta_info']


                class AutoPcc(object):
                    """
                    Auto\-PCC Information
                    
                    .. attribute:: creator_address
                    
                    	Address of creating node
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: creator_id
                    
                    	ID of creating node
                    	**type**\:  str
                    
                    .. attribute:: has_creator_id
                    
                    	Indicates if the ID of the creating node is set
                    	**type**\:  bool
                    
                    .. attribute:: operationally_up
                    
                    	Operationally up
                    	**type**\:  bool
                    
                    .. attribute:: owner_address
                    
                    	Address of owner node
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: plspid
                    
                    	PLSP ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: symbolic_name
                    
                    	Symbolic name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.creator_address = None
                        self.creator_id = None
                        self.has_creator_id = None
                        self.operationally_up = None
                        self.owner_address = None
                        self.plspid = None
                        self.symbolic_name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-pcc'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.creator_address is not None:
                            return True

                        if self.creator_id is not None:
                            return True

                        if self.has_creator_id is not None:
                            return True

                        if self.operationally_up is not None:
                            return True

                        if self.owner_address is not None:
                            return True

                        if self.plspid is not None:
                            return True

                        if self.symbolic_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoPcc']['meta_info']


                class PceDelegation(object):
                    """
                    PCE Delegation information
                    
                    .. attribute:: operationally_up
                    
                    	Operationally up
                    	**type**\:  bool
                    
                    .. attribute:: owner_address
                    
                    	Address of owner node
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: plsp_id
                    
                    	PLSP ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: symbolic_name
                    
                    	Symbolic name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.operationally_up = None
                        self.owner_address = None
                        self.plsp_id = None
                        self.symbolic_name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:pce-delegation'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.operationally_up is not None:
                            return True

                        if self.owner_address is not None:
                            return True

                        if self.plsp_id is not None:
                            return True

                        if self.symbolic_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.PceDelegation']['meta_info']


                class SoftPreemption(object):
                    """
                    Tunnel head soft preemption info. This is NULL
                    if soft preemption is not configured
                    
                    .. attribute:: preemption_pending_resolution
                    
                    	Indicates how the soft preemption operation ended
                    	**type**\:   :py:class:`MplsTeSoftPreemptionResolutionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionResolutionEnum>`
                    
                    .. attribute:: soft_preemption_counters
                    
                    	The soft preemption counters for this tunnel head
                    	**type**\:   :py:class:`SoftPreemptionCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionCounters>`
                    
                    .. attribute:: soft_preemption_path_error
                    
                    	The array of soft preemption path errors info received for the LSP that is being soft preempted
                    	**type**\: list of    :py:class:`SoftPreemptionPathError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionPathError>`
                    
                    .. attribute:: status
                    
                    	The preemption state
                    	**type**\:   :py:class:`MplsTeSoftPreemptionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeSoftPreemptionStateEnum>`
                    
                    .. attribute:: time_in_preemption_pending
                    
                    	The number of seconds that were spent in the preemption\-pending state
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.preemption_pending_resolution = None
                        self.soft_preemption_counters = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionCounters()
                        self.soft_preemption_counters.parent = self
                        self.soft_preemption_path_error = YList()
                        self.soft_preemption_path_error.parent = self
                        self.soft_preemption_path_error.name = 'soft_preemption_path_error'
                        self.status = None
                        self.time_in_preemption_pending = None


                    class SoftPreemptionCounters(object):
                        """
                        The soft preemption counters for this tunnel
                        head
                        
                        .. attribute:: frr_triggered_ls_ps
                        
                        	The number of soft preempted LSPs that were fast rerouted at the             headend or any remote node before the reoptimization is done
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_protection_switchover_ls_ps
                        
                        	The number of soft preempted LSPs that were switched over to a             standby LSP
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: reopt_completed_ls_ps
                        
                        	The number of soft preempted LSPs that were torn down by the ingress router after the reopt LSP was successfully setup
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: soft_preemption_events
                        
                        	The number of soft preemption events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: time_in_preemption_pending_avg
                        
                        	The average time in seconds that an LSP was in preemption pending state
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        .. attribute:: time_in_preemption_pending_max
                        
                        	The maximum time in seconds that an LSP was in preemption pending state
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        .. attribute:: time_in_preemption_pending_min
                        
                        	The minimum time in seconds that an LSP was in preemption pending state
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        .. attribute:: torn_down_ls_ps
                        
                        	The number of soft preempted LSPs that were torn down by the              headend or any remote node before the reoptimization is done
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.frr_triggered_ls_ps = None
                            self.path_protection_switchover_ls_ps = None
                            self.reopt_completed_ls_ps = None
                            self.soft_preemption_events = None
                            self.time_in_preemption_pending_avg = None
                            self.time_in_preemption_pending_max = None
                            self.time_in_preemption_pending_min = None
                            self.torn_down_ls_ps = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption-counters'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.frr_triggered_ls_ps is not None:
                                return True

                            if self.path_protection_switchover_ls_ps is not None:
                                return True

                            if self.reopt_completed_ls_ps is not None:
                                return True

                            if self.soft_preemption_events is not None:
                                return True

                            if self.time_in_preemption_pending_avg is not None:
                                return True

                            if self.time_in_preemption_pending_max is not None:
                                return True

                            if self.time_in_preemption_pending_min is not None:
                                return True

                            if self.torn_down_ls_ps is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionCounters']['meta_info']


                    class SoftPreemptionPathError(object):
                        """
                        The array of soft preemption path errors info
                        received for the LSP that is being soft
                        preempted
                        
                        .. attribute:: preempting_link_address
                        
                        	The address of the link where the preemption happened
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: timestamp
                        
                        	The POSIX timestamp when the soft preemption error is received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.preempting_link_address = None
                            self.timestamp = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption-path-error'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.preempting_link_address is not None:
                                return True

                            if self.timestamp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionPathError']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.preemption_pending_resolution is not None:
                            return True

                        if self.soft_preemption_counters is not None and self.soft_preemption_counters._has_data():
                            return True

                        if self.soft_preemption_path_error is not None:
                            for child_ref in self.soft_preemption_path_error:
                                if child_ref._has_data():
                                    return True

                        if self.status is not None:
                            return True

                        if self.time_in_preemption_pending is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption']['meta_info']


                class WdmUnitunnel(object):
                    """
                    WDM\-UNI tunnel data. Only exists for WDM\-UNI
                    tunnels
                    
                    .. attribute:: controlled_interface
                    
                    	Interface being controlled
                    	**type**\:  str
                    
                    .. attribute:: destination_address
                    
                    	Destination address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: extended_tunnel_id
                    
                    	Extended tunnel\-id
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: label_origin
                    
                    	Label origin
                    	**type**\:   :py:class:`MplsTeMgmtGmplsLabelOriginEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMgmtGmplsLabelOriginEnum>`
                    
                    .. attribute:: local_optical_router_id
                    
                    	Local optical router id
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: lsp_id
                    
                    	LSP ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: remote_optical_router_id
                    
                    	Remote optical router id
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: source_address
                    
                    	Source address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: srlg_discovery
                    
                    	SRLG\-discovery enabled
                    	**type**\:  bool
                    
                    .. attribute:: tunnel_id
                    
                    	Tunnel ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tunnel_role
                    
                    	Tunnel Role
                    	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                    
                    .. attribute:: tunnel_state
                    
                    	Tunnel state
                    	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.controlled_interface = None
                        self.destination_address = None
                        self.extended_tunnel_id = None
                        self.label_origin = None
                        self.local_optical_router_id = None
                        self.lsp_id = None
                        self.remote_optical_router_id = None
                        self.source_address = None
                        self.srlg_discovery = None
                        self.tunnel_id = None
                        self.tunnel_role = None
                        self.tunnel_state = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:wdm-unitunnel'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.controlled_interface is not None:
                            return True

                        if self.destination_address is not None:
                            return True

                        if self.extended_tunnel_id is not None:
                            return True

                        if self.label_origin is not None:
                            return True

                        if self.local_optical_router_id is not None:
                            return True

                        if self.lsp_id is not None:
                            return True

                        if self.remote_optical_router_id is not None:
                            return True

                        if self.source_address is not None:
                            return True

                        if self.srlg_discovery is not None:
                            return True

                        if self.tunnel_id is not None:
                            return True

                        if self.tunnel_role is not None:
                            return True

                        if self.tunnel_state is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.WdmUnitunnel']['meta_info']


                class TransportTunnelInfo(object):
                    """
                    Transport tunnel data. Only exists for Transport
                    tunnels
                    
                    .. attribute:: diversity_info
                    
                    	Diversity Info
                    	**type**\: list of    :py:class:`DiversityInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.DiversityInfo>`
                    
                    .. attribute:: egress_static_uni
                    
                    	Tunnel EgressStatic UNI Info
                    	**type**\:   :py:class:`EgressStaticUni <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni>`
                    
                    .. attribute:: homepath_ero
                    
                    	Homepath ero for working lsp
                    	**type**\: list of    :py:class:`HomepathEro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro>`
                    
                    .. attribute:: otn
                    
                    	Info Related to OTN technology in S2L
                    	**type**\:   :py:class:`Otn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn>`
                    
                    .. attribute:: static_uni
                    
                    	Tunnel Static UNI Info
                    	**type**\:   :py:class:`StaticUni <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.StaticUni>`
                    
                    .. attribute:: status_homepath_working
                    
                    	Status of working homepath
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.diversity_info = YList()
                        self.diversity_info.parent = self
                        self.diversity_info.name = 'diversity_info'
                        self.egress_static_uni = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni()
                        self.egress_static_uni.parent = self
                        self.homepath_ero = YList()
                        self.homepath_ero.parent = self
                        self.homepath_ero.name = 'homepath_ero'
                        self.otn = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn()
                        self.otn.parent = self
                        self.static_uni = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.StaticUni()
                        self.static_uni.parent = self
                        self.status_homepath_working = None


                    class Otn(object):
                        """
                        Info Related to OTN technology in S2L
                        
                        .. attribute:: bandwidth_cfg
                        
                        	Configured OTN Bandwidth for tunnel
                        	**type**\:   :py:class:`BandwidthCfg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bandwidth_cfg = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg()
                            self.bandwidth_cfg.parent = self


                        class BandwidthCfg(object):
                            """
                            Configured OTN Bandwidth for tunnel
                            
                            .. attribute:: odu_flex_cbr
                            
                            	Odu flex CBR info
                            	**type**\:   :py:class:`OduFlexCbr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr>`
                            
                            .. attribute:: odu_flex_gfp_f_non_res
                            
                            	Odu flex GFP\-F non\-resizable info
                            	**type**\:   :py:class:`OduFlexGfpFNonRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes>`
                            
                            .. attribute:: odu_flex_gfp_f_res
                            
                            	Odu flex GFP\-F resizable info
                            	**type**\:   :py:class:`OduFlexGfpFRes <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes>`
                            
                            .. attribute:: odu_level
                            
                            	ODULevel
                            	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.odu_flex_cbr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr()
                                self.odu_flex_cbr.parent = self
                                self.odu_flex_gfp_f_non_res = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes()
                                self.odu_flex_gfp_f_non_res.parent = self
                                self.odu_flex_gfp_f_res = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes()
                                self.odu_flex_gfp_f_res.parent = self
                                self.odu_level = None


                            class OduFlexCbr(object):
                                """
                                Odu flex CBR info
                                
                                .. attribute:: bit_rate
                                
                                	Bit rate in kbit/s
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tolerance
                                
                                	Tolerance
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None
                                    self.tolerance = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-cbr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    if self.tolerance is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr']['meta_info']


                            class OduFlexGfpFRes(object):
                                """
                                Odu flex GFP\-F resizable info
                                
                                .. attribute:: bit_rate
                                
                                	Bit rate in kbit/s
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-res'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes']['meta_info']


                            class OduFlexGfpFNonRes(object):
                                """
                                Odu flex GFP\-F non\-resizable info
                                
                                .. attribute:: bit_rate
                                
                                	Bit rate in kbit/s
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bit_rate = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-flex-gfp-f-non-res'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bit_rate is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-cfg'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.odu_flex_cbr is not None and self.odu_flex_cbr._has_data():
                                    return True

                                if self.odu_flex_gfp_f_non_res is not None and self.odu_flex_gfp_f_non_res._has_data():
                                    return True

                                if self.odu_flex_gfp_f_res is not None and self.odu_flex_gfp_f_res._has_data():
                                    return True

                                if self.odu_level is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bandwidth_cfg is not None and self.bandwidth_cfg._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn']['meta_info']


                    class StaticUni(object):
                        """
                        Tunnel Static UNI Info
                        
                        .. attribute:: client_if_handle
                        
                        	Ingress Client Port Ifhandle
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: client_odu_if_handle
                        
                        	Client Odu Interface
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: client_odu_name
                        
                        	Client Odu Name
                        	**type**\:  str
                        
                        .. attribute:: client_port
                        
                        	Ingress Client Port
                        	**type**\:  str
                        
                        .. attribute:: cross_connect_id
                        
                        	Cross connect id
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: is_connected
                        
                        	True if client port is connected
                        	**type**\:  bool
                        
                        .. attribute:: local_termination
                        
                        	Local Termination Type
                        	**type**\:   :py:class:`MplsTeTerminationEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTerminationEnum>`
                        
                        .. attribute:: static_uni_type
                        
                        	Static uni type
                        	**type**\:   :py:class:`MplsTeUniEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeUniEnum>`
                        
                        .. attribute:: term_client_if_handle
                        
                        	Termination Ingress Client Port Ifhandle
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: term_client_port
                        
                        	Termination Ingress Client Port
                        	**type**\:  str
                        
                        .. attribute:: uptime
                        
                        	Client Port Uptime
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.client_if_handle = None
                            self.client_odu_if_handle = None
                            self.client_odu_name = None
                            self.client_port = None
                            self.cross_connect_id = None
                            self.is_connected = None
                            self.local_termination = None
                            self.static_uni_type = None
                            self.term_client_if_handle = None
                            self.term_client_port = None
                            self.uptime = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:static-uni'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.client_if_handle is not None:
                                return True

                            if self.client_odu_if_handle is not None:
                                return True

                            if self.client_odu_name is not None:
                                return True

                            if self.client_port is not None:
                                return True

                            if self.cross_connect_id is not None:
                                return True

                            if self.is_connected is not None:
                                return True

                            if self.local_termination is not None:
                                return True

                            if self.static_uni_type is not None:
                                return True

                            if self.term_client_if_handle is not None:
                                return True

                            if self.term_client_port is not None:
                                return True

                            if self.uptime is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.StaticUni']['meta_info']


                    class EgressStaticUni(object):
                        """
                        Tunnel EgressStatic UNI Info
                        
                        .. attribute:: egress_port
                        
                        	Egress Client Port of Tunnel
                        	**type**\:   :py:class:`EgressPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort>`
                        
                        .. attribute:: local_termination
                        
                        	Local Termination Type
                        	**type**\:   :py:class:`MplsTeTerminationEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTerminationEnum>`
                        
                        .. attribute:: remote_uni_type
                        
                        	Remote uni type
                        	**type**\:   :py:class:`MplsTeUniEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeUniEnum>`
                        
                        .. attribute:: term_egress_port
                        
                        	Termination Egress Client Port of Tunnel
                        	**type**\:   :py:class:`TermEgressPort <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.egress_port = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort()
                            self.egress_port.parent = self
                            self.local_termination = None
                            self.remote_uni_type = None
                            self.term_egress_port = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort()
                            self.term_egress_port.parent = self


                        class EgressPort(object):
                            """
                            Egress Client Port of Tunnel
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:egress-port'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort']['meta_info']


                        class TermEgressPort(object):
                            """
                            Termination Egress Client Port of Tunnel
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:term-egress-port'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:egress-static-uni'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.egress_port is not None and self.egress_port._has_data():
                                return True

                            if self.local_termination is not None:
                                return True

                            if self.remote_uni_type is not None:
                                return True

                            if self.term_egress_port is not None and self.term_egress_port._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni']['meta_info']


                    class HomepathEro(object):
                        """
                        Homepath ero for working lsp
                        
                        .. attribute:: ero_type
                        
                        	EROType
                        	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                        
                        .. attribute:: ipv4ero_sub_object
                        
                        	IPV4 ERO Sub Object
                        	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject>`
                        
                        .. attribute:: unnumbered_ero_sub_object
                        
                        	Unnumbered ERO Sub Object
                        	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_type = None
                            self.ipv4ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject()
                            self.ipv4ero_sub_object.parent = self
                            self.unnumbered_ero_sub_object = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject()
                            self.unnumbered_ero_sub_object.parent = self


                        class Ipv4EroSubObject(object):
                            """
                            IPV4 ERO Sub Object
                            
                            .. attribute:: ero_address
                            
                            	The ERO IPV4 Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: prefix_length
                            
                            	ERO Prefix Length
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_address = None
                                self.is_strict_route = None
                                self.prefix_length = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_address is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.prefix_length is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject']['meta_info']


                        class UnnumberedEroSubObject(object):
                            """
                            Unnumbered ERO Sub Object
                            
                            .. attribute:: ero_interface_id
                            
                            	The Interface ID in ERO
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: ero_router_id
                            
                            	The Router ID in ERO
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: status
                            
                            	Status of ERO
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_interface_id = None
                                self.ero_router_id = None
                                self.is_strict_route = None
                                self.status = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_interface_id is not None:
                                    return True

                                if self.ero_router_id is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:homepath-ero'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_type is not None:
                                return True

                            if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                return True

                            if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro']['meta_info']


                    class DiversityInfo(object):
                        """
                        Diversity Info
                        
                        .. attribute:: tunnel_id
                        
                        	Dependent Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.tunnel_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:diversity-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.tunnel_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.DiversityInfo']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:transport-tunnel-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.diversity_info is not None:
                            for child_ref in self.diversity_info:
                                if child_ref._has_data():
                                    return True

                        if self.egress_static_uni is not None and self.egress_static_uni._has_data():
                            return True

                        if self.homepath_ero is not None:
                            for child_ref in self.homepath_ero:
                                if child_ref._has_data():
                                    return True

                        if self.otn is not None and self.otn._has_data():
                            return True

                        if self.static_uni is not None and self.static_uni._has_data():
                            return True

                        if self.status_homepath_working is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo']['meta_info']


                class BfdInfo(object):
                    """
                    BFD session info. This is NULL if BFD is not
                    configured
                    
                    .. attribute:: bfd_session_up
                    
                    	Tunnel BFD session state up or down
                    	**type**\:  bool
                    
                    .. attribute:: dampening_info
                    
                    	Path option dampening info
                    	**type**\: list of    :py:class:`DampeningInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.DampeningInfo>`
                    
                    .. attribute:: event_counters
                    
                    	Per tunnel BFD session event counters
                    	**type**\:   :py:class:`EventCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.EventCounters>`
                    
                    .. attribute:: failure_diagnostic_code
                    
                    	BFD session failure diagnostic code
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: failure_reason
                    
                    	BFD session failure reason
                    	**type**\:  str
                    
                    .. attribute:: maximum_session_up_interval
                    
                    	Maximum time in mini second for session to come up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: minimum_session_up_interval
                    
                    	Minimum time in mini second for session to come up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: session_up_time
                    
                    	Time in seconds since the last session state up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bfd_session_up = None
                        self.dampening_info = YList()
                        self.dampening_info.parent = self
                        self.dampening_info.name = 'dampening_info'
                        self.event_counters = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.EventCounters()
                        self.event_counters.parent = self
                        self.failure_diagnostic_code = None
                        self.failure_reason = None
                        self.maximum_session_up_interval = None
                        self.minimum_session_up_interval = None
                        self.session_up_time = None


                    class EventCounters(object):
                        """
                        Per tunnel BFD session event counters
                        
                        .. attribute:: session_admin_down_events
                        
                        	The number of BFDOverLSP session admin down events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_create_events
                        
                        	The number of BFDOverLSP session create events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_create_timeout_events
                        
                        	The number of BFDOverLSP session create timeout events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_creation_failed_events
                        
                        	The number of BFDOverLSP session creation failed events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_down_events
                        
                        	The number of BFDOverLSP session down events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_gracefully_delete_events
                        
                        	The number of BFDOverLSP session gracefully delete events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_non_gracefully_delete_events
                        
                        	The number of BFDOverLSP session non gracefully delete events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_replay_events
                        
                        	The number of BFDOverLSP session replay events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: session_up_events
                        
                        	The number of BFDOverLSP session up events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.session_admin_down_events = None
                            self.session_create_events = None
                            self.session_create_timeout_events = None
                            self.session_creation_failed_events = None
                            self.session_down_events = None
                            self.session_gracefully_delete_events = None
                            self.session_non_gracefully_delete_events = None
                            self.session_replay_events = None
                            self.session_up_events = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:event-counters'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.session_admin_down_events is not None:
                                return True

                            if self.session_create_events is not None:
                                return True

                            if self.session_create_timeout_events is not None:
                                return True

                            if self.session_creation_failed_events is not None:
                                return True

                            if self.session_down_events is not None:
                                return True

                            if self.session_gracefully_delete_events is not None:
                                return True

                            if self.session_non_gracefully_delete_events is not None:
                                return True

                            if self.session_replay_events is not None:
                                return True

                            if self.session_up_events is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.EventCounters']['meta_info']


                    class DampeningInfo(object):
                        """
                        Path option dampening info
                        
                        .. attribute:: backoff_count
                        
                        	Backoff count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: hold_down_time
                        
                        	Hold down time in second
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: option_index
                        
                        	Path option index
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: remained_time
                        
                        	Remained time to resignal in second
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.backoff_count = None
                            self.hold_down_time = None
                            self.option_index = None
                            self.remained_time = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:dampening-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.backoff_count is not None:
                                return True

                            if self.hold_down_time is not None:
                                return True

                            if self.option_index is not None:
                                return True

                            if self.remained_time is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.DampeningInfo']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bfd_session_up is not None:
                            return True

                        if self.dampening_info is not None:
                            for child_ref in self.dampening_info:
                                if child_ref._has_data():
                                    return True

                        if self.event_counters is not None and self.event_counters._has_data():
                            return True

                        if self.failure_diagnostic_code is not None:
                            return True

                        if self.failure_reason is not None:
                            return True

                        if self.maximum_session_up_interval is not None:
                            return True

                        if self.minimum_session_up_interval is not None:
                            return True

                        if self.session_up_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo']['meta_info']


                class OtnBidir(object):
                    """
                    OTN bidir info
                    
                    .. attribute:: aps
                    
                    	APS Protection Info
                    	**type**\:   :py:class:`Aps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps>`
                    
                    .. attribute:: restoration
                    
                    	Restoration Info
                    	**type**\:   :py:class:`Restoration <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Restoration>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.aps = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps()
                        self.aps.parent = self
                        self.restoration = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Restoration()
                        self.restoration.parent = self


                    class Aps(object):
                        """
                        APS Protection Info
                        
                        .. attribute:: active_lsp
                        
                        	Active LSP for Incoming Data
                        	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                        
                        .. attribute:: diversity_type
                        
                        	Standby path diversity type
                        	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                        
                        .. attribute:: protection_profile
                        
                        	Protection Profile Information of tunnel
                        	**type**\:   :py:class:`ProtectionProfile <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.active_lsp = None
                            self.diversity_type = None
                            self.protection_profile = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile()
                            self.protection_profile.parent = self


                        class ProtectionProfile(object):
                            """
                            Protection Profile Information of tunnel
                            
                            .. attribute:: hold_off_time
                            
                            	Hold\-off time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: path_prot_profile_type
                            
                            	Path Protection Profile Type
                            	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                            
                            .. attribute:: protection_mode
                            
                            	Protection Restoration Mode
                            	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                            
                            .. attribute:: protection_type
                            
                            	Protection Type
                            	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                            
                            .. attribute:: restoration_style
                            
                            	Restoration Style
                            	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                            
                            .. attribute:: revert_schedule
                            
                            	Revert Schedule
                            	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile.RevertSchedule>`
                            
                            .. attribute:: snc_mode
                            
                            	Sub\-network Connection Mode
                            	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                            
                            .. attribute:: tcm_id
                            
                            	Sub\-network Connection Monitoring Mode
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: wait_to_restore_time
                            
                            	Wait to restore time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hold_off_time = None
                                self.path_prot_profile_type = None
                                self.protection_mode = None
                                self.protection_type = None
                                self.restoration_style = None
                                self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile.RevertSchedule()
                                self.revert_schedule.parent = self
                                self.snc_mode = None
                                self.tcm_id = None
                                self.wait_to_restore_time = None


                            class RevertSchedule(object):
                                """
                                Revert Schedule
                                
                                .. attribute:: duration
                                
                                	Duration for scheduled reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: max_tries
                                
                                	Max tries for scheduled reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: schedule_date
                                
                                	Schedule time for reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: schedule_frequency
                                
                                	Schedule frequency for reversion
                                	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                
                                .. attribute:: schedulename
                                
                                	Schedule name identifier
                                	**type**\:  str
                                
                                	**length:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.duration = None
                                    self.max_tries = None
                                    self.schedule_date = None
                                    self.schedule_frequency = None
                                    self.schedulename = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.duration is not None:
                                        return True

                                    if self.max_tries is not None:
                                        return True

                                    if self.schedule_date is not None:
                                        return True

                                    if self.schedule_frequency is not None:
                                        return True

                                    if self.schedulename is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile.RevertSchedule']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protection-profile'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hold_off_time is not None:
                                    return True

                                if self.path_prot_profile_type is not None:
                                    return True

                                if self.protection_mode is not None:
                                    return True

                                if self.protection_type is not None:
                                    return True

                                if self.restoration_style is not None:
                                    return True

                                if self.revert_schedule is not None and self.revert_schedule._has_data():
                                    return True

                                if self.snc_mode is not None:
                                    return True

                                if self.tcm_id is not None:
                                    return True

                                if self.wait_to_restore_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:aps'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.active_lsp is not None:
                                return True

                            if self.diversity_type is not None:
                                return True

                            if self.protection_profile is not None and self.protection_profile._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps']['meta_info']


                    class Restoration(object):
                        """
                        Restoration Info
                        
                        .. attribute:: diverse_lsp
                        
                        	LSP from which restoration LSP is DIVERSED
                        	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                        
                        .. attribute:: diversity_type
                        
                        	Restoration path diversity type
                        	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                        
                        .. attribute:: revert_option
                        
                        	Revertive or non\-revertive
                        	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.diverse_lsp = None
                            self.diversity_type = None
                            self.revert_option = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:restoration'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.diverse_lsp is not None:
                                return True

                            if self.diversity_type is not None:
                                return True

                            if self.revert_option is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Restoration']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:otn-bidir'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.aps is not None and self.aps._has_data():
                            return True

                        if self.restoration is not None and self.restoration._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir']['meta_info']


                class Bidir(object):
                    """
                    Bidir info
                    
                    .. attribute:: reverse_bandwidth
                    
                    	Reverse Bandwidth value in kbps
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: kbit/s
                    
                    .. attribute:: reverse_bandwidth_standby
                    
                    	Reverse Bandwidth value for standby in kbps
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: kbit/s
                    
                    .. attribute:: reverse_ero_error_current
                    
                    	Reverse ERO Error Current LSP
                    	**type**\:   :py:class:`ReverseEroErrorCurrent <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent>`
                    
                    .. attribute:: reverse_ero_error_reopt
                    
                    	Reverse ERO Error Reopt LSP
                    	**type**\:   :py:class:`ReverseEroErrorReopt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt>`
                    
                    .. attribute:: reverse_ero_error_standby
                    
                    	Reverse ERO Error Standby LSP
                    	**type**\:   :py:class:`ReverseEroErrorStandby <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby>`
                    
                    .. attribute:: reverse_ero_error_standby_reopt
                    
                    	Reverse ERO Error Standby Reopt LSP
                    	**type**\:   :py:class:`ReverseEroErrorStandbyReopt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.reverse_bandwidth = None
                        self.reverse_bandwidth_standby = None
                        self.reverse_ero_error_current = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent()
                        self.reverse_ero_error_current.parent = self
                        self.reverse_ero_error_reopt = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt()
                        self.reverse_ero_error_reopt.parent = self
                        self.reverse_ero_error_standby = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby()
                        self.reverse_ero_error_standby.parent = self
                        self.reverse_ero_error_standby_reopt = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt()
                        self.reverse_ero_error_standby_reopt.parent = self


                    class ReverseEroErrorCurrent(object):
                        """
                        Reverse ERO Error Current LSP
                        
                        .. attribute:: ero_reject_reason
                        
                        	Reverse ERO Reject Reason
                        	**type**\:   :py:class:`TeRevEroRejectReasonsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRevEroRejectReasonsEnum>`
                        
                        .. attribute:: path_calculation_error
                        
                        	Path Computation Information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent.PathCalculationError>`
                        
                        .. attribute:: path_option_index
                        
                        	Path Option Index
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: path_option_type
                        
                        	Path Option Type
                        	**type**\:   :py:class:`MtePathOptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MtePathOptionEnum>`
                        
                        .. attribute:: path_reject_reason_affinity
                        
                        	Path Reject due to affinity
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_bw
                        
                        	Path Reject due to bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_link
                        
                        	Path Reject due to exclude link
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_node
                        
                        	Path Reject due to exclude node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_srlg
                        
                        	Path Reject due to exclude SRLG
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_holddown
                        
                        	Path Reject due to holddown
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_hop_limit
                        
                        	Path Reject due to hop limit
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ip_addr
                        
                        	Path Reject due to IP address
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ixcd
                        
                        	Path Reject due to IXCD
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_head
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_mid
                        
                        	Path Reject due to mid node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_tail
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_unknown
                        
                        	Path Reject due to unknown node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_unreachable
                        
                        	Path Reject due to unreachable node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_bw
                        
                        	Path Reject due to reverse bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_link
                        
                        	Path Reject due to reverse link
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_id
                        
                        	Reverse LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_reject_reason = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_index = None
                            self.path_option_type = None
                            self.path_reject_reason_affinity = None
                            self.path_reject_reason_bw = None
                            self.path_reject_reason_exclude_link = None
                            self.path_reject_reason_exclude_node = None
                            self.path_reject_reason_exclude_srlg = None
                            self.path_reject_reason_holddown = None
                            self.path_reject_reason_hop_limit = None
                            self.path_reject_reason_ip_addr = None
                            self.path_reject_reason_ixcd = None
                            self.path_reject_reason_node_ol_head = None
                            self.path_reject_reason_node_ol_mid = None
                            self.path_reject_reason_node_ol_tail = None
                            self.path_reject_reason_node_ol_unknown = None
                            self.path_reject_reason_node_unreachable = None
                            self.path_reject_reason_reverse_bw = None
                            self.path_reject_reason_reverse_link = None
                            self.reverse_lsp_id = None


                        class PathCalculationError(object):
                            """
                            Path Computation Information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent.PathCalculationError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-error-current'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_reject_reason is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_index is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.path_reject_reason_affinity is not None:
                                return True

                            if self.path_reject_reason_bw is not None:
                                return True

                            if self.path_reject_reason_exclude_link is not None:
                                return True

                            if self.path_reject_reason_exclude_node is not None:
                                return True

                            if self.path_reject_reason_exclude_srlg is not None:
                                return True

                            if self.path_reject_reason_holddown is not None:
                                return True

                            if self.path_reject_reason_hop_limit is not None:
                                return True

                            if self.path_reject_reason_ip_addr is not None:
                                return True

                            if self.path_reject_reason_ixcd is not None:
                                return True

                            if self.path_reject_reason_node_ol_head is not None:
                                return True

                            if self.path_reject_reason_node_ol_mid is not None:
                                return True

                            if self.path_reject_reason_node_ol_tail is not None:
                                return True

                            if self.path_reject_reason_node_ol_unknown is not None:
                                return True

                            if self.path_reject_reason_node_unreachable is not None:
                                return True

                            if self.path_reject_reason_reverse_bw is not None:
                                return True

                            if self.path_reject_reason_reverse_link is not None:
                                return True

                            if self.reverse_lsp_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent']['meta_info']


                    class ReverseEroErrorReopt(object):
                        """
                        Reverse ERO Error Reopt LSP
                        
                        .. attribute:: ero_reject_reason
                        
                        	Reverse ERO Reject Reason
                        	**type**\:   :py:class:`TeRevEroRejectReasonsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRevEroRejectReasonsEnum>`
                        
                        .. attribute:: path_calculation_error
                        
                        	Path Computation Information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt.PathCalculationError>`
                        
                        .. attribute:: path_option_index
                        
                        	Path Option Index
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: path_option_type
                        
                        	Path Option Type
                        	**type**\:   :py:class:`MtePathOptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MtePathOptionEnum>`
                        
                        .. attribute:: path_reject_reason_affinity
                        
                        	Path Reject due to affinity
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_bw
                        
                        	Path Reject due to bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_link
                        
                        	Path Reject due to exclude link
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_node
                        
                        	Path Reject due to exclude node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_srlg
                        
                        	Path Reject due to exclude SRLG
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_holddown
                        
                        	Path Reject due to holddown
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_hop_limit
                        
                        	Path Reject due to hop limit
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ip_addr
                        
                        	Path Reject due to IP address
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ixcd
                        
                        	Path Reject due to IXCD
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_head
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_mid
                        
                        	Path Reject due to mid node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_tail
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_unknown
                        
                        	Path Reject due to unknown node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_unreachable
                        
                        	Path Reject due to unreachable node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_bw
                        
                        	Path Reject due to reverse bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_link
                        
                        	Path Reject due to reverse link
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_id
                        
                        	Reverse LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_reject_reason = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_index = None
                            self.path_option_type = None
                            self.path_reject_reason_affinity = None
                            self.path_reject_reason_bw = None
                            self.path_reject_reason_exclude_link = None
                            self.path_reject_reason_exclude_node = None
                            self.path_reject_reason_exclude_srlg = None
                            self.path_reject_reason_holddown = None
                            self.path_reject_reason_hop_limit = None
                            self.path_reject_reason_ip_addr = None
                            self.path_reject_reason_ixcd = None
                            self.path_reject_reason_node_ol_head = None
                            self.path_reject_reason_node_ol_mid = None
                            self.path_reject_reason_node_ol_tail = None
                            self.path_reject_reason_node_ol_unknown = None
                            self.path_reject_reason_node_unreachable = None
                            self.path_reject_reason_reverse_bw = None
                            self.path_reject_reason_reverse_link = None
                            self.reverse_lsp_id = None


                        class PathCalculationError(object):
                            """
                            Path Computation Information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt.PathCalculationError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-error-reopt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_reject_reason is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_index is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.path_reject_reason_affinity is not None:
                                return True

                            if self.path_reject_reason_bw is not None:
                                return True

                            if self.path_reject_reason_exclude_link is not None:
                                return True

                            if self.path_reject_reason_exclude_node is not None:
                                return True

                            if self.path_reject_reason_exclude_srlg is not None:
                                return True

                            if self.path_reject_reason_holddown is not None:
                                return True

                            if self.path_reject_reason_hop_limit is not None:
                                return True

                            if self.path_reject_reason_ip_addr is not None:
                                return True

                            if self.path_reject_reason_ixcd is not None:
                                return True

                            if self.path_reject_reason_node_ol_head is not None:
                                return True

                            if self.path_reject_reason_node_ol_mid is not None:
                                return True

                            if self.path_reject_reason_node_ol_tail is not None:
                                return True

                            if self.path_reject_reason_node_ol_unknown is not None:
                                return True

                            if self.path_reject_reason_node_unreachable is not None:
                                return True

                            if self.path_reject_reason_reverse_bw is not None:
                                return True

                            if self.path_reject_reason_reverse_link is not None:
                                return True

                            if self.reverse_lsp_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt']['meta_info']


                    class ReverseEroErrorStandby(object):
                        """
                        Reverse ERO Error Standby LSP
                        
                        .. attribute:: ero_reject_reason
                        
                        	Reverse ERO Reject Reason
                        	**type**\:   :py:class:`TeRevEroRejectReasonsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRevEroRejectReasonsEnum>`
                        
                        .. attribute:: path_calculation_error
                        
                        	Path Computation Information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby.PathCalculationError>`
                        
                        .. attribute:: path_option_index
                        
                        	Path Option Index
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: path_option_type
                        
                        	Path Option Type
                        	**type**\:   :py:class:`MtePathOptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MtePathOptionEnum>`
                        
                        .. attribute:: path_reject_reason_affinity
                        
                        	Path Reject due to affinity
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_bw
                        
                        	Path Reject due to bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_link
                        
                        	Path Reject due to exclude link
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_node
                        
                        	Path Reject due to exclude node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_srlg
                        
                        	Path Reject due to exclude SRLG
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_holddown
                        
                        	Path Reject due to holddown
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_hop_limit
                        
                        	Path Reject due to hop limit
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ip_addr
                        
                        	Path Reject due to IP address
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ixcd
                        
                        	Path Reject due to IXCD
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_head
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_mid
                        
                        	Path Reject due to mid node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_tail
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_unknown
                        
                        	Path Reject due to unknown node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_unreachable
                        
                        	Path Reject due to unreachable node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_bw
                        
                        	Path Reject due to reverse bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_link
                        
                        	Path Reject due to reverse link
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_id
                        
                        	Reverse LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_reject_reason = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_index = None
                            self.path_option_type = None
                            self.path_reject_reason_affinity = None
                            self.path_reject_reason_bw = None
                            self.path_reject_reason_exclude_link = None
                            self.path_reject_reason_exclude_node = None
                            self.path_reject_reason_exclude_srlg = None
                            self.path_reject_reason_holddown = None
                            self.path_reject_reason_hop_limit = None
                            self.path_reject_reason_ip_addr = None
                            self.path_reject_reason_ixcd = None
                            self.path_reject_reason_node_ol_head = None
                            self.path_reject_reason_node_ol_mid = None
                            self.path_reject_reason_node_ol_tail = None
                            self.path_reject_reason_node_ol_unknown = None
                            self.path_reject_reason_node_unreachable = None
                            self.path_reject_reason_reverse_bw = None
                            self.path_reject_reason_reverse_link = None
                            self.reverse_lsp_id = None


                        class PathCalculationError(object):
                            """
                            Path Computation Information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby.PathCalculationError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-error-standby'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_reject_reason is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_index is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.path_reject_reason_affinity is not None:
                                return True

                            if self.path_reject_reason_bw is not None:
                                return True

                            if self.path_reject_reason_exclude_link is not None:
                                return True

                            if self.path_reject_reason_exclude_node is not None:
                                return True

                            if self.path_reject_reason_exclude_srlg is not None:
                                return True

                            if self.path_reject_reason_holddown is not None:
                                return True

                            if self.path_reject_reason_hop_limit is not None:
                                return True

                            if self.path_reject_reason_ip_addr is not None:
                                return True

                            if self.path_reject_reason_ixcd is not None:
                                return True

                            if self.path_reject_reason_node_ol_head is not None:
                                return True

                            if self.path_reject_reason_node_ol_mid is not None:
                                return True

                            if self.path_reject_reason_node_ol_tail is not None:
                                return True

                            if self.path_reject_reason_node_ol_unknown is not None:
                                return True

                            if self.path_reject_reason_node_unreachable is not None:
                                return True

                            if self.path_reject_reason_reverse_bw is not None:
                                return True

                            if self.path_reject_reason_reverse_link is not None:
                                return True

                            if self.reverse_lsp_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby']['meta_info']


                    class ReverseEroErrorStandbyReopt(object):
                        """
                        Reverse ERO Error Standby Reopt LSP
                        
                        .. attribute:: ero_reject_reason
                        
                        	Reverse ERO Reject Reason
                        	**type**\:   :py:class:`TeRevEroRejectReasonsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRevEroRejectReasonsEnum>`
                        
                        .. attribute:: path_calculation_error
                        
                        	Path Computation Information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError>`
                        
                        .. attribute:: path_option_index
                        
                        	Path Option Index
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: path_option_type
                        
                        	Path Option Type
                        	**type**\:   :py:class:`MtePathOptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MtePathOptionEnum>`
                        
                        .. attribute:: path_reject_reason_affinity
                        
                        	Path Reject due to affinity
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_bw
                        
                        	Path Reject due to bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_link
                        
                        	Path Reject due to exclude link
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_node
                        
                        	Path Reject due to exclude node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_exclude_srlg
                        
                        	Path Reject due to exclude SRLG
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_holddown
                        
                        	Path Reject due to holddown
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_hop_limit
                        
                        	Path Reject due to hop limit
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ip_addr
                        
                        	Path Reject due to IP address
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_ixcd
                        
                        	Path Reject due to IXCD
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_head
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_mid
                        
                        	Path Reject due to mid node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_tail
                        
                        	Path Reject due to head node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_ol_unknown
                        
                        	Path Reject due to unknown node overload
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_node_unreachable
                        
                        	Path Reject due to unreachable node
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_bw
                        
                        	Path Reject due to reverse bw
                        	**type**\:  bool
                        
                        .. attribute:: path_reject_reason_reverse_link
                        
                        	Path Reject due to reverse link
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_id
                        
                        	Reverse LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_reject_reason = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_index = None
                            self.path_option_type = None
                            self.path_reject_reason_affinity = None
                            self.path_reject_reason_bw = None
                            self.path_reject_reason_exclude_link = None
                            self.path_reject_reason_exclude_node = None
                            self.path_reject_reason_exclude_srlg = None
                            self.path_reject_reason_holddown = None
                            self.path_reject_reason_hop_limit = None
                            self.path_reject_reason_ip_addr = None
                            self.path_reject_reason_ixcd = None
                            self.path_reject_reason_node_ol_head = None
                            self.path_reject_reason_node_ol_mid = None
                            self.path_reject_reason_node_ol_tail = None
                            self.path_reject_reason_node_ol_unknown = None
                            self.path_reject_reason_node_unreachable = None
                            self.path_reject_reason_reverse_bw = None
                            self.path_reject_reason_reverse_link = None
                            self.reverse_lsp_id = None


                        class PathCalculationError(object):
                            """
                            Path Computation Information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reverse-ero-error-standby-reopt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_reject_reason is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_index is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.path_reject_reason_affinity is not None:
                                return True

                            if self.path_reject_reason_bw is not None:
                                return True

                            if self.path_reject_reason_exclude_link is not None:
                                return True

                            if self.path_reject_reason_exclude_node is not None:
                                return True

                            if self.path_reject_reason_exclude_srlg is not None:
                                return True

                            if self.path_reject_reason_holddown is not None:
                                return True

                            if self.path_reject_reason_hop_limit is not None:
                                return True

                            if self.path_reject_reason_ip_addr is not None:
                                return True

                            if self.path_reject_reason_ixcd is not None:
                                return True

                            if self.path_reject_reason_node_ol_head is not None:
                                return True

                            if self.path_reject_reason_node_ol_mid is not None:
                                return True

                            if self.path_reject_reason_node_ol_tail is not None:
                                return True

                            if self.path_reject_reason_node_ol_unknown is not None:
                                return True

                            if self.path_reject_reason_node_unreachable is not None:
                                return True

                            if self.path_reject_reason_reverse_bw is not None:
                                return True

                            if self.path_reject_reason_reverse_link is not None:
                                return True

                            if self.reverse_lsp_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bidir'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.reverse_bandwidth is not None:
                            return True

                        if self.reverse_bandwidth_standby is not None:
                            return True

                        if self.reverse_ero_error_current is not None and self.reverse_ero_error_current._has_data():
                            return True

                        if self.reverse_ero_error_reopt is not None and self.reverse_ero_error_reopt._has_data():
                            return True

                        if self.reverse_ero_error_standby is not None and self.reverse_ero_error_standby._has_data():
                            return True

                        if self.reverse_ero_error_standby_reopt is not None and self.reverse_ero_error_standby_reopt._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir']['meta_info']


                class XroAttributeSet(object):
                    """
                    XRO attribute\-set
                    
                    .. attribute:: attribute_set_union
                    
                    	Union of Attribute Sets
                    	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion>`
                    
                    .. attribute:: tunnel_attribute_set_name
                    
                    	Attribute Set Name
                    	**type**\:  str
                    
                    .. attribute:: tunnel_attribute_set_name_crc32
                    
                    	Attribute Set name CRC32 value
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion()
                        self.attribute_set_union.parent = self
                        self.tunnel_attribute_set_name = None
                        self.tunnel_attribute_set_name_crc32 = None


                    class AttributeSetUnion(object):
                        """
                        Union of Attribute Sets
                        
                        .. attribute:: attribute_set_aps_pp
                        
                        	Attribute Set OTN APS Path Protection
                        	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                        
                        .. attribute:: attribute_set_autobackup
                        
                        	MPLS TE Auto\-backup Attribute Set
                        	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                        
                        .. attribute:: attribute_set_automesh
                        
                        	MPLS TE Auto\-mesh Attribute Set
                        	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                        
                        .. attribute:: attribute_set_p2mpte
                        
                        	MPLS TE P2MP\-TE Attribute Set
                        	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                        
                        .. attribute:: attribute_set_p2p_te
                        
                        	MPLS TE P2P\-TE Attribute Set
                        	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                        
                        .. attribute:: attribute_set_path_option
                        
                        	MPLS TE Path Option Attribute Set
                        	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                        
                        .. attribute:: attribute_set_xro
                        
                        	Attribute Set XRO
                        	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                        
                        .. attribute:: tunnel_attribute_set_type
                        
                        	TunnelAttributeSetType
                        	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                            self.attribute_set_aps_pp.parent = self
                            self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                            self.attribute_set_autobackup.parent = self
                            self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                            self.attribute_set_automesh.parent = self
                            self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                            self.attribute_set_p2mpte.parent = self
                            self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                            self.attribute_set_p2p_te.parent = self
                            self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                            self.attribute_set_path_option.parent = self
                            self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                            self.attribute_set_xro.parent = self
                            self.tunnel_attribute_set_type = None


                        class AttributeSetPathOption(object):
                            """
                            MPLS TE Path Option Attribute Set
                            
                            .. attribute:: affinity
                            
                            	Affinity
                            	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                            
                            .. attribute:: bandwidth_type
                            
                            	The bandwidth type
                            	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                            
                            .. attribute:: bfd_reverse_path
                            
                            	BFD reverse path
                            	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                            
                            .. attribute:: configured_bandwidth
                            
                            	Bandwidth value in kbps
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: cost_limit
                            
                            	Cost limit on the tunnel path
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: dste_class_type
                            
                            	DSTE Class
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: exclude_list_name
                            
                            	Exclude list name
                            	**type**\:  str
                            
                            .. attribute:: generation
                            
                            	Generation
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: is_affinity_configured
                            
                            	Is affinity configured
                            	**type**\:  bool
                            
                            .. attribute:: is_bandwidth_configured
                            
                            	Is bandwidth configured
                            	**type**\:  bool
                            
                            .. attribute:: is_bfd_reverse_pat_configured
                            
                            	Is BFD reverse path configured
                            	**type**\:  bool
                            
                            .. attribute:: is_cost_limit_configured
                            
                            	Is Cost Limit configured
                            	**type**\:  bool
                            
                            .. attribute:: is_exclude_list_name_configured
                            
                            	Is exclude list name configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_invalidation_action_configured
                            
                            	Is path invalidation action configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_invalidation_timeout_configured
                            
                            	Is path invalidation timeout configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_configured
                            
                            	Is PCE Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_group_id_configured
                            
                            	Is PCE Disjoint Path Group ID Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_source_configured
                            
                            	Is PCE Disjoint Path Source Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_type_configured
                            
                            	Is PCE Disjoint Path Type Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pceb_dj_source_configured
                            
                            	Is PCE Bidirectional Source Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pcebd_group_id_configured
                            
                            	Is PCE Bidirectional Group ID Configured
                            	**type**\:  bool
                            
                            .. attribute:: path_invalidation_action
                            
                            	Path invalidation action
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: path_invalidation_timeout
                            
                            	Path invalidation interval on the tunnel path
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcebd_group_id
                            
                            	PCE Bidirectional Group ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcebd_source_address
                            
                            	PCE Bidirectional Source Address
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_group_id
                            
                            	PCE Disjoint Path Group ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_source_address
                            
                            	PCE Disjoint Path Source Address
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_type
                            
                            	PCE Disjoint Path Type
                            	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: version_info
                            
                            	Version Info
                            	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                self.affinity.parent = self
                                self.bandwidth_type = None
                                self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                self.bfd_reverse_path.parent = self
                                self.configured_bandwidth = None
                                self.cost_limit = None
                                self.dste_class_type = None
                                self.exclude_list_name = None
                                self.generation = None
                                self.is_affinity_configured = None
                                self.is_bandwidth_configured = None
                                self.is_bfd_reverse_pat_configured = None
                                self.is_cost_limit_configured = None
                                self.is_exclude_list_name_configured = None
                                self.is_path_invalidation_action_configured = None
                                self.is_path_invalidation_timeout_configured = None
                                self.is_pce_configured = None
                                self.is_pce_disj_group_id_configured = None
                                self.is_pce_disj_source_configured = None
                                self.is_pce_disj_type_configured = None
                                self.is_pceb_dj_source_configured = None
                                self.is_pcebd_group_id_configured = None
                                self.path_invalidation_action = None
                                self.path_invalidation_timeout = None
                                self.pcebd_group_id = None
                                self.pcebd_source_address = None
                                self.pcedp_group_id = None
                                self.pcedp_source_address = None
                                self.pcedp_type = None
                                self.tunnel_id = YLeafList()
                                self.tunnel_id.parent = self
                                self.tunnel_id.name = 'tunnel_id'
                                self.version_info = YList()
                                self.version_info.parent = self
                                self.version_info.name = 'version_info'


                            class Affinity(object):
                                """
                                Affinity
                                
                                .. attribute:: affinity_bits
                                
                                	The affinity bits (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: affinity_mask
                                
                                	The affinity mask (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: named_affinity
                                
                                	Array of name based constratints currently applied to the tunnel
                                	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.affinity_bits = None
                                    self.affinity_mask = None
                                    self.named_affinity = YList()
                                    self.named_affinity.parent = self
                                    self.named_affinity.name = 'named_affinity'


                                class NamedAffinity(object):
                                    """
                                    Array of name based constratints currently
                                    applied to the tunnel
                                    
                                    .. attribute:: constraint_extended_value
                                    
                                    	Constraint value
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: constraint_type
                                    
                                    	Constraint type
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: constraint_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: extended_forward_ref_value
                                    
                                    	Reference bits for undefined affinity names
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: forward_ref_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.constraint_extended_value = YLeafList()
                                        self.constraint_extended_value.parent = self
                                        self.constraint_extended_value.name = 'constraint_extended_value'
                                        self.constraint_type = None
                                        self.constraint_value = None
                                        self.extended_forward_ref_value = YLeafList()
                                        self.extended_forward_ref_value.parent = self
                                        self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                        self.forward_ref_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.constraint_extended_value is not None:
                                            for child in self.constraint_extended_value:
                                                if child is not None:
                                                    return True

                                        if self.constraint_type is not None:
                                            return True

                                        if self.constraint_value is not None:
                                            return True

                                        if self.extended_forward_ref_value is not None:
                                            for child in self.extended_forward_ref_value:
                                                if child is not None:
                                                    return True

                                        if self.forward_ref_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.affinity_bits is not None:
                                        return True

                                    if self.affinity_mask is not None:
                                        return True

                                    if self.named_affinity is not None:
                                        for child_ref in self.named_affinity:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                            class BfdReversePath(object):
                                """
                                BFD reverse path
                                
                                .. attribute:: binding_label
                                
                                	BFD reverse path binding label
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: path_type
                                
                                	BFD reverse path type
                                	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.binding_label = None
                                    self.path_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.binding_label is not None:
                                        return True

                                    if self.path_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                            class VersionInfo(object):
                                """
                                Version Info
                                
                                .. attribute:: attribute_type
                                
                                	Attribute Type
                                	**type**\:  str
                                
                                .. attribute:: generation
                                
                                	Generation
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: is_default
                                
                                	Is default
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_type = None
                                    self.generation = None
                                    self.is_default = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_type is not None:
                                        return True

                                    if self.generation is not None:
                                        return True

                                    if self.is_default is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.affinity is not None and self.affinity._has_data():
                                    return True

                                if self.bandwidth_type is not None:
                                    return True

                                if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                    return True

                                if self.configured_bandwidth is not None:
                                    return True

                                if self.cost_limit is not None:
                                    return True

                                if self.dste_class_type is not None:
                                    return True

                                if self.exclude_list_name is not None:
                                    return True

                                if self.generation is not None:
                                    return True

                                if self.is_affinity_configured is not None:
                                    return True

                                if self.is_bandwidth_configured is not None:
                                    return True

                                if self.is_bfd_reverse_pat_configured is not None:
                                    return True

                                if self.is_cost_limit_configured is not None:
                                    return True

                                if self.is_exclude_list_name_configured is not None:
                                    return True

                                if self.is_path_invalidation_action_configured is not None:
                                    return True

                                if self.is_path_invalidation_timeout_configured is not None:
                                    return True

                                if self.is_pce_configured is not None:
                                    return True

                                if self.is_pce_disj_group_id_configured is not None:
                                    return True

                                if self.is_pce_disj_source_configured is not None:
                                    return True

                                if self.is_pce_disj_type_configured is not None:
                                    return True

                                if self.is_pceb_dj_source_configured is not None:
                                    return True

                                if self.is_pcebd_group_id_configured is not None:
                                    return True

                                if self.path_invalidation_action is not None:
                                    return True

                                if self.path_invalidation_timeout is not None:
                                    return True

                                if self.pcebd_group_id is not None:
                                    return True

                                if self.pcebd_source_address is not None:
                                    return True

                                if self.pcedp_group_id is not None:
                                    return True

                                if self.pcedp_source_address is not None:
                                    return True

                                if self.pcedp_type is not None:
                                    return True

                                if self.tunnel_id is not None:
                                    for child in self.tunnel_id:
                                        if child is not None:
                                            return True

                                if self.version_info is not None:
                                    for child_ref in self.version_info:
                                        if child_ref._has_data():
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                        class AttributeSetAutobackup(object):
                            """
                            MPLS TE Auto\-backup Attribute Set
                            
                            .. attribute:: affinity
                            
                            	Affinity
                            	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                            
                            .. attribute:: hold_priority
                            
                            	Hold priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: is_affinity_configured
                            
                            	Is affinity configured
                            	**type**\:  bool
                            
                            .. attribute:: is_policyclass_configured
                            
                            	Is policy class configured
                            	**type**\:  bool
                            
                            .. attribute:: is_priority_configured
                            
                            	Is priority configured
                            	**type**\:  bool
                            
                            .. attribute:: is_signalled_name_configured
                            
                            	Is signalled name configured
                            	**type**\:  bool
                            
                            .. attribute:: logging
                            
                            	Logging attributes
                            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                            
                            .. attribute:: policy_class
                            
                            	deprecated
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: policy_class_entry
                            
                            	PBTS policy classes
                            	**type**\:  list of int
                            
                            	**range:** 0..255
                            
                            .. attribute:: protected_interface
                            
                            	Array of Protected Interface Names
                            	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                            
                            .. attribute:: record_route
                            
                            	Record route
                            	**type**\:  bool
                            
                            .. attribute:: setup_priority
                            
                            	Setup priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: signalled_name
                            
                            	Signalled name
                            	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                self.affinity.parent = self
                                self.hold_priority = None
                                self.is_affinity_configured = None
                                self.is_policyclass_configured = None
                                self.is_priority_configured = None
                                self.is_signalled_name_configured = None
                                self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                self.logging.parent = self
                                self.policy_class = None
                                self.policy_class_entry = YLeafList()
                                self.policy_class_entry.parent = self
                                self.policy_class_entry.name = 'policy_class_entry'
                                self.protected_interface = YList()
                                self.protected_interface.parent = self
                                self.protected_interface.name = 'protected_interface'
                                self.record_route = None
                                self.setup_priority = None
                                self.signalled_name = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                self.signalled_name.parent = self
                                self.tunnel_id = YLeafList()
                                self.tunnel_id.parent = self
                                self.tunnel_id.name = 'tunnel_id'


                            class SignalledName(object):
                                """
                                Signalled name
                                
                                .. attribute:: is_mp_addresses
                                
                                	MP address appended
                                	**type**\:  bool
                                
                                .. attribute:: name
                                
                                	Signalled name
                                	**type**\:  str
                                
                                .. attribute:: protected_interface_type
                                
                                	Protected interface address or name
                                	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                
                                .. attribute:: source_type
                                
                                	Source address or name
                                	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.is_mp_addresses = None
                                    self.name = None
                                    self.protected_interface_type = None
                                    self.source_type = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.is_mp_addresses is not None:
                                        return True

                                    if self.name is not None:
                                        return True

                                    if self.protected_interface_type is not None:
                                        return True

                                    if self.source_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                            class Affinity(object):
                                """
                                Affinity
                                
                                .. attribute:: affinity_bits
                                
                                	The affinity bits (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: affinity_mask
                                
                                	The affinity mask (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: named_affinity
                                
                                	Array of name based constratints currently applied to the tunnel
                                	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.affinity_bits = None
                                    self.affinity_mask = None
                                    self.named_affinity = YList()
                                    self.named_affinity.parent = self
                                    self.named_affinity.name = 'named_affinity'


                                class NamedAffinity(object):
                                    """
                                    Array of name based constratints currently
                                    applied to the tunnel
                                    
                                    .. attribute:: constraint_extended_value
                                    
                                    	Constraint value
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: constraint_type
                                    
                                    	Constraint type
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: constraint_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: extended_forward_ref_value
                                    
                                    	Reference bits for undefined affinity names
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: forward_ref_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.constraint_extended_value = YLeafList()
                                        self.constraint_extended_value.parent = self
                                        self.constraint_extended_value.name = 'constraint_extended_value'
                                        self.constraint_type = None
                                        self.constraint_value = None
                                        self.extended_forward_ref_value = YLeafList()
                                        self.extended_forward_ref_value.parent = self
                                        self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                        self.forward_ref_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.constraint_extended_value is not None:
                                            for child in self.constraint_extended_value:
                                                if child is not None:
                                                    return True

                                        if self.constraint_type is not None:
                                            return True

                                        if self.constraint_value is not None:
                                            return True

                                        if self.extended_forward_ref_value is not None:
                                            for child in self.extended_forward_ref_value:
                                                if child is not None:
                                                    return True

                                        if self.forward_ref_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.affinity_bits is not None:
                                        return True

                                    if self.affinity_mask is not None:
                                        return True

                                    if self.named_affinity is not None:
                                        for child_ref in self.named_affinity:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                            class Logging(object):
                                """
                                Logging attributes
                                
                                .. attribute:: all_logging_enabled
                                
                                	All logging option\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_bandwidth_change
                                
                                	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_insufficient_bw
                                
                                	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_pcalc_failure_logging_enabled
                                
                                	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_opt
                                
                                	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_route
                                
                                	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_state
                                
                                	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: s2l_state
                                
                                	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.all_logging_enabled = None
                                    self.lsp_bandwidth_change = None
                                    self.lsp_insufficient_bw = None
                                    self.lsp_pcalc_failure_logging_enabled = None
                                    self.lsp_re_opt = None
                                    self.lsp_re_route = None
                                    self.lsp_state = None
                                    self.s2l_state = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.all_logging_enabled is not None:
                                        return True

                                    if self.lsp_bandwidth_change is not None:
                                        return True

                                    if self.lsp_insufficient_bw is not None:
                                        return True

                                    if self.lsp_pcalc_failure_logging_enabled is not None:
                                        return True

                                    if self.lsp_re_opt is not None:
                                        return True

                                    if self.lsp_re_route is not None:
                                        return True

                                    if self.lsp_state is not None:
                                        return True

                                    if self.s2l_state is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                            class ProtectedInterface(object):
                                """
                                Array of Protected Interface Names
                                
                                .. attribute:: protected_interface
                                
                                	Protected Interface Name
                                	**type**\:  str
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.protected_interface = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.protected_interface is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.affinity is not None and self.affinity._has_data():
                                    return True

                                if self.hold_priority is not None:
                                    return True

                                if self.is_affinity_configured is not None:
                                    return True

                                if self.is_policyclass_configured is not None:
                                    return True

                                if self.is_priority_configured is not None:
                                    return True

                                if self.is_signalled_name_configured is not None:
                                    return True

                                if self.logging is not None and self.logging._has_data():
                                    return True

                                if self.policy_class is not None:
                                    return True

                                if self.policy_class_entry is not None:
                                    for child in self.policy_class_entry:
                                        if child is not None:
                                            return True

                                if self.protected_interface is not None:
                                    for child_ref in self.protected_interface:
                                        if child_ref._has_data():
                                            return True

                                if self.record_route is not None:
                                    return True

                                if self.setup_priority is not None:
                                    return True

                                if self.signalled_name is not None and self.signalled_name._has_data():
                                    return True

                                if self.tunnel_id is not None:
                                    for child in self.tunnel_id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                        class AttributeSetAutomesh(object):
                            """
                            MPLS TE Auto\-mesh Attribute Set
                            
                            .. attribute:: affinity
                            
                            	Affinity
                            	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                            
                            .. attribute:: auto_bandwidth_collect
                            
                            	Auto bandwidth collect only
                            	**type**\:  bool
                            
                            .. attribute:: auto_route_announce
                            
                            	Announce auto route to IGP
                            	**type**\:  bool
                            
                            .. attribute:: bandwidth
                            
                            	IM bandwidth
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: configured_bandwidth
                            
                            	Bandwidth value in kbps
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: dste_class_type
                            
                            	DSTE Class
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: fast_reroute
                            
                            	Fast reroute
                            	**type**\:  bool
                            
                            .. attribute:: forward_class
                            
                            	Forward class
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: frr_bandwidth_protection
                            
                            	FRR bandwidth protection
                            	**type**\:  bool
                            
                            .. attribute:: frr_node_protection
                            
                            	FRR Node protection
                            	**type**\:  bool
                            
                            .. attribute:: hold_priority
                            
                            	Hold priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: is_affinity_configured
                            
                            	Is affinity configured
                            	**type**\:  bool
                            
                            .. attribute:: is_bandwidth_configured
                            
                            	Is bandwidth configured
                            	**type**\:  bool
                            
                            .. attribute:: is_interface_bw_configured
                            
                            	Is Interface BW configured
                            	**type**\:  bool
                            
                            .. attribute:: is_policyclass_configured
                            
                            	Is policy class configured
                            	**type**\:  bool
                            
                            .. attribute:: is_priority_configured
                            
                            	Is priority configured
                            	**type**\:  bool
                            
                            .. attribute:: load_share
                            
                            	Load Share
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: logging
                            
                            	Logging attributes
                            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                            
                            .. attribute:: mesh_group_id
                            
                            	Meshgroup ID
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: policy_class
                            
                            	deprecated
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: policy_class_entry
                            
                            	PBTS policy classes
                            	**type**\:  list of int
                            
                            	**range:** 0..255
                            
                            .. attribute:: record_route
                            
                            	Record route
                            	**type**\:  bool
                            
                            .. attribute:: setup_priority
                            
                            	Setup priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: soft_preemption_configured
                            
                            	Soft preemption is configured
                            	**type**\:  bool
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                self.affinity.parent = self
                                self.auto_bandwidth_collect = None
                                self.auto_route_announce = None
                                self.bandwidth = None
                                self.configured_bandwidth = None
                                self.dste_class_type = None
                                self.fast_reroute = None
                                self.forward_class = None
                                self.frr_bandwidth_protection = None
                                self.frr_node_protection = None
                                self.hold_priority = None
                                self.is_affinity_configured = None
                                self.is_bandwidth_configured = None
                                self.is_interface_bw_configured = None
                                self.is_policyclass_configured = None
                                self.is_priority_configured = None
                                self.load_share = None
                                self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                self.logging.parent = self
                                self.mesh_group_id = YLeafList()
                                self.mesh_group_id.parent = self
                                self.mesh_group_id.name = 'mesh_group_id'
                                self.policy_class = None
                                self.policy_class_entry = YLeafList()
                                self.policy_class_entry.parent = self
                                self.policy_class_entry.name = 'policy_class_entry'
                                self.record_route = None
                                self.setup_priority = None
                                self.soft_preemption_configured = None
                                self.tunnel_id = YLeafList()
                                self.tunnel_id.parent = self
                                self.tunnel_id.name = 'tunnel_id'


                            class Affinity(object):
                                """
                                Affinity
                                
                                .. attribute:: affinity_bits
                                
                                	The affinity bits (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: affinity_mask
                                
                                	The affinity mask (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: named_affinity
                                
                                	Array of name based constratints currently applied to the tunnel
                                	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.affinity_bits = None
                                    self.affinity_mask = None
                                    self.named_affinity = YList()
                                    self.named_affinity.parent = self
                                    self.named_affinity.name = 'named_affinity'


                                class NamedAffinity(object):
                                    """
                                    Array of name based constratints currently
                                    applied to the tunnel
                                    
                                    .. attribute:: constraint_extended_value
                                    
                                    	Constraint value
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: constraint_type
                                    
                                    	Constraint type
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: constraint_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: extended_forward_ref_value
                                    
                                    	Reference bits for undefined affinity names
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: forward_ref_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.constraint_extended_value = YLeafList()
                                        self.constraint_extended_value.parent = self
                                        self.constraint_extended_value.name = 'constraint_extended_value'
                                        self.constraint_type = None
                                        self.constraint_value = None
                                        self.extended_forward_ref_value = YLeafList()
                                        self.extended_forward_ref_value.parent = self
                                        self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                        self.forward_ref_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.constraint_extended_value is not None:
                                            for child in self.constraint_extended_value:
                                                if child is not None:
                                                    return True

                                        if self.constraint_type is not None:
                                            return True

                                        if self.constraint_value is not None:
                                            return True

                                        if self.extended_forward_ref_value is not None:
                                            for child in self.extended_forward_ref_value:
                                                if child is not None:
                                                    return True

                                        if self.forward_ref_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.affinity_bits is not None:
                                        return True

                                    if self.affinity_mask is not None:
                                        return True

                                    if self.named_affinity is not None:
                                        for child_ref in self.named_affinity:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                            class Logging(object):
                                """
                                Logging attributes
                                
                                .. attribute:: all_logging_enabled
                                
                                	All logging option\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_bandwidth_change
                                
                                	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_insufficient_bw
                                
                                	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_pcalc_failure_logging_enabled
                                
                                	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_opt
                                
                                	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_route
                                
                                	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_state
                                
                                	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: s2l_state
                                
                                	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.all_logging_enabled = None
                                    self.lsp_bandwidth_change = None
                                    self.lsp_insufficient_bw = None
                                    self.lsp_pcalc_failure_logging_enabled = None
                                    self.lsp_re_opt = None
                                    self.lsp_re_route = None
                                    self.lsp_state = None
                                    self.s2l_state = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.all_logging_enabled is not None:
                                        return True

                                    if self.lsp_bandwidth_change is not None:
                                        return True

                                    if self.lsp_insufficient_bw is not None:
                                        return True

                                    if self.lsp_pcalc_failure_logging_enabled is not None:
                                        return True

                                    if self.lsp_re_opt is not None:
                                        return True

                                    if self.lsp_re_route is not None:
                                        return True

                                    if self.lsp_state is not None:
                                        return True

                                    if self.s2l_state is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.affinity is not None and self.affinity._has_data():
                                    return True

                                if self.auto_bandwidth_collect is not None:
                                    return True

                                if self.auto_route_announce is not None:
                                    return True

                                if self.bandwidth is not None:
                                    return True

                                if self.configured_bandwidth is not None:
                                    return True

                                if self.dste_class_type is not None:
                                    return True

                                if self.fast_reroute is not None:
                                    return True

                                if self.forward_class is not None:
                                    return True

                                if self.frr_bandwidth_protection is not None:
                                    return True

                                if self.frr_node_protection is not None:
                                    return True

                                if self.hold_priority is not None:
                                    return True

                                if self.is_affinity_configured is not None:
                                    return True

                                if self.is_bandwidth_configured is not None:
                                    return True

                                if self.is_interface_bw_configured is not None:
                                    return True

                                if self.is_policyclass_configured is not None:
                                    return True

                                if self.is_priority_configured is not None:
                                    return True

                                if self.load_share is not None:
                                    return True

                                if self.logging is not None and self.logging._has_data():
                                    return True

                                if self.mesh_group_id is not None:
                                    for child in self.mesh_group_id:
                                        if child is not None:
                                            return True

                                if self.policy_class is not None:
                                    return True

                                if self.policy_class_entry is not None:
                                    for child in self.policy_class_entry:
                                        if child is not None:
                                            return True

                                if self.record_route is not None:
                                    return True

                                if self.setup_priority is not None:
                                    return True

                                if self.soft_preemption_configured is not None:
                                    return True

                                if self.tunnel_id is not None:
                                    for child in self.tunnel_id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                        class AttributeSetXro(object):
                            """
                            Attribute Set XRO
                            
                            .. attribute:: xro
                            
                            	The XRO specified by this attribute\-set
                            	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                self.xro.parent = self


                            class Xro(object):
                                """
                                The XRO specified by this attribute\-set
                                
                                .. attribute:: mutual_diversity_flag
                                
                                	Mutual Diversity Flag
                                	**type**\:  bool
                                
                                .. attribute:: xro_subobject
                                
                                	List of XRO sub\-objects
                                	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.mutual_diversity_flag = None
                                    self.xro_subobject = YList()
                                    self.xro_subobject.parent = self
                                    self.xro_subobject.name = 'xro_subobject'


                                class XroSubobject(object):
                                    """
                                    List of XRO sub\-objects
                                    
                                    .. attribute:: as_subobject
                                    
                                    	AS sub\-object
                                    	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                    
                                    .. attribute:: ipv4_subobject
                                    
                                    	IPv4 sub\-object
                                    	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                    
                                    .. attribute:: ipv6_subobject
                                    
                                    	IPv6 sub\-object
                                    	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                    
                                    .. attribute:: lsp_subobject
                                    
                                    	P2P LSP sub\-object
                                    	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                    
                                    .. attribute:: srlg_subobject
                                    
                                    	SRLG sub\-object
                                    	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                    
                                    .. attribute:: type
                                    
                                    	Type
                                    	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                    
                                    .. attribute:: unnumbered_subobject
                                    
                                    	Unnumbered sub\-object
                                    	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                        self.as_subobject.parent = self
                                        self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                        self.ipv4_subobject.parent = self
                                        self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                        self.ipv6_subobject.parent = self
                                        self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                        self.lsp_subobject.parent = self
                                        self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                        self.srlg_subobject.parent = self
                                        self.type = None
                                        self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                        self.unnumbered_subobject.parent = self


                                    class Ipv4Subobject(object):
                                        """
                                        IPv4 sub\-object
                                        
                                        .. attribute:: address
                                        
                                        	IPv4 address
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: attribute
                                        
                                        	Attribute
                                        	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                        
                                        .. attribute:: exclusion_type
                                        
                                        	Exclusion Type
                                        	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                        
                                        .. attribute:: prefix_len
                                        
                                        	Prefix length
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.address = None
                                            self.attribute = None
                                            self.exclusion_type = None
                                            self.prefix_len = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.address is not None:
                                                return True

                                            if self.attribute is not None:
                                                return True

                                            if self.exclusion_type is not None:
                                                return True

                                            if self.prefix_len is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                    class Ipv6Subobject(object):
                                        """
                                        IPv6 sub\-object
                                        
                                        .. attribute:: address
                                        
                                        	IPv6 address
                                        	**type**\:  str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: attribute
                                        
                                        	Attribute
                                        	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                        
                                        .. attribute:: exclusion_type
                                        
                                        	Exclusion Type
                                        	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                        
                                        .. attribute:: prefix_len
                                        
                                        	Prefix length
                                        	**type**\:  int
                                        
                                        	**range:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.address = None
                                            self.attribute = None
                                            self.exclusion_type = None
                                            self.prefix_len = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.address is not None:
                                                return True

                                            if self.attribute is not None:
                                                return True

                                            if self.exclusion_type is not None:
                                                return True

                                            if self.prefix_len is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                    class UnnumberedSubobject(object):
                                        """
                                        Unnumbered sub\-object
                                        
                                        .. attribute:: attribute
                                        
                                        	Attribute
                                        	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                        
                                        .. attribute:: exclusion_type
                                        
                                        	Exclusion Type
                                        	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                        
                                        .. attribute:: interface_id
                                        
                                        	Interface ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: te_router_id
                                        
                                        	TE router\-id
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute = None
                                            self.exclusion_type = None
                                            self.interface_id = None
                                            self.te_router_id = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute is not None:
                                                return True

                                            if self.exclusion_type is not None:
                                                return True

                                            if self.interface_id is not None:
                                                return True

                                            if self.te_router_id is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                    class AsSubobject(object):
                                        """
                                        AS sub\-object
                                        
                                        .. attribute:: as_number
                                        
                                        	Autonomous System number
                                        	**type**\:  int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.as_number = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.as_number is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                    class SrlgSubobject(object):
                                        """
                                        SRLG sub\-object
                                        
                                        .. attribute:: exclusion_type
                                        
                                        	Exclusion Type
                                        	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                        
                                        .. attribute:: srlg_id
                                        
                                        	SRLG ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.exclusion_type = None
                                            self.srlg_id = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.exclusion_type is not None:
                                                return True

                                            if self.srlg_id is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                    class LspSubobject(object):
                                        """
                                        P2P LSP sub\-object
                                        
                                        .. attribute:: destination_node_exception
                                        
                                        	Destination\-node exception flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: exclusion_type
                                        
                                        	Exclusion Type
                                        	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                        
                                        .. attribute:: fec
                                        
                                        	LSP FEC
                                        	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                        
                                        .. attribute:: ignore_lsp_id
                                        
                                        	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                        	**type**\:  bool
                                        
                                        .. attribute:: penultimate_node_exception
                                        
                                        	Penultimate\-node exception flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: processing_node_exception
                                        
                                        	Processing\-node exception flag
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.destination_node_exception = None
                                            self.exclusion_type = None
                                            self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                            self.fec.parent = self
                                            self.ignore_lsp_id = None
                                            self.penultimate_node_exception = None
                                            self.processing_node_exception = None


                                        class Fec(object):
                                            """
                                            LSP FEC
                                            
                                            .. attribute:: fec_destination_info
                                            
                                            	Destination or P2MP ID
                                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                            
                                            .. attribute:: fec_extended_tunnel_id
                                            
                                            	Extended tunnel ID
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: fec_lsp_id
                                            
                                            	LSP ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: fec_source
                                            
                                            	Tunnel source address
                                            	**type**\:  str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: fec_tunnel_id
                                            
                                            	Tunnel ID
                                            	**type**\:  int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: fec_vrf
                                            
                                            	VRF; currently only for GMPLS tunnels
                                            	**type**\:  str
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                self.fec_destination_info.parent = self
                                                self.fec_extended_tunnel_id = None
                                                self.fec_lsp_id = None
                                                self.fec_source = None
                                                self.fec_tunnel_id = None
                                                self.fec_vrf = None


                                            class FecDestinationInfo(object):
                                                """
                                                Destination or P2MP ID
                                                
                                                .. attribute:: fec_ctype
                                                
                                                	FEC CType
                                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                
                                                .. attribute:: fec_destination_p2mp_id
                                                
                                                	P2MP ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: p2p_lsp_destination
                                                
                                                	P2P LSP destination
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.fec_ctype = None
                                                    self.fec_destination_p2mp_id = None
                                                    self.p2p_lsp_destination = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.fec_ctype is not None:
                                                        return True

                                                    if self.fec_destination_p2mp_id is not None:
                                                        return True

                                                    if self.p2p_lsp_destination is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                    return True

                                                if self.fec_extended_tunnel_id is not None:
                                                    return True

                                                if self.fec_lsp_id is not None:
                                                    return True

                                                if self.fec_source is not None:
                                                    return True

                                                if self.fec_tunnel_id is not None:
                                                    return True

                                                if self.fec_vrf is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.destination_node_exception is not None:
                                                return True

                                            if self.exclusion_type is not None:
                                                return True

                                            if self.fec is not None and self.fec._has_data():
                                                return True

                                            if self.ignore_lsp_id is not None:
                                                return True

                                            if self.penultimate_node_exception is not None:
                                                return True

                                            if self.processing_node_exception is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.as_subobject is not None and self.as_subobject._has_data():
                                            return True

                                        if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                            return True

                                        if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                            return True

                                        if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                            return True

                                        if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                            return True

                                        if self.type is not None:
                                            return True

                                        if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.mutual_diversity_flag is not None:
                                        return True

                                    if self.xro_subobject is not None:
                                        for child_ref in self.xro_subobject:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.xro is not None and self.xro._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                        class AttributeSetP2Mpte(object):
                            """
                            MPLS TE P2MP\-TE Attribute Set
                            
                            .. attribute:: affinity
                            
                            	Affinity
                            	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                            
                            .. attribute:: configured_bandwidth
                            
                            	Bandwidth value in kbps
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: kbit/s
                            
                            .. attribute:: dste_class_type
                            
                            	DSTE Class
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: fast_reroute
                            
                            	Fast reroute
                            	**type**\:  bool
                            
                            .. attribute:: frr_bandwidth_protection
                            
                            	FRR bandwidth protection
                            	**type**\:  bool
                            
                            .. attribute:: hold_priority
                            
                            	Hold priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: is_affinity_configured
                            
                            	Is affinity configured
                            	**type**\:  bool
                            
                            .. attribute:: is_bandwidth_configured
                            
                            	Is bandwidth configured
                            	**type**\:  bool
                            
                            .. attribute:: is_priority_configured
                            
                            	Is priority configured
                            	**type**\:  bool
                            
                            .. attribute:: setup_priority
                            
                            	Setup priority
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                self.affinity.parent = self
                                self.configured_bandwidth = None
                                self.dste_class_type = None
                                self.fast_reroute = None
                                self.frr_bandwidth_protection = None
                                self.hold_priority = None
                                self.is_affinity_configured = None
                                self.is_bandwidth_configured = None
                                self.is_priority_configured = None
                                self.setup_priority = None
                                self.tunnel_id = YLeafList()
                                self.tunnel_id.parent = self
                                self.tunnel_id.name = 'tunnel_id'


                            class Affinity(object):
                                """
                                Affinity
                                
                                .. attribute:: affinity_bits
                                
                                	The affinity bits (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: affinity_mask
                                
                                	The affinity mask (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: named_affinity
                                
                                	Array of name based constratints currently applied to the tunnel
                                	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.affinity_bits = None
                                    self.affinity_mask = None
                                    self.named_affinity = YList()
                                    self.named_affinity.parent = self
                                    self.named_affinity.name = 'named_affinity'


                                class NamedAffinity(object):
                                    """
                                    Array of name based constratints currently
                                    applied to the tunnel
                                    
                                    .. attribute:: constraint_extended_value
                                    
                                    	Constraint value
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: constraint_type
                                    
                                    	Constraint type
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: constraint_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: extended_forward_ref_value
                                    
                                    	Reference bits for undefined affinity names
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: forward_ref_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.constraint_extended_value = YLeafList()
                                        self.constraint_extended_value.parent = self
                                        self.constraint_extended_value.name = 'constraint_extended_value'
                                        self.constraint_type = None
                                        self.constraint_value = None
                                        self.extended_forward_ref_value = YLeafList()
                                        self.extended_forward_ref_value.parent = self
                                        self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                        self.forward_ref_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.constraint_extended_value is not None:
                                            for child in self.constraint_extended_value:
                                                if child is not None:
                                                    return True

                                        if self.constraint_type is not None:
                                            return True

                                        if self.constraint_value is not None:
                                            return True

                                        if self.extended_forward_ref_value is not None:
                                            for child in self.extended_forward_ref_value:
                                                if child is not None:
                                                    return True

                                        if self.forward_ref_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.affinity_bits is not None:
                                        return True

                                    if self.affinity_mask is not None:
                                        return True

                                    if self.named_affinity is not None:
                                        for child_ref in self.named_affinity:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.affinity is not None and self.affinity._has_data():
                                    return True

                                if self.configured_bandwidth is not None:
                                    return True

                                if self.dste_class_type is not None:
                                    return True

                                if self.fast_reroute is not None:
                                    return True

                                if self.frr_bandwidth_protection is not None:
                                    return True

                                if self.hold_priority is not None:
                                    return True

                                if self.is_affinity_configured is not None:
                                    return True

                                if self.is_bandwidth_configured is not None:
                                    return True

                                if self.is_priority_configured is not None:
                                    return True

                                if self.setup_priority is not None:
                                    return True

                                if self.tunnel_id is not None:
                                    for child in self.tunnel_id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                        class AttributeSetApsPp(object):
                            """
                            Attribute Set OTN APS Path Protection
                            
                            .. attribute:: hold_off_time
                            
                            	Hold\-off time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: path_prot_profile_type
                            
                            	Path Protection Profile Type
                            	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                            
                            .. attribute:: protection_mode
                            
                            	Protection Restoration Mode
                            	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                            
                            .. attribute:: protection_type
                            
                            	Protection Type
                            	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                            
                            .. attribute:: restoration_style
                            
                            	Restoration Style
                            	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                            
                            .. attribute:: revert_schedule
                            
                            	Revert Schedule
                            	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                            
                            .. attribute:: snc_mode
                            
                            	Sub\-network Connection Mode
                            	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                            
                            .. attribute:: tcm_id
                            
                            	Sub\-network Connection Monitoring Mode
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: wait_to_restore_time
                            
                            	Wait to restore time
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.hold_off_time = None
                                self.path_prot_profile_type = None
                                self.protection_mode = None
                                self.protection_type = None
                                self.restoration_style = None
                                self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                self.revert_schedule.parent = self
                                self.snc_mode = None
                                self.tcm_id = None
                                self.wait_to_restore_time = None


                            class RevertSchedule(object):
                                """
                                Revert Schedule
                                
                                .. attribute:: duration
                                
                                	Duration for scheduled reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: max_tries
                                
                                	Max tries for scheduled reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: schedule_date
                                
                                	Schedule time for reversion
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: schedule_frequency
                                
                                	Schedule frequency for reversion
                                	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                
                                .. attribute:: schedulename
                                
                                	Schedule name identifier
                                	**type**\:  str
                                
                                	**length:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.duration = None
                                    self.max_tries = None
                                    self.schedule_date = None
                                    self.schedule_frequency = None
                                    self.schedulename = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.duration is not None:
                                        return True

                                    if self.max_tries is not None:
                                        return True

                                    if self.schedule_date is not None:
                                        return True

                                    if self.schedule_frequency is not None:
                                        return True

                                    if self.schedulename is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.hold_off_time is not None:
                                    return True

                                if self.path_prot_profile_type is not None:
                                    return True

                                if self.protection_mode is not None:
                                    return True

                                if self.protection_type is not None:
                                    return True

                                if self.restoration_style is not None:
                                    return True

                                if self.revert_schedule is not None and self.revert_schedule._has_data():
                                    return True

                                if self.snc_mode is not None:
                                    return True

                                if self.tcm_id is not None:
                                    return True

                                if self.wait_to_restore_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                        class AttributeSetP2PTe(object):
                            """
                            MPLS TE P2P\-TE Attribute Set
                            
                            .. attribute:: affinity
                            
                            	Affinity
                            	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                            
                            .. attribute:: is_affinity_configured
                            
                            	Is affinity configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_invalidation_action_configured
                            
                            	Is Path Invalidation action configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_invalidation_timeout_configured
                            
                            	Is Path Invalidation timeout configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_select_configured
                            
                            	Is any of the path selection parameters configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_selection_metric_configured
                            
                            	Is path selection metric configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                            
                            	Is path selection segment routing configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_selection_segment_routing_margin_configured
                            
                            	Is path selection margin configured
                            	**type**\:  bool
                            
                            .. attribute:: is_path_selection_segment_routing_margin_relative
                            
                            	Path selection margin is\_relative
                            	**type**\:  bool
                            
                            .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                            
                            	Is path selection segment limit configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_configured
                            
                            	Is PCE Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_group_id_configured
                            
                            	Is PCE Disjoint Path Group ID Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_source_configured
                            
                            	Is PCE Disjoint Path Source Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pce_disj_type_configured
                            
                            	Is PCE Disjoint Path Type Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pceb_dj_source_configured
                            
                            	Is PCE Bidirectional Source Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_pcebd_group_id_configured
                            
                            	Is PCE Bidirectional Group ID Configured
                            	**type**\:  bool
                            
                            .. attribute:: is_prepend_list_configured
                            
                            	Is SR prepend list configured
                            	**type**\:  bool
                            
                            .. attribute:: logging
                            
                            	Logging attributes
                            	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                            
                            .. attribute:: path_invalidation_timeout
                            
                            	Path invalidation timeout on the tunnel path
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: path_selection_invalidation_action
                            
                            	Path invalidation action
                            	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                            
                            .. attribute:: path_selection_metric
                            
                            	Path selection metric type
                            	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                            
                            .. attribute:: path_selection_segment_routing_adjacency_protection
                            
                            	Path selection segment\-routing type
                            	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                            
                            .. attribute:: path_selection_segment_routing_margin
                            
                            	Path selection margin
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: path_selection_segment_routing_segment_limit
                            
                            	Is path selection segment limit configured
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcebd_group_id
                            
                            	PCE Bidirectional Group ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcebd_source_address
                            
                            	PCE Bidirectional Source Address
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_group_id
                            
                            	PCE Disjoint Path Group ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_source_address
                            
                            	PCE Disjoint Path Source Address
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: pcedp_type
                            
                            	PCE Disjoint Path Type
                            	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                            
                            .. attribute:: prepend_list
                            
                            	SR prepend list
                            	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  list of int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                self.affinity.parent = self
                                self.is_affinity_configured = None
                                self.is_path_invalidation_action_configured = None
                                self.is_path_invalidation_timeout_configured = None
                                self.is_path_select_configured = None
                                self.is_path_selection_metric_configured = None
                                self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                self.is_path_selection_segment_routing_margin_configured = None
                                self.is_path_selection_segment_routing_margin_relative = None
                                self.is_path_selection_segment_routing_segment_limit_configured = None
                                self.is_pce_configured = None
                                self.is_pce_disj_group_id_configured = None
                                self.is_pce_disj_source_configured = None
                                self.is_pce_disj_type_configured = None
                                self.is_pceb_dj_source_configured = None
                                self.is_pcebd_group_id_configured = None
                                self.is_prepend_list_configured = None
                                self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                self.logging.parent = self
                                self.path_invalidation_timeout = None
                                self.path_selection_invalidation_action = None
                                self.path_selection_metric = None
                                self.path_selection_segment_routing_adjacency_protection = None
                                self.path_selection_segment_routing_margin = None
                                self.path_selection_segment_routing_segment_limit = None
                                self.pcebd_group_id = None
                                self.pcebd_source_address = None
                                self.pcedp_group_id = None
                                self.pcedp_source_address = None
                                self.pcedp_type = None
                                self.prepend_list = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                self.prepend_list.parent = self
                                self.tunnel_id = YLeafList()
                                self.tunnel_id.parent = self
                                self.tunnel_id.name = 'tunnel_id'


                            class Affinity(object):
                                """
                                Affinity
                                
                                .. attribute:: affinity_bits
                                
                                	The affinity bits (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: affinity_mask
                                
                                	The affinity mask (colors)
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: named_affinity
                                
                                	Array of name based constratints currently applied to the tunnel
                                	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.affinity_bits = None
                                    self.affinity_mask = None
                                    self.named_affinity = YList()
                                    self.named_affinity.parent = self
                                    self.named_affinity.name = 'named_affinity'


                                class NamedAffinity(object):
                                    """
                                    Array of name based constratints currently
                                    applied to the tunnel
                                    
                                    .. attribute:: constraint_extended_value
                                    
                                    	Constraint value
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: constraint_type
                                    
                                    	Constraint type
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: constraint_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: extended_forward_ref_value
                                    
                                    	Reference bits for undefined affinity names
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: forward_ref_value
                                    
                                    	Deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.constraint_extended_value = YLeafList()
                                        self.constraint_extended_value.parent = self
                                        self.constraint_extended_value.name = 'constraint_extended_value'
                                        self.constraint_type = None
                                        self.constraint_value = None
                                        self.extended_forward_ref_value = YLeafList()
                                        self.extended_forward_ref_value.parent = self
                                        self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                        self.forward_ref_value = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.constraint_extended_value is not None:
                                            for child in self.constraint_extended_value:
                                                if child is not None:
                                                    return True

                                        if self.constraint_type is not None:
                                            return True

                                        if self.constraint_value is not None:
                                            return True

                                        if self.extended_forward_ref_value is not None:
                                            for child in self.extended_forward_ref_value:
                                                if child is not None:
                                                    return True

                                        if self.forward_ref_value is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.affinity_bits is not None:
                                        return True

                                    if self.affinity_mask is not None:
                                        return True

                                    if self.named_affinity is not None:
                                        for child_ref in self.named_affinity:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                            class Logging(object):
                                """
                                Logging attributes
                                
                                .. attribute:: all_logging_enabled
                                
                                	All logging option\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_bandwidth_change
                                
                                	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_insufficient_bw
                                
                                	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_pcalc_failure_logging_enabled
                                
                                	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_opt
                                
                                	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_re_route
                                
                                	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: lsp_state
                                
                                	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                .. attribute:: s2l_state
                                
                                	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.all_logging_enabled = None
                                    self.lsp_bandwidth_change = None
                                    self.lsp_insufficient_bw = None
                                    self.lsp_pcalc_failure_logging_enabled = None
                                    self.lsp_re_opt = None
                                    self.lsp_re_route = None
                                    self.lsp_state = None
                                    self.s2l_state = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.all_logging_enabled is not None:
                                        return True

                                    if self.lsp_bandwidth_change is not None:
                                        return True

                                    if self.lsp_insufficient_bw is not None:
                                        return True

                                    if self.lsp_pcalc_failure_logging_enabled is not None:
                                        return True

                                    if self.lsp_re_opt is not None:
                                        return True

                                    if self.lsp_re_route is not None:
                                        return True

                                    if self.lsp_state is not None:
                                        return True

                                    if self.s2l_state is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                            class PrependList(object):
                                """
                                SR prepend list
                                
                                .. attribute:: prepend_entry
                                
                                	List of prepend entries
                                	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.prepend_entry = YList()
                                    self.prepend_entry.parent = self
                                    self.prepend_entry.name = 'prepend_entry'


                                class PrependEntry(object):
                                    """
                                    List of prepend entries
                                    
                                    .. attribute:: index
                                    
                                    	Prepend index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: next_label
                                    
                                    	Prepend next label
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: type
                                    
                                    	Prepend Type
                                    	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.index = None
                                        self.next_label = None
                                        self.type = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.index is not None:
                                            return True

                                        if self.next_label is not None:
                                            return True

                                        if self.type is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.prepend_entry is not None:
                                        for child_ref in self.prepend_entry:
                                            if child_ref._has_data():
                                                return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.affinity is not None and self.affinity._has_data():
                                    return True

                                if self.is_affinity_configured is not None:
                                    return True

                                if self.is_path_invalidation_action_configured is not None:
                                    return True

                                if self.is_path_invalidation_timeout_configured is not None:
                                    return True

                                if self.is_path_select_configured is not None:
                                    return True

                                if self.is_path_selection_metric_configured is not None:
                                    return True

                                if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                    return True

                                if self.is_path_selection_segment_routing_margin_configured is not None:
                                    return True

                                if self.is_path_selection_segment_routing_margin_relative is not None:
                                    return True

                                if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                    return True

                                if self.is_pce_configured is not None:
                                    return True

                                if self.is_pce_disj_group_id_configured is not None:
                                    return True

                                if self.is_pce_disj_source_configured is not None:
                                    return True

                                if self.is_pce_disj_type_configured is not None:
                                    return True

                                if self.is_pceb_dj_source_configured is not None:
                                    return True

                                if self.is_pcebd_group_id_configured is not None:
                                    return True

                                if self.is_prepend_list_configured is not None:
                                    return True

                                if self.logging is not None and self.logging._has_data():
                                    return True

                                if self.path_invalidation_timeout is not None:
                                    return True

                                if self.path_selection_invalidation_action is not None:
                                    return True

                                if self.path_selection_metric is not None:
                                    return True

                                if self.path_selection_segment_routing_adjacency_protection is not None:
                                    return True

                                if self.path_selection_segment_routing_margin is not None:
                                    return True

                                if self.path_selection_segment_routing_segment_limit is not None:
                                    return True

                                if self.pcebd_group_id is not None:
                                    return True

                                if self.pcebd_source_address is not None:
                                    return True

                                if self.pcedp_group_id is not None:
                                    return True

                                if self.pcedp_source_address is not None:
                                    return True

                                if self.pcedp_type is not None:
                                    return True

                                if self.prepend_list is not None and self.prepend_list._has_data():
                                    return True

                                if self.tunnel_id is not None:
                                    for child in self.tunnel_id:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                return True

                            if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                return True

                            if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                return True

                            if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                return True

                            if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                return True

                            if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                return True

                            if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                return True

                            if self.tunnel_attribute_set_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                            return True

                        if self.tunnel_attribute_set_name is not None:
                            return True

                        if self.tunnel_attribute_set_name_crc32 is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet']['meta_info']


                class TeTunnelConvergence(object):
                    """
                    TE tunnel convergence related information
                    
                    .. attribute:: binding_label_rewrite_time
                    
                    	Binding label timestamp (clocktime in nsecs)
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    .. attribute:: convergence_complete_time
                    
                    	TE convergence completion time
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: convergence_lsp
                    
                    	TE LSP convergence related information
                    	**type**\:   :py:class:`ConvergenceLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence.ConvergenceLsp>`
                    
                    .. attribute:: frr_trigger_time
                    
                    	FRR trigger time
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    .. attribute:: is_convergence_in_progress
                    
                    	TE convergence in progress
                    	**type**\:  bool
                    
                    .. attribute:: pcalc_complete_time
                    
                    	Path computation completion timestamp (clocktime in nsecs)
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    .. attribute:: vif_creation_time
                    
                    	Vif creation timestamp (clocktime in nsecs)
                    	**type**\:  int
                    
                    	**range:** 0..18446744073709551615
                    
                    	**units**\: nanosecond
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.binding_label_rewrite_time = None
                        self.convergence_complete_time = None
                        self.convergence_lsp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence.ConvergenceLsp()
                        self.convergence_lsp.parent = self
                        self.frr_trigger_time = None
                        self.is_convergence_in_progress = None
                        self.pcalc_complete_time = None
                        self.vif_creation_time = None


                    class ConvergenceLsp(object):
                        """
                        TE LSP convergence related information
                        
                        .. attribute:: creation_time
                        
                        	Tunnel creation timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: label_rewrite
                        
                        	LSP Label rewrite timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: path_in
                        
                        	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: path_out
                        
                        	LSP RSVP Path\-in timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: resv_in
                        
                        	LSP RSVP Resv\-in timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: resv_out
                        
                        	LSP RSVP Resv\-out timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        .. attribute:: tunnel_rewrite
                        
                        	Tunnel rewrite timestamp (clocktime in nsecs)
                        	**type**\:  int
                        
                        	**range:** 0..18446744073709551615
                        
                        	**units**\: nanosecond
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.creation_time = None
                            self.label_rewrite = None
                            self.path_in = None
                            self.path_out = None
                            self.resv_in = None
                            self.resv_out = None
                            self.tunnel_rewrite = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:convergence-lsp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.creation_time is not None:
                                return True

                            if self.label_rewrite is not None:
                                return True

                            if self.path_in is not None:
                                return True

                            if self.path_out is not None:
                                return True

                            if self.resv_in is not None:
                                return True

                            if self.resv_out is not None:
                                return True

                            if self.tunnel_rewrite is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence.ConvergenceLsp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-tunnel-convergence'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.binding_label_rewrite_time is not None:
                            return True

                        if self.convergence_complete_time is not None:
                            return True

                        if self.convergence_lsp is not None and self.convergence_lsp._has_data():
                            return True

                        if self.frr_trigger_time is not None:
                            return True

                        if self.is_convergence_in_progress is not None:
                            return True

                        if self.pcalc_complete_time is not None:
                            return True

                        if self.vif_creation_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence']['meta_info']


                class FlexInfo(object):
                    """
                    Flex Info
                    
                    .. attribute:: fault_ais
                    
                    	Fault AIS
                    	**type**\:  bool
                    
                    .. attribute:: fault_in_label
                    
                    	Fault In Label
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: fault_ldi
                    
                    	Fault LDI
                    	**type**\:  bool
                    
                    .. attribute:: fault_ldi_lockout
                    
                    	Fault LDI Lockout
                    	**type**\:  bool
                    
                    .. attribute:: fault_lkr
                    
                    	Fault LKR
                    	**type**\:  bool
                    
                    .. attribute:: fault_time
                    
                    	Fault Time
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_lockout
                    
                    	Lockout Status
                    	**type**\:  bool
                    
                    .. attribute:: lockout_lsp_id
                    
                    	The LSP ID of the locked out LSP
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: lockout_timestamp
                    
                    	The timestamp when the lockout is set
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: origination
                    
                    	Flex LSP Lockout Origination Source
                    	**type**\:   :py:class:`FlexLspLockoutOriginationEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.FlexLspLockoutOriginationEnum>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.fault_ais = None
                        self.fault_in_label = None
                        self.fault_ldi = None
                        self.fault_ldi_lockout = None
                        self.fault_lkr = None
                        self.fault_time = None
                        self.is_lockout = None
                        self.lockout_lsp_id = None
                        self.lockout_timestamp = None
                        self.origination = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.fault_ais is not None:
                            return True

                        if self.fault_in_label is not None:
                            return True

                        if self.fault_ldi is not None:
                            return True

                        if self.fault_ldi_lockout is not None:
                            return True

                        if self.fault_lkr is not None:
                            return True

                        if self.fault_time is not None:
                            return True

                        if self.is_lockout is not None:
                            return True

                        if self.lockout_lsp_id is not None:
                            return True

                        if self.lockout_timestamp is not None:
                            return True

                        if self.origination is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.FlexInfo']['meta_info']


                class Destination(object):
                    """
                    Destinations array
                    
                    .. attribute:: active_path_option_index
                    
                    	Index of active path option
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: destination_address
                    
                    	Destination address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: destination_deletion_cause
                    
                    	Destination deletion cause
                    	**type**\:   :py:class:`TeP2MpS2LDeletionCauseEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeP2MpS2LDeletionCauseEnum>`
                    
                    .. attribute:: destination_deletion_sub_cause
                    
                    	Destination deletion subcause
                    	**type**\:   :py:class:`TeP2MpS2LDeletionSubcauseEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeP2MpS2LDeletionSubcauseEnum>`
                    
                    .. attribute:: destination_deletion_timestamp
                    
                    	Destination deletion timestamp in seconds
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: destination_state
                    
                    	The state of the destination
                    	**type**\:   :py:class:`TeDestinationStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeDestinationStateEnum>`
                    
                    .. attribute:: inter_area_reoptimization
                    
                    	The timing and count information of interarea reoptimization
                    	**type**\:   :py:class:`InterAreaReoptimization <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.InterAreaReoptimization>`
                    
                    .. attribute:: is_inter_area
                    
                    	Indicates whether this destination is in different area
                    	**type**\:  bool
                    
                    .. attribute:: path_change_time
                    
                    	Last path change time
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_option
                    
                    	Destination's list of path options
                    	**type**\: list of    :py:class:`PathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption>`
                    
                    .. attribute:: path_option_entry
                    
                    	Deprecated; replaced by PathOption
                    	**type**\: list of    :py:class:`PathOptionEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry>`
                    
                    .. attribute:: path_option_exhausted
                    
                    	Path options are exhausted
                    	**type**\:  bool
                    
                    .. attribute:: s2l_exist
                    
                    	Dest state may not be up but S2L may exist
                    	**type**\:  bool
                    
                    .. attribute:: total_uptime
                    
                    	Unused
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: uptime
                    
                    	Time in seconds since the destination was up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.active_path_option_index = None
                        self.destination_address = None
                        self.destination_deletion_cause = None
                        self.destination_deletion_sub_cause = None
                        self.destination_deletion_timestamp = None
                        self.destination_state = None
                        self.inter_area_reoptimization = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.InterAreaReoptimization()
                        self.inter_area_reoptimization.parent = self
                        self.is_inter_area = None
                        self.path_change_time = None
                        self.path_option = YList()
                        self.path_option.parent = self
                        self.path_option.name = 'path_option'
                        self.path_option_entry = YList()
                        self.path_option_entry.parent = self
                        self.path_option_entry.name = 'path_option_entry'
                        self.path_option_exhausted = None
                        self.s2l_exist = None
                        self.total_uptime = None
                        self.uptime = None


                    class InterAreaReoptimization(object):
                        """
                        The timing and count information of interarea
                        reoptimization.
                        
                        .. attribute:: preferred_path_error_node
                        
                        	Address of the preferred path error generating node
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: preferred_tree_error_node
                        
                        	Address of the preferred tree error generating node
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: received_preferred_path_errors
                        
                        	Number of received Preferred Path Exists Error
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: received_preferred_tree_errors
                        
                        	Number of received Preferred Tree Exists Error
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: sent_path_queries
                        
                        	Number of better path queries sent
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: time_since_last_preferred_path_error
                        
                        	Time since last Preferred Path Exists error received (seconds)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: time_since_last_preferred_tree_error
                        
                        	Time since last Preferred Tree Exists error received (seconds)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: time_since_last_query_sent
                        
                        	Time since the last better path query was sent (seconds)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.preferred_path_error_node = None
                            self.preferred_tree_error_node = None
                            self.received_preferred_path_errors = None
                            self.received_preferred_tree_errors = None
                            self.sent_path_queries = None
                            self.time_since_last_preferred_path_error = None
                            self.time_since_last_preferred_tree_error = None
                            self.time_since_last_query_sent = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:inter-area-reoptimization'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.preferred_path_error_node is not None:
                                return True

                            if self.preferred_tree_error_node is not None:
                                return True

                            if self.received_preferred_path_errors is not None:
                                return True

                            if self.received_preferred_tree_errors is not None:
                                return True

                            if self.sent_path_queries is not None:
                                return True

                            if self.time_since_last_preferred_path_error is not None:
                                return True

                            if self.time_since_last_preferred_tree_error is not None:
                                return True

                            if self.time_since_last_query_sent is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.InterAreaReoptimization']['meta_info']


                    class PathOptionEntry(object):
                        """
                        Deprecated; replaced by PathOption
                        
                        .. attribute:: attribute_set
                        
                        	The path option attribute set used by this path
                        	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet>`
                        
                        .. attribute:: attribute_set_found
                        
                        	TRUE if the path has found the defined attribute set
                        	**type**\:  bool
                        
                        .. attribute:: explicit_path_id
                        
                        	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: explicit_path_name
                        
                        	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                        	**type**\:  str
                        
                        .. attribute:: has_attribute_set
                        
                        	TRUE if the path has an attribute set defined
                        	**type**\:  bool
                        
                        .. attribute:: has_xro_attribute_set
                        
                        	TRUE if the path has an XRO attribute set configured
                        	**type**\:  bool
                        
                        .. attribute:: holddown_duration
                        
                        	Holddown Duration (seconds)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        .. attribute:: is_disabled
                        
                        	TRUE if the path option is disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_helddown
                        
                        	TRUE if path is helddown
                        	**type**\:  bool
                        
                        .. attribute:: is_lockdown
                        
                        	TRUE if the path is locked down
                        	**type**\:  bool
                        
                        .. attribute:: is_segment_routing
                        
                        	TRUE if the path is Segment\-Routing
                        	**type**\:  bool
                        
                        .. attribute:: is_strict_explicit_path
                        
                        	TRUE if explicit path is strict
                        	**type**\:  bool
                        
                        .. attribute:: is_verbatim
                        
                        	TRUE if the path is verbatim
                        	**type**\:  bool
                        
                        .. attribute:: option_index
                        
                        	Path option index
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: option_index_is_valid
                        
                        	The path option index is valid
                        	**type**\:  bool
                        
                        .. attribute:: path_calculation_error
                        
                        	Path computation information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.PathCalculationError>`
                        
                        .. attribute:: path_option_area_id
                        
                        	The path\-option area constraint
                        	**type**\:  str
                        
                        .. attribute:: path_option_name
                        
                        	Path option name
                        	**type**\:  str
                        
                        .. attribute:: path_option_type
                        
                        	Path option type
                        	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                        
                        .. attribute:: pce_address
                        
                        	PCE server address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: protected_by_path_option_index
                        
                        	Path option index for Protect path options
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: remerge_error
                        
                        	Path computation remerge resolve info
                        	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.RemergeError>`
                        
                        .. attribute:: restored_from_path_option_index
                        
                        	Path option index for Restore path options
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: signalling_error
                        
                        	Signalling information
                        	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.SignallingError>`
                        
                        .. attribute:: xro_attribute_set
                        
                        	The XRO attribute set used by this path\-option
                        	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet>`
                        
                        .. attribute:: xro_attribute_set_found
                        
                        	TRUE if the path's XRO attribute set is known
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.attribute_set = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet()
                            self.attribute_set.parent = self
                            self.attribute_set_found = None
                            self.explicit_path_id = None
                            self.explicit_path_name = None
                            self.has_attribute_set = None
                            self.has_xro_attribute_set = None
                            self.holddown_duration = None
                            self.is_disabled = None
                            self.is_helddown = None
                            self.is_lockdown = None
                            self.is_segment_routing = None
                            self.is_strict_explicit_path = None
                            self.is_verbatim = None
                            self.option_index = None
                            self.option_index_is_valid = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_area_id = None
                            self.path_option_name = None
                            self.path_option_type = None
                            self.pce_address = None
                            self.protected_by_path_option_index = None
                            self.remerge_error = YList()
                            self.remerge_error.parent = self
                            self.remerge_error.name = 'remerge_error'
                            self.restored_from_path_option_index = None
                            self.signalling_error = YList()
                            self.signalling_error.parent = self
                            self.signalling_error.name = 'signalling_error'
                            self.xro_attribute_set = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet()
                            self.xro_attribute_set.parent = self
                            self.xro_attribute_set_found = None


                        class AttributeSet(object):
                            """
                            The path option attribute set used by this path
                            
                            .. attribute:: attribute_set_union
                            
                            	Union of Attribute Sets
                            	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion>`
                            
                            .. attribute:: tunnel_attribute_set_name
                            
                            	Attribute Set Name
                            	**type**\:  str
                            
                            .. attribute:: tunnel_attribute_set_name_crc32
                            
                            	Attribute Set name CRC32 value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion()
                                self.attribute_set_union.parent = self
                                self.tunnel_attribute_set_name = None
                                self.tunnel_attribute_set_name_crc32 = None


                            class AttributeSetUnion(object):
                                """
                                Union of Attribute Sets
                                
                                .. attribute:: attribute_set_aps_pp
                                
                                	Attribute Set OTN APS Path Protection
                                	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                
                                .. attribute:: attribute_set_autobackup
                                
                                	MPLS TE Auto\-backup Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                
                                .. attribute:: attribute_set_automesh
                                
                                	MPLS TE Auto\-mesh Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                
                                .. attribute:: attribute_set_p2mpte
                                
                                	MPLS TE P2MP\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                
                                .. attribute:: attribute_set_p2p_te
                                
                                	MPLS TE P2P\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                
                                .. attribute:: attribute_set_path_option
                                
                                	MPLS TE Path Option Attribute Set
                                	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                
                                .. attribute:: attribute_set_xro
                                
                                	Attribute Set XRO
                                	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                
                                .. attribute:: tunnel_attribute_set_type
                                
                                	TunnelAttributeSetType
                                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                    self.attribute_set_aps_pp.parent = self
                                    self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                    self.attribute_set_autobackup.parent = self
                                    self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                    self.attribute_set_automesh.parent = self
                                    self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                    self.attribute_set_p2mpte.parent = self
                                    self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                    self.attribute_set_p2p_te.parent = self
                                    self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                    self.attribute_set_path_option.parent = self
                                    self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                    self.attribute_set_xro.parent = self
                                    self.tunnel_attribute_set_type = None


                                class AttributeSetPathOption(object):
                                    """
                                    MPLS TE Path Option Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                    
                                    .. attribute:: bandwidth_type
                                    
                                    	The bandwidth type
                                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                    
                                    .. attribute:: bfd_reverse_path
                                    
                                    	BFD reverse path
                                    	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: cost_limit
                                    
                                    	Cost limit on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: exclude_list_name
                                    
                                    	Exclude list name
                                    	**type**\:  str
                                    
                                    .. attribute:: generation
                                    
                                    	Generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bfd_reverse_pat_configured
                                    
                                    	Is BFD reverse path configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_cost_limit_configured
                                    
                                    	Is Cost Limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_exclude_list_name_configured
                                    
                                    	Is exclude list name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is path invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is path invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation interval on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: version_info
                                    
                                    	Version Info
                                    	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                        self.affinity.parent = self
                                        self.bandwidth_type = None
                                        self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                        self.bfd_reverse_path.parent = self
                                        self.configured_bandwidth = None
                                        self.cost_limit = None
                                        self.dste_class_type = None
                                        self.exclude_list_name = None
                                        self.generation = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_bfd_reverse_pat_configured = None
                                        self.is_cost_limit_configured = None
                                        self.is_exclude_list_name_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.path_invalidation_action = None
                                        self.path_invalidation_timeout = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'
                                        self.version_info = YList()
                                        self.version_info.parent = self
                                        self.version_info.name = 'version_info'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                    class BfdReversePath(object):
                                        """
                                        BFD reverse path
                                        
                                        .. attribute:: binding_label
                                        
                                        	BFD reverse path binding label
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_type
                                        
                                        	BFD reverse path type
                                        	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.binding_label = None
                                            self.path_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.binding_label is not None:
                                                return True

                                            if self.path_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                    class VersionInfo(object):
                                        """
                                        Version Info
                                        
                                        .. attribute:: attribute_type
                                        
                                        	Attribute Type
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_default
                                        
                                        	Is default
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute_type = None
                                            self.generation = None
                                            self.is_default = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute_type is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_default is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.bandwidth_type is not None:
                                            return True

                                        if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.cost_limit is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.exclude_list_name is not None:
                                            return True

                                        if self.generation is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_bfd_reverse_pat_configured is not None:
                                            return True

                                        if self.is_cost_limit_configured is not None:
                                            return True

                                        if self.is_exclude_list_name_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.path_invalidation_action is not None:
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        if self.version_info is not None:
                                            for child_ref in self.version_info:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                class AttributeSetAutobackup(object):
                                    """
                                    MPLS TE Auto\-backup Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_signalled_name_configured
                                    
                                    	Is signalled name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: protected_interface
                                    
                                    	Array of Protected Interface Names
                                    	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: signalled_name
                                    
                                    	Signalled name
                                    	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                        self.affinity.parent = self
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.is_signalled_name_configured = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                        self.logging.parent = self
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.protected_interface = YList()
                                        self.protected_interface.parent = self
                                        self.protected_interface.name = 'protected_interface'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.signalled_name = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                        self.signalled_name.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class SignalledName(object):
                                        """
                                        Signalled name
                                        
                                        .. attribute:: is_mp_addresses
                                        
                                        	MP address appended
                                        	**type**\:  bool
                                        
                                        .. attribute:: name
                                        
                                        	Signalled name
                                        	**type**\:  str
                                        
                                        .. attribute:: protected_interface_type
                                        
                                        	Protected interface address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        .. attribute:: source_type
                                        
                                        	Source address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.is_mp_addresses = None
                                            self.name = None
                                            self.protected_interface_type = None
                                            self.source_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.is_mp_addresses is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.protected_interface_type is not None:
                                                return True

                                            if self.source_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                    class ProtectedInterface(object):
                                        """
                                        Array of Protected Interface Names
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Protected Interface Name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.protected_interface = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.protected_interface is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.is_signalled_name_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.protected_interface is not None:
                                            for child_ref in self.protected_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.signalled_name is not None and self.signalled_name._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                class AttributeSetAutomesh(object):
                                    """
                                    MPLS TE Auto\-mesh Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                    
                                    .. attribute:: auto_bandwidth_collect
                                    
                                    	Auto bandwidth collect only
                                    	**type**\:  bool
                                    
                                    .. attribute:: auto_route_announce
                                    
                                    	Announce auto route to IGP
                                    	**type**\:  bool
                                    
                                    .. attribute:: bandwidth
                                    
                                    	IM bandwidth
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: forward_class
                                    
                                    	Forward class
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_node_protection
                                    
                                    	FRR Node protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_interface_bw_configured
                                    
                                    	Is Interface BW configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: load_share
                                    
                                    	Load Share
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                    
                                    .. attribute:: mesh_group_id
                                    
                                    	Meshgroup ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: soft_preemption_configured
                                    
                                    	Soft preemption is configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                        self.affinity.parent = self
                                        self.auto_bandwidth_collect = None
                                        self.auto_route_announce = None
                                        self.bandwidth = None
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.forward_class = None
                                        self.frr_bandwidth_protection = None
                                        self.frr_node_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_interface_bw_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.load_share = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                        self.logging.parent = self
                                        self.mesh_group_id = YLeafList()
                                        self.mesh_group_id.parent = self
                                        self.mesh_group_id.name = 'mesh_group_id'
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.soft_preemption_configured = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.auto_bandwidth_collect is not None:
                                            return True

                                        if self.auto_route_announce is not None:
                                            return True

                                        if self.bandwidth is not None:
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.forward_class is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.frr_node_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_interface_bw_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.load_share is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.mesh_group_id is not None:
                                            for child in self.mesh_group_id:
                                                if child is not None:
                                                    return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.soft_preemption_configured is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                class AttributeSetXro(object):
                                    """
                                    Attribute Set XRO
                                    
                                    .. attribute:: xro
                                    
                                    	The XRO specified by this attribute\-set
                                    	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                        self.xro.parent = self


                                    class Xro(object):
                                        """
                                        The XRO specified by this attribute\-set
                                        
                                        .. attribute:: mutual_diversity_flag
                                        
                                        	Mutual Diversity Flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: xro_subobject
                                        
                                        	List of XRO sub\-objects
                                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.mutual_diversity_flag = None
                                            self.xro_subobject = YList()
                                            self.xro_subobject.parent = self
                                            self.xro_subobject.name = 'xro_subobject'


                                        class XroSubobject(object):
                                            """
                                            List of XRO sub\-objects
                                            
                                            .. attribute:: as_subobject
                                            
                                            	AS sub\-object
                                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                            
                                            .. attribute:: ipv4_subobject
                                            
                                            	IPv4 sub\-object
                                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                            
                                            .. attribute:: ipv6_subobject
                                            
                                            	IPv6 sub\-object
                                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                            
                                            .. attribute:: lsp_subobject
                                            
                                            	P2P LSP sub\-object
                                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                            
                                            .. attribute:: srlg_subobject
                                            
                                            	SRLG sub\-object
                                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                            
                                            .. attribute:: unnumbered_subobject
                                            
                                            	Unnumbered sub\-object
                                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                self.as_subobject.parent = self
                                                self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                self.ipv4_subobject.parent = self
                                                self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                self.ipv6_subobject.parent = self
                                                self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                self.lsp_subobject.parent = self
                                                self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                self.srlg_subobject.parent = self
                                                self.type = None
                                                self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                self.unnumbered_subobject.parent = self


                                            class Ipv4Subobject(object):
                                                """
                                                IPv4 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv4 address
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                            class Ipv6Subobject(object):
                                                """
                                                IPv6 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv6 address
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                            class UnnumberedSubobject(object):
                                                """
                                                Unnumbered sub\-object
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: interface_id
                                                
                                                	Interface ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: te_router_id
                                                
                                                	TE router\-id
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.interface_id = None
                                                    self.te_router_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.interface_id is not None:
                                                        return True

                                                    if self.te_router_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                            class AsSubobject(object):
                                                """
                                                AS sub\-object
                                                
                                                .. attribute:: as_number
                                                
                                                	Autonomous System number
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_number = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_number is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                            class SrlgSubobject(object):
                                                """
                                                SRLG sub\-object
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: srlg_id
                                                
                                                	SRLG ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.exclusion_type = None
                                                    self.srlg_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.srlg_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                            class LspSubobject(object):
                                                """
                                                P2P LSP sub\-object
                                                
                                                .. attribute:: destination_node_exception
                                                
                                                	Destination\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: fec
                                                
                                                	LSP FEC
                                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                
                                                .. attribute:: ignore_lsp_id
                                                
                                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                	**type**\:  bool
                                                
                                                .. attribute:: penultimate_node_exception
                                                
                                                	Penultimate\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: processing_node_exception
                                                
                                                	Processing\-node exception flag
                                                	**type**\:  bool
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.destination_node_exception = None
                                                    self.exclusion_type = None
                                                    self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                    self.fec.parent = self
                                                    self.ignore_lsp_id = None
                                                    self.penultimate_node_exception = None
                                                    self.processing_node_exception = None


                                                class Fec(object):
                                                    """
                                                    LSP FEC
                                                    
                                                    .. attribute:: fec_destination_info
                                                    
                                                    	Destination or P2MP ID
                                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                    
                                                    .. attribute:: fec_extended_tunnel_id
                                                    
                                                    	Extended tunnel ID
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_lsp_id
                                                    
                                                    	LSP ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_source
                                                    
                                                    	Tunnel source address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_tunnel_id
                                                    
                                                    	Tunnel ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_vrf
                                                    
                                                    	VRF; currently only for GMPLS tunnels
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                        self.fec_destination_info.parent = self
                                                        self.fec_extended_tunnel_id = None
                                                        self.fec_lsp_id = None
                                                        self.fec_source = None
                                                        self.fec_tunnel_id = None
                                                        self.fec_vrf = None


                                                    class FecDestinationInfo(object):
                                                        """
                                                        Destination or P2MP ID
                                                        
                                                        .. attribute:: fec_ctype
                                                        
                                                        	FEC CType
                                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                        
                                                        .. attribute:: fec_destination_p2mp_id
                                                        
                                                        	P2MP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: p2p_lsp_destination
                                                        
                                                        	P2P LSP destination
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_ctype = None
                                                            self.fec_destination_p2mp_id = None
                                                            self.p2p_lsp_destination = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_ctype is not None:
                                                                return True

                                                            if self.fec_destination_p2mp_id is not None:
                                                                return True

                                                            if self.p2p_lsp_destination is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                            return True

                                                        if self.fec_extended_tunnel_id is not None:
                                                            return True

                                                        if self.fec_lsp_id is not None:
                                                            return True

                                                        if self.fec_source is not None:
                                                            return True

                                                        if self.fec_tunnel_id is not None:
                                                            return True

                                                        if self.fec_vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.destination_node_exception is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.fec is not None and self.fec._has_data():
                                                        return True

                                                    if self.ignore_lsp_id is not None:
                                                        return True

                                                    if self.penultimate_node_exception is not None:
                                                        return True

                                                    if self.processing_node_exception is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.as_subobject is not None and self.as_subobject._has_data():
                                                    return True

                                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                    return True

                                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                    return True

                                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                    return True

                                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.mutual_diversity_flag is not None:
                                                return True

                                            if self.xro_subobject is not None:
                                                for child_ref in self.xro_subobject:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.xro is not None and self.xro._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                class AttributeSetP2Mpte(object):
                                    """
                                    MPLS TE P2MP\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                        self.affinity.parent = self
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.frr_bandwidth_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_priority_configured = None
                                        self.setup_priority = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                class AttributeSetApsPp(object):
                                    """
                                    Attribute Set OTN APS Path Protection
                                    
                                    .. attribute:: hold_off_time
                                    
                                    	Hold\-off time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path Protection Profile Type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: protection_mode
                                    
                                    	Protection Restoration Mode
                                    	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                    
                                    .. attribute:: protection_type
                                    
                                    	Protection Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: restoration_style
                                    
                                    	Restoration Style
                                    	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                    
                                    .. attribute:: revert_schedule
                                    
                                    	Revert Schedule
                                    	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                    
                                    .. attribute:: snc_mode
                                    
                                    	Sub\-network Connection Mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	Sub\-network Connection Monitoring Mode
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wait_to_restore_time
                                    
                                    	Wait to restore time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.hold_off_time = None
                                        self.path_prot_profile_type = None
                                        self.protection_mode = None
                                        self.protection_type = None
                                        self.restoration_style = None
                                        self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                        self.revert_schedule.parent = self
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wait_to_restore_time = None


                                    class RevertSchedule(object):
                                        """
                                        Revert Schedule
                                        
                                        .. attribute:: duration
                                        
                                        	Duration for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_tries
                                        
                                        	Max tries for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_date
                                        
                                        	Schedule time for reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_frequency
                                        
                                        	Schedule frequency for reversion
                                        	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                        
                                        .. attribute:: schedulename
                                        
                                        	Schedule name identifier
                                        	**type**\:  str
                                        
                                        	**length:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.duration = None
                                            self.max_tries = None
                                            self.schedule_date = None
                                            self.schedule_frequency = None
                                            self.schedulename = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.duration is not None:
                                                return True

                                            if self.max_tries is not None:
                                                return True

                                            if self.schedule_date is not None:
                                                return True

                                            if self.schedule_frequency is not None:
                                                return True

                                            if self.schedulename is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.hold_off_time is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.protection_mode is not None:
                                            return True

                                        if self.protection_type is not None:
                                            return True

                                        if self.restoration_style is not None:
                                            return True

                                        if self.revert_schedule is not None and self.revert_schedule._has_data():
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wait_to_restore_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                class AttributeSetP2PTe(object):
                                    """
                                    MPLS TE P2P\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is Path Invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is Path Invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_select_configured
                                    
                                    	Is any of the path selection parameters configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_metric_configured
                                    
                                    	Is path selection metric configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                    
                                    	Is path selection segment routing configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_configured
                                    
                                    	Is path selection margin configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_relative
                                    
                                    	Path selection margin is\_relative
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_prepend_list_configured
                                    
                                    	Is SR prepend list configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation timeout on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                    
                                    .. attribute:: path_selection_metric
                                    
                                    	Path selection metric type
                                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_adjacency_protection
                                    
                                    	Path selection segment\-routing type
                                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_margin
                                    
                                    	Path selection margin
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_segment_routing_segment_limit
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: prepend_list
                                    
                                    	SR prepend list
                                    	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                        self.affinity.parent = self
                                        self.is_affinity_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_path_select_configured = None
                                        self.is_path_selection_metric_configured = None
                                        self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                        self.is_path_selection_segment_routing_margin_configured = None
                                        self.is_path_selection_segment_routing_margin_relative = None
                                        self.is_path_selection_segment_routing_segment_limit_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.is_prepend_list_configured = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                        self.logging.parent = self
                                        self.path_invalidation_timeout = None
                                        self.path_selection_invalidation_action = None
                                        self.path_selection_metric = None
                                        self.path_selection_segment_routing_adjacency_protection = None
                                        self.path_selection_segment_routing_margin = None
                                        self.path_selection_segment_routing_segment_limit = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.prepend_list = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                        self.prepend_list.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                    class PrependList(object):
                                        """
                                        SR prepend list
                                        
                                        .. attribute:: prepend_entry
                                        
                                        	List of prepend entries
                                        	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.prepend_entry = YList()
                                            self.prepend_entry.parent = self
                                            self.prepend_entry.name = 'prepend_entry'


                                        class PrependEntry(object):
                                            """
                                            List of prepend entries
                                            
                                            .. attribute:: index
                                            
                                            	Prepend index
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: next_label
                                            
                                            	Prepend next label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: type
                                            
                                            	Prepend Type
                                            	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.index = None
                                                self.next_label = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.index is not None:
                                                    return True

                                                if self.next_label is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.prepend_entry is not None:
                                                for child_ref in self.prepend_entry:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_path_select_configured is not None:
                                            return True

                                        if self.is_path_selection_metric_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_relative is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.is_prepend_list_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.path_selection_invalidation_action is not None:
                                            return True

                                        if self.path_selection_metric is not None:
                                            return True

                                        if self.path_selection_segment_routing_adjacency_protection is not None:
                                            return True

                                        if self.path_selection_segment_routing_margin is not None:
                                            return True

                                        if self.path_selection_segment_routing_segment_limit is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.prepend_list is not None and self.prepend_list._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                        return True

                                    if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                        return True

                                    if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                        return True

                                    if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                        return True

                                    if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                        return True

                                    if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                        return True

                                    if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                        return True

                                    if self.tunnel_attribute_set_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                    return True

                                if self.tunnel_attribute_set_name is not None:
                                    return True

                                if self.tunnel_attribute_set_name_crc32 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet']['meta_info']


                        class XroAttributeSet(object):
                            """
                            The XRO attribute set used by this path\-option
                            
                            .. attribute:: attribute_set_union
                            
                            	Union of Attribute Sets
                            	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion>`
                            
                            .. attribute:: tunnel_attribute_set_name
                            
                            	Attribute Set Name
                            	**type**\:  str
                            
                            .. attribute:: tunnel_attribute_set_name_crc32
                            
                            	Attribute Set name CRC32 value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion()
                                self.attribute_set_union.parent = self
                                self.tunnel_attribute_set_name = None
                                self.tunnel_attribute_set_name_crc32 = None


                            class AttributeSetUnion(object):
                                """
                                Union of Attribute Sets
                                
                                .. attribute:: attribute_set_aps_pp
                                
                                	Attribute Set OTN APS Path Protection
                                	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                
                                .. attribute:: attribute_set_autobackup
                                
                                	MPLS TE Auto\-backup Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                
                                .. attribute:: attribute_set_automesh
                                
                                	MPLS TE Auto\-mesh Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                
                                .. attribute:: attribute_set_p2mpte
                                
                                	MPLS TE P2MP\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                
                                .. attribute:: attribute_set_p2p_te
                                
                                	MPLS TE P2P\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                
                                .. attribute:: attribute_set_path_option
                                
                                	MPLS TE Path Option Attribute Set
                                	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                
                                .. attribute:: attribute_set_xro
                                
                                	Attribute Set XRO
                                	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                
                                .. attribute:: tunnel_attribute_set_type
                                
                                	TunnelAttributeSetType
                                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                    self.attribute_set_aps_pp.parent = self
                                    self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                    self.attribute_set_autobackup.parent = self
                                    self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                    self.attribute_set_automesh.parent = self
                                    self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                    self.attribute_set_p2mpte.parent = self
                                    self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                    self.attribute_set_p2p_te.parent = self
                                    self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                    self.attribute_set_path_option.parent = self
                                    self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                    self.attribute_set_xro.parent = self
                                    self.tunnel_attribute_set_type = None


                                class AttributeSetPathOption(object):
                                    """
                                    MPLS TE Path Option Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                    
                                    .. attribute:: bandwidth_type
                                    
                                    	The bandwidth type
                                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                    
                                    .. attribute:: bfd_reverse_path
                                    
                                    	BFD reverse path
                                    	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: cost_limit
                                    
                                    	Cost limit on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: exclude_list_name
                                    
                                    	Exclude list name
                                    	**type**\:  str
                                    
                                    .. attribute:: generation
                                    
                                    	Generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bfd_reverse_pat_configured
                                    
                                    	Is BFD reverse path configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_cost_limit_configured
                                    
                                    	Is Cost Limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_exclude_list_name_configured
                                    
                                    	Is exclude list name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is path invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is path invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation interval on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: version_info
                                    
                                    	Version Info
                                    	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                        self.affinity.parent = self
                                        self.bandwidth_type = None
                                        self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                        self.bfd_reverse_path.parent = self
                                        self.configured_bandwidth = None
                                        self.cost_limit = None
                                        self.dste_class_type = None
                                        self.exclude_list_name = None
                                        self.generation = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_bfd_reverse_pat_configured = None
                                        self.is_cost_limit_configured = None
                                        self.is_exclude_list_name_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.path_invalidation_action = None
                                        self.path_invalidation_timeout = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'
                                        self.version_info = YList()
                                        self.version_info.parent = self
                                        self.version_info.name = 'version_info'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                    class BfdReversePath(object):
                                        """
                                        BFD reverse path
                                        
                                        .. attribute:: binding_label
                                        
                                        	BFD reverse path binding label
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_type
                                        
                                        	BFD reverse path type
                                        	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.binding_label = None
                                            self.path_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.binding_label is not None:
                                                return True

                                            if self.path_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                    class VersionInfo(object):
                                        """
                                        Version Info
                                        
                                        .. attribute:: attribute_type
                                        
                                        	Attribute Type
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_default
                                        
                                        	Is default
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute_type = None
                                            self.generation = None
                                            self.is_default = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute_type is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_default is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.bandwidth_type is not None:
                                            return True

                                        if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.cost_limit is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.exclude_list_name is not None:
                                            return True

                                        if self.generation is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_bfd_reverse_pat_configured is not None:
                                            return True

                                        if self.is_cost_limit_configured is not None:
                                            return True

                                        if self.is_exclude_list_name_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.path_invalidation_action is not None:
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        if self.version_info is not None:
                                            for child_ref in self.version_info:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                class AttributeSetAutobackup(object):
                                    """
                                    MPLS TE Auto\-backup Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_signalled_name_configured
                                    
                                    	Is signalled name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: protected_interface
                                    
                                    	Array of Protected Interface Names
                                    	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: signalled_name
                                    
                                    	Signalled name
                                    	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                        self.affinity.parent = self
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.is_signalled_name_configured = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                        self.logging.parent = self
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.protected_interface = YList()
                                        self.protected_interface.parent = self
                                        self.protected_interface.name = 'protected_interface'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.signalled_name = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                        self.signalled_name.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class SignalledName(object):
                                        """
                                        Signalled name
                                        
                                        .. attribute:: is_mp_addresses
                                        
                                        	MP address appended
                                        	**type**\:  bool
                                        
                                        .. attribute:: name
                                        
                                        	Signalled name
                                        	**type**\:  str
                                        
                                        .. attribute:: protected_interface_type
                                        
                                        	Protected interface address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        .. attribute:: source_type
                                        
                                        	Source address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.is_mp_addresses = None
                                            self.name = None
                                            self.protected_interface_type = None
                                            self.source_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.is_mp_addresses is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.protected_interface_type is not None:
                                                return True

                                            if self.source_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                    class ProtectedInterface(object):
                                        """
                                        Array of Protected Interface Names
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Protected Interface Name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.protected_interface = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.protected_interface is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.is_signalled_name_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.protected_interface is not None:
                                            for child_ref in self.protected_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.signalled_name is not None and self.signalled_name._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                class AttributeSetAutomesh(object):
                                    """
                                    MPLS TE Auto\-mesh Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                    
                                    .. attribute:: auto_bandwidth_collect
                                    
                                    	Auto bandwidth collect only
                                    	**type**\:  bool
                                    
                                    .. attribute:: auto_route_announce
                                    
                                    	Announce auto route to IGP
                                    	**type**\:  bool
                                    
                                    .. attribute:: bandwidth
                                    
                                    	IM bandwidth
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: forward_class
                                    
                                    	Forward class
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_node_protection
                                    
                                    	FRR Node protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_interface_bw_configured
                                    
                                    	Is Interface BW configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: load_share
                                    
                                    	Load Share
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                    
                                    .. attribute:: mesh_group_id
                                    
                                    	Meshgroup ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: soft_preemption_configured
                                    
                                    	Soft preemption is configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                        self.affinity.parent = self
                                        self.auto_bandwidth_collect = None
                                        self.auto_route_announce = None
                                        self.bandwidth = None
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.forward_class = None
                                        self.frr_bandwidth_protection = None
                                        self.frr_node_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_interface_bw_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.load_share = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                        self.logging.parent = self
                                        self.mesh_group_id = YLeafList()
                                        self.mesh_group_id.parent = self
                                        self.mesh_group_id.name = 'mesh_group_id'
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.soft_preemption_configured = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.auto_bandwidth_collect is not None:
                                            return True

                                        if self.auto_route_announce is not None:
                                            return True

                                        if self.bandwidth is not None:
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.forward_class is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.frr_node_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_interface_bw_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.load_share is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.mesh_group_id is not None:
                                            for child in self.mesh_group_id:
                                                if child is not None:
                                                    return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.soft_preemption_configured is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                class AttributeSetXro(object):
                                    """
                                    Attribute Set XRO
                                    
                                    .. attribute:: xro
                                    
                                    	The XRO specified by this attribute\-set
                                    	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                        self.xro.parent = self


                                    class Xro(object):
                                        """
                                        The XRO specified by this attribute\-set
                                        
                                        .. attribute:: mutual_diversity_flag
                                        
                                        	Mutual Diversity Flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: xro_subobject
                                        
                                        	List of XRO sub\-objects
                                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.mutual_diversity_flag = None
                                            self.xro_subobject = YList()
                                            self.xro_subobject.parent = self
                                            self.xro_subobject.name = 'xro_subobject'


                                        class XroSubobject(object):
                                            """
                                            List of XRO sub\-objects
                                            
                                            .. attribute:: as_subobject
                                            
                                            	AS sub\-object
                                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                            
                                            .. attribute:: ipv4_subobject
                                            
                                            	IPv4 sub\-object
                                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                            
                                            .. attribute:: ipv6_subobject
                                            
                                            	IPv6 sub\-object
                                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                            
                                            .. attribute:: lsp_subobject
                                            
                                            	P2P LSP sub\-object
                                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                            
                                            .. attribute:: srlg_subobject
                                            
                                            	SRLG sub\-object
                                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                            
                                            .. attribute:: unnumbered_subobject
                                            
                                            	Unnumbered sub\-object
                                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                self.as_subobject.parent = self
                                                self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                self.ipv4_subobject.parent = self
                                                self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                self.ipv6_subobject.parent = self
                                                self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                self.lsp_subobject.parent = self
                                                self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                self.srlg_subobject.parent = self
                                                self.type = None
                                                self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                self.unnumbered_subobject.parent = self


                                            class Ipv4Subobject(object):
                                                """
                                                IPv4 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv4 address
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                            class Ipv6Subobject(object):
                                                """
                                                IPv6 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv6 address
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                            class UnnumberedSubobject(object):
                                                """
                                                Unnumbered sub\-object
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: interface_id
                                                
                                                	Interface ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: te_router_id
                                                
                                                	TE router\-id
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.interface_id = None
                                                    self.te_router_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.interface_id is not None:
                                                        return True

                                                    if self.te_router_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                            class AsSubobject(object):
                                                """
                                                AS sub\-object
                                                
                                                .. attribute:: as_number
                                                
                                                	Autonomous System number
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_number = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_number is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                            class SrlgSubobject(object):
                                                """
                                                SRLG sub\-object
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: srlg_id
                                                
                                                	SRLG ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.exclusion_type = None
                                                    self.srlg_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.srlg_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                            class LspSubobject(object):
                                                """
                                                P2P LSP sub\-object
                                                
                                                .. attribute:: destination_node_exception
                                                
                                                	Destination\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: fec
                                                
                                                	LSP FEC
                                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                
                                                .. attribute:: ignore_lsp_id
                                                
                                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                	**type**\:  bool
                                                
                                                .. attribute:: penultimate_node_exception
                                                
                                                	Penultimate\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: processing_node_exception
                                                
                                                	Processing\-node exception flag
                                                	**type**\:  bool
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.destination_node_exception = None
                                                    self.exclusion_type = None
                                                    self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                    self.fec.parent = self
                                                    self.ignore_lsp_id = None
                                                    self.penultimate_node_exception = None
                                                    self.processing_node_exception = None


                                                class Fec(object):
                                                    """
                                                    LSP FEC
                                                    
                                                    .. attribute:: fec_destination_info
                                                    
                                                    	Destination or P2MP ID
                                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                    
                                                    .. attribute:: fec_extended_tunnel_id
                                                    
                                                    	Extended tunnel ID
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_lsp_id
                                                    
                                                    	LSP ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_source
                                                    
                                                    	Tunnel source address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_tunnel_id
                                                    
                                                    	Tunnel ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_vrf
                                                    
                                                    	VRF; currently only for GMPLS tunnels
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                        self.fec_destination_info.parent = self
                                                        self.fec_extended_tunnel_id = None
                                                        self.fec_lsp_id = None
                                                        self.fec_source = None
                                                        self.fec_tunnel_id = None
                                                        self.fec_vrf = None


                                                    class FecDestinationInfo(object):
                                                        """
                                                        Destination or P2MP ID
                                                        
                                                        .. attribute:: fec_ctype
                                                        
                                                        	FEC CType
                                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                        
                                                        .. attribute:: fec_destination_p2mp_id
                                                        
                                                        	P2MP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: p2p_lsp_destination
                                                        
                                                        	P2P LSP destination
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_ctype = None
                                                            self.fec_destination_p2mp_id = None
                                                            self.p2p_lsp_destination = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_ctype is not None:
                                                                return True

                                                            if self.fec_destination_p2mp_id is not None:
                                                                return True

                                                            if self.p2p_lsp_destination is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                            return True

                                                        if self.fec_extended_tunnel_id is not None:
                                                            return True

                                                        if self.fec_lsp_id is not None:
                                                            return True

                                                        if self.fec_source is not None:
                                                            return True

                                                        if self.fec_tunnel_id is not None:
                                                            return True

                                                        if self.fec_vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.destination_node_exception is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.fec is not None and self.fec._has_data():
                                                        return True

                                                    if self.ignore_lsp_id is not None:
                                                        return True

                                                    if self.penultimate_node_exception is not None:
                                                        return True

                                                    if self.processing_node_exception is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.as_subobject is not None and self.as_subobject._has_data():
                                                    return True

                                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                    return True

                                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                    return True

                                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                    return True

                                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.mutual_diversity_flag is not None:
                                                return True

                                            if self.xro_subobject is not None:
                                                for child_ref in self.xro_subobject:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.xro is not None and self.xro._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                class AttributeSetP2Mpte(object):
                                    """
                                    MPLS TE P2MP\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                        self.affinity.parent = self
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.frr_bandwidth_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_priority_configured = None
                                        self.setup_priority = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                class AttributeSetApsPp(object):
                                    """
                                    Attribute Set OTN APS Path Protection
                                    
                                    .. attribute:: hold_off_time
                                    
                                    	Hold\-off time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path Protection Profile Type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: protection_mode
                                    
                                    	Protection Restoration Mode
                                    	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                    
                                    .. attribute:: protection_type
                                    
                                    	Protection Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: restoration_style
                                    
                                    	Restoration Style
                                    	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                    
                                    .. attribute:: revert_schedule
                                    
                                    	Revert Schedule
                                    	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                    
                                    .. attribute:: snc_mode
                                    
                                    	Sub\-network Connection Mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	Sub\-network Connection Monitoring Mode
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wait_to_restore_time
                                    
                                    	Wait to restore time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.hold_off_time = None
                                        self.path_prot_profile_type = None
                                        self.protection_mode = None
                                        self.protection_type = None
                                        self.restoration_style = None
                                        self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                        self.revert_schedule.parent = self
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wait_to_restore_time = None


                                    class RevertSchedule(object):
                                        """
                                        Revert Schedule
                                        
                                        .. attribute:: duration
                                        
                                        	Duration for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_tries
                                        
                                        	Max tries for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_date
                                        
                                        	Schedule time for reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_frequency
                                        
                                        	Schedule frequency for reversion
                                        	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                        
                                        .. attribute:: schedulename
                                        
                                        	Schedule name identifier
                                        	**type**\:  str
                                        
                                        	**length:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.duration = None
                                            self.max_tries = None
                                            self.schedule_date = None
                                            self.schedule_frequency = None
                                            self.schedulename = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.duration is not None:
                                                return True

                                            if self.max_tries is not None:
                                                return True

                                            if self.schedule_date is not None:
                                                return True

                                            if self.schedule_frequency is not None:
                                                return True

                                            if self.schedulename is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.hold_off_time is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.protection_mode is not None:
                                            return True

                                        if self.protection_type is not None:
                                            return True

                                        if self.restoration_style is not None:
                                            return True

                                        if self.revert_schedule is not None and self.revert_schedule._has_data():
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wait_to_restore_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                class AttributeSetP2PTe(object):
                                    """
                                    MPLS TE P2P\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is Path Invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is Path Invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_select_configured
                                    
                                    	Is any of the path selection parameters configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_metric_configured
                                    
                                    	Is path selection metric configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                    
                                    	Is path selection segment routing configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_configured
                                    
                                    	Is path selection margin configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_relative
                                    
                                    	Path selection margin is\_relative
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_prepend_list_configured
                                    
                                    	Is SR prepend list configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation timeout on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                    
                                    .. attribute:: path_selection_metric
                                    
                                    	Path selection metric type
                                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_adjacency_protection
                                    
                                    	Path selection segment\-routing type
                                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_margin
                                    
                                    	Path selection margin
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_segment_routing_segment_limit
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: prepend_list
                                    
                                    	SR prepend list
                                    	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                        self.affinity.parent = self
                                        self.is_affinity_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_path_select_configured = None
                                        self.is_path_selection_metric_configured = None
                                        self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                        self.is_path_selection_segment_routing_margin_configured = None
                                        self.is_path_selection_segment_routing_margin_relative = None
                                        self.is_path_selection_segment_routing_segment_limit_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.is_prepend_list_configured = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                        self.logging.parent = self
                                        self.path_invalidation_timeout = None
                                        self.path_selection_invalidation_action = None
                                        self.path_selection_metric = None
                                        self.path_selection_segment_routing_adjacency_protection = None
                                        self.path_selection_segment_routing_margin = None
                                        self.path_selection_segment_routing_segment_limit = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.prepend_list = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                        self.prepend_list.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                    class PrependList(object):
                                        """
                                        SR prepend list
                                        
                                        .. attribute:: prepend_entry
                                        
                                        	List of prepend entries
                                        	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.prepend_entry = YList()
                                            self.prepend_entry.parent = self
                                            self.prepend_entry.name = 'prepend_entry'


                                        class PrependEntry(object):
                                            """
                                            List of prepend entries
                                            
                                            .. attribute:: index
                                            
                                            	Prepend index
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: next_label
                                            
                                            	Prepend next label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: type
                                            
                                            	Prepend Type
                                            	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.index = None
                                                self.next_label = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.index is not None:
                                                    return True

                                                if self.next_label is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.prepend_entry is not None:
                                                for child_ref in self.prepend_entry:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_path_select_configured is not None:
                                            return True

                                        if self.is_path_selection_metric_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_relative is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.is_prepend_list_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.path_selection_invalidation_action is not None:
                                            return True

                                        if self.path_selection_metric is not None:
                                            return True

                                        if self.path_selection_segment_routing_adjacency_protection is not None:
                                            return True

                                        if self.path_selection_segment_routing_margin is not None:
                                            return True

                                        if self.path_selection_segment_routing_segment_limit is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.prepend_list is not None and self.prepend_list._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                        return True

                                    if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                        return True

                                    if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                        return True

                                    if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                        return True

                                    if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                        return True

                                    if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                        return True

                                    if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                        return True

                                    if self.tunnel_attribute_set_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                    return True

                                if self.tunnel_attribute_set_name is not None:
                                    return True

                                if self.tunnel_attribute_set_name_crc32 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet']['meta_info']


                        class PathCalculationError(object):
                            """
                            Path computation information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.PathCalculationError']['meta_info']


                        class RemergeError(object):
                            """
                            Path computation remerge resolve info
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.RemergeError']['meta_info']


                        class SignallingError(object):
                            """
                            Signalling information
                            
                            .. attribute:: error
                            
                            	Path Error code
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: error_node
                            
                            	Source address of the error generating node
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: log_time
                            
                            	Time in seconds when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSPMode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            .. attribute:: reverse_lsp
                            
                            	Indicates if error is on the reverse LSP
                            	**type**\:  bool
                            
                            .. attribute:: signalling_lsp_id
                            
                            	LSP\-id for which the error was received
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: sub_code
                            
                            	Path Error subcode
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error = None
                                self.error_message = None
                                self.error_node = None
                                self.log_time = None
                                self.lsp_mode = None
                                self.reverse_lsp = None
                                self.signalling_lsp_id = None
                                self.sub_code = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error is not None:
                                    return True

                                if self.error_message is not None:
                                    return True

                                if self.error_node is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                if self.reverse_lsp is not None:
                                    return True

                                if self.signalling_lsp_id is not None:
                                    return True

                                if self.sub_code is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.SignallingError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-option-entry'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.attribute_set is not None and self.attribute_set._has_data():
                                return True

                            if self.attribute_set_found is not None:
                                return True

                            if self.explicit_path_id is not None:
                                return True

                            if self.explicit_path_name is not None:
                                return True

                            if self.has_attribute_set is not None:
                                return True

                            if self.has_xro_attribute_set is not None:
                                return True

                            if self.holddown_duration is not None:
                                return True

                            if self.is_disabled is not None:
                                return True

                            if self.is_helddown is not None:
                                return True

                            if self.is_lockdown is not None:
                                return True

                            if self.is_segment_routing is not None:
                                return True

                            if self.is_strict_explicit_path is not None:
                                return True

                            if self.is_verbatim is not None:
                                return True

                            if self.option_index is not None:
                                return True

                            if self.option_index_is_valid is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_area_id is not None:
                                return True

                            if self.path_option_name is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.pce_address is not None:
                                return True

                            if self.protected_by_path_option_index is not None:
                                return True

                            if self.remerge_error is not None:
                                for child_ref in self.remerge_error:
                                    if child_ref._has_data():
                                        return True

                            if self.restored_from_path_option_index is not None:
                                return True

                            if self.signalling_error is not None:
                                for child_ref in self.signalling_error:
                                    if child_ref._has_data():
                                        return True

                            if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                return True

                            if self.xro_attribute_set_found is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry']['meta_info']


                    class PathOption(object):
                        """
                        Destination's list of path options
                        
                        .. attribute:: attribute_set
                        
                        	The path option attribute set used by this path
                        	**type**\:   :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet>`
                        
                        .. attribute:: attribute_set_found
                        
                        	TRUE if the path has found the defined attribute set
                        	**type**\:  bool
                        
                        .. attribute:: explicit_path_id
                        
                        	Explicit Path ID, this is the key to table ExplicitPaths.IdentifierTable
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: explicit_path_name
                        
                        	Explicit Path Name, this is the key to table ExplicitPaths.NameTable
                        	**type**\:  str
                        
                        .. attribute:: has_attribute_set
                        
                        	TRUE if the path has an attribute set defined
                        	**type**\:  bool
                        
                        .. attribute:: has_xro_attribute_set
                        
                        	TRUE if the path has an XRO attribute set configured
                        	**type**\:  bool
                        
                        .. attribute:: holddown_duration
                        
                        	Holddown Duration (seconds)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        	**units**\: second
                        
                        .. attribute:: is_disabled
                        
                        	TRUE if the path option is disabled
                        	**type**\:  bool
                        
                        .. attribute:: is_helddown
                        
                        	TRUE if path is helddown
                        	**type**\:  bool
                        
                        .. attribute:: is_lockdown
                        
                        	TRUE if the path is locked down
                        	**type**\:  bool
                        
                        .. attribute:: is_segment_routing
                        
                        	TRUE if the path is Segment\-Routing
                        	**type**\:  bool
                        
                        .. attribute:: is_strict_explicit_path
                        
                        	TRUE if explicit path is strict
                        	**type**\:  bool
                        
                        .. attribute:: is_verbatim
                        
                        	TRUE if the path is verbatim
                        	**type**\:  bool
                        
                        .. attribute:: option_index
                        
                        	Path option index
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: option_index_is_valid
                        
                        	The path option index is valid
                        	**type**\:  bool
                        
                        .. attribute:: path_calculation_error
                        
                        	Path computation information
                        	**type**\: list of    :py:class:`PathCalculationError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.PathCalculationError>`
                        
                        .. attribute:: path_option_area_id
                        
                        	The path\-option area constraint
                        	**type**\:  str
                        
                        .. attribute:: path_option_name
                        
                        	Path option name
                        	**type**\:  str
                        
                        .. attribute:: path_option_type
                        
                        	Path option type
                        	**type**\:   :py:class:`MplsTePathoptionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathoptionEnum>`
                        
                        .. attribute:: pce_address
                        
                        	PCE server address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: protected_by_path_option_index
                        
                        	Path option index for Protect path options
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: remerge_error
                        
                        	Path computation remerge resolve info
                        	**type**\: list of    :py:class:`RemergeError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.RemergeError>`
                        
                        .. attribute:: restored_from_path_option_index
                        
                        	Path option index for Restore path options
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: signalling_error
                        
                        	Signalling information
                        	**type**\: list of    :py:class:`SignallingError <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.SignallingError>`
                        
                        .. attribute:: xro_attribute_set
                        
                        	The XRO attribute set used by this path\-option
                        	**type**\:   :py:class:`XroAttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet>`
                        
                        .. attribute:: xro_attribute_set_found
                        
                        	TRUE if the path's XRO attribute set is known
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.attribute_set = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet()
                            self.attribute_set.parent = self
                            self.attribute_set_found = None
                            self.explicit_path_id = None
                            self.explicit_path_name = None
                            self.has_attribute_set = None
                            self.has_xro_attribute_set = None
                            self.holddown_duration = None
                            self.is_disabled = None
                            self.is_helddown = None
                            self.is_lockdown = None
                            self.is_segment_routing = None
                            self.is_strict_explicit_path = None
                            self.is_verbatim = None
                            self.option_index = None
                            self.option_index_is_valid = None
                            self.path_calculation_error = YList()
                            self.path_calculation_error.parent = self
                            self.path_calculation_error.name = 'path_calculation_error'
                            self.path_option_area_id = None
                            self.path_option_name = None
                            self.path_option_type = None
                            self.pce_address = None
                            self.protected_by_path_option_index = None
                            self.remerge_error = YList()
                            self.remerge_error.parent = self
                            self.remerge_error.name = 'remerge_error'
                            self.restored_from_path_option_index = None
                            self.signalling_error = YList()
                            self.signalling_error.parent = self
                            self.signalling_error.name = 'signalling_error'
                            self.xro_attribute_set = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet()
                            self.xro_attribute_set.parent = self
                            self.xro_attribute_set_found = None


                        class AttributeSet(object):
                            """
                            The path option attribute set used by this path
                            
                            .. attribute:: attribute_set_union
                            
                            	Union of Attribute Sets
                            	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion>`
                            
                            .. attribute:: tunnel_attribute_set_name
                            
                            	Attribute Set Name
                            	**type**\:  str
                            
                            .. attribute:: tunnel_attribute_set_name_crc32
                            
                            	Attribute Set name CRC32 value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion()
                                self.attribute_set_union.parent = self
                                self.tunnel_attribute_set_name = None
                                self.tunnel_attribute_set_name_crc32 = None


                            class AttributeSetUnion(object):
                                """
                                Union of Attribute Sets
                                
                                .. attribute:: attribute_set_aps_pp
                                
                                	Attribute Set OTN APS Path Protection
                                	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                
                                .. attribute:: attribute_set_autobackup
                                
                                	MPLS TE Auto\-backup Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                
                                .. attribute:: attribute_set_automesh
                                
                                	MPLS TE Auto\-mesh Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                
                                .. attribute:: attribute_set_p2mpte
                                
                                	MPLS TE P2MP\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                
                                .. attribute:: attribute_set_p2p_te
                                
                                	MPLS TE P2P\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                
                                .. attribute:: attribute_set_path_option
                                
                                	MPLS TE Path Option Attribute Set
                                	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                
                                .. attribute:: attribute_set_xro
                                
                                	Attribute Set XRO
                                	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                                
                                .. attribute:: tunnel_attribute_set_type
                                
                                	TunnelAttributeSetType
                                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                    self.attribute_set_aps_pp.parent = self
                                    self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                    self.attribute_set_autobackup.parent = self
                                    self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                    self.attribute_set_automesh.parent = self
                                    self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                    self.attribute_set_p2mpte.parent = self
                                    self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                    self.attribute_set_p2p_te.parent = self
                                    self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                    self.attribute_set_path_option.parent = self
                                    self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro()
                                    self.attribute_set_xro.parent = self
                                    self.tunnel_attribute_set_type = None


                                class AttributeSetPathOption(object):
                                    """
                                    MPLS TE Path Option Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                    
                                    .. attribute:: bandwidth_type
                                    
                                    	The bandwidth type
                                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                    
                                    .. attribute:: bfd_reverse_path
                                    
                                    	BFD reverse path
                                    	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: cost_limit
                                    
                                    	Cost limit on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: exclude_list_name
                                    
                                    	Exclude list name
                                    	**type**\:  str
                                    
                                    .. attribute:: generation
                                    
                                    	Generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bfd_reverse_pat_configured
                                    
                                    	Is BFD reverse path configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_cost_limit_configured
                                    
                                    	Is Cost Limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_exclude_list_name_configured
                                    
                                    	Is exclude list name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is path invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is path invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation interval on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: version_info
                                    
                                    	Version Info
                                    	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                        self.affinity.parent = self
                                        self.bandwidth_type = None
                                        self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                        self.bfd_reverse_path.parent = self
                                        self.configured_bandwidth = None
                                        self.cost_limit = None
                                        self.dste_class_type = None
                                        self.exclude_list_name = None
                                        self.generation = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_bfd_reverse_pat_configured = None
                                        self.is_cost_limit_configured = None
                                        self.is_exclude_list_name_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.path_invalidation_action = None
                                        self.path_invalidation_timeout = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'
                                        self.version_info = YList()
                                        self.version_info.parent = self
                                        self.version_info.name = 'version_info'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                    class BfdReversePath(object):
                                        """
                                        BFD reverse path
                                        
                                        .. attribute:: binding_label
                                        
                                        	BFD reverse path binding label
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_type
                                        
                                        	BFD reverse path type
                                        	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.binding_label = None
                                            self.path_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.binding_label is not None:
                                                return True

                                            if self.path_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                    class VersionInfo(object):
                                        """
                                        Version Info
                                        
                                        .. attribute:: attribute_type
                                        
                                        	Attribute Type
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_default
                                        
                                        	Is default
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute_type = None
                                            self.generation = None
                                            self.is_default = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute_type is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_default is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.bandwidth_type is not None:
                                            return True

                                        if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.cost_limit is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.exclude_list_name is not None:
                                            return True

                                        if self.generation is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_bfd_reverse_pat_configured is not None:
                                            return True

                                        if self.is_cost_limit_configured is not None:
                                            return True

                                        if self.is_exclude_list_name_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.path_invalidation_action is not None:
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        if self.version_info is not None:
                                            for child_ref in self.version_info:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                class AttributeSetAutobackup(object):
                                    """
                                    MPLS TE Auto\-backup Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_signalled_name_configured
                                    
                                    	Is signalled name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: protected_interface
                                    
                                    	Array of Protected Interface Names
                                    	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: signalled_name
                                    
                                    	Signalled name
                                    	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                        self.affinity.parent = self
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.is_signalled_name_configured = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                        self.logging.parent = self
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.protected_interface = YList()
                                        self.protected_interface.parent = self
                                        self.protected_interface.name = 'protected_interface'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.signalled_name = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                        self.signalled_name.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class SignalledName(object):
                                        """
                                        Signalled name
                                        
                                        .. attribute:: is_mp_addresses
                                        
                                        	MP address appended
                                        	**type**\:  bool
                                        
                                        .. attribute:: name
                                        
                                        	Signalled name
                                        	**type**\:  str
                                        
                                        .. attribute:: protected_interface_type
                                        
                                        	Protected interface address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        .. attribute:: source_type
                                        
                                        	Source address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.is_mp_addresses = None
                                            self.name = None
                                            self.protected_interface_type = None
                                            self.source_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.is_mp_addresses is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.protected_interface_type is not None:
                                                return True

                                            if self.source_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                    class ProtectedInterface(object):
                                        """
                                        Array of Protected Interface Names
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Protected Interface Name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.protected_interface = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.protected_interface is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.is_signalled_name_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.protected_interface is not None:
                                            for child_ref in self.protected_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.signalled_name is not None and self.signalled_name._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                class AttributeSetAutomesh(object):
                                    """
                                    MPLS TE Auto\-mesh Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                    
                                    .. attribute:: auto_bandwidth_collect
                                    
                                    	Auto bandwidth collect only
                                    	**type**\:  bool
                                    
                                    .. attribute:: auto_route_announce
                                    
                                    	Announce auto route to IGP
                                    	**type**\:  bool
                                    
                                    .. attribute:: bandwidth
                                    
                                    	IM bandwidth
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: forward_class
                                    
                                    	Forward class
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_node_protection
                                    
                                    	FRR Node protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_interface_bw_configured
                                    
                                    	Is Interface BW configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: load_share
                                    
                                    	Load Share
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                    
                                    .. attribute:: mesh_group_id
                                    
                                    	Meshgroup ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: soft_preemption_configured
                                    
                                    	Soft preemption is configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                        self.affinity.parent = self
                                        self.auto_bandwidth_collect = None
                                        self.auto_route_announce = None
                                        self.bandwidth = None
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.forward_class = None
                                        self.frr_bandwidth_protection = None
                                        self.frr_node_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_interface_bw_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.load_share = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                        self.logging.parent = self
                                        self.mesh_group_id = YLeafList()
                                        self.mesh_group_id.parent = self
                                        self.mesh_group_id.name = 'mesh_group_id'
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.soft_preemption_configured = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.auto_bandwidth_collect is not None:
                                            return True

                                        if self.auto_route_announce is not None:
                                            return True

                                        if self.bandwidth is not None:
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.forward_class is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.frr_node_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_interface_bw_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.load_share is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.mesh_group_id is not None:
                                            for child in self.mesh_group_id:
                                                if child is not None:
                                                    return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.soft_preemption_configured is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                class AttributeSetXro(object):
                                    """
                                    Attribute Set XRO
                                    
                                    .. attribute:: xro
                                    
                                    	The XRO specified by this attribute\-set
                                    	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                        self.xro.parent = self


                                    class Xro(object):
                                        """
                                        The XRO specified by this attribute\-set
                                        
                                        .. attribute:: mutual_diversity_flag
                                        
                                        	Mutual Diversity Flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: xro_subobject
                                        
                                        	List of XRO sub\-objects
                                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.mutual_diversity_flag = None
                                            self.xro_subobject = YList()
                                            self.xro_subobject.parent = self
                                            self.xro_subobject.name = 'xro_subobject'


                                        class XroSubobject(object):
                                            """
                                            List of XRO sub\-objects
                                            
                                            .. attribute:: as_subobject
                                            
                                            	AS sub\-object
                                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                            
                                            .. attribute:: ipv4_subobject
                                            
                                            	IPv4 sub\-object
                                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                            
                                            .. attribute:: ipv6_subobject
                                            
                                            	IPv6 sub\-object
                                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                            
                                            .. attribute:: lsp_subobject
                                            
                                            	P2P LSP sub\-object
                                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                            
                                            .. attribute:: srlg_subobject
                                            
                                            	SRLG sub\-object
                                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                            
                                            .. attribute:: unnumbered_subobject
                                            
                                            	Unnumbered sub\-object
                                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                self.as_subobject.parent = self
                                                self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                self.ipv4_subobject.parent = self
                                                self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                self.ipv6_subobject.parent = self
                                                self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                self.lsp_subobject.parent = self
                                                self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                self.srlg_subobject.parent = self
                                                self.type = None
                                                self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                self.unnumbered_subobject.parent = self


                                            class Ipv4Subobject(object):
                                                """
                                                IPv4 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv4 address
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                            class Ipv6Subobject(object):
                                                """
                                                IPv6 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv6 address
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                            class UnnumberedSubobject(object):
                                                """
                                                Unnumbered sub\-object
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: interface_id
                                                
                                                	Interface ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: te_router_id
                                                
                                                	TE router\-id
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.interface_id = None
                                                    self.te_router_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.interface_id is not None:
                                                        return True

                                                    if self.te_router_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                            class AsSubobject(object):
                                                """
                                                AS sub\-object
                                                
                                                .. attribute:: as_number
                                                
                                                	Autonomous System number
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_number = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_number is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                            class SrlgSubobject(object):
                                                """
                                                SRLG sub\-object
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: srlg_id
                                                
                                                	SRLG ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.exclusion_type = None
                                                    self.srlg_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.srlg_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                            class LspSubobject(object):
                                                """
                                                P2P LSP sub\-object
                                                
                                                .. attribute:: destination_node_exception
                                                
                                                	Destination\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: fec
                                                
                                                	LSP FEC
                                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                
                                                .. attribute:: ignore_lsp_id
                                                
                                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                	**type**\:  bool
                                                
                                                .. attribute:: penultimate_node_exception
                                                
                                                	Penultimate\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: processing_node_exception
                                                
                                                	Processing\-node exception flag
                                                	**type**\:  bool
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.destination_node_exception = None
                                                    self.exclusion_type = None
                                                    self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                    self.fec.parent = self
                                                    self.ignore_lsp_id = None
                                                    self.penultimate_node_exception = None
                                                    self.processing_node_exception = None


                                                class Fec(object):
                                                    """
                                                    LSP FEC
                                                    
                                                    .. attribute:: fec_destination_info
                                                    
                                                    	Destination or P2MP ID
                                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                    
                                                    .. attribute:: fec_extended_tunnel_id
                                                    
                                                    	Extended tunnel ID
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_lsp_id
                                                    
                                                    	LSP ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_source
                                                    
                                                    	Tunnel source address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_tunnel_id
                                                    
                                                    	Tunnel ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_vrf
                                                    
                                                    	VRF; currently only for GMPLS tunnels
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                        self.fec_destination_info.parent = self
                                                        self.fec_extended_tunnel_id = None
                                                        self.fec_lsp_id = None
                                                        self.fec_source = None
                                                        self.fec_tunnel_id = None
                                                        self.fec_vrf = None


                                                    class FecDestinationInfo(object):
                                                        """
                                                        Destination or P2MP ID
                                                        
                                                        .. attribute:: fec_ctype
                                                        
                                                        	FEC CType
                                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                        
                                                        .. attribute:: fec_destination_p2mp_id
                                                        
                                                        	P2MP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: p2p_lsp_destination
                                                        
                                                        	P2P LSP destination
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_ctype = None
                                                            self.fec_destination_p2mp_id = None
                                                            self.p2p_lsp_destination = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_ctype is not None:
                                                                return True

                                                            if self.fec_destination_p2mp_id is not None:
                                                                return True

                                                            if self.p2p_lsp_destination is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                            return True

                                                        if self.fec_extended_tunnel_id is not None:
                                                            return True

                                                        if self.fec_lsp_id is not None:
                                                            return True

                                                        if self.fec_source is not None:
                                                            return True

                                                        if self.fec_tunnel_id is not None:
                                                            return True

                                                        if self.fec_vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.destination_node_exception is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.fec is not None and self.fec._has_data():
                                                        return True

                                                    if self.ignore_lsp_id is not None:
                                                        return True

                                                    if self.penultimate_node_exception is not None:
                                                        return True

                                                    if self.processing_node_exception is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.as_subobject is not None and self.as_subobject._has_data():
                                                    return True

                                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                    return True

                                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                    return True

                                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                    return True

                                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.mutual_diversity_flag is not None:
                                                return True

                                            if self.xro_subobject is not None:
                                                for child_ref in self.xro_subobject:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.xro is not None and self.xro._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                class AttributeSetP2Mpte(object):
                                    """
                                    MPLS TE P2MP\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                        self.affinity.parent = self
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.frr_bandwidth_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_priority_configured = None
                                        self.setup_priority = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                class AttributeSetApsPp(object):
                                    """
                                    Attribute Set OTN APS Path Protection
                                    
                                    .. attribute:: hold_off_time
                                    
                                    	Hold\-off time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path Protection Profile Type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: protection_mode
                                    
                                    	Protection Restoration Mode
                                    	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                    
                                    .. attribute:: protection_type
                                    
                                    	Protection Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: restoration_style
                                    
                                    	Restoration Style
                                    	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                    
                                    .. attribute:: revert_schedule
                                    
                                    	Revert Schedule
                                    	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                    
                                    .. attribute:: snc_mode
                                    
                                    	Sub\-network Connection Mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	Sub\-network Connection Monitoring Mode
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wait_to_restore_time
                                    
                                    	Wait to restore time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.hold_off_time = None
                                        self.path_prot_profile_type = None
                                        self.protection_mode = None
                                        self.protection_type = None
                                        self.restoration_style = None
                                        self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                        self.revert_schedule.parent = self
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wait_to_restore_time = None


                                    class RevertSchedule(object):
                                        """
                                        Revert Schedule
                                        
                                        .. attribute:: duration
                                        
                                        	Duration for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_tries
                                        
                                        	Max tries for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_date
                                        
                                        	Schedule time for reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_frequency
                                        
                                        	Schedule frequency for reversion
                                        	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                        
                                        .. attribute:: schedulename
                                        
                                        	Schedule name identifier
                                        	**type**\:  str
                                        
                                        	**length:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.duration = None
                                            self.max_tries = None
                                            self.schedule_date = None
                                            self.schedule_frequency = None
                                            self.schedulename = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.duration is not None:
                                                return True

                                            if self.max_tries is not None:
                                                return True

                                            if self.schedule_date is not None:
                                                return True

                                            if self.schedule_frequency is not None:
                                                return True

                                            if self.schedulename is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.hold_off_time is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.protection_mode is not None:
                                            return True

                                        if self.protection_type is not None:
                                            return True

                                        if self.restoration_style is not None:
                                            return True

                                        if self.revert_schedule is not None and self.revert_schedule._has_data():
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wait_to_restore_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                class AttributeSetP2PTe(object):
                                    """
                                    MPLS TE P2P\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is Path Invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is Path Invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_select_configured
                                    
                                    	Is any of the path selection parameters configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_metric_configured
                                    
                                    	Is path selection metric configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                    
                                    	Is path selection segment routing configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_configured
                                    
                                    	Is path selection margin configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_relative
                                    
                                    	Path selection margin is\_relative
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_prepend_list_configured
                                    
                                    	Is SR prepend list configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation timeout on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                    
                                    .. attribute:: path_selection_metric
                                    
                                    	Path selection metric type
                                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_adjacency_protection
                                    
                                    	Path selection segment\-routing type
                                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_margin
                                    
                                    	Path selection margin
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_segment_routing_segment_limit
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: prepend_list
                                    
                                    	SR prepend list
                                    	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                        self.affinity.parent = self
                                        self.is_affinity_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_path_select_configured = None
                                        self.is_path_selection_metric_configured = None
                                        self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                        self.is_path_selection_segment_routing_margin_configured = None
                                        self.is_path_selection_segment_routing_margin_relative = None
                                        self.is_path_selection_segment_routing_segment_limit_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.is_prepend_list_configured = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                        self.logging.parent = self
                                        self.path_invalidation_timeout = None
                                        self.path_selection_invalidation_action = None
                                        self.path_selection_metric = None
                                        self.path_selection_segment_routing_adjacency_protection = None
                                        self.path_selection_segment_routing_margin = None
                                        self.path_selection_segment_routing_segment_limit = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.prepend_list = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                        self.prepend_list.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                    class PrependList(object):
                                        """
                                        SR prepend list
                                        
                                        .. attribute:: prepend_entry
                                        
                                        	List of prepend entries
                                        	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.prepend_entry = YList()
                                            self.prepend_entry.parent = self
                                            self.prepend_entry.name = 'prepend_entry'


                                        class PrependEntry(object):
                                            """
                                            List of prepend entries
                                            
                                            .. attribute:: index
                                            
                                            	Prepend index
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: next_label
                                            
                                            	Prepend next label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: type
                                            
                                            	Prepend Type
                                            	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.index = None
                                                self.next_label = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.index is not None:
                                                    return True

                                                if self.next_label is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.prepend_entry is not None:
                                                for child_ref in self.prepend_entry:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_path_select_configured is not None:
                                            return True

                                        if self.is_path_selection_metric_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_relative is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.is_prepend_list_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.path_selection_invalidation_action is not None:
                                            return True

                                        if self.path_selection_metric is not None:
                                            return True

                                        if self.path_selection_segment_routing_adjacency_protection is not None:
                                            return True

                                        if self.path_selection_segment_routing_margin is not None:
                                            return True

                                        if self.path_selection_segment_routing_segment_limit is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.prepend_list is not None and self.prepend_list._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                        return True

                                    if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                        return True

                                    if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                        return True

                                    if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                        return True

                                    if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                        return True

                                    if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                        return True

                                    if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                        return True

                                    if self.tunnel_attribute_set_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                    return True

                                if self.tunnel_attribute_set_name is not None:
                                    return True

                                if self.tunnel_attribute_set_name_crc32 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet']['meta_info']


                        class XroAttributeSet(object):
                            """
                            The XRO attribute set used by this path\-option
                            
                            .. attribute:: attribute_set_union
                            
                            	Union of Attribute Sets
                            	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion>`
                            
                            .. attribute:: tunnel_attribute_set_name
                            
                            	Attribute Set Name
                            	**type**\:  str
                            
                            .. attribute:: tunnel_attribute_set_name_crc32
                            
                            	Attribute Set name CRC32 value
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.attribute_set_union = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion()
                                self.attribute_set_union.parent = self
                                self.tunnel_attribute_set_name = None
                                self.tunnel_attribute_set_name_crc32 = None


                            class AttributeSetUnion(object):
                                """
                                Union of Attribute Sets
                                
                                .. attribute:: attribute_set_aps_pp
                                
                                	Attribute Set OTN APS Path Protection
                                	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                                
                                .. attribute:: attribute_set_autobackup
                                
                                	MPLS TE Auto\-backup Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                                
                                .. attribute:: attribute_set_automesh
                                
                                	MPLS TE Auto\-mesh Attribute Set
                                	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                                
                                .. attribute:: attribute_set_p2mpte
                                
                                	MPLS TE P2MP\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                                
                                .. attribute:: attribute_set_p2p_te
                                
                                	MPLS TE P2P\-TE Attribute Set
                                	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                                
                                .. attribute:: attribute_set_path_option
                                
                                	MPLS TE Path Option Attribute Set
                                	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                                
                                .. attribute:: attribute_set_xro
                                
                                	Attribute Set XRO
                                	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro>`
                                
                                .. attribute:: tunnel_attribute_set_type
                                
                                	TunnelAttributeSetType
                                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute_set_aps_pp = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp()
                                    self.attribute_set_aps_pp.parent = self
                                    self.attribute_set_autobackup = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                                    self.attribute_set_autobackup.parent = self
                                    self.attribute_set_automesh = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                                    self.attribute_set_automesh.parent = self
                                    self.attribute_set_p2mpte = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                                    self.attribute_set_p2mpte.parent = self
                                    self.attribute_set_p2p_te = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                                    self.attribute_set_p2p_te.parent = self
                                    self.attribute_set_path_option = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption()
                                    self.attribute_set_path_option.parent = self
                                    self.attribute_set_xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro()
                                    self.attribute_set_xro.parent = self
                                    self.tunnel_attribute_set_type = None


                                class AttributeSetPathOption(object):
                                    """
                                    MPLS TE Path Option Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                                    
                                    .. attribute:: bandwidth_type
                                    
                                    	The bandwidth type
                                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                                    
                                    .. attribute:: bfd_reverse_path
                                    
                                    	BFD reverse path
                                    	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: cost_limit
                                    
                                    	Cost limit on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: exclude_list_name
                                    
                                    	Exclude list name
                                    	**type**\:  str
                                    
                                    .. attribute:: generation
                                    
                                    	Generation
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bfd_reverse_pat_configured
                                    
                                    	Is BFD reverse path configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_cost_limit_configured
                                    
                                    	Is Cost Limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_exclude_list_name_configured
                                    
                                    	Is exclude list name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is path invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is path invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: path_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation interval on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: version_info
                                    
                                    	Version Info
                                    	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                                        self.affinity.parent = self
                                        self.bandwidth_type = None
                                        self.bfd_reverse_path = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                                        self.bfd_reverse_path.parent = self
                                        self.configured_bandwidth = None
                                        self.cost_limit = None
                                        self.dste_class_type = None
                                        self.exclude_list_name = None
                                        self.generation = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_bfd_reverse_pat_configured = None
                                        self.is_cost_limit_configured = None
                                        self.is_exclude_list_name_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.path_invalidation_action = None
                                        self.path_invalidation_timeout = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'
                                        self.version_info = YList()
                                        self.version_info.parent = self
                                        self.version_info.name = 'version_info'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                                    class BfdReversePath(object):
                                        """
                                        BFD reverse path
                                        
                                        .. attribute:: binding_label
                                        
                                        	BFD reverse path binding label
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: path_type
                                        
                                        	BFD reverse path type
                                        	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.binding_label = None
                                            self.path_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.binding_label is not None:
                                                return True

                                            if self.path_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                                    class VersionInfo(object):
                                        """
                                        Version Info
                                        
                                        .. attribute:: attribute_type
                                        
                                        	Attribute Type
                                        	**type**\:  str
                                        
                                        .. attribute:: generation
                                        
                                        	Generation
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: is_default
                                        
                                        	Is default
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.attribute_type = None
                                            self.generation = None
                                            self.is_default = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.attribute_type is not None:
                                                return True

                                            if self.generation is not None:
                                                return True

                                            if self.is_default is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.bandwidth_type is not None:
                                            return True

                                        if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.cost_limit is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.exclude_list_name is not None:
                                            return True

                                        if self.generation is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_bfd_reverse_pat_configured is not None:
                                            return True

                                        if self.is_cost_limit_configured is not None:
                                            return True

                                        if self.is_exclude_list_name_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.path_invalidation_action is not None:
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        if self.version_info is not None:
                                            for child_ref in self.version_info:
                                                if child_ref._has_data():
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                                class AttributeSetAutobackup(object):
                                    """
                                    MPLS TE Auto\-backup Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_signalled_name_configured
                                    
                                    	Is signalled name configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: protected_interface
                                    
                                    	Array of Protected Interface Names
                                    	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: signalled_name
                                    
                                    	Signalled name
                                    	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                                        self.affinity.parent = self
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.is_signalled_name_configured = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                                        self.logging.parent = self
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.protected_interface = YList()
                                        self.protected_interface.parent = self
                                        self.protected_interface.name = 'protected_interface'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.signalled_name = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                                        self.signalled_name.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class SignalledName(object):
                                        """
                                        Signalled name
                                        
                                        .. attribute:: is_mp_addresses
                                        
                                        	MP address appended
                                        	**type**\:  bool
                                        
                                        .. attribute:: name
                                        
                                        	Signalled name
                                        	**type**\:  str
                                        
                                        .. attribute:: protected_interface_type
                                        
                                        	Protected interface address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        .. attribute:: source_type
                                        
                                        	Source address or name
                                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.is_mp_addresses = None
                                            self.name = None
                                            self.protected_interface_type = None
                                            self.source_type = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.is_mp_addresses is not None:
                                                return True

                                            if self.name is not None:
                                                return True

                                            if self.protected_interface_type is not None:
                                                return True

                                            if self.source_type is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                                    class ProtectedInterface(object):
                                        """
                                        Array of Protected Interface Names
                                        
                                        .. attribute:: protected_interface
                                        
                                        	Protected Interface Name
                                        	**type**\:  str
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.protected_interface = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.protected_interface is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.is_signalled_name_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.protected_interface is not None:
                                            for child_ref in self.protected_interface:
                                                if child_ref._has_data():
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.signalled_name is not None and self.signalled_name._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                                class AttributeSetAutomesh(object):
                                    """
                                    MPLS TE Auto\-mesh Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                                    
                                    .. attribute:: auto_bandwidth_collect
                                    
                                    	Auto bandwidth collect only
                                    	**type**\:  bool
                                    
                                    .. attribute:: auto_route_announce
                                    
                                    	Announce auto route to IGP
                                    	**type**\:  bool
                                    
                                    .. attribute:: bandwidth
                                    
                                    	IM bandwidth
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: forward_class
                                    
                                    	Forward class
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_node_protection
                                    
                                    	FRR Node protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_interface_bw_configured
                                    
                                    	Is Interface BW configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_policyclass_configured
                                    
                                    	Is policy class configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: load_share
                                    
                                    	Load Share
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                                    
                                    .. attribute:: mesh_group_id
                                    
                                    	Meshgroup ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: policy_class
                                    
                                    	deprecated
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: policy_class_entry
                                    
                                    	PBTS policy classes
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: record_route
                                    
                                    	Record route
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: soft_preemption_configured
                                    
                                    	Soft preemption is configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                                        self.affinity.parent = self
                                        self.auto_bandwidth_collect = None
                                        self.auto_route_announce = None
                                        self.bandwidth = None
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.forward_class = None
                                        self.frr_bandwidth_protection = None
                                        self.frr_node_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_interface_bw_configured = None
                                        self.is_policyclass_configured = None
                                        self.is_priority_configured = None
                                        self.load_share = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                                        self.logging.parent = self
                                        self.mesh_group_id = YLeafList()
                                        self.mesh_group_id.parent = self
                                        self.mesh_group_id.name = 'mesh_group_id'
                                        self.policy_class = None
                                        self.policy_class_entry = YLeafList()
                                        self.policy_class_entry.parent = self
                                        self.policy_class_entry.name = 'policy_class_entry'
                                        self.record_route = None
                                        self.setup_priority = None
                                        self.soft_preemption_configured = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.auto_bandwidth_collect is not None:
                                            return True

                                        if self.auto_route_announce is not None:
                                            return True

                                        if self.bandwidth is not None:
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.forward_class is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.frr_node_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_interface_bw_configured is not None:
                                            return True

                                        if self.is_policyclass_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.load_share is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.mesh_group_id is not None:
                                            for child in self.mesh_group_id:
                                                if child is not None:
                                                    return True

                                        if self.policy_class is not None:
                                            return True

                                        if self.policy_class_entry is not None:
                                            for child in self.policy_class_entry:
                                                if child is not None:
                                                    return True

                                        if self.record_route is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.soft_preemption_configured is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                                class AttributeSetXro(object):
                                    """
                                    Attribute Set XRO
                                    
                                    .. attribute:: xro
                                    
                                    	The XRO specified by this attribute\-set
                                    	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.xro = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                                        self.xro.parent = self


                                    class Xro(object):
                                        """
                                        The XRO specified by this attribute\-set
                                        
                                        .. attribute:: mutual_diversity_flag
                                        
                                        	Mutual Diversity Flag
                                        	**type**\:  bool
                                        
                                        .. attribute:: xro_subobject
                                        
                                        	List of XRO sub\-objects
                                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.mutual_diversity_flag = None
                                            self.xro_subobject = YList()
                                            self.xro_subobject.parent = self
                                            self.xro_subobject.name = 'xro_subobject'


                                        class XroSubobject(object):
                                            """
                                            List of XRO sub\-objects
                                            
                                            .. attribute:: as_subobject
                                            
                                            	AS sub\-object
                                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                                            
                                            .. attribute:: ipv4_subobject
                                            
                                            	IPv4 sub\-object
                                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                                            
                                            .. attribute:: ipv6_subobject
                                            
                                            	IPv6 sub\-object
                                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                                            
                                            .. attribute:: lsp_subobject
                                            
                                            	P2P LSP sub\-object
                                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                                            
                                            .. attribute:: srlg_subobject
                                            
                                            	SRLG sub\-object
                                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                                            
                                            .. attribute:: type
                                            
                                            	Type
                                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                                            
                                            .. attribute:: unnumbered_subobject
                                            
                                            	Unnumbered sub\-object
                                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.as_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                                self.as_subobject.parent = self
                                                self.ipv4_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                                self.ipv4_subobject.parent = self
                                                self.ipv6_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                                self.ipv6_subobject.parent = self
                                                self.lsp_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                                self.lsp_subobject.parent = self
                                                self.srlg_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                                self.srlg_subobject.parent = self
                                                self.type = None
                                                self.unnumbered_subobject = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                                self.unnumbered_subobject.parent = self


                                            class Ipv4Subobject(object):
                                                """
                                                IPv4 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv4 address
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                                            class Ipv6Subobject(object):
                                                """
                                                IPv6 sub\-object
                                                
                                                .. attribute:: address
                                                
                                                	IPv6 address
                                                	**type**\:  str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: prefix_len
                                                
                                                	Prefix length
                                                	**type**\:  int
                                                
                                                	**range:** 0..255
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.address = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.prefix_len = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.address is not None:
                                                        return True

                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.prefix_len is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                                            class UnnumberedSubobject(object):
                                                """
                                                Unnumbered sub\-object
                                                
                                                .. attribute:: attribute
                                                
                                                	Attribute
                                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: interface_id
                                                
                                                	Interface ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: te_router_id
                                                
                                                	TE router\-id
                                                	**type**\:  str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.attribute = None
                                                    self.exclusion_type = None
                                                    self.interface_id = None
                                                    self.te_router_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.attribute is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.interface_id is not None:
                                                        return True

                                                    if self.te_router_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                                            class AsSubobject(object):
                                                """
                                                AS sub\-object
                                                
                                                .. attribute:: as_number
                                                
                                                	Autonomous System number
                                                	**type**\:  int
                                                
                                                	**range:** 0..65535
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.as_number = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.as_number is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                                            class SrlgSubobject(object):
                                                """
                                                SRLG sub\-object
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: srlg_id
                                                
                                                	SRLG ID
                                                	**type**\:  int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.exclusion_type = None
                                                    self.srlg_id = None

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.srlg_id is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                                            class LspSubobject(object):
                                                """
                                                P2P LSP sub\-object
                                                
                                                .. attribute:: destination_node_exception
                                                
                                                	Destination\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: exclusion_type
                                                
                                                	Exclusion Type
                                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                                
                                                .. attribute:: fec
                                                
                                                	LSP FEC
                                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                                
                                                .. attribute:: ignore_lsp_id
                                                
                                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                                	**type**\:  bool
                                                
                                                .. attribute:: penultimate_node_exception
                                                
                                                	Penultimate\-node exception flag
                                                	**type**\:  bool
                                                
                                                .. attribute:: processing_node_exception
                                                
                                                	Processing\-node exception flag
                                                	**type**\:  bool
                                                
                                                

                                                """

                                                _prefix = 'mpls-te-oper'
                                                _revision = '2015-11-09'

                                                def __init__(self):
                                                    self.parent = None
                                                    self.destination_node_exception = None
                                                    self.exclusion_type = None
                                                    self.fec = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                                    self.fec.parent = self
                                                    self.ignore_lsp_id = None
                                                    self.penultimate_node_exception = None
                                                    self.processing_node_exception = None


                                                class Fec(object):
                                                    """
                                                    LSP FEC
                                                    
                                                    .. attribute:: fec_destination_info
                                                    
                                                    	Destination or P2MP ID
                                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                                    
                                                    .. attribute:: fec_extended_tunnel_id
                                                    
                                                    	Extended tunnel ID
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_lsp_id
                                                    
                                                    	LSP ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_source
                                                    
                                                    	Tunnel source address
                                                    	**type**\:  str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: fec_tunnel_id
                                                    
                                                    	Tunnel ID
                                                    	**type**\:  int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: fec_vrf
                                                    
                                                    	VRF; currently only for GMPLS tunnels
                                                    	**type**\:  str
                                                    
                                                    

                                                    """

                                                    _prefix = 'mpls-te-oper'
                                                    _revision = '2015-11-09'

                                                    def __init__(self):
                                                        self.parent = None
                                                        self.fec_destination_info = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                                        self.fec_destination_info.parent = self
                                                        self.fec_extended_tunnel_id = None
                                                        self.fec_lsp_id = None
                                                        self.fec_source = None
                                                        self.fec_tunnel_id = None
                                                        self.fec_vrf = None


                                                    class FecDestinationInfo(object):
                                                        """
                                                        Destination or P2MP ID
                                                        
                                                        .. attribute:: fec_ctype
                                                        
                                                        	FEC CType
                                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                                        
                                                        .. attribute:: fec_destination_p2mp_id
                                                        
                                                        	P2MP ID
                                                        	**type**\:  int
                                                        
                                                        	**range:** 0..4294967295
                                                        
                                                        .. attribute:: p2p_lsp_destination
                                                        
                                                        	P2P LSP destination
                                                        	**type**\:  str
                                                        
                                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                        
                                                        

                                                        """

                                                        _prefix = 'mpls-te-oper'
                                                        _revision = '2015-11-09'

                                                        def __init__(self):
                                                            self.parent = None
                                                            self.fec_ctype = None
                                                            self.fec_destination_p2mp_id = None
                                                            self.p2p_lsp_destination = None

                                                        @property
                                                        def _common_path(self):
                                                            if self.parent is None:
                                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                                        def is_config(self):
                                                            ''' Returns True if this instance represents config data else returns False '''
                                                            return False

                                                        def _has_data(self):
                                                            if not self.is_config():
                                                                return False
                                                            if self.fec_ctype is not None:
                                                                return True

                                                            if self.fec_destination_p2mp_id is not None:
                                                                return True

                                                            if self.p2p_lsp_destination is not None:
                                                                return True

                                                            return False

                                                        @staticmethod
                                                        def _meta_info():
                                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                                    @property
                                                    def _common_path(self):
                                                        if self.parent is None:
                                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                                    def is_config(self):
                                                        ''' Returns True if this instance represents config data else returns False '''
                                                        return False

                                                    def _has_data(self):
                                                        if not self.is_config():
                                                            return False
                                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                                            return True

                                                        if self.fec_extended_tunnel_id is not None:
                                                            return True

                                                        if self.fec_lsp_id is not None:
                                                            return True

                                                        if self.fec_source is not None:
                                                            return True

                                                        if self.fec_tunnel_id is not None:
                                                            return True

                                                        if self.fec_vrf is not None:
                                                            return True

                                                        return False

                                                    @staticmethod
                                                    def _meta_info():
                                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                                @property
                                                def _common_path(self):
                                                    if self.parent is None:
                                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                                def is_config(self):
                                                    ''' Returns True if this instance represents config data else returns False '''
                                                    return False

                                                def _has_data(self):
                                                    if not self.is_config():
                                                        return False
                                                    if self.destination_node_exception is not None:
                                                        return True

                                                    if self.exclusion_type is not None:
                                                        return True

                                                    if self.fec is not None and self.fec._has_data():
                                                        return True

                                                    if self.ignore_lsp_id is not None:
                                                        return True

                                                    if self.penultimate_node_exception is not None:
                                                        return True

                                                    if self.processing_node_exception is not None:
                                                        return True

                                                    return False

                                                @staticmethod
                                                def _meta_info():
                                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.as_subobject is not None and self.as_subobject._has_data():
                                                    return True

                                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                                    return True

                                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                                    return True

                                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                                    return True

                                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.mutual_diversity_flag is not None:
                                                return True

                                            if self.xro_subobject is not None:
                                                for child_ref in self.xro_subobject:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.xro is not None and self.xro._has_data():
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                                class AttributeSetP2Mpte(object):
                                    """
                                    MPLS TE P2MP\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                                    
                                    .. attribute:: configured_bandwidth
                                    
                                    	Bandwidth value in kbps
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    	**units**\: kbit/s
                                    
                                    .. attribute:: dste_class_type
                                    
                                    	DSTE Class
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: fast_reroute
                                    
                                    	Fast reroute
                                    	**type**\:  bool
                                    
                                    .. attribute:: frr_bandwidth_protection
                                    
                                    	FRR bandwidth protection
                                    	**type**\:  bool
                                    
                                    .. attribute:: hold_priority
                                    
                                    	Hold priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_bandwidth_configured
                                    
                                    	Is bandwidth configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_priority_configured
                                    
                                    	Is priority configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: setup_priority
                                    
                                    	Setup priority
                                    	**type**\:  int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                                        self.affinity.parent = self
                                        self.configured_bandwidth = None
                                        self.dste_class_type = None
                                        self.fast_reroute = None
                                        self.frr_bandwidth_protection = None
                                        self.hold_priority = None
                                        self.is_affinity_configured = None
                                        self.is_bandwidth_configured = None
                                        self.is_priority_configured = None
                                        self.setup_priority = None
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.configured_bandwidth is not None:
                                            return True

                                        if self.dste_class_type is not None:
                                            return True

                                        if self.fast_reroute is not None:
                                            return True

                                        if self.frr_bandwidth_protection is not None:
                                            return True

                                        if self.hold_priority is not None:
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_bandwidth_configured is not None:
                                            return True

                                        if self.is_priority_configured is not None:
                                            return True

                                        if self.setup_priority is not None:
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                                class AttributeSetApsPp(object):
                                    """
                                    Attribute Set OTN APS Path Protection
                                    
                                    .. attribute:: hold_off_time
                                    
                                    	Hold\-off time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_prot_profile_type
                                    
                                    	Path Protection Profile Type
                                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                                    
                                    .. attribute:: protection_mode
                                    
                                    	Protection Restoration Mode
                                    	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                                    
                                    .. attribute:: protection_type
                                    
                                    	Protection Type
                                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                                    
                                    .. attribute:: restoration_style
                                    
                                    	Restoration Style
                                    	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                                    
                                    .. attribute:: revert_schedule
                                    
                                    	Revert Schedule
                                    	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                                    
                                    .. attribute:: snc_mode
                                    
                                    	Sub\-network Connection Mode
                                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                                    
                                    .. attribute:: tcm_id
                                    
                                    	Sub\-network Connection Monitoring Mode
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: wait_to_restore_time
                                    
                                    	Wait to restore time
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.hold_off_time = None
                                        self.path_prot_profile_type = None
                                        self.protection_mode = None
                                        self.protection_type = None
                                        self.restoration_style = None
                                        self.revert_schedule = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                                        self.revert_schedule.parent = self
                                        self.snc_mode = None
                                        self.tcm_id = None
                                        self.wait_to_restore_time = None


                                    class RevertSchedule(object):
                                        """
                                        Revert Schedule
                                        
                                        .. attribute:: duration
                                        
                                        	Duration for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: max_tries
                                        
                                        	Max tries for scheduled reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_date
                                        
                                        	Schedule time for reversion
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: schedule_frequency
                                        
                                        	Schedule frequency for reversion
                                        	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                                        
                                        .. attribute:: schedulename
                                        
                                        	Schedule name identifier
                                        	**type**\:  str
                                        
                                        	**length:** 0..255
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.duration = None
                                            self.max_tries = None
                                            self.schedule_date = None
                                            self.schedule_frequency = None
                                            self.schedulename = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.duration is not None:
                                                return True

                                            if self.max_tries is not None:
                                                return True

                                            if self.schedule_date is not None:
                                                return True

                                            if self.schedule_frequency is not None:
                                                return True

                                            if self.schedulename is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.hold_off_time is not None:
                                            return True

                                        if self.path_prot_profile_type is not None:
                                            return True

                                        if self.protection_mode is not None:
                                            return True

                                        if self.protection_type is not None:
                                            return True

                                        if self.restoration_style is not None:
                                            return True

                                        if self.revert_schedule is not None and self.revert_schedule._has_data():
                                            return True

                                        if self.snc_mode is not None:
                                            return True

                                        if self.tcm_id is not None:
                                            return True

                                        if self.wait_to_restore_time is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                                class AttributeSetP2PTe(object):
                                    """
                                    MPLS TE P2P\-TE Attribute Set
                                    
                                    .. attribute:: affinity
                                    
                                    	Affinity
                                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                                    
                                    .. attribute:: is_affinity_configured
                                    
                                    	Is affinity configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_action_configured
                                    
                                    	Is Path Invalidation action configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_invalidation_timeout_configured
                                    
                                    	Is Path Invalidation timeout configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_select_configured
                                    
                                    	Is any of the path selection parameters configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_metric_configured
                                    
                                    	Is path selection metric configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                                    
                                    	Is path selection segment routing configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_configured
                                    
                                    	Is path selection margin configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_margin_relative
                                    
                                    	Path selection margin is\_relative
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_configured
                                    
                                    	Is PCE Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_group_id_configured
                                    
                                    	Is PCE Disjoint Path Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_source_configured
                                    
                                    	Is PCE Disjoint Path Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pce_disj_type_configured
                                    
                                    	Is PCE Disjoint Path Type Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pceb_dj_source_configured
                                    
                                    	Is PCE Bidirectional Source Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_pcebd_group_id_configured
                                    
                                    	Is PCE Bidirectional Group ID Configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: is_prepend_list_configured
                                    
                                    	Is SR prepend list configured
                                    	**type**\:  bool
                                    
                                    .. attribute:: logging
                                    
                                    	Logging attributes
                                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                                    
                                    .. attribute:: path_invalidation_timeout
                                    
                                    	Path invalidation timeout on the tunnel path
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_invalidation_action
                                    
                                    	Path invalidation action
                                    	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                                    
                                    .. attribute:: path_selection_metric
                                    
                                    	Path selection metric type
                                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_adjacency_protection
                                    
                                    	Path selection segment\-routing type
                                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                                    
                                    .. attribute:: path_selection_segment_routing_margin
                                    
                                    	Path selection margin
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: path_selection_segment_routing_segment_limit
                                    
                                    	Is path selection segment limit configured
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_group_id
                                    
                                    	PCE Bidirectional Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcebd_source_address
                                    
                                    	PCE Bidirectional Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_group_id
                                    
                                    	PCE Disjoint Path Group ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_source_address
                                    
                                    	PCE Disjoint Path Source Address
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: pcedp_type
                                    
                                    	PCE Disjoint Path Type
                                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                                    
                                    .. attribute:: prepend_list
                                    
                                    	SR prepend list
                                    	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                                    
                                    .. attribute:: tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  list of int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.affinity = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                                        self.affinity.parent = self
                                        self.is_affinity_configured = None
                                        self.is_path_invalidation_action_configured = None
                                        self.is_path_invalidation_timeout_configured = None
                                        self.is_path_select_configured = None
                                        self.is_path_selection_metric_configured = None
                                        self.is_path_selection_segment_routing_adjacency_protection_configured = None
                                        self.is_path_selection_segment_routing_margin_configured = None
                                        self.is_path_selection_segment_routing_margin_relative = None
                                        self.is_path_selection_segment_routing_segment_limit_configured = None
                                        self.is_pce_configured = None
                                        self.is_pce_disj_group_id_configured = None
                                        self.is_pce_disj_source_configured = None
                                        self.is_pce_disj_type_configured = None
                                        self.is_pceb_dj_source_configured = None
                                        self.is_pcebd_group_id_configured = None
                                        self.is_prepend_list_configured = None
                                        self.logging = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                                        self.logging.parent = self
                                        self.path_invalidation_timeout = None
                                        self.path_selection_invalidation_action = None
                                        self.path_selection_metric = None
                                        self.path_selection_segment_routing_adjacency_protection = None
                                        self.path_selection_segment_routing_margin = None
                                        self.path_selection_segment_routing_segment_limit = None
                                        self.pcebd_group_id = None
                                        self.pcebd_source_address = None
                                        self.pcedp_group_id = None
                                        self.pcedp_source_address = None
                                        self.pcedp_type = None
                                        self.prepend_list = MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                                        self.prepend_list.parent = self
                                        self.tunnel_id = YLeafList()
                                        self.tunnel_id.parent = self
                                        self.tunnel_id.name = 'tunnel_id'


                                    class Affinity(object):
                                        """
                                        Affinity
                                        
                                        .. attribute:: affinity_bits
                                        
                                        	The affinity bits (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: affinity_mask
                                        
                                        	The affinity mask (colors)
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: named_affinity
                                        
                                        	Array of name based constratints currently applied to the tunnel
                                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.affinity_bits = None
                                            self.affinity_mask = None
                                            self.named_affinity = YList()
                                            self.named_affinity.parent = self
                                            self.named_affinity.name = 'named_affinity'


                                        class NamedAffinity(object):
                                            """
                                            Array of name based constratints currently
                                            applied to the tunnel
                                            
                                            .. attribute:: constraint_extended_value
                                            
                                            	Constraint value
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: constraint_type
                                            
                                            	Constraint type
                                            	**type**\:  int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: constraint_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: extended_forward_ref_value
                                            
                                            	Reference bits for undefined affinity names
                                            	**type**\:  list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: forward_ref_value
                                            
                                            	Deprecated
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.constraint_extended_value = YLeafList()
                                                self.constraint_extended_value.parent = self
                                                self.constraint_extended_value.name = 'constraint_extended_value'
                                                self.constraint_type = None
                                                self.constraint_value = None
                                                self.extended_forward_ref_value = YLeafList()
                                                self.extended_forward_ref_value.parent = self
                                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                                self.forward_ref_value = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.constraint_extended_value is not None:
                                                    for child in self.constraint_extended_value:
                                                        if child is not None:
                                                            return True

                                                if self.constraint_type is not None:
                                                    return True

                                                if self.constraint_value is not None:
                                                    return True

                                                if self.extended_forward_ref_value is not None:
                                                    for child in self.extended_forward_ref_value:
                                                        if child is not None:
                                                            return True

                                                if self.forward_ref_value is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.affinity_bits is not None:
                                                return True

                                            if self.affinity_mask is not None:
                                                return True

                                            if self.named_affinity is not None:
                                                for child_ref in self.named_affinity:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                                    class Logging(object):
                                        """
                                        Logging attributes
                                        
                                        .. attribute:: all_logging_enabled
                                        
                                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_bandwidth_change
                                        
                                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_insufficient_bw
                                        
                                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_pcalc_failure_logging_enabled
                                        
                                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_opt
                                        
                                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_re_route
                                        
                                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: lsp_state
                                        
                                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        .. attribute:: s2l_state
                                        
                                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                                        	**type**\:  bool
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.all_logging_enabled = None
                                            self.lsp_bandwidth_change = None
                                            self.lsp_insufficient_bw = None
                                            self.lsp_pcalc_failure_logging_enabled = None
                                            self.lsp_re_opt = None
                                            self.lsp_re_route = None
                                            self.lsp_state = None
                                            self.s2l_state = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.all_logging_enabled is not None:
                                                return True

                                            if self.lsp_bandwidth_change is not None:
                                                return True

                                            if self.lsp_insufficient_bw is not None:
                                                return True

                                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                                return True

                                            if self.lsp_re_opt is not None:
                                                return True

                                            if self.lsp_re_route is not None:
                                                return True

                                            if self.lsp_state is not None:
                                                return True

                                            if self.s2l_state is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                                    class PrependList(object):
                                        """
                                        SR prepend list
                                        
                                        .. attribute:: prepend_entry
                                        
                                        	List of prepend entries
                                        	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.prepend_entry = YList()
                                            self.prepend_entry.parent = self
                                            self.prepend_entry.name = 'prepend_entry'


                                        class PrependEntry(object):
                                            """
                                            List of prepend entries
                                            
                                            .. attribute:: index
                                            
                                            	Prepend index
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: next_label
                                            
                                            	Prepend next label
                                            	**type**\:  int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: type
                                            
                                            	Prepend Type
                                            	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                                            
                                            

                                            """

                                            _prefix = 'mpls-te-oper'
                                            _revision = '2015-11-09'

                                            def __init__(self):
                                                self.parent = None
                                                self.index = None
                                                self.next_label = None
                                                self.type = None

                                            @property
                                            def _common_path(self):
                                                if self.parent is None:
                                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                                            def is_config(self):
                                                ''' Returns True if this instance represents config data else returns False '''
                                                return False

                                            def _has_data(self):
                                                if not self.is_config():
                                                    return False
                                                if self.index is not None:
                                                    return True

                                                if self.next_label is not None:
                                                    return True

                                                if self.type is not None:
                                                    return True

                                                return False

                                            @staticmethod
                                            def _meta_info():
                                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.prepend_entry is not None:
                                                for child_ref in self.prepend_entry:
                                                    if child_ref._has_data():
                                                        return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.affinity is not None and self.affinity._has_data():
                                            return True

                                        if self.is_affinity_configured is not None:
                                            return True

                                        if self.is_path_invalidation_action_configured is not None:
                                            return True

                                        if self.is_path_invalidation_timeout_configured is not None:
                                            return True

                                        if self.is_path_select_configured is not None:
                                            return True

                                        if self.is_path_selection_metric_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_configured is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_margin_relative is not None:
                                            return True

                                        if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                                            return True

                                        if self.is_pce_configured is not None:
                                            return True

                                        if self.is_pce_disj_group_id_configured is not None:
                                            return True

                                        if self.is_pce_disj_source_configured is not None:
                                            return True

                                        if self.is_pce_disj_type_configured is not None:
                                            return True

                                        if self.is_pceb_dj_source_configured is not None:
                                            return True

                                        if self.is_pcebd_group_id_configured is not None:
                                            return True

                                        if self.is_prepend_list_configured is not None:
                                            return True

                                        if self.logging is not None and self.logging._has_data():
                                            return True

                                        if self.path_invalidation_timeout is not None:
                                            return True

                                        if self.path_selection_invalidation_action is not None:
                                            return True

                                        if self.path_selection_metric is not None:
                                            return True

                                        if self.path_selection_segment_routing_adjacency_protection is not None:
                                            return True

                                        if self.path_selection_segment_routing_margin is not None:
                                            return True

                                        if self.path_selection_segment_routing_segment_limit is not None:
                                            return True

                                        if self.pcebd_group_id is not None:
                                            return True

                                        if self.pcebd_source_address is not None:
                                            return True

                                        if self.pcedp_group_id is not None:
                                            return True

                                        if self.pcedp_source_address is not None:
                                            return True

                                        if self.pcedp_type is not None:
                                            return True

                                        if self.prepend_list is not None and self.prepend_list._has_data():
                                            return True

                                        if self.tunnel_id is not None:
                                            for child in self.tunnel_id:
                                                if child is not None:
                                                    return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                                        return True

                                    if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                                        return True

                                    if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                                        return True

                                    if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                                        return True

                                    if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                                        return True

                                    if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                                        return True

                                    if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                                        return True

                                    if self.tunnel_attribute_set_type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-attribute-set'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                                    return True

                                if self.tunnel_attribute_set_name is not None:
                                    return True

                                if self.tunnel_attribute_set_name_crc32 is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet']['meta_info']


                        class PathCalculationError(object):
                            """
                            Path computation information
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-calculation-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.PathCalculationError']['meta_info']


                        class RemergeError(object):
                            """
                            Path computation remerge resolve info
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: log_time
                            
                            	Time in seconds seconds (since Jan. 1, 1970) when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSP Mode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error_message = None
                                self.log_time = None
                                self.lsp_mode = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:remerge-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error_message is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.RemergeError']['meta_info']


                        class SignallingError(object):
                            """
                            Signalling information
                            
                            .. attribute:: error
                            
                            	Path Error code
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: error_message
                            
                            	Error message (for display purposes only)
                            	**type**\:  str
                            
                            .. attribute:: error_node
                            
                            	Source address of the error generating node
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: log_time
                            
                            	Time in seconds when the error message is logged
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: lsp_mode
                            
                            	LSPMode
                            	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                            
                            .. attribute:: reverse_lsp
                            
                            	Indicates if error is on the reverse LSP
                            	**type**\:  bool
                            
                            .. attribute:: signalling_lsp_id
                            
                            	LSP\-id for which the error was received
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: sub_code
                            
                            	Path Error subcode
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.error = None
                                self.error_message = None
                                self.error_node = None
                                self.log_time = None
                                self.lsp_mode = None
                                self.reverse_lsp = None
                                self.signalling_lsp_id = None
                                self.sub_code = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalling-error'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.error is not None:
                                    return True

                                if self.error_message is not None:
                                    return True

                                if self.error_node is not None:
                                    return True

                                if self.log_time is not None:
                                    return True

                                if self.lsp_mode is not None:
                                    return True

                                if self.reverse_lsp is not None:
                                    return True

                                if self.signalling_lsp_id is not None:
                                    return True

                                if self.sub_code is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.SignallingError']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:path-option'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.attribute_set is not None and self.attribute_set._has_data():
                                return True

                            if self.attribute_set_found is not None:
                                return True

                            if self.explicit_path_id is not None:
                                return True

                            if self.explicit_path_name is not None:
                                return True

                            if self.has_attribute_set is not None:
                                return True

                            if self.has_xro_attribute_set is not None:
                                return True

                            if self.holddown_duration is not None:
                                return True

                            if self.is_disabled is not None:
                                return True

                            if self.is_helddown is not None:
                                return True

                            if self.is_lockdown is not None:
                                return True

                            if self.is_segment_routing is not None:
                                return True

                            if self.is_strict_explicit_path is not None:
                                return True

                            if self.is_verbatim is not None:
                                return True

                            if self.option_index is not None:
                                return True

                            if self.option_index_is_valid is not None:
                                return True

                            if self.path_calculation_error is not None:
                                for child_ref in self.path_calculation_error:
                                    if child_ref._has_data():
                                        return True

                            if self.path_option_area_id is not None:
                                return True

                            if self.path_option_name is not None:
                                return True

                            if self.path_option_type is not None:
                                return True

                            if self.pce_address is not None:
                                return True

                            if self.protected_by_path_option_index is not None:
                                return True

                            if self.remerge_error is not None:
                                for child_ref in self.remerge_error:
                                    if child_ref._has_data():
                                        return True

                            if self.restored_from_path_option_index is not None:
                                return True

                            if self.signalling_error is not None:
                                for child_ref in self.signalling_error:
                                    if child_ref._has_data():
                                        return True

                            if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                                return True

                            if self.xro_attribute_set_found is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:destination'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.active_path_option_index is not None:
                            return True

                        if self.destination_address is not None:
                            return True

                        if self.destination_deletion_cause is not None:
                            return True

                        if self.destination_deletion_sub_cause is not None:
                            return True

                        if self.destination_deletion_timestamp is not None:
                            return True

                        if self.destination_state is not None:
                            return True

                        if self.inter_area_reoptimization is not None and self.inter_area_reoptimization._has_data():
                            return True

                        if self.is_inter_area is not None:
                            return True

                        if self.path_change_time is not None:
                            return True

                        if self.path_option is not None:
                            for child_ref in self.path_option:
                                if child_ref._has_data():
                                    return True

                        if self.path_option_entry is not None:
                            for child_ref in self.path_option_entry:
                                if child_ref._has_data():
                                    return True

                        if self.path_option_exhausted is not None:
                            return True

                        if self.s2l_exist is not None:
                            return True

                        if self.total_uptime is not None:
                            return True

                        if self.uptime is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination']['meta_info']

                @property
                def _common_path(self):
                    if self.tunnel_name is None:
                        raise YPYModelError('Key property tunnel_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:p2p-p2mp-tunnel/Cisco-IOS-XR-mpls-te-oper:tunnel-heads/Cisco-IOS-XR-mpls-te-oper:tunnel-head[Cisco-IOS-XR-mpls-te-oper:tunnel-name = ' + str(self.tunnel_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.tunnel_name is not None:
                        return True

                    if self.admin_state is not None:
                        return True

                    if self.affinity_failure_delayed_tear_time_remained is not None:
                        return True

                    if self.affinity_failure_reopt_disabled is not None:
                        return True

                    if self.affinity_failure_reopt_time_remained is not None:
                        return True

                    if self.area_id is not None:
                        return True

                    if self.auto_backup is not None and self.auto_backup._has_data():
                        return True

                    if self.auto_mesh is not None and self.auto_mesh._has_data():
                        return True

                    if self.auto_pcc is not None and self.auto_pcc._has_data():
                        return True

                    if self.auto_route is not None:
                        return True

                    if self.autoroute_announce_exclude_segment_routing is not None:
                        return True

                    if self.bandwidth_requested is not None:
                        return True

                    if self.bandwidth_type is not None:
                        return True

                    if self.bfd_info is not None and self.bfd_info._has_data():
                        return True

                    if self.bidir is not None and self.bidir._has_data():
                        return True

                    if self.binding_label is not None:
                        return True

                    if self.binding_label_exists is not None:
                        return True

                    if self.cleaned_lsp is not None and self.cleaned_lsp._has_data():
                        return True

                    if self.config is not None and self.config._has_data():
                        return True

                    if self.create_time is not None:
                        return True

                    if self.delay_clean_pp_lsp is not None and self.delay_clean_pp_lsp._has_data():
                        return True

                    if self.destination is not None:
                        for child_ref in self.destination:
                            if child_ref._has_data():
                                return True

                    if self.destination_disabled_count is not None:
                        return True

                    if self.destination_down_count is not None:
                        return True

                    if self.destination_up_count is not None:
                        return True

                    if self.drop_mode is not None:
                        return True

                    if self.explicit_path_change is not None:
                        return True

                    if self.fail_reason is not None:
                        return True

                    if self.flex_info is not None and self.flex_info._has_data():
                        return True

                    if self.forwarding_adjacency is not None:
                        return True

                    if self.history is not None and self.history._has_data():
                        return True

                    if self.hop_limit_ignored_reason is not None:
                        return True

                    if self.invalidation_time_remained is not None:
                        return True

                    if self.is_auto_backup is not None:
                        return True

                    if self.is_auto_pcc is not None:
                        return True

                    if self.is_bandwidth_protect is not None:
                        return True

                    if self.is_hop_limit_ignore is not None:
                        return True

                    if self.is_inter_area_tunnel is not None:
                        return True

                    if self.is_interface is not None:
                        return True

                    if self.is_named is not None:
                        return True

                    if self.is_node_protected is not None:
                        return True

                    if self.is_passive is not None:
                        return True

                    if self.is_pce_delegated is not None:
                        return True

                    if self.last_hop_ifindex is not None:
                        return True

                    if self.last_path_change is not None:
                        return True

                    if self.load_share_factor is not None:
                        return True

                    if self.load_share_type is not None:
                        return True

                    if self.lsp_wrap_label is not None:
                        return True

                    if self.lsp_wrap_protection_enabled is not None:
                        return True

                    if self.metric_qualifier is not None:
                        return True

                    if self.metric_type is not None:
                        return True

                    if self.operational_state is not None:
                        return True

                    if self.operational_state_changes is not None:
                        return True

                    if self.otn_bidir is not None and self.otn_bidir._has_data():
                        return True

                    if self.outbound_frr_state is not None:
                        return True

                    if self.p2p_info is not None and self.p2p_info._has_data():
                        return True

                    if self.passive_tunnel_name is not None:
                        return True

                    if self.path_option_change is not None:
                        return True

                    if self.path_protection is not None and self.path_protection._has_data():
                        return True

                    if self.pce_delegation is not None and self.pce_delegation._has_data():
                        return True

                    if self.pce_fail_reason is not None:
                        return True

                    if self.persistent_bytes is not None:
                        return True

                    if self.persistent_packets is not None:
                        return True

                    if self.re_opt_hold_down_timer_remaining is not None:
                        return True

                    if self.reoptimized_p2mp_lsp is not None and self.reoptimized_p2mp_lsp._has_data():
                        return True

                    if self.reoptimized_standby_p2mp_lsp is not None and self.reoptimized_standby_p2mp_lsp._has_data():
                        return True

                    if self.reroute_pending is not None:
                        return True

                    if self.role_standby is not None:
                        return True

                    if self.signaled_name is not None:
                        return True

                    if self.snmp_index is not None:
                        return True

                    if self.soft_preemption is not None and self.soft_preemption._has_data():
                        return True

                    if self.te_tunnel_convergence is not None and self.te_tunnel_convergence._has_data():
                        return True

                    if self.tie_breaker is not None:
                        return True

                    if self.tiebreaker_qualifier is not None:
                        return True

                    if self.tiebreaker_type is not None:
                        return True

                    if self.transport_tunnel_info is not None and self.transport_tunnel_info._has_data():
                        return True

                    if self.tunnel_attribute_set_name is not None:
                        return True

                    if self.tunnel_attribute_set_type is not None:
                        return True

                    if self.tunnel_current_lsp is not None and self.tunnel_current_lsp._has_data():
                        return True

                    if self.tunnel_interface_name is not None:
                        return True

                    if self.tunnel_recovering is not None:
                        return True

                    if self.tunnel_restoration_lsp is not None and self.tunnel_restoration_lsp._has_data():
                        return True

                    if self.tunnel_standby_lsp is not None and self.tunnel_standby_lsp._has_data():
                        return True

                    if self.uptime is not None:
                        return True

                    if self.wdm_unitunnel is not None and self.wdm_unitunnel._has_data():
                        return True

                    if self.xro_attribute_set is not None and self.xro_attribute_set._has_data():
                        return True

                    if self.xro_attribute_set_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:p2p-p2mp-tunnel/Cisco-IOS-XR-mpls-te-oper:tunnel-heads'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tunnel_head is not None:
                    for child_ref in self.tunnel_head:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:p2p-p2mp-tunnel'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.nni_tunnels is not None and self.nni_tunnels._has_data():
                return True

            if self.tunnel_heads is not None and self.tunnel_heads._has_data():
                return True

            if self.tunnel_remote_briefs is not None and self.tunnel_remote_briefs._has_data():
                return True

            if self.tunnel_remotes is not None and self.tunnel_remotes._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.P2PP2MpTunnel']['meta_info']


    class TopologyNodes(object):
        """
        A node in the MPLS\-TE topology
        
        .. attribute:: topology_node
        
        	A node in the MPLS\-TE topology
        	**type**\: list of    :py:class:`TopologyNode <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyNodes.TopologyNode>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.topology_node = YList()
            self.topology_node.parent = self
            self.topology_node.name = 'topology_node'


        class TopologyNode(object):
            """
            A node in the MPLS\-TE topology
            
            .. attribute:: area  <key>
            
            	IGP area
            	**type**\:  int
            
            	**range:** \-2147483648..2147483647
            
            .. attribute:: igp_id  <key>
            
            	IGP instance
            	**type**\:  str
            
            	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
            
            .. attribute:: igp_node_id  <key>
            
            	IGP Node ID
            	**type**\:  str
            
            .. attribute:: protocol  <key>
            
            	IGP protocol type
            	**type**\:   :py:class:`MplsTeIgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeIgpProtocolEnum>`
            
            .. attribute:: topology_node_type  <key>
            
            	Node type
            	**type**\:   :py:class:`MplsTeNodeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeNodeEnum>`
            
            .. attribute:: topology_node_link
            
            	This node's link information
            	**type**\: list of    :py:class:`TopologyNodeLink <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink>`
            
            .. attribute:: topology_node_overloaded
            
            	Flag to indicate whether this node is overloaded
            	**type**\:  bool
            
            .. attribute:: topology_node_sid_and_srbg
            
            	This node's SID and SRBG information
            	**type**\:   :py:class:`TopologyNodeSidAndSrbg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeSidAndSrbg>`
            
            .. attribute:: topology_node_te_router_id
            
            	The node's TE router\-id. Not set for network nodes
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.area = None
                self.igp_id = None
                self.igp_node_id = None
                self.protocol = None
                self.topology_node_type = None
                self.topology_node_link = YList()
                self.topology_node_link.parent = self
                self.topology_node_link.name = 'topology_node_link'
                self.topology_node_overloaded = None
                self.topology_node_sid_and_srbg = MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeSidAndSrbg()
                self.topology_node_sid_and_srbg.parent = self
                self.topology_node_te_router_id = None


            class TopologyNodeSidAndSrbg(object):
                """
                This node's SID and SRBG information
                
                .. attribute:: segment_id
                
                	Segment\-Routing Node\-SID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: segment_id_local_absolute_value
                
                	Node\-SID local absolute value
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: srgb_size
                
                	Segment\-Routing global block size
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: srgb_start
                
                	Segment\-Routring global block start value
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.segment_id = None
                    self.segment_id_local_absolute_value = None
                    self.srgb_size = None
                    self.srgb_start = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-node-sid-and-srbg'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.segment_id is not None:
                        return True

                    if self.segment_id_local_absolute_value is not None:
                        return True

                    if self.srgb_size is not None:
                        return True

                    if self.srgb_start is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeSidAndSrbg']['meta_info']


            class TopologyNodeLink(object):
                """
                This node's link information
                
                .. attribute:: adjacency_sid
                
                	Adjacency SIDs assigned for adjacency nodes
                	**type**\: list of    :py:class:`AdjacencySid <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.AdjacencySid>`
                
                .. attribute:: odu_link_capabilities
                
                	ODU Link Capabilities
                	**type**\:   :py:class:`OduLinkCapabilities <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities>`
                
                .. attribute:: shared_risk_link_group
                
                	The link's shared risk link groups
                	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.SharedRiskLinkGroup>`
                
                .. attribute:: topology_link_affinity_bits
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_bandwidth
                
                	Bandwidth information for this link
                	**type**\:   :py:class:`TopologyLinkBandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth>`
                
                .. attribute:: topology_link_bandwidth_model
                
                	The link's topology bandwidth model
                	**type**\:   :py:class:`IgpteLibBwModelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpteLibBwModelEnum>`
                
                .. attribute:: topology_link_encoding
                
                	The link's encoding
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: topology_link_extended_affinity_bit
                
                	The link's affinity bits (colors)
                	**type**\:  list of int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_fragment_id
                
                	Neighbor's link version counter
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_igp_metric
                
                	The link's IGP metric
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_interface_address
                
                	Link's local interface address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: topology_link_interface_id
                
                	Link's local interface ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_neighbor_address
                
                	Link's neighbor interface address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: topology_link_neighbor_generation
                
                	Neighbor's link version counter
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_neighbor_id
                
                	Link's neighbor interface ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_neighbor_node_id
                
                	Node id of neighbor
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_neighbor_system_id
                
                	System id of neighbor
                	**type**\:  str
                
                .. attribute:: topology_link_switching_capability
                
                	The link's switching capability
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: topology_link_te_metric
                
                	The link's TE metric
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_type
                
                	Link type
                	**type**\:   :py:class:`IgpSubnetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpSubnetEnum>`
                
                .. attribute:: topology_link_uni_delay
                
                	Unidirectional Link Delay in micro\-sec
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.adjacency_sid = YList()
                    self.adjacency_sid.parent = self
                    self.adjacency_sid.name = 'adjacency_sid'
                    self.odu_link_capabilities = MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities()
                    self.odu_link_capabilities.parent = self
                    self.shared_risk_link_group = YList()
                    self.shared_risk_link_group.parent = self
                    self.shared_risk_link_group.name = 'shared_risk_link_group'
                    self.topology_link_affinity_bits = None
                    self.topology_link_bandwidth = MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth()
                    self.topology_link_bandwidth.parent = self
                    self.topology_link_bandwidth_model = None
                    self.topology_link_encoding = None
                    self.topology_link_extended_affinity_bit = YLeafList()
                    self.topology_link_extended_affinity_bit.parent = self
                    self.topology_link_extended_affinity_bit.name = 'topology_link_extended_affinity_bit'
                    self.topology_link_fragment_id = None
                    self.topology_link_igp_metric = None
                    self.topology_link_interface_address = None
                    self.topology_link_interface_id = None
                    self.topology_link_neighbor_address = None
                    self.topology_link_neighbor_generation = None
                    self.topology_link_neighbor_id = None
                    self.topology_link_neighbor_node_id = None
                    self.topology_link_neighbor_system_id = None
                    self.topology_link_switching_capability = None
                    self.topology_link_te_metric = None
                    self.topology_link_type = None
                    self.topology_link_uni_delay = None


                class TopologyLinkBandwidth(object):
                    """
                    Bandwidth information for this link
                    
                    .. attribute:: bandwidth_migration_mode
                    
                    	BandwidthMigrationMode
                    	**type**\:   :py:class:`RrrDsteMigrationModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RrrDsteMigrationModeEnum>`
                    
                    .. attribute:: topology_link_bandwidth_prestandard
                    
                    	Pre\-standard bandwidth information for this link
                    	**type**\:   :py:class:`TopologyLinkBandwidthPrestandard <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard>`
                    
                    .. attribute:: topology_link_bandwidth_standard
                    
                    	IETF\-standard bandwidth information for this link
                    	**type**\:   :py:class:`TopologyLinkBandwidthStandard <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bandwidth_migration_mode = None
                        self.topology_link_bandwidth_prestandard = MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard()
                        self.topology_link_bandwidth_prestandard.parent = self
                        self.topology_link_bandwidth_standard = MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard()
                        self.topology_link_bandwidth_standard.parent = self


                    class TopologyLinkBandwidthPrestandard(object):
                        """
                        Pre\-standard bandwidth information for this link
                        
                        .. attribute:: topology_link_prestandard_bandwidth_detail
                        
                        	Detailed bandwidth information for this link
                        	**type**\:   :py:class:`TopologyLinkPrestandardBandwidthDetail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail>`
                        
                        .. attribute:: topology_link_prestandard_bandwidth_physical
                        
                        	The link's physical bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: topology_link_prestandard_bandwidth_reservation_global
                        
                        	The link's reservable global bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: topology_link_prestandard_bandwidth_reservation_subpool
                        
                        	The link's reservable subpool bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.topology_link_prestandard_bandwidth_detail = MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail()
                            self.topology_link_prestandard_bandwidth_detail.parent = self
                            self.topology_link_prestandard_bandwidth_physical = None
                            self.topology_link_prestandard_bandwidth_reservation_global = None
                            self.topology_link_prestandard_bandwidth_reservation_subpool = None


                        class TopologyLinkPrestandardBandwidthDetail(object):
                            """
                            Detailed bandwidth information for this link
                            
                            .. attribute:: topology_link_prestandard_bandwidth_allocated
                            
                            	Link's allocated bandwidth at priority levels (priority 0 to priority 7)
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: topology_link_prestandard_bandwidth_available_global
                            
                            	Link's available global\-pool bandwidth at priority levels (priority 0 to priority 7)
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: topology_link_prestandard_bandwidth_available_subpool
                            
                            	Link's available sub\-pool bandwidth at priority levels (priority 0 to priority 7)
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.topology_link_prestandard_bandwidth_allocated = YLeafList()
                                self.topology_link_prestandard_bandwidth_allocated.parent = self
                                self.topology_link_prestandard_bandwidth_allocated.name = 'topology_link_prestandard_bandwidth_allocated'
                                self.topology_link_prestandard_bandwidth_available_global = YLeafList()
                                self.topology_link_prestandard_bandwidth_available_global.parent = self
                                self.topology_link_prestandard_bandwidth_available_global.name = 'topology_link_prestandard_bandwidth_available_global'
                                self.topology_link_prestandard_bandwidth_available_subpool = YLeafList()
                                self.topology_link_prestandard_bandwidth_available_subpool.parent = self
                                self.topology_link_prestandard_bandwidth_available_subpool.name = 'topology_link_prestandard_bandwidth_available_subpool'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-link-prestandard-bandwidth-detail'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.topology_link_prestandard_bandwidth_allocated is not None:
                                    for child in self.topology_link_prestandard_bandwidth_allocated:
                                        if child is not None:
                                            return True

                                if self.topology_link_prestandard_bandwidth_available_global is not None:
                                    for child in self.topology_link_prestandard_bandwidth_available_global:
                                        if child is not None:
                                            return True

                                if self.topology_link_prestandard_bandwidth_available_subpool is not None:
                                    for child in self.topology_link_prestandard_bandwidth_available_subpool:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-link-bandwidth-prestandard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.topology_link_prestandard_bandwidth_detail is not None and self.topology_link_prestandard_bandwidth_detail._has_data():
                                return True

                            if self.topology_link_prestandard_bandwidth_physical is not None:
                                return True

                            if self.topology_link_prestandard_bandwidth_reservation_global is not None:
                                return True

                            if self.topology_link_prestandard_bandwidth_reservation_subpool is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard']['meta_info']


                    class TopologyLinkBandwidthStandard(object):
                        """
                        IETF\-standard bandwidth information for this
                        link
                        
                        .. attribute:: topo_link_std_bw_detail
                        
                        	Detailed bandwidth information for this link
                        	**type**\:   :py:class:`TopoLinkStdBwDetail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail>`
                        
                        .. attribute:: topo_link_std_bw_physical
                        
                        	The link's physical bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: topo_link_std_bw_res_max
                        
                        	The link's maximum reservable bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: topo_link_std_bw_res_pool0
                        
                        	The link's reservable BC0 bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: topo_link_std_bw_res_pool1
                        
                        	The link's reservable BC1 bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.topo_link_std_bw_detail = MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail()
                            self.topo_link_std_bw_detail.parent = self
                            self.topo_link_std_bw_physical = None
                            self.topo_link_std_bw_res_max = None
                            self.topo_link_std_bw_res_pool0 = None
                            self.topo_link_std_bw_res_pool1 = None


                        class TopoLinkStdBwDetail(object):
                            """
                            Detailed bandwidth information for this link
                            
                            .. attribute:: topo_link_std_bw_allocated
                            
                            	Link's allocated bandwidth per class
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: topo_link_std_bw_available
                            
                            	Link's available bandwidth per class
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.topo_link_std_bw_allocated = YLeafList()
                                self.topo_link_std_bw_allocated.parent = self
                                self.topo_link_std_bw_allocated.name = 'topo_link_std_bw_allocated'
                                self.topo_link_std_bw_available = YLeafList()
                                self.topo_link_std_bw_available.parent = self
                                self.topo_link_std_bw_available.name = 'topo_link_std_bw_available'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topo-link-std-bw-detail'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.topo_link_std_bw_allocated is not None:
                                    for child in self.topo_link_std_bw_allocated:
                                        if child is not None:
                                            return True

                                if self.topo_link_std_bw_available is not None:
                                    for child in self.topo_link_std_bw_available:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-link-bandwidth-standard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.topo_link_std_bw_detail is not None and self.topo_link_std_bw_detail._has_data():
                                return True

                            if self.topo_link_std_bw_physical is not None:
                                return True

                            if self.topo_link_std_bw_res_max is not None:
                                return True

                            if self.topo_link_std_bw_res_pool0 is not None:
                                return True

                            if self.topo_link_std_bw_res_pool1 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-link-bandwidth'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bandwidth_migration_mode is not None:
                            return True

                        if self.topology_link_bandwidth_prestandard is not None and self.topology_link_bandwidth_prestandard._has_data():
                            return True

                        if self.topology_link_bandwidth_standard is not None and self.topology_link_bandwidth_standard._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth']['meta_info']


                class OduLinkCapabilities(object):
                    """
                    ODU Link Capabilities
                    
                    .. attribute:: max_lsp_bandwidth
                    
                    	Max LSP Bandwidth per priority in kbit/s
                    	**type**\:  list of int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: odu_capability
                    
                    	ODU Capabilities of Link
                    	**type**\: list of    :py:class:`OduCapability <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.max_lsp_bandwidth = YLeafList()
                        self.max_lsp_bandwidth.parent = self
                        self.max_lsp_bandwidth.name = 'max_lsp_bandwidth'
                        self.odu_capability = YList()
                        self.odu_capability.parent = self
                        self.odu_capability.name = 'odu_capability'


                    class OduCapability(object):
                        """
                        ODU Capabilities of Link
                        
                        .. attribute:: bandwidth_info
                        
                        	Bandwidth related info for this ODU level
                        	**type**\:   :py:class:`BandwidthInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo>`
                        
                        .. attribute:: lcas_capable
                        
                        	True if link LCAS capable for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: signal_type
                        
                        	Signal Type
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage1
                        
                        	ODU Type at stage 1, Not Set for HO ODU
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage2
                        
                        	ODU Type at stage 2, Not Set for single stage mulitplexing
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage3
                        
                        	ODU Type at stage 3, Not set up to two levels of multiplexing
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage4
                        
                        	ODU Type at stage 4, Not set up to three levels of multiplexing
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: switchable
                        
                        	True if link is switchable for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: terminable
                        
                        	True if link is terminable for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: tsg1p25
                        
                        	True if link supports 1.25G TSG for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: tsg2p5
                        
                        	True if link supports 2.5G TSG for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: vcat_capable
                        
                        	True if link VCAT capable for this ODU level
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bandwidth_info = MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo()
                            self.bandwidth_info.parent = self
                            self.lcas_capable = None
                            self.signal_type = None
                            self.stage1 = None
                            self.stage2 = None
                            self.stage3 = None
                            self.stage4 = None
                            self.switchable = None
                            self.terminable = None
                            self.tsg1p25 = None
                            self.tsg2p5 = None
                            self.vcat_capable = None


                        class BandwidthInfo(object):
                            """
                            Bandwidth related info for this ODU level
                            
                            .. attribute:: fixed
                            
                            	ODU capability for Fixed ODUs
                            	**type**\:   :py:class:`Fixed <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed>`
                            
                            .. attribute:: flex
                            
                            	ODU capability for Flex ODUs
                            	**type**\:   :py:class:`Flex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex>`
                            
                            .. attribute:: type
                            
                            	type
                            	**type**\:   :py:class:`TeOduCapabilityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduCapabilityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fixed = MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed()
                                self.fixed.parent = self
                                self.flex = MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex()
                                self.flex.parent = self
                                self.type = None


                            class Fixed(object):
                                """
                                ODU capability for Fixed ODUs
                                
                                .. attribute:: maximum_od_us
                                
                                	Maximum Number of ODUs of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: unreserved_od_us
                                
                                	Maximum Number of ODUs of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.maximum_od_us = None
                                    self.unreserved_od_us = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fixed'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.maximum_od_us is not None:
                                        return True

                                    if self.unreserved_od_us is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed']['meta_info']


                            class Flex(object):
                                """
                                ODU capability for Flex ODUs
                                
                                .. attribute:: max_bandwidth
                                
                                	Max kbps Bandwidth of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: max_lsp_bandwidth
                                
                                	Per LSP Max kbps Bandwidth of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: unreserved_bandwidth
                                
                                	Unreserved kbps Bandwidth of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.max_bandwidth = None
                                    self.max_lsp_bandwidth = None
                                    self.unreserved_bandwidth = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.max_bandwidth is not None:
                                        return True

                                    if self.max_lsp_bandwidth is not None:
                                        return True

                                    if self.unreserved_bandwidth is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fixed is not None and self.fixed._has_data():
                                    return True

                                if self.flex is not None and self.flex._has_data():
                                    return True

                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-capability'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bandwidth_info is not None and self.bandwidth_info._has_data():
                                return True

                            if self.lcas_capable is not None:
                                return True

                            if self.signal_type is not None:
                                return True

                            if self.stage1 is not None:
                                return True

                            if self.stage2 is not None:
                                return True

                            if self.stage3 is not None:
                                return True

                            if self.stage4 is not None:
                                return True

                            if self.switchable is not None:
                                return True

                            if self.terminable is not None:
                                return True

                            if self.tsg1p25 is not None:
                                return True

                            if self.tsg2p5 is not None:
                                return True

                            if self.vcat_capable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-link-capabilities'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.max_lsp_bandwidth is not None:
                            for child in self.max_lsp_bandwidth:
                                if child is not None:
                                    return True

                        if self.odu_capability is not None:
                            for child_ref in self.odu_capability:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities']['meta_info']


                class SharedRiskLinkGroup(object):
                    """
                    The link's shared risk link groups
                    
                    .. attribute:: shared_risk_group
                    
                    	SRLG number
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srlg_name
                    
                    	SRLG name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.shared_risk_group = None
                        self.srlg_name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.shared_risk_group is not None:
                            return True

                        if self.srlg_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.SharedRiskLinkGroup']['meta_info']


                class AdjacencySid(object):
                    """
                    Adjacency SIDs assigned for adjacency nodes
                    
                    .. attribute:: adjacency_sid
                    
                    	The adjacency SID assigned for the topology node
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: flag_b
                    
                    	IGP Flag B
                    	**type**\:  bool
                    
                    .. attribute:: flag_f
                    
                    	IGP Flag F
                    	**type**\:  bool
                    
                    .. attribute:: flag_l
                    
                    	IGP Flag L
                    	**type**\:  bool
                    
                    .. attribute:: flag_s
                    
                    	IGP Flag S
                    	**type**\:  bool
                    
                    .. attribute:: flag_v
                    
                    	IGP Flag V
                    	**type**\:  bool
                    
                    .. attribute:: link_type
                    
                    	Link Type
                    	**type**\:   :py:class:`IgpSubnetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpSubnetEnum>`
                    
                    .. attribute:: local_addr
                    
                    	Local Address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: nbr_node_igpid
                    
                    	The neighbor node's IGP ID
                    	**type**\:  str
                    
                    .. attribute:: nbr_node_te_router_id
                    
                    	The neigbor node's TE router\-id
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: remote_addr
                    
                    	Remote Address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.adjacency_sid = None
                        self.flag_b = None
                        self.flag_f = None
                        self.flag_l = None
                        self.flag_s = None
                        self.flag_v = None
                        self.link_type = None
                        self.local_addr = None
                        self.nbr_node_igpid = None
                        self.nbr_node_te_router_id = None
                        self.remote_addr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:adjacency-sid'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.adjacency_sid is not None:
                            return True

                        if self.flag_b is not None:
                            return True

                        if self.flag_f is not None:
                            return True

                        if self.flag_l is not None:
                            return True

                        if self.flag_s is not None:
                            return True

                        if self.flag_v is not None:
                            return True

                        if self.link_type is not None:
                            return True

                        if self.local_addr is not None:
                            return True

                        if self.nbr_node_igpid is not None:
                            return True

                        if self.nbr_node_te_router_id is not None:
                            return True

                        if self.remote_addr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.AdjacencySid']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-node-link'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.adjacency_sid is not None:
                        for child_ref in self.adjacency_sid:
                            if child_ref._has_data():
                                return True

                    if self.odu_link_capabilities is not None and self.odu_link_capabilities._has_data():
                        return True

                    if self.shared_risk_link_group is not None:
                        for child_ref in self.shared_risk_link_group:
                            if child_ref._has_data():
                                return True

                    if self.topology_link_affinity_bits is not None:
                        return True

                    if self.topology_link_bandwidth is not None and self.topology_link_bandwidth._has_data():
                        return True

                    if self.topology_link_bandwidth_model is not None:
                        return True

                    if self.topology_link_encoding is not None:
                        return True

                    if self.topology_link_extended_affinity_bit is not None:
                        for child in self.topology_link_extended_affinity_bit:
                            if child is not None:
                                return True

                    if self.topology_link_fragment_id is not None:
                        return True

                    if self.topology_link_igp_metric is not None:
                        return True

                    if self.topology_link_interface_address is not None:
                        return True

                    if self.topology_link_interface_id is not None:
                        return True

                    if self.topology_link_neighbor_address is not None:
                        return True

                    if self.topology_link_neighbor_generation is not None:
                        return True

                    if self.topology_link_neighbor_id is not None:
                        return True

                    if self.topology_link_neighbor_node_id is not None:
                        return True

                    if self.topology_link_neighbor_system_id is not None:
                        return True

                    if self.topology_link_switching_capability is not None:
                        return True

                    if self.topology_link_te_metric is not None:
                        return True

                    if self.topology_link_type is not None:
                        return True

                    if self.topology_link_uni_delay is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink']['meta_info']

            @property
            def _common_path(self):
                if self.area is None:
                    raise YPYModelError('Key property area is None')
                if self.igp_id is None:
                    raise YPYModelError('Key property igp_id is None')
                if self.igp_node_id is None:
                    raise YPYModelError('Key property igp_node_id is None')
                if self.protocol is None:
                    raise YPYModelError('Key property protocol is None')
                if self.topology_node_type is None:
                    raise YPYModelError('Key property topology_node_type is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology-nodes/Cisco-IOS-XR-mpls-te-oper:topology-node[Cisco-IOS-XR-mpls-te-oper:area = ' + str(self.area) + '][Cisco-IOS-XR-mpls-te-oper:igp-id = ' + str(self.igp_id) + '][Cisco-IOS-XR-mpls-te-oper:igp-node-id = ' + str(self.igp_node_id) + '][Cisco-IOS-XR-mpls-te-oper:protocol = ' + str(self.protocol) + '][Cisco-IOS-XR-mpls-te-oper:topology-node-type = ' + str(self.topology_node_type) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.area is not None:
                    return True

                if self.igp_id is not None:
                    return True

                if self.igp_node_id is not None:
                    return True

                if self.protocol is not None:
                    return True

                if self.topology_node_type is not None:
                    return True

                if self.topology_node_link is not None:
                    for child_ref in self.topology_node_link:
                        if child_ref._has_data():
                            return True

                if self.topology_node_overloaded is not None:
                    return True

                if self.topology_node_sid_and_srbg is not None and self.topology_node_sid_and_srbg._has_data():
                    return True

                if self.topology_node_te_router_id is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.TopologyNodes.TopologyNode']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology-nodes'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.topology_node is not None:
                for child_ref in self.topology_node:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.TopologyNodes']['meta_info']


    class AnnounceTunnelsInfo(object):
        """
        Announced tunnels (forwarding adjacency and
        autoroute annonce)
        
        .. attribute:: all_autoroute_table
        
        	Autoroute announce and forwarding adjacency table
        	**type**\:   :py:class:`AllAutorouteTable <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable>`
        
        .. attribute:: autoroute_announce_table
        
        	Autoroute announce and forwarding adjacency table
        	**type**\:   :py:class:`AutorouteAnnounceTable <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.all_autoroute_table = MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable()
            self.all_autoroute_table.parent = self
            self.autoroute_announce_table = MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable()
            self.autoroute_announce_table.parent = self


        class AutorouteAnnounceTable(object):
            """
            Autoroute announce and forwarding adjacency
            table
            
            .. attribute:: announce_dest
            
            	Autoroute tunnels per destination information
            	**type**\: list of    :py:class:`AnnounceDest <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.announce_dest = YList()
                self.announce_dest.parent = self
                self.announce_dest.name = 'announce_dest'


            class AnnounceDest(object):
                """
                Autoroute tunnels per destination information
                
                .. attribute:: area  <key>
                
                	Area
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: igp_id  <key>
                
                	IGP Instance ID
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: protocol  <key>
                
                	The IGP protocol used by the tunnel
                	**type**\:   :py:class:`MplsTeIgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeIgpProtocolEnum>`
                
                .. attribute:: announced_tunnels_count
                
                	The number of announced tunnels
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: area_format
                
                	The format for the area\: IPv4 address or a positive integer
                	**type**\:   :py:class:`IgpOspfAreaFormatEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpOspfAreaFormatEnum>`
                
                .. attribute:: autorouted_tunnels_count
                
                	The number of tunnels that are announced as shortcuts
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: destination
                
                	Destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: forwarding_adjacency_tunnels_count
                
                	The number of tunnels that are announced as forwarding adjacencies
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: igp_area
                
                	IGP Area ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: igp_instance
                
                	IGP Instance name
                	**type**\:  str
                
                .. attribute:: igp_type
                
                	IGP type
                	**type**\:   :py:class:`IgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpProtocolEnum>`
                
                .. attribute:: total_tunnel
                
                	Announced tunnels for this destination
                	**type**\: list of    :py:class:`TotalTunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.area = None
                    self.destination_address = None
                    self.igp_id = None
                    self.protocol = None
                    self.announced_tunnels_count = None
                    self.area_format = None
                    self.autorouted_tunnels_count = None
                    self.destination = None
                    self.forwarding_adjacency_tunnels_count = None
                    self.igp_area = None
                    self.igp_instance = None
                    self.igp_type = None
                    self.total_tunnel = YList()
                    self.total_tunnel.parent = self
                    self.total_tunnel.name = 'total_tunnel'


                class TotalTunnel(object):
                    """
                    Announced tunnels for this destination
                    
                    .. attribute:: announce_type
                    
                    	Announcement type
                    	**type**\:   :py:class:`MplsTeTunnelAnnounceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelAnnounceEnum>`
                    
                    .. attribute:: area_format
                    
                    	IGP Area Format
                    	**type**\:   :py:class:`IgpOspfAreaFormatEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpOspfAreaFormatEnum>`
                    
                    .. attribute:: hold_time
                    
                    	Hold time in seconds
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: ig_ps
                    
                    	List of IGPs to which it is announced
                    	**type**\: list of    :py:class:`IgPs <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel.IgPs>`
                    
                    .. attribute:: igp_metric
                    
                    	IGP metric
                    	**type**\:  int
                    
                    	**range:** \-2147483648..2147483647
                    
                    .. attribute:: is_auto_mesh_aa
                    
                    	True if this is auto\-tunnel mesh AA
                    	**type**\:  bool
                    
                    .. attribute:: is_exclude_segment_routing
                    
                    	True if autoroute\-announce has exclude segment\-routing option
                    	**type**\:  bool
                    
                    .. attribute:: is_sr
                    
                    	True if this is a segment routing tunnel
                    	**type**\:  bool
                    
                    .. attribute:: is_sr_strict
                    
                    	True if this is a strict SID SR tunnel
                    	**type**\:  bool
                    
                    .. attribute:: mesh_group_idaa
                    
                    	MeshGroup ID for AA
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: mode
                    
                    	Autoroute mode
                    	**type**\:   :py:class:`IgpteAaMetricModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpteAaMetricModeEnum>`
                    
                    .. attribute:: next_hop_address
                    
                    	The tunnel destination
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: tunnel_loadshare
                    
                    	Tunnel loadshare
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tunnel_name
                    
                    	The tunnel name
                    	**type**\:  str
                    
                    .. attribute:: tunnel_sig_name
                    
                    	The tunnel signaled\-name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.announce_type = None
                        self.area_format = None
                        self.hold_time = None
                        self.ig_ps = YList()
                        self.ig_ps.parent = self
                        self.ig_ps.name = 'ig_ps'
                        self.igp_metric = None
                        self.is_auto_mesh_aa = None
                        self.is_exclude_segment_routing = None
                        self.is_sr = None
                        self.is_sr_strict = None
                        self.mesh_group_idaa = None
                        self.mode = None
                        self.next_hop_address = None
                        self.tunnel_loadshare = None
                        self.tunnel_name = None
                        self.tunnel_sig_name = None


                    class IgPs(object):
                        """
                        List of IGPs to which it is announced
                        
                        .. attribute:: afi
                        
                        	AFI
                        	**type**\:   :py:class:`MplsTeAfiEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeAfiEnum>`
                        
                        .. attribute:: igp_area_id
                        
                        	The IGP Instance and Area ID
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.afi = None
                            self.igp_area_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ig-ps'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.afi is not None:
                                return True

                            if self.igp_area_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel.IgPs']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:total-tunnel'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.announce_type is not None:
                            return True

                        if self.area_format is not None:
                            return True

                        if self.hold_time is not None:
                            return True

                        if self.ig_ps is not None:
                            for child_ref in self.ig_ps:
                                if child_ref._has_data():
                                    return True

                        if self.igp_metric is not None:
                            return True

                        if self.is_auto_mesh_aa is not None:
                            return True

                        if self.is_exclude_segment_routing is not None:
                            return True

                        if self.is_sr is not None:
                            return True

                        if self.is_sr_strict is not None:
                            return True

                        if self.mesh_group_idaa is not None:
                            return True

                        if self.mode is not None:
                            return True

                        if self.next_hop_address is not None:
                            return True

                        if self.tunnel_loadshare is not None:
                            return True

                        if self.tunnel_name is not None:
                            return True

                        if self.tunnel_sig_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel']['meta_info']

                @property
                def _common_path(self):
                    if self.area is None:
                        raise YPYModelError('Key property area is None')
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.igp_id is None:
                        raise YPYModelError('Key property igp_id is None')
                    if self.protocol is None:
                        raise YPYModelError('Key property protocol is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:announce-tunnels-info/Cisco-IOS-XR-mpls-te-oper:autoroute-announce-table/Cisco-IOS-XR-mpls-te-oper:announce-dest[Cisco-IOS-XR-mpls-te-oper:area = ' + str(self.area) + '][Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:igp-id = ' + str(self.igp_id) + '][Cisco-IOS-XR-mpls-te-oper:protocol = ' + str(self.protocol) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.area is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.igp_id is not None:
                        return True

                    if self.protocol is not None:
                        return True

                    if self.announced_tunnels_count is not None:
                        return True

                    if self.area_format is not None:
                        return True

                    if self.autorouted_tunnels_count is not None:
                        return True

                    if self.destination is not None:
                        return True

                    if self.forwarding_adjacency_tunnels_count is not None:
                        return True

                    if self.igp_area is not None:
                        return True

                    if self.igp_instance is not None:
                        return True

                    if self.igp_type is not None:
                        return True

                    if self.total_tunnel is not None:
                        for child_ref in self.total_tunnel:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:announce-tunnels-info/Cisco-IOS-XR-mpls-te-oper:autoroute-announce-table'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.announce_dest is not None:
                    for child_ref in self.announce_dest:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable']['meta_info']


        class AllAutorouteTable(object):
            """
            Autoroute announce and forwarding adjacency
            table
            
            .. attribute:: announce_dest
            
            	Autoroute tunnels per destination information
            	**type**\: list of    :py:class:`AnnounceDest <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.announce_dest = YList()
                self.announce_dest.parent = self
                self.announce_dest.name = 'announce_dest'


            class AnnounceDest(object):
                """
                Autoroute tunnels per destination information
                
                .. attribute:: area  <key>
                
                	Area
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: igp_id  <key>
                
                	IGP Instance ID
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: protocol  <key>
                
                	The IGP protocol used by the tunnel
                	**type**\:   :py:class:`MplsTeIgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeIgpProtocolEnum>`
                
                .. attribute:: announced_tunnels_count
                
                	The number of announced tunnels
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: area_format
                
                	The format for the area\: IPv4 address or a positive integer
                	**type**\:   :py:class:`IgpOspfAreaFormatEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpOspfAreaFormatEnum>`
                
                .. attribute:: autorouted_tunnels_count
                
                	The number of tunnels that are announced as shortcuts
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: destination
                
                	Destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: forwarding_adjacency_tunnels_count
                
                	The number of tunnels that are announced as forwarding adjacencies
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: igp_area
                
                	IGP Area ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: igp_instance
                
                	IGP Instance name
                	**type**\:  str
                
                .. attribute:: igp_type
                
                	IGP type
                	**type**\:   :py:class:`IgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpProtocolEnum>`
                
                .. attribute:: total_tunnel
                
                	Announced tunnels for this destination
                	**type**\: list of    :py:class:`TotalTunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.area = None
                    self.destination_address = None
                    self.igp_id = None
                    self.protocol = None
                    self.announced_tunnels_count = None
                    self.area_format = None
                    self.autorouted_tunnels_count = None
                    self.destination = None
                    self.forwarding_adjacency_tunnels_count = None
                    self.igp_area = None
                    self.igp_instance = None
                    self.igp_type = None
                    self.total_tunnel = YList()
                    self.total_tunnel.parent = self
                    self.total_tunnel.name = 'total_tunnel'


                class TotalTunnel(object):
                    """
                    Announced tunnels for this destination
                    
                    .. attribute:: announce_type
                    
                    	Announcement type
                    	**type**\:   :py:class:`MplsTeTunnelAnnounceEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelAnnounceEnum>`
                    
                    .. attribute:: area_format
                    
                    	IGP Area Format
                    	**type**\:   :py:class:`IgpOspfAreaFormatEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpOspfAreaFormatEnum>`
                    
                    .. attribute:: hold_time
                    
                    	Hold time in seconds
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: ig_ps
                    
                    	List of IGPs to which it is announced
                    	**type**\: list of    :py:class:`IgPs <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel.IgPs>`
                    
                    .. attribute:: igp_metric
                    
                    	IGP metric
                    	**type**\:  int
                    
                    	**range:** \-2147483648..2147483647
                    
                    .. attribute:: is_auto_mesh_aa
                    
                    	True if this is auto\-tunnel mesh AA
                    	**type**\:  bool
                    
                    .. attribute:: is_exclude_segment_routing
                    
                    	True if autoroute\-announce has exclude segment\-routing option
                    	**type**\:  bool
                    
                    .. attribute:: is_sr
                    
                    	True if this is a segment routing tunnel
                    	**type**\:  bool
                    
                    .. attribute:: is_sr_strict
                    
                    	True if this is a strict SID SR tunnel
                    	**type**\:  bool
                    
                    .. attribute:: mesh_group_idaa
                    
                    	MeshGroup ID for AA
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: mode
                    
                    	Autoroute mode
                    	**type**\:   :py:class:`IgpteAaMetricModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpteAaMetricModeEnum>`
                    
                    .. attribute:: next_hop_address
                    
                    	The tunnel destination
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: tunnel_loadshare
                    
                    	Tunnel loadshare
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tunnel_name
                    
                    	The tunnel name
                    	**type**\:  str
                    
                    .. attribute:: tunnel_sig_name
                    
                    	The tunnel signaled\-name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.announce_type = None
                        self.area_format = None
                        self.hold_time = None
                        self.ig_ps = YList()
                        self.ig_ps.parent = self
                        self.ig_ps.name = 'ig_ps'
                        self.igp_metric = None
                        self.is_auto_mesh_aa = None
                        self.is_exclude_segment_routing = None
                        self.is_sr = None
                        self.is_sr_strict = None
                        self.mesh_group_idaa = None
                        self.mode = None
                        self.next_hop_address = None
                        self.tunnel_loadshare = None
                        self.tunnel_name = None
                        self.tunnel_sig_name = None


                    class IgPs(object):
                        """
                        List of IGPs to which it is announced
                        
                        .. attribute:: afi
                        
                        	AFI
                        	**type**\:   :py:class:`MplsTeAfiEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeAfiEnum>`
                        
                        .. attribute:: igp_area_id
                        
                        	The IGP Instance and Area ID
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.afi = None
                            self.igp_area_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ig-ps'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.afi is not None:
                                return True

                            if self.igp_area_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel.IgPs']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:total-tunnel'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.announce_type is not None:
                            return True

                        if self.area_format is not None:
                            return True

                        if self.hold_time is not None:
                            return True

                        if self.ig_ps is not None:
                            for child_ref in self.ig_ps:
                                if child_ref._has_data():
                                    return True

                        if self.igp_metric is not None:
                            return True

                        if self.is_auto_mesh_aa is not None:
                            return True

                        if self.is_exclude_segment_routing is not None:
                            return True

                        if self.is_sr is not None:
                            return True

                        if self.is_sr_strict is not None:
                            return True

                        if self.mesh_group_idaa is not None:
                            return True

                        if self.mode is not None:
                            return True

                        if self.next_hop_address is not None:
                            return True

                        if self.tunnel_loadshare is not None:
                            return True

                        if self.tunnel_name is not None:
                            return True

                        if self.tunnel_sig_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel']['meta_info']

                @property
                def _common_path(self):
                    if self.area is None:
                        raise YPYModelError('Key property area is None')
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.igp_id is None:
                        raise YPYModelError('Key property igp_id is None')
                    if self.protocol is None:
                        raise YPYModelError('Key property protocol is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:announce-tunnels-info/Cisco-IOS-XR-mpls-te-oper:all-autoroute-table/Cisco-IOS-XR-mpls-te-oper:announce-dest[Cisco-IOS-XR-mpls-te-oper:area = ' + str(self.area) + '][Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:igp-id = ' + str(self.igp_id) + '][Cisco-IOS-XR-mpls-te-oper:protocol = ' + str(self.protocol) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.area is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.igp_id is not None:
                        return True

                    if self.protocol is not None:
                        return True

                    if self.announced_tunnels_count is not None:
                        return True

                    if self.area_format is not None:
                        return True

                    if self.autorouted_tunnels_count is not None:
                        return True

                    if self.destination is not None:
                        return True

                    if self.forwarding_adjacency_tunnels_count is not None:
                        return True

                    if self.igp_area is not None:
                        return True

                    if self.igp_instance is not None:
                        return True

                    if self.igp_type is not None:
                        return True

                    if self.total_tunnel is not None:
                        for child_ref in self.total_tunnel:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:announce-tunnels-info/Cisco-IOS-XR-mpls-te-oper:all-autoroute-table'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.announce_dest is not None:
                    for child_ref in self.announce_dest:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:announce-tunnels-info'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.all_autoroute_table is not None and self.all_autoroute_table._has_data():
                return True

            if self.autoroute_announce_table is not None and self.autoroute_announce_table._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.AnnounceTunnelsInfo']['meta_info']


    class CollaboratorTimers(object):
        """
        TE Collaborator timer status
        
        .. attribute:: p2mp_timer
        
        	Description of all P2MP timers
        	**type**\: list of    :py:class:`P2MpTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.CollaboratorTimers.P2MpTimer>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.p2mp_timer = YList()
            self.p2mp_timer.parent = self
            self.p2mp_timer.name = 'p2mp_timer'


        class P2MpTimer(object):
            """
            Description of all P2MP timers
            
            .. attribute:: duration
            
            	The expiry delay in seconds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: expiry_time
            
            	Date when the timer last expired in seconds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: is_running
            
            	True if the timer is running
            	**type**\:  bool
            
            .. attribute:: start_time
            
            	Date when timer was last started in seconds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: stop_time
            
            	Date when the timer was last stopped in seconds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: timer_name
            
            	Timer Name
            	**type**\:  str
            
            .. attribute:: timer_type
            
            	Timer Type
            	**type**\:   :py:class:`MplsTeP2MpTimerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeP2MpTimerEnum>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.duration = None
                self.expiry_time = None
                self.is_running = None
                self.start_time = None
                self.stop_time = None
                self.timer_name = None
                self.timer_type = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:collaborator-timers/Cisco-IOS-XR-mpls-te-oper:p2mp-timer'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.duration is not None:
                    return True

                if self.expiry_time is not None:
                    return True

                if self.is_running is not None:
                    return True

                if self.start_time is not None:
                    return True

                if self.stop_time is not None:
                    return True

                if self.timer_name is not None:
                    return True

                if self.timer_type is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.CollaboratorTimers.P2MpTimer']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:collaborator-timers'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.p2mp_timer is not None:
                for child_ref in self.p2mp_timer:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.CollaboratorTimers']['meta_info']


    class AutoTunnel(object):
        """
        Auto tunnel information.
        
        .. attribute:: backup
        
        	Auto tunnel backup information
        	**type**\:   :py:class:`Backup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Backup>`
        
        .. attribute:: mesh
        
        	Auto tunnel mesh information
        	**type**\:   :py:class:`Mesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Mesh>`
        
        .. attribute:: pcc
        
        	Auto tunnel PCC (Path Computation Client) information
        	**type**\:   :py:class:`Pcc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Pcc>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.backup = MplsTeStandby.AutoTunnel.Backup()
            self.backup.parent = self
            self.mesh = MplsTeStandby.AutoTunnel.Mesh()
            self.mesh.parent = self
            self.pcc = MplsTeStandby.AutoTunnel.Pcc()
            self.pcc.parent = self


        class Pcc(object):
            """
            Auto tunnel PCC (Path Computation Client)
            information.
            
            .. attribute:: summary
            
            	MPLS TE auto\-tunnel pcc summary information
            	**type**\:   :py:class:`Summary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Pcc.Summary>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.summary = MplsTeStandby.AutoTunnel.Pcc.Summary()
                self.summary.parent = self


            class Summary(object):
                """
                MPLS TE auto\-tunnel pcc summary information
                
                .. attribute:: down_pcc_auto_tunnels
                
                	Total number of stateful PCE client auto\-tunnels that are down
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: pcc_auto_tunnel
                
                	Total number of stateful PCE client auto\-tunnels
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: up_pcc_auto_tunnels
                
                	Total number of stateful PCE client auto\-tunnels that are up
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.down_pcc_auto_tunnels = None
                    self.pcc_auto_tunnel = None
                    self.up_pcc_auto_tunnels = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:pcc/Cisco-IOS-XR-mpls-te-oper:summary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.down_pcc_auto_tunnels is not None:
                        return True

                    if self.pcc_auto_tunnel is not None:
                        return True

                    if self.up_pcc_auto_tunnels is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.AutoTunnel.Pcc.Summary']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:pcc'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.summary is not None and self.summary._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.AutoTunnel.Pcc']['meta_info']


        class Mesh(object):
            """
            Auto tunnel mesh information.
            
            .. attribute:: config
            
            	MPLS TE auto\-tunnel mesh configuration information
            	**type**\:   :py:class:`Config <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Mesh.Config>`
            
            .. attribute:: mesh_groups
            
            	Display auto\-tunnel mesh group
            	**type**\:   :py:class:`MeshGroups <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Mesh.MeshGroups>`
            
            .. attribute:: one_hop
            
            	MPLS TE auto\-tunnel mesh onehop information
            	**type**\:   :py:class:`OneHop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Mesh.OneHop>`
            
            .. attribute:: statistics
            
            	MPLS TE auto\-tunnel mesh counters (stats) information
            	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Mesh.Statistics>`
            
            .. attribute:: summary
            
            	MPLS TE auto\-tunnel mesh summary information
            	**type**\:   :py:class:`Summary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Mesh.Summary>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.config = MplsTeStandby.AutoTunnel.Mesh.Config()
                self.config.parent = self
                self.mesh_groups = MplsTeStandby.AutoTunnel.Mesh.MeshGroups()
                self.mesh_groups.parent = self
                self.one_hop = MplsTeStandby.AutoTunnel.Mesh.OneHop()
                self.one_hop.parent = self
                self.statistics = MplsTeStandby.AutoTunnel.Mesh.Statistics()
                self.statistics.parent = self
                self.summary = MplsTeStandby.AutoTunnel.Mesh.Summary()
                self.summary.parent = self


            class MeshGroups(object):
                """
                Display auto\-tunnel mesh group
                
                .. attribute:: mesh_group
                
                	Display auto\-tunnel mesh group information
                	**type**\: list of    :py:class:`MeshGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Mesh.MeshGroups.MeshGroup>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.mesh_group = YList()
                    self.mesh_group.parent = self
                    self.mesh_group.name = 'mesh_group'


                class MeshGroup(object):
                    """
                    Display auto\-tunnel mesh group information
                    
                    .. attribute:: mesh_group_id  <key>
                    
                    	Mesh group ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: attribute_set_name
                    
                    	Attribute set name
                    	**type**\:  str
                    
                    .. attribute:: auto_mesh_group_type
                    
                    	Meshgroup Type
                    	**type**\:   :py:class:`TeMeshgroupEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeMeshgroupEnum>`
                    
                    .. attribute:: auto_mesh_total_destinations
                    
                    	Total number of destinations
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: auto_mesh_tunnels
                    
                    	Total number of automesh tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: destination
                    
                    	List of destinations for this meshgroup
                    	**type**\: list of    :py:class:`Destination <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Mesh.MeshGroups.MeshGroup.Destination>`
                    
                    .. attribute:: destination_list_name
                    
                    	Destination List name
                    	**type**\:  str
                    
                    .. attribute:: destination_list_type
                    
                    	Type of the  destlist
                    	**type**\:   :py:class:`TeAclEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAclEnum>`
                    
                    .. attribute:: down_auto_mesh_tunnels
                    
                    	Total number of automesh tunnels that are down
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: frr_auto_mesh_tunnels
                    
                    	Total number of automesh tunnels that are FRR enabled
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_attribute_set_configured
                    
                    	Is any attribute\-set associated to this meshgroup
                    	**type**\:  bool
                    
                    .. attribute:: is_attribute_set_in_db
                    
                    	Flag to indicate the existence of attribute set found in database
                    	**type**\:  bool
                    
                    .. attribute:: is_destination_list_configured
                    
                    	Is any destiantion\-list associated to this meshgroup
                    	**type**\:  bool
                    
                    .. attribute:: is_meshgroup_disabled
                    
                    	Is the meshgroup disabled
                    	**type**\:  bool
                    
                    .. attribute:: mesh_group_id_xr
                    
                    	Meshgroup ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: remaining_time
                    
                    	Remaining time for recreate timer in seconds
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: up_auto_mesh_tunnels
                    
                    	Total number of automesh tunnels that are up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.mesh_group_id = None
                        self.attribute_set_name = None
                        self.auto_mesh_group_type = None
                        self.auto_mesh_total_destinations = None
                        self.auto_mesh_tunnels = None
                        self.destination = YList()
                        self.destination.parent = self
                        self.destination.name = 'destination'
                        self.destination_list_name = None
                        self.destination_list_type = None
                        self.down_auto_mesh_tunnels = None
                        self.frr_auto_mesh_tunnels = None
                        self.is_attribute_set_configured = None
                        self.is_attribute_set_in_db = None
                        self.is_destination_list_configured = None
                        self.is_meshgroup_disabled = None
                        self.mesh_group_id_xr = None
                        self.remaining_time = None
                        self.up_auto_mesh_tunnels = None


                    class Destination(object):
                        """
                        List of destinations for this meshgroup
                        
                        .. attribute:: destination_address
                        
                        	Destination address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: operational_status
                        
                        	Tunnel operational status
                        	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                        
                        .. attribute:: remaining_time
                        
                        	Remaining time for unused timer in seconds
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.destination_address = None
                            self.operational_status = None
                            self.remaining_time = None
                            self.tunnel_id = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:destination'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.destination_address is not None:
                                return True

                            if self.operational_status is not None:
                                return True

                            if self.remaining_time is not None:
                                return True

                            if self.tunnel_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.AutoTunnel.Mesh.MeshGroups.MeshGroup.Destination']['meta_info']

                    @property
                    def _common_path(self):
                        if self.mesh_group_id is None:
                            raise YPYModelError('Key property mesh_group_id is None')

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:mesh/Cisco-IOS-XR-mpls-te-oper:mesh-groups/Cisco-IOS-XR-mpls-te-oper:mesh-group[Cisco-IOS-XR-mpls-te-oper:mesh-group-id = ' + str(self.mesh_group_id) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.mesh_group_id is not None:
                            return True

                        if self.attribute_set_name is not None:
                            return True

                        if self.auto_mesh_group_type is not None:
                            return True

                        if self.auto_mesh_total_destinations is not None:
                            return True

                        if self.auto_mesh_tunnels is not None:
                            return True

                        if self.destination is not None:
                            for child_ref in self.destination:
                                if child_ref._has_data():
                                    return True

                        if self.destination_list_name is not None:
                            return True

                        if self.destination_list_type is not None:
                            return True

                        if self.down_auto_mesh_tunnels is not None:
                            return True

                        if self.frr_auto_mesh_tunnels is not None:
                            return True

                        if self.is_attribute_set_configured is not None:
                            return True

                        if self.is_attribute_set_in_db is not None:
                            return True

                        if self.is_destination_list_configured is not None:
                            return True

                        if self.is_meshgroup_disabled is not None:
                            return True

                        if self.mesh_group_id_xr is not None:
                            return True

                        if self.remaining_time is not None:
                            return True

                        if self.up_auto_mesh_tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.AutoTunnel.Mesh.MeshGroups.MeshGroup']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:mesh/Cisco-IOS-XR-mpls-te-oper:mesh-groups'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.mesh_group is not None:
                        for child_ref in self.mesh_group:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.AutoTunnel.Mesh.MeshGroups']['meta_info']


            class Statistics(object):
                """
                MPLS TE auto\-tunnel mesh counters (stats)
                information
                
                .. attribute:: connected
                
                	Number of connected automesh tunnels
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: created
                
                	Number of connected automesh tunnels
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: last_cleared_time
                
                	Time at which these were last cleared in seconds since (in seconds since 1st Jan 1970 00\:00\:00)'
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: removed_in_use
                
                	Number of automesh tunnels removed while up and in use
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: removed_range_exceeded
                
                	Number of automesh tunnel attempts rejected because the total number exceeds the range
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: removed_unused
                
                	Number of automesh tunnels removed while unused
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.connected = None
                    self.created = None
                    self.last_cleared_time = None
                    self.removed_in_use = None
                    self.removed_range_exceeded = None
                    self.removed_unused = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:mesh/Cisco-IOS-XR-mpls-te-oper:statistics'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.connected is not None:
                        return True

                    if self.created is not None:
                        return True

                    if self.last_cleared_time is not None:
                        return True

                    if self.removed_in_use is not None:
                        return True

                    if self.removed_range_exceeded is not None:
                        return True

                    if self.removed_unused is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.AutoTunnel.Mesh.Statistics']['meta_info']


            class Summary(object):
                """
                MPLS TE auto\-tunnel mesh summary information
                
                .. attribute:: auto_mesh_destinations
                
                	Total number of automesh destinations
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: auto_mesh_groups
                
                	Total number of automesh mesh\-groups
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: auto_mesh_tunnels
                
                	Total number of automesh tunnels
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: down_auto_mesh_tunnels
                
                	Total number of automesh tunnels that are down
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: frr_auto_mesh_tunnels
                
                	Total number of automesh tunnels that are FRR enabled
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: up_auto_mesh_tunnels
                
                	Total number of automesh tunnels that are up
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.auto_mesh_destinations = None
                    self.auto_mesh_groups = None
                    self.auto_mesh_tunnels = None
                    self.down_auto_mesh_tunnels = None
                    self.frr_auto_mesh_tunnels = None
                    self.up_auto_mesh_tunnels = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:mesh/Cisco-IOS-XR-mpls-te-oper:summary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.auto_mesh_destinations is not None:
                        return True

                    if self.auto_mesh_groups is not None:
                        return True

                    if self.auto_mesh_tunnels is not None:
                        return True

                    if self.down_auto_mesh_tunnels is not None:
                        return True

                    if self.frr_auto_mesh_tunnels is not None:
                        return True

                    if self.up_auto_mesh_tunnels is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.AutoTunnel.Mesh.Summary']['meta_info']


            class Config(object):
                """
                MPLS TE auto\-tunnel mesh configuration
                information
                
                .. attribute:: is_configured
                
                	Indicate if auto\-tunnel mesh feature is configured 
                	**type**\:  bool
                
                .. attribute:: max_tunnel_id
                
                	Upper bound of configured tunnel ID range
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: min_tunnel_id
                
                	Lower bound of configured tunnel ID range
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: unused_removal_timeout_configured
                
                	Configured value of unused removal timer in seconds
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.is_configured = None
                    self.max_tunnel_id = None
                    self.min_tunnel_id = None
                    self.unused_removal_timeout_configured = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:mesh/Cisco-IOS-XR-mpls-te-oper:config'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.is_configured is not None:
                        return True

                    if self.max_tunnel_id is not None:
                        return True

                    if self.min_tunnel_id is not None:
                        return True

                    if self.unused_removal_timeout_configured is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.AutoTunnel.Mesh.Config']['meta_info']


            class OneHop(object):
                """
                MPLS TE auto\-tunnel mesh onehop information
                
                .. attribute:: interfaces
                
                	Display auto\-tunnel onehop interfaces
                	**type**\:   :py:class:`Interfaces <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Mesh.OneHop.Interfaces>`
                
                .. attribute:: statistics
                
                	MPLS TE auto\-tunnel mesh onehop counters (stats) information
                	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Mesh.OneHop.Statistics>`
                
                .. attribute:: summary
                
                	MPLS TE auto\-tunnel mesh onehop summary information
                	**type**\:   :py:class:`Summary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Mesh.OneHop.Summary>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.interfaces = MplsTeStandby.AutoTunnel.Mesh.OneHop.Interfaces()
                    self.interfaces.parent = self
                    self.statistics = MplsTeStandby.AutoTunnel.Mesh.OneHop.Statistics()
                    self.statistics.parent = self
                    self.summary = MplsTeStandby.AutoTunnel.Mesh.OneHop.Summary()
                    self.summary.parent = self


                class Interfaces(object):
                    """
                    Display auto\-tunnel onehop interfaces
                    
                    .. attribute:: interface
                    
                    	Display auto\-tunnel mesh onehop interface information
                    	**type**\: list of    :py:class:`Interface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Mesh.OneHop.Interfaces.Interface>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.interface = YList()
                        self.interface.parent = self
                        self.interface.name = 'interface'


                    class Interface(object):
                        """
                        Display auto\-tunnel mesh onehop interface
                        information
                        
                        .. attribute:: interface_name  <key>
                        
                        	Interface Name
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: interface_name_xr
                        
                        	Interface name
                        	**type**\:  str
                        
                        .. attribute:: tunnel
                        
                        	Onehop tunnels created for this interface
                        	**type**\: list of    :py:class:`Tunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Mesh.OneHop.Interfaces.Interface.Tunnel>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.interface_name = None
                            self.interface_name_xr = None
                            self.tunnel = YList()
                            self.tunnel.parent = self
                            self.tunnel.name = 'tunnel'


                        class Tunnel(object):
                            """
                            Onehop tunnels created for this interface
                            
                            .. attribute:: destination_address
                            
                            	Destination Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mesh_group_id
                            
                            	Meshgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: tunnel_lspid
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: tunnel_state
                            
                            	Tunnel state
                            	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.destination_address = None
                                self.mesh_group_id = None
                                self.tunnel_id = None
                                self.tunnel_lspid = None
                                self.tunnel_state = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.destination_address is not None:
                                    return True

                                if self.mesh_group_id is not None:
                                    return True

                                if self.tunnel_id is not None:
                                    return True

                                if self.tunnel_lspid is not None:
                                    return True

                                if self.tunnel_state is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.AutoTunnel.Mesh.OneHop.Interfaces.Interface.Tunnel']['meta_info']

                        @property
                        def _common_path(self):
                            if self.interface_name is None:
                                raise YPYModelError('Key property interface_name is None')

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:mesh/Cisco-IOS-XR-mpls-te-oper:one-hop/Cisco-IOS-XR-mpls-te-oper:interfaces/Cisco-IOS-XR-mpls-te-oper:interface[Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + ']'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.interface_name is not None:
                                return True

                            if self.interface_name_xr is not None:
                                return True

                            if self.tunnel is not None:
                                for child_ref in self.tunnel:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.AutoTunnel.Mesh.OneHop.Interfaces.Interface']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:mesh/Cisco-IOS-XR-mpls-te-oper:one-hop/Cisco-IOS-XR-mpls-te-oper:interfaces'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.interface is not None:
                            for child_ref in self.interface:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.AutoTunnel.Mesh.OneHop.Interfaces']['meta_info']


                class Statistics(object):
                    """
                    MPLS TE auto\-tunnel mesh onehop counters
                    (stats) information
                    
                    .. attribute:: connected
                    
                    	Number of connected automesh tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: created
                    
                    	Number of connected automesh tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: last_cleared_time
                    
                    	Time at which these were last cleared in seconds since (in seconds since 1st Jan 1970 00\:00\:00)'
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: removed_in_use
                    
                    	Number of automesh tunnels removed while up and in use
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: removed_range_exceeded
                    
                    	Number of automesh tunnel attempts rejected because the total number exceeds the range
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: removed_unused
                    
                    	Number of automesh tunnels removed while unused
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.connected = None
                        self.created = None
                        self.last_cleared_time = None
                        self.removed_in_use = None
                        self.removed_range_exceeded = None
                        self.removed_unused = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:mesh/Cisco-IOS-XR-mpls-te-oper:one-hop/Cisco-IOS-XR-mpls-te-oper:statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.connected is not None:
                            return True

                        if self.created is not None:
                            return True

                        if self.last_cleared_time is not None:
                            return True

                        if self.removed_in_use is not None:
                            return True

                        if self.removed_range_exceeded is not None:
                            return True

                        if self.removed_unused is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.AutoTunnel.Mesh.OneHop.Statistics']['meta_info']


                class Summary(object):
                    """
                    MPLS TE auto\-tunnel mesh onehop summary
                    information
                    
                    .. attribute:: auto_mesh_one_hop_destinations
                    
                    	Total number of automesh onehop destinations
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: auto_mesh_one_hop_groups
                    
                    	Total number of automesh onehop mesh\-groups
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: auto_mesh_one_hop_tunnels
                    
                    	Total number of automesh onehop tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: down_auto_mesh_one_hop_tunnels
                    
                    	Total number of automesh onehop tunnels that are down
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: frr_auto_mesh_tunnels
                    
                    	Total number of automesh onehop tunnels that are FRR enabled
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: up_auto_mesh_one_hop_tunnels
                    
                    	Total number of automesh onehop tunnels that are up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.auto_mesh_one_hop_destinations = None
                        self.auto_mesh_one_hop_groups = None
                        self.auto_mesh_one_hop_tunnels = None
                        self.down_auto_mesh_one_hop_tunnels = None
                        self.frr_auto_mesh_tunnels = None
                        self.up_auto_mesh_one_hop_tunnels = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:mesh/Cisco-IOS-XR-mpls-te-oper:one-hop/Cisco-IOS-XR-mpls-te-oper:summary'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.auto_mesh_one_hop_destinations is not None:
                            return True

                        if self.auto_mesh_one_hop_groups is not None:
                            return True

                        if self.auto_mesh_one_hop_tunnels is not None:
                            return True

                        if self.down_auto_mesh_one_hop_tunnels is not None:
                            return True

                        if self.frr_auto_mesh_tunnels is not None:
                            return True

                        if self.up_auto_mesh_one_hop_tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.AutoTunnel.Mesh.OneHop.Summary']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:mesh/Cisco-IOS-XR-mpls-te-oper:one-hop'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.interfaces is not None and self.interfaces._has_data():
                        return True

                    if self.statistics is not None and self.statistics._has_data():
                        return True

                    if self.summary is not None and self.summary._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.AutoTunnel.Mesh.OneHop']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:mesh'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.config is not None and self.config._has_data():
                    return True

                if self.mesh_groups is not None and self.mesh_groups._has_data():
                    return True

                if self.one_hop is not None and self.one_hop._has_data():
                    return True

                if self.statistics is not None and self.statistics._has_data():
                    return True

                if self.summary is not None and self.summary._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.AutoTunnel.Mesh']['meta_info']


        class Backup(object):
            """
            Auto tunnel backup information.
            
            .. attribute:: config
            
            	MPLS TE auto\-tunnel backup configuration information
            	**type**\:   :py:class:`Config <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Backup.Config>`
            
            .. attribute:: statistics
            
            	MPLS TE auto\-tunnel backup counters (stats) information
            	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Backup.Statistics>`
            
            .. attribute:: summary
            
            	MPLS TE auto\-tunnel backup summary information
            	**type**\:   :py:class:`Summary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Backup.Summary>`
            
            .. attribute:: tunnels
            
            	auto\-tunnel backup information
            	**type**\:   :py:class:`Tunnels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Backup.Tunnels>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.config = MplsTeStandby.AutoTunnel.Backup.Config()
                self.config.parent = self
                self.statistics = MplsTeStandby.AutoTunnel.Backup.Statistics()
                self.statistics.parent = self
                self.summary = MplsTeStandby.AutoTunnel.Backup.Summary()
                self.summary.parent = self
                self.tunnels = MplsTeStandby.AutoTunnel.Backup.Tunnels()
                self.tunnels.parent = self


            class Tunnels(object):
                """
                auto\-tunnel backup information
                
                .. attribute:: tunnel
                
                	Display auto tunnel backup tunnel information
                	**type**\: list of    :py:class:`Tunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Backup.Tunnels.Tunnel>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.tunnel = YList()
                    self.tunnel.parent = self
                    self.tunnel.name = 'tunnel'


                class Tunnel(object):
                    """
                    Display auto tunnel backup tunnel information
                    
                    .. attribute:: backup_tunnel_name  <key>
                    
                    	Backup tunnel name
                    	**type**\:  str
                    
                    	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                    
                    .. attribute:: atb_protection_type
                    
                    	Type of protection offered by this auto\-tunnel backup
                    	**type**\:   :py:class:`AutoBackupProtectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AutoBackupProtectionEnum>`
                    
                    .. attribute:: operational_status
                    
                    	Tunnel operational status
                    	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                    
                    .. attribute:: protected_flows
                    
                    	Number of protected flows
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: protected_interface_name
                    
                    	Interface protected by this auto\-tunnel backup
                    	**type**\:  str
                    
                    .. attribute:: protected_router_id
                    
                    	Router ID of node protected by this auto\-tunnel backup
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: srlg_mode
                    
                    	SRLG exclude mode for this auto\-tunnel backup
                    	**type**\:   :py:class:`AutoBackupSrlgModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AutoBackupSrlgModeEnum>`
                    
                    .. attribute:: tunnel_name
                    
                    	Tunnel Name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.backup_tunnel_name = None
                        self.atb_protection_type = None
                        self.operational_status = None
                        self.protected_flows = None
                        self.protected_interface_name = None
                        self.protected_router_id = None
                        self.srlg_mode = None
                        self.tunnel_name = None

                    @property
                    def _common_path(self):
                        if self.backup_tunnel_name is None:
                            raise YPYModelError('Key property backup_tunnel_name is None')

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel[Cisco-IOS-XR-mpls-te-oper:backup-tunnel-name = ' + str(self.backup_tunnel_name) + ']'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.backup_tunnel_name is not None:
                            return True

                        if self.atb_protection_type is not None:
                            return True

                        if self.operational_status is not None:
                            return True

                        if self.protected_flows is not None:
                            return True

                        if self.protected_interface_name is not None:
                            return True

                        if self.protected_router_id is not None:
                            return True

                        if self.srlg_mode is not None:
                            return True

                        if self.tunnel_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.AutoTunnel.Backup.Tunnels.Tunnel']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup/Cisco-IOS-XR-mpls-te-oper:tunnels'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.tunnel is not None:
                        for child_ref in self.tunnel:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.AutoTunnel.Backup.Tunnels']['meta_info']


            class Statistics(object):
                """
                MPLS TE auto\-tunnel backup counters (stats)
                information
                
                .. attribute:: connected
                
                	Number of connected auto backup tunnels
                	**type**\:   :py:class:`Connected <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Backup.Statistics.Connected>`
                
                .. attribute:: created
                
                	Number of connected auto backup tunnels
                	**type**\:   :py:class:`Created <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Backup.Statistics.Created>`
                
                .. attribute:: last_cleared_time
                
                	Timestamp when the stat has been cleared
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: removed_down
                
                	Number of NNHOP auto backup tunnels removed while down
                	**type**\:   :py:class:`RemovedDown <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedDown>`
                
                .. attribute:: removed_in_use
                
                	Number of auto backup tunnels removed while up and in use
                	**type**\:   :py:class:`RemovedInUse <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedInUse>`
                
                .. attribute:: removed_range_exceeded
                
                	Number of auto backup tunnel attempts rejected because the total number exceeds the range
                	**type**\:   :py:class:`RemovedRangeExceeded <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedRangeExceeded>`
                
                .. attribute:: removed_unused
                
                	Number of auto backup tunnels removed while unused
                	**type**\:   :py:class:`RemovedUnused <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedUnused>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.connected = MplsTeStandby.AutoTunnel.Backup.Statistics.Connected()
                    self.connected.parent = self
                    self.created = MplsTeStandby.AutoTunnel.Backup.Statistics.Created()
                    self.created.parent = self
                    self.last_cleared_time = None
                    self.removed_down = MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedDown()
                    self.removed_down.parent = self
                    self.removed_in_use = MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedInUse()
                    self.removed_in_use.parent = self
                    self.removed_range_exceeded = MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedRangeExceeded()
                    self.removed_range_exceeded.parent = self
                    self.removed_unused = MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedUnused()
                    self.removed_unused.parent = self


                class Created(object):
                    """
                    Number of connected auto backup tunnels
                    
                    .. attribute:: next_hop_tunnels
                    
                    	Next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: next_next_hop_tunnels
                    
                    	Next next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_tunnels
                    
                    	Total auto backup tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.next_hop_tunnels = None
                        self.next_next_hop_tunnels = None
                        self.total_tunnels = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:created'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.next_hop_tunnels is not None:
                            return True

                        if self.next_next_hop_tunnels is not None:
                            return True

                        if self.total_tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.AutoTunnel.Backup.Statistics.Created']['meta_info']


                class Connected(object):
                    """
                    Number of connected auto backup tunnels
                    
                    .. attribute:: next_hop_tunnels
                    
                    	Next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: next_next_hop_tunnels
                    
                    	Next next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_tunnels
                    
                    	Total auto backup tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.next_hop_tunnels = None
                        self.next_next_hop_tunnels = None
                        self.total_tunnels = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:connected'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.next_hop_tunnels is not None:
                            return True

                        if self.next_next_hop_tunnels is not None:
                            return True

                        if self.total_tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.AutoTunnel.Backup.Statistics.Connected']['meta_info']


                class RemovedDown(object):
                    """
                    Number of NNHOP auto backup tunnels removed
                    while down
                    
                    .. attribute:: next_hop_tunnels
                    
                    	Next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: next_next_hop_tunnels
                    
                    	Next next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_tunnels
                    
                    	Total auto backup tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.next_hop_tunnels = None
                        self.next_next_hop_tunnels = None
                        self.total_tunnels = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:removed-down'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.next_hop_tunnels is not None:
                            return True

                        if self.next_next_hop_tunnels is not None:
                            return True

                        if self.total_tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedDown']['meta_info']


                class RemovedUnused(object):
                    """
                    Number of auto backup tunnels removed while
                    unused
                    
                    .. attribute:: next_hop_tunnels
                    
                    	Next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: next_next_hop_tunnels
                    
                    	Next next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_tunnels
                    
                    	Total auto backup tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.next_hop_tunnels = None
                        self.next_next_hop_tunnels = None
                        self.total_tunnels = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:removed-unused'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.next_hop_tunnels is not None:
                            return True

                        if self.next_next_hop_tunnels is not None:
                            return True

                        if self.total_tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedUnused']['meta_info']


                class RemovedInUse(object):
                    """
                    Number of auto backup tunnels removed while up
                    and in use
                    
                    .. attribute:: next_hop_tunnels
                    
                    	Next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: next_next_hop_tunnels
                    
                    	Next next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_tunnels
                    
                    	Total auto backup tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.next_hop_tunnels = None
                        self.next_next_hop_tunnels = None
                        self.total_tunnels = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:removed-in-use'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.next_hop_tunnels is not None:
                            return True

                        if self.next_next_hop_tunnels is not None:
                            return True

                        if self.total_tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedInUse']['meta_info']


                class RemovedRangeExceeded(object):
                    """
                    Number of auto backup tunnel attempts rejected
                    because the total number exceeds the range
                    
                    .. attribute:: next_hop_tunnels
                    
                    	Next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: next_next_hop_tunnels
                    
                    	Next next hop auto backup tunnels only
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: total_tunnels
                    
                    	Total auto backup tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.next_hop_tunnels = None
                        self.next_next_hop_tunnels = None
                        self.total_tunnels = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup/Cisco-IOS-XR-mpls-te-oper:statistics/Cisco-IOS-XR-mpls-te-oper:removed-range-exceeded'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.next_hop_tunnels is not None:
                            return True

                        if self.next_next_hop_tunnels is not None:
                            return True

                        if self.total_tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedRangeExceeded']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup/Cisco-IOS-XR-mpls-te-oper:statistics'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.connected is not None and self.connected._has_data():
                        return True

                    if self.created is not None and self.created._has_data():
                        return True

                    if self.last_cleared_time is not None:
                        return True

                    if self.removed_down is not None and self.removed_down._has_data():
                        return True

                    if self.removed_in_use is not None and self.removed_in_use._has_data():
                        return True

                    if self.removed_range_exceeded is not None and self.removed_range_exceeded._has_data():
                        return True

                    if self.removed_unused is not None and self.removed_unused._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.AutoTunnel.Backup.Statistics']['meta_info']


            class Summary(object):
                """
                MPLS TE auto\-tunnel backup summary information
                
                .. attribute:: autobackups
                
                	Total number of autobackup tunnels
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: down_autobackups
                
                	Total number of autobackup tunnels that are down
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_autobackup_protected_ls_ps
                
                	Total number of autobackup protected LSPs with NHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_autobackup_protected_s2_ls
                
                	Total number of autobackup protected S2Ls with NHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_autobackup_protected_s2l_families
                
                	Total number of autobackup protected S2L Families with NHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_autobackups
                
                	Total number of autobackup tunnels that are NHOP
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_srlg_autobackup_protected_ls_ps
                
                	Total number of autobackup protected LSPs with NHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_srlg_autobackup_protected_s2_ls
                
                	Total number of autobackup protected S2Ls with NHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_srlg_autobackup_protected_s2l_families
                
                	Total number of autobackup protected S2L Families with NHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_autobackup_protected_ls_ps
                
                	Total number of autobackup protected LSPs with NNHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_autobackup_protected_s2_ls
                
                	Total number of autobackup protected S2Ls with NNHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_autobackup_protected_s2l_families
                
                	Total number of autobackup protected S2L Families with NNHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_autobackups
                
                	Total number of autobackup tunnels that are NNHOP
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_srlg_autobackup_protected_ls_ps
                
                	Total number of autobackup protected LSPs with NNHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_srlg_autobackup_protected_s2_ls
                
                	Total number of autobackup protected S2Ls with NNHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_srlg_autobackup_protected_s2l_families
                
                	Total number of autobackup protected S2L Families with NNHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: srlg_preferred_autobackups
                
                	Total number of autobackup tunnels that are using SRLG preferred
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: srlg_strict_autobackups
                
                	Total number of autobackup tunnels that are using SRLG strict
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: srlg_weighted_autobackups
                
                	Total number of autobackup tunnels that are using weighted SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: unused_autobackups
                
                	Total number of autobackup tunnels that are unused
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: up_autobackups
                
                	Total number of autobackup tunnels that are up
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.autobackups = None
                    self.down_autobackups = None
                    self.next_hop_autobackup_protected_ls_ps = None
                    self.next_hop_autobackup_protected_s2_ls = None
                    self.next_hop_autobackup_protected_s2l_families = None
                    self.next_hop_autobackups = None
                    self.next_hop_srlg_autobackup_protected_ls_ps = None
                    self.next_hop_srlg_autobackup_protected_s2_ls = None
                    self.next_hop_srlg_autobackup_protected_s2l_families = None
                    self.next_next_hop_autobackup_protected_ls_ps = None
                    self.next_next_hop_autobackup_protected_s2_ls = None
                    self.next_next_hop_autobackup_protected_s2l_families = None
                    self.next_next_hop_autobackups = None
                    self.next_next_hop_srlg_autobackup_protected_ls_ps = None
                    self.next_next_hop_srlg_autobackup_protected_s2_ls = None
                    self.next_next_hop_srlg_autobackup_protected_s2l_families = None
                    self.srlg_preferred_autobackups = None
                    self.srlg_strict_autobackups = None
                    self.srlg_weighted_autobackups = None
                    self.unused_autobackups = None
                    self.up_autobackups = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup/Cisco-IOS-XR-mpls-te-oper:summary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.autobackups is not None:
                        return True

                    if self.down_autobackups is not None:
                        return True

                    if self.next_hop_autobackup_protected_ls_ps is not None:
                        return True

                    if self.next_hop_autobackup_protected_s2_ls is not None:
                        return True

                    if self.next_hop_autobackup_protected_s2l_families is not None:
                        return True

                    if self.next_hop_autobackups is not None:
                        return True

                    if self.next_hop_srlg_autobackup_protected_ls_ps is not None:
                        return True

                    if self.next_hop_srlg_autobackup_protected_s2_ls is not None:
                        return True

                    if self.next_hop_srlg_autobackup_protected_s2l_families is not None:
                        return True

                    if self.next_next_hop_autobackup_protected_ls_ps is not None:
                        return True

                    if self.next_next_hop_autobackup_protected_s2_ls is not None:
                        return True

                    if self.next_next_hop_autobackup_protected_s2l_families is not None:
                        return True

                    if self.next_next_hop_autobackups is not None:
                        return True

                    if self.next_next_hop_srlg_autobackup_protected_ls_ps is not None:
                        return True

                    if self.next_next_hop_srlg_autobackup_protected_s2_ls is not None:
                        return True

                    if self.next_next_hop_srlg_autobackup_protected_s2l_families is not None:
                        return True

                    if self.srlg_preferred_autobackups is not None:
                        return True

                    if self.srlg_strict_autobackups is not None:
                        return True

                    if self.srlg_weighted_autobackups is not None:
                        return True

                    if self.unused_autobackups is not None:
                        return True

                    if self.up_autobackups is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.AutoTunnel.Backup.Summary']['meta_info']


            class Config(object):
                """
                MPLS TE auto\-tunnel backup configuration
                information
                
                .. attribute:: interface_count
                
                	Number of TE link interfaces with auto\-tunnel backup configured
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_configured
                
                	Indicate if auto\-tunnel bacukp feature is configured 
                	**type**\:  bool
                
                .. attribute:: max_tunnel_id
                
                	Upper bound of configured tunnel ID range
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: min_tunnel_id
                
                	Lower bound of configured tunnel ID range
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: unused_removal_timeout_configured
                
                	Configured value of unused removal timer in seconds
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.interface_count = None
                    self.is_configured = None
                    self.max_tunnel_id = None
                    self.min_tunnel_id = None
                    self.unused_removal_timeout_configured = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup/Cisco-IOS-XR-mpls-te-oper:config'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.interface_count is not None:
                        return True

                    if self.is_configured is not None:
                        return True

                    if self.max_tunnel_id is not None:
                        return True

                    if self.min_tunnel_id is not None:
                        return True

                    if self.unused_removal_timeout_configured is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.AutoTunnel.Backup.Config']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel/Cisco-IOS-XR-mpls-te-oper:backup'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.config is not None and self.config._has_data():
                    return True

                if self.statistics is not None and self.statistics._has_data():
                    return True

                if self.summary is not None and self.summary._has_data():
                    return True

                if self.tunnels is not None and self.tunnels._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.AutoTunnel.Backup']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.backup is not None and self.backup._has_data():
                return True

            if self.mesh is not None and self.mesh._has_data():
                return True

            if self.pcc is not None and self.pcc._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.AutoTunnel']['meta_info']


    class SoftPreemption(object):
        """
        Soft Preemption information.
        
        .. attribute:: statistics
        
        	MPLS TE soft preemption stats information
        	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SoftPreemption.Statistics>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.statistics = MplsTeStandby.SoftPreemption.Statistics()
            self.statistics.parent = self


        class Statistics(object):
            """
            MPLS TE soft preemption stats information
            
            .. attribute:: frr_triggered_soft_preempted_lsp_ss
            
            	The number of LSPs that have been soft preempted and then fast rerouted at this node
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: last_cleared_timestamp
            
            	The timestamp when these stats are cleared relative to Jan 1, 1970
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: minimum_time_in_soft_preempted_state
            
            	The minimum number of seconds an LSP remained in the soft preempted state
            	**type**\:  int
            
            	**range:** 0..65535
            
            	**units**\: second
            
            .. attribute:: path_protected_switchover_soft_preempted_ls_ps
            
            	Number of soft preemption LSPs that are replaced with the path protection LSP. This is relevant to the headend
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: reoptimized_soft_preempted_ls_ps
            
            	Number of soft preemption LSPs that are reoptimized. This is relevant to the headend
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: soft_preempted_head_ls_ps
            
            	Number of soft preempted LSPs at the headend. This is relevant to the headend
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: soft_preempted_ls_ps
            
            	The number of LSPs that have been soft preempted at this node
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: soft_preemption_events
            
            	The number of soft preemption events triggered
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: time_in_soft_preempted_state_avg
            
            	The average number of seconds an LSP remained in the soft preempted state. This excludes the timed out LSPs
            	**type**\:  int
            
            	**range:** 0..65535
            
            	**units**\: second
            
            .. attribute:: time_in_soft_preempted_state_max
            
            	The maximum number of seconds an LSP remained in the soft preempted state without being hard preempted
            	**type**\:  int
            
            	**range:** 0..65535
            
            	**units**\: second
            
            .. attribute:: timed_out_soft_preempted_lsp_ss
            
            	The number of LSPs that have been soft preempted and timed out at this node
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: torn_down_soft_preempted_ls_ps
            
            	The number of LSPs that have been soft preempted at this node and torn down before timing out
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: torndown_soft_preempted_ls_ps
            
            	Number of soft preemption LSPs that are torn down instead of being reoptimized. This is relevant to the headend
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.frr_triggered_soft_preempted_lsp_ss = None
                self.last_cleared_timestamp = None
                self.minimum_time_in_soft_preempted_state = None
                self.path_protected_switchover_soft_preempted_ls_ps = None
                self.reoptimized_soft_preempted_ls_ps = None
                self.soft_preempted_head_ls_ps = None
                self.soft_preempted_ls_ps = None
                self.soft_preemption_events = None
                self.time_in_soft_preempted_state_avg = None
                self.time_in_soft_preempted_state_max = None
                self.timed_out_soft_preempted_lsp_ss = None
                self.torn_down_soft_preempted_ls_ps = None
                self.torndown_soft_preempted_ls_ps = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:soft-preemption/Cisco-IOS-XR-mpls-te-oper:statistics'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.frr_triggered_soft_preempted_lsp_ss is not None:
                    return True

                if self.last_cleared_timestamp is not None:
                    return True

                if self.minimum_time_in_soft_preempted_state is not None:
                    return True

                if self.path_protected_switchover_soft_preempted_ls_ps is not None:
                    return True

                if self.reoptimized_soft_preempted_ls_ps is not None:
                    return True

                if self.soft_preempted_head_ls_ps is not None:
                    return True

                if self.soft_preempted_ls_ps is not None:
                    return True

                if self.soft_preemption_events is not None:
                    return True

                if self.time_in_soft_preempted_state_avg is not None:
                    return True

                if self.time_in_soft_preempted_state_max is not None:
                    return True

                if self.timed_out_soft_preempted_lsp_ss is not None:
                    return True

                if self.torn_down_soft_preempted_ls_ps is not None:
                    return True

                if self.torndown_soft_preempted_ls_ps is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.SoftPreemption.Statistics']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:soft-preemption'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.statistics is not None and self.statistics._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.SoftPreemption']['meta_info']


    class ForwardingAdjacencyDestinations(object):
        """
        Announced Destination tunnel
        
        .. attribute:: forwarding_adjacency_destination
        
        	Forwarding Adjacencies for a destination
        	**type**\: list of    :py:class:`ForwardingAdjacencyDestination <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.forwarding_adjacency_destination = YList()
            self.forwarding_adjacency_destination.parent = self
            self.forwarding_adjacency_destination.name = 'forwarding_adjacency_destination'


        class ForwardingAdjacencyDestination(object):
            """
            Forwarding Adjacencies for a destination
            
            .. attribute:: destination_address  <key>
            
            	Destination address
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: adjacencies
            
            	Number of Forwarding Adjacencies
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: destination_address_xr
            
            	The tunnel destination
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: forward_adjacency
            
            	Forwarding\-adjacency list
            	**type**\: list of    :py:class:`ForwardAdjacency <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency>`
            
            .. attribute:: ipv6_adjacencies
            
            	Number of IPv6 Forwarding Adjacencies
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.destination_address = None
                self.adjacencies = None
                self.destination_address_xr = None
                self.forward_adjacency = YList()
                self.forward_adjacency.parent = self
                self.forward_adjacency.name = 'forward_adjacency'
                self.ipv6_adjacencies = None


            class ForwardAdjacency(object):
                """
                Forwarding\-adjacency list
                
                .. attribute:: hold_time
                
                	Hold time in seconds
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: ig_ps
                
                	List of IGPs to which it is announced
                	**type**\: list of    :py:class:`IgPs <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency.IgPs>`
                
                .. attribute:: is_adjacency_up
                
                	True if adj is up
                	**type**\:  bool
                
                .. attribute:: traffic_share
                
                	Traffic Share
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_name
                
                	The tunnel name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.hold_time = None
                    self.ig_ps = YList()
                    self.ig_ps.parent = self
                    self.ig_ps.name = 'ig_ps'
                    self.is_adjacency_up = None
                    self.traffic_share = None
                    self.tunnel_name = None


                class IgPs(object):
                    """
                    List of IGPs to which it is announced
                    
                    .. attribute:: afi
                    
                    	AFI
                    	**type**\:   :py:class:`MplsTeAfiEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeAfiEnum>`
                    
                    .. attribute:: igp_area_id
                    
                    	The IGP Instance and Area ID
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.afi = None
                        self.igp_area_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ig-ps'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.afi is not None:
                            return True

                        if self.igp_area_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency.IgPs']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:forward-adjacency'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.hold_time is not None:
                        return True

                    if self.ig_ps is not None:
                        for child_ref in self.ig_ps:
                            if child_ref._has_data():
                                return True

                    if self.is_adjacency_up is not None:
                        return True

                    if self.traffic_share is not None:
                        return True

                    if self.tunnel_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency']['meta_info']

            @property
            def _common_path(self):
                if self.destination_address is None:
                    raise YPYModelError('Key property destination_address is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:forwarding-adjacency-destinations/Cisco-IOS-XR-mpls-te-oper:forwarding-adjacency-destination[Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.destination_address is not None:
                    return True

                if self.adjacencies is not None:
                    return True

                if self.destination_address_xr is not None:
                    return True

                if self.forward_adjacency is not None:
                    for child_ref in self.forward_adjacency:
                        if child_ref._has_data():
                            return True

                if self.ipv6_adjacencies is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:forwarding-adjacency-destinations'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.forwarding_adjacency_destination is not None:
                for child_ref in self.forwarding_adjacency_destination:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.ForwardingAdjacencyDestinations']['meta_info']


    class IgpAreas(object):
        """
        The set of IGP\-areas known to MPLS\-TE
        
        .. attribute:: igp_area
        
        	An IGP instance
        	**type**\: list of    :py:class:`IgpArea <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.IgpAreas.IgpArea>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.igp_area = YList()
            self.igp_area.parent = self
            self.igp_area.name = 'igp_area'


        class IgpArea(object):
            """
            An IGP instance
            
            .. attribute:: process_tag  <key>
            
            	IGP Process Tag
            	**type**\:  str
            
            	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
            
            .. attribute:: protocol  <key>
            
            	The IGP protocol
            	**type**\:   :py:class:`MplsTeIgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeIgpProtocolEnum>`
            
            .. attribute:: area
            
            	IGP area information
            	**type**\: list of    :py:class:`Area <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.IgpAreas.IgpArea.Area>`
            
            .. attribute:: configured_te_router_id
            
            	Configured TE router\-id
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: connection_down_count
            
            	Number of times IGP connection has gone down
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: connection_up_count
            
            	Number of times IGP connection has gone up
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: global_router_id
            
            	Global router\-id
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: globall_router_id_optical
            
            	Global router\-id for GMPLS (optical TE)
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: igp_system_id
            
            	 The IGP instance's system/router\-id; interpret appropriately depending on IGP type
            	**type**\:  str
            
            .. attribute:: igp_type
            
            	IGP type
            	**type**\:   :py:class:`IgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpProtocolEnum>`
            
            .. attribute:: in_use_te_router_id
            
            	TE router\-id in use
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: instance_name
            
            	 The IGP instance name
            	**type**\:  str
            
            .. attribute:: is_connection_up
            
            	Flag to indicate whether the IGP connection is open or not
            	**type**\:  bool
            
            .. attribute:: secondary_router_id
            
            	Secondary router\-ids
            	**type**\:  list of str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.process_tag = None
                self.protocol = None
                self.area = YList()
                self.area.parent = self
                self.area.name = 'area'
                self.configured_te_router_id = None
                self.connection_down_count = None
                self.connection_up_count = None
                self.global_router_id = None
                self.globall_router_id_optical = None
                self.igp_system_id = None
                self.igp_type = None
                self.in_use_te_router_id = None
                self.instance_name = None
                self.is_connection_up = None
                self.secondary_router_id = YLeafList()
                self.secondary_router_id.parent = self
                self.secondary_router_id.name = 'secondary_router_id'


            class Area(object):
                """
                IGP area information
                
                .. attribute:: active_data
                
                	Data which applies only to an active area
                	**type**\:   :py:class:`ActiveData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.IgpAreas.IgpArea.Area.ActiveData>`
                
                .. attribute:: area_format
                
                	IGP Area Format
                	**type**\:   :py:class:`IgpOspfAreaFormatEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpOspfAreaFormatEnum>`
                
                .. attribute:: area_index
                
                	Internal area index
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: area_number
                
                	Area number
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_config_ready
                
                	Indicates whether or not the area is correctly configured under the IGP submode to run TE
                	**type**\:  bool
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.active_data = MplsTeStandby.IgpAreas.IgpArea.Area.ActiveData()
                    self.active_data.parent = self
                    self.area_format = None
                    self.area_index = None
                    self.area_number = None
                    self.is_config_ready = None


                class ActiveData(object):
                    """
                    Data which applies only to an active area
                    
                    .. attribute:: area_statistics
                    
                    	Area communication statistics
                    	**type**\:   :py:class:`AreaStatistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.IgpAreas.IgpArea.Area.ActiveData.AreaStatistics>`
                    
                    .. attribute:: interfaces_count
                    
                    	Number of interfaces running over this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: link_idt_received
                    
                    	Flag to indicate IDT for link adjacencies was received
                    	**type**\:  bool
                    
                    .. attribute:: p2mp_destination_count
                    
                    	Number of P2MP destinations whose path was calculated over this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: p2p_autoroute_announced_count
                    
                    	Number of p2p tunnel heads which have been autoroute\-announced into this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: p2p_forwarding_adjacency_count
                    
                    	Number of p2p tunnel heads which have been announced as forwarding adjacencies in this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: p2p_heads_count
                    
                    	Number of p2p tunnel heads whose path was calculated over this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sr_strict
                    
                    	Flag to indicate if the area is SR strict
                    	**type**\:  bool
                    
                    .. attribute:: topology_idt_received
                    
                    	Flag to indicate IDT topology was received
                    	**type**\:  bool
                    
                    .. attribute:: tunnel_loose_hops
                    
                    	Number of tunnels with a loose hop ERO expanded in this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.area_statistics = MplsTeStandby.IgpAreas.IgpArea.Area.ActiveData.AreaStatistics()
                        self.area_statistics.parent = self
                        self.interfaces_count = None
                        self.link_idt_received = None
                        self.p2mp_destination_count = None
                        self.p2p_autoroute_announced_count = None
                        self.p2p_forwarding_adjacency_count = None
                        self.p2p_heads_count = None
                        self.sr_strict = None
                        self.topology_idt_received = None
                        self.tunnel_loose_hops = None


                    class AreaStatistics(object):
                        """
                        Area communication statistics
                        
                        .. attribute:: area_adjacency_announce_messages
                        
                        	Number of adjacency announcement messages received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_adjacency_request_messages
                        
                        	Number of adjacency request messages sent
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_flood_messages
                        
                        	Number of local LSA floods sent
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_lsa_announce_messages
                        
                        	Number of LSA announcement messages received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_lsa_delete_messages
                        
                        	Number of LSA delete messages received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_lsa_fragment_announce_messages
                        
                        	Number of LSA fragment announcement messages received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_lsa_fragment_delete_messages
                        
                        	Number of LSA fragment delete messages received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_tunnel_announce_messages
                        
                        	Number of tunnel announcement messages sent
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.area_adjacency_announce_messages = None
                            self.area_adjacency_request_messages = None
                            self.area_flood_messages = None
                            self.area_lsa_announce_messages = None
                            self.area_lsa_delete_messages = None
                            self.area_lsa_fragment_announce_messages = None
                            self.area_lsa_fragment_delete_messages = None
                            self.area_tunnel_announce_messages = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:area-statistics'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.area_adjacency_announce_messages is not None:
                                return True

                            if self.area_adjacency_request_messages is not None:
                                return True

                            if self.area_flood_messages is not None:
                                return True

                            if self.area_lsa_announce_messages is not None:
                                return True

                            if self.area_lsa_delete_messages is not None:
                                return True

                            if self.area_lsa_fragment_announce_messages is not None:
                                return True

                            if self.area_lsa_fragment_delete_messages is not None:
                                return True

                            if self.area_tunnel_announce_messages is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.IgpAreas.IgpArea.Area.ActiveData.AreaStatistics']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-data'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.area_statistics is not None and self.area_statistics._has_data():
                            return True

                        if self.interfaces_count is not None:
                            return True

                        if self.link_idt_received is not None:
                            return True

                        if self.p2mp_destination_count is not None:
                            return True

                        if self.p2p_autoroute_announced_count is not None:
                            return True

                        if self.p2p_forwarding_adjacency_count is not None:
                            return True

                        if self.p2p_heads_count is not None:
                            return True

                        if self.sr_strict is not None:
                            return True

                        if self.topology_idt_received is not None:
                            return True

                        if self.tunnel_loose_hops is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.IgpAreas.IgpArea.Area.ActiveData']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:area'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.active_data is not None and self.active_data._has_data():
                        return True

                    if self.area_format is not None:
                        return True

                    if self.area_index is not None:
                        return True

                    if self.area_number is not None:
                        return True

                    if self.is_config_ready is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.IgpAreas.IgpArea.Area']['meta_info']

            @property
            def _common_path(self):
                if self.process_tag is None:
                    raise YPYModelError('Key property process_tag is None')
                if self.protocol is None:
                    raise YPYModelError('Key property protocol is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:igp-areas/Cisco-IOS-XR-mpls-te-oper:igp-area[Cisco-IOS-XR-mpls-te-oper:process-tag = ' + str(self.process_tag) + '][Cisco-IOS-XR-mpls-te-oper:protocol = ' + str(self.protocol) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.process_tag is not None:
                    return True

                if self.protocol is not None:
                    return True

                if self.area is not None:
                    for child_ref in self.area:
                        if child_ref._has_data():
                            return True

                if self.configured_te_router_id is not None:
                    return True

                if self.connection_down_count is not None:
                    return True

                if self.connection_up_count is not None:
                    return True

                if self.global_router_id is not None:
                    return True

                if self.globall_router_id_optical is not None:
                    return True

                if self.igp_system_id is not None:
                    return True

                if self.igp_type is not None:
                    return True

                if self.in_use_te_router_id is not None:
                    return True

                if self.instance_name is not None:
                    return True

                if self.is_connection_up is not None:
                    return True

                if self.secondary_router_id is not None:
                    for child in self.secondary_router_id:
                        if child is not None:
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.IgpAreas.IgpArea']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:igp-areas'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.igp_area is not None:
                for child_ref in self.igp_area:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.IgpAreas']['meta_info']


    class WrapProtection(object):
        """
        Represent all the LSP Wrap Protection info in
        MPLS\-TE
        
        .. attribute:: protected_lsps
        
        	The set of wrap protected LSPs available in MPLS\-TE
        	**type**\:   :py:class:`ProtectedLsps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.WrapProtection.ProtectedLsps>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.protected_lsps = MplsTeStandby.WrapProtection.ProtectedLsps()
            self.protected_lsps.parent = self


        class ProtectedLsps(object):
            """
            The set of wrap protected LSPs available in
            MPLS\-TE
            
            .. attribute:: protected_lsp
            
            	Wrap protection info for a given protected LSP
            	**type**\: list of    :py:class:`ProtectedLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.WrapProtection.ProtectedLsps.ProtectedLsp>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.protected_lsp = YList()
                self.protected_lsp.parent = self
                self.protected_lsp.name = 'protected_lsp'


            class ProtectedLsp(object):
                """
                Wrap protection info for a given protected LSP
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id  <key>
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lsp_id  <key>
                
                	LSP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: p2mp_id  <key>
                
                	P2MP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: session_type  <key>
                
                	Session Type
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: source_address  <key>
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: sub_group_id  <key>
                
                	Subgroup ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: sub_group_originator  <key>
                
                	Subgroup Orig ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id  <key>
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: destination_address_xr
                
                	Destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id_xr
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lsp_wrap_protection_enable
                
                	LSP Wrap protection enabled
                	**type**\:  bool
                
                .. attribute:: lsp_wrap_protection_label
                
                	LSP Wrap Merge Point Label
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: lsp_wrap_protection_state
                
                	LSP wrap protection state
                	**type**\:   :py:class:`MplsTeLspWrapStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspWrapStateEnum>`
                
                .. attribute:: p2mp_id_xr
                
                	S2L P2MP ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: reverse_egress_interface
                
                	Reverse Egress Interface
                	**type**\:  str
                
                .. attribute:: reverse_lsp_label
                
                	Reverse LSP label
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: source_address_xr
                
                	Source
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: sub_group_id_xr
                
                	S2L Sub\-Group ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: sub_group_original_id
                
                	S2L Sub\-Group Originator ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id_xr
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tunnel_instance
                
                	Tunnel instance
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_name
                
                	Tunnel Name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.lsp_id = None
                    self.p2mp_id = None
                    self.session_type = None
                    self.source_address = None
                    self.sub_group_id = None
                    self.sub_group_originator = None
                    self.tunnel_id = None
                    self.destination_address_xr = None
                    self.extended_tunnel_id_xr = None
                    self.lsp_wrap_protection_enable = None
                    self.lsp_wrap_protection_label = None
                    self.lsp_wrap_protection_state = None
                    self.p2mp_id_xr = None
                    self.reverse_egress_interface = None
                    self.reverse_lsp_label = None
                    self.source_address_xr = None
                    self.sub_group_id_xr = None
                    self.sub_group_original_id = None
                    self.tunnel_id_xr = None
                    self.tunnel_instance = None
                    self.tunnel_name = None

                @property
                def _common_path(self):
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.extended_tunnel_id is None:
                        raise YPYModelError('Key property extended_tunnel_id is None')
                    if self.lsp_id is None:
                        raise YPYModelError('Key property lsp_id is None')
                    if self.p2mp_id is None:
                        raise YPYModelError('Key property p2mp_id is None')
                    if self.session_type is None:
                        raise YPYModelError('Key property session_type is None')
                    if self.source_address is None:
                        raise YPYModelError('Key property source_address is None')
                    if self.sub_group_id is None:
                        raise YPYModelError('Key property sub_group_id is None')
                    if self.sub_group_originator is None:
                        raise YPYModelError('Key property sub_group_originator is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:wrap-protection/Cisco-IOS-XR-mpls-te-oper:protected-lsps/Cisco-IOS-XR-mpls-te-oper:protected-lsp[Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:extended-tunnel-id = ' + str(self.extended_tunnel_id) + '][Cisco-IOS-XR-mpls-te-oper:lsp-id = ' + str(self.lsp_id) + '][Cisco-IOS-XR-mpls-te-oper:p2mp-id = ' + str(self.p2mp_id) + '][Cisco-IOS-XR-mpls-te-oper:session-type = ' + str(self.session_type) + '][Cisco-IOS-XR-mpls-te-oper:source-address = ' + str(self.source_address) + '][Cisco-IOS-XR-mpls-te-oper:sub-group-id = ' + str(self.sub_group_id) + '][Cisco-IOS-XR-mpls-te-oper:sub-group-originator = ' + str(self.sub_group_originator) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.p2mp_id is not None:
                        return True

                    if self.session_type is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.sub_group_id is not None:
                        return True

                    if self.sub_group_originator is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.destination_address_xr is not None:
                        return True

                    if self.extended_tunnel_id_xr is not None:
                        return True

                    if self.lsp_wrap_protection_enable is not None:
                        return True

                    if self.lsp_wrap_protection_label is not None:
                        return True

                    if self.lsp_wrap_protection_state is not None:
                        return True

                    if self.p2mp_id_xr is not None:
                        return True

                    if self.reverse_egress_interface is not None:
                        return True

                    if self.reverse_lsp_label is not None:
                        return True

                    if self.source_address_xr is not None:
                        return True

                    if self.sub_group_id_xr is not None:
                        return True

                    if self.sub_group_original_id is not None:
                        return True

                    if self.tunnel_id_xr is not None:
                        return True

                    if self.tunnel_instance is not None:
                        return True

                    if self.tunnel_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.WrapProtection.ProtectedLsps.ProtectedLsp']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:wrap-protection/Cisco-IOS-XR-mpls-te-oper:protected-lsps'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.protected_lsp is not None:
                    for child_ref in self.protected_lsp:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.WrapProtection.ProtectedLsps']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:wrap-protection'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.protected_lsps is not None and self.protected_lsps._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.WrapProtection']['meta_info']


    class Topology(object):
        """
        The topology information in MPLS\-TE
        
        .. attribute:: configured_srlgs
        
        	Set of configured SRLG
        	**type**\:   :py:class:`ConfiguredSrlgs <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.ConfiguredSrlgs>`
        
        .. attribute:: destination_paths
        
        	This table models the path calculation capabilities in MPLS\-TE.A GET operation for the complete table will return no entries.See the class DestinationPath for more details
        	**type**\:   :py:class:`DestinationPaths <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.DestinationPaths>`
        
        .. attribute:: global_
        
        	Global information about the overall MPLS\-TE topology
        	**type**\:   :py:class:`Global_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.Global_>`
        
        .. attribute:: path_tunnels
        
        	MPLS\-Te topology path info
        	**type**\:   :py:class:`PathTunnels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.PathTunnels>`
        
        .. attribute:: srlgs
        
        	Set of SRLG operational value for the overall MPLS\-TE topology
        	**type**\:   :py:class:`Srlgs <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.Srlgs>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.configured_srlgs = MplsTeStandby.Topology.ConfiguredSrlgs()
            self.configured_srlgs.parent = self
            self.destination_paths = MplsTeStandby.Topology.DestinationPaths()
            self.destination_paths.parent = self
            self.global_ = MplsTeStandby.Topology.Global_()
            self.global_.parent = self
            self.path_tunnels = MplsTeStandby.Topology.PathTunnels()
            self.path_tunnels.parent = self
            self.srlgs = MplsTeStandby.Topology.Srlgs()
            self.srlgs.parent = self


        class Global_(object):
            """
            Global information about the overall MPLS\-TE
            topology
            
            .. attribute:: areas
            
            	Information for areas
            	**type**\: list of    :py:class:`Areas <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.Global_.Areas>`
            
            .. attribute:: hold_down_interval
            
            	Interval in seconds to hold down a neighbor after a signalling error
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: link_add_remove_count
            
            	Link add/remove counter
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: local_model_id
            
            	Local BC Model ID
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.areas = YList()
                self.areas.parent = self
                self.areas.name = 'areas'
                self.hold_down_interval = None
                self.link_add_remove_count = None
                self.local_model_id = None


            class Areas(object):
                """
                Information for areas
                
                .. attribute:: area_id
                
                	The area's id
                	**type**\:  str
                
                .. attribute:: local_sid_and_srbg
                
                	Local SID and SRBG
                	**type**\:   :py:class:`LocalSidAndSrbg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.Global_.Areas.LocalSidAndSrbg>`
                
                .. attribute:: node_id
                
                	The node's IGP id
                	**type**\:  str
                
                .. attribute:: protocol
                
                	Protocol used
                	**type**\:   :py:class:`IgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpProtocolEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.area_id = None
                    self.local_sid_and_srbg = MplsTeStandby.Topology.Global_.Areas.LocalSidAndSrbg()
                    self.local_sid_and_srbg.parent = self
                    self.node_id = None
                    self.protocol = None


                class LocalSidAndSrbg(object):
                    """
                    Local SID and SRBG
                    
                    .. attribute:: segment_id
                    
                    	Segment\-Routing Node\-SID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: segment_id_local_absolute_value
                    
                    	Node\-SID local absolute value
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srgb_size
                    
                    	Segment\-Routing global block size
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srgb_start
                    
                    	Segment\-Routring global block start value
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.segment_id = None
                        self.segment_id_local_absolute_value = None
                        self.srgb_size = None
                        self.srgb_start = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:global/Cisco-IOS-XR-mpls-te-oper:areas/Cisco-IOS-XR-mpls-te-oper:local-sid-and-srbg'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.segment_id is not None:
                            return True

                        if self.segment_id_local_absolute_value is not None:
                            return True

                        if self.srgb_size is not None:
                            return True

                        if self.srgb_start is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Topology.Global_.Areas.LocalSidAndSrbg']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:global/Cisco-IOS-XR-mpls-te-oper:areas'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.area_id is not None:
                        return True

                    if self.local_sid_and_srbg is not None and self.local_sid_and_srbg._has_data():
                        return True

                    if self.node_id is not None:
                        return True

                    if self.protocol is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Topology.Global_.Areas']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:global'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.areas is not None:
                    for child_ref in self.areas:
                        if child_ref._has_data():
                            return True

                if self.hold_down_interval is not None:
                    return True

                if self.link_add_remove_count is not None:
                    return True

                if self.local_model_id is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.Topology.Global_']['meta_info']


        class DestinationPaths(object):
            """
            This table models the path calculation
            capabilities in MPLS\-TE.A GET operation for the
            complete table will return no entries.See the
            class DestinationPath for more details.
            
            .. attribute:: destination_path
            
            	A GET operation on this class returns the best available path in the TE topology to reach the specified destination while satisfying the specified constraints
            	**type**\: list of    :py:class:`DestinationPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.DestinationPaths.DestinationPath>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.destination_path = YList()
                self.destination_path.parent = self
                self.destination_path.name = 'destination_path'


            class DestinationPath(object):
                """
                A GET operation on this class returns the best
                available path in the TE topology to reach the
                specified destination while satisfying the
                specified constraints.
                
                .. attribute:: accumulated_admin_weight
                
                	The path's accumulated admin weight
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: affinity
                
                	Affinity
                	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.DestinationPaths.DestinationPath.Affinity>`
                
                .. attribute:: affinity_bits
                
                	Affinity Bits
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: affinity_mask
                
                	Affinity Mask
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: bandwidth
                
                	Bandwidth in kbps
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                	**units**\: kbit/s
                
                .. attribute:: bandwidth_type
                
                	The path's bandwidth type
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: cost_limit
                
                	Cost Limit
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: destination_address
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: destination_address_xr
                
                	The path's destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: exclude_srlg_address
                
                	The Exclude SRLG IP Addr
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: exclude_srlg_ip_address
                
                	Exclude SRLG IP Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: hold_priority
                
                	Hold Priority
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: hold_priority_xr
                
                	The path's hold priority
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: hop
                
                	The path's array of hops
                	**type**\:  list of str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: hop_limit
                
                	Hop Limit
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: igp_area
                
                	IGP Area
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: igp_instance
                
                	IGP Instance
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: igp_type
                
                	IGP Type
                	**type**\:   :py:class:`MplsTeIgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeIgpProtocolEnum>`
                
                .. attribute:: is_full_path
                
                	TRUE if path is full
                	**type**\:  bool
                
                .. attribute:: is_partial_path
                
                	TRUE if path is partial
                	**type**\:  bool
                
                .. attribute:: is_segment_routing_db_checked
                
                	TRUE if checking the Segment\-Routing DB is enabled
                	**type**\:  bool
                
                .. attribute:: is_topology_checked
                
                	TRUE if checking the topology is enabled
                	**type**\:  bool
                
                .. attribute:: mininum_bandwidth
                
                	The path's minimum bandwidth
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: node_hop_count
                
                	Path hop count
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: path_id
                
                	This is the ID of the explicit path to be used for this path calculation query
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: path_name
                
                	This is the name of the explicit path to be used for this path calculation query
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: path_type
                
                	Path Type
                	**type**\:   :py:class:`MplsTePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTePathEnum>`
                
                .. attribute:: requested_bandwidth
                
                	The path's requested bandwidth
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: setup_priority
                
                	Setup Priority
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: setup_priority_xr
                
                	The path's setup priority
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: shared_risk_link_group
                
                	The path's excluded srlg groups
                	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.DestinationPaths.DestinationPath.SharedRiskLinkGroup>`
                
                .. attribute:: sr_segment
                
                	The path's array of Segment\-Routing segments
                	**type**\: list of    :py:class:`SrSegment <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.DestinationPaths.DestinationPath.SrSegment>`
                
                .. attribute:: tunnel_id_xr
                
                	The tunnel ID to which this path belong
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.accumulated_admin_weight = None
                    self.affinity = MplsTeStandby.Topology.DestinationPaths.DestinationPath.Affinity()
                    self.affinity.parent = self
                    self.affinity_bits = None
                    self.affinity_mask = None
                    self.bandwidth = None
                    self.bandwidth_type = None
                    self.cost_limit = None
                    self.destination_address = None
                    self.destination_address_xr = None
                    self.exclude_srlg_address = None
                    self.exclude_srlg_ip_address = None
                    self.hold_priority = None
                    self.hold_priority_xr = None
                    self.hop = YLeafList()
                    self.hop.parent = self
                    self.hop.name = 'hop'
                    self.hop_limit = None
                    self.igp_area = None
                    self.igp_instance = None
                    self.igp_type = None
                    self.is_full_path = None
                    self.is_partial_path = None
                    self.is_segment_routing_db_checked = None
                    self.is_topology_checked = None
                    self.mininum_bandwidth = None
                    self.node_hop_count = None
                    self.path_id = None
                    self.path_name = None
                    self.path_type = None
                    self.requested_bandwidth = None
                    self.setup_priority = None
                    self.setup_priority_xr = None
                    self.shared_risk_link_group = YList()
                    self.shared_risk_link_group.parent = self
                    self.shared_risk_link_group.name = 'shared_risk_link_group'
                    self.sr_segment = YList()
                    self.sr_segment.parent = self
                    self.sr_segment.name = 'sr_segment'
                    self.tunnel_id_xr = None


                class Affinity(object):
                    """
                    Affinity
                    
                    .. attribute:: affinity_bits
                    
                    	The affinity bits (colors)
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: affinity_mask
                    
                    	The affinity mask (colors)
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: named_affinity
                    
                    	Array of name based constratints currently applied to the tunnel
                    	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.DestinationPaths.DestinationPath.Affinity.NamedAffinity>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.affinity_bits = None
                        self.affinity_mask = None
                        self.named_affinity = YList()
                        self.named_affinity.parent = self
                        self.named_affinity.name = 'named_affinity'


                    class NamedAffinity(object):
                        """
                        Array of name based constratints currently
                        applied to the tunnel
                        
                        .. attribute:: constraint_extended_value
                        
                        	Constraint value
                        	**type**\:  list of int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: constraint_type
                        
                        	Constraint type
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: constraint_value
                        
                        	Deprecated
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: extended_forward_ref_value
                        
                        	Reference bits for undefined affinity names
                        	**type**\:  list of int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: forward_ref_value
                        
                        	Deprecated
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.constraint_extended_value = YLeafList()
                            self.constraint_extended_value.parent = self
                            self.constraint_extended_value.name = 'constraint_extended_value'
                            self.constraint_type = None
                            self.constraint_value = None
                            self.extended_forward_ref_value = YLeafList()
                            self.extended_forward_ref_value.parent = self
                            self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                            self.forward_ref_value = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:destination-paths/Cisco-IOS-XR-mpls-te-oper:destination-path/Cisco-IOS-XR-mpls-te-oper:affinity/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.constraint_extended_value is not None:
                                for child in self.constraint_extended_value:
                                    if child is not None:
                                        return True

                            if self.constraint_type is not None:
                                return True

                            if self.constraint_value is not None:
                                return True

                            if self.extended_forward_ref_value is not None:
                                for child in self.extended_forward_ref_value:
                                    if child is not None:
                                        return True

                            if self.forward_ref_value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Topology.DestinationPaths.DestinationPath.Affinity.NamedAffinity']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:destination-paths/Cisco-IOS-XR-mpls-te-oper:destination-path/Cisco-IOS-XR-mpls-te-oper:affinity'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.affinity_bits is not None:
                            return True

                        if self.affinity_mask is not None:
                            return True

                        if self.named_affinity is not None:
                            for child_ref in self.named_affinity:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Topology.DestinationPaths.DestinationPath.Affinity']['meta_info']


                class SharedRiskLinkGroup(object):
                    """
                    The path's excluded srlg groups
                    
                    .. attribute:: shared_risk_group
                    
                    	SRLG number
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srlg_name
                    
                    	SRLG name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.shared_risk_group = None
                        self.srlg_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:destination-paths/Cisco-IOS-XR-mpls-te-oper:destination-path/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.shared_risk_group is not None:
                            return True

                        if self.srlg_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Topology.DestinationPaths.DestinationPath.SharedRiskLinkGroup']['meta_info']


                class SrSegment(object):
                    """
                    The path's array of Segment\-Routing segments
                    
                    .. attribute:: has_entropy_label
                    
                    	Hop has EL specified
                    	**type**\:  bool
                    
                    .. attribute:: has_ip_addresses
                    
                    	Node has IP addresses specified
                    	**type**\:  bool
                    
                    .. attribute:: has_mpls_label
                    
                    	Hop has MPLS label specified
                    	**type**\:  bool
                    
                    .. attribute:: local_addr
                    
                    	Local IP address of adjacency or Node ID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: mpls_label_value
                    
                    	The MPLS label value
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: remote_addr
                    
                    	Remote IP address of adjacency
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: sid_type
                    
                    	Type of the SID
                    	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.has_entropy_label = None
                        self.has_ip_addresses = None
                        self.has_mpls_label = None
                        self.local_addr = None
                        self.mpls_label_value = None
                        self.remote_addr = None
                        self.sid_type = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:destination-paths/Cisco-IOS-XR-mpls-te-oper:destination-path/Cisco-IOS-XR-mpls-te-oper:sr-segment'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.has_entropy_label is not None:
                            return True

                        if self.has_ip_addresses is not None:
                            return True

                        if self.has_mpls_label is not None:
                            return True

                        if self.local_addr is not None:
                            return True

                        if self.mpls_label_value is not None:
                            return True

                        if self.remote_addr is not None:
                            return True

                        if self.sid_type is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Topology.DestinationPaths.DestinationPath.SrSegment']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:destination-paths/Cisco-IOS-XR-mpls-te-oper:destination-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.accumulated_admin_weight is not None:
                        return True

                    if self.affinity is not None and self.affinity._has_data():
                        return True

                    if self.affinity_bits is not None:
                        return True

                    if self.affinity_mask is not None:
                        return True

                    if self.bandwidth is not None:
                        return True

                    if self.bandwidth_type is not None:
                        return True

                    if self.cost_limit is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.destination_address_xr is not None:
                        return True

                    if self.exclude_srlg_address is not None:
                        return True

                    if self.exclude_srlg_ip_address is not None:
                        return True

                    if self.hold_priority is not None:
                        return True

                    if self.hold_priority_xr is not None:
                        return True

                    if self.hop is not None:
                        for child in self.hop:
                            if child is not None:
                                return True

                    if self.hop_limit is not None:
                        return True

                    if self.igp_area is not None:
                        return True

                    if self.igp_instance is not None:
                        return True

                    if self.igp_type is not None:
                        return True

                    if self.is_full_path is not None:
                        return True

                    if self.is_partial_path is not None:
                        return True

                    if self.is_segment_routing_db_checked is not None:
                        return True

                    if self.is_topology_checked is not None:
                        return True

                    if self.mininum_bandwidth is not None:
                        return True

                    if self.node_hop_count is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.path_name is not None:
                        return True

                    if self.path_type is not None:
                        return True

                    if self.requested_bandwidth is not None:
                        return True

                    if self.setup_priority is not None:
                        return True

                    if self.setup_priority_xr is not None:
                        return True

                    if self.shared_risk_link_group is not None:
                        for child_ref in self.shared_risk_link_group:
                            if child_ref._has_data():
                                return True

                    if self.sr_segment is not None:
                        for child_ref in self.sr_segment:
                            if child_ref._has_data():
                                return True

                    if self.tunnel_id_xr is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Topology.DestinationPaths.DestinationPath']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:destination-paths'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.destination_path is not None:
                    for child_ref in self.destination_path:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.Topology.DestinationPaths']['meta_info']


        class ConfiguredSrlgs(object):
            """
            Set of configured SRLG
            
            .. attribute:: configured_srlg
            
            	Configured SRLG value and the addresses using it
            	**type**\: list of    :py:class:`ConfiguredSrlg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.ConfiguredSrlgs.ConfiguredSrlg>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.configured_srlg = YList()
                self.configured_srlg.parent = self
                self.configured_srlg.name = 'configured_srlg'


            class ConfiguredSrlg(object):
                """
                Configured SRLG value and the addresses using
                it
                
                .. attribute:: srlg_number  <key>
                
                	SRLG Number
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: admin_weight
                
                	The admin weight that is added to the link if the SRLG is shared with the protected link
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_admin_weight_configured
                
                	Set to TRUE if the admin weight is explicitely configured
                	**type**\:  bool
                
                .. attribute:: srlg_link
                
                	Link associated with the SRLG
                	**type**\: list of    :py:class:`SrlgLink <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.ConfiguredSrlgs.ConfiguredSrlg.SrlgLink>`
                
                .. attribute:: srlg_name
                
                	SRLG name
                	**type**\:  str
                
                .. attribute:: srlg_number_xr
                
                	SRLG number
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.srlg_number = None
                    self.admin_weight = None
                    self.is_admin_weight_configured = None
                    self.srlg_link = YList()
                    self.srlg_link.parent = self
                    self.srlg_link.name = 'srlg_link'
                    self.srlg_name = None
                    self.srlg_number_xr = None


                class SrlgLink(object):
                    """
                    Link associated with the SRLG
                    
                    .. attribute:: local_address
                    
                    	Local address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: remote_address
                    
                    	Remote address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.local_address = None
                        self.remote_address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-link'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.local_address is not None:
                            return True

                        if self.remote_address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Topology.ConfiguredSrlgs.ConfiguredSrlg.SrlgLink']['meta_info']

                @property
                def _common_path(self):
                    if self.srlg_number is None:
                        raise YPYModelError('Key property srlg_number is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:configured-srlgs/Cisco-IOS-XR-mpls-te-oper:configured-srlg[Cisco-IOS-XR-mpls-te-oper:srlg-number = ' + str(self.srlg_number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.srlg_number is not None:
                        return True

                    if self.admin_weight is not None:
                        return True

                    if self.is_admin_weight_configured is not None:
                        return True

                    if self.srlg_link is not None:
                        for child_ref in self.srlg_link:
                            if child_ref._has_data():
                                return True

                    if self.srlg_name is not None:
                        return True

                    if self.srlg_number_xr is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Topology.ConfiguredSrlgs.ConfiguredSrlg']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:configured-srlgs'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.configured_srlg is not None:
                    for child_ref in self.configured_srlg:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.Topology.ConfiguredSrlgs']['meta_info']


        class Srlgs(object):
            """
            Set of SRLG operational value for the overall
            MPLS\-TE topology
            
            .. attribute:: srlg
            
            	SRLG operational value for the overall MPLS\-TE topology
            	**type**\: list of    :py:class:`Srlg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.Srlgs.Srlg>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.srlg = YList()
                self.srlg.parent = self
                self.srlg.name = 'srlg'


            class Srlg(object):
                """
                SRLG operational value for the overall MPLS\-TE
                topology
                
                .. attribute:: srlg_number  <key>
                
                	SRLG Number
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: admin_weight
                
                	The admin weight that is added to the link if the SRLG is shared with the protected link
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: srlg_areas
                
                	Topology areas in this SRLG
                	**type**\: list of    :py:class:`SrlgAreas <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas>`
                
                .. attribute:: srlg_name
                
                	SRLG name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.srlg_number = None
                    self.admin_weight = None
                    self.srlg_areas = YList()
                    self.srlg_areas.parent = self
                    self.srlg_areas.name = 'srlg_areas'
                    self.srlg_name = None


                class SrlgAreas(object):
                    """
                    Topology areas in this SRLG
                    
                    .. attribute:: igp_area
                    
                    	IGP Area ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: igp_area_format
                    
                    	IGP\-area format
                    	**type**\:   :py:class:`IgpOspfAreaFormatEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpOspfAreaFormatEnum>`
                    
                    .. attribute:: igp_instance
                    
                    	IGP Instance name
                    	**type**\:  str
                    
                    .. attribute:: igp_type
                    
                    	IGP type
                    	**type**\:   :py:class:`IgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpProtocolEnum>`
                    
                    .. attribute:: srlg_link
                    
                    	Links in this SRLG/area
                    	**type**\: list of    :py:class:`SrlgLink <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.igp_area = None
                        self.igp_area_format = None
                        self.igp_instance = None
                        self.igp_type = None
                        self.srlg_link = YList()
                        self.srlg_link.parent = self
                        self.srlg_link.name = 'srlg_link'


                    class SrlgLink(object):
                        """
                        Links in this SRLG/area
                        
                        .. attribute:: link_address
                        
                        	Link address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_address_generic
                        
                        	Link address
                        	**type**\:   :py:class:`LinkAddressGeneric <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric>`
                        
                        .. attribute:: te_router_id
                        
                        	Link TE router\-id
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.link_address = None
                            self.link_address_generic = MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric()
                            self.link_address_generic.parent = self
                            self.te_router_id = None


                        class LinkAddressGeneric(object):
                            """
                            Link address
                            
                            .. attribute:: te_addr
                            
                            	TE Address
                            	**type**\:   :py:class:`TeAddr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.te_addr = MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr()
                                self.te_addr.parent = self


                            class TeAddr(object):
                                """
                                TE Address
                                
                                .. attribute:: ipv4_address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_unnumbered_address
                                
                                	IPv4 unnumbered address
                                	**type**\:   :py:class:`Ipv4UnnumberedAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr.Ipv4UnnumberedAddress>`
                                
                                .. attribute:: type
                                
                                	Type
                                	**type**\:   :py:class:`TeAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAddrEnum>`
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.ipv4_address = None
                                    self.ipv4_unnumbered_address = MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr.Ipv4UnnumberedAddress()
                                    self.ipv4_unnumbered_address.parent = self
                                    self.type = None


                                class Ipv4UnnumberedAddress(object):
                                    """
                                    IPv4 unnumbered address
                                    
                                    .. attribute:: interface_index
                                    
                                    	Interface index
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: router_id
                                    
                                    	IPv4 router ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.interface_index = None
                                        self.router_id = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-unnumbered-address'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.interface_index is not None:
                                            return True

                                        if self.router_id is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-addr'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.ipv4_address is not None:
                                        return True

                                    if self.ipv4_unnumbered_address is not None and self.ipv4_unnumbered_address._has_data():
                                        return True

                                    if self.type is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:link-address-generic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.te_addr is not None and self.te_addr._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-link'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.link_address is not None:
                                return True

                            if self.link_address_generic is not None and self.link_address_generic._has_data():
                                return True

                            if self.te_router_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-areas'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.igp_area is not None:
                            return True

                        if self.igp_area_format is not None:
                            return True

                        if self.igp_instance is not None:
                            return True

                        if self.igp_type is not None:
                            return True

                        if self.srlg_link is not None:
                            for child_ref in self.srlg_link:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas']['meta_info']

                @property
                def _common_path(self):
                    if self.srlg_number is None:
                        raise YPYModelError('Key property srlg_number is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:srlgs/Cisco-IOS-XR-mpls-te-oper:srlg[Cisco-IOS-XR-mpls-te-oper:srlg-number = ' + str(self.srlg_number) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.srlg_number is not None:
                        return True

                    if self.admin_weight is not None:
                        return True

                    if self.srlg_areas is not None:
                        for child_ref in self.srlg_areas:
                            if child_ref._has_data():
                                return True

                    if self.srlg_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Topology.Srlgs.Srlg']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:srlgs'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.srlg is not None:
                    for child_ref in self.srlg:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.Topology.Srlgs']['meta_info']


        class PathTunnels(object):
            """
            MPLS\-Te topology path info
            
            .. attribute:: path_tunnel
            
            	MPLS\-TE topology path taken by the specified tunnel
            	**type**\: list of    :py:class:`PathTunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.PathTunnels.PathTunnel>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.path_tunnel = YList()
                self.path_tunnel.parent = self
                self.path_tunnel.name = 'path_tunnel'


            class PathTunnel(object):
                """
                MPLS\-TE topology path taken by the specified
                tunnel
                
                .. attribute:: accumulated_admin_weight
                
                	The path's accumulated admin weight
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: affinity
                
                	Affinity
                	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.PathTunnels.PathTunnel.Affinity>`
                
                .. attribute:: bandwidth_type
                
                	The path's bandwidth type
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: destination_address_xr
                
                	The path's destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: exclude_srlg_address
                
                	The Exclude SRLG IP Addr
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: hold_priority_xr
                
                	The path's hold priority
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: hop
                
                	The path's array of hops
                	**type**\:  list of str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: is_full_path
                
                	TRUE if path is full
                	**type**\:  bool
                
                .. attribute:: is_partial_path
                
                	TRUE if path is partial
                	**type**\:  bool
                
                .. attribute:: is_segment_routing_db_checked
                
                	TRUE if checking the Segment\-Routing DB is enabled
                	**type**\:  bool
                
                .. attribute:: is_topology_checked
                
                	TRUE if checking the topology is enabled
                	**type**\:  bool
                
                .. attribute:: mininum_bandwidth
                
                	The path's minimum bandwidth
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: node_hop_count
                
                	Path hop count
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: requested_bandwidth
                
                	The path's requested bandwidth
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: setup_priority_xr
                
                	The path's setup priority
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: shared_risk_link_group
                
                	The path's excluded srlg groups
                	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.PathTunnels.PathTunnel.SharedRiskLinkGroup>`
                
                .. attribute:: sr_segment
                
                	The path's array of Segment\-Routing segments
                	**type**\: list of    :py:class:`SrSegment <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.PathTunnels.PathTunnel.SrSegment>`
                
                .. attribute:: tunnel_id
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: tunnel_id_xr
                
                	The tunnel ID to which this path belong
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_name
                
                	Tunnel name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.accumulated_admin_weight = None
                    self.affinity = MplsTeStandby.Topology.PathTunnels.PathTunnel.Affinity()
                    self.affinity.parent = self
                    self.bandwidth_type = None
                    self.destination_address_xr = None
                    self.exclude_srlg_address = None
                    self.hold_priority_xr = None
                    self.hop = YLeafList()
                    self.hop.parent = self
                    self.hop.name = 'hop'
                    self.is_full_path = None
                    self.is_partial_path = None
                    self.is_segment_routing_db_checked = None
                    self.is_topology_checked = None
                    self.mininum_bandwidth = None
                    self.node_hop_count = None
                    self.requested_bandwidth = None
                    self.setup_priority_xr = None
                    self.shared_risk_link_group = YList()
                    self.shared_risk_link_group.parent = self
                    self.shared_risk_link_group.name = 'shared_risk_link_group'
                    self.sr_segment = YList()
                    self.sr_segment.parent = self
                    self.sr_segment.name = 'sr_segment'
                    self.tunnel_id = None
                    self.tunnel_id_xr = None
                    self.tunnel_name = None


                class Affinity(object):
                    """
                    Affinity
                    
                    .. attribute:: affinity_bits
                    
                    	The affinity bits (colors)
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: affinity_mask
                    
                    	The affinity mask (colors)
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: named_affinity
                    
                    	Array of name based constratints currently applied to the tunnel
                    	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Topology.PathTunnels.PathTunnel.Affinity.NamedAffinity>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.affinity_bits = None
                        self.affinity_mask = None
                        self.named_affinity = YList()
                        self.named_affinity.parent = self
                        self.named_affinity.name = 'named_affinity'


                    class NamedAffinity(object):
                        """
                        Array of name based constratints currently
                        applied to the tunnel
                        
                        .. attribute:: constraint_extended_value
                        
                        	Constraint value
                        	**type**\:  list of int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: constraint_type
                        
                        	Constraint type
                        	**type**\:  int
                        
                        	**range:** 0..255
                        
                        .. attribute:: constraint_value
                        
                        	Deprecated
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: extended_forward_ref_value
                        
                        	Reference bits for undefined affinity names
                        	**type**\:  list of int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: forward_ref_value
                        
                        	Deprecated
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.constraint_extended_value = YLeafList()
                            self.constraint_extended_value.parent = self
                            self.constraint_extended_value.name = 'constraint_extended_value'
                            self.constraint_type = None
                            self.constraint_value = None
                            self.extended_forward_ref_value = YLeafList()
                            self.extended_forward_ref_value.parent = self
                            self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                            self.forward_ref_value = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:path-tunnels/Cisco-IOS-XR-mpls-te-oper:path-tunnel/Cisco-IOS-XR-mpls-te-oper:affinity/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.constraint_extended_value is not None:
                                for child in self.constraint_extended_value:
                                    if child is not None:
                                        return True

                            if self.constraint_type is not None:
                                return True

                            if self.constraint_value is not None:
                                return True

                            if self.extended_forward_ref_value is not None:
                                for child in self.extended_forward_ref_value:
                                    if child is not None:
                                        return True

                            if self.forward_ref_value is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Topology.PathTunnels.PathTunnel.Affinity.NamedAffinity']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:path-tunnels/Cisco-IOS-XR-mpls-te-oper:path-tunnel/Cisco-IOS-XR-mpls-te-oper:affinity'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.affinity_bits is not None:
                            return True

                        if self.affinity_mask is not None:
                            return True

                        if self.named_affinity is not None:
                            for child_ref in self.named_affinity:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Topology.PathTunnels.PathTunnel.Affinity']['meta_info']


                class SharedRiskLinkGroup(object):
                    """
                    The path's excluded srlg groups
                    
                    .. attribute:: shared_risk_group
                    
                    	SRLG number
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srlg_name
                    
                    	SRLG name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.shared_risk_group = None
                        self.srlg_name = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:path-tunnels/Cisco-IOS-XR-mpls-te-oper:path-tunnel/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.shared_risk_group is not None:
                            return True

                        if self.srlg_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Topology.PathTunnels.PathTunnel.SharedRiskLinkGroup']['meta_info']


                class SrSegment(object):
                    """
                    The path's array of Segment\-Routing segments
                    
                    .. attribute:: has_entropy_label
                    
                    	Hop has EL specified
                    	**type**\:  bool
                    
                    .. attribute:: has_ip_addresses
                    
                    	Node has IP addresses specified
                    	**type**\:  bool
                    
                    .. attribute:: has_mpls_label
                    
                    	Hop has MPLS label specified
                    	**type**\:  bool
                    
                    .. attribute:: local_addr
                    
                    	Local IP address of adjacency or Node ID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: mpls_label_value
                    
                    	The MPLS label value
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: remote_addr
                    
                    	Remote IP address of adjacency
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: sid_type
                    
                    	Type of the SID
                    	**type**\:   :py:class:`TeSrSidEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSrSidEnum>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.has_entropy_label = None
                        self.has_ip_addresses = None
                        self.has_mpls_label = None
                        self.local_addr = None
                        self.mpls_label_value = None
                        self.remote_addr = None
                        self.sid_type = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:path-tunnels/Cisco-IOS-XR-mpls-te-oper:path-tunnel/Cisco-IOS-XR-mpls-te-oper:sr-segment'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.has_entropy_label is not None:
                            return True

                        if self.has_ip_addresses is not None:
                            return True

                        if self.has_mpls_label is not None:
                            return True

                        if self.local_addr is not None:
                            return True

                        if self.mpls_label_value is not None:
                            return True

                        if self.remote_addr is not None:
                            return True

                        if self.sid_type is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Topology.PathTunnels.PathTunnel.SrSegment']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:path-tunnels/Cisco-IOS-XR-mpls-te-oper:path-tunnel'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.accumulated_admin_weight is not None:
                        return True

                    if self.affinity is not None and self.affinity._has_data():
                        return True

                    if self.bandwidth_type is not None:
                        return True

                    if self.destination_address_xr is not None:
                        return True

                    if self.exclude_srlg_address is not None:
                        return True

                    if self.hold_priority_xr is not None:
                        return True

                    if self.hop is not None:
                        for child in self.hop:
                            if child is not None:
                                return True

                    if self.is_full_path is not None:
                        return True

                    if self.is_partial_path is not None:
                        return True

                    if self.is_segment_routing_db_checked is not None:
                        return True

                    if self.is_topology_checked is not None:
                        return True

                    if self.mininum_bandwidth is not None:
                        return True

                    if self.node_hop_count is not None:
                        return True

                    if self.requested_bandwidth is not None:
                        return True

                    if self.setup_priority_xr is not None:
                        return True

                    if self.shared_risk_link_group is not None:
                        for child_ref in self.shared_risk_link_group:
                            if child_ref._has_data():
                                return True

                    if self.sr_segment is not None:
                        for child_ref in self.sr_segment:
                            if child_ref._has_data():
                                return True

                    if self.tunnel_id is not None:
                        return True

                    if self.tunnel_id_xr is not None:
                        return True

                    if self.tunnel_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Topology.PathTunnels.PathTunnel']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology/Cisco-IOS-XR-mpls-te-oper:path-tunnels'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.path_tunnel is not None:
                    for child_ref in self.path_tunnel:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.Topology.PathTunnels']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.configured_srlgs is not None and self.configured_srlgs._has_data():
                return True

            if self.destination_paths is not None and self.destination_paths._has_data():
                return True

            if self.global_ is not None and self.global_._has_data():
                return True

            if self.path_tunnels is not None and self.path_tunnels._has_data():
                return True

            if self.srlgs is not None and self.srlgs._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.Topology']['meta_info']


    class SignallingCounters(object):
        """
        TE counters
        
        .. attribute:: head_signalling_counters
        
        	Sig Head Table TE counters
        	**type**\:   :py:class:`HeadSignallingCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.HeadSignallingCounters>`
        
        .. attribute:: heads_counters
        
        	MPLS TE counters signalling heads table
        	**type**\:   :py:class:`HeadsCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.HeadsCounters>`
        
        .. attribute:: issu
        
        	MPLS TE ISSU counters
        	**type**\:   :py:class:`Issu <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.Issu>`
        
        .. attribute:: mids_counters
        
        	MPLS TE counters signalling heads table
        	**type**\:   :py:class:`MidsCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.MidsCounters>`
        
        .. attribute:: remote_signalling_counters
        
        	Sig mid tail Table TE counters
        	**type**\:   :py:class:`RemoteSignallingCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.RemoteSignallingCounters>`
        
        .. attribute:: signalling_summary
        
        	Send\-Recv count summary for TE Signaling
        	**type**\:   :py:class:`SignallingSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.SignallingSummary>`
        
        .. attribute:: signallings
        
        	TE counters
        	**type**\:   :py:class:`Signallings <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.Signallings>`
        
        .. attribute:: tails_counters
        
        	MPLS TE counters signalling heads table
        	**type**\:   :py:class:`TailsCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.TailsCounters>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.head_signalling_counters = MplsTeStandby.SignallingCounters.HeadSignallingCounters()
            self.head_signalling_counters.parent = self
            self.heads_counters = MplsTeStandby.SignallingCounters.HeadsCounters()
            self.heads_counters.parent = self
            self.issu = MplsTeStandby.SignallingCounters.Issu()
            self.issu.parent = self
            self.mids_counters = MplsTeStandby.SignallingCounters.MidsCounters()
            self.mids_counters.parent = self
            self.remote_signalling_counters = MplsTeStandby.SignallingCounters.RemoteSignallingCounters()
            self.remote_signalling_counters.parent = self
            self.signalling_summary = MplsTeStandby.SignallingCounters.SignallingSummary()
            self.signalling_summary.parent = self
            self.signallings = MplsTeStandby.SignallingCounters.Signallings()
            self.signallings.parent = self
            self.tails_counters = MplsTeStandby.SignallingCounters.TailsCounters()
            self.tails_counters.parent = self


        class Issu(object):
            """
            MPLS TE ISSU counters
            
            .. attribute:: last_cleared_timestamp
            
            	The timestamp, in seconds, when these statistics are cleared              since 00\:00\:00 UTC, January 1, 1970
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: last_idt_states
            
            	Last IDT States
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: role
            
            	Process role
            	**type**\:   :py:class:`TeProcRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProcRoleEnum>`
            
            .. attribute:: total_deletions
            
            	Total deletions
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: total_id_ts
            
            	Total IDTs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: total_nac_ks
            
            	Total NACKs
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: total_states
            
            	Total states
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.last_cleared_timestamp = None
                self.last_idt_states = None
                self.role = None
                self.total_deletions = None
                self.total_id_ts = None
                self.total_nac_ks = None
                self.total_states = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:issu'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.last_cleared_timestamp is not None:
                    return True

                if self.last_idt_states is not None:
                    return True

                if self.role is not None:
                    return True

                if self.total_deletions is not None:
                    return True

                if self.total_id_ts is not None:
                    return True

                if self.total_nac_ks is not None:
                    return True

                if self.total_states is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.SignallingCounters.Issu']['meta_info']


        class HeadsCounters(object):
            """
            MPLS TE counters signalling heads table
            
            .. attribute:: heads_counter
            
            	MPLS TE counters signalling head
            	**type**\: list of    :py:class:`HeadsCounter <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.heads_counter = YList()
                self.heads_counter.parent = self
                self.heads_counter.name = 'heads_counter'


            class HeadsCounter(object):
                """
                MPLS TE counters signalling head
                
                .. attribute:: tunnel_id  <key>
                
                	tunnel id of last obtained tunnel
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: destination_statistic
                
                	List of Destination Stats
                	**type**\: list of    :py:class:`DestinationStatistic <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic>`
                
                .. attribute:: lsp_id
                
                	LSP ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: statistics
                
                	VIF stats
                	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.Statistics>`
                
                .. attribute:: tunnel_name
                
                	Tunnel Name
                	**type**\:  str
                
                .. attribute:: tunnel_sig_name
                
                	Tunnel Signalled\-Name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.tunnel_id = None
                    self.destination_statistic = YList()
                    self.destination_statistic.parent = self
                    self.destination_statistic.name = 'destination_statistic'
                    self.lsp_id = None
                    self.statistics = MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.Statistics()
                    self.statistics.parent = self
                    self.tunnel_name = None
                    self.tunnel_sig_name = None


                class Statistics(object):
                    """
                    VIF stats
                    
                    .. attribute:: events_count
                    
                    	TE Signaling event count
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: events_total_count
                    
                    	Total TE Signalling event count
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_backup_assign_err_event
                    
                    	Error on Backup Assign event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_event_unknown
                    
                    	RX Unknown events
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_change_event
                    
                    	RX Path Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_create_event
                    
                    	RX Path Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_delete_event
                    
                    	RX Path Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_error_event
                    
                    	RX Path Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_reeval_query_event
                    
                    	RX Path Reeval Query event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_change_event
                    
                    	RX Resv Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_create_event
                    
                    	RX Resv Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_delete_event
                    
                    	RX Resv Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_error_event
                    
                    	RX Resv Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_backup_assign_event
                    
                    	Backup Assign event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_event_unknown
                    
                    	Unknown TX events
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_change_event
                    
                    	TX Path Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_create_event
                    
                    	TX Path Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_delete_event
                    
                    	TX Path Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_error_event
                    
                    	TX Path Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_reeval_query_event
                    
                    	TX Path Reeval Query event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_change_event
                    
                    	TX Resv Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_create_event
                    
                    	TX Resv Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_delete_event
                    
                    	TX Resv Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_error_event
                    
                    	TX Resv Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.events_count = None
                        self.events_total_count = None
                        self.rx_backup_assign_err_event = None
                        self.rx_event_unknown = None
                        self.rx_path_change_event = None
                        self.rx_path_create_event = None
                        self.rx_path_delete_event = None
                        self.rx_path_error_event = None
                        self.rx_path_reeval_query_event = None
                        self.rx_resv_change_event = None
                        self.rx_resv_create_event = None
                        self.rx_resv_delete_event = None
                        self.rx_resv_error_event = None
                        self.tx_backup_assign_event = None
                        self.tx_event_unknown = None
                        self.tx_path_change_event = None
                        self.tx_path_create_event = None
                        self.tx_path_delete_event = None
                        self.tx_path_error_event = None
                        self.tx_path_reeval_query_event = None
                        self.tx_resv_change_event = None
                        self.tx_resv_create_event = None
                        self.tx_resv_delete_event = None
                        self.tx_resv_error_event = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.events_count is not None:
                            return True

                        if self.events_total_count is not None:
                            return True

                        if self.rx_backup_assign_err_event is not None:
                            return True

                        if self.rx_event_unknown is not None:
                            return True

                        if self.rx_path_change_event is not None:
                            return True

                        if self.rx_path_create_event is not None:
                            return True

                        if self.rx_path_delete_event is not None:
                            return True

                        if self.rx_path_error_event is not None:
                            return True

                        if self.rx_path_reeval_query_event is not None:
                            return True

                        if self.rx_resv_change_event is not None:
                            return True

                        if self.rx_resv_create_event is not None:
                            return True

                        if self.rx_resv_delete_event is not None:
                            return True

                        if self.rx_resv_error_event is not None:
                            return True

                        if self.tx_backup_assign_event is not None:
                            return True

                        if self.tx_event_unknown is not None:
                            return True

                        if self.tx_path_change_event is not None:
                            return True

                        if self.tx_path_create_event is not None:
                            return True

                        if self.tx_path_delete_event is not None:
                            return True

                        if self.tx_path_error_event is not None:
                            return True

                        if self.tx_path_reeval_query_event is not None:
                            return True

                        if self.tx_resv_change_event is not None:
                            return True

                        if self.tx_resv_create_event is not None:
                            return True

                        if self.tx_resv_delete_event is not None:
                            return True

                        if self.tx_resv_error_event is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.Statistics']['meta_info']


                class DestinationStatistic(object):
                    """
                    List of Destination Stats
                    
                    .. attribute:: destination_address
                    
                    	Destination address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: s2l_statistic
                    
                    	List of S2L Stats
                    	**type**\: list of    :py:class:`S2LStatistic <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic>`
                    
                    .. attribute:: statistics
                    
                    	Destination stats
                    	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.Statistics>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.destination_address = None
                        self.s2l_statistic = YList()
                        self.s2l_statistic.parent = self
                        self.s2l_statistic.name = 's2l_statistic'
                        self.statistics = MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.Statistics()
                        self.statistics.parent = self


                    class Statistics(object):
                        """
                        Destination stats
                        
                        .. attribute:: events_count
                        
                        	TE Signaling event count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: events_total_count
                        
                        	Total TE Signalling event count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_backup_assign_err_event
                        
                        	Error on Backup Assign event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_event_unknown
                        
                        	RX Unknown events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_change_event
                        
                        	RX Path Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_create_event
                        
                        	RX Path Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_delete_event
                        
                        	RX Path Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_error_event
                        
                        	RX Path Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_reeval_query_event
                        
                        	RX Path Reeval Query event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_change_event
                        
                        	RX Resv Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_create_event
                        
                        	RX Resv Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_delete_event
                        
                        	RX Resv Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_error_event
                        
                        	RX Resv Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_backup_assign_event
                        
                        	Backup Assign event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_event_unknown
                        
                        	Unknown TX events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_change_event
                        
                        	TX Path Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_create_event
                        
                        	TX Path Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_delete_event
                        
                        	TX Path Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_error_event
                        
                        	TX Path Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_reeval_query_event
                        
                        	TX Path Reeval Query event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_change_event
                        
                        	TX Resv Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_create_event
                        
                        	TX Resv Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_delete_event
                        
                        	TX Resv Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_error_event
                        
                        	TX Resv Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.events_count = None
                            self.events_total_count = None
                            self.rx_backup_assign_err_event = None
                            self.rx_event_unknown = None
                            self.rx_path_change_event = None
                            self.rx_path_create_event = None
                            self.rx_path_delete_event = None
                            self.rx_path_error_event = None
                            self.rx_path_reeval_query_event = None
                            self.rx_resv_change_event = None
                            self.rx_resv_create_event = None
                            self.rx_resv_delete_event = None
                            self.rx_resv_error_event = None
                            self.tx_backup_assign_event = None
                            self.tx_event_unknown = None
                            self.tx_path_change_event = None
                            self.tx_path_create_event = None
                            self.tx_path_delete_event = None
                            self.tx_path_error_event = None
                            self.tx_path_reeval_query_event = None
                            self.tx_resv_change_event = None
                            self.tx_resv_create_event = None
                            self.tx_resv_delete_event = None
                            self.tx_resv_error_event = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.events_count is not None:
                                return True

                            if self.events_total_count is not None:
                                return True

                            if self.rx_backup_assign_err_event is not None:
                                return True

                            if self.rx_event_unknown is not None:
                                return True

                            if self.rx_path_change_event is not None:
                                return True

                            if self.rx_path_create_event is not None:
                                return True

                            if self.rx_path_delete_event is not None:
                                return True

                            if self.rx_path_error_event is not None:
                                return True

                            if self.rx_path_reeval_query_event is not None:
                                return True

                            if self.rx_resv_change_event is not None:
                                return True

                            if self.rx_resv_create_event is not None:
                                return True

                            if self.rx_resv_delete_event is not None:
                                return True

                            if self.rx_resv_error_event is not None:
                                return True

                            if self.tx_backup_assign_event is not None:
                                return True

                            if self.tx_event_unknown is not None:
                                return True

                            if self.tx_path_change_event is not None:
                                return True

                            if self.tx_path_create_event is not None:
                                return True

                            if self.tx_path_delete_event is not None:
                                return True

                            if self.tx_path_error_event is not None:
                                return True

                            if self.tx_path_reeval_query_event is not None:
                                return True

                            if self.tx_resv_change_event is not None:
                                return True

                            if self.tx_resv_create_event is not None:
                                return True

                            if self.tx_resv_delete_event is not None:
                                return True

                            if self.tx_resv_error_event is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.Statistics']['meta_info']


                    class S2LStatistic(object):
                        """
                        List of S2L Stats
                        
                        .. attribute:: destination_address
                        
                        	Destination address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: statistics
                        
                        	S2L stats
                        	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic.Statistics>`
                        
                        .. attribute:: sub_group_id
                        
                        	subgroup ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: sub_group_originator
                        
                        	Subgroup Originator
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.destination_address = None
                            self.statistics = MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic.Statistics()
                            self.statistics.parent = self
                            self.sub_group_id = None
                            self.sub_group_originator = None


                        class Statistics(object):
                            """
                            S2L stats
                            
                            .. attribute:: events_count
                            
                            	TE Signaling event count
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: events_total_count
                            
                            	Total TE Signalling event count
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_backup_assign_err_event
                            
                            	Error on Backup Assign event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_event_unknown
                            
                            	RX Unknown events
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_change_event
                            
                            	RX Path Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_create_event
                            
                            	RX Path Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_delete_event
                            
                            	RX Path Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_error_event
                            
                            	RX Path Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_reeval_query_event
                            
                            	RX Path Reeval Query event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_change_event
                            
                            	RX Resv Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_create_event
                            
                            	RX Resv Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_delete_event
                            
                            	RX Resv Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_error_event
                            
                            	RX Resv Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_backup_assign_event
                            
                            	Backup Assign event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_event_unknown
                            
                            	Unknown TX events
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_change_event
                            
                            	TX Path Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_create_event
                            
                            	TX Path Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_delete_event
                            
                            	TX Path Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_error_event
                            
                            	TX Path Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_reeval_query_event
                            
                            	TX Path Reeval Query event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_change_event
                            
                            	TX Resv Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_create_event
                            
                            	TX Resv Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_delete_event
                            
                            	TX Resv Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_error_event
                            
                            	TX Resv Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.events_count = None
                                self.events_total_count = None
                                self.rx_backup_assign_err_event = None
                                self.rx_event_unknown = None
                                self.rx_path_change_event = None
                                self.rx_path_create_event = None
                                self.rx_path_delete_event = None
                                self.rx_path_error_event = None
                                self.rx_path_reeval_query_event = None
                                self.rx_resv_change_event = None
                                self.rx_resv_create_event = None
                                self.rx_resv_delete_event = None
                                self.rx_resv_error_event = None
                                self.tx_backup_assign_event = None
                                self.tx_event_unknown = None
                                self.tx_path_change_event = None
                                self.tx_path_create_event = None
                                self.tx_path_delete_event = None
                                self.tx_path_error_event = None
                                self.tx_path_reeval_query_event = None
                                self.tx_resv_change_event = None
                                self.tx_resv_create_event = None
                                self.tx_resv_delete_event = None
                                self.tx_resv_error_event = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.events_count is not None:
                                    return True

                                if self.events_total_count is not None:
                                    return True

                                if self.rx_backup_assign_err_event is not None:
                                    return True

                                if self.rx_event_unknown is not None:
                                    return True

                                if self.rx_path_change_event is not None:
                                    return True

                                if self.rx_path_create_event is not None:
                                    return True

                                if self.rx_path_delete_event is not None:
                                    return True

                                if self.rx_path_error_event is not None:
                                    return True

                                if self.rx_path_reeval_query_event is not None:
                                    return True

                                if self.rx_resv_change_event is not None:
                                    return True

                                if self.rx_resv_create_event is not None:
                                    return True

                                if self.rx_resv_delete_event is not None:
                                    return True

                                if self.rx_resv_error_event is not None:
                                    return True

                                if self.tx_backup_assign_event is not None:
                                    return True

                                if self.tx_event_unknown is not None:
                                    return True

                                if self.tx_path_change_event is not None:
                                    return True

                                if self.tx_path_create_event is not None:
                                    return True

                                if self.tx_path_delete_event is not None:
                                    return True

                                if self.tx_path_error_event is not None:
                                    return True

                                if self.tx_path_reeval_query_event is not None:
                                    return True

                                if self.tx_resv_change_event is not None:
                                    return True

                                if self.tx_resv_create_event is not None:
                                    return True

                                if self.tx_resv_delete_event is not None:
                                    return True

                                if self.tx_resv_error_event is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic.Statistics']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-statistic'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.destination_address is not None:
                                return True

                            if self.statistics is not None and self.statistics._has_data():
                                return True

                            if self.sub_group_id is not None:
                                return True

                            if self.sub_group_originator is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:destination-statistic'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.destination_address is not None:
                            return True

                        if self.s2l_statistic is not None:
                            for child_ref in self.s2l_statistic:
                                if child_ref._has_data():
                                    return True

                        if self.statistics is not None and self.statistics._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic']['meta_info']

                @property
                def _common_path(self):
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:heads-counters/Cisco-IOS-XR-mpls-te-oper:heads-counter[Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.tunnel_id is not None:
                        return True

                    if self.destination_statistic is not None:
                        for child_ref in self.destination_statistic:
                            if child_ref._has_data():
                                return True

                    if self.lsp_id is not None:
                        return True

                    if self.statistics is not None and self.statistics._has_data():
                        return True

                    if self.tunnel_name is not None:
                        return True

                    if self.tunnel_sig_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:heads-counters'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.heads_counter is not None:
                    for child_ref in self.heads_counter:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.SignallingCounters.HeadsCounters']['meta_info']


        class MidsCounters(object):
            """
            MPLS TE counters signalling heads table
            
            .. attribute:: mids_counter
            
            	MPLS TE counters signalling mid
            	**type**\: list of    :py:class:`MidsCounter <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.mids_counter = YList()
                self.mids_counter.parent = self
                self.mids_counter.name = 'mids_counter'


            class MidsCounter(object):
                """
                MPLS TE counters signalling mid
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id  <key>
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lsp_id  <key>
                
                	LSP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: source_address  <key>
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id  <key>
                
                	tunnel id of last obtained tunnel
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: s2l_statistic
                
                	List of S2L Statistics
                	**type**\: list of    :py:class:`S2LStatistic <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic>`
                
                .. attribute:: statistics
                
                	LSP statistics
                	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter.Statistics>`
                
                .. attribute:: tunnel_name
                
                	Tunnel Name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.lsp_id = None
                    self.source_address = None
                    self.tunnel_id = None
                    self.s2l_statistic = YList()
                    self.s2l_statistic.parent = self
                    self.s2l_statistic.name = 's2l_statistic'
                    self.statistics = MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter.Statistics()
                    self.statistics.parent = self
                    self.tunnel_name = None


                class Statistics(object):
                    """
                    LSP statistics
                    
                    .. attribute:: events_count
                    
                    	TE Signaling event count
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: events_total_count
                    
                    	Total TE Signalling event count
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_backup_assign_err_event
                    
                    	Error on Backup Assign event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_event_unknown
                    
                    	RX Unknown events
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_change_event
                    
                    	RX Path Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_create_event
                    
                    	RX Path Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_delete_event
                    
                    	RX Path Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_error_event
                    
                    	RX Path Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_reeval_query_event
                    
                    	RX Path Reeval Query event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_change_event
                    
                    	RX Resv Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_create_event
                    
                    	RX Resv Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_delete_event
                    
                    	RX Resv Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_error_event
                    
                    	RX Resv Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_backup_assign_event
                    
                    	Backup Assign event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_event_unknown
                    
                    	Unknown TX events
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_change_event
                    
                    	TX Path Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_create_event
                    
                    	TX Path Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_delete_event
                    
                    	TX Path Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_error_event
                    
                    	TX Path Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_reeval_query_event
                    
                    	TX Path Reeval Query event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_change_event
                    
                    	TX Resv Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_create_event
                    
                    	TX Resv Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_delete_event
                    
                    	TX Resv Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_error_event
                    
                    	TX Resv Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.events_count = None
                        self.events_total_count = None
                        self.rx_backup_assign_err_event = None
                        self.rx_event_unknown = None
                        self.rx_path_change_event = None
                        self.rx_path_create_event = None
                        self.rx_path_delete_event = None
                        self.rx_path_error_event = None
                        self.rx_path_reeval_query_event = None
                        self.rx_resv_change_event = None
                        self.rx_resv_create_event = None
                        self.rx_resv_delete_event = None
                        self.rx_resv_error_event = None
                        self.tx_backup_assign_event = None
                        self.tx_event_unknown = None
                        self.tx_path_change_event = None
                        self.tx_path_create_event = None
                        self.tx_path_delete_event = None
                        self.tx_path_error_event = None
                        self.tx_path_reeval_query_event = None
                        self.tx_resv_change_event = None
                        self.tx_resv_create_event = None
                        self.tx_resv_delete_event = None
                        self.tx_resv_error_event = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.events_count is not None:
                            return True

                        if self.events_total_count is not None:
                            return True

                        if self.rx_backup_assign_err_event is not None:
                            return True

                        if self.rx_event_unknown is not None:
                            return True

                        if self.rx_path_change_event is not None:
                            return True

                        if self.rx_path_create_event is not None:
                            return True

                        if self.rx_path_delete_event is not None:
                            return True

                        if self.rx_path_error_event is not None:
                            return True

                        if self.rx_path_reeval_query_event is not None:
                            return True

                        if self.rx_resv_change_event is not None:
                            return True

                        if self.rx_resv_create_event is not None:
                            return True

                        if self.rx_resv_delete_event is not None:
                            return True

                        if self.rx_resv_error_event is not None:
                            return True

                        if self.tx_backup_assign_event is not None:
                            return True

                        if self.tx_event_unknown is not None:
                            return True

                        if self.tx_path_change_event is not None:
                            return True

                        if self.tx_path_create_event is not None:
                            return True

                        if self.tx_path_delete_event is not None:
                            return True

                        if self.tx_path_error_event is not None:
                            return True

                        if self.tx_path_reeval_query_event is not None:
                            return True

                        if self.tx_resv_change_event is not None:
                            return True

                        if self.tx_resv_create_event is not None:
                            return True

                        if self.tx_resv_delete_event is not None:
                            return True

                        if self.tx_resv_error_event is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter.Statistics']['meta_info']


                class S2LStatistic(object):
                    """
                    List of S2L Statistics
                    
                    .. attribute:: destination_address
                    
                    	Destination address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: statistics
                    
                    	S2L stats
                    	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic.Statistics>`
                    
                    .. attribute:: sub_group_id
                    
                    	subgroup ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: sub_group_originator
                    
                    	Subgroup Originator
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.destination_address = None
                        self.statistics = MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic.Statistics()
                        self.statistics.parent = self
                        self.sub_group_id = None
                        self.sub_group_originator = None


                    class Statistics(object):
                        """
                        S2L stats
                        
                        .. attribute:: events_count
                        
                        	TE Signaling event count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: events_total_count
                        
                        	Total TE Signalling event count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_backup_assign_err_event
                        
                        	Error on Backup Assign event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_event_unknown
                        
                        	RX Unknown events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_change_event
                        
                        	RX Path Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_create_event
                        
                        	RX Path Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_delete_event
                        
                        	RX Path Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_error_event
                        
                        	RX Path Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_reeval_query_event
                        
                        	RX Path Reeval Query event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_change_event
                        
                        	RX Resv Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_create_event
                        
                        	RX Resv Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_delete_event
                        
                        	RX Resv Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_error_event
                        
                        	RX Resv Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_backup_assign_event
                        
                        	Backup Assign event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_event_unknown
                        
                        	Unknown TX events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_change_event
                        
                        	TX Path Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_create_event
                        
                        	TX Path Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_delete_event
                        
                        	TX Path Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_error_event
                        
                        	TX Path Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_reeval_query_event
                        
                        	TX Path Reeval Query event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_change_event
                        
                        	TX Resv Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_create_event
                        
                        	TX Resv Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_delete_event
                        
                        	TX Resv Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_error_event
                        
                        	TX Resv Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.events_count = None
                            self.events_total_count = None
                            self.rx_backup_assign_err_event = None
                            self.rx_event_unknown = None
                            self.rx_path_change_event = None
                            self.rx_path_create_event = None
                            self.rx_path_delete_event = None
                            self.rx_path_error_event = None
                            self.rx_path_reeval_query_event = None
                            self.rx_resv_change_event = None
                            self.rx_resv_create_event = None
                            self.rx_resv_delete_event = None
                            self.rx_resv_error_event = None
                            self.tx_backup_assign_event = None
                            self.tx_event_unknown = None
                            self.tx_path_change_event = None
                            self.tx_path_create_event = None
                            self.tx_path_delete_event = None
                            self.tx_path_error_event = None
                            self.tx_path_reeval_query_event = None
                            self.tx_resv_change_event = None
                            self.tx_resv_create_event = None
                            self.tx_resv_delete_event = None
                            self.tx_resv_error_event = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.events_count is not None:
                                return True

                            if self.events_total_count is not None:
                                return True

                            if self.rx_backup_assign_err_event is not None:
                                return True

                            if self.rx_event_unknown is not None:
                                return True

                            if self.rx_path_change_event is not None:
                                return True

                            if self.rx_path_create_event is not None:
                                return True

                            if self.rx_path_delete_event is not None:
                                return True

                            if self.rx_path_error_event is not None:
                                return True

                            if self.rx_path_reeval_query_event is not None:
                                return True

                            if self.rx_resv_change_event is not None:
                                return True

                            if self.rx_resv_create_event is not None:
                                return True

                            if self.rx_resv_delete_event is not None:
                                return True

                            if self.rx_resv_error_event is not None:
                                return True

                            if self.tx_backup_assign_event is not None:
                                return True

                            if self.tx_event_unknown is not None:
                                return True

                            if self.tx_path_change_event is not None:
                                return True

                            if self.tx_path_create_event is not None:
                                return True

                            if self.tx_path_delete_event is not None:
                                return True

                            if self.tx_path_error_event is not None:
                                return True

                            if self.tx_path_reeval_query_event is not None:
                                return True

                            if self.tx_resv_change_event is not None:
                                return True

                            if self.tx_resv_create_event is not None:
                                return True

                            if self.tx_resv_delete_event is not None:
                                return True

                            if self.tx_resv_error_event is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic.Statistics']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-statistic'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.destination_address is not None:
                            return True

                        if self.statistics is not None and self.statistics._has_data():
                            return True

                        if self.sub_group_id is not None:
                            return True

                        if self.sub_group_originator is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic']['meta_info']

                @property
                def _common_path(self):
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.extended_tunnel_id is None:
                        raise YPYModelError('Key property extended_tunnel_id is None')
                    if self.lsp_id is None:
                        raise YPYModelError('Key property lsp_id is None')
                    if self.source_address is None:
                        raise YPYModelError('Key property source_address is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:mids-counters/Cisco-IOS-XR-mpls-te-oper:mids-counter[Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:extended-tunnel-id = ' + str(self.extended_tunnel_id) + '][Cisco-IOS-XR-mpls-te-oper:lsp-id = ' + str(self.lsp_id) + '][Cisco-IOS-XR-mpls-te-oper:source-address = ' + str(self.source_address) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.s2l_statistic is not None:
                        for child_ref in self.s2l_statistic:
                            if child_ref._has_data():
                                return True

                    if self.statistics is not None and self.statistics._has_data():
                        return True

                    if self.tunnel_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:mids-counters'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.mids_counter is not None:
                    for child_ref in self.mids_counter:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.SignallingCounters.MidsCounters']['meta_info']


        class HeadSignallingCounters(object):
            """
            Sig Head Table TE counters
            
            .. attribute:: head_signalling_counter
            
            	TE stats
            	**type**\: list of    :py:class:`HeadSignallingCounter <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.head_signalling_counter = YList()
                self.head_signalling_counter.parent = self
                self.head_signalling_counter.name = 'head_signalling_counter'


            class HeadSignallingCounter(object):
                """
                TE stats
                
                .. attribute:: ctype  <key>
                
                	Ctype
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: tunnel_id  <key>
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: destination_statistic
                
                	List of Destination Stats
                	**type**\: list of    :py:class:`DestinationStatistic <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic>`
                
                .. attribute:: lsp_id
                
                	LSP ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: statistics
                
                	VIF stats
                	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.Statistics>`
                
                .. attribute:: tunnel_name
                
                	Tunnel Name
                	**type**\:  str
                
                .. attribute:: tunnel_sig_name
                
                	Tunnel Signalled\-Name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ctype = None
                    self.tunnel_id = None
                    self.destination_statistic = YList()
                    self.destination_statistic.parent = self
                    self.destination_statistic.name = 'destination_statistic'
                    self.lsp_id = None
                    self.statistics = MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.Statistics()
                    self.statistics.parent = self
                    self.tunnel_name = None
                    self.tunnel_sig_name = None


                class Statistics(object):
                    """
                    VIF stats
                    
                    .. attribute:: events_count
                    
                    	TE Signaling event count
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: events_total_count
                    
                    	Total TE Signalling event count
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_backup_assign_err_event
                    
                    	Error on Backup Assign event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_event_unknown
                    
                    	RX Unknown events
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_change_event
                    
                    	RX Path Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_create_event
                    
                    	RX Path Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_delete_event
                    
                    	RX Path Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_error_event
                    
                    	RX Path Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_reeval_query_event
                    
                    	RX Path Reeval Query event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_change_event
                    
                    	RX Resv Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_create_event
                    
                    	RX Resv Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_delete_event
                    
                    	RX Resv Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_error_event
                    
                    	RX Resv Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_backup_assign_event
                    
                    	Backup Assign event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_event_unknown
                    
                    	Unknown TX events
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_change_event
                    
                    	TX Path Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_create_event
                    
                    	TX Path Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_delete_event
                    
                    	TX Path Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_error_event
                    
                    	TX Path Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_reeval_query_event
                    
                    	TX Path Reeval Query event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_change_event
                    
                    	TX Resv Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_create_event
                    
                    	TX Resv Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_delete_event
                    
                    	TX Resv Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_error_event
                    
                    	TX Resv Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.events_count = None
                        self.events_total_count = None
                        self.rx_backup_assign_err_event = None
                        self.rx_event_unknown = None
                        self.rx_path_change_event = None
                        self.rx_path_create_event = None
                        self.rx_path_delete_event = None
                        self.rx_path_error_event = None
                        self.rx_path_reeval_query_event = None
                        self.rx_resv_change_event = None
                        self.rx_resv_create_event = None
                        self.rx_resv_delete_event = None
                        self.rx_resv_error_event = None
                        self.tx_backup_assign_event = None
                        self.tx_event_unknown = None
                        self.tx_path_change_event = None
                        self.tx_path_create_event = None
                        self.tx_path_delete_event = None
                        self.tx_path_error_event = None
                        self.tx_path_reeval_query_event = None
                        self.tx_resv_change_event = None
                        self.tx_resv_create_event = None
                        self.tx_resv_delete_event = None
                        self.tx_resv_error_event = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.events_count is not None:
                            return True

                        if self.events_total_count is not None:
                            return True

                        if self.rx_backup_assign_err_event is not None:
                            return True

                        if self.rx_event_unknown is not None:
                            return True

                        if self.rx_path_change_event is not None:
                            return True

                        if self.rx_path_create_event is not None:
                            return True

                        if self.rx_path_delete_event is not None:
                            return True

                        if self.rx_path_error_event is not None:
                            return True

                        if self.rx_path_reeval_query_event is not None:
                            return True

                        if self.rx_resv_change_event is not None:
                            return True

                        if self.rx_resv_create_event is not None:
                            return True

                        if self.rx_resv_delete_event is not None:
                            return True

                        if self.rx_resv_error_event is not None:
                            return True

                        if self.tx_backup_assign_event is not None:
                            return True

                        if self.tx_event_unknown is not None:
                            return True

                        if self.tx_path_change_event is not None:
                            return True

                        if self.tx_path_create_event is not None:
                            return True

                        if self.tx_path_delete_event is not None:
                            return True

                        if self.tx_path_error_event is not None:
                            return True

                        if self.tx_path_reeval_query_event is not None:
                            return True

                        if self.tx_resv_change_event is not None:
                            return True

                        if self.tx_resv_create_event is not None:
                            return True

                        if self.tx_resv_delete_event is not None:
                            return True

                        if self.tx_resv_error_event is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.Statistics']['meta_info']


                class DestinationStatistic(object):
                    """
                    List of Destination Stats
                    
                    .. attribute:: destination_address
                    
                    	Destination address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: s2l_statistic
                    
                    	List of S2L Stats
                    	**type**\: list of    :py:class:`S2LStatistic <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic>`
                    
                    .. attribute:: statistics
                    
                    	Destination stats
                    	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.Statistics>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.destination_address = None
                        self.s2l_statistic = YList()
                        self.s2l_statistic.parent = self
                        self.s2l_statistic.name = 's2l_statistic'
                        self.statistics = MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.Statistics()
                        self.statistics.parent = self


                    class Statistics(object):
                        """
                        Destination stats
                        
                        .. attribute:: events_count
                        
                        	TE Signaling event count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: events_total_count
                        
                        	Total TE Signalling event count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_backup_assign_err_event
                        
                        	Error on Backup Assign event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_event_unknown
                        
                        	RX Unknown events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_change_event
                        
                        	RX Path Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_create_event
                        
                        	RX Path Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_delete_event
                        
                        	RX Path Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_error_event
                        
                        	RX Path Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_reeval_query_event
                        
                        	RX Path Reeval Query event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_change_event
                        
                        	RX Resv Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_create_event
                        
                        	RX Resv Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_delete_event
                        
                        	RX Resv Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_error_event
                        
                        	RX Resv Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_backup_assign_event
                        
                        	Backup Assign event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_event_unknown
                        
                        	Unknown TX events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_change_event
                        
                        	TX Path Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_create_event
                        
                        	TX Path Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_delete_event
                        
                        	TX Path Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_error_event
                        
                        	TX Path Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_reeval_query_event
                        
                        	TX Path Reeval Query event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_change_event
                        
                        	TX Resv Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_create_event
                        
                        	TX Resv Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_delete_event
                        
                        	TX Resv Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_error_event
                        
                        	TX Resv Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.events_count = None
                            self.events_total_count = None
                            self.rx_backup_assign_err_event = None
                            self.rx_event_unknown = None
                            self.rx_path_change_event = None
                            self.rx_path_create_event = None
                            self.rx_path_delete_event = None
                            self.rx_path_error_event = None
                            self.rx_path_reeval_query_event = None
                            self.rx_resv_change_event = None
                            self.rx_resv_create_event = None
                            self.rx_resv_delete_event = None
                            self.rx_resv_error_event = None
                            self.tx_backup_assign_event = None
                            self.tx_event_unknown = None
                            self.tx_path_change_event = None
                            self.tx_path_create_event = None
                            self.tx_path_delete_event = None
                            self.tx_path_error_event = None
                            self.tx_path_reeval_query_event = None
                            self.tx_resv_change_event = None
                            self.tx_resv_create_event = None
                            self.tx_resv_delete_event = None
                            self.tx_resv_error_event = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.events_count is not None:
                                return True

                            if self.events_total_count is not None:
                                return True

                            if self.rx_backup_assign_err_event is not None:
                                return True

                            if self.rx_event_unknown is not None:
                                return True

                            if self.rx_path_change_event is not None:
                                return True

                            if self.rx_path_create_event is not None:
                                return True

                            if self.rx_path_delete_event is not None:
                                return True

                            if self.rx_path_error_event is not None:
                                return True

                            if self.rx_path_reeval_query_event is not None:
                                return True

                            if self.rx_resv_change_event is not None:
                                return True

                            if self.rx_resv_create_event is not None:
                                return True

                            if self.rx_resv_delete_event is not None:
                                return True

                            if self.rx_resv_error_event is not None:
                                return True

                            if self.tx_backup_assign_event is not None:
                                return True

                            if self.tx_event_unknown is not None:
                                return True

                            if self.tx_path_change_event is not None:
                                return True

                            if self.tx_path_create_event is not None:
                                return True

                            if self.tx_path_delete_event is not None:
                                return True

                            if self.tx_path_error_event is not None:
                                return True

                            if self.tx_path_reeval_query_event is not None:
                                return True

                            if self.tx_resv_change_event is not None:
                                return True

                            if self.tx_resv_create_event is not None:
                                return True

                            if self.tx_resv_delete_event is not None:
                                return True

                            if self.tx_resv_error_event is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.Statistics']['meta_info']


                    class S2LStatistic(object):
                        """
                        List of S2L Stats
                        
                        .. attribute:: destination_address
                        
                        	Destination address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: statistics
                        
                        	S2L stats
                        	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic.Statistics>`
                        
                        .. attribute:: sub_group_id
                        
                        	subgroup ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: sub_group_originator
                        
                        	Subgroup Originator
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.destination_address = None
                            self.statistics = MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic.Statistics()
                            self.statistics.parent = self
                            self.sub_group_id = None
                            self.sub_group_originator = None


                        class Statistics(object):
                            """
                            S2L stats
                            
                            .. attribute:: events_count
                            
                            	TE Signaling event count
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: events_total_count
                            
                            	Total TE Signalling event count
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_backup_assign_err_event
                            
                            	Error on Backup Assign event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_event_unknown
                            
                            	RX Unknown events
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_change_event
                            
                            	RX Path Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_create_event
                            
                            	RX Path Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_delete_event
                            
                            	RX Path Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_error_event
                            
                            	RX Path Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_reeval_query_event
                            
                            	RX Path Reeval Query event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_change_event
                            
                            	RX Resv Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_create_event
                            
                            	RX Resv Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_delete_event
                            
                            	RX Resv Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_error_event
                            
                            	RX Resv Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_backup_assign_event
                            
                            	Backup Assign event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_event_unknown
                            
                            	Unknown TX events
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_change_event
                            
                            	TX Path Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_create_event
                            
                            	TX Path Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_delete_event
                            
                            	TX Path Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_error_event
                            
                            	TX Path Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_reeval_query_event
                            
                            	TX Path Reeval Query event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_change_event
                            
                            	TX Resv Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_create_event
                            
                            	TX Resv Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_delete_event
                            
                            	TX Resv Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_error_event
                            
                            	TX Resv Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.events_count = None
                                self.events_total_count = None
                                self.rx_backup_assign_err_event = None
                                self.rx_event_unknown = None
                                self.rx_path_change_event = None
                                self.rx_path_create_event = None
                                self.rx_path_delete_event = None
                                self.rx_path_error_event = None
                                self.rx_path_reeval_query_event = None
                                self.rx_resv_change_event = None
                                self.rx_resv_create_event = None
                                self.rx_resv_delete_event = None
                                self.rx_resv_error_event = None
                                self.tx_backup_assign_event = None
                                self.tx_event_unknown = None
                                self.tx_path_change_event = None
                                self.tx_path_create_event = None
                                self.tx_path_delete_event = None
                                self.tx_path_error_event = None
                                self.tx_path_reeval_query_event = None
                                self.tx_resv_change_event = None
                                self.tx_resv_create_event = None
                                self.tx_resv_delete_event = None
                                self.tx_resv_error_event = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.events_count is not None:
                                    return True

                                if self.events_total_count is not None:
                                    return True

                                if self.rx_backup_assign_err_event is not None:
                                    return True

                                if self.rx_event_unknown is not None:
                                    return True

                                if self.rx_path_change_event is not None:
                                    return True

                                if self.rx_path_create_event is not None:
                                    return True

                                if self.rx_path_delete_event is not None:
                                    return True

                                if self.rx_path_error_event is not None:
                                    return True

                                if self.rx_path_reeval_query_event is not None:
                                    return True

                                if self.rx_resv_change_event is not None:
                                    return True

                                if self.rx_resv_create_event is not None:
                                    return True

                                if self.rx_resv_delete_event is not None:
                                    return True

                                if self.rx_resv_error_event is not None:
                                    return True

                                if self.tx_backup_assign_event is not None:
                                    return True

                                if self.tx_event_unknown is not None:
                                    return True

                                if self.tx_path_change_event is not None:
                                    return True

                                if self.tx_path_create_event is not None:
                                    return True

                                if self.tx_path_delete_event is not None:
                                    return True

                                if self.tx_path_error_event is not None:
                                    return True

                                if self.tx_path_reeval_query_event is not None:
                                    return True

                                if self.tx_resv_change_event is not None:
                                    return True

                                if self.tx_resv_create_event is not None:
                                    return True

                                if self.tx_resv_delete_event is not None:
                                    return True

                                if self.tx_resv_error_event is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic.Statistics']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-statistic'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.destination_address is not None:
                                return True

                            if self.statistics is not None and self.statistics._has_data():
                                return True

                            if self.sub_group_id is not None:
                                return True

                            if self.sub_group_originator is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:destination-statistic'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.destination_address is not None:
                            return True

                        if self.s2l_statistic is not None:
                            for child_ref in self.s2l_statistic:
                                if child_ref._has_data():
                                    return True

                        if self.statistics is not None and self.statistics._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic']['meta_info']

                @property
                def _common_path(self):
                    if self.ctype is None:
                        raise YPYModelError('Key property ctype is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:head-signalling-counters/Cisco-IOS-XR-mpls-te-oper:head-signalling-counter[Cisco-IOS-XR-mpls-te-oper:ctype = ' + str(self.ctype) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ctype is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.destination_statistic is not None:
                        for child_ref in self.destination_statistic:
                            if child_ref._has_data():
                                return True

                    if self.lsp_id is not None:
                        return True

                    if self.statistics is not None and self.statistics._has_data():
                        return True

                    if self.tunnel_name is not None:
                        return True

                    if self.tunnel_sig_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:head-signalling-counters'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.head_signalling_counter is not None:
                    for child_ref in self.head_signalling_counter:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.SignallingCounters.HeadSignallingCounters']['meta_info']


        class RemoteSignallingCounters(object):
            """
            Sig mid tail Table TE counters
            
            .. attribute:: remote_signalling_counter
            
            	TE stats
            	**type**\: list of    :py:class:`RemoteSignallingCounter <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.remote_signalling_counter = YList()
                self.remote_signalling_counter.parent = self
                self.remote_signalling_counter.name = 'remote_signalling_counter'


            class RemoteSignallingCounter(object):
                """
                TE stats
                
                .. attribute:: ctype  <key>
                
                	Ctype
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id  <key>
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lsp_id  <key>
                
                	LSP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: p2mp_id  <key>
                
                	P2MP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: source_address  <key>
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: sub_group_id  <key>
                
                	Subgroup ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: sub_group_originator  <key>
                
                	Subgroup originator
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id  <key>
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: s2l_statistic
                
                	List of S2L Statistics
                	**type**\: list of    :py:class:`S2LStatistic <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic>`
                
                .. attribute:: statistics
                
                	LSP statistics
                	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.Statistics>`
                
                .. attribute:: tunnel_name
                
                	Tunnel Name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ctype = None
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.lsp_id = None
                    self.p2mp_id = None
                    self.source_address = None
                    self.sub_group_id = None
                    self.sub_group_originator = None
                    self.tunnel_id = None
                    self.s2l_statistic = YList()
                    self.s2l_statistic.parent = self
                    self.s2l_statistic.name = 's2l_statistic'
                    self.statistics = MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.Statistics()
                    self.statistics.parent = self
                    self.tunnel_name = None


                class Statistics(object):
                    """
                    LSP statistics
                    
                    .. attribute:: events_count
                    
                    	TE Signaling event count
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: events_total_count
                    
                    	Total TE Signalling event count
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_backup_assign_err_event
                    
                    	Error on Backup Assign event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_event_unknown
                    
                    	RX Unknown events
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_change_event
                    
                    	RX Path Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_create_event
                    
                    	RX Path Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_delete_event
                    
                    	RX Path Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_error_event
                    
                    	RX Path Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_reeval_query_event
                    
                    	RX Path Reeval Query event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_change_event
                    
                    	RX Resv Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_create_event
                    
                    	RX Resv Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_delete_event
                    
                    	RX Resv Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_error_event
                    
                    	RX Resv Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_backup_assign_event
                    
                    	Backup Assign event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_event_unknown
                    
                    	Unknown TX events
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_change_event
                    
                    	TX Path Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_create_event
                    
                    	TX Path Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_delete_event
                    
                    	TX Path Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_error_event
                    
                    	TX Path Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_reeval_query_event
                    
                    	TX Path Reeval Query event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_change_event
                    
                    	TX Resv Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_create_event
                    
                    	TX Resv Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_delete_event
                    
                    	TX Resv Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_error_event
                    
                    	TX Resv Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.events_count = None
                        self.events_total_count = None
                        self.rx_backup_assign_err_event = None
                        self.rx_event_unknown = None
                        self.rx_path_change_event = None
                        self.rx_path_create_event = None
                        self.rx_path_delete_event = None
                        self.rx_path_error_event = None
                        self.rx_path_reeval_query_event = None
                        self.rx_resv_change_event = None
                        self.rx_resv_create_event = None
                        self.rx_resv_delete_event = None
                        self.rx_resv_error_event = None
                        self.tx_backup_assign_event = None
                        self.tx_event_unknown = None
                        self.tx_path_change_event = None
                        self.tx_path_create_event = None
                        self.tx_path_delete_event = None
                        self.tx_path_error_event = None
                        self.tx_path_reeval_query_event = None
                        self.tx_resv_change_event = None
                        self.tx_resv_create_event = None
                        self.tx_resv_delete_event = None
                        self.tx_resv_error_event = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.events_count is not None:
                            return True

                        if self.events_total_count is not None:
                            return True

                        if self.rx_backup_assign_err_event is not None:
                            return True

                        if self.rx_event_unknown is not None:
                            return True

                        if self.rx_path_change_event is not None:
                            return True

                        if self.rx_path_create_event is not None:
                            return True

                        if self.rx_path_delete_event is not None:
                            return True

                        if self.rx_path_error_event is not None:
                            return True

                        if self.rx_path_reeval_query_event is not None:
                            return True

                        if self.rx_resv_change_event is not None:
                            return True

                        if self.rx_resv_create_event is not None:
                            return True

                        if self.rx_resv_delete_event is not None:
                            return True

                        if self.rx_resv_error_event is not None:
                            return True

                        if self.tx_backup_assign_event is not None:
                            return True

                        if self.tx_event_unknown is not None:
                            return True

                        if self.tx_path_change_event is not None:
                            return True

                        if self.tx_path_create_event is not None:
                            return True

                        if self.tx_path_delete_event is not None:
                            return True

                        if self.tx_path_error_event is not None:
                            return True

                        if self.tx_path_reeval_query_event is not None:
                            return True

                        if self.tx_resv_change_event is not None:
                            return True

                        if self.tx_resv_create_event is not None:
                            return True

                        if self.tx_resv_delete_event is not None:
                            return True

                        if self.tx_resv_error_event is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.Statistics']['meta_info']


                class S2LStatistic(object):
                    """
                    List of S2L Statistics
                    
                    .. attribute:: destination_address
                    
                    	Destination address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: statistics
                    
                    	S2L stats
                    	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic.Statistics>`
                    
                    .. attribute:: sub_group_id
                    
                    	subgroup ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: sub_group_originator
                    
                    	Subgroup Originator
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.destination_address = None
                        self.statistics = MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic.Statistics()
                        self.statistics.parent = self
                        self.sub_group_id = None
                        self.sub_group_originator = None


                    class Statistics(object):
                        """
                        S2L stats
                        
                        .. attribute:: events_count
                        
                        	TE Signaling event count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: events_total_count
                        
                        	Total TE Signalling event count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_backup_assign_err_event
                        
                        	Error on Backup Assign event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_event_unknown
                        
                        	RX Unknown events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_change_event
                        
                        	RX Path Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_create_event
                        
                        	RX Path Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_delete_event
                        
                        	RX Path Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_error_event
                        
                        	RX Path Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_reeval_query_event
                        
                        	RX Path Reeval Query event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_change_event
                        
                        	RX Resv Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_create_event
                        
                        	RX Resv Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_delete_event
                        
                        	RX Resv Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_error_event
                        
                        	RX Resv Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_backup_assign_event
                        
                        	Backup Assign event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_event_unknown
                        
                        	Unknown TX events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_change_event
                        
                        	TX Path Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_create_event
                        
                        	TX Path Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_delete_event
                        
                        	TX Path Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_error_event
                        
                        	TX Path Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_reeval_query_event
                        
                        	TX Path Reeval Query event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_change_event
                        
                        	TX Resv Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_create_event
                        
                        	TX Resv Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_delete_event
                        
                        	TX Resv Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_error_event
                        
                        	TX Resv Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.events_count = None
                            self.events_total_count = None
                            self.rx_backup_assign_err_event = None
                            self.rx_event_unknown = None
                            self.rx_path_change_event = None
                            self.rx_path_create_event = None
                            self.rx_path_delete_event = None
                            self.rx_path_error_event = None
                            self.rx_path_reeval_query_event = None
                            self.rx_resv_change_event = None
                            self.rx_resv_create_event = None
                            self.rx_resv_delete_event = None
                            self.rx_resv_error_event = None
                            self.tx_backup_assign_event = None
                            self.tx_event_unknown = None
                            self.tx_path_change_event = None
                            self.tx_path_create_event = None
                            self.tx_path_delete_event = None
                            self.tx_path_error_event = None
                            self.tx_path_reeval_query_event = None
                            self.tx_resv_change_event = None
                            self.tx_resv_create_event = None
                            self.tx_resv_delete_event = None
                            self.tx_resv_error_event = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.events_count is not None:
                                return True

                            if self.events_total_count is not None:
                                return True

                            if self.rx_backup_assign_err_event is not None:
                                return True

                            if self.rx_event_unknown is not None:
                                return True

                            if self.rx_path_change_event is not None:
                                return True

                            if self.rx_path_create_event is not None:
                                return True

                            if self.rx_path_delete_event is not None:
                                return True

                            if self.rx_path_error_event is not None:
                                return True

                            if self.rx_path_reeval_query_event is not None:
                                return True

                            if self.rx_resv_change_event is not None:
                                return True

                            if self.rx_resv_create_event is not None:
                                return True

                            if self.rx_resv_delete_event is not None:
                                return True

                            if self.rx_resv_error_event is not None:
                                return True

                            if self.tx_backup_assign_event is not None:
                                return True

                            if self.tx_event_unknown is not None:
                                return True

                            if self.tx_path_change_event is not None:
                                return True

                            if self.tx_path_create_event is not None:
                                return True

                            if self.tx_path_delete_event is not None:
                                return True

                            if self.tx_path_error_event is not None:
                                return True

                            if self.tx_path_reeval_query_event is not None:
                                return True

                            if self.tx_resv_change_event is not None:
                                return True

                            if self.tx_resv_create_event is not None:
                                return True

                            if self.tx_resv_delete_event is not None:
                                return True

                            if self.tx_resv_error_event is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic.Statistics']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-statistic'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.destination_address is not None:
                            return True

                        if self.statistics is not None and self.statistics._has_data():
                            return True

                        if self.sub_group_id is not None:
                            return True

                        if self.sub_group_originator is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic']['meta_info']

                @property
                def _common_path(self):
                    if self.ctype is None:
                        raise YPYModelError('Key property ctype is None')
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.extended_tunnel_id is None:
                        raise YPYModelError('Key property extended_tunnel_id is None')
                    if self.lsp_id is None:
                        raise YPYModelError('Key property lsp_id is None')
                    if self.p2mp_id is None:
                        raise YPYModelError('Key property p2mp_id is None')
                    if self.source_address is None:
                        raise YPYModelError('Key property source_address is None')
                    if self.sub_group_id is None:
                        raise YPYModelError('Key property sub_group_id is None')
                    if self.sub_group_originator is None:
                        raise YPYModelError('Key property sub_group_originator is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:remote-signalling-counters/Cisco-IOS-XR-mpls-te-oper:remote-signalling-counter[Cisco-IOS-XR-mpls-te-oper:ctype = ' + str(self.ctype) + '][Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:extended-tunnel-id = ' + str(self.extended_tunnel_id) + '][Cisco-IOS-XR-mpls-te-oper:lsp-id = ' + str(self.lsp_id) + '][Cisco-IOS-XR-mpls-te-oper:p2mp-id = ' + str(self.p2mp_id) + '][Cisco-IOS-XR-mpls-te-oper:source-address = ' + str(self.source_address) + '][Cisco-IOS-XR-mpls-te-oper:sub-group-id = ' + str(self.sub_group_id) + '][Cisco-IOS-XR-mpls-te-oper:sub-group-originator = ' + str(self.sub_group_originator) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ctype is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.p2mp_id is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.sub_group_id is not None:
                        return True

                    if self.sub_group_originator is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.s2l_statistic is not None:
                        for child_ref in self.s2l_statistic:
                            if child_ref._has_data():
                                return True

                    if self.statistics is not None and self.statistics._has_data():
                        return True

                    if self.tunnel_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:remote-signalling-counters'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.remote_signalling_counter is not None:
                    for child_ref in self.remote_signalling_counter:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.SignallingCounters.RemoteSignallingCounters']['meta_info']


        class TailsCounters(object):
            """
            MPLS TE counters signalling heads table
            
            .. attribute:: tails_counter
            
            	MPLS TE counters signalling mid
            	**type**\: list of    :py:class:`TailsCounter <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tails_counter = YList()
                self.tails_counter.parent = self
                self.tails_counter.name = 'tails_counter'


            class TailsCounter(object):
                """
                MPLS TE counters signalling mid
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id  <key>
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lsp_id  <key>
                
                	LSP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: source_address  <key>
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id  <key>
                
                	tunnel id of last obtained tunnel
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: s2l_statistic
                
                	List of S2L Statistics
                	**type**\: list of    :py:class:`S2LStatistic <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic>`
                
                .. attribute:: statistics
                
                	LSP statistics
                	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter.Statistics>`
                
                .. attribute:: tunnel_name
                
                	Tunnel Name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.lsp_id = None
                    self.source_address = None
                    self.tunnel_id = None
                    self.s2l_statistic = YList()
                    self.s2l_statistic.parent = self
                    self.s2l_statistic.name = 's2l_statistic'
                    self.statistics = MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter.Statistics()
                    self.statistics.parent = self
                    self.tunnel_name = None


                class Statistics(object):
                    """
                    LSP statistics
                    
                    .. attribute:: events_count
                    
                    	TE Signaling event count
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: events_total_count
                    
                    	Total TE Signalling event count
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_backup_assign_err_event
                    
                    	Error on Backup Assign event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_event_unknown
                    
                    	RX Unknown events
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_change_event
                    
                    	RX Path Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_create_event
                    
                    	RX Path Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_delete_event
                    
                    	RX Path Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_error_event
                    
                    	RX Path Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_path_reeval_query_event
                    
                    	RX Path Reeval Query event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_change_event
                    
                    	RX Resv Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_create_event
                    
                    	RX Resv Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_delete_event
                    
                    	RX Resv Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rx_resv_error_event
                    
                    	RX Resv Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_backup_assign_event
                    
                    	Backup Assign event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_event_unknown
                    
                    	Unknown TX events
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_change_event
                    
                    	TX Path Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_create_event
                    
                    	TX Path Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_delete_event
                    
                    	TX Path Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_error_event
                    
                    	TX Path Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_path_reeval_query_event
                    
                    	TX Path Reeval Query event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_change_event
                    
                    	TX Resv Change event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_create_event
                    
                    	TX Resv Create event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_delete_event
                    
                    	TX Resv Delete event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tx_resv_error_event
                    
                    	TX Resv Error event
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.events_count = None
                        self.events_total_count = None
                        self.rx_backup_assign_err_event = None
                        self.rx_event_unknown = None
                        self.rx_path_change_event = None
                        self.rx_path_create_event = None
                        self.rx_path_delete_event = None
                        self.rx_path_error_event = None
                        self.rx_path_reeval_query_event = None
                        self.rx_resv_change_event = None
                        self.rx_resv_create_event = None
                        self.rx_resv_delete_event = None
                        self.rx_resv_error_event = None
                        self.tx_backup_assign_event = None
                        self.tx_event_unknown = None
                        self.tx_path_change_event = None
                        self.tx_path_create_event = None
                        self.tx_path_delete_event = None
                        self.tx_path_error_event = None
                        self.tx_path_reeval_query_event = None
                        self.tx_resv_change_event = None
                        self.tx_resv_create_event = None
                        self.tx_resv_delete_event = None
                        self.tx_resv_error_event = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.events_count is not None:
                            return True

                        if self.events_total_count is not None:
                            return True

                        if self.rx_backup_assign_err_event is not None:
                            return True

                        if self.rx_event_unknown is not None:
                            return True

                        if self.rx_path_change_event is not None:
                            return True

                        if self.rx_path_create_event is not None:
                            return True

                        if self.rx_path_delete_event is not None:
                            return True

                        if self.rx_path_error_event is not None:
                            return True

                        if self.rx_path_reeval_query_event is not None:
                            return True

                        if self.rx_resv_change_event is not None:
                            return True

                        if self.rx_resv_create_event is not None:
                            return True

                        if self.rx_resv_delete_event is not None:
                            return True

                        if self.rx_resv_error_event is not None:
                            return True

                        if self.tx_backup_assign_event is not None:
                            return True

                        if self.tx_event_unknown is not None:
                            return True

                        if self.tx_path_change_event is not None:
                            return True

                        if self.tx_path_create_event is not None:
                            return True

                        if self.tx_path_delete_event is not None:
                            return True

                        if self.tx_path_error_event is not None:
                            return True

                        if self.tx_path_reeval_query_event is not None:
                            return True

                        if self.tx_resv_change_event is not None:
                            return True

                        if self.tx_resv_create_event is not None:
                            return True

                        if self.tx_resv_delete_event is not None:
                            return True

                        if self.tx_resv_error_event is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter.Statistics']['meta_info']


                class S2LStatistic(object):
                    """
                    List of S2L Statistics
                    
                    .. attribute:: destination_address
                    
                    	Destination address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: statistics
                    
                    	S2L stats
                    	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic.Statistics>`
                    
                    .. attribute:: sub_group_id
                    
                    	subgroup ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: sub_group_originator
                    
                    	Subgroup Originator
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.destination_address = None
                        self.statistics = MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic.Statistics()
                        self.statistics.parent = self
                        self.sub_group_id = None
                        self.sub_group_originator = None


                    class Statistics(object):
                        """
                        S2L stats
                        
                        .. attribute:: events_count
                        
                        	TE Signaling event count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: events_total_count
                        
                        	Total TE Signalling event count
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_backup_assign_err_event
                        
                        	Error on Backup Assign event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_event_unknown
                        
                        	RX Unknown events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_change_event
                        
                        	RX Path Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_create_event
                        
                        	RX Path Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_delete_event
                        
                        	RX Path Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_error_event
                        
                        	RX Path Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_path_reeval_query_event
                        
                        	RX Path Reeval Query event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_change_event
                        
                        	RX Resv Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_create_event
                        
                        	RX Resv Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_delete_event
                        
                        	RX Resv Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: rx_resv_error_event
                        
                        	RX Resv Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_backup_assign_event
                        
                        	Backup Assign event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_event_unknown
                        
                        	Unknown TX events
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_change_event
                        
                        	TX Path Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_create_event
                        
                        	TX Path Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_delete_event
                        
                        	TX Path Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_error_event
                        
                        	TX Path Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_path_reeval_query_event
                        
                        	TX Path Reeval Query event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_change_event
                        
                        	TX Resv Change event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_create_event
                        
                        	TX Resv Create event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_delete_event
                        
                        	TX Resv Delete event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tx_resv_error_event
                        
                        	TX Resv Error event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.events_count = None
                            self.events_total_count = None
                            self.rx_backup_assign_err_event = None
                            self.rx_event_unknown = None
                            self.rx_path_change_event = None
                            self.rx_path_create_event = None
                            self.rx_path_delete_event = None
                            self.rx_path_error_event = None
                            self.rx_path_reeval_query_event = None
                            self.rx_resv_change_event = None
                            self.rx_resv_create_event = None
                            self.rx_resv_delete_event = None
                            self.rx_resv_error_event = None
                            self.tx_backup_assign_event = None
                            self.tx_event_unknown = None
                            self.tx_path_change_event = None
                            self.tx_path_create_event = None
                            self.tx_path_delete_event = None
                            self.tx_path_error_event = None
                            self.tx_path_reeval_query_event = None
                            self.tx_resv_change_event = None
                            self.tx_resv_create_event = None
                            self.tx_resv_delete_event = None
                            self.tx_resv_error_event = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.events_count is not None:
                                return True

                            if self.events_total_count is not None:
                                return True

                            if self.rx_backup_assign_err_event is not None:
                                return True

                            if self.rx_event_unknown is not None:
                                return True

                            if self.rx_path_change_event is not None:
                                return True

                            if self.rx_path_create_event is not None:
                                return True

                            if self.rx_path_delete_event is not None:
                                return True

                            if self.rx_path_error_event is not None:
                                return True

                            if self.rx_path_reeval_query_event is not None:
                                return True

                            if self.rx_resv_change_event is not None:
                                return True

                            if self.rx_resv_create_event is not None:
                                return True

                            if self.rx_resv_delete_event is not None:
                                return True

                            if self.rx_resv_error_event is not None:
                                return True

                            if self.tx_backup_assign_event is not None:
                                return True

                            if self.tx_event_unknown is not None:
                                return True

                            if self.tx_path_change_event is not None:
                                return True

                            if self.tx_path_create_event is not None:
                                return True

                            if self.tx_path_delete_event is not None:
                                return True

                            if self.tx_path_error_event is not None:
                                return True

                            if self.tx_path_reeval_query_event is not None:
                                return True

                            if self.tx_resv_change_event is not None:
                                return True

                            if self.tx_resv_create_event is not None:
                                return True

                            if self.tx_resv_delete_event is not None:
                                return True

                            if self.tx_resv_error_event is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic.Statistics']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-statistic'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.destination_address is not None:
                            return True

                        if self.statistics is not None and self.statistics._has_data():
                            return True

                        if self.sub_group_id is not None:
                            return True

                        if self.sub_group_originator is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic']['meta_info']

                @property
                def _common_path(self):
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.extended_tunnel_id is None:
                        raise YPYModelError('Key property extended_tunnel_id is None')
                    if self.lsp_id is None:
                        raise YPYModelError('Key property lsp_id is None')
                    if self.source_address is None:
                        raise YPYModelError('Key property source_address is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:tails-counters/Cisco-IOS-XR-mpls-te-oper:tails-counter[Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:extended-tunnel-id = ' + str(self.extended_tunnel_id) + '][Cisco-IOS-XR-mpls-te-oper:lsp-id = ' + str(self.lsp_id) + '][Cisco-IOS-XR-mpls-te-oper:source-address = ' + str(self.source_address) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.s2l_statistic is not None:
                        for child_ref in self.s2l_statistic:
                            if child_ref._has_data():
                                return True

                    if self.statistics is not None and self.statistics._has_data():
                        return True

                    if self.tunnel_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:tails-counters'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tails_counter is not None:
                    for child_ref in self.tails_counter:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.SignallingCounters.TailsCounters']['meta_info']


        class Signallings(object):
            """
            TE counters
            
            .. attribute:: signalling
            
            	TE Sig
            	**type**\: list of    :py:class:`Signalling <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.Signallings.Signalling>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.signalling = YList()
                self.signalling.parent = self
                self.signalling.name = 'signalling'


            class Signalling(object):
                """
                TE Sig
                
                .. attribute:: ctype  <key>
                
                	Ctype
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id  <key>
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lsp_id  <key>
                
                	LSP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: p2mp_id  <key>
                
                	P2MP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: source_address  <key>
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: sub_group_id  <key>
                
                	Subgroup ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: sub_group_originator  <key>
                
                	Subgroup originator
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id  <key>
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: te_signalling_filter_data
                
                	TE Signaling Filter data
                	**type**\:   :py:class:`TeSignallingFilterData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ctype = None
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.lsp_id = None
                    self.p2mp_id = None
                    self.source_address = None
                    self.sub_group_id = None
                    self.sub_group_originator = None
                    self.tunnel_id = None
                    self.te_signalling_filter_data = MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData()
                    self.te_signalling_filter_data.parent = self


                class TeSignallingFilterData(object):
                    """
                    TE Signaling Filter data
                    
                    .. attribute:: statistics_filter
                    
                    	StatisticsFilter
                    	**type**\:   :py:class:`TeStatsSigFilterEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeStatsSigFilterEnum>`
                    
                    .. attribute:: te_signalling_filter_lsp
                    
                    	LSP data
                    	**type**\:   :py:class:`TeSignallingFilterLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp>`
                    
                    .. attribute:: te_signalling_filter_vif
                    
                    	VIF data
                    	**type**\:   :py:class:`TeSignallingFilterVif <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.statistics_filter = None
                        self.te_signalling_filter_lsp = MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp()
                        self.te_signalling_filter_lsp.parent = self
                        self.te_signalling_filter_vif = MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif()
                        self.te_signalling_filter_vif.parent = self


                    class TeSignallingFilterVif(object):
                        """
                        VIF data
                        
                        .. attribute:: destination_statistic
                        
                        	List of Destination Stats
                        	**type**\: list of    :py:class:`DestinationStatistic <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic>`
                        
                        .. attribute:: lsp_id
                        
                        	LSP ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: statistics
                        
                        	VIF stats
                        	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.Statistics>`
                        
                        .. attribute:: tunnel_name
                        
                        	Tunnel Name
                        	**type**\:  str
                        
                        .. attribute:: tunnel_sig_name
                        
                        	Tunnel Signalled\-Name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.destination_statistic = YList()
                            self.destination_statistic.parent = self
                            self.destination_statistic.name = 'destination_statistic'
                            self.lsp_id = None
                            self.statistics = MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.Statistics()
                            self.statistics.parent = self
                            self.tunnel_name = None
                            self.tunnel_sig_name = None


                        class Statistics(object):
                            """
                            VIF stats
                            
                            .. attribute:: events_count
                            
                            	TE Signaling event count
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: events_total_count
                            
                            	Total TE Signalling event count
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_backup_assign_err_event
                            
                            	Error on Backup Assign event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_event_unknown
                            
                            	RX Unknown events
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_change_event
                            
                            	RX Path Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_create_event
                            
                            	RX Path Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_delete_event
                            
                            	RX Path Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_error_event
                            
                            	RX Path Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_reeval_query_event
                            
                            	RX Path Reeval Query event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_change_event
                            
                            	RX Resv Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_create_event
                            
                            	RX Resv Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_delete_event
                            
                            	RX Resv Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_error_event
                            
                            	RX Resv Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_backup_assign_event
                            
                            	Backup Assign event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_event_unknown
                            
                            	Unknown TX events
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_change_event
                            
                            	TX Path Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_create_event
                            
                            	TX Path Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_delete_event
                            
                            	TX Path Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_error_event
                            
                            	TX Path Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_reeval_query_event
                            
                            	TX Path Reeval Query event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_change_event
                            
                            	TX Resv Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_create_event
                            
                            	TX Resv Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_delete_event
                            
                            	TX Resv Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_error_event
                            
                            	TX Resv Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.events_count = None
                                self.events_total_count = None
                                self.rx_backup_assign_err_event = None
                                self.rx_event_unknown = None
                                self.rx_path_change_event = None
                                self.rx_path_create_event = None
                                self.rx_path_delete_event = None
                                self.rx_path_error_event = None
                                self.rx_path_reeval_query_event = None
                                self.rx_resv_change_event = None
                                self.rx_resv_create_event = None
                                self.rx_resv_delete_event = None
                                self.rx_resv_error_event = None
                                self.tx_backup_assign_event = None
                                self.tx_event_unknown = None
                                self.tx_path_change_event = None
                                self.tx_path_create_event = None
                                self.tx_path_delete_event = None
                                self.tx_path_error_event = None
                                self.tx_path_reeval_query_event = None
                                self.tx_resv_change_event = None
                                self.tx_resv_create_event = None
                                self.tx_resv_delete_event = None
                                self.tx_resv_error_event = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.events_count is not None:
                                    return True

                                if self.events_total_count is not None:
                                    return True

                                if self.rx_backup_assign_err_event is not None:
                                    return True

                                if self.rx_event_unknown is not None:
                                    return True

                                if self.rx_path_change_event is not None:
                                    return True

                                if self.rx_path_create_event is not None:
                                    return True

                                if self.rx_path_delete_event is not None:
                                    return True

                                if self.rx_path_error_event is not None:
                                    return True

                                if self.rx_path_reeval_query_event is not None:
                                    return True

                                if self.rx_resv_change_event is not None:
                                    return True

                                if self.rx_resv_create_event is not None:
                                    return True

                                if self.rx_resv_delete_event is not None:
                                    return True

                                if self.rx_resv_error_event is not None:
                                    return True

                                if self.tx_backup_assign_event is not None:
                                    return True

                                if self.tx_event_unknown is not None:
                                    return True

                                if self.tx_path_change_event is not None:
                                    return True

                                if self.tx_path_create_event is not None:
                                    return True

                                if self.tx_path_delete_event is not None:
                                    return True

                                if self.tx_path_error_event is not None:
                                    return True

                                if self.tx_path_reeval_query_event is not None:
                                    return True

                                if self.tx_resv_change_event is not None:
                                    return True

                                if self.tx_resv_create_event is not None:
                                    return True

                                if self.tx_resv_delete_event is not None:
                                    return True

                                if self.tx_resv_error_event is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.Statistics']['meta_info']


                        class DestinationStatistic(object):
                            """
                            List of Destination Stats
                            
                            .. attribute:: destination_address
                            
                            	Destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_statistic
                            
                            	List of S2L Stats
                            	**type**\: list of    :py:class:`S2LStatistic <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic>`
                            
                            .. attribute:: statistics
                            
                            	Destination stats
                            	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.Statistics>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.destination_address = None
                                self.s2l_statistic = YList()
                                self.s2l_statistic.parent = self
                                self.s2l_statistic.name = 's2l_statistic'
                                self.statistics = MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.Statistics()
                                self.statistics.parent = self


                            class Statistics(object):
                                """
                                Destination stats
                                
                                .. attribute:: events_count
                                
                                	TE Signaling event count
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: events_total_count
                                
                                	Total TE Signalling event count
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_backup_assign_err_event
                                
                                	Error on Backup Assign event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_event_unknown
                                
                                	RX Unknown events
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_path_change_event
                                
                                	RX Path Change event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_path_create_event
                                
                                	RX Path Create event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_path_delete_event
                                
                                	RX Path Delete event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_path_error_event
                                
                                	RX Path Error event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_path_reeval_query_event
                                
                                	RX Path Reeval Query event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_resv_change_event
                                
                                	RX Resv Change event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_resv_create_event
                                
                                	RX Resv Create event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_resv_delete_event
                                
                                	RX Resv Delete event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_resv_error_event
                                
                                	RX Resv Error event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_backup_assign_event
                                
                                	Backup Assign event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_event_unknown
                                
                                	Unknown TX events
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_path_change_event
                                
                                	TX Path Change event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_path_create_event
                                
                                	TX Path Create event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_path_delete_event
                                
                                	TX Path Delete event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_path_error_event
                                
                                	TX Path Error event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_path_reeval_query_event
                                
                                	TX Path Reeval Query event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_resv_change_event
                                
                                	TX Resv Change event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_resv_create_event
                                
                                	TX Resv Create event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_resv_delete_event
                                
                                	TX Resv Delete event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_resv_error_event
                                
                                	TX Resv Error event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.events_count = None
                                    self.events_total_count = None
                                    self.rx_backup_assign_err_event = None
                                    self.rx_event_unknown = None
                                    self.rx_path_change_event = None
                                    self.rx_path_create_event = None
                                    self.rx_path_delete_event = None
                                    self.rx_path_error_event = None
                                    self.rx_path_reeval_query_event = None
                                    self.rx_resv_change_event = None
                                    self.rx_resv_create_event = None
                                    self.rx_resv_delete_event = None
                                    self.rx_resv_error_event = None
                                    self.tx_backup_assign_event = None
                                    self.tx_event_unknown = None
                                    self.tx_path_change_event = None
                                    self.tx_path_create_event = None
                                    self.tx_path_delete_event = None
                                    self.tx_path_error_event = None
                                    self.tx_path_reeval_query_event = None
                                    self.tx_resv_change_event = None
                                    self.tx_resv_create_event = None
                                    self.tx_resv_delete_event = None
                                    self.tx_resv_error_event = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.events_count is not None:
                                        return True

                                    if self.events_total_count is not None:
                                        return True

                                    if self.rx_backup_assign_err_event is not None:
                                        return True

                                    if self.rx_event_unknown is not None:
                                        return True

                                    if self.rx_path_change_event is not None:
                                        return True

                                    if self.rx_path_create_event is not None:
                                        return True

                                    if self.rx_path_delete_event is not None:
                                        return True

                                    if self.rx_path_error_event is not None:
                                        return True

                                    if self.rx_path_reeval_query_event is not None:
                                        return True

                                    if self.rx_resv_change_event is not None:
                                        return True

                                    if self.rx_resv_create_event is not None:
                                        return True

                                    if self.rx_resv_delete_event is not None:
                                        return True

                                    if self.rx_resv_error_event is not None:
                                        return True

                                    if self.tx_backup_assign_event is not None:
                                        return True

                                    if self.tx_event_unknown is not None:
                                        return True

                                    if self.tx_path_change_event is not None:
                                        return True

                                    if self.tx_path_create_event is not None:
                                        return True

                                    if self.tx_path_delete_event is not None:
                                        return True

                                    if self.tx_path_error_event is not None:
                                        return True

                                    if self.tx_path_reeval_query_event is not None:
                                        return True

                                    if self.tx_resv_change_event is not None:
                                        return True

                                    if self.tx_resv_create_event is not None:
                                        return True

                                    if self.tx_resv_delete_event is not None:
                                        return True

                                    if self.tx_resv_error_event is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.Statistics']['meta_info']


                            class S2LStatistic(object):
                                """
                                List of S2L Stats
                                
                                .. attribute:: destination_address
                                
                                	Destination address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: statistics
                                
                                	S2L stats
                                	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic.Statistics>`
                                
                                .. attribute:: sub_group_id
                                
                                	subgroup ID
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: sub_group_originator
                                
                                	Subgroup Originator
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.destination_address = None
                                    self.statistics = MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic.Statistics()
                                    self.statistics.parent = self
                                    self.sub_group_id = None
                                    self.sub_group_originator = None


                                class Statistics(object):
                                    """
                                    S2L stats
                                    
                                    .. attribute:: events_count
                                    
                                    	TE Signaling event count
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: events_total_count
                                    
                                    	Total TE Signalling event count
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: rx_backup_assign_err_event
                                    
                                    	Error on Backup Assign event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: rx_event_unknown
                                    
                                    	RX Unknown events
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: rx_path_change_event
                                    
                                    	RX Path Change event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: rx_path_create_event
                                    
                                    	RX Path Create event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: rx_path_delete_event
                                    
                                    	RX Path Delete event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: rx_path_error_event
                                    
                                    	RX Path Error event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: rx_path_reeval_query_event
                                    
                                    	RX Path Reeval Query event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: rx_resv_change_event
                                    
                                    	RX Resv Change event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: rx_resv_create_event
                                    
                                    	RX Resv Create event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: rx_resv_delete_event
                                    
                                    	RX Resv Delete event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: rx_resv_error_event
                                    
                                    	RX Resv Error event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tx_backup_assign_event
                                    
                                    	Backup Assign event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tx_event_unknown
                                    
                                    	Unknown TX events
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tx_path_change_event
                                    
                                    	TX Path Change event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tx_path_create_event
                                    
                                    	TX Path Create event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tx_path_delete_event
                                    
                                    	TX Path Delete event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tx_path_error_event
                                    
                                    	TX Path Error event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tx_path_reeval_query_event
                                    
                                    	TX Path Reeval Query event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tx_resv_change_event
                                    
                                    	TX Resv Change event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tx_resv_create_event
                                    
                                    	TX Resv Create event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tx_resv_delete_event
                                    
                                    	TX Resv Delete event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: tx_resv_error_event
                                    
                                    	TX Resv Error event
                                    	**type**\:  int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.events_count = None
                                        self.events_total_count = None
                                        self.rx_backup_assign_err_event = None
                                        self.rx_event_unknown = None
                                        self.rx_path_change_event = None
                                        self.rx_path_create_event = None
                                        self.rx_path_delete_event = None
                                        self.rx_path_error_event = None
                                        self.rx_path_reeval_query_event = None
                                        self.rx_resv_change_event = None
                                        self.rx_resv_create_event = None
                                        self.rx_resv_delete_event = None
                                        self.rx_resv_error_event = None
                                        self.tx_backup_assign_event = None
                                        self.tx_event_unknown = None
                                        self.tx_path_change_event = None
                                        self.tx_path_create_event = None
                                        self.tx_path_delete_event = None
                                        self.tx_path_error_event = None
                                        self.tx_path_reeval_query_event = None
                                        self.tx_resv_change_event = None
                                        self.tx_resv_create_event = None
                                        self.tx_resv_delete_event = None
                                        self.tx_resv_error_event = None

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.events_count is not None:
                                            return True

                                        if self.events_total_count is not None:
                                            return True

                                        if self.rx_backup_assign_err_event is not None:
                                            return True

                                        if self.rx_event_unknown is not None:
                                            return True

                                        if self.rx_path_change_event is not None:
                                            return True

                                        if self.rx_path_create_event is not None:
                                            return True

                                        if self.rx_path_delete_event is not None:
                                            return True

                                        if self.rx_path_error_event is not None:
                                            return True

                                        if self.rx_path_reeval_query_event is not None:
                                            return True

                                        if self.rx_resv_change_event is not None:
                                            return True

                                        if self.rx_resv_create_event is not None:
                                            return True

                                        if self.rx_resv_delete_event is not None:
                                            return True

                                        if self.rx_resv_error_event is not None:
                                            return True

                                        if self.tx_backup_assign_event is not None:
                                            return True

                                        if self.tx_event_unknown is not None:
                                            return True

                                        if self.tx_path_change_event is not None:
                                            return True

                                        if self.tx_path_create_event is not None:
                                            return True

                                        if self.tx_path_delete_event is not None:
                                            return True

                                        if self.tx_path_error_event is not None:
                                            return True

                                        if self.tx_path_reeval_query_event is not None:
                                            return True

                                        if self.tx_resv_change_event is not None:
                                            return True

                                        if self.tx_resv_create_event is not None:
                                            return True

                                        if self.tx_resv_delete_event is not None:
                                            return True

                                        if self.tx_resv_error_event is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic.Statistics']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-statistic'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.destination_address is not None:
                                        return True

                                    if self.statistics is not None and self.statistics._has_data():
                                        return True

                                    if self.sub_group_id is not None:
                                        return True

                                    if self.sub_group_originator is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:destination-statistic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.destination_address is not None:
                                    return True

                                if self.s2l_statistic is not None:
                                    for child_ref in self.s2l_statistic:
                                        if child_ref._has_data():
                                            return True

                                if self.statistics is not None and self.statistics._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-signalling-filter-vif'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.destination_statistic is not None:
                                for child_ref in self.destination_statistic:
                                    if child_ref._has_data():
                                        return True

                            if self.lsp_id is not None:
                                return True

                            if self.statistics is not None and self.statistics._has_data():
                                return True

                            if self.tunnel_name is not None:
                                return True

                            if self.tunnel_sig_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif']['meta_info']


                    class TeSignallingFilterLsp(object):
                        """
                        LSP data
                        
                        .. attribute:: s2l_statistic
                        
                        	List of S2L Statistics
                        	**type**\: list of    :py:class:`S2LStatistic <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic>`
                        
                        .. attribute:: statistics
                        
                        	LSP statistics
                        	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.Statistics>`
                        
                        .. attribute:: tunnel_name
                        
                        	Tunnel Name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.s2l_statistic = YList()
                            self.s2l_statistic.parent = self
                            self.s2l_statistic.name = 's2l_statistic'
                            self.statistics = MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.Statistics()
                            self.statistics.parent = self
                            self.tunnel_name = None


                        class Statistics(object):
                            """
                            LSP statistics
                            
                            .. attribute:: events_count
                            
                            	TE Signaling event count
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: events_total_count
                            
                            	Total TE Signalling event count
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_backup_assign_err_event
                            
                            	Error on Backup Assign event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_event_unknown
                            
                            	RX Unknown events
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_change_event
                            
                            	RX Path Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_create_event
                            
                            	RX Path Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_delete_event
                            
                            	RX Path Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_error_event
                            
                            	RX Path Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_path_reeval_query_event
                            
                            	RX Path Reeval Query event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_change_event
                            
                            	RX Resv Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_create_event
                            
                            	RX Resv Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_delete_event
                            
                            	RX Resv Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: rx_resv_error_event
                            
                            	RX Resv Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_backup_assign_event
                            
                            	Backup Assign event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_event_unknown
                            
                            	Unknown TX events
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_change_event
                            
                            	TX Path Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_create_event
                            
                            	TX Path Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_delete_event
                            
                            	TX Path Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_error_event
                            
                            	TX Path Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_path_reeval_query_event
                            
                            	TX Path Reeval Query event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_change_event
                            
                            	TX Resv Change event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_create_event
                            
                            	TX Resv Create event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_delete_event
                            
                            	TX Resv Delete event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tx_resv_error_event
                            
                            	TX Resv Error event
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.events_count = None
                                self.events_total_count = None
                                self.rx_backup_assign_err_event = None
                                self.rx_event_unknown = None
                                self.rx_path_change_event = None
                                self.rx_path_create_event = None
                                self.rx_path_delete_event = None
                                self.rx_path_error_event = None
                                self.rx_path_reeval_query_event = None
                                self.rx_resv_change_event = None
                                self.rx_resv_create_event = None
                                self.rx_resv_delete_event = None
                                self.rx_resv_error_event = None
                                self.tx_backup_assign_event = None
                                self.tx_event_unknown = None
                                self.tx_path_change_event = None
                                self.tx_path_create_event = None
                                self.tx_path_delete_event = None
                                self.tx_path_error_event = None
                                self.tx_path_reeval_query_event = None
                                self.tx_resv_change_event = None
                                self.tx_resv_create_event = None
                                self.tx_resv_delete_event = None
                                self.tx_resv_error_event = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.events_count is not None:
                                    return True

                                if self.events_total_count is not None:
                                    return True

                                if self.rx_backup_assign_err_event is not None:
                                    return True

                                if self.rx_event_unknown is not None:
                                    return True

                                if self.rx_path_change_event is not None:
                                    return True

                                if self.rx_path_create_event is not None:
                                    return True

                                if self.rx_path_delete_event is not None:
                                    return True

                                if self.rx_path_error_event is not None:
                                    return True

                                if self.rx_path_reeval_query_event is not None:
                                    return True

                                if self.rx_resv_change_event is not None:
                                    return True

                                if self.rx_resv_create_event is not None:
                                    return True

                                if self.rx_resv_delete_event is not None:
                                    return True

                                if self.rx_resv_error_event is not None:
                                    return True

                                if self.tx_backup_assign_event is not None:
                                    return True

                                if self.tx_event_unknown is not None:
                                    return True

                                if self.tx_path_change_event is not None:
                                    return True

                                if self.tx_path_create_event is not None:
                                    return True

                                if self.tx_path_delete_event is not None:
                                    return True

                                if self.tx_path_error_event is not None:
                                    return True

                                if self.tx_path_reeval_query_event is not None:
                                    return True

                                if self.tx_resv_change_event is not None:
                                    return True

                                if self.tx_resv_create_event is not None:
                                    return True

                                if self.tx_resv_delete_event is not None:
                                    return True

                                if self.tx_resv_error_event is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.Statistics']['meta_info']


                        class S2LStatistic(object):
                            """
                            List of S2L Statistics
                            
                            .. attribute:: destination_address
                            
                            	Destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: statistics
                            
                            	S2L stats
                            	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic.Statistics>`
                            
                            .. attribute:: sub_group_id
                            
                            	subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: sub_group_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.destination_address = None
                                self.statistics = MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic.Statistics()
                                self.statistics.parent = self
                                self.sub_group_id = None
                                self.sub_group_originator = None


                            class Statistics(object):
                                """
                                S2L stats
                                
                                .. attribute:: events_count
                                
                                	TE Signaling event count
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: events_total_count
                                
                                	Total TE Signalling event count
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_backup_assign_err_event
                                
                                	Error on Backup Assign event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_event_unknown
                                
                                	RX Unknown events
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_path_change_event
                                
                                	RX Path Change event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_path_create_event
                                
                                	RX Path Create event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_path_delete_event
                                
                                	RX Path Delete event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_path_error_event
                                
                                	RX Path Error event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_path_reeval_query_event
                                
                                	RX Path Reeval Query event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_resv_change_event
                                
                                	RX Resv Change event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_resv_create_event
                                
                                	RX Resv Create event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_resv_delete_event
                                
                                	RX Resv Delete event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: rx_resv_error_event
                                
                                	RX Resv Error event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_backup_assign_event
                                
                                	Backup Assign event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_event_unknown
                                
                                	Unknown TX events
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_path_change_event
                                
                                	TX Path Change event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_path_create_event
                                
                                	TX Path Create event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_path_delete_event
                                
                                	TX Path Delete event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_path_error_event
                                
                                	TX Path Error event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_path_reeval_query_event
                                
                                	TX Path Reeval Query event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_resv_change_event
                                
                                	TX Resv Change event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_resv_create_event
                                
                                	TX Resv Create event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_resv_delete_event
                                
                                	TX Resv Delete event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tx_resv_error_event
                                
                                	TX Resv Error event
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.events_count = None
                                    self.events_total_count = None
                                    self.rx_backup_assign_err_event = None
                                    self.rx_event_unknown = None
                                    self.rx_path_change_event = None
                                    self.rx_path_create_event = None
                                    self.rx_path_delete_event = None
                                    self.rx_path_error_event = None
                                    self.rx_path_reeval_query_event = None
                                    self.rx_resv_change_event = None
                                    self.rx_resv_create_event = None
                                    self.rx_resv_delete_event = None
                                    self.rx_resv_error_event = None
                                    self.tx_backup_assign_event = None
                                    self.tx_event_unknown = None
                                    self.tx_path_change_event = None
                                    self.tx_path_create_event = None
                                    self.tx_path_delete_event = None
                                    self.tx_path_error_event = None
                                    self.tx_path_reeval_query_event = None
                                    self.tx_resv_change_event = None
                                    self.tx_resv_create_event = None
                                    self.tx_resv_delete_event = None
                                    self.tx_resv_error_event = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:statistics'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.events_count is not None:
                                        return True

                                    if self.events_total_count is not None:
                                        return True

                                    if self.rx_backup_assign_err_event is not None:
                                        return True

                                    if self.rx_event_unknown is not None:
                                        return True

                                    if self.rx_path_change_event is not None:
                                        return True

                                    if self.rx_path_create_event is not None:
                                        return True

                                    if self.rx_path_delete_event is not None:
                                        return True

                                    if self.rx_path_error_event is not None:
                                        return True

                                    if self.rx_path_reeval_query_event is not None:
                                        return True

                                    if self.rx_resv_change_event is not None:
                                        return True

                                    if self.rx_resv_create_event is not None:
                                        return True

                                    if self.rx_resv_delete_event is not None:
                                        return True

                                    if self.rx_resv_error_event is not None:
                                        return True

                                    if self.tx_backup_assign_event is not None:
                                        return True

                                    if self.tx_event_unknown is not None:
                                        return True

                                    if self.tx_path_change_event is not None:
                                        return True

                                    if self.tx_path_create_event is not None:
                                        return True

                                    if self.tx_path_delete_event is not None:
                                        return True

                                    if self.tx_path_error_event is not None:
                                        return True

                                    if self.tx_path_reeval_query_event is not None:
                                        return True

                                    if self.tx_resv_change_event is not None:
                                        return True

                                    if self.tx_resv_create_event is not None:
                                        return True

                                    if self.tx_resv_delete_event is not None:
                                        return True

                                    if self.tx_resv_error_event is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic.Statistics']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-statistic'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.destination_address is not None:
                                    return True

                                if self.statistics is not None and self.statistics._has_data():
                                    return True

                                if self.sub_group_id is not None:
                                    return True

                                if self.sub_group_originator is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-signalling-filter-lsp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.s2l_statistic is not None:
                                for child_ref in self.s2l_statistic:
                                    if child_ref._has_data():
                                        return True

                            if self.statistics is not None and self.statistics._has_data():
                                return True

                            if self.tunnel_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:te-signalling-filter-data'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.statistics_filter is not None:
                            return True

                        if self.te_signalling_filter_lsp is not None and self.te_signalling_filter_lsp._has_data():
                            return True

                        if self.te_signalling_filter_vif is not None and self.te_signalling_filter_vif._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData']['meta_info']

                @property
                def _common_path(self):
                    if self.ctype is None:
                        raise YPYModelError('Key property ctype is None')
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.extended_tunnel_id is None:
                        raise YPYModelError('Key property extended_tunnel_id is None')
                    if self.lsp_id is None:
                        raise YPYModelError('Key property lsp_id is None')
                    if self.p2mp_id is None:
                        raise YPYModelError('Key property p2mp_id is None')
                    if self.source_address is None:
                        raise YPYModelError('Key property source_address is None')
                    if self.sub_group_id is None:
                        raise YPYModelError('Key property sub_group_id is None')
                    if self.sub_group_originator is None:
                        raise YPYModelError('Key property sub_group_originator is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:signallings/Cisco-IOS-XR-mpls-te-oper:signalling[Cisco-IOS-XR-mpls-te-oper:ctype = ' + str(self.ctype) + '][Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:extended-tunnel-id = ' + str(self.extended_tunnel_id) + '][Cisco-IOS-XR-mpls-te-oper:lsp-id = ' + str(self.lsp_id) + '][Cisco-IOS-XR-mpls-te-oper:p2mp-id = ' + str(self.p2mp_id) + '][Cisco-IOS-XR-mpls-te-oper:source-address = ' + str(self.source_address) + '][Cisco-IOS-XR-mpls-te-oper:sub-group-id = ' + str(self.sub_group_id) + '][Cisco-IOS-XR-mpls-te-oper:sub-group-originator = ' + str(self.sub_group_originator) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ctype is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.p2mp_id is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.sub_group_id is not None:
                        return True

                    if self.sub_group_originator is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.te_signalling_filter_data is not None and self.te_signalling_filter_data._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:signallings'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.signalling is not None:
                    for child_ref in self.signalling:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.SignallingCounters.Signallings']['meta_info']


        class SignallingSummary(object):
            """
            Send\-Recv count summary for TE Signaling
            
            .. attribute:: events_count
            
            	TE Signaling event count
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: events_total_count
            
            	Total TE Signalling event count
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rx_backup_assign_err_event
            
            	Error on Backup Assign event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rx_event_unknown
            
            	RX Unknown events
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rx_path_change_event
            
            	RX Path Change event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rx_path_create_event
            
            	RX Path Create event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rx_path_delete_event
            
            	RX Path Delete event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rx_path_error_event
            
            	RX Path Error event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rx_path_reeval_query_event
            
            	RX Path Reeval Query event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rx_resv_change_event
            
            	RX Resv Change event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rx_resv_create_event
            
            	RX Resv Create event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rx_resv_delete_event
            
            	RX Resv Delete event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rx_resv_error_event
            
            	RX Resv Error event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: tx_backup_assign_event
            
            	Backup Assign event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: tx_event_unknown
            
            	Unknown TX events
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: tx_path_change_event
            
            	TX Path Change event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: tx_path_create_event
            
            	TX Path Create event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: tx_path_delete_event
            
            	TX Path Delete event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: tx_path_error_event
            
            	TX Path Error event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: tx_path_reeval_query_event
            
            	TX Path Reeval Query event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: tx_resv_change_event
            
            	TX Resv Change event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: tx_resv_create_event
            
            	TX Resv Create event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: tx_resv_delete_event
            
            	TX Resv Delete event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: tx_resv_error_event
            
            	TX Resv Error event
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.events_count = None
                self.events_total_count = None
                self.rx_backup_assign_err_event = None
                self.rx_event_unknown = None
                self.rx_path_change_event = None
                self.rx_path_create_event = None
                self.rx_path_delete_event = None
                self.rx_path_error_event = None
                self.rx_path_reeval_query_event = None
                self.rx_resv_change_event = None
                self.rx_resv_create_event = None
                self.rx_resv_delete_event = None
                self.rx_resv_error_event = None
                self.tx_backup_assign_event = None
                self.tx_event_unknown = None
                self.tx_path_change_event = None
                self.tx_path_create_event = None
                self.tx_path_delete_event = None
                self.tx_path_error_event = None
                self.tx_path_reeval_query_event = None
                self.tx_resv_change_event = None
                self.tx_resv_create_event = None
                self.tx_resv_delete_event = None
                self.tx_resv_error_event = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:signalling-counters/Cisco-IOS-XR-mpls-te-oper:signalling-summary'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.events_count is not None:
                    return True

                if self.events_total_count is not None:
                    return True

                if self.rx_backup_assign_err_event is not None:
                    return True

                if self.rx_event_unknown is not None:
                    return True

                if self.rx_path_change_event is not None:
                    return True

                if self.rx_path_create_event is not None:
                    return True

                if self.rx_path_delete_event is not None:
                    return True

                if self.rx_path_error_event is not None:
                    return True

                if self.rx_path_reeval_query_event is not None:
                    return True

                if self.rx_resv_change_event is not None:
                    return True

                if self.rx_resv_create_event is not None:
                    return True

                if self.rx_resv_delete_event is not None:
                    return True

                if self.rx_resv_error_event is not None:
                    return True

                if self.tx_backup_assign_event is not None:
                    return True

                if self.tx_event_unknown is not None:
                    return True

                if self.tx_path_change_event is not None:
                    return True

                if self.tx_path_create_event is not None:
                    return True

                if self.tx_path_delete_event is not None:
                    return True

                if self.tx_path_error_event is not None:
                    return True

                if self.tx_path_reeval_query_event is not None:
                    return True

                if self.tx_resv_change_event is not None:
                    return True

                if self.tx_resv_create_event is not None:
                    return True

                if self.tx_resv_delete_event is not None:
                    return True

                if self.tx_resv_error_event is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.SignallingCounters.SignallingSummary']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:signalling-counters'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.head_signalling_counters is not None and self.head_signalling_counters._has_data():
                return True

            if self.heads_counters is not None and self.heads_counters._has_data():
                return True

            if self.issu is not None and self.issu._has_data():
                return True

            if self.mids_counters is not None and self.mids_counters._has_data():
                return True

            if self.remote_signalling_counters is not None and self.remote_signalling_counters._has_data():
                return True

            if self.signalling_summary is not None and self.signalling_summary._has_data():
                return True

            if self.signallings is not None and self.signallings._has_data():
                return True

            if self.tails_counters is not None and self.tails_counters._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.SignallingCounters']['meta_info']


    class DiffServTeClasses(object):
        """
        The configured Diff Serv TE classes
        
        .. attribute:: te_class
        
        	te class
        	**type**\: list of    :py:class:`TeClass <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.DiffServTeClasses.TeClass>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.te_class = YList()
            self.te_class.parent = self
            self.te_class.name = 'te_class'


        class TeClass(object):
            """
            te class
            
            .. attribute:: class_number
            
            	The DS\-TE class number from 0 to 7
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: class_status
            
            	The status of the TE class
            	**type**\:   :py:class:`MplsTeDsteClassStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeDsteClassStatusEnum>`
            
            .. attribute:: class_type
            
            	The class type of the TE class
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: priority
            
            	The priority of the TE class
            	**type**\:  int
            
            	**range:** 0..255
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.class_number = None
                self.class_status = None
                self.class_type = None
                self.priority = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:diff-serv-te-classes/Cisco-IOS-XR-mpls-te-oper:te-class'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.class_number is not None:
                    return True

                if self.class_status is not None:
                    return True

                if self.class_type is not None:
                    return True

                if self.priority is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.DiffServTeClasses.TeClass']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:diff-serv-te-classes'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.te_class is not None:
                for child_ref in self.te_class:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.DiffServTeClasses']['meta_info']


    class Issu(object):
        """
        MPLS TE ISSU information
        
        .. attribute:: detail
        
        	MPLS TE ISSU Status information
        	**type**\:   :py:class:`Detail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Detail>`
        
        .. attribute:: status
        
        	MPLS TE ISSU Status information
        	**type**\:   :py:class:`Status <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Status>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.detail = MplsTeStandby.Issu.Detail()
            self.detail.parent = self
            self.status = MplsTeStandby.Issu.Status()
            self.status.parent = self


        class Status(object):
            """
            MPLS TE ISSU Status information
            
            .. attribute:: role
            
            	Process role
            	**type**\:   :py:class:`TeProcRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProcRoleEnum>`
            
            .. attribute:: sync_status_information
            
            	Sync information for the NSR and ISSU
            	**type**\:   :py:class:`SyncStatusInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Status.SyncStatusInformation>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.role = None
                self.sync_status_information = MplsTeStandby.Issu.Status.SyncStatusInformation()
                self.sync_status_information.parent = self


            class SyncStatusInformation(object):
                """
                Sync information for the NSR and ISSU
                
                .. attribute:: master_sync_information
                
                	Master sync information
                	**type**\:   :py:class:`MasterSyncInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation>`
                
                .. attribute:: slave_sync_information
                
                	Slave sync information
                	**type**\:   :py:class:`SlaveSyncInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation>`
                
                .. attribute:: sync_show_type
                
                	SyncShowType
                	**type**\:   :py:class:`TeSyncStatusShowEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncStatusShowEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.master_sync_information = MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation()
                    self.master_sync_information.parent = self
                    self.slave_sync_information = MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation()
                    self.slave_sync_information.parent = self
                    self.sync_show_type = None


                class SlaveSyncInformation(object):
                    """
                    Slave sync information
                    
                    .. attribute:: idt
                    
                    	Sync status IDT information
                    	**type**\:   :py:class:`Idt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt>`
                    
                    .. attribute:: insync_sub_ls_ps
                    
                    	Sub\-LSPs in sync
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: insync_tunnels
                    
                    	Tunnels in sync
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pending_sub_ls_ps
                    
                    	Sub\-LSPs in sync pending
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pending_tunnels
                    
                    	Tunnels in sync pending
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l_pending
                    
                    	Pending sub\-LSPs details
                    	**type**\: list of    :py:class:`S2LPending <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending>`
                    
                    .. attribute:: vif_pending
                    
                    	Pending tunnels details
                    	**type**\: list of    :py:class:`VifPending <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.VifPending>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.idt = MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt()
                        self.idt.parent = self
                        self.insync_sub_ls_ps = None
                        self.insync_tunnels = None
                        self.pending_sub_ls_ps = None
                        self.pending_tunnels = None
                        self.s2l_pending = YList()
                        self.s2l_pending.parent = self
                        self.s2l_pending.name = 's2l_pending'
                        self.vif_pending = YList()
                        self.vif_pending.parent = self
                        self.vif_pending.name = 'vif_pending'


                    class Idt(object):
                        """
                        Sync status IDT information
                        
                        .. attribute:: current_idt_info
                        
                        	Current IDT information
                        	**type**\:   :py:class:`CurrentIdtInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo>`
                        
                        .. attribute:: previous_idt_status
                        
                        	Previous IDT information
                        	**type**\:   :py:class:`PreviousIdtStatus <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.current_idt_info = MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo()
                            self.current_idt_info.parent = self
                            self.previous_idt_status = MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus()
                            self.previous_idt_status.parent = self


                        class CurrentIdtInfo(object):
                            """
                            Current IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:current-idt-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo']['meta_info']


                        class PreviousIdtStatus(object):
                            """
                            Previous IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:previous-idt-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.current_idt_info is not None and self.current_idt_info._has_data():
                                return True

                            if self.previous_idt_status is not None and self.previous_idt_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']


                    class VifPending(object):
                        """
                        Pending tunnels details
                        
                        .. attribute:: pending_reason
                        
                        	Pending reason
                        	**type**\:   :py:class:`TeSyncPendingReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncPendingReasonEnum>`
                        
                        .. attribute:: tunnel_name
                        
                        	Tunnel name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.pending_reason = None
                            self.tunnel_name = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:vif-pending'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.pending_reason is not None:
                                return True

                            if self.tunnel_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.VifPending']['meta_info']


                    class S2LPending(object):
                        """
                        Pending sub\-LSPs details
                        
                        .. attribute:: pending_reason
                        
                        	Pending reason
                        	**type**\:   :py:class:`TeSyncPendingReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncPendingReasonEnum>`
                        
                        .. attribute:: s2l_role
                        
                        	S2L role
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: signaled_name
                        
                        	Signaled name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.pending_reason = None
                            self.s2l_role = None
                            self.signaled_name = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:s2l-pending'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.pending_reason is not None:
                                return True

                            if self.s2l_role is not None:
                                return True

                            if self.signaled_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.idt is not None and self.idt._has_data():
                            return True

                        if self.insync_sub_ls_ps is not None:
                            return True

                        if self.insync_tunnels is not None:
                            return True

                        if self.pending_sub_ls_ps is not None:
                            return True

                        if self.pending_tunnels is not None:
                            return True

                        if self.s2l_pending is not None:
                            for child_ref in self.s2l_pending:
                                if child_ref._has_data():
                                    return True

                        if self.vif_pending is not None:
                            for child_ref in self.vif_pending:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation']['meta_info']


                class MasterSyncInformation(object):
                    """
                    Master sync information
                    
                    .. attribute:: idt
                    
                    	Sync status IDT information
                    	**type**\:   :py:class:`Idt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.idt = MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt()
                        self.idt.parent = self


                    class Idt(object):
                        """
                        Sync status IDT information
                        
                        .. attribute:: current_idt_info
                        
                        	Current IDT information
                        	**type**\:   :py:class:`CurrentIdtInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo>`
                        
                        .. attribute:: previous_idt_status
                        
                        	Previous IDT information
                        	**type**\:   :py:class:`PreviousIdtStatus <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.current_idt_info = MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo()
                            self.current_idt_info.parent = self
                            self.previous_idt_status = MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus()
                            self.previous_idt_status.parent = self


                        class CurrentIdtInfo(object):
                            """
                            Current IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:current-idt-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo']['meta_info']


                        class PreviousIdtStatus(object):
                            """
                            Previous IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:previous-idt-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.current_idt_info is not None and self.current_idt_info._has_data():
                                return True

                            if self.previous_idt_status is not None and self.previous_idt_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.idt is not None and self.idt._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.master_sync_information is not None and self.master_sync_information._has_data():
                        return True

                    if self.slave_sync_information is not None and self.slave_sync_information._has_data():
                        return True

                    if self.sync_show_type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:status'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.role is not None:
                    return True

                if self.sync_status_information is not None and self.sync_status_information._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.Issu.Status']['meta_info']


        class Detail(object):
            """
            MPLS TE ISSU Status information
            
            .. attribute:: role
            
            	Process role
            	**type**\:   :py:class:`TeProcRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProcRoleEnum>`
            
            .. attribute:: sync_status_information
            
            	Sync information for the NSR and ISSU
            	**type**\:   :py:class:`SyncStatusInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Detail.SyncStatusInformation>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.role = None
                self.sync_status_information = MplsTeStandby.Issu.Detail.SyncStatusInformation()
                self.sync_status_information.parent = self


            class SyncStatusInformation(object):
                """
                Sync information for the NSR and ISSU
                
                .. attribute:: master_sync_information
                
                	Master sync information
                	**type**\:   :py:class:`MasterSyncInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation>`
                
                .. attribute:: slave_sync_information
                
                	Slave sync information
                	**type**\:   :py:class:`SlaveSyncInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation>`
                
                .. attribute:: sync_show_type
                
                	SyncShowType
                	**type**\:   :py:class:`TeSyncStatusShowEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncStatusShowEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.master_sync_information = MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation()
                    self.master_sync_information.parent = self
                    self.slave_sync_information = MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation()
                    self.slave_sync_information.parent = self
                    self.sync_show_type = None


                class SlaveSyncInformation(object):
                    """
                    Slave sync information
                    
                    .. attribute:: idt
                    
                    	Sync status IDT information
                    	**type**\:   :py:class:`Idt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt>`
                    
                    .. attribute:: insync_sub_ls_ps
                    
                    	Sub\-LSPs in sync
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: insync_tunnels
                    
                    	Tunnels in sync
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pending_sub_ls_ps
                    
                    	Sub\-LSPs in sync pending
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pending_tunnels
                    
                    	Tunnels in sync pending
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l_pending
                    
                    	Pending sub\-LSPs details
                    	**type**\: list of    :py:class:`S2LPending <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending>`
                    
                    .. attribute:: vif_pending
                    
                    	Pending tunnels details
                    	**type**\: list of    :py:class:`VifPending <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.idt = MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt()
                        self.idt.parent = self
                        self.insync_sub_ls_ps = None
                        self.insync_tunnels = None
                        self.pending_sub_ls_ps = None
                        self.pending_tunnels = None
                        self.s2l_pending = YList()
                        self.s2l_pending.parent = self
                        self.s2l_pending.name = 's2l_pending'
                        self.vif_pending = YList()
                        self.vif_pending.parent = self
                        self.vif_pending.name = 'vif_pending'


                    class Idt(object):
                        """
                        Sync status IDT information
                        
                        .. attribute:: current_idt_info
                        
                        	Current IDT information
                        	**type**\:   :py:class:`CurrentIdtInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo>`
                        
                        .. attribute:: previous_idt_status
                        
                        	Previous IDT information
                        	**type**\:   :py:class:`PreviousIdtStatus <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.current_idt_info = MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo()
                            self.current_idt_info.parent = self
                            self.previous_idt_status = MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus()
                            self.previous_idt_status.parent = self


                        class CurrentIdtInfo(object):
                            """
                            Current IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:current-idt-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo']['meta_info']


                        class PreviousIdtStatus(object):
                            """
                            Previous IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:previous-idt-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.current_idt_info is not None and self.current_idt_info._has_data():
                                return True

                            if self.previous_idt_status is not None and self.previous_idt_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']


                    class VifPending(object):
                        """
                        Pending tunnels details
                        
                        .. attribute:: pending_reason
                        
                        	Pending reason
                        	**type**\:   :py:class:`TeSyncPendingReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncPendingReasonEnum>`
                        
                        .. attribute:: tunnel_name
                        
                        	Tunnel name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.pending_reason = None
                            self.tunnel_name = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:vif-pending'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.pending_reason is not None:
                                return True

                            if self.tunnel_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending']['meta_info']


                    class S2LPending(object):
                        """
                        Pending sub\-LSPs details
                        
                        .. attribute:: pending_reason
                        
                        	Pending reason
                        	**type**\:   :py:class:`TeSyncPendingReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncPendingReasonEnum>`
                        
                        .. attribute:: s2l_role
                        
                        	S2L role
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: signaled_name
                        
                        	Signaled name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.pending_reason = None
                            self.s2l_role = None
                            self.signaled_name = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:s2l-pending'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.pending_reason is not None:
                                return True

                            if self.s2l_role is not None:
                                return True

                            if self.signaled_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.idt is not None and self.idt._has_data():
                            return True

                        if self.insync_sub_ls_ps is not None:
                            return True

                        if self.insync_tunnels is not None:
                            return True

                        if self.pending_sub_ls_ps is not None:
                            return True

                        if self.pending_tunnels is not None:
                            return True

                        if self.s2l_pending is not None:
                            for child_ref in self.s2l_pending:
                                if child_ref._has_data():
                                    return True

                        if self.vif_pending is not None:
                            for child_ref in self.vif_pending:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation']['meta_info']


                class MasterSyncInformation(object):
                    """
                    Master sync information
                    
                    .. attribute:: idt
                    
                    	Sync status IDT information
                    	**type**\:   :py:class:`Idt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.idt = MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt()
                        self.idt.parent = self


                    class Idt(object):
                        """
                        Sync status IDT information
                        
                        .. attribute:: current_idt_info
                        
                        	Current IDT information
                        	**type**\:   :py:class:`CurrentIdtInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo>`
                        
                        .. attribute:: previous_idt_status
                        
                        	Previous IDT information
                        	**type**\:   :py:class:`PreviousIdtStatus <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.current_idt_info = MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo()
                            self.current_idt_info.parent = self
                            self.previous_idt_status = MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus()
                            self.previous_idt_status.parent = self


                        class CurrentIdtInfo(object):
                            """
                            Current IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:current-idt-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo']['meta_info']


                        class PreviousIdtStatus(object):
                            """
                            Previous IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:previous-idt-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.current_idt_info is not None and self.current_idt_info._has_data():
                                return True

                            if self.previous_idt_status is not None and self.previous_idt_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.idt is not None and self.idt._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.master_sync_information is not None and self.master_sync_information._has_data():
                        return True

                    if self.slave_sync_information is not None and self.slave_sync_information._has_data():
                        return True

                    if self.sync_show_type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu/Cisco-IOS-XR-mpls-te-oper:detail'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.role is not None:
                    return True

                if self.sync_status_information is not None and self.sync_status_information._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.Issu.Detail']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:issu'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.detail is not None and self.detail._has_data():
                return True

            if self.status is not None and self.status._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.Issu']['meta_info']


    class FastReroute(object):
        """
        Represent all the fastreroute info in MPLS\-TE
        
        .. attribute:: backup_tunnels
        
        	The set of fastreroute backup tunnels available in MPLS\-TE
        	**type**\:   :py:class:`BackupTunnels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.FastReroute.BackupTunnels>`
        
        .. attribute:: promotion
        
        	The info about the promotion timer of backup tunnels
        	**type**\:   :py:class:`Promotion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.FastReroute.Promotion>`
        
        .. attribute:: protected_interfaces
        
        	The set of fastreroute protected interfaces available in MPLS\-TE
        	**type**\:   :py:class:`ProtectedInterfaces <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.FastReroute.ProtectedInterfaces>`
        
        .. attribute:: protections
        
        	The set of fastreroute protected interfaces available in MPLS\-TE
        	**type**\:   :py:class:`Protections <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.FastReroute.Protections>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.backup_tunnels = MplsTeStandby.FastReroute.BackupTunnels()
            self.backup_tunnels.parent = self
            self.promotion = MplsTeStandby.FastReroute.Promotion()
            self.promotion.parent = self
            self.protected_interfaces = MplsTeStandby.FastReroute.ProtectedInterfaces()
            self.protected_interfaces.parent = self
            self.protections = MplsTeStandby.FastReroute.Protections()
            self.protections.parent = self


        class BackupTunnels(object):
            """
            The set of fastreroute backup tunnels available
            in MPLS\-TE
            
            .. attribute:: backup_tunnel
            
            	Fastreroute info for a given backup tunnel
            	**type**\: list of    :py:class:`BackupTunnel <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.FastReroute.BackupTunnels.BackupTunnel>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.backup_tunnel = YList()
                self.backup_tunnel.parent = self
                self.backup_tunnel.name = 'backup_tunnel'


            class BackupTunnel(object):
                """
                Fastreroute info for a given backup tunnel
                
                .. attribute:: interface_name  <key>
                
                	Protected interface name
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: tunnel_name  <key>
                
                	Backup tunnel name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: backup_status
                
                	Backup state
                	**type**\:   :py:class:`MplsTeBackupStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBackupStatusEnum>`
                
                .. attribute:: backup_tunnel_id
                
                	Backup tunnel ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: backup_tunnel_name_xr
                
                	Backup tunnel name
                	**type**\:  str
                
                .. attribute:: backup_type
                
                	Backup type
                	**type**\:   :py:class:`MplsTeBackupEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBackupEnum>`
                
                .. attribute:: backup_usage
                
                	Backup usage
                	**type**\:   :py:class:`MplsTeBackupUsageEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBackupUsageEnum>`
                
                .. attribute:: bandwidth
                
                	Bandwidth (kbps)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: kbit/s
                
                .. attribute:: bandwidth_limit_type
                
                	Bandwidth limit type
                	**type**\:   :py:class:`MplsTeBwLimitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwLimitEnum>`
                
                .. attribute:: bandwidth_pool_type
                
                	Bandwidth pool type
                	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                
                .. attribute:: connection_status
                
                	Backup's connection's status
                	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                
                .. attribute:: destination_address
                
                	Backup's destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: frr_active_ls_ps
                
                	Number of LSPs in FRR active state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: frr_active_soft_preempted_ls_ps
                
                	Number of soft preempted LSPs routed over backup
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: general_status
                
                	Backup's general status
                	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                
                .. attribute:: has_attribute_set
                
                	TRUE if the auto\-backup has an attribute set defined
                	**type**\:  bool
                
                .. attribute:: in_use_bandwidth
                
                	Bandwidth currently in use (kbps)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: kbit/s
                
                .. attribute:: is_attribute_set_in_db
                
                	Flag to indicate the existence of attribute set found in database
                	**type**\:  bool
                
                .. attribute:: ls_ps
                
                	Number of LSPs
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: output_interface_name
                
                	The output intf of the tunnel
                	**type**\:  str
                
                .. attribute:: prot_interface_autobackup_config
                
                	Protected interface Autobackup config
                	**type**\:   :py:class:`AutoBackupProtectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AutoBackupProtectionEnum>`
                
                .. attribute:: prot_interface_srlg_config
                
                	Protected interface SRLG config
                	**type**\:   :py:class:`AutoBackupSrlgModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AutoBackupSrlgModeEnum>`
                
                .. attribute:: recreate_remaining_time
                
                	Time Remaining in Recreate Timer (seconds)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: recreate_timer_is_running
                
                	Indicates if the recreate timer is running
                	**type**\:  bool
                
                .. attribute:: s2_ls
                
                	Number of P2MP S2Ls
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: s2l_families
                
                	Number of S2L Families
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: soft_preempted_in_use_bandwidth
                
                	Bandwidth soft preempted and rerouted over the backup(kbps)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: kbit/s
                
                .. attribute:: source_address
                
                	Backup's source
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_attribute_set_name
                
                	Attribute Set Name
                	**type**\:  str
                
                .. attribute:: tunnel_instance
                
                	Tunnel instance
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.interface_name = None
                    self.tunnel_name = None
                    self.backup_status = None
                    self.backup_tunnel_id = None
                    self.backup_tunnel_name_xr = None
                    self.backup_type = None
                    self.backup_usage = None
                    self.bandwidth = None
                    self.bandwidth_limit_type = None
                    self.bandwidth_pool_type = None
                    self.connection_status = None
                    self.destination_address = None
                    self.frr_active_ls_ps = None
                    self.frr_active_soft_preempted_ls_ps = None
                    self.general_status = None
                    self.has_attribute_set = None
                    self.in_use_bandwidth = None
                    self.is_attribute_set_in_db = None
                    self.ls_ps = None
                    self.output_interface_name = None
                    self.prot_interface_autobackup_config = None
                    self.prot_interface_srlg_config = None
                    self.recreate_remaining_time = None
                    self.recreate_timer_is_running = None
                    self.s2_ls = None
                    self.s2l_families = None
                    self.soft_preempted_in_use_bandwidth = None
                    self.source_address = None
                    self.tunnel_attribute_set_name = None
                    self.tunnel_instance = None

                @property
                def _common_path(self):
                    if self.interface_name is None:
                        raise YPYModelError('Key property interface_name is None')
                    if self.tunnel_name is None:
                        raise YPYModelError('Key property tunnel_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:fast-reroute/Cisco-IOS-XR-mpls-te-oper:backup-tunnels/Cisco-IOS-XR-mpls-te-oper:backup-tunnel[Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-name = ' + str(self.tunnel_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.interface_name is not None:
                        return True

                    if self.tunnel_name is not None:
                        return True

                    if self.backup_status is not None:
                        return True

                    if self.backup_tunnel_id is not None:
                        return True

                    if self.backup_tunnel_name_xr is not None:
                        return True

                    if self.backup_type is not None:
                        return True

                    if self.backup_usage is not None:
                        return True

                    if self.bandwidth is not None:
                        return True

                    if self.bandwidth_limit_type is not None:
                        return True

                    if self.bandwidth_pool_type is not None:
                        return True

                    if self.connection_status is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.frr_active_ls_ps is not None:
                        return True

                    if self.frr_active_soft_preempted_ls_ps is not None:
                        return True

                    if self.general_status is not None:
                        return True

                    if self.has_attribute_set is not None:
                        return True

                    if self.in_use_bandwidth is not None:
                        return True

                    if self.is_attribute_set_in_db is not None:
                        return True

                    if self.ls_ps is not None:
                        return True

                    if self.output_interface_name is not None:
                        return True

                    if self.prot_interface_autobackup_config is not None:
                        return True

                    if self.prot_interface_srlg_config is not None:
                        return True

                    if self.recreate_remaining_time is not None:
                        return True

                    if self.recreate_timer_is_running is not None:
                        return True

                    if self.s2_ls is not None:
                        return True

                    if self.s2l_families is not None:
                        return True

                    if self.soft_preempted_in_use_bandwidth is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tunnel_attribute_set_name is not None:
                        return True

                    if self.tunnel_instance is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.FastReroute.BackupTunnels.BackupTunnel']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:fast-reroute/Cisco-IOS-XR-mpls-te-oper:backup-tunnels'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.backup_tunnel is not None:
                    for child_ref in self.backup_tunnel:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.FastReroute.BackupTunnels']['meta_info']


        class ProtectedInterfaces(object):
            """
            The set of fastreroute protected interfaces
            available in MPLS\-TE
            
            .. attribute:: protected_interface
            
            	Fastreroute info for a given protected interface
            	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.FastReroute.ProtectedInterfaces.ProtectedInterface>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.protected_interface = YList()
                self.protected_interface.parent = self
                self.protected_interface.name = 'protected_interface'


            class ProtectedInterface(object):
                """
                Fastreroute info for a given protected
                interface
                
                .. attribute:: backup_tunnel_name  <key>
                
                	Backup tunnel name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: interface_name  <key>
                
                	Protected interface name
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: backup_status
                
                	Backup state
                	**type**\:   :py:class:`MplsTeBackupStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBackupStatusEnum>`
                
                .. attribute:: backup_tunnel_id
                
                	Backup tunnel ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: backup_tunnel_name_xr
                
                	Backup tunnel name
                	**type**\:  str
                
                .. attribute:: backup_type
                
                	Backup type
                	**type**\:   :py:class:`MplsTeBackupEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBackupEnum>`
                
                .. attribute:: backup_usage
                
                	Backup usage
                	**type**\:   :py:class:`MplsTeBackupUsageEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBackupUsageEnum>`
                
                .. attribute:: bandwidth
                
                	Bandwidth (kbps)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: kbit/s
                
                .. attribute:: bandwidth_limit_type
                
                	Bandwidth limit type
                	**type**\:   :py:class:`MplsTeBwLimitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwLimitEnum>`
                
                .. attribute:: bandwidth_pool_type
                
                	Bandwidth pool type
                	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                
                .. attribute:: connection_status
                
                	Backup's connection's status
                	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                
                .. attribute:: destination_address
                
                	Backup's destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: frr_active_ls_ps
                
                	Number of LSPs in FRR active state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: frr_active_soft_preempted_ls_ps
                
                	Number of soft preempted LSPs routed over backup
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: general_status
                
                	Backup's general status
                	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                
                .. attribute:: has_attribute_set
                
                	TRUE if the auto\-backup has an attribute set defined
                	**type**\:  bool
                
                .. attribute:: in_use_bandwidth
                
                	Bandwidth currently in use (kbps)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: kbit/s
                
                .. attribute:: is_attribute_set_in_db
                
                	Flag to indicate the existence of attribute set found in database
                	**type**\:  bool
                
                .. attribute:: ls_ps
                
                	Number of LSPs
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: output_interface_name
                
                	The output intf of the tunnel
                	**type**\:  str
                
                .. attribute:: prot_interface_autobackup_config
                
                	Protected interface Autobackup config
                	**type**\:   :py:class:`AutoBackupProtectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AutoBackupProtectionEnum>`
                
                .. attribute:: prot_interface_srlg_config
                
                	Protected interface SRLG config
                	**type**\:   :py:class:`AutoBackupSrlgModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.AutoBackupSrlgModeEnum>`
                
                .. attribute:: recreate_remaining_time
                
                	Time Remaining in Recreate Timer (seconds)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: recreate_timer_is_running
                
                	Indicates if the recreate timer is running
                	**type**\:  bool
                
                .. attribute:: s2_ls
                
                	Number of P2MP S2Ls
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: s2l_families
                
                	Number of S2L Families
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: soft_preempted_in_use_bandwidth
                
                	Bandwidth soft preempted and rerouted over the backup(kbps)
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: kbit/s
                
                .. attribute:: source_address
                
                	Backup's source
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_attribute_set_name
                
                	Attribute Set Name
                	**type**\:  str
                
                .. attribute:: tunnel_instance
                
                	Tunnel instance
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.backup_tunnel_name = None
                    self.interface_name = None
                    self.backup_status = None
                    self.backup_tunnel_id = None
                    self.backup_tunnel_name_xr = None
                    self.backup_type = None
                    self.backup_usage = None
                    self.bandwidth = None
                    self.bandwidth_limit_type = None
                    self.bandwidth_pool_type = None
                    self.connection_status = None
                    self.destination_address = None
                    self.frr_active_ls_ps = None
                    self.frr_active_soft_preempted_ls_ps = None
                    self.general_status = None
                    self.has_attribute_set = None
                    self.in_use_bandwidth = None
                    self.is_attribute_set_in_db = None
                    self.ls_ps = None
                    self.output_interface_name = None
                    self.prot_interface_autobackup_config = None
                    self.prot_interface_srlg_config = None
                    self.recreate_remaining_time = None
                    self.recreate_timer_is_running = None
                    self.s2_ls = None
                    self.s2l_families = None
                    self.soft_preempted_in_use_bandwidth = None
                    self.source_address = None
                    self.tunnel_attribute_set_name = None
                    self.tunnel_instance = None

                @property
                def _common_path(self):
                    if self.backup_tunnel_name is None:
                        raise YPYModelError('Key property backup_tunnel_name is None')
                    if self.interface_name is None:
                        raise YPYModelError('Key property interface_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:fast-reroute/Cisco-IOS-XR-mpls-te-oper:protected-interfaces/Cisco-IOS-XR-mpls-te-oper:protected-interface[Cisco-IOS-XR-mpls-te-oper:backup-tunnel-name = ' + str(self.backup_tunnel_name) + '][Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.backup_tunnel_name is not None:
                        return True

                    if self.interface_name is not None:
                        return True

                    if self.backup_status is not None:
                        return True

                    if self.backup_tunnel_id is not None:
                        return True

                    if self.backup_tunnel_name_xr is not None:
                        return True

                    if self.backup_type is not None:
                        return True

                    if self.backup_usage is not None:
                        return True

                    if self.bandwidth is not None:
                        return True

                    if self.bandwidth_limit_type is not None:
                        return True

                    if self.bandwidth_pool_type is not None:
                        return True

                    if self.connection_status is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.frr_active_ls_ps is not None:
                        return True

                    if self.frr_active_soft_preempted_ls_ps is not None:
                        return True

                    if self.general_status is not None:
                        return True

                    if self.has_attribute_set is not None:
                        return True

                    if self.in_use_bandwidth is not None:
                        return True

                    if self.is_attribute_set_in_db is not None:
                        return True

                    if self.ls_ps is not None:
                        return True

                    if self.output_interface_name is not None:
                        return True

                    if self.prot_interface_autobackup_config is not None:
                        return True

                    if self.prot_interface_srlg_config is not None:
                        return True

                    if self.recreate_remaining_time is not None:
                        return True

                    if self.recreate_timer_is_running is not None:
                        return True

                    if self.s2_ls is not None:
                        return True

                    if self.s2l_families is not None:
                        return True

                    if self.soft_preempted_in_use_bandwidth is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tunnel_attribute_set_name is not None:
                        return True

                    if self.tunnel_instance is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.FastReroute.ProtectedInterfaces.ProtectedInterface']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:fast-reroute/Cisco-IOS-XR-mpls-te-oper:protected-interfaces'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.protected_interface is not None:
                    for child_ref in self.protected_interface:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.FastReroute.ProtectedInterfaces']['meta_info']


        class Protections(object):
            """
            The set of fastreroute protected interfaces
            available in MPLS\-TE
            
            .. attribute:: protection
            
            	Fastreroute info for a given protection interface
            	**type**\: list of    :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.FastReroute.Protections.Protection>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.protection = YList()
                self.protection.parent = self
                self.protection.name = 'protection'


            class Protection(object):
                """
                Fastreroute info for a given protection
                interface
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id  <key>
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lsp_id  <key>
                
                	LSP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: p2mp_id  <key>
                
                	P2MP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: session_type  <key>
                
                	Session Type
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: source_address  <key>
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: sub_group_id  <key>
                
                	Subgroup ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: sub_group_originator  <key>
                
                	Subgroup Orig ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id  <key>
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: admin_status
                
                	Tunnel Admin status
                	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                
                .. attribute:: backup_bandwidth
                
                	Backup bandwidth
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: backup_next_hop_address
                
                	S2L Nexthop of the backup tunnel
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: backup_status
                
                	Backup status
                	**type**\:   :py:class:`MplsTeBackupStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBackupStatusEnum>`
                
                .. attribute:: bandwidth_limit_type
                
                	Bandwidth limit type
                	**type**\:   :py:class:`MplsTeBwLimitEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwLimitEnum>`
                
                .. attribute:: bandwidth_pool_type
                
                	Bandwidth pool type
                	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                
                .. attribute:: destination_address_xr
                
                	Destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id_xr
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: frr_output_interface
                
                	Output interface of bkup tunnel
                	**type**\:  str
                
                .. attribute:: frr_output_label
                
                	FRR output label
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: frr_output_tunnel_interface
                
                	FRR output tunnel intface
                	**type**\:  str
                
                .. attribute:: inbound_frr_state
                
                	Indicates inbound FRR state
                	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                
                .. attribute:: input_label
                
                	Input label
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_frr_requested
                
                	TRUE if frr protection is on
                	**type**\:  bool
                
                .. attribute:: is_p2mp_tunnel
                
                	Is P2P or P2MP Tunnel
                	**type**\:  bool
                
                .. attribute:: is_signalled
                
                	Indicates whether signalled
                	**type**\:  bool
                
                .. attribute:: lsp_bandwidth_type
                
                	LSP bandwidth type
                	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                
                .. attribute:: next_hop_address
                
                	Next hop
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: operation_status
                
                	Tunnel operational status
                	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                
                .. attribute:: original_input_interface
                
                	Input intface of the LSP
                	**type**\:  str
                
                .. attribute:: outbound_frr_state
                
                	Indicates outbound FRR state
                	**type**\:   :py:class:`MplsTeFrrStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrStateEnum>`
                
                .. attribute:: output_interface_lsp
                
                	Output intface of the LSP
                	**type**\:  str
                
                .. attribute:: output_label
                
                	Output label
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: p2mp_id_xr
                
                	S2L P2MP ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: previous_hop_address
                
                	Previous hop
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: role
                
                	Role of LSP
                	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                
                .. attribute:: sharing_type
                
                	Outgoing i/f Sharing type
                	**type**\:   :py:class:`MplsTeFrrSharingEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeFrrSharingEnum>`
                
                .. attribute:: source_address_xr
                
                	Source
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: sub_group_id_xr
                
                	S2L Sub\-Group ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: sub_group_original_id
                
                	S2L Sub\-Group Originator ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id_xr
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_instance
                
                	Tunnel instance
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_name
                
                	Tunnel Name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.lsp_id = None
                    self.p2mp_id = None
                    self.session_type = None
                    self.source_address = None
                    self.sub_group_id = None
                    self.sub_group_originator = None
                    self.tunnel_id = None
                    self.admin_status = None
                    self.backup_bandwidth = None
                    self.backup_next_hop_address = None
                    self.backup_status = None
                    self.bandwidth_limit_type = None
                    self.bandwidth_pool_type = None
                    self.destination_address_xr = None
                    self.extended_tunnel_id_xr = None
                    self.frr_output_interface = None
                    self.frr_output_label = None
                    self.frr_output_tunnel_interface = None
                    self.inbound_frr_state = None
                    self.input_label = None
                    self.is_frr_requested = None
                    self.is_p2mp_tunnel = None
                    self.is_signalled = None
                    self.lsp_bandwidth_type = None
                    self.next_hop_address = None
                    self.operation_status = None
                    self.original_input_interface = None
                    self.outbound_frr_state = None
                    self.output_interface_lsp = None
                    self.output_label = None
                    self.p2mp_id_xr = None
                    self.previous_hop_address = None
                    self.role = None
                    self.sharing_type = None
                    self.source_address_xr = None
                    self.sub_group_id_xr = None
                    self.sub_group_original_id = None
                    self.tunnel_id_xr = None
                    self.tunnel_instance = None
                    self.tunnel_name = None

                @property
                def _common_path(self):
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.extended_tunnel_id is None:
                        raise YPYModelError('Key property extended_tunnel_id is None')
                    if self.lsp_id is None:
                        raise YPYModelError('Key property lsp_id is None')
                    if self.p2mp_id is None:
                        raise YPYModelError('Key property p2mp_id is None')
                    if self.session_type is None:
                        raise YPYModelError('Key property session_type is None')
                    if self.source_address is None:
                        raise YPYModelError('Key property source_address is None')
                    if self.sub_group_id is None:
                        raise YPYModelError('Key property sub_group_id is None')
                    if self.sub_group_originator is None:
                        raise YPYModelError('Key property sub_group_originator is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:fast-reroute/Cisco-IOS-XR-mpls-te-oper:protections/Cisco-IOS-XR-mpls-te-oper:protection[Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:extended-tunnel-id = ' + str(self.extended_tunnel_id) + '][Cisco-IOS-XR-mpls-te-oper:lsp-id = ' + str(self.lsp_id) + '][Cisco-IOS-XR-mpls-te-oper:p2mp-id = ' + str(self.p2mp_id) + '][Cisco-IOS-XR-mpls-te-oper:session-type = ' + str(self.session_type) + '][Cisco-IOS-XR-mpls-te-oper:source-address = ' + str(self.source_address) + '][Cisco-IOS-XR-mpls-te-oper:sub-group-id = ' + str(self.sub_group_id) + '][Cisco-IOS-XR-mpls-te-oper:sub-group-originator = ' + str(self.sub_group_originator) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.p2mp_id is not None:
                        return True

                    if self.session_type is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.sub_group_id is not None:
                        return True

                    if self.sub_group_originator is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.admin_status is not None:
                        return True

                    if self.backup_bandwidth is not None:
                        return True

                    if self.backup_next_hop_address is not None:
                        return True

                    if self.backup_status is not None:
                        return True

                    if self.bandwidth_limit_type is not None:
                        return True

                    if self.bandwidth_pool_type is not None:
                        return True

                    if self.destination_address_xr is not None:
                        return True

                    if self.extended_tunnel_id_xr is not None:
                        return True

                    if self.frr_output_interface is not None:
                        return True

                    if self.frr_output_label is not None:
                        return True

                    if self.frr_output_tunnel_interface is not None:
                        return True

                    if self.inbound_frr_state is not None:
                        return True

                    if self.input_label is not None:
                        return True

                    if self.is_frr_requested is not None:
                        return True

                    if self.is_p2mp_tunnel is not None:
                        return True

                    if self.is_signalled is not None:
                        return True

                    if self.lsp_bandwidth_type is not None:
                        return True

                    if self.next_hop_address is not None:
                        return True

                    if self.operation_status is not None:
                        return True

                    if self.original_input_interface is not None:
                        return True

                    if self.outbound_frr_state is not None:
                        return True

                    if self.output_interface_lsp is not None:
                        return True

                    if self.output_label is not None:
                        return True

                    if self.p2mp_id_xr is not None:
                        return True

                    if self.previous_hop_address is not None:
                        return True

                    if self.role is not None:
                        return True

                    if self.sharing_type is not None:
                        return True

                    if self.source_address_xr is not None:
                        return True

                    if self.sub_group_id_xr is not None:
                        return True

                    if self.sub_group_original_id is not None:
                        return True

                    if self.tunnel_id_xr is not None:
                        return True

                    if self.tunnel_instance is not None:
                        return True

                    if self.tunnel_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.FastReroute.Protections.Protection']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:fast-reroute/Cisco-IOS-XR-mpls-te-oper:protections'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.protection is not None:
                    for child_ref in self.protection:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.FastReroute.Protections']['meta_info']


        class Promotion(object):
            """
            The info about the promotion timer of backup
            tunnels
            
            .. attribute:: is_configured
            
            	Indicate if periodic promotion is configured 
            	**type**\:  bool
            
            .. attribute:: promotion_period
            
            	Promotion period in seconds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: remaining_time
            
            	Remaining time for next promotion in seconds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.is_configured = None
                self.promotion_period = None
                self.remaining_time = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:fast-reroute/Cisco-IOS-XR-mpls-te-oper:promotion'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.is_configured is not None:
                    return True

                if self.promotion_period is not None:
                    return True

                if self.remaining_time is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.FastReroute.Promotion']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:fast-reroute'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.backup_tunnels is not None and self.backup_tunnels._has_data():
                return True

            if self.promotion is not None and self.promotion._has_data():
                return True

            if self.protected_interfaces is not None and self.protected_interfaces._has_data():
                return True

            if self.protections is not None and self.protections._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.FastReroute']['meta_info']


    class AttributeSets(object):
        """
        AttributeSet information.
        
        .. attribute:: attribute_set
        
        	MPLS TE attribute\-set information
        	**type**\: list of    :py:class:`AttributeSet <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.attribute_set = YList()
            self.attribute_set.parent = self
            self.attribute_set.name = 'attribute_set'


        class AttributeSet(object):
            """
            MPLS TE attribute\-set information
            
            .. attribute:: attribute_set_name  <key>
            
            	Attribute Set Name
            	**type**\:  str
            
            	**length:** 1..64
            
            .. attribute:: attribute_set_type  <key>
            
            	Attribute Set Type
            	**type**\:   :py:class:`MplsTeAttrSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeAttrSetEnum>`
            
            .. attribute:: attribute_set_union
            
            	Union of Attribute Sets
            	**type**\:   :py:class:`AttributeSetUnion <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion>`
            
            .. attribute:: tunnel_attribute_set_name
            
            	Attribute Set Name
            	**type**\:  str
            
            .. attribute:: tunnel_attribute_set_name_crc32
            
            	Attribute Set name CRC32 value
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.attribute_set_name = None
                self.attribute_set_type = None
                self.attribute_set_union = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion()
                self.attribute_set_union.parent = self
                self.tunnel_attribute_set_name = None
                self.tunnel_attribute_set_name_crc32 = None


            class AttributeSetUnion(object):
                """
                Union of Attribute Sets
                
                .. attribute:: attribute_set_aps_pp
                
                	Attribute Set OTN APS Path Protection
                	**type**\:   :py:class:`AttributeSetApsPp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp>`
                
                .. attribute:: attribute_set_autobackup
                
                	MPLS TE Auto\-backup Attribute Set
                	**type**\:   :py:class:`AttributeSetAutobackup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup>`
                
                .. attribute:: attribute_set_automesh
                
                	MPLS TE Auto\-mesh Attribute Set
                	**type**\:   :py:class:`AttributeSetAutomesh <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh>`
                
                .. attribute:: attribute_set_p2mpte
                
                	MPLS TE P2MP\-TE Attribute Set
                	**type**\:   :py:class:`AttributeSetP2Mpte <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte>`
                
                .. attribute:: attribute_set_p2p_te
                
                	MPLS TE P2P\-TE Attribute Set
                	**type**\:   :py:class:`AttributeSetP2PTe <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe>`
                
                .. attribute:: attribute_set_path_option
                
                	MPLS TE Path Option Attribute Set
                	**type**\:   :py:class:`AttributeSetPathOption <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption>`
                
                .. attribute:: attribute_set_xro
                
                	Attribute Set XRO
                	**type**\:   :py:class:`AttributeSetXro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro>`
                
                .. attribute:: tunnel_attribute_set_type
                
                	TunnelAttributeSetType
                	**type**\:   :py:class:`TunnelAttributeSetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TunnelAttributeSetEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.attribute_set_aps_pp = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp()
                    self.attribute_set_aps_pp.parent = self
                    self.attribute_set_autobackup = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup()
                    self.attribute_set_autobackup.parent = self
                    self.attribute_set_automesh = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh()
                    self.attribute_set_automesh.parent = self
                    self.attribute_set_p2mpte = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte()
                    self.attribute_set_p2mpte.parent = self
                    self.attribute_set_p2p_te = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe()
                    self.attribute_set_p2p_te.parent = self
                    self.attribute_set_path_option = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption()
                    self.attribute_set_path_option.parent = self
                    self.attribute_set_xro = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro()
                    self.attribute_set_xro.parent = self
                    self.tunnel_attribute_set_type = None


                class AttributeSetPathOption(object):
                    """
                    MPLS TE Path Option Attribute Set
                    
                    .. attribute:: affinity
                    
                    	Affinity
                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity>`
                    
                    .. attribute:: bandwidth_type
                    
                    	The bandwidth type
                    	**type**\:   :py:class:`MplsTeBwPoolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeBwPoolEnum>`
                    
                    .. attribute:: bfd_reverse_path
                    
                    	BFD reverse path
                    	**type**\:   :py:class:`BfdReversePath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath>`
                    
                    .. attribute:: configured_bandwidth
                    
                    	Bandwidth value in kbps
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: kbit/s
                    
                    .. attribute:: cost_limit
                    
                    	Cost limit on the tunnel path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: dste_class_type
                    
                    	DSTE Class
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: exclude_list_name
                    
                    	Exclude list name
                    	**type**\:  str
                    
                    .. attribute:: generation
                    
                    	Generation
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_affinity_configured
                    
                    	Is affinity configured
                    	**type**\:  bool
                    
                    .. attribute:: is_bandwidth_configured
                    
                    	Is bandwidth configured
                    	**type**\:  bool
                    
                    .. attribute:: is_bfd_reverse_pat_configured
                    
                    	Is BFD reverse path configured
                    	**type**\:  bool
                    
                    .. attribute:: is_cost_limit_configured
                    
                    	Is Cost Limit configured
                    	**type**\:  bool
                    
                    .. attribute:: is_exclude_list_name_configured
                    
                    	Is exclude list name configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_invalidation_action_configured
                    
                    	Is path invalidation action configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_invalidation_timeout_configured
                    
                    	Is path invalidation timeout configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pce_configured
                    
                    	Is PCE Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pce_disj_group_id_configured
                    
                    	Is PCE Disjoint Path Group ID Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pce_disj_source_configured
                    
                    	Is PCE Disjoint Path Source Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pce_disj_type_configured
                    
                    	Is PCE Disjoint Path Type Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pceb_dj_source_configured
                    
                    	Is PCE Bidirectional Source Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pcebd_group_id_configured
                    
                    	Is PCE Bidirectional Group ID Configured
                    	**type**\:  bool
                    
                    .. attribute:: path_invalidation_action
                    
                    	Path invalidation action
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_invalidation_timeout
                    
                    	Path invalidation interval on the tunnel path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pcebd_group_id
                    
                    	PCE Bidirectional Group ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pcebd_source_address
                    
                    	PCE Bidirectional Source Address
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pcedp_group_id
                    
                    	PCE Disjoint Path Group ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pcedp_source_address
                    
                    	PCE Disjoint Path Source Address
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pcedp_type
                    
                    	PCE Disjoint Path Type
                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                    
                    .. attribute:: tunnel_id
                    
                    	Tunnel ID
                    	**type**\:  list of int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: version_info
                    
                    	Version Info
                    	**type**\: list of    :py:class:`VersionInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.affinity = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity()
                        self.affinity.parent = self
                        self.bandwidth_type = None
                        self.bfd_reverse_path = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath()
                        self.bfd_reverse_path.parent = self
                        self.configured_bandwidth = None
                        self.cost_limit = None
                        self.dste_class_type = None
                        self.exclude_list_name = None
                        self.generation = None
                        self.is_affinity_configured = None
                        self.is_bandwidth_configured = None
                        self.is_bfd_reverse_pat_configured = None
                        self.is_cost_limit_configured = None
                        self.is_exclude_list_name_configured = None
                        self.is_path_invalidation_action_configured = None
                        self.is_path_invalidation_timeout_configured = None
                        self.is_pce_configured = None
                        self.is_pce_disj_group_id_configured = None
                        self.is_pce_disj_source_configured = None
                        self.is_pce_disj_type_configured = None
                        self.is_pceb_dj_source_configured = None
                        self.is_pcebd_group_id_configured = None
                        self.path_invalidation_action = None
                        self.path_invalidation_timeout = None
                        self.pcebd_group_id = None
                        self.pcebd_source_address = None
                        self.pcedp_group_id = None
                        self.pcedp_source_address = None
                        self.pcedp_type = None
                        self.tunnel_id = YLeafList()
                        self.tunnel_id.parent = self
                        self.tunnel_id.name = 'tunnel_id'
                        self.version_info = YList()
                        self.version_info.parent = self
                        self.version_info.name = 'version_info'


                    class Affinity(object):
                        """
                        Affinity
                        
                        .. attribute:: affinity_bits
                        
                        	The affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: affinity_mask
                        
                        	The affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: named_affinity
                        
                        	Array of name based constratints currently applied to the tunnel
                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.affinity_bits = None
                            self.affinity_mask = None
                            self.named_affinity = YList()
                            self.named_affinity.parent = self
                            self.named_affinity.name = 'named_affinity'


                        class NamedAffinity(object):
                            """
                            Array of name based constratints currently
                            applied to the tunnel
                            
                            .. attribute:: constraint_extended_value
                            
                            	Constraint value
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: constraint_type
                            
                            	Constraint type
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: constraint_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: extended_forward_ref_value
                            
                            	Reference bits for undefined affinity names
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: forward_ref_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.constraint_extended_value = YLeafList()
                                self.constraint_extended_value.parent = self
                                self.constraint_extended_value.name = 'constraint_extended_value'
                                self.constraint_type = None
                                self.constraint_value = None
                                self.extended_forward_ref_value = YLeafList()
                                self.extended_forward_ref_value.parent = self
                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                self.forward_ref_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.constraint_extended_value is not None:
                                    for child in self.constraint_extended_value:
                                        if child is not None:
                                            return True

                                if self.constraint_type is not None:
                                    return True

                                if self.constraint_value is not None:
                                    return True

                                if self.extended_forward_ref_value is not None:
                                    for child in self.extended_forward_ref_value:
                                        if child is not None:
                                            return True

                                if self.forward_ref_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.affinity_bits is not None:
                                return True

                            if self.affinity_mask is not None:
                                return True

                            if self.named_affinity is not None:
                                for child_ref in self.named_affinity:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']


                    class BfdReversePath(object):
                        """
                        BFD reverse path
                        
                        .. attribute:: binding_label
                        
                        	BFD reverse path binding label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_type
                        
                        	BFD reverse path type
                        	**type**\:   :py:class:`TeBfdReversePathEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdReversePathEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.binding_label = None
                            self.path_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bfd-reverse-path'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.binding_label is not None:
                                return True

                            if self.path_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info']


                    class VersionInfo(object):
                        """
                        Version Info
                        
                        .. attribute:: attribute_type
                        
                        	Attribute Type
                        	**type**\:  str
                        
                        .. attribute:: generation
                        
                        	Generation
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: is_default
                        
                        	Is default
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.attribute_type = None
                            self.generation = None
                            self.is_default = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:version-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.attribute_type is not None:
                                return True

                            if self.generation is not None:
                                return True

                            if self.is_default is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-path-option'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.affinity is not None and self.affinity._has_data():
                            return True

                        if self.bandwidth_type is not None:
                            return True

                        if self.bfd_reverse_path is not None and self.bfd_reverse_path._has_data():
                            return True

                        if self.configured_bandwidth is not None:
                            return True

                        if self.cost_limit is not None:
                            return True

                        if self.dste_class_type is not None:
                            return True

                        if self.exclude_list_name is not None:
                            return True

                        if self.generation is not None:
                            return True

                        if self.is_affinity_configured is not None:
                            return True

                        if self.is_bandwidth_configured is not None:
                            return True

                        if self.is_bfd_reverse_pat_configured is not None:
                            return True

                        if self.is_cost_limit_configured is not None:
                            return True

                        if self.is_exclude_list_name_configured is not None:
                            return True

                        if self.is_path_invalidation_action_configured is not None:
                            return True

                        if self.is_path_invalidation_timeout_configured is not None:
                            return True

                        if self.is_pce_configured is not None:
                            return True

                        if self.is_pce_disj_group_id_configured is not None:
                            return True

                        if self.is_pce_disj_source_configured is not None:
                            return True

                        if self.is_pce_disj_type_configured is not None:
                            return True

                        if self.is_pceb_dj_source_configured is not None:
                            return True

                        if self.is_pcebd_group_id_configured is not None:
                            return True

                        if self.path_invalidation_action is not None:
                            return True

                        if self.path_invalidation_timeout is not None:
                            return True

                        if self.pcebd_group_id is not None:
                            return True

                        if self.pcebd_source_address is not None:
                            return True

                        if self.pcedp_group_id is not None:
                            return True

                        if self.pcedp_source_address is not None:
                            return True

                        if self.pcedp_type is not None:
                            return True

                        if self.tunnel_id is not None:
                            for child in self.tunnel_id:
                                if child is not None:
                                    return True

                        if self.version_info is not None:
                            for child_ref in self.version_info:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']


                class AttributeSetAutobackup(object):
                    """
                    MPLS TE Auto\-backup Attribute Set
                    
                    .. attribute:: affinity
                    
                    	Affinity
                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity>`
                    
                    .. attribute:: hold_priority
                    
                    	Hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: is_affinity_configured
                    
                    	Is affinity configured
                    	**type**\:  bool
                    
                    .. attribute:: is_policyclass_configured
                    
                    	Is policy class configured
                    	**type**\:  bool
                    
                    .. attribute:: is_priority_configured
                    
                    	Is priority configured
                    	**type**\:  bool
                    
                    .. attribute:: is_signalled_name_configured
                    
                    	Is signalled name configured
                    	**type**\:  bool
                    
                    .. attribute:: logging
                    
                    	Logging attributes
                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging>`
                    
                    .. attribute:: policy_class
                    
                    	deprecated
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: policy_class_entry
                    
                    	PBTS policy classes
                    	**type**\:  list of int
                    
                    	**range:** 0..255
                    
                    .. attribute:: protected_interface
                    
                    	Array of Protected Interface Names
                    	**type**\: list of    :py:class:`ProtectedInterface <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface>`
                    
                    .. attribute:: record_route
                    
                    	Record route
                    	**type**\:  bool
                    
                    .. attribute:: setup_priority
                    
                    	Setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: signalled_name
                    
                    	Signalled name
                    	**type**\:   :py:class:`SignalledName <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName>`
                    
                    .. attribute:: tunnel_id
                    
                    	Tunnel ID
                    	**type**\:  list of int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.affinity = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity()
                        self.affinity.parent = self
                        self.hold_priority = None
                        self.is_affinity_configured = None
                        self.is_policyclass_configured = None
                        self.is_priority_configured = None
                        self.is_signalled_name_configured = None
                        self.logging = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging()
                        self.logging.parent = self
                        self.policy_class = None
                        self.policy_class_entry = YLeafList()
                        self.policy_class_entry.parent = self
                        self.policy_class_entry.name = 'policy_class_entry'
                        self.protected_interface = YList()
                        self.protected_interface.parent = self
                        self.protected_interface.name = 'protected_interface'
                        self.record_route = None
                        self.setup_priority = None
                        self.signalled_name = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName()
                        self.signalled_name.parent = self
                        self.tunnel_id = YLeafList()
                        self.tunnel_id.parent = self
                        self.tunnel_id.name = 'tunnel_id'


                    class SignalledName(object):
                        """
                        Signalled name
                        
                        .. attribute:: is_mp_addresses
                        
                        	MP address appended
                        	**type**\:  bool
                        
                        .. attribute:: name
                        
                        	Signalled name
                        	**type**\:  str
                        
                        .. attribute:: protected_interface_type
                        
                        	Protected interface address or name
                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                        
                        .. attribute:: source_type
                        
                        	Source address or name
                        	**type**\:   :py:class:`TeSigNameAppendEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSigNameAppendEnum>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.is_mp_addresses = None
                            self.name = None
                            self.protected_interface_type = None
                            self.source_type = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:signalled-name'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.is_mp_addresses is not None:
                                return True

                            if self.name is not None:
                                return True

                            if self.protected_interface_type is not None:
                                return True

                            if self.source_type is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info']


                    class Affinity(object):
                        """
                        Affinity
                        
                        .. attribute:: affinity_bits
                        
                        	The affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: affinity_mask
                        
                        	The affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: named_affinity
                        
                        	Array of name based constratints currently applied to the tunnel
                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.affinity_bits = None
                            self.affinity_mask = None
                            self.named_affinity = YList()
                            self.named_affinity.parent = self
                            self.named_affinity.name = 'named_affinity'


                        class NamedAffinity(object):
                            """
                            Array of name based constratints currently
                            applied to the tunnel
                            
                            .. attribute:: constraint_extended_value
                            
                            	Constraint value
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: constraint_type
                            
                            	Constraint type
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: constraint_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: extended_forward_ref_value
                            
                            	Reference bits for undefined affinity names
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: forward_ref_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.constraint_extended_value = YLeafList()
                                self.constraint_extended_value.parent = self
                                self.constraint_extended_value.name = 'constraint_extended_value'
                                self.constraint_type = None
                                self.constraint_value = None
                                self.extended_forward_ref_value = YLeafList()
                                self.extended_forward_ref_value.parent = self
                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                self.forward_ref_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.constraint_extended_value is not None:
                                    for child in self.constraint_extended_value:
                                        if child is not None:
                                            return True

                                if self.constraint_type is not None:
                                    return True

                                if self.constraint_value is not None:
                                    return True

                                if self.extended_forward_ref_value is not None:
                                    for child in self.extended_forward_ref_value:
                                        if child is not None:
                                            return True

                                if self.forward_ref_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.affinity_bits is not None:
                                return True

                            if self.affinity_mask is not None:
                                return True

                            if self.named_affinity is not None:
                                for child_ref in self.named_affinity:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']


                    class Logging(object):
                        """
                        Logging attributes
                        
                        .. attribute:: all_logging_enabled
                        
                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_bandwidth_change
                        
                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_insufficient_bw
                        
                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_pcalc_failure_logging_enabled
                        
                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_re_opt
                        
                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_re_route
                        
                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_state
                        
                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: s2l_state
                        
                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.all_logging_enabled = None
                            self.lsp_bandwidth_change = None
                            self.lsp_insufficient_bw = None
                            self.lsp_pcalc_failure_logging_enabled = None
                            self.lsp_re_opt = None
                            self.lsp_re_route = None
                            self.lsp_state = None
                            self.s2l_state = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.all_logging_enabled is not None:
                                return True

                            if self.lsp_bandwidth_change is not None:
                                return True

                            if self.lsp_insufficient_bw is not None:
                                return True

                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                return True

                            if self.lsp_re_opt is not None:
                                return True

                            if self.lsp_re_route is not None:
                                return True

                            if self.lsp_state is not None:
                                return True

                            if self.s2l_state is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info']


                    class ProtectedInterface(object):
                        """
                        Array of Protected Interface Names
                        
                        .. attribute:: protected_interface
                        
                        	Protected Interface Name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.protected_interface = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:protected-interface'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.protected_interface is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-autobackup'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.affinity is not None and self.affinity._has_data():
                            return True

                        if self.hold_priority is not None:
                            return True

                        if self.is_affinity_configured is not None:
                            return True

                        if self.is_policyclass_configured is not None:
                            return True

                        if self.is_priority_configured is not None:
                            return True

                        if self.is_signalled_name_configured is not None:
                            return True

                        if self.logging is not None and self.logging._has_data():
                            return True

                        if self.policy_class is not None:
                            return True

                        if self.policy_class_entry is not None:
                            for child in self.policy_class_entry:
                                if child is not None:
                                    return True

                        if self.protected_interface is not None:
                            for child_ref in self.protected_interface:
                                if child_ref._has_data():
                                    return True

                        if self.record_route is not None:
                            return True

                        if self.setup_priority is not None:
                            return True

                        if self.signalled_name is not None and self.signalled_name._has_data():
                            return True

                        if self.tunnel_id is not None:
                            for child in self.tunnel_id:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']


                class AttributeSetAutomesh(object):
                    """
                    MPLS TE Auto\-mesh Attribute Set
                    
                    .. attribute:: affinity
                    
                    	Affinity
                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity>`
                    
                    .. attribute:: auto_bandwidth_collect
                    
                    	Auto bandwidth collect only
                    	**type**\:  bool
                    
                    .. attribute:: auto_route_announce
                    
                    	Announce auto route to IGP
                    	**type**\:  bool
                    
                    .. attribute:: bandwidth
                    
                    	IM bandwidth
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: configured_bandwidth
                    
                    	Bandwidth value in kbps
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: kbit/s
                    
                    .. attribute:: dste_class_type
                    
                    	DSTE Class
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: fast_reroute
                    
                    	Fast reroute
                    	**type**\:  bool
                    
                    .. attribute:: forward_class
                    
                    	Forward class
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: frr_bandwidth_protection
                    
                    	FRR bandwidth protection
                    	**type**\:  bool
                    
                    .. attribute:: frr_node_protection
                    
                    	FRR Node protection
                    	**type**\:  bool
                    
                    .. attribute:: hold_priority
                    
                    	Hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: is_affinity_configured
                    
                    	Is affinity configured
                    	**type**\:  bool
                    
                    .. attribute:: is_bandwidth_configured
                    
                    	Is bandwidth configured
                    	**type**\:  bool
                    
                    .. attribute:: is_interface_bw_configured
                    
                    	Is Interface BW configured
                    	**type**\:  bool
                    
                    .. attribute:: is_policyclass_configured
                    
                    	Is policy class configured
                    	**type**\:  bool
                    
                    .. attribute:: is_priority_configured
                    
                    	Is priority configured
                    	**type**\:  bool
                    
                    .. attribute:: load_share
                    
                    	Load Share
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: logging
                    
                    	Logging attributes
                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging>`
                    
                    .. attribute:: mesh_group_id
                    
                    	Meshgroup ID
                    	**type**\:  list of int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: policy_class
                    
                    	deprecated
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: policy_class_entry
                    
                    	PBTS policy classes
                    	**type**\:  list of int
                    
                    	**range:** 0..255
                    
                    .. attribute:: record_route
                    
                    	Record route
                    	**type**\:  bool
                    
                    .. attribute:: setup_priority
                    
                    	Setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: soft_preemption_configured
                    
                    	Soft preemption is configured
                    	**type**\:  bool
                    
                    .. attribute:: tunnel_id
                    
                    	Tunnel ID
                    	**type**\:  list of int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.affinity = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity()
                        self.affinity.parent = self
                        self.auto_bandwidth_collect = None
                        self.auto_route_announce = None
                        self.bandwidth = None
                        self.configured_bandwidth = None
                        self.dste_class_type = None
                        self.fast_reroute = None
                        self.forward_class = None
                        self.frr_bandwidth_protection = None
                        self.frr_node_protection = None
                        self.hold_priority = None
                        self.is_affinity_configured = None
                        self.is_bandwidth_configured = None
                        self.is_interface_bw_configured = None
                        self.is_policyclass_configured = None
                        self.is_priority_configured = None
                        self.load_share = None
                        self.logging = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging()
                        self.logging.parent = self
                        self.mesh_group_id = YLeafList()
                        self.mesh_group_id.parent = self
                        self.mesh_group_id.name = 'mesh_group_id'
                        self.policy_class = None
                        self.policy_class_entry = YLeafList()
                        self.policy_class_entry.parent = self
                        self.policy_class_entry.name = 'policy_class_entry'
                        self.record_route = None
                        self.setup_priority = None
                        self.soft_preemption_configured = None
                        self.tunnel_id = YLeafList()
                        self.tunnel_id.parent = self
                        self.tunnel_id.name = 'tunnel_id'


                    class Affinity(object):
                        """
                        Affinity
                        
                        .. attribute:: affinity_bits
                        
                        	The affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: affinity_mask
                        
                        	The affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: named_affinity
                        
                        	Array of name based constratints currently applied to the tunnel
                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.affinity_bits = None
                            self.affinity_mask = None
                            self.named_affinity = YList()
                            self.named_affinity.parent = self
                            self.named_affinity.name = 'named_affinity'


                        class NamedAffinity(object):
                            """
                            Array of name based constratints currently
                            applied to the tunnel
                            
                            .. attribute:: constraint_extended_value
                            
                            	Constraint value
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: constraint_type
                            
                            	Constraint type
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: constraint_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: extended_forward_ref_value
                            
                            	Reference bits for undefined affinity names
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: forward_ref_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.constraint_extended_value = YLeafList()
                                self.constraint_extended_value.parent = self
                                self.constraint_extended_value.name = 'constraint_extended_value'
                                self.constraint_type = None
                                self.constraint_value = None
                                self.extended_forward_ref_value = YLeafList()
                                self.extended_forward_ref_value.parent = self
                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                self.forward_ref_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.constraint_extended_value is not None:
                                    for child in self.constraint_extended_value:
                                        if child is not None:
                                            return True

                                if self.constraint_type is not None:
                                    return True

                                if self.constraint_value is not None:
                                    return True

                                if self.extended_forward_ref_value is not None:
                                    for child in self.extended_forward_ref_value:
                                        if child is not None:
                                            return True

                                if self.forward_ref_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.affinity_bits is not None:
                                return True

                            if self.affinity_mask is not None:
                                return True

                            if self.named_affinity is not None:
                                for child_ref in self.named_affinity:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']


                    class Logging(object):
                        """
                        Logging attributes
                        
                        .. attribute:: all_logging_enabled
                        
                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_bandwidth_change
                        
                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_insufficient_bw
                        
                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_pcalc_failure_logging_enabled
                        
                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_re_opt
                        
                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_re_route
                        
                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_state
                        
                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: s2l_state
                        
                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.all_logging_enabled = None
                            self.lsp_bandwidth_change = None
                            self.lsp_insufficient_bw = None
                            self.lsp_pcalc_failure_logging_enabled = None
                            self.lsp_re_opt = None
                            self.lsp_re_route = None
                            self.lsp_state = None
                            self.s2l_state = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.all_logging_enabled is not None:
                                return True

                            if self.lsp_bandwidth_change is not None:
                                return True

                            if self.lsp_insufficient_bw is not None:
                                return True

                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                return True

                            if self.lsp_re_opt is not None:
                                return True

                            if self.lsp_re_route is not None:
                                return True

                            if self.lsp_state is not None:
                                return True

                            if self.s2l_state is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-automesh'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.affinity is not None and self.affinity._has_data():
                            return True

                        if self.auto_bandwidth_collect is not None:
                            return True

                        if self.auto_route_announce is not None:
                            return True

                        if self.bandwidth is not None:
                            return True

                        if self.configured_bandwidth is not None:
                            return True

                        if self.dste_class_type is not None:
                            return True

                        if self.fast_reroute is not None:
                            return True

                        if self.forward_class is not None:
                            return True

                        if self.frr_bandwidth_protection is not None:
                            return True

                        if self.frr_node_protection is not None:
                            return True

                        if self.hold_priority is not None:
                            return True

                        if self.is_affinity_configured is not None:
                            return True

                        if self.is_bandwidth_configured is not None:
                            return True

                        if self.is_interface_bw_configured is not None:
                            return True

                        if self.is_policyclass_configured is not None:
                            return True

                        if self.is_priority_configured is not None:
                            return True

                        if self.load_share is not None:
                            return True

                        if self.logging is not None and self.logging._has_data():
                            return True

                        if self.mesh_group_id is not None:
                            for child in self.mesh_group_id:
                                if child is not None:
                                    return True

                        if self.policy_class is not None:
                            return True

                        if self.policy_class_entry is not None:
                            for child in self.policy_class_entry:
                                if child is not None:
                                    return True

                        if self.record_route is not None:
                            return True

                        if self.setup_priority is not None:
                            return True

                        if self.soft_preemption_configured is not None:
                            return True

                        if self.tunnel_id is not None:
                            for child in self.tunnel_id:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']


                class AttributeSetXro(object):
                    """
                    Attribute Set XRO
                    
                    .. attribute:: xro
                    
                    	The XRO specified by this attribute\-set
                    	**type**\:   :py:class:`Xro <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.xro = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro()
                        self.xro.parent = self


                    class Xro(object):
                        """
                        The XRO specified by this attribute\-set
                        
                        .. attribute:: mutual_diversity_flag
                        
                        	Mutual Diversity Flag
                        	**type**\:  bool
                        
                        .. attribute:: xro_subobject
                        
                        	List of XRO sub\-objects
                        	**type**\: list of    :py:class:`XroSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.mutual_diversity_flag = None
                            self.xro_subobject = YList()
                            self.xro_subobject.parent = self
                            self.xro_subobject.name = 'xro_subobject'


                        class XroSubobject(object):
                            """
                            List of XRO sub\-objects
                            
                            .. attribute:: as_subobject
                            
                            	AS sub\-object
                            	**type**\:   :py:class:`AsSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject>`
                            
                            .. attribute:: ipv4_subobject
                            
                            	IPv4 sub\-object
                            	**type**\:   :py:class:`Ipv4Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject>`
                            
                            .. attribute:: ipv6_subobject
                            
                            	IPv6 sub\-object
                            	**type**\:   :py:class:`Ipv6Subobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject>`
                            
                            .. attribute:: lsp_subobject
                            
                            	P2P LSP sub\-object
                            	**type**\:   :py:class:`LspSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject>`
                            
                            .. attribute:: srlg_subobject
                            
                            	SRLG sub\-object
                            	**type**\:   :py:class:`SrlgSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject>`
                            
                            .. attribute:: type
                            
                            	Type
                            	**type**\:   :py:class:`TeXroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroSubobjEnum>`
                            
                            .. attribute:: unnumbered_subobject
                            
                            	Unnumbered sub\-object
                            	**type**\:   :py:class:`UnnumberedSubobject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.as_subobject = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject()
                                self.as_subobject.parent = self
                                self.ipv4_subobject = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject()
                                self.ipv4_subobject.parent = self
                                self.ipv6_subobject = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject()
                                self.ipv6_subobject.parent = self
                                self.lsp_subobject = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject()
                                self.lsp_subobject.parent = self
                                self.srlg_subobject = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject()
                                self.srlg_subobject.parent = self
                                self.type = None
                                self.unnumbered_subobject = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject()
                                self.unnumbered_subobject.parent = self


                            class Ipv4Subobject(object):
                                """
                                IPv4 sub\-object
                                
                                .. attribute:: address
                                
                                	IPv4 address
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: attribute
                                
                                	Attribute
                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: prefix_len
                                
                                	Prefix length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None
                                    self.attribute = None
                                    self.exclusion_type = None
                                    self.prefix_len = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv4-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.address is not None:
                                        return True

                                    if self.attribute is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.prefix_len is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info']


                            class Ipv6Subobject(object):
                                """
                                IPv6 sub\-object
                                
                                .. attribute:: address
                                
                                	IPv6 address
                                	**type**\:  str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: attribute
                                
                                	Attribute
                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: prefix_len
                                
                                	Prefix length
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.address = None
                                    self.attribute = None
                                    self.exclusion_type = None
                                    self.prefix_len = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:ipv6-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.address is not None:
                                        return True

                                    if self.attribute is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.prefix_len is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info']


                            class UnnumberedSubobject(object):
                                """
                                Unnumbered sub\-object
                                
                                .. attribute:: attribute
                                
                                	Attribute
                                	**type**\:   :py:class:`TeXroAttributeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroAttributeEnum>`
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: interface_id
                                
                                	Interface ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: te_router_id
                                
                                	TE router\-id
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.attribute = None
                                    self.exclusion_type = None
                                    self.interface_id = None
                                    self.te_router_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:unnumbered-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.attribute is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.interface_id is not None:
                                        return True

                                    if self.te_router_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info']


                            class AsSubobject(object):
                                """
                                AS sub\-object
                                
                                .. attribute:: as_number
                                
                                	Autonomous System number
                                	**type**\:  int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.as_number = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:as-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.as_number is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info']


                            class SrlgSubobject(object):
                                """
                                SRLG sub\-object
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: srlg_id
                                
                                	SRLG ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.exclusion_type = None
                                    self.srlg_id = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:srlg-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.exclusion_type is not None:
                                        return True

                                    if self.srlg_id is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info']


                            class LspSubobject(object):
                                """
                                P2P LSP sub\-object
                                
                                .. attribute:: destination_node_exception
                                
                                	Destination\-node exception flag
                                	**type**\:  bool
                                
                                .. attribute:: exclusion_type
                                
                                	Exclusion Type
                                	**type**\:   :py:class:`TeXroExclusionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeXroExclusionEnum>`
                                
                                .. attribute:: fec
                                
                                	LSP FEC
                                	**type**\:   :py:class:`Fec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec>`
                                
                                .. attribute:: ignore_lsp_id
                                
                                	Flag to indicate whether or not the lsp\-id in the FEC is to be ignored
                                	**type**\:  bool
                                
                                .. attribute:: penultimate_node_exception
                                
                                	Penultimate\-node exception flag
                                	**type**\:  bool
                                
                                .. attribute:: processing_node_exception
                                
                                	Processing\-node exception flag
                                	**type**\:  bool
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.destination_node_exception = None
                                    self.exclusion_type = None
                                    self.fec = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec()
                                    self.fec.parent = self
                                    self.ignore_lsp_id = None
                                    self.penultimate_node_exception = None
                                    self.processing_node_exception = None


                                class Fec(object):
                                    """
                                    LSP FEC
                                    
                                    .. attribute:: fec_destination_info
                                    
                                    	Destination or P2MP ID
                                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo>`
                                    
                                    .. attribute:: fec_extended_tunnel_id
                                    
                                    	Extended tunnel ID
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: fec_lsp_id
                                    
                                    	LSP ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: fec_source
                                    
                                    	Tunnel source address
                                    	**type**\:  str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: fec_tunnel_id
                                    
                                    	Tunnel ID
                                    	**type**\:  int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: fec_vrf
                                    
                                    	VRF; currently only for GMPLS tunnels
                                    	**type**\:  str
                                    
                                    

                                    """

                                    _prefix = 'mpls-te-oper'
                                    _revision = '2015-11-09'

                                    def __init__(self):
                                        self.parent = None
                                        self.fec_destination_info = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo()
                                        self.fec_destination_info.parent = self
                                        self.fec_extended_tunnel_id = None
                                        self.fec_lsp_id = None
                                        self.fec_source = None
                                        self.fec_tunnel_id = None
                                        self.fec_vrf = None


                                    class FecDestinationInfo(object):
                                        """
                                        Destination or P2MP ID
                                        
                                        .. attribute:: fec_ctype
                                        
                                        	FEC CType
                                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                        
                                        .. attribute:: fec_destination_p2mp_id
                                        
                                        	P2MP ID
                                        	**type**\:  int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: p2p_lsp_destination
                                        
                                        	P2P LSP destination
                                        	**type**\:  str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'mpls-te-oper'
                                        _revision = '2015-11-09'

                                        def __init__(self):
                                            self.parent = None
                                            self.fec_ctype = None
                                            self.fec_destination_p2mp_id = None
                                            self.p2p_lsp_destination = None

                                        @property
                                        def _common_path(self):
                                            if self.parent is None:
                                                raise YPYModelError('parent is not set . Cannot derive path.')

                                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                        def is_config(self):
                                            ''' Returns True if this instance represents config data else returns False '''
                                            return False

                                        def _has_data(self):
                                            if not self.is_config():
                                                return False
                                            if self.fec_ctype is not None:
                                                return True

                                            if self.fec_destination_p2mp_id is not None:
                                                return True

                                            if self.p2p_lsp_destination is not None:
                                                return True

                                            return False

                                        @staticmethod
                                        def _meta_info():
                                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                            return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info']

                                    @property
                                    def _common_path(self):
                                        if self.parent is None:
                                            raise YPYModelError('parent is not set . Cannot derive path.')

                                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec'

                                    def is_config(self):
                                        ''' Returns True if this instance represents config data else returns False '''
                                        return False

                                    def _has_data(self):
                                        if not self.is_config():
                                            return False
                                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                            return True

                                        if self.fec_extended_tunnel_id is not None:
                                            return True

                                        if self.fec_lsp_id is not None:
                                            return True

                                        if self.fec_source is not None:
                                            return True

                                        if self.fec_tunnel_id is not None:
                                            return True

                                        if self.fec_vrf is not None:
                                            return True

                                        return False

                                    @staticmethod
                                    def _meta_info():
                                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                        return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-subobject'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.destination_node_exception is not None:
                                        return True

                                    if self.exclusion_type is not None:
                                        return True

                                    if self.fec is not None and self.fec._has_data():
                                        return True

                                    if self.ignore_lsp_id is not None:
                                        return True

                                    if self.penultimate_node_exception is not None:
                                        return True

                                    if self.processing_node_exception is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro-subobject'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.as_subobject is not None and self.as_subobject._has_data():
                                    return True

                                if self.ipv4_subobject is not None and self.ipv4_subobject._has_data():
                                    return True

                                if self.ipv6_subobject is not None and self.ipv6_subobject._has_data():
                                    return True

                                if self.lsp_subobject is not None and self.lsp_subobject._has_data():
                                    return True

                                if self.srlg_subobject is not None and self.srlg_subobject._has_data():
                                    return True

                                if self.type is not None:
                                    return True

                                if self.unnumbered_subobject is not None and self.unnumbered_subobject._has_data():
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:xro'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.mutual_diversity_flag is not None:
                                return True

                            if self.xro_subobject is not None:
                                for child_ref in self.xro_subobject:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-xro'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.xro is not None and self.xro._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']


                class AttributeSetP2Mpte(object):
                    """
                    MPLS TE P2MP\-TE Attribute Set
                    
                    .. attribute:: affinity
                    
                    	Affinity
                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity>`
                    
                    .. attribute:: configured_bandwidth
                    
                    	Bandwidth value in kbps
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: kbit/s
                    
                    .. attribute:: dste_class_type
                    
                    	DSTE Class
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: fast_reroute
                    
                    	Fast reroute
                    	**type**\:  bool
                    
                    .. attribute:: frr_bandwidth_protection
                    
                    	FRR bandwidth protection
                    	**type**\:  bool
                    
                    .. attribute:: hold_priority
                    
                    	Hold priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: is_affinity_configured
                    
                    	Is affinity configured
                    	**type**\:  bool
                    
                    .. attribute:: is_bandwidth_configured
                    
                    	Is bandwidth configured
                    	**type**\:  bool
                    
                    .. attribute:: is_priority_configured
                    
                    	Is priority configured
                    	**type**\:  bool
                    
                    .. attribute:: setup_priority
                    
                    	Setup priority
                    	**type**\:  int
                    
                    	**range:** 0..255
                    
                    .. attribute:: tunnel_id
                    
                    	Tunnel ID
                    	**type**\:  list of int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.affinity = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity()
                        self.affinity.parent = self
                        self.configured_bandwidth = None
                        self.dste_class_type = None
                        self.fast_reroute = None
                        self.frr_bandwidth_protection = None
                        self.hold_priority = None
                        self.is_affinity_configured = None
                        self.is_bandwidth_configured = None
                        self.is_priority_configured = None
                        self.setup_priority = None
                        self.tunnel_id = YLeafList()
                        self.tunnel_id.parent = self
                        self.tunnel_id.name = 'tunnel_id'


                    class Affinity(object):
                        """
                        Affinity
                        
                        .. attribute:: affinity_bits
                        
                        	The affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: affinity_mask
                        
                        	The affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: named_affinity
                        
                        	Array of name based constratints currently applied to the tunnel
                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.affinity_bits = None
                            self.affinity_mask = None
                            self.named_affinity = YList()
                            self.named_affinity.parent = self
                            self.named_affinity.name = 'named_affinity'


                        class NamedAffinity(object):
                            """
                            Array of name based constratints currently
                            applied to the tunnel
                            
                            .. attribute:: constraint_extended_value
                            
                            	Constraint value
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: constraint_type
                            
                            	Constraint type
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: constraint_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: extended_forward_ref_value
                            
                            	Reference bits for undefined affinity names
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: forward_ref_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.constraint_extended_value = YLeafList()
                                self.constraint_extended_value.parent = self
                                self.constraint_extended_value.name = 'constraint_extended_value'
                                self.constraint_type = None
                                self.constraint_value = None
                                self.extended_forward_ref_value = YLeafList()
                                self.extended_forward_ref_value.parent = self
                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                self.forward_ref_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.constraint_extended_value is not None:
                                    for child in self.constraint_extended_value:
                                        if child is not None:
                                            return True

                                if self.constraint_type is not None:
                                    return True

                                if self.constraint_value is not None:
                                    return True

                                if self.extended_forward_ref_value is not None:
                                    for child in self.extended_forward_ref_value:
                                        if child is not None:
                                            return True

                                if self.forward_ref_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.affinity_bits is not None:
                                return True

                            if self.affinity_mask is not None:
                                return True

                            if self.named_affinity is not None:
                                for child_ref in self.named_affinity:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2mpte'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.affinity is not None and self.affinity._has_data():
                            return True

                        if self.configured_bandwidth is not None:
                            return True

                        if self.dste_class_type is not None:
                            return True

                        if self.fast_reroute is not None:
                            return True

                        if self.frr_bandwidth_protection is not None:
                            return True

                        if self.hold_priority is not None:
                            return True

                        if self.is_affinity_configured is not None:
                            return True

                        if self.is_bandwidth_configured is not None:
                            return True

                        if self.is_priority_configured is not None:
                            return True

                        if self.setup_priority is not None:
                            return True

                        if self.tunnel_id is not None:
                            for child in self.tunnel_id:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']


                class AttributeSetApsPp(object):
                    """
                    Attribute Set OTN APS Path Protection
                    
                    .. attribute:: hold_off_time
                    
                    	Hold\-off time
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_prot_profile_type
                    
                    	Path Protection Profile Type
                    	**type**\:   :py:class:`TePathProtProfileEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathProtProfileEnum>`
                    
                    .. attribute:: protection_mode
                    
                    	Protection Restoration Mode
                    	**type**\:   :py:class:`TePnrRevertOptionsEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePnrRevertOptionsEnum>`
                    
                    .. attribute:: protection_type
                    
                    	Protection Type
                    	**type**\:   :py:class:`TeProtectEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProtectEnum>`
                    
                    .. attribute:: restoration_style
                    
                    	Restoration Style
                    	**type**\:   :py:class:`TeRestorationStyleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeRestorationStyleEnum>`
                    
                    .. attribute:: revert_schedule
                    
                    	Revert Schedule
                    	**type**\:   :py:class:`RevertSchedule <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule>`
                    
                    .. attribute:: snc_mode
                    
                    	Sub\-network Connection Mode
                    	**type**\:   :py:class:`TeApsSncModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeApsSncModeEnum>`
                    
                    .. attribute:: tcm_id
                    
                    	Sub\-network Connection Monitoring Mode
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: wait_to_restore_time
                    
                    	Wait to restore time
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.hold_off_time = None
                        self.path_prot_profile_type = None
                        self.protection_mode = None
                        self.protection_type = None
                        self.restoration_style = None
                        self.revert_schedule = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule()
                        self.revert_schedule.parent = self
                        self.snc_mode = None
                        self.tcm_id = None
                        self.wait_to_restore_time = None


                    class RevertSchedule(object):
                        """
                        Revert Schedule
                        
                        .. attribute:: duration
                        
                        	Duration for scheduled reversion
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: max_tries
                        
                        	Max tries for scheduled reversion
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: schedule_date
                        
                        	Schedule time for reversion
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: schedule_frequency
                        
                        	Schedule frequency for reversion
                        	**type**\:   :py:class:`TeSchFreqEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSchFreqEnum>`
                        
                        .. attribute:: schedulename
                        
                        	Schedule name identifier
                        	**type**\:  str
                        
                        	**length:** 0..255
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.duration = None
                            self.max_tries = None
                            self.schedule_date = None
                            self.schedule_frequency = None
                            self.schedulename = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:revert-schedule'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.duration is not None:
                                return True

                            if self.max_tries is not None:
                                return True

                            if self.schedule_date is not None:
                                return True

                            if self.schedule_frequency is not None:
                                return True

                            if self.schedulename is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-aps-pp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.hold_off_time is not None:
                            return True

                        if self.path_prot_profile_type is not None:
                            return True

                        if self.protection_mode is not None:
                            return True

                        if self.protection_type is not None:
                            return True

                        if self.restoration_style is not None:
                            return True

                        if self.revert_schedule is not None and self.revert_schedule._has_data():
                            return True

                        if self.snc_mode is not None:
                            return True

                        if self.tcm_id is not None:
                            return True

                        if self.wait_to_restore_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']


                class AttributeSetP2PTe(object):
                    """
                    MPLS TE P2P\-TE Attribute Set
                    
                    .. attribute:: affinity
                    
                    	Affinity
                    	**type**\:   :py:class:`Affinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity>`
                    
                    .. attribute:: is_affinity_configured
                    
                    	Is affinity configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_invalidation_action_configured
                    
                    	Is Path Invalidation action configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_invalidation_timeout_configured
                    
                    	Is Path Invalidation timeout configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_select_configured
                    
                    	Is any of the path selection parameters configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_selection_metric_configured
                    
                    	Is path selection metric configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_selection_segment_routing_adjacency_protection_configured
                    
                    	Is path selection segment routing configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_selection_segment_routing_margin_configured
                    
                    	Is path selection margin configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_selection_segment_routing_margin_relative
                    
                    	Path selection margin is\_relative
                    	**type**\:  bool
                    
                    .. attribute:: is_path_selection_segment_routing_segment_limit_configured
                    
                    	Is path selection segment limit configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pce_configured
                    
                    	Is PCE Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pce_disj_group_id_configured
                    
                    	Is PCE Disjoint Path Group ID Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pce_disj_source_configured
                    
                    	Is PCE Disjoint Path Source Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pce_disj_type_configured
                    
                    	Is PCE Disjoint Path Type Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pceb_dj_source_configured
                    
                    	Is PCE Bidirectional Source Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_pcebd_group_id_configured
                    
                    	Is PCE Bidirectional Group ID Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_prepend_list_configured
                    
                    	Is SR prepend list configured
                    	**type**\:  bool
                    
                    .. attribute:: logging
                    
                    	Logging attributes
                    	**type**\:   :py:class:`Logging <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging>`
                    
                    .. attribute:: path_invalidation_timeout
                    
                    	Path invalidation timeout on the tunnel path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_selection_invalidation_action
                    
                    	Path invalidation action
                    	**type**\:   :py:class:`TePathInvalActionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathInvalActionEnum>`
                    
                    .. attribute:: path_selection_metric
                    
                    	Path selection metric type
                    	**type**\:   :py:class:`MplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricEnum>`
                    
                    .. attribute:: path_selection_segment_routing_adjacency_protection
                    
                    	Path selection segment\-routing type
                    	**type**\:   :py:class:`TeS2LSrPathSelectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LSrPathSelectionEnum>`
                    
                    .. attribute:: path_selection_segment_routing_margin
                    
                    	Path selection margin
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_selection_segment_routing_segment_limit
                    
                    	Is path selection segment limit configured
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pcebd_group_id
                    
                    	PCE Bidirectional Group ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pcebd_source_address
                    
                    	PCE Bidirectional Source Address
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pcedp_group_id
                    
                    	PCE Disjoint Path Group ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pcedp_source_address
                    
                    	PCE Disjoint Path Source Address
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pcedp_type
                    
                    	PCE Disjoint Path Type
                    	**type**\:   :py:class:`TePceDisjointEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePceDisjointEnum>`
                    
                    .. attribute:: prepend_list
                    
                    	SR prepend list
                    	**type**\:   :py:class:`PrependList <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList>`
                    
                    .. attribute:: tunnel_id
                    
                    	Tunnel ID
                    	**type**\:  list of int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.affinity = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity()
                        self.affinity.parent = self
                        self.is_affinity_configured = None
                        self.is_path_invalidation_action_configured = None
                        self.is_path_invalidation_timeout_configured = None
                        self.is_path_select_configured = None
                        self.is_path_selection_metric_configured = None
                        self.is_path_selection_segment_routing_adjacency_protection_configured = None
                        self.is_path_selection_segment_routing_margin_configured = None
                        self.is_path_selection_segment_routing_margin_relative = None
                        self.is_path_selection_segment_routing_segment_limit_configured = None
                        self.is_pce_configured = None
                        self.is_pce_disj_group_id_configured = None
                        self.is_pce_disj_source_configured = None
                        self.is_pce_disj_type_configured = None
                        self.is_pceb_dj_source_configured = None
                        self.is_pcebd_group_id_configured = None
                        self.is_prepend_list_configured = None
                        self.logging = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging()
                        self.logging.parent = self
                        self.path_invalidation_timeout = None
                        self.path_selection_invalidation_action = None
                        self.path_selection_metric = None
                        self.path_selection_segment_routing_adjacency_protection = None
                        self.path_selection_segment_routing_margin = None
                        self.path_selection_segment_routing_segment_limit = None
                        self.pcebd_group_id = None
                        self.pcebd_source_address = None
                        self.pcedp_group_id = None
                        self.pcedp_source_address = None
                        self.pcedp_type = None
                        self.prepend_list = MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList()
                        self.prepend_list.parent = self
                        self.tunnel_id = YLeafList()
                        self.tunnel_id.parent = self
                        self.tunnel_id.name = 'tunnel_id'


                    class Affinity(object):
                        """
                        Affinity
                        
                        .. attribute:: affinity_bits
                        
                        	The affinity bits (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: affinity_mask
                        
                        	The affinity mask (colors)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: named_affinity
                        
                        	Array of name based constratints currently applied to the tunnel
                        	**type**\: list of    :py:class:`NamedAffinity <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.affinity_bits = None
                            self.affinity_mask = None
                            self.named_affinity = YList()
                            self.named_affinity.parent = self
                            self.named_affinity.name = 'named_affinity'


                        class NamedAffinity(object):
                            """
                            Array of name based constratints currently
                            applied to the tunnel
                            
                            .. attribute:: constraint_extended_value
                            
                            	Constraint value
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: constraint_type
                            
                            	Constraint type
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            .. attribute:: constraint_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: extended_forward_ref_value
                            
                            	Reference bits for undefined affinity names
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: forward_ref_value
                            
                            	Deprecated
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.constraint_extended_value = YLeafList()
                                self.constraint_extended_value.parent = self
                                self.constraint_extended_value.name = 'constraint_extended_value'
                                self.constraint_type = None
                                self.constraint_value = None
                                self.extended_forward_ref_value = YLeafList()
                                self.extended_forward_ref_value.parent = self
                                self.extended_forward_ref_value.name = 'extended_forward_ref_value'
                                self.forward_ref_value = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:named-affinity'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.constraint_extended_value is not None:
                                    for child in self.constraint_extended_value:
                                        if child is not None:
                                            return True

                                if self.constraint_type is not None:
                                    return True

                                if self.constraint_value is not None:
                                    return True

                                if self.extended_forward_ref_value is not None:
                                    for child in self.extended_forward_ref_value:
                                        if child is not None:
                                            return True

                                if self.forward_ref_value is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:affinity'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.affinity_bits is not None:
                                return True

                            if self.affinity_mask is not None:
                                return True

                            if self.named_affinity is not None:
                                for child_ref in self.named_affinity:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']


                    class Logging(object):
                        """
                        Logging attributes
                        
                        .. attribute:: all_logging_enabled
                        
                        	All logging option\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_bandwidth_change
                        
                        	LSP bandwidth change logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_insufficient_bw
                        
                        	LSP insufficient bandwidth logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_pcalc_failure_logging_enabled
                        
                        	LSP pcalc failure logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_re_opt
                        
                        	LSP re\-optimization logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_re_route
                        
                        	LSP re\-route logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: lsp_state
                        
                        	LSP State logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        .. attribute:: s2l_state
                        
                        	S2L State logging\: TRUE \- enabled, FALSE \- disabled
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.all_logging_enabled = None
                            self.lsp_bandwidth_change = None
                            self.lsp_insufficient_bw = None
                            self.lsp_pcalc_failure_logging_enabled = None
                            self.lsp_re_opt = None
                            self.lsp_re_route = None
                            self.lsp_state = None
                            self.s2l_state = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:logging'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.all_logging_enabled is not None:
                                return True

                            if self.lsp_bandwidth_change is not None:
                                return True

                            if self.lsp_insufficient_bw is not None:
                                return True

                            if self.lsp_pcalc_failure_logging_enabled is not None:
                                return True

                            if self.lsp_re_opt is not None:
                                return True

                            if self.lsp_re_route is not None:
                                return True

                            if self.lsp_state is not None:
                                return True

                            if self.s2l_state is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info']


                    class PrependList(object):
                        """
                        SR prepend list
                        
                        .. attribute:: prepend_entry
                        
                        	List of prepend entries
                        	**type**\: list of    :py:class:`PrependEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.prepend_entry = YList()
                            self.prepend_entry.parent = self
                            self.prepend_entry.name = 'prepend_entry'


                        class PrependEntry(object):
                            """
                            List of prepend entries
                            
                            .. attribute:: index
                            
                            	Prepend index
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: next_label
                            
                            	Prepend next label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: type
                            
                            	Prepend Type
                            	**type**\:   :py:class:`TeAttributeSetSrPrependEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAttributeSetSrPrependEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.index = None
                                self.next_label = None
                                self.type = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-entry'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.index is not None:
                                    return True

                                if self.next_label is not None:
                                    return True

                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:prepend-list'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.prepend_entry is not None:
                                for child_ref in self.prepend_entry:
                                    if child_ref._has_data():
                                        return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-p2p-te'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.affinity is not None and self.affinity._has_data():
                            return True

                        if self.is_affinity_configured is not None:
                            return True

                        if self.is_path_invalidation_action_configured is not None:
                            return True

                        if self.is_path_invalidation_timeout_configured is not None:
                            return True

                        if self.is_path_select_configured is not None:
                            return True

                        if self.is_path_selection_metric_configured is not None:
                            return True

                        if self.is_path_selection_segment_routing_adjacency_protection_configured is not None:
                            return True

                        if self.is_path_selection_segment_routing_margin_configured is not None:
                            return True

                        if self.is_path_selection_segment_routing_margin_relative is not None:
                            return True

                        if self.is_path_selection_segment_routing_segment_limit_configured is not None:
                            return True

                        if self.is_pce_configured is not None:
                            return True

                        if self.is_pce_disj_group_id_configured is not None:
                            return True

                        if self.is_pce_disj_source_configured is not None:
                            return True

                        if self.is_pce_disj_type_configured is not None:
                            return True

                        if self.is_pceb_dj_source_configured is not None:
                            return True

                        if self.is_pcebd_group_id_configured is not None:
                            return True

                        if self.is_prepend_list_configured is not None:
                            return True

                        if self.logging is not None and self.logging._has_data():
                            return True

                        if self.path_invalidation_timeout is not None:
                            return True

                        if self.path_selection_invalidation_action is not None:
                            return True

                        if self.path_selection_metric is not None:
                            return True

                        if self.path_selection_segment_routing_adjacency_protection is not None:
                            return True

                        if self.path_selection_segment_routing_margin is not None:
                            return True

                        if self.path_selection_segment_routing_segment_limit is not None:
                            return True

                        if self.pcebd_group_id is not None:
                            return True

                        if self.pcebd_source_address is not None:
                            return True

                        if self.pcedp_group_id is not None:
                            return True

                        if self.pcedp_source_address is not None:
                            return True

                        if self.pcedp_type is not None:
                            return True

                        if self.prepend_list is not None and self.prepend_list._has_data():
                            return True

                        if self.tunnel_id is not None:
                            for child in self.tunnel_id:
                                if child is not None:
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:attribute-set-union'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.attribute_set_aps_pp is not None and self.attribute_set_aps_pp._has_data():
                        return True

                    if self.attribute_set_autobackup is not None and self.attribute_set_autobackup._has_data():
                        return True

                    if self.attribute_set_automesh is not None and self.attribute_set_automesh._has_data():
                        return True

                    if self.attribute_set_p2mpte is not None and self.attribute_set_p2mpte._has_data():
                        return True

                    if self.attribute_set_p2p_te is not None and self.attribute_set_p2p_te._has_data():
                        return True

                    if self.attribute_set_path_option is not None and self.attribute_set_path_option._has_data():
                        return True

                    if self.attribute_set_xro is not None and self.attribute_set_xro._has_data():
                        return True

                    if self.tunnel_attribute_set_type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion']['meta_info']

            @property
            def _common_path(self):
                if self.attribute_set_name is None:
                    raise YPYModelError('Key property attribute_set_name is None')
                if self.attribute_set_type is None:
                    raise YPYModelError('Key property attribute_set_type is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:attribute-sets/Cisco-IOS-XR-mpls-te-oper:attribute-set[Cisco-IOS-XR-mpls-te-oper:attribute-set-name = ' + str(self.attribute_set_name) + '][Cisco-IOS-XR-mpls-te-oper:attribute-set-type = ' + str(self.attribute_set_type) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.attribute_set_name is not None:
                    return True

                if self.attribute_set_type is not None:
                    return True

                if self.attribute_set_union is not None and self.attribute_set_union._has_data():
                    return True

                if self.tunnel_attribute_set_name is not None:
                    return True

                if self.tunnel_attribute_set_name_crc32 is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.AttributeSets.AttributeSet']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:attribute-sets'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.attribute_set is not None:
                for child_ref in self.attribute_set:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.AttributeSets']['meta_info']


    class IgpAreaBriefs(object):
        """
        The set of IGP\-areas known to MPLS\-TE
        
        .. attribute:: igp_area_brief
        
        	An IGP instance Brief info
        	**type**\: list of    :py:class:`IgpAreaBrief <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.IgpAreaBriefs.IgpAreaBrief>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.igp_area_brief = YList()
            self.igp_area_brief.parent = self
            self.igp_area_brief.name = 'igp_area_brief'


        class IgpAreaBrief(object):
            """
            An IGP instance Brief info
            
            .. attribute:: process_tag  <key>
            
            	IGP Process Tag
            	**type**\:  str
            
            	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
            
            .. attribute:: protocol  <key>
            
            	The IGP protocol
            	**type**\:   :py:class:`MplsTeIgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeIgpProtocolEnum>`
            
            .. attribute:: area
            
            	IGP area information
            	**type**\: list of    :py:class:`Area <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.IgpAreaBriefs.IgpAreaBrief.Area>`
            
            .. attribute:: configured_te_router_id
            
            	Configured TE router\-id
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: connection_down_count
            
            	Number of times IGP connection has gone down
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: connection_up_count
            
            	Number of times IGP connection has gone up
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: global_router_id
            
            	Global router\-id
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: globall_router_id_optical
            
            	Global router\-id for GMPLS (optical TE)
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: igp_system_id
            
            	 The IGP instance's system/router\-id; interpret appropriately depending on IGP type
            	**type**\:  str
            
            .. attribute:: igp_type
            
            	IGP type
            	**type**\:   :py:class:`IgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpProtocolEnum>`
            
            .. attribute:: in_use_te_router_id
            
            	TE router\-id in use
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: instance_name
            
            	 The IGP instance name
            	**type**\:  str
            
            .. attribute:: is_connection_up
            
            	Flag to indicate whether the IGP connection is open or not
            	**type**\:  bool
            
            .. attribute:: secondary_router_id
            
            	Secondary router\-ids
            	**type**\:  list of str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.process_tag = None
                self.protocol = None
                self.area = YList()
                self.area.parent = self
                self.area.name = 'area'
                self.configured_te_router_id = None
                self.connection_down_count = None
                self.connection_up_count = None
                self.global_router_id = None
                self.globall_router_id_optical = None
                self.igp_system_id = None
                self.igp_type = None
                self.in_use_te_router_id = None
                self.instance_name = None
                self.is_connection_up = None
                self.secondary_router_id = YLeafList()
                self.secondary_router_id.parent = self
                self.secondary_router_id.name = 'secondary_router_id'


            class Area(object):
                """
                IGP area information
                
                .. attribute:: active_data
                
                	Data which applies only to an active area
                	**type**\:   :py:class:`ActiveData <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData>`
                
                .. attribute:: area_format
                
                	IGP Area Format
                	**type**\:   :py:class:`IgpOspfAreaFormatEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpOspfAreaFormatEnum>`
                
                .. attribute:: area_index
                
                	Internal area index
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: area_number
                
                	Area number
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: is_config_ready
                
                	Indicates whether or not the area is correctly configured under the IGP submode to run TE
                	**type**\:  bool
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.active_data = MplsTeStandby.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData()
                    self.active_data.parent = self
                    self.area_format = None
                    self.area_index = None
                    self.area_number = None
                    self.is_config_ready = None


                class ActiveData(object):
                    """
                    Data which applies only to an active area
                    
                    .. attribute:: area_statistics
                    
                    	Area communication statistics
                    	**type**\:   :py:class:`AreaStatistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData.AreaStatistics>`
                    
                    .. attribute:: interfaces_count
                    
                    	Number of interfaces running over this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: link_idt_received
                    
                    	Flag to indicate IDT for link adjacencies was received
                    	**type**\:  bool
                    
                    .. attribute:: p2mp_destination_count
                    
                    	Number of P2MP destinations whose path was calculated over this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: p2p_autoroute_announced_count
                    
                    	Number of p2p tunnel heads which have been autoroute\-announced into this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: p2p_forwarding_adjacency_count
                    
                    	Number of p2p tunnel heads which have been announced as forwarding adjacencies in this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: p2p_heads_count
                    
                    	Number of p2p tunnel heads whose path was calculated over this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sr_strict
                    
                    	Flag to indicate if the area is SR strict
                    	**type**\:  bool
                    
                    .. attribute:: topology_idt_received
                    
                    	Flag to indicate IDT topology was received
                    	**type**\:  bool
                    
                    .. attribute:: tunnel_loose_hops
                    
                    	Number of tunnels with a loose hop ERO expanded in this area
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.area_statistics = MplsTeStandby.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData.AreaStatistics()
                        self.area_statistics.parent = self
                        self.interfaces_count = None
                        self.link_idt_received = None
                        self.p2mp_destination_count = None
                        self.p2p_autoroute_announced_count = None
                        self.p2p_forwarding_adjacency_count = None
                        self.p2p_heads_count = None
                        self.sr_strict = None
                        self.topology_idt_received = None
                        self.tunnel_loose_hops = None


                    class AreaStatistics(object):
                        """
                        Area communication statistics
                        
                        .. attribute:: area_adjacency_announce_messages
                        
                        	Number of adjacency announcement messages received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_adjacency_request_messages
                        
                        	Number of adjacency request messages sent
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_flood_messages
                        
                        	Number of local LSA floods sent
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_lsa_announce_messages
                        
                        	Number of LSA announcement messages received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_lsa_delete_messages
                        
                        	Number of LSA delete messages received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_lsa_fragment_announce_messages
                        
                        	Number of LSA fragment announcement messages received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_lsa_fragment_delete_messages
                        
                        	Number of LSA fragment delete messages received
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area_tunnel_announce_messages
                        
                        	Number of tunnel announcement messages sent
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.area_adjacency_announce_messages = None
                            self.area_adjacency_request_messages = None
                            self.area_flood_messages = None
                            self.area_lsa_announce_messages = None
                            self.area_lsa_delete_messages = None
                            self.area_lsa_fragment_announce_messages = None
                            self.area_lsa_fragment_delete_messages = None
                            self.area_tunnel_announce_messages = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:area-statistics'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.area_adjacency_announce_messages is not None:
                                return True

                            if self.area_adjacency_request_messages is not None:
                                return True

                            if self.area_flood_messages is not None:
                                return True

                            if self.area_lsa_announce_messages is not None:
                                return True

                            if self.area_lsa_delete_messages is not None:
                                return True

                            if self.area_lsa_fragment_announce_messages is not None:
                                return True

                            if self.area_lsa_fragment_delete_messages is not None:
                                return True

                            if self.area_tunnel_announce_messages is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData.AreaStatistics']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:active-data'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.area_statistics is not None and self.area_statistics._has_data():
                            return True

                        if self.interfaces_count is not None:
                            return True

                        if self.link_idt_received is not None:
                            return True

                        if self.p2mp_destination_count is not None:
                            return True

                        if self.p2p_autoroute_announced_count is not None:
                            return True

                        if self.p2p_forwarding_adjacency_count is not None:
                            return True

                        if self.p2p_heads_count is not None:
                            return True

                        if self.sr_strict is not None:
                            return True

                        if self.topology_idt_received is not None:
                            return True

                        if self.tunnel_loose_hops is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:area'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.active_data is not None and self.active_data._has_data():
                        return True

                    if self.area_format is not None:
                        return True

                    if self.area_index is not None:
                        return True

                    if self.area_number is not None:
                        return True

                    if self.is_config_ready is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.IgpAreaBriefs.IgpAreaBrief.Area']['meta_info']

            @property
            def _common_path(self):
                if self.process_tag is None:
                    raise YPYModelError('Key property process_tag is None')
                if self.protocol is None:
                    raise YPYModelError('Key property protocol is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:igp-area-briefs/Cisco-IOS-XR-mpls-te-oper:igp-area-brief[Cisco-IOS-XR-mpls-te-oper:process-tag = ' + str(self.process_tag) + '][Cisco-IOS-XR-mpls-te-oper:protocol = ' + str(self.protocol) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.process_tag is not None:
                    return True

                if self.protocol is not None:
                    return True

                if self.area is not None:
                    for child_ref in self.area:
                        if child_ref._has_data():
                            return True

                if self.configured_te_router_id is not None:
                    return True

                if self.connection_down_count is not None:
                    return True

                if self.connection_up_count is not None:
                    return True

                if self.global_router_id is not None:
                    return True

                if self.globall_router_id_optical is not None:
                    return True

                if self.igp_system_id is not None:
                    return True

                if self.igp_type is not None:
                    return True

                if self.in_use_te_router_id is not None:
                    return True

                if self.instance_name is not None:
                    return True

                if self.is_connection_up is not None:
                    return True

                if self.secondary_router_id is not None:
                    for child in self.secondary_router_id:
                        if child is not None:
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.IgpAreaBriefs.IgpAreaBrief']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:igp-area-briefs'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.igp_area_brief is not None:
                for child_ref in self.igp_area_brief:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.IgpAreaBriefs']['meta_info']


    class Tunnels(object):
        """
        Failure protection provided for tunnels
        
        .. attribute:: summary
        
        	Summary of tunnel info
        	**type**\:   :py:class:`Summary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary>`
        
        .. attribute:: tunnel_auto_bandwidths
        
        	Auto Bandwidth Brief Table
        	**type**\:   :py:class:`TunnelAutoBandwidths <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelAutoBandwidths>`
        
        .. attribute:: tunnel_flex_lsps
        
        	Flex LSP
        	**type**\:   :py:class:`TunnelFlexLsps <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps>`
        
        .. attribute:: tunnel_path_protections
        
        	Path protection
        	**type**\:   :py:class:`TunnelPathProtections <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelPathProtections>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.summary = MplsTeStandby.Tunnels.Summary()
            self.summary.parent = self
            self.tunnel_auto_bandwidths = MplsTeStandby.Tunnels.TunnelAutoBandwidths()
            self.tunnel_auto_bandwidths.parent = self
            self.tunnel_flex_lsps = MplsTeStandby.Tunnels.TunnelFlexLsps()
            self.tunnel_flex_lsps.parent = self
            self.tunnel_path_protections = MplsTeStandby.Tunnels.TunnelPathProtections()
            self.tunnel_path_protections.parent = self


        class TunnelFlexLsps(object):
            """
            Flex LSP
            
            .. attribute:: tunnel_flex_lsp
            
            	Flex LSP
            	**type**\: list of    :py:class:`TunnelFlexLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tunnel_flex_lsp = YList()
                self.tunnel_flex_lsp.parent = self
                self.tunnel_flex_lsp.name = 'tunnel_flex_lsp'


            class TunnelFlexLsp(object):
                """
                Flex LSP
                
                .. attribute:: ctype
                
                	Ctype
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: destination_address
                
                	Destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: is_tunnel_up
                
                	Tunnel UP
                	**type**\:  bool
                
                .. attribute:: protect_lsp
                
                	 Protect LSP info
                	**type**\:   :py:class:`ProtectLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp>`
                
                .. attribute:: source_address
                
                	Source
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tun_id
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: tunnel_id
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: tunnel_name
                
                	Tunnel Name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: working_lsp
                
                	 Working LSP info
                	**type**\:   :py:class:`WorkingLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ctype = None
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.is_tunnel_up = None
                    self.protect_lsp = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp()
                    self.protect_lsp.parent = self
                    self.source_address = None
                    self.tun_id = None
                    self.tunnel_id = None
                    self.tunnel_name = None
                    self.working_lsp = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp()
                    self.working_lsp.parent = self


                class WorkingLsp(object):
                    """
                     Working LSP info
                    
                    .. attribute:: association
                    
                    	Association Object
                    	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Association>`
                    
                    .. attribute:: flex_info
                    
                    	Flex Info
                    	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo>`
                    
                    .. attribute:: is_operational
                    
                    	Operational
                    	**type**\:  bool
                    
                    .. attribute:: lsp_hop
                    
                    	Path used by LSP
                    	**type**\: list of    :py:class:`LspHop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop>`
                    
                    .. attribute:: lsp_local_label
                    
                    	Local label 
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_mode
                    
                    	LSP mode
                    	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                    
                    .. attribute:: lsp_output_interface
                    
                    	Output interface of LSP
                    	**type**\:  str
                    
                    .. attribute:: lsp_output_label
                    
                    	Output label of the LSP
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_state
                    
                    	LSP State
                    	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                    
                    .. attribute:: lsp_uptime
                    
                    	LSP Uptime
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_protection_lsp_id
                    
                    	LSP ID 
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: protection
                    
                    	Protection Object
                    	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Protection>`
                    
                    .. attribute:: reverse_lsp
                    
                    	Reverse LSP information
                    	**type**\:   :py:class:`ReverseLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.association = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Association()
                        self.association.parent = self
                        self.flex_info = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo()
                        self.flex_info.parent = self
                        self.is_operational = None
                        self.lsp_hop = YList()
                        self.lsp_hop.parent = self
                        self.lsp_hop.name = 'lsp_hop'
                        self.lsp_local_label = None
                        self.lsp_mode = None
                        self.lsp_output_interface = None
                        self.lsp_output_label = None
                        self.lsp_state = None
                        self.lsp_uptime = None
                        self.path_protection_lsp_id = None
                        self.protection = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Protection()
                        self.protection.parent = self
                        self.reverse_lsp = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp()
                        self.reverse_lsp.parent = self


                    class FlexInfo(object):
                        """
                        Flex Info
                        
                        .. attribute:: bfd_created
                        
                        	GAL BFD Session Created
                        	**type**\:  bool
                        
                        .. attribute:: bfd_egress_label
                        
                        	BFD Egress Label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bfd_int_label
                        
                        	BFD Internal Label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bfd_next_hop
                        
                        	BFD Next Hop
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: bfd_out_ifh
                        
                        	BFD Out Interface Handle
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: bfd_tun_ifh
                        
                        	BFD Tunnel Interface Handle
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: bfd_up
                        
                        	GAL BFD Session Up
                        	**type**\:  bool
                        
                        .. attribute:: entry_exists
                        
                        	FlexLSP Entry Exists
                        	**type**\:  bool
                        
                        .. attribute:: fault_ais
                        
                        	Fault AIS
                        	**type**\:  bool
                        
                        .. attribute:: fault_ldi
                        
                        	Fault LDI
                        	**type**\:  bool
                        
                        .. attribute:: fault_ldi_lockout
                        
                        	Fault LDI Lockout
                        	**type**\:  bool
                        
                        .. attribute:: fault_lkr
                        
                        	Fault LKR
                        	**type**\:  bool
                        
                        .. attribute:: fault_time
                        
                        	Fault Time
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: flex_fec
                        
                        	FEC for the FlexLSP Entry
                        	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo.FlexFec>`
                        
                        .. attribute:: in_label
                        
                        	In Label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: oam_created
                        
                        	OAM Entry Created
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bfd_created = None
                            self.bfd_egress_label = None
                            self.bfd_int_label = None
                            self.bfd_next_hop = None
                            self.bfd_out_ifh = None
                            self.bfd_tun_ifh = None
                            self.bfd_up = None
                            self.entry_exists = None
                            self.fault_ais = None
                            self.fault_ldi = None
                            self.fault_ldi_lockout = None
                            self.fault_lkr = None
                            self.fault_time = None
                            self.flex_fec = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo.FlexFec()
                            self.flex_fec.parent = self
                            self.in_label = None
                            self.oam_created = None


                        class FlexFec(object):
                            """
                            FEC for the FlexLSP Entry
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:flex-info/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo.FlexFec']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:flex-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bfd_created is not None:
                                return True

                            if self.bfd_egress_label is not None:
                                return True

                            if self.bfd_int_label is not None:
                                return True

                            if self.bfd_next_hop is not None:
                                return True

                            if self.bfd_out_ifh is not None:
                                return True

                            if self.bfd_tun_ifh is not None:
                                return True

                            if self.bfd_up is not None:
                                return True

                            if self.entry_exists is not None:
                                return True

                            if self.fault_ais is not None:
                                return True

                            if self.fault_ldi is not None:
                                return True

                            if self.fault_ldi_lockout is not None:
                                return True

                            if self.fault_lkr is not None:
                                return True

                            if self.fault_time is not None:
                                return True

                            if self.flex_fec is not None and self.flex_fec._has_data():
                                return True

                            if self.in_label is not None:
                                return True

                            if self.oam_created is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo']['meta_info']


                    class Association(object):
                        """
                        Association Object
                        
                        .. attribute:: s2l_association_id
                        
                        	S2L Association ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_association_source
                        
                        	S2L Association Source
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: s2l_association_tie_role
                        
                        	S2L Association Tie Role
                        	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                        
                        .. attribute:: s2l_association_type
                        
                        	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_extended_id
                        
                        	S2L Extended ID Array
                        	**type**\:  list of int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_global_source
                        
                        	S2L Global Source
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.s2l_association_id = None
                            self.s2l_association_source = None
                            self.s2l_association_tie_role = None
                            self.s2l_association_type = None
                            self.s2l_extended_id = YLeafList()
                            self.s2l_extended_id.parent = self
                            self.s2l_extended_id.name = 's2l_extended_id'
                            self.s2l_global_source = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:association'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.s2l_association_id is not None:
                                return True

                            if self.s2l_association_source is not None:
                                return True

                            if self.s2l_association_tie_role is not None:
                                return True

                            if self.s2l_association_type is not None:
                                return True

                            if self.s2l_extended_id is not None:
                                for child in self.s2l_extended_id:
                                    if child is not None:
                                        return True

                            if self.s2l_global_source is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Association']['meta_info']


                    class Protection(object):
                        """
                        Protection Object
                        
                        .. attribute:: any
                        
                        	Any
                        	**type**\:  bool
                        
                        .. attribute:: ded1_plus1
                        
                        	Dedicated 1+1 Protection
                        	**type**\:  bool
                        
                        .. attribute:: ded1_to1
                        
                        	Dedicated 1\:1 Protection
                        	**type**\:  bool
                        
                        .. attribute:: enhanced
                        
                        	Indicates Enhanced Protection Scheme
                        	**type**\:  bool
                        
                        .. attribute:: extra_traffic
                        
                        	LSP should use Links that are protecting other (primary) traffic
                        	**type**\:  bool
                        
                        .. attribute:: link_unprotected
                        
                        	LSP should not use any Link Layer Protection
                        	**type**\:  bool
                        
                        .. attribute:: lsp_unprotected
                        
                        	LSP Flags Unprotected
                        	**type**\:  bool
                        
                        .. attribute:: one_plus_one_bi
                        
                        	1+1 Bidirectional Protection
                        	**type**\:  bool
                        
                        .. attribute:: one_plus_one_uni
                        
                        	1+1 Unidirectional Protection
                        	**type**\:  bool
                        
                        .. attribute:: one_to_n_protection_et
                        
                        	1\:N Protection with Extra\-Traffic
                        	**type**\:  bool
                        
                        .. attribute:: rerouting
                        
                        	Full Rerouting
                        	**type**\:  bool
                        
                        .. attribute:: rerouting_no_et
                        
                        	Rerouting Without Extra\-Traffic
                        	**type**\:  bool
                        
                        .. attribute:: s2l_notification
                        
                        	 S2L Protection Notification Bit
                        	**type**\:  bool
                        
                        .. attribute:: s2l_operational
                        
                        	 S2L Protection Operational Bit
                        	**type**\:  bool
                        
                        .. attribute:: s2l_protecting
                        
                        	 S2L Protection Protecting Bit
                        	**type**\:  bool
                        
                        .. attribute:: s2l_secondary
                        
                        	 S2L Protection Secondary Bit
                        	**type**\:  bool
                        
                        .. attribute:: shared
                        
                        	Shared Link Layer Protection
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.any = None
                            self.ded1_plus1 = None
                            self.ded1_to1 = None
                            self.enhanced = None
                            self.extra_traffic = None
                            self.link_unprotected = None
                            self.lsp_unprotected = None
                            self.one_plus_one_bi = None
                            self.one_plus_one_uni = None
                            self.one_to_n_protection_et = None
                            self.rerouting = None
                            self.rerouting_no_et = None
                            self.s2l_notification = None
                            self.s2l_operational = None
                            self.s2l_protecting = None
                            self.s2l_secondary = None
                            self.shared = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:protection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.any is not None:
                                return True

                            if self.ded1_plus1 is not None:
                                return True

                            if self.ded1_to1 is not None:
                                return True

                            if self.enhanced is not None:
                                return True

                            if self.extra_traffic is not None:
                                return True

                            if self.link_unprotected is not None:
                                return True

                            if self.lsp_unprotected is not None:
                                return True

                            if self.one_plus_one_bi is not None:
                                return True

                            if self.one_plus_one_uni is not None:
                                return True

                            if self.one_to_n_protection_et is not None:
                                return True

                            if self.rerouting is not None:
                                return True

                            if self.rerouting_no_et is not None:
                                return True

                            if self.s2l_notification is not None:
                                return True

                            if self.s2l_operational is not None:
                                return True

                            if self.s2l_protecting is not None:
                                return True

                            if self.s2l_secondary is not None:
                                return True

                            if self.shared is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Protection']['meta_info']


                    class ReverseLsp(object):
                        """
                        Reverse LSP information
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Association>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Protection>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.association = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Association()
                            self.association.parent = self
                            self.protection = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Protection()
                            self.protection.parent = self
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_present = None


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Protection']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.association is not None and self.association._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp']['meta_info']


                    class LspHop(object):
                        """
                        Path used by LSP
                        
                        .. attribute:: ero_type
                        
                        	EROType
                        	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                        
                        .. attribute:: ipv4ero_sub_object
                        
                        	IPV4 ERO Sub Object
                        	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.Ipv4EroSubObject>`
                        
                        .. attribute:: unnumbered_ero_sub_object
                        
                        	Unnumbered ERO Sub Object
                        	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.UnnumberedEroSubObject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_type = None
                            self.ipv4ero_sub_object = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.Ipv4EroSubObject()
                            self.ipv4ero_sub_object.parent = self
                            self.unnumbered_ero_sub_object = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.UnnumberedEroSubObject()
                            self.unnumbered_ero_sub_object.parent = self


                        class Ipv4EroSubObject(object):
                            """
                            IPV4 ERO Sub Object
                            
                            .. attribute:: ero_address
                            
                            	The ERO IPV4 Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: prefix_length
                            
                            	ERO Prefix Length
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_address = None
                                self.is_strict_route = None
                                self.prefix_length = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_address is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.prefix_length is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.Ipv4EroSubObject']['meta_info']


                        class UnnumberedEroSubObject(object):
                            """
                            Unnumbered ERO Sub Object
                            
                            .. attribute:: ero_interface_id
                            
                            	The Interface ID in ERO
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: ero_router_id
                            
                            	The Router ID in ERO
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: status
                            
                            	Status of ERO
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_interface_id = None
                                self.ero_router_id = None
                                self.is_strict_route = None
                                self.status = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_interface_id is not None:
                                    return True

                                if self.ero_router_id is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.UnnumberedEroSubObject']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_type is not None:
                                return True

                            if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                return True

                            if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:working-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.association is not None and self.association._has_data():
                            return True

                        if self.flex_info is not None and self.flex_info._has_data():
                            return True

                        if self.is_operational is not None:
                            return True

                        if self.lsp_hop is not None:
                            for child_ref in self.lsp_hop:
                                if child_ref._has_data():
                                    return True

                        if self.lsp_local_label is not None:
                            return True

                        if self.lsp_mode is not None:
                            return True

                        if self.lsp_output_interface is not None:
                            return True

                        if self.lsp_output_label is not None:
                            return True

                        if self.lsp_state is not None:
                            return True

                        if self.lsp_uptime is not None:
                            return True

                        if self.path_protection_lsp_id is not None:
                            return True

                        if self.protection is not None and self.protection._has_data():
                            return True

                        if self.reverse_lsp is not None and self.reverse_lsp._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp']['meta_info']


                class ProtectLsp(object):
                    """
                     Protect LSP info
                    
                    .. attribute:: association
                    
                    	Association Object
                    	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Association>`
                    
                    .. attribute:: flex_info
                    
                    	Flex Info
                    	**type**\:   :py:class:`FlexInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo>`
                    
                    .. attribute:: is_operational
                    
                    	Operational
                    	**type**\:  bool
                    
                    .. attribute:: lsp_hop
                    
                    	Path used by LSP
                    	**type**\: list of    :py:class:`LspHop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop>`
                    
                    .. attribute:: lsp_local_label
                    
                    	Local label 
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_mode
                    
                    	LSP mode
                    	**type**\:   :py:class:`MplsTeLspModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspModeEnum>`
                    
                    .. attribute:: lsp_output_interface
                    
                    	Output interface of LSP
                    	**type**\:  str
                    
                    .. attribute:: lsp_output_label
                    
                    	Output label of the LSP
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_state
                    
                    	LSP State
                    	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                    
                    .. attribute:: lsp_uptime
                    
                    	LSP Uptime
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_protection_lsp_id
                    
                    	LSP ID 
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: protection
                    
                    	Protection Object
                    	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Protection>`
                    
                    .. attribute:: reverse_lsp
                    
                    	Reverse LSP information
                    	**type**\:   :py:class:`ReverseLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.association = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Association()
                        self.association.parent = self
                        self.flex_info = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo()
                        self.flex_info.parent = self
                        self.is_operational = None
                        self.lsp_hop = YList()
                        self.lsp_hop.parent = self
                        self.lsp_hop.name = 'lsp_hop'
                        self.lsp_local_label = None
                        self.lsp_mode = None
                        self.lsp_output_interface = None
                        self.lsp_output_label = None
                        self.lsp_state = None
                        self.lsp_uptime = None
                        self.path_protection_lsp_id = None
                        self.protection = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Protection()
                        self.protection.parent = self
                        self.reverse_lsp = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp()
                        self.reverse_lsp.parent = self


                    class FlexInfo(object):
                        """
                        Flex Info
                        
                        .. attribute:: bfd_created
                        
                        	GAL BFD Session Created
                        	**type**\:  bool
                        
                        .. attribute:: bfd_egress_label
                        
                        	BFD Egress Label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bfd_int_label
                        
                        	BFD Internal Label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: bfd_next_hop
                        
                        	BFD Next Hop
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: bfd_out_ifh
                        
                        	BFD Out Interface Handle
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: bfd_tun_ifh
                        
                        	BFD Tunnel Interface Handle
                        	**type**\:  str
                        
                        	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                        
                        .. attribute:: bfd_up
                        
                        	GAL BFD Session Up
                        	**type**\:  bool
                        
                        .. attribute:: entry_exists
                        
                        	FlexLSP Entry Exists
                        	**type**\:  bool
                        
                        .. attribute:: fault_ais
                        
                        	Fault AIS
                        	**type**\:  bool
                        
                        .. attribute:: fault_ldi
                        
                        	Fault LDI
                        	**type**\:  bool
                        
                        .. attribute:: fault_ldi_lockout
                        
                        	Fault LDI Lockout
                        	**type**\:  bool
                        
                        .. attribute:: fault_lkr
                        
                        	Fault LKR
                        	**type**\:  bool
                        
                        .. attribute:: fault_time
                        
                        	Fault Time
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: flex_fec
                        
                        	FEC for the FlexLSP Entry
                        	**type**\:   :py:class:`FlexFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo.FlexFec>`
                        
                        .. attribute:: in_label
                        
                        	In Label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: oam_created
                        
                        	OAM Entry Created
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bfd_created = None
                            self.bfd_egress_label = None
                            self.bfd_int_label = None
                            self.bfd_next_hop = None
                            self.bfd_out_ifh = None
                            self.bfd_tun_ifh = None
                            self.bfd_up = None
                            self.entry_exists = None
                            self.fault_ais = None
                            self.fault_ldi = None
                            self.fault_ldi_lockout = None
                            self.fault_lkr = None
                            self.fault_time = None
                            self.flex_fec = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo.FlexFec()
                            self.flex_fec.parent = self
                            self.in_label = None
                            self.oam_created = None


                        class FlexFec(object):
                            """
                            FEC for the FlexLSP Entry
                            
                            .. attribute:: s2l_fec_ctype
                            
                            	Session identifier (ctype)
                            	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                            
                            .. attribute:: s2l_fec_dest
                            
                            	sub\-LSP destination address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_p2mp_id
                            
                            	P2MP ID
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_fec_source
                            
                            	LSP source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_subgroup_id
                            
                            	sub\-LSP subgroup ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_subgroup_originator
                            
                            	Subgroup Originator
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_fec_ctype = None
                                self.s2l_fec_dest = None
                                self.s2l_fec_extended_tunnel_id = None
                                self.s2l_fec_lsp_id = None
                                self.s2l_fec_p2mp_id = None
                                self.s2l_fec_source = None
                                self.s2l_fec_subgroup_id = None
                                self.s2l_fec_subgroup_originator = None
                                self.s2l_fec_tunnel_id = None
                                self.s2l_fec_vrf = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:flex-info/Cisco-IOS-XR-mpls-te-oper:flex-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_fec_ctype is not None:
                                    return True

                                if self.s2l_fec_dest is not None:
                                    return True

                                if self.s2l_fec_extended_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_lsp_id is not None:
                                    return True

                                if self.s2l_fec_p2mp_id is not None:
                                    return True

                                if self.s2l_fec_source is not None:
                                    return True

                                if self.s2l_fec_subgroup_id is not None:
                                    return True

                                if self.s2l_fec_subgroup_originator is not None:
                                    return True

                                if self.s2l_fec_tunnel_id is not None:
                                    return True

                                if self.s2l_fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo.FlexFec']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:flex-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bfd_created is not None:
                                return True

                            if self.bfd_egress_label is not None:
                                return True

                            if self.bfd_int_label is not None:
                                return True

                            if self.bfd_next_hop is not None:
                                return True

                            if self.bfd_out_ifh is not None:
                                return True

                            if self.bfd_tun_ifh is not None:
                                return True

                            if self.bfd_up is not None:
                                return True

                            if self.entry_exists is not None:
                                return True

                            if self.fault_ais is not None:
                                return True

                            if self.fault_ldi is not None:
                                return True

                            if self.fault_ldi_lockout is not None:
                                return True

                            if self.fault_lkr is not None:
                                return True

                            if self.fault_time is not None:
                                return True

                            if self.flex_fec is not None and self.flex_fec._has_data():
                                return True

                            if self.in_label is not None:
                                return True

                            if self.oam_created is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo']['meta_info']


                    class Association(object):
                        """
                        Association Object
                        
                        .. attribute:: s2l_association_id
                        
                        	S2L Association ID
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_association_source
                        
                        	S2L Association Source
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: s2l_association_tie_role
                        
                        	S2L Association Tie Role
                        	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                        
                        .. attribute:: s2l_association_type
                        
                        	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_extended_id
                        
                        	S2L Extended ID Array
                        	**type**\:  list of int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: s2l_global_source
                        
                        	S2L Global Source
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.s2l_association_id = None
                            self.s2l_association_source = None
                            self.s2l_association_tie_role = None
                            self.s2l_association_type = None
                            self.s2l_extended_id = YLeafList()
                            self.s2l_extended_id.parent = self
                            self.s2l_extended_id.name = 's2l_extended_id'
                            self.s2l_global_source = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:association'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.s2l_association_id is not None:
                                return True

                            if self.s2l_association_source is not None:
                                return True

                            if self.s2l_association_tie_role is not None:
                                return True

                            if self.s2l_association_type is not None:
                                return True

                            if self.s2l_extended_id is not None:
                                for child in self.s2l_extended_id:
                                    if child is not None:
                                        return True

                            if self.s2l_global_source is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Association']['meta_info']


                    class Protection(object):
                        """
                        Protection Object
                        
                        .. attribute:: any
                        
                        	Any
                        	**type**\:  bool
                        
                        .. attribute:: ded1_plus1
                        
                        	Dedicated 1+1 Protection
                        	**type**\:  bool
                        
                        .. attribute:: ded1_to1
                        
                        	Dedicated 1\:1 Protection
                        	**type**\:  bool
                        
                        .. attribute:: enhanced
                        
                        	Indicates Enhanced Protection Scheme
                        	**type**\:  bool
                        
                        .. attribute:: extra_traffic
                        
                        	LSP should use Links that are protecting other (primary) traffic
                        	**type**\:  bool
                        
                        .. attribute:: link_unprotected
                        
                        	LSP should not use any Link Layer Protection
                        	**type**\:  bool
                        
                        .. attribute:: lsp_unprotected
                        
                        	LSP Flags Unprotected
                        	**type**\:  bool
                        
                        .. attribute:: one_plus_one_bi
                        
                        	1+1 Bidirectional Protection
                        	**type**\:  bool
                        
                        .. attribute:: one_plus_one_uni
                        
                        	1+1 Unidirectional Protection
                        	**type**\:  bool
                        
                        .. attribute:: one_to_n_protection_et
                        
                        	1\:N Protection with Extra\-Traffic
                        	**type**\:  bool
                        
                        .. attribute:: rerouting
                        
                        	Full Rerouting
                        	**type**\:  bool
                        
                        .. attribute:: rerouting_no_et
                        
                        	Rerouting Without Extra\-Traffic
                        	**type**\:  bool
                        
                        .. attribute:: s2l_notification
                        
                        	 S2L Protection Notification Bit
                        	**type**\:  bool
                        
                        .. attribute:: s2l_operational
                        
                        	 S2L Protection Operational Bit
                        	**type**\:  bool
                        
                        .. attribute:: s2l_protecting
                        
                        	 S2L Protection Protecting Bit
                        	**type**\:  bool
                        
                        .. attribute:: s2l_secondary
                        
                        	 S2L Protection Secondary Bit
                        	**type**\:  bool
                        
                        .. attribute:: shared
                        
                        	Shared Link Layer Protection
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.any = None
                            self.ded1_plus1 = None
                            self.ded1_to1 = None
                            self.enhanced = None
                            self.extra_traffic = None
                            self.link_unprotected = None
                            self.lsp_unprotected = None
                            self.one_plus_one_bi = None
                            self.one_plus_one_uni = None
                            self.one_to_n_protection_et = None
                            self.rerouting = None
                            self.rerouting_no_et = None
                            self.s2l_notification = None
                            self.s2l_operational = None
                            self.s2l_protecting = None
                            self.s2l_secondary = None
                            self.shared = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:protection'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.any is not None:
                                return True

                            if self.ded1_plus1 is not None:
                                return True

                            if self.ded1_to1 is not None:
                                return True

                            if self.enhanced is not None:
                                return True

                            if self.extra_traffic is not None:
                                return True

                            if self.link_unprotected is not None:
                                return True

                            if self.lsp_unprotected is not None:
                                return True

                            if self.one_plus_one_bi is not None:
                                return True

                            if self.one_plus_one_uni is not None:
                                return True

                            if self.one_to_n_protection_et is not None:
                                return True

                            if self.rerouting is not None:
                                return True

                            if self.rerouting_no_et is not None:
                                return True

                            if self.s2l_notification is not None:
                                return True

                            if self.s2l_operational is not None:
                                return True

                            if self.s2l_protecting is not None:
                                return True

                            if self.s2l_secondary is not None:
                                return True

                            if self.shared is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Protection']['meta_info']


                    class ReverseLsp(object):
                        """
                        Reverse LSP information
                        
                        .. attribute:: association
                        
                        	Association Object
                        	**type**\:   :py:class:`Association <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Association>`
                        
                        .. attribute:: protection
                        
                        	Protection Object
                        	**type**\:   :py:class:`Protection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Protection>`
                        
                        .. attribute:: reverse_lsp_connected
                        
                        	Reverse Associated Bidir LSP Connected
                        	**type**\:  bool
                        
                        .. attribute:: reverse_lsp_fec
                        
                        	Reverse Associated Bidir LSP FEC
                        	**type**\:   :py:class:`ReverseLspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec>`
                        
                        .. attribute:: reverse_lsp_present
                        
                        	Reverse Associated Bidir LSP Present
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.association = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Association()
                            self.association.parent = self
                            self.protection = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Protection()
                            self.protection.parent = self
                            self.reverse_lsp_connected = None
                            self.reverse_lsp_fec = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec()
                            self.reverse_lsp_fec.parent = self
                            self.reverse_lsp_present = None


                        class ReverseLspFec(object):
                            """
                            Reverse Associated Bidir LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):

                                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec']['meta_info']


                        class Association(object):
                            """
                            Association Object
                            
                            .. attribute:: s2l_association_id
                            
                            	S2L Association ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_association_source
                            
                            	S2L Association Source
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: s2l_association_tie_role
                            
                            	S2L Association Tie Role
                            	**type**\:   :py:class:`TeAssociationTieRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAssociationTieRoleEnum>`
                            
                            .. attribute:: s2l_association_type
                            
                            	S2L Association Type                          (draft\-ietf\-ccamp\-mpls\-tp\-rsvpte\-ext\-associated\-lsp)
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: s2l_extended_id
                            
                            	S2L Extended ID Array
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: s2l_global_source
                            
                            	S2L Global Source
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.s2l_association_id = None
                                self.s2l_association_source = None
                                self.s2l_association_tie_role = None
                                self.s2l_association_type = None
                                self.s2l_extended_id = YLeafList()
                                self.s2l_extended_id.parent = self
                                self.s2l_extended_id.name = 's2l_extended_id'
                                self.s2l_global_source = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp/Cisco-IOS-XR-mpls-te-oper:association'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.s2l_association_id is not None:
                                    return True

                                if self.s2l_association_source is not None:
                                    return True

                                if self.s2l_association_tie_role is not None:
                                    return True

                                if self.s2l_association_type is not None:
                                    return True

                                if self.s2l_extended_id is not None:
                                    for child in self.s2l_extended_id:
                                        if child is not None:
                                            return True

                                if self.s2l_global_source is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Association']['meta_info']


                        class Protection(object):
                            """
                            Protection Object
                            
                            .. attribute:: any
                            
                            	Any
                            	**type**\:  bool
                            
                            .. attribute:: ded1_plus1
                            
                            	Dedicated 1+1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: ded1_to1
                            
                            	Dedicated 1\:1 Protection
                            	**type**\:  bool
                            
                            .. attribute:: enhanced
                            
                            	Indicates Enhanced Protection Scheme
                            	**type**\:  bool
                            
                            .. attribute:: extra_traffic
                            
                            	LSP should use Links that are protecting other (primary) traffic
                            	**type**\:  bool
                            
                            .. attribute:: link_unprotected
                            
                            	LSP should not use any Link Layer Protection
                            	**type**\:  bool
                            
                            .. attribute:: lsp_unprotected
                            
                            	LSP Flags Unprotected
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_bi
                            
                            	1+1 Bidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_plus_one_uni
                            
                            	1+1 Unidirectional Protection
                            	**type**\:  bool
                            
                            .. attribute:: one_to_n_protection_et
                            
                            	1\:N Protection with Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: rerouting
                            
                            	Full Rerouting
                            	**type**\:  bool
                            
                            .. attribute:: rerouting_no_et
                            
                            	Rerouting Without Extra\-Traffic
                            	**type**\:  bool
                            
                            .. attribute:: s2l_notification
                            
                            	 S2L Protection Notification Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_operational
                            
                            	 S2L Protection Operational Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_protecting
                            
                            	 S2L Protection Protecting Bit
                            	**type**\:  bool
                            
                            .. attribute:: s2l_secondary
                            
                            	 S2L Protection Secondary Bit
                            	**type**\:  bool
                            
                            .. attribute:: shared
                            
                            	Shared Link Layer Protection
                            	**type**\:  bool
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.any = None
                                self.ded1_plus1 = None
                                self.ded1_to1 = None
                                self.enhanced = None
                                self.extra_traffic = None
                                self.link_unprotected = None
                                self.lsp_unprotected = None
                                self.one_plus_one_bi = None
                                self.one_plus_one_uni = None
                                self.one_to_n_protection_et = None
                                self.rerouting = None
                                self.rerouting_no_et = None
                                self.s2l_notification = None
                                self.s2l_operational = None
                                self.s2l_protecting = None
                                self.s2l_secondary = None
                                self.shared = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp/Cisco-IOS-XR-mpls-te-oper:protection'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.any is not None:
                                    return True

                                if self.ded1_plus1 is not None:
                                    return True

                                if self.ded1_to1 is not None:
                                    return True

                                if self.enhanced is not None:
                                    return True

                                if self.extra_traffic is not None:
                                    return True

                                if self.link_unprotected is not None:
                                    return True

                                if self.lsp_unprotected is not None:
                                    return True

                                if self.one_plus_one_bi is not None:
                                    return True

                                if self.one_plus_one_uni is not None:
                                    return True

                                if self.one_to_n_protection_et is not None:
                                    return True

                                if self.rerouting is not None:
                                    return True

                                if self.rerouting_no_et is not None:
                                    return True

                                if self.s2l_notification is not None:
                                    return True

                                if self.s2l_operational is not None:
                                    return True

                                if self.s2l_protecting is not None:
                                    return True

                                if self.s2l_secondary is not None:
                                    return True

                                if self.shared is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Protection']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:reverse-lsp'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.association is not None and self.association._has_data():
                                return True

                            if self.protection is not None and self.protection._has_data():
                                return True

                            if self.reverse_lsp_connected is not None:
                                return True

                            if self.reverse_lsp_fec is not None and self.reverse_lsp_fec._has_data():
                                return True

                            if self.reverse_lsp_present is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp']['meta_info']


                    class LspHop(object):
                        """
                        Path used by LSP
                        
                        .. attribute:: ero_type
                        
                        	EROType
                        	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                        
                        .. attribute:: ipv4ero_sub_object
                        
                        	IPV4 ERO Sub Object
                        	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.Ipv4EroSubObject>`
                        
                        .. attribute:: unnumbered_ero_sub_object
                        
                        	Unnumbered ERO Sub Object
                        	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.UnnumberedEroSubObject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_type = None
                            self.ipv4ero_sub_object = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.Ipv4EroSubObject()
                            self.ipv4ero_sub_object.parent = self
                            self.unnumbered_ero_sub_object = MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.UnnumberedEroSubObject()
                            self.unnumbered_ero_sub_object.parent = self


                        class Ipv4EroSubObject(object):
                            """
                            IPV4 ERO Sub Object
                            
                            .. attribute:: ero_address
                            
                            	The ERO IPV4 Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: prefix_length
                            
                            	ERO Prefix Length
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_address = None
                                self.is_strict_route = None
                                self.prefix_length = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_address is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.prefix_length is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.Ipv4EroSubObject']['meta_info']


                        class UnnumberedEroSubObject(object):
                            """
                            Unnumbered ERO Sub Object
                            
                            .. attribute:: ero_interface_id
                            
                            	The Interface ID in ERO
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: ero_router_id
                            
                            	The Router ID in ERO
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: status
                            
                            	Status of ERO
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_interface_id = None
                                self.ero_router_id = None
                                self.is_strict_route = None
                                self.status = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_interface_id is not None:
                                    return True

                                if self.ero_router_id is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.UnnumberedEroSubObject']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_type is not None:
                                return True

                            if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                return True

                            if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp/Cisco-IOS-XR-mpls-te-oper:protect-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.association is not None and self.association._has_data():
                            return True

                        if self.flex_info is not None and self.flex_info._has_data():
                            return True

                        if self.is_operational is not None:
                            return True

                        if self.lsp_hop is not None:
                            for child_ref in self.lsp_hop:
                                if child_ref._has_data():
                                    return True

                        if self.lsp_local_label is not None:
                            return True

                        if self.lsp_mode is not None:
                            return True

                        if self.lsp_output_interface is not None:
                            return True

                        if self.lsp_output_label is not None:
                            return True

                        if self.lsp_state is not None:
                            return True

                        if self.lsp_uptime is not None:
                            return True

                        if self.path_protection_lsp_id is not None:
                            return True

                        if self.protection is not None and self.protection._has_data():
                            return True

                        if self.reverse_lsp is not None and self.reverse_lsp._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsp'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ctype is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.is_tunnel_up is not None:
                        return True

                    if self.protect_lsp is not None and self.protect_lsp._has_data():
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tun_id is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.tunnel_name is not None:
                        return True

                    if self.working_lsp is not None and self.working_lsp._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-flex-lsps'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tunnel_flex_lsp is not None:
                    for child_ref in self.tunnel_flex_lsp:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps']['meta_info']


        class TunnelAutoBandwidths(object):
            """
            Auto Bandwidth Brief Table
            
            .. attribute:: tunnel_auto_bandwidth
            
            	Auto Bandwidth info bag
            	**type**\: list of    :py:class:`TunnelAutoBandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tunnel_auto_bandwidth = YList()
                self.tunnel_auto_bandwidth.parent = self
                self.tunnel_auto_bandwidth.name = 'tunnel_auto_bandwidth'


            class TunnelAutoBandwidth(object):
                """
                Auto Bandwidth info bag
                
                .. attribute:: tunnel_name  <key>
                
                	Tunnel Name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: auto_bandwidth_status
                
                	Tunnels's AutoBandwidth Status information
                	**type**\:   :py:class:`AutoBandwidthStatus <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth.AutoBandwidthStatus>`
                
                .. attribute:: bandwidth_applications
                
                	Total number of bandwidth applications requested by auto\-bw
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: highest_bandwidth
                
                	Highest bandwidth registered within current application period
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: last_bandwidth_applied
                
                	Last bandwidth requested by auto\-bw for the tunnel
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: last_sample_bandwidth
                
                	Last sample bandwidth collected
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: samples_collected
                
                	Number of samples collected within current application period
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: signaled_name
                
                	Tunnel signaled name
                	**type**\:  str
                
                .. attribute:: signalled_bandwidth
                
                	Signalled bandwidth for the tunnel
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: time_left_application
                
                	Time left until next auto\-bw application algorithm is performed
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_lsp_id
                
                	Tunnel Lsp Id
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_name_xr
                
                	Tunnel name
                	**type**\:  str
                
                .. attribute:: tunnel_requested_bandwidth
                
                	Requested Bandwidth for the tunnel
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.tunnel_name = None
                    self.auto_bandwidth_status = MplsTeStandby.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth.AutoBandwidthStatus()
                    self.auto_bandwidth_status.parent = self
                    self.bandwidth_applications = None
                    self.highest_bandwidth = None
                    self.last_bandwidth_applied = None
                    self.last_sample_bandwidth = None
                    self.samples_collected = None
                    self.signaled_name = None
                    self.signalled_bandwidth = None
                    self.time_left_application = None
                    self.tunnel_lsp_id = None
                    self.tunnel_name_xr = None
                    self.tunnel_requested_bandwidth = None


                class AutoBandwidthStatus(object):
                    """
                    Tunnels's AutoBandwidth Status information
                    
                    .. attribute:: is_auto_bandwidth_enabled
                    
                    	TRUE if auto\-bw is enabled for the tunnel
                    	**type**\:  bool
                    
                    .. attribute:: reactivation_time
                    
                    	Time until auto\-bw gets activated if activation has been delayed due to failover
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.is_auto_bandwidth_enabled = None
                        self.reactivation_time = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:auto-bandwidth-status'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.is_auto_bandwidth_enabled is not None:
                            return True

                        if self.reactivation_time is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth.AutoBandwidthStatus']['meta_info']

                @property
                def _common_path(self):
                    if self.tunnel_name is None:
                        raise YPYModelError('Key property tunnel_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-auto-bandwidths/Cisco-IOS-XR-mpls-te-oper:tunnel-auto-bandwidth[Cisco-IOS-XR-mpls-te-oper:tunnel-name = ' + str(self.tunnel_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.tunnel_name is not None:
                        return True

                    if self.auto_bandwidth_status is not None and self.auto_bandwidth_status._has_data():
                        return True

                    if self.bandwidth_applications is not None:
                        return True

                    if self.highest_bandwidth is not None:
                        return True

                    if self.last_bandwidth_applied is not None:
                        return True

                    if self.last_sample_bandwidth is not None:
                        return True

                    if self.samples_collected is not None:
                        return True

                    if self.signaled_name is not None:
                        return True

                    if self.signalled_bandwidth is not None:
                        return True

                    if self.time_left_application is not None:
                        return True

                    if self.tunnel_lsp_id is not None:
                        return True

                    if self.tunnel_name_xr is not None:
                        return True

                    if self.tunnel_requested_bandwidth is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-auto-bandwidths'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tunnel_auto_bandwidth is not None:
                    for child_ref in self.tunnel_auto_bandwidth:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.Tunnels.TunnelAutoBandwidths']['meta_info']


        class Summary(object):
            """
            Summary of tunnel info
            
            .. attribute:: activated_heads
            
            	Total tunnel heads activated
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: auto_bandwidth_collection_period
            
            	Collection period in minutes
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: minute
            
            .. attribute:: auto_bandwidth_tunnels
            
            	Counter with number of auto\-bw enabled tunnels
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: auto_mesh_one_hop_summary
            
            	Automesh Onehop summary
            	**type**\:   :py:class:`AutoMeshOneHopSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.AutoMeshOneHopSummary>`
            
            .. attribute:: auto_mesh_summary
            
            	Automesh summary
            	**type**\:   :py:class:`AutoMeshSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.AutoMeshSummary>`
            
            .. attribute:: auto_tun_server_summary
            
            	Auto\-tunnel server tunnel summary
            	**type**\:   :py:class:`AutoTunServerSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.AutoTunServerSummary>`
            
            .. attribute:: autobackup_summary
            
            	Autobackup summary
            	**type**\:   :py:class:`AutobackupSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.AutobackupSummary>`
            
            .. attribute:: backup_tunnels
            
            	FRR backup tunnels in Up state
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: backups_assigned
            
            	FRR backup tunnels assigned
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_head_ls_ps_associated
            
            	Associated Bidirectional Head LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_head_ls_ps_proceeding
            
            	Proceeding Bidirectional Head LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_head_ls_ps_standby
            
            	Standby Bidirectional Head LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_head_ls_ps_up
            
            	Connected Bidirectional Head Tunnel interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_head_tunnels
            
            	Bidirectional Head Tunnel interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_head_tunnels_associated
            
            	Associated Bidirectional Head Tunnels
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_head_tunnels_corouted
            
            	Corouted Bidirectional Head Tunnels
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_head_tunnels_up
            
            	Connected Bidirectional Head Tunnel interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_mid_ls_ps_associated
            
            	Associated Bidirectional Mid LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_mid_ls_ps_proceeding
            
            	Proceeding Bidirectional Mid LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_mid_ls_ps_standby
            
            	Standby Bidirectional Mid LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_mid_tunnels
            
            	Bidirectional Mid Tunnel interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_mid_tunnels_up
            
            	Connected Bidirectional Mid Tunnel interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_tail_ls_ps
            
            	Bidirectional Tail LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_tail_ls_ps_associated
            
            	Associated Bidirectional Tail LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_tail_ls_ps_corouted
            
            	Corouted Bidirectional Tail LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_tail_ls_ps_proceeding
            
            	Proceeding Bidirectional Tail LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_tail_ls_ps_standby
            
            	Standby Bidirectional Tail LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bidir_tail_ls_ps_up
            
            	Connected Bidirectional Tail LSPs
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bw_protected_p2mp_s2_ls
            
            	P2MP S2Ls BW Protected
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bw_protected_p2p_s2_ls
            
            	p2p S2Ls BW Protected
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bw_protected_p2p_tunnels
            
            	P2P FRR BW protected tunnels
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: bw_protected_tunnels
            
            	FRR BW protected tunnels
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: current_tunnel_convergence_summary
            
            	Current Tunnel convergemce summary information
            	**type**\:   :py:class:`CurrentTunnelConvergenceSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary>`
            
            .. attribute:: deactivated_heads
            
            	Total tunnel heads deactivated
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: dynamic_up_p2p_head_tunnels
            
            	p2p Tunnel up via a dynamic path
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: frr_config_p2mp_head_tunnels
            
            	P2MP Tunnel interfaces with FRR configuration
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: frr_config_p2p_head_tunnels
            
            	p2p Tunnel interfaces with FRR configuration
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: frr_head_tunnels
            
            	FRR tunnels in Up state at head end
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: frr_mid_point_tunnels
            
            	FRR tunnels at mid point
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: frr_p2mp_head_s2_ls
            
            	P2MP S2Ls with FRR requested at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: frr_p2mp_mid_point_s2_ls
            
            	P2MP S2Ls with FRR requested at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: frr_p2p_head_s2_ls
            
            	p2p S2Ls with FRR requested at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: frr_p2p_head_tunnels
            
            	P2P FRR tunnels in Up state at head end
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: frr_p2p_mid_point_s2_ls
            
            	p2p S2Ls with FRR requested at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: frr_p2p_mid_point_tunnels
            
            	P2P FRR tunnels at mid point
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: frr_protected_interfaces
            
            	FRR Protected Interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: gmpls_nni_summary
            
            	GMPLS\-NNI summary
            	**type**\:   :py:class:`GmplsNniSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.GmplsNniSummary>`
            
            .. attribute:: gmpls_uni_summary
            
            	GMPLS\-UNI summary
            	**type**\:   :py:class:`GmplsUniSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.GmplsUniSummary>`
            
            .. attribute:: is_forwarding_enabled
            
            	TRUE if forwarding is enabled
            	**type**\:  bool
            
            .. attribute:: is_periodic_reoptimization_on
            
            	TRUE if periodic reoptimization is on
            	**type**\:  bool
            
            .. attribute:: is_promotion_on
            
            	TRUE if periodic frr promotion is on
            	**type**\:  bool
            
            .. attribute:: is_rsvp_process_enabled
            
            	Status of rsvp
            	**type**\:  bool
            
            .. attribute:: last_tunnel_convergence_summary
            
            	Last Tunnel convergemce summary information
            	**type**\:   :py:class:`LastTunnelConvergenceSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary>`
            
            .. attribute:: link_and_node_diverse_paths
            
            	Link and Node diverse paths
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: link_diverse_paths
            
            	Link diverse paths
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: link_protected_p2mp_s2_ls
            
            	P2MP S2Ls Link Protected
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: link_protected_p2p_s2_ls
            
            	p2p S2Ls Link Protected
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: link_protected_p2p_tunnels
            
            	P2P FRR link protected tunnels
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: link_protected_tunnels
            
            	FRR link protected tunnels
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: next_check_time
            
            	Time left till next FRR promotion (seconds)
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: next_promotion_timer
            
            	Time left till next FRR promotion (seconds)
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: next_reoptimization_timer
            
            	Time left till next reoptimization (seconds)
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: next_verify_timer
            
            	Time left till next FRR promotion (seconds)
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: node_diverse_paths
            
            	Node diverse paths
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: node_protected_p2p_tunnels
            
            	P2P FRR node protected tunnels
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: node_protected_tunnels
            
            	FRR node protected tunnels
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: p2mp_head_destinations
            
            	P2MP Destinations at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: p2mp_head_tunnels
            
            	P2MP Tunnel interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: p2mp_mid_point_s2_ls
            
            	P2MP S2Ls at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: p2mp_tail_s2_ls
            
            	P2MP S2Ls at Tail
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: p2p_head_destinations
            
            	p2p Destinations at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: p2p_head_destinations_up
            
            	p2p Destinations in Up state at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: p2p_head_tunnels
            
            	p2p Tunnel interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: p2p_mid_point_s2_ls
            
            	p2p S2Ls at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: p2p_tail_s2_ls
            
            	p2p S2Ls at Tail
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: p2p_tail_tunnels
            
            	p2p Tunnel tail interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: path_protect_configured_tunnels
            
            	Tunnels configured with Path Protect
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: path_protect_configured_tunnels_standby_up
            
            	Tunnels with standby LSP up
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: path_protect_configured_tunnels_up
            
            	Path Protect configured tunnels connected/up
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: pcalc_tie_breaker_type
            
            	PCALC tiebreaker type
            	**type**\:   :py:class:`TePathSelectionTiebreakerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePathSelectionTiebreakerEnum>`
            
            .. attribute:: pcalc_tiebreaker
            
            	Deprecated \- replaced by PCALCTiebreakerType
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: proceeding_p2mp_head_s2_ls
            
            	P2MP S2Ls in signalling\-proceeding state at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: proceeding_p2mp_mid_point_s2_ls
            
            	P2MP S2Ls in signalling=proceeding state at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: proceeding_p2p_head_s2_ls
            
            	p2p S2Ls in signalling\-proceeding state at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: proceeding_p2p_mid_point_s2_ls
            
            	p2p S2Ls in signalling=proceeding state at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: promotion_period
            
            	FRR promotion period in seconds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: protected_head_tunnels
            
            	FRR protected tunnels in Up state at head end
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: protected_mid_point_tunnels
            
            	FRR protected tunnels at mid point
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: protected_p2mp_head_s2_ls
            
            	P2MP S2Ls FRR Protected at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: protected_p2mp_mid_point_s2_ls
            
            	P2MP S2Ls FRR Protected at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: protected_p2p_head_s2_ls
            
            	p2p S2Ls FRR Protected at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: protected_p2p_head_tunnels
            
            	P2P FRR protected tunnels in Up state at head end
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: protected_p2p_mid_point_s2_ls
            
            	p2p S2Ls FRR Protected at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: protected_p2p_mid_point_tunnels
            
            	P2P FRR protected tunnels at mid point
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: recovered_heads
            
            	Number of heads recovered
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: recovering_p2p_head_s2_ls
            
            	p2p S2Ls recovering at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: reoptimization_period
            
            	Reoptimization period in seconds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: rerouted_head_tunnels
            
            	FRR rerouted tunnels in Up state at head end
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rerouted_interfaces
            
            	FRR Rerouted Interfaces
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rerouted_mid_point_tunnels
            
            	FRR rerouted tunnels at mid point
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rerouted_p2mp_head_s2_ls
            
            	P2MP S2Ls FRR Rerouted at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rerouted_p2mp_mid_point_s2_ls
            
            	P2MP S2Ls FRR Rerouted at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rerouted_p2p_head_s2_ls
            
            	p2p S2Ls FRR Rerouted at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rerouted_p2p_head_tunnels
            
            	P2P FRR rerouted tunnels in Up state at head end
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rerouted_p2p_mid_point_s2_ls
            
            	p2p S2Ls FRR Rerouted at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: rerouted_p2p_mid_point_tunnels
            
            	P2P FRR rerouted tunnels at mid point
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: te_process_status
            
            	Status of te\_control
            	**type**\:   :py:class:`MplsTeTunnelsProcessStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelsProcessStatusEnum>`
            
            .. attribute:: tiebreaker_qualifier
            
            	Describes how the path selection tiebreaker was specified\:default, or globally set
            	**type**\:   :py:class:`MplsTeMetricQualifierEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeMetricQualifierEnum>`
            
            .. attribute:: tunnel_check_period
            
            	Tunnel head check period (seconds)
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: tunnel_verify_period
            
            	Tunnel head verify period (seconds)
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: up_p2mp_head_destinations
            
            	P2MP Destinations in Up state at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: up_p2mp_head_s2_ls
            
            	P2MP S2Ls in Up state at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: up_p2mp_head_tunnels
            
            	P2MP Tunnel interfaces in Up state
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: up_p2mp_mid_point_s2_ls
            
            	P2MP S2Ls in Up state at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: up_p2mp_tail_s2_ls
            
            	P2MP S2Ls in Up state at Tail
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: up_p2p_head_s2_ls
            
            	p2p S2Ls in Up state at Head
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: up_p2p_head_tunnels
            
            	p2p Tunnel interfaces in Up state
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: up_p2p_mid_point_s2_ls
            
            	p2p S2Ls in Up state at Mid
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: up_p2p_tail_s2_ls
            
            	p2p S2Ls in Up state at Tail
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: user_defined_paths
            
            	User defined paths
            	**type**\:  int
            
            	**range:** 0..65535
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.activated_heads = None
                self.auto_bandwidth_collection_period = None
                self.auto_bandwidth_tunnels = None
                self.auto_mesh_one_hop_summary = MplsTeStandby.Tunnels.Summary.AutoMeshOneHopSummary()
                self.auto_mesh_one_hop_summary.parent = self
                self.auto_mesh_summary = MplsTeStandby.Tunnels.Summary.AutoMeshSummary()
                self.auto_mesh_summary.parent = self
                self.auto_tun_server_summary = MplsTeStandby.Tunnels.Summary.AutoTunServerSummary()
                self.auto_tun_server_summary.parent = self
                self.autobackup_summary = MplsTeStandby.Tunnels.Summary.AutobackupSummary()
                self.autobackup_summary.parent = self
                self.backup_tunnels = None
                self.backups_assigned = None
                self.bidir_head_ls_ps_associated = None
                self.bidir_head_ls_ps_proceeding = None
                self.bidir_head_ls_ps_standby = None
                self.bidir_head_ls_ps_up = None
                self.bidir_head_tunnels = None
                self.bidir_head_tunnels_associated = None
                self.bidir_head_tunnels_corouted = None
                self.bidir_head_tunnels_up = None
                self.bidir_mid_ls_ps_associated = None
                self.bidir_mid_ls_ps_proceeding = None
                self.bidir_mid_ls_ps_standby = None
                self.bidir_mid_tunnels = None
                self.bidir_mid_tunnels_up = None
                self.bidir_tail_ls_ps = None
                self.bidir_tail_ls_ps_associated = None
                self.bidir_tail_ls_ps_corouted = None
                self.bidir_tail_ls_ps_proceeding = None
                self.bidir_tail_ls_ps_standby = None
                self.bidir_tail_ls_ps_up = None
                self.bw_protected_p2mp_s2_ls = None
                self.bw_protected_p2p_s2_ls = None
                self.bw_protected_p2p_tunnels = None
                self.bw_protected_tunnels = None
                self.current_tunnel_convergence_summary = MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary()
                self.current_tunnel_convergence_summary.parent = self
                self.deactivated_heads = None
                self.dynamic_up_p2p_head_tunnels = None
                self.frr_config_p2mp_head_tunnels = None
                self.frr_config_p2p_head_tunnels = None
                self.frr_head_tunnels = None
                self.frr_mid_point_tunnels = None
                self.frr_p2mp_head_s2_ls = None
                self.frr_p2mp_mid_point_s2_ls = None
                self.frr_p2p_head_s2_ls = None
                self.frr_p2p_head_tunnels = None
                self.frr_p2p_mid_point_s2_ls = None
                self.frr_p2p_mid_point_tunnels = None
                self.frr_protected_interfaces = None
                self.gmpls_nni_summary = MplsTeStandby.Tunnels.Summary.GmplsNniSummary()
                self.gmpls_nni_summary.parent = self
                self.gmpls_uni_summary = MplsTeStandby.Tunnels.Summary.GmplsUniSummary()
                self.gmpls_uni_summary.parent = self
                self.is_forwarding_enabled = None
                self.is_periodic_reoptimization_on = None
                self.is_promotion_on = None
                self.is_rsvp_process_enabled = None
                self.last_tunnel_convergence_summary = MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary()
                self.last_tunnel_convergence_summary.parent = self
                self.link_and_node_diverse_paths = None
                self.link_diverse_paths = None
                self.link_protected_p2mp_s2_ls = None
                self.link_protected_p2p_s2_ls = None
                self.link_protected_p2p_tunnels = None
                self.link_protected_tunnels = None
                self.next_check_time = None
                self.next_promotion_timer = None
                self.next_reoptimization_timer = None
                self.next_verify_timer = None
                self.node_diverse_paths = None
                self.node_protected_p2p_tunnels = None
                self.node_protected_tunnels = None
                self.p2mp_head_destinations = None
                self.p2mp_head_tunnels = None
                self.p2mp_mid_point_s2_ls = None
                self.p2mp_tail_s2_ls = None
                self.p2p_head_destinations = None
                self.p2p_head_destinations_up = None
                self.p2p_head_tunnels = None
                self.p2p_mid_point_s2_ls = None
                self.p2p_tail_s2_ls = None
                self.p2p_tail_tunnels = None
                self.path_protect_configured_tunnels = None
                self.path_protect_configured_tunnels_standby_up = None
                self.path_protect_configured_tunnels_up = None
                self.pcalc_tie_breaker_type = None
                self.pcalc_tiebreaker = None
                self.proceeding_p2mp_head_s2_ls = None
                self.proceeding_p2mp_mid_point_s2_ls = None
                self.proceeding_p2p_head_s2_ls = None
                self.proceeding_p2p_mid_point_s2_ls = None
                self.promotion_period = None
                self.protected_head_tunnels = None
                self.protected_mid_point_tunnels = None
                self.protected_p2mp_head_s2_ls = None
                self.protected_p2mp_mid_point_s2_ls = None
                self.protected_p2p_head_s2_ls = None
                self.protected_p2p_head_tunnels = None
                self.protected_p2p_mid_point_s2_ls = None
                self.protected_p2p_mid_point_tunnels = None
                self.recovered_heads = None
                self.recovering_p2p_head_s2_ls = None
                self.reoptimization_period = None
                self.rerouted_head_tunnels = None
                self.rerouted_interfaces = None
                self.rerouted_mid_point_tunnels = None
                self.rerouted_p2mp_head_s2_ls = None
                self.rerouted_p2mp_mid_point_s2_ls = None
                self.rerouted_p2p_head_s2_ls = None
                self.rerouted_p2p_head_tunnels = None
                self.rerouted_p2p_mid_point_s2_ls = None
                self.rerouted_p2p_mid_point_tunnels = None
                self.te_process_status = None
                self.tiebreaker_qualifier = None
                self.tunnel_check_period = None
                self.tunnel_verify_period = None
                self.up_p2mp_head_destinations = None
                self.up_p2mp_head_s2_ls = None
                self.up_p2mp_head_tunnels = None
                self.up_p2mp_mid_point_s2_ls = None
                self.up_p2mp_tail_s2_ls = None
                self.up_p2p_head_s2_ls = None
                self.up_p2p_head_tunnels = None
                self.up_p2p_mid_point_s2_ls = None
                self.up_p2p_tail_s2_ls = None
                self.user_defined_paths = None


            class AutobackupSummary(object):
                """
                Autobackup summary
                
                .. attribute:: autobackups
                
                	Total number of autobackup tunnels
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: down_autobackups
                
                	Total number of autobackup tunnels that are down
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_autobackup_protected_ls_ps
                
                	Total number of autobackup protected LSPs with NHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_autobackup_protected_s2_ls
                
                	Total number of autobackup protected S2Ls with NHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_autobackup_protected_s2l_families
                
                	Total number of autobackup protected S2L Families with NHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_autobackups
                
                	Total number of autobackup tunnels that are NHOP
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_srlg_autobackup_protected_ls_ps
                
                	Total number of autobackup protected LSPs with NHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_srlg_autobackup_protected_s2_ls
                
                	Total number of autobackup protected S2Ls with NHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_srlg_autobackup_protected_s2l_families
                
                	Total number of autobackup protected S2L Families with NHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_autobackup_protected_ls_ps
                
                	Total number of autobackup protected LSPs with NNHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_autobackup_protected_s2_ls
                
                	Total number of autobackup protected S2Ls with NNHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_autobackup_protected_s2l_families
                
                	Total number of autobackup protected S2L Families with NNHOP and no SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_autobackups
                
                	Total number of autobackup tunnels that are NNHOP
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_srlg_autobackup_protected_ls_ps
                
                	Total number of autobackup protected LSPs with NNHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_srlg_autobackup_protected_s2_ls
                
                	Total number of autobackup protected S2Ls with NNHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_next_hop_srlg_autobackup_protected_s2l_families
                
                	Total number of autobackup protected S2L Families with NNHOP and SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: srlg_preferred_autobackups
                
                	Total number of autobackup tunnels that are using SRLG preferred
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: srlg_strict_autobackups
                
                	Total number of autobackup tunnels that are using SRLG strict
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: srlg_weighted_autobackups
                
                	Total number of autobackup tunnels that are using weighted SRLG
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: unused_autobackups
                
                	Total number of autobackup tunnels that are unused
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: up_autobackups
                
                	Total number of autobackup tunnels that are up
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.autobackups = None
                    self.down_autobackups = None
                    self.next_hop_autobackup_protected_ls_ps = None
                    self.next_hop_autobackup_protected_s2_ls = None
                    self.next_hop_autobackup_protected_s2l_families = None
                    self.next_hop_autobackups = None
                    self.next_hop_srlg_autobackup_protected_ls_ps = None
                    self.next_hop_srlg_autobackup_protected_s2_ls = None
                    self.next_hop_srlg_autobackup_protected_s2l_families = None
                    self.next_next_hop_autobackup_protected_ls_ps = None
                    self.next_next_hop_autobackup_protected_s2_ls = None
                    self.next_next_hop_autobackup_protected_s2l_families = None
                    self.next_next_hop_autobackups = None
                    self.next_next_hop_srlg_autobackup_protected_ls_ps = None
                    self.next_next_hop_srlg_autobackup_protected_s2_ls = None
                    self.next_next_hop_srlg_autobackup_protected_s2l_families = None
                    self.srlg_preferred_autobackups = None
                    self.srlg_strict_autobackups = None
                    self.srlg_weighted_autobackups = None
                    self.unused_autobackups = None
                    self.up_autobackups = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:autobackup-summary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.autobackups is not None:
                        return True

                    if self.down_autobackups is not None:
                        return True

                    if self.next_hop_autobackup_protected_ls_ps is not None:
                        return True

                    if self.next_hop_autobackup_protected_s2_ls is not None:
                        return True

                    if self.next_hop_autobackup_protected_s2l_families is not None:
                        return True

                    if self.next_hop_autobackups is not None:
                        return True

                    if self.next_hop_srlg_autobackup_protected_ls_ps is not None:
                        return True

                    if self.next_hop_srlg_autobackup_protected_s2_ls is not None:
                        return True

                    if self.next_hop_srlg_autobackup_protected_s2l_families is not None:
                        return True

                    if self.next_next_hop_autobackup_protected_ls_ps is not None:
                        return True

                    if self.next_next_hop_autobackup_protected_s2_ls is not None:
                        return True

                    if self.next_next_hop_autobackup_protected_s2l_families is not None:
                        return True

                    if self.next_next_hop_autobackups is not None:
                        return True

                    if self.next_next_hop_srlg_autobackup_protected_ls_ps is not None:
                        return True

                    if self.next_next_hop_srlg_autobackup_protected_s2_ls is not None:
                        return True

                    if self.next_next_hop_srlg_autobackup_protected_s2l_families is not None:
                        return True

                    if self.srlg_preferred_autobackups is not None:
                        return True

                    if self.srlg_strict_autobackups is not None:
                        return True

                    if self.srlg_weighted_autobackups is not None:
                        return True

                    if self.unused_autobackups is not None:
                        return True

                    if self.up_autobackups is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Tunnels.Summary.AutobackupSummary']['meta_info']


            class AutoMeshSummary(object):
                """
                Automesh summary
                
                .. attribute:: auto_mesh_destinations
                
                	Total number of automesh destinations
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: auto_mesh_groups
                
                	Total number of automesh mesh\-groups
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: auto_mesh_tunnels
                
                	Total number of automesh tunnels
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: down_auto_mesh_tunnels
                
                	Total number of automesh tunnels that are down
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: frr_auto_mesh_tunnels
                
                	Total number of automesh tunnels that are FRR enabled
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: up_auto_mesh_tunnels
                
                	Total number of automesh tunnels that are up
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.auto_mesh_destinations = None
                    self.auto_mesh_groups = None
                    self.auto_mesh_tunnels = None
                    self.down_auto_mesh_tunnels = None
                    self.frr_auto_mesh_tunnels = None
                    self.up_auto_mesh_tunnels = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:auto-mesh-summary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.auto_mesh_destinations is not None:
                        return True

                    if self.auto_mesh_groups is not None:
                        return True

                    if self.auto_mesh_tunnels is not None:
                        return True

                    if self.down_auto_mesh_tunnels is not None:
                        return True

                    if self.frr_auto_mesh_tunnels is not None:
                        return True

                    if self.up_auto_mesh_tunnels is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Tunnels.Summary.AutoMeshSummary']['meta_info']


            class AutoMeshOneHopSummary(object):
                """
                Automesh Onehop summary
                
                .. attribute:: auto_mesh_one_hop_destinations
                
                	Total number of automesh onehop destinations
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: auto_mesh_one_hop_groups
                
                	Total number of automesh onehop mesh\-groups
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: auto_mesh_one_hop_tunnels
                
                	Total number of automesh onehop tunnels
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: down_auto_mesh_one_hop_tunnels
                
                	Total number of automesh onehop tunnels that are down
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: frr_auto_mesh_tunnels
                
                	Total number of automesh onehop tunnels that are FRR enabled
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: up_auto_mesh_one_hop_tunnels
                
                	Total number of automesh onehop tunnels that are up
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.auto_mesh_one_hop_destinations = None
                    self.auto_mesh_one_hop_groups = None
                    self.auto_mesh_one_hop_tunnels = None
                    self.down_auto_mesh_one_hop_tunnels = None
                    self.frr_auto_mesh_tunnels = None
                    self.up_auto_mesh_one_hop_tunnels = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:auto-mesh-one-hop-summary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.auto_mesh_one_hop_destinations is not None:
                        return True

                    if self.auto_mesh_one_hop_groups is not None:
                        return True

                    if self.auto_mesh_one_hop_tunnels is not None:
                        return True

                    if self.down_auto_mesh_one_hop_tunnels is not None:
                        return True

                    if self.frr_auto_mesh_tunnels is not None:
                        return True

                    if self.up_auto_mesh_one_hop_tunnels is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Tunnels.Summary.AutoMeshOneHopSummary']['meta_info']


            class GmplsUniSummary(object):
                """
                GMPLS\-UNI summary
                
                .. attribute:: heads_down
                
                	Tunnel heads in down state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: heads_up
                
                	Tunnel heads in up state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tails_down
                
                	Tunnel tails in down state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tails_up
                
                	Tunnel tails in up state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.heads_down = None
                    self.heads_up = None
                    self.tails_down = None
                    self.tails_up = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:gmpls-uni-summary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.heads_down is not None:
                        return True

                    if self.heads_up is not None:
                        return True

                    if self.tails_down is not None:
                        return True

                    if self.tails_up is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Tunnels.Summary.GmplsUniSummary']['meta_info']


            class GmplsNniSummary(object):
                """
                GMPLS\-NNI summary
                
                .. attribute:: heads_down
                
                	Tunnel heads in down state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: heads_up
                
                	Tunnel heads in up state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: mids_down
                
                	Tunnel mids in down state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: mids_up
                
                	Tunnel mids in up state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tails_down
                
                	Tunnel tails in down state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tails_up
                
                	Tunnel tails in up state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.heads_down = None
                    self.heads_up = None
                    self.mids_down = None
                    self.mids_up = None
                    self.tails_down = None
                    self.tails_up = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:gmpls-nni-summary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.heads_down is not None:
                        return True

                    if self.heads_up is not None:
                        return True

                    if self.mids_down is not None:
                        return True

                    if self.mids_up is not None:
                        return True

                    if self.tails_down is not None:
                        return True

                    if self.tails_up is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Tunnels.Summary.GmplsNniSummary']['meta_info']


            class CurrentTunnelConvergenceSummary(object):
                """
                Current Tunnel convergemce summary information
                
                .. attribute:: table_frr_trigger
                
                	Table FRR trigger entry
                	**type**\:   :py:class:`TableFrrTrigger <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableFrrTrigger>`
                
                .. attribute:: table_label_rewrite
                
                	Table label rewrite entry
                	**type**\:   :py:class:`TableLabelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableLabelRewrite>`
                
                .. attribute:: table_path_out
                
                	Table path\-out entry
                	**type**\:   :py:class:`TablePathOut <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePathOut>`
                
                .. attribute:: table_pcalc
                
                	Table PCALC entry
                	**type**\:   :py:class:`TablePcalc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePcalc>`
                
                .. attribute:: table_resv_in
                
                	Table resv\-in entry
                	**type**\:   :py:class:`TableResvIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableResvIn>`
                
                .. attribute:: table_tunnel_rewrite
                
                	Table Tunnel rewrite entry
                	**type**\:   :py:class:`TableTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableTunnelRewrite>`
                
                .. attribute:: tunnel_converged_count
                
                	Tunnel converged count
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_frr_active_count
                
                	FRR active Tunnel count
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_frr_total_count
                
                	FRR triggered Tunnel count
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_total_convergence_complete_time
                
                	Tunnel convergence complete timestamp (clocktime in nsecs)
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                	**units**\: nanosecond
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.table_frr_trigger = MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableFrrTrigger()
                    self.table_frr_trigger.parent = self
                    self.table_label_rewrite = MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableLabelRewrite()
                    self.table_label_rewrite.parent = self
                    self.table_path_out = MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePathOut()
                    self.table_path_out.parent = self
                    self.table_pcalc = MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePcalc()
                    self.table_pcalc.parent = self
                    self.table_resv_in = MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableResvIn()
                    self.table_resv_in.parent = self
                    self.table_tunnel_rewrite = MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableTunnelRewrite()
                    self.table_tunnel_rewrite.parent = self
                    self.tunnel_converged_count = None
                    self.tunnel_frr_active_count = None
                    self.tunnel_frr_total_count = None
                    self.tunnel_total_convergence_complete_time = None


                class TablePathOut(object):
                    """
                    Table path\-out entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:current-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-path-out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePathOut']['meta_info']


                class TableResvIn(object):
                    """
                    Table resv\-in entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:current-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-resv-in'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableResvIn']['meta_info']


                class TableLabelRewrite(object):
                    """
                    Table label rewrite entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:current-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-label-rewrite'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableLabelRewrite']['meta_info']


                class TablePcalc(object):
                    """
                    Table PCALC entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:current-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-pcalc'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePcalc']['meta_info']


                class TableTunnelRewrite(object):
                    """
                    Table Tunnel rewrite entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:current-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-tunnel-rewrite'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableTunnelRewrite']['meta_info']


                class TableFrrTrigger(object):
                    """
                    Table FRR trigger entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:current-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-frr-trigger'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableFrrTrigger']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:current-tunnel-convergence-summary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.table_frr_trigger is not None and self.table_frr_trigger._has_data():
                        return True

                    if self.table_label_rewrite is not None and self.table_label_rewrite._has_data():
                        return True

                    if self.table_path_out is not None and self.table_path_out._has_data():
                        return True

                    if self.table_pcalc is not None and self.table_pcalc._has_data():
                        return True

                    if self.table_resv_in is not None and self.table_resv_in._has_data():
                        return True

                    if self.table_tunnel_rewrite is not None and self.table_tunnel_rewrite._has_data():
                        return True

                    if self.tunnel_converged_count is not None:
                        return True

                    if self.tunnel_frr_active_count is not None:
                        return True

                    if self.tunnel_frr_total_count is not None:
                        return True

                    if self.tunnel_total_convergence_complete_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary']['meta_info']


            class LastTunnelConvergenceSummary(object):
                """
                Last Tunnel convergemce summary information
                
                .. attribute:: table_frr_trigger
                
                	Table FRR trigger entry
                	**type**\:   :py:class:`TableFrrTrigger <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableFrrTrigger>`
                
                .. attribute:: table_label_rewrite
                
                	Table label rewrite entry
                	**type**\:   :py:class:`TableLabelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableLabelRewrite>`
                
                .. attribute:: table_path_out
                
                	Table path\-out entry
                	**type**\:   :py:class:`TablePathOut <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TablePathOut>`
                
                .. attribute:: table_pcalc
                
                	Table PCALC entry
                	**type**\:   :py:class:`TablePcalc <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TablePcalc>`
                
                .. attribute:: table_resv_in
                
                	Table resv\-in entry
                	**type**\:   :py:class:`TableResvIn <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableResvIn>`
                
                .. attribute:: table_tunnel_rewrite
                
                	Table Tunnel rewrite entry
                	**type**\:   :py:class:`TableTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableTunnelRewrite>`
                
                .. attribute:: tunnel_converged_count
                
                	Tunnel converged count
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_frr_active_count
                
                	FRR active Tunnel count
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_frr_total_count
                
                	FRR triggered Tunnel count
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: tunnel_total_convergence_complete_time
                
                	Tunnel convergence complete timestamp (clocktime in nsecs)
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                	**units**\: nanosecond
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.table_frr_trigger = MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableFrrTrigger()
                    self.table_frr_trigger.parent = self
                    self.table_label_rewrite = MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableLabelRewrite()
                    self.table_label_rewrite.parent = self
                    self.table_path_out = MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TablePathOut()
                    self.table_path_out.parent = self
                    self.table_pcalc = MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TablePcalc()
                    self.table_pcalc.parent = self
                    self.table_resv_in = MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableResvIn()
                    self.table_resv_in.parent = self
                    self.table_tunnel_rewrite = MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableTunnelRewrite()
                    self.table_tunnel_rewrite.parent = self
                    self.tunnel_converged_count = None
                    self.tunnel_frr_active_count = None
                    self.tunnel_frr_total_count = None
                    self.tunnel_total_convergence_complete_time = None


                class TablePathOut(object):
                    """
                    Table path\-out entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:last-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-path-out'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TablePathOut']['meta_info']


                class TableResvIn(object):
                    """
                    Table resv\-in entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:last-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-resv-in'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableResvIn']['meta_info']


                class TableLabelRewrite(object):
                    """
                    Table label rewrite entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:last-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-label-rewrite'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableLabelRewrite']['meta_info']


                class TablePcalc(object):
                    """
                    Table PCALC entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:last-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-pcalc'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TablePcalc']['meta_info']


                class TableTunnelRewrite(object):
                    """
                    Table Tunnel rewrite entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:last-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-tunnel-rewrite'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableTunnelRewrite']['meta_info']


                class TableFrrTrigger(object):
                    """
                    Table FRR trigger entry
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:last-tunnel-convergence-summary/Cisco-IOS-XR-mpls-te-oper:table-frr-trigger'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableFrrTrigger']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:last-tunnel-convergence-summary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.table_frr_trigger is not None and self.table_frr_trigger._has_data():
                        return True

                    if self.table_label_rewrite is not None and self.table_label_rewrite._has_data():
                        return True

                    if self.table_path_out is not None and self.table_path_out._has_data():
                        return True

                    if self.table_pcalc is not None and self.table_pcalc._has_data():
                        return True

                    if self.table_resv_in is not None and self.table_resv_in._has_data():
                        return True

                    if self.table_tunnel_rewrite is not None and self.table_tunnel_rewrite._has_data():
                        return True

                    if self.tunnel_converged_count is not None:
                        return True

                    if self.tunnel_frr_active_count is not None:
                        return True

                    if self.tunnel_frr_total_count is not None:
                        return True

                    if self.tunnel_total_convergence_complete_time is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary']['meta_info']


            class AutoTunServerSummary(object):
                """
                Auto\-tunnel server tunnel summary
                
                .. attribute:: clients_summary
                
                	List of auto\-tunnel server clients
                	**type**\: list of    :py:class:`ClientsSummary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.ClientsSummary>`
                
                .. attribute:: total_auto_p2mp_tunnels
                
                	Total number of P2MP auto\-tunnels
                	**type**\:   :py:class:`TotalAutoP2MpTunnels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2MpTunnels>`
                
                .. attribute:: total_auto_p2p_tunnels
                
                	Total number of P2P auto\-tunnels
                	**type**\:   :py:class:`TotalAutoP2PTunnels <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2PTunnels>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.clients_summary = YList()
                    self.clients_summary.parent = self
                    self.clients_summary.name = 'clients_summary'
                    self.total_auto_p2mp_tunnels = MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2MpTunnels()
                    self.total_auto_p2mp_tunnels.parent = self
                    self.total_auto_p2p_tunnels = MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2PTunnels()
                    self.total_auto_p2p_tunnels.parent = self


                class TotalAutoP2MpTunnels(object):
                    """
                    Total number of P2MP auto\-tunnels
                    
                    .. attribute:: auto_p2mp_destinations
                    
                    	Total number of client P2MP auto\-tunnel destinations
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: auto_p2mp_tunnel
                    
                    	Total number of client P2MP auto\-tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: down_auto_p2mp_destinations
                    
                    	Total number of client P2MP auto\-tunnel destinations that are down
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: down_auto_p2mp_tunnels
                    
                    	Total number of client P2MP auto\-tunnels that are down
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: frr_auto_p2mp_tunnels
                    
                    	Total number of client P2MP auto\-tunnels that are FRR enabled
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: up_auto_p2mp_destinations
                    
                    	Total number of client P2MP auto\-tunnel destinations that are up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: up_auto_p2mp_tunnels
                    
                    	Total number of client P2MP auto\-tunnels that are up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.auto_p2mp_destinations = None
                        self.auto_p2mp_tunnel = None
                        self.down_auto_p2mp_destinations = None
                        self.down_auto_p2mp_tunnels = None
                        self.frr_auto_p2mp_tunnels = None
                        self.up_auto_p2mp_destinations = None
                        self.up_auto_p2mp_tunnels = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:auto-tun-server-summary/Cisco-IOS-XR-mpls-te-oper:total-auto-p2mp-tunnels'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.auto_p2mp_destinations is not None:
                            return True

                        if self.auto_p2mp_tunnel is not None:
                            return True

                        if self.down_auto_p2mp_destinations is not None:
                            return True

                        if self.down_auto_p2mp_tunnels is not None:
                            return True

                        if self.frr_auto_p2mp_tunnels is not None:
                            return True

                        if self.up_auto_p2mp_destinations is not None:
                            return True

                        if self.up_auto_p2mp_tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2MpTunnels']['meta_info']


                class TotalAutoP2PTunnels(object):
                    """
                    Total number of P2P auto\-tunnels
                    
                    .. attribute:: auto_p2p_tunnel
                    
                    	Total number of client P2P auto\-tunnels
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: down_auto_p2p_tunnels
                    
                    	Total number of client P2P auto\-tunnels that are down
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: up_auto_p2p_tunnels
                    
                    	Total number of client P2P auto\-tunnels that are up
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.auto_p2p_tunnel = None
                        self.down_auto_p2p_tunnels = None
                        self.up_auto_p2p_tunnels = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:auto-tun-server-summary/Cisco-IOS-XR-mpls-te-oper:total-auto-p2p-tunnels'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.auto_p2p_tunnel is not None:
                            return True

                        if self.down_auto_p2p_tunnels is not None:
                            return True

                        if self.up_auto_p2p_tunnels is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2PTunnels']['meta_info']


                class ClientsSummary(object):
                    """
                    List of auto\-tunnel server clients
                    
                    .. attribute:: client_id
                    
                    	Client ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: client_instance_name
                    
                    	Client Instance name
                    	**type**\:  str
                    
                    .. attribute:: p2mp_info
                    
                    	P2MP info for a client
                    	**type**\:   :py:class:`P2MpInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2MpInfo>`
                    
                    .. attribute:: p2p_info
                    
                    	P2P info for a client
                    	**type**\:   :py:class:`P2PInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2PInfo>`
                    
                    .. attribute:: protocol_type
                    
                    	Client's protocol type
                    	**type**\:   :py:class:`TeServTunClientEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeServTunClientEnum>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.client_id = None
                        self.client_instance_name = None
                        self.p2mp_info = MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2MpInfo()
                        self.p2mp_info.parent = self
                        self.p2p_info = MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2PInfo()
                        self.p2p_info.parent = self
                        self.protocol_type = None


                    class P2MpInfo(object):
                        """
                        P2MP info for a client
                        
                        .. attribute:: auto_p2mp_destinations
                        
                        	Total number of client P2MP auto\-tunnel destinations
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: auto_p2mp_tunnel
                        
                        	Total number of client P2MP auto\-tunnels
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: down_auto_p2mp_destinations
                        
                        	Total number of client P2MP auto\-tunnel destinations that are down
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: down_auto_p2mp_tunnels
                        
                        	Total number of client P2MP auto\-tunnels that are down
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: frr_auto_p2mp_tunnels
                        
                        	Total number of client P2MP auto\-tunnels that are FRR enabled
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: up_auto_p2mp_destinations
                        
                        	Total number of client P2MP auto\-tunnel destinations that are up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: up_auto_p2mp_tunnels
                        
                        	Total number of client P2MP auto\-tunnels that are up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.auto_p2mp_destinations = None
                            self.auto_p2mp_tunnel = None
                            self.down_auto_p2mp_destinations = None
                            self.down_auto_p2mp_tunnels = None
                            self.frr_auto_p2mp_tunnels = None
                            self.up_auto_p2mp_destinations = None
                            self.up_auto_p2mp_tunnels = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:auto-tun-server-summary/Cisco-IOS-XR-mpls-te-oper:clients-summary/Cisco-IOS-XR-mpls-te-oper:p2mp-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.auto_p2mp_destinations is not None:
                                return True

                            if self.auto_p2mp_tunnel is not None:
                                return True

                            if self.down_auto_p2mp_destinations is not None:
                                return True

                            if self.down_auto_p2mp_tunnels is not None:
                                return True

                            if self.frr_auto_p2mp_tunnels is not None:
                                return True

                            if self.up_auto_p2mp_destinations is not None:
                                return True

                            if self.up_auto_p2mp_tunnels is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2MpInfo']['meta_info']


                    class P2PInfo(object):
                        """
                        P2P info for a client
                        
                        .. attribute:: auto_p2p_tunnel
                        
                        	Total number of client P2P auto\-tunnels
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: down_auto_p2p_tunnels
                        
                        	Total number of client P2P auto\-tunnels that are down
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: up_auto_p2p_tunnels
                        
                        	Total number of client P2P auto\-tunnels that are up
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.auto_p2p_tunnel = None
                            self.down_auto_p2p_tunnels = None
                            self.up_auto_p2p_tunnels = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:auto-tun-server-summary/Cisco-IOS-XR-mpls-te-oper:clients-summary/Cisco-IOS-XR-mpls-te-oper:p2p-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.auto_p2p_tunnel is not None:
                                return True

                            if self.down_auto_p2p_tunnels is not None:
                                return True

                            if self.up_auto_p2p_tunnels is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2PInfo']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:auto-tun-server-summary/Cisco-IOS-XR-mpls-te-oper:clients-summary'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.client_id is not None:
                            return True

                        if self.client_instance_name is not None:
                            return True

                        if self.p2mp_info is not None and self.p2mp_info._has_data():
                            return True

                        if self.p2p_info is not None and self.p2p_info._has_data():
                            return True

                        if self.protocol_type is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.ClientsSummary']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:auto-tun-server-summary'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.clients_summary is not None:
                        for child_ref in self.clients_summary:
                            if child_ref._has_data():
                                return True

                    if self.total_auto_p2mp_tunnels is not None and self.total_auto_p2mp_tunnels._has_data():
                        return True

                    if self.total_auto_p2p_tunnels is not None and self.total_auto_p2p_tunnels._has_data():
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Tunnels.Summary.AutoTunServerSummary']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:summary'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.activated_heads is not None:
                    return True

                if self.auto_bandwidth_collection_period is not None:
                    return True

                if self.auto_bandwidth_tunnels is not None:
                    return True

                if self.auto_mesh_one_hop_summary is not None and self.auto_mesh_one_hop_summary._has_data():
                    return True

                if self.auto_mesh_summary is not None and self.auto_mesh_summary._has_data():
                    return True

                if self.auto_tun_server_summary is not None and self.auto_tun_server_summary._has_data():
                    return True

                if self.autobackup_summary is not None and self.autobackup_summary._has_data():
                    return True

                if self.backup_tunnels is not None:
                    return True

                if self.backups_assigned is not None:
                    return True

                if self.bidir_head_ls_ps_associated is not None:
                    return True

                if self.bidir_head_ls_ps_proceeding is not None:
                    return True

                if self.bidir_head_ls_ps_standby is not None:
                    return True

                if self.bidir_head_ls_ps_up is not None:
                    return True

                if self.bidir_head_tunnels is not None:
                    return True

                if self.bidir_head_tunnels_associated is not None:
                    return True

                if self.bidir_head_tunnels_corouted is not None:
                    return True

                if self.bidir_head_tunnels_up is not None:
                    return True

                if self.bidir_mid_ls_ps_associated is not None:
                    return True

                if self.bidir_mid_ls_ps_proceeding is not None:
                    return True

                if self.bidir_mid_ls_ps_standby is not None:
                    return True

                if self.bidir_mid_tunnels is not None:
                    return True

                if self.bidir_mid_tunnels_up is not None:
                    return True

                if self.bidir_tail_ls_ps is not None:
                    return True

                if self.bidir_tail_ls_ps_associated is not None:
                    return True

                if self.bidir_tail_ls_ps_corouted is not None:
                    return True

                if self.bidir_tail_ls_ps_proceeding is not None:
                    return True

                if self.bidir_tail_ls_ps_standby is not None:
                    return True

                if self.bidir_tail_ls_ps_up is not None:
                    return True

                if self.bw_protected_p2mp_s2_ls is not None:
                    return True

                if self.bw_protected_p2p_s2_ls is not None:
                    return True

                if self.bw_protected_p2p_tunnels is not None:
                    return True

                if self.bw_protected_tunnels is not None:
                    return True

                if self.current_tunnel_convergence_summary is not None and self.current_tunnel_convergence_summary._has_data():
                    return True

                if self.deactivated_heads is not None:
                    return True

                if self.dynamic_up_p2p_head_tunnels is not None:
                    return True

                if self.frr_config_p2mp_head_tunnels is not None:
                    return True

                if self.frr_config_p2p_head_tunnels is not None:
                    return True

                if self.frr_head_tunnels is not None:
                    return True

                if self.frr_mid_point_tunnels is not None:
                    return True

                if self.frr_p2mp_head_s2_ls is not None:
                    return True

                if self.frr_p2mp_mid_point_s2_ls is not None:
                    return True

                if self.frr_p2p_head_s2_ls is not None:
                    return True

                if self.frr_p2p_head_tunnels is not None:
                    return True

                if self.frr_p2p_mid_point_s2_ls is not None:
                    return True

                if self.frr_p2p_mid_point_tunnels is not None:
                    return True

                if self.frr_protected_interfaces is not None:
                    return True

                if self.gmpls_nni_summary is not None and self.gmpls_nni_summary._has_data():
                    return True

                if self.gmpls_uni_summary is not None and self.gmpls_uni_summary._has_data():
                    return True

                if self.is_forwarding_enabled is not None:
                    return True

                if self.is_periodic_reoptimization_on is not None:
                    return True

                if self.is_promotion_on is not None:
                    return True

                if self.is_rsvp_process_enabled is not None:
                    return True

                if self.last_tunnel_convergence_summary is not None and self.last_tunnel_convergence_summary._has_data():
                    return True

                if self.link_and_node_diverse_paths is not None:
                    return True

                if self.link_diverse_paths is not None:
                    return True

                if self.link_protected_p2mp_s2_ls is not None:
                    return True

                if self.link_protected_p2p_s2_ls is not None:
                    return True

                if self.link_protected_p2p_tunnels is not None:
                    return True

                if self.link_protected_tunnels is not None:
                    return True

                if self.next_check_time is not None:
                    return True

                if self.next_promotion_timer is not None:
                    return True

                if self.next_reoptimization_timer is not None:
                    return True

                if self.next_verify_timer is not None:
                    return True

                if self.node_diverse_paths is not None:
                    return True

                if self.node_protected_p2p_tunnels is not None:
                    return True

                if self.node_protected_tunnels is not None:
                    return True

                if self.p2mp_head_destinations is not None:
                    return True

                if self.p2mp_head_tunnels is not None:
                    return True

                if self.p2mp_mid_point_s2_ls is not None:
                    return True

                if self.p2mp_tail_s2_ls is not None:
                    return True

                if self.p2p_head_destinations is not None:
                    return True

                if self.p2p_head_destinations_up is not None:
                    return True

                if self.p2p_head_tunnels is not None:
                    return True

                if self.p2p_mid_point_s2_ls is not None:
                    return True

                if self.p2p_tail_s2_ls is not None:
                    return True

                if self.p2p_tail_tunnels is not None:
                    return True

                if self.path_protect_configured_tunnels is not None:
                    return True

                if self.path_protect_configured_tunnels_standby_up is not None:
                    return True

                if self.path_protect_configured_tunnels_up is not None:
                    return True

                if self.pcalc_tie_breaker_type is not None:
                    return True

                if self.pcalc_tiebreaker is not None:
                    return True

                if self.proceeding_p2mp_head_s2_ls is not None:
                    return True

                if self.proceeding_p2mp_mid_point_s2_ls is not None:
                    return True

                if self.proceeding_p2p_head_s2_ls is not None:
                    return True

                if self.proceeding_p2p_mid_point_s2_ls is not None:
                    return True

                if self.promotion_period is not None:
                    return True

                if self.protected_head_tunnels is not None:
                    return True

                if self.protected_mid_point_tunnels is not None:
                    return True

                if self.protected_p2mp_head_s2_ls is not None:
                    return True

                if self.protected_p2mp_mid_point_s2_ls is not None:
                    return True

                if self.protected_p2p_head_s2_ls is not None:
                    return True

                if self.protected_p2p_head_tunnels is not None:
                    return True

                if self.protected_p2p_mid_point_s2_ls is not None:
                    return True

                if self.protected_p2p_mid_point_tunnels is not None:
                    return True

                if self.recovered_heads is not None:
                    return True

                if self.recovering_p2p_head_s2_ls is not None:
                    return True

                if self.reoptimization_period is not None:
                    return True

                if self.rerouted_head_tunnels is not None:
                    return True

                if self.rerouted_interfaces is not None:
                    return True

                if self.rerouted_mid_point_tunnels is not None:
                    return True

                if self.rerouted_p2mp_head_s2_ls is not None:
                    return True

                if self.rerouted_p2mp_mid_point_s2_ls is not None:
                    return True

                if self.rerouted_p2p_head_s2_ls is not None:
                    return True

                if self.rerouted_p2p_head_tunnels is not None:
                    return True

                if self.rerouted_p2p_mid_point_s2_ls is not None:
                    return True

                if self.rerouted_p2p_mid_point_tunnels is not None:
                    return True

                if self.te_process_status is not None:
                    return True

                if self.tiebreaker_qualifier is not None:
                    return True

                if self.tunnel_check_period is not None:
                    return True

                if self.tunnel_verify_period is not None:
                    return True

                if self.up_p2mp_head_destinations is not None:
                    return True

                if self.up_p2mp_head_s2_ls is not None:
                    return True

                if self.up_p2mp_head_tunnels is not None:
                    return True

                if self.up_p2mp_mid_point_s2_ls is not None:
                    return True

                if self.up_p2mp_tail_s2_ls is not None:
                    return True

                if self.up_p2p_head_s2_ls is not None:
                    return True

                if self.up_p2p_head_tunnels is not None:
                    return True

                if self.up_p2p_mid_point_s2_ls is not None:
                    return True

                if self.up_p2p_tail_s2_ls is not None:
                    return True

                if self.user_defined_paths is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.Tunnels.Summary']['meta_info']


        class TunnelPathProtections(object):
            """
            Path protection
            
            .. attribute:: tunnel_path_protection
            
            	Path Protection
            	**type**\: list of    :py:class:`TunnelPathProtection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tunnel_path_protection = YList()
                self.tunnel_path_protection.parent = self
                self.tunnel_path_protection.name = 'tunnel_path_protection'


            class TunnelPathProtection(object):
                """
                Path Protection
                
                .. attribute:: ctype
                
                	Ctype
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: current_lsp
                
                	 Current LSP info
                	**type**\:   :py:class:`CurrentLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp>`
                
                .. attribute:: destination_address
                
                	Destination
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: is_tunnel_up
                
                	Tunnel UP
                	**type**\:  bool
                
                .. attribute:: path_protection
                
                	Path Protect Info
                	**type**\:   :py:class:`PathProtection <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection>`
                
                .. attribute:: source_address
                
                	Source
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: standby_lsp
                
                	 Standby LSP info
                	**type**\:   :py:class:`StandbyLsp <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp>`
                
                .. attribute:: tunnel_id
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: tunnel_name
                
                	Tunnel Name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ctype = None
                    self.current_lsp = MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp()
                    self.current_lsp.parent = self
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.is_tunnel_up = None
                    self.path_protection = MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection()
                    self.path_protection.parent = self
                    self.source_address = None
                    self.standby_lsp = MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp()
                    self.standby_lsp.parent = self
                    self.tunnel_id = None
                    self.tunnel_name = None


                class PathProtection(object):
                    """
                    Path Protect Info
                    
                    .. attribute:: diversity_type
                    
                    	Standby path diversity type
                    	**type**\:   :py:class:`TePpDiversityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TePpDiversityEnum>`
                    
                    .. attribute:: is_path_protect_configured
                    
                    	Is Path Protection Configured
                    	**type**\:  bool
                    
                    .. attribute:: is_path_protect_switch_over_underway
                    
                    	Is Switchover Underway
                    	**type**\:  bool
                    
                    .. attribute:: path_protection_protected_by_id
                    
                    	The path option ID (level/index) of the configured explicit protecting path
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: reoptimization_time_remaining
                    
                    	Remaining time until path protection reoptimization (seconds)
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: standby_reoptimized_number
                    
                    	Number of times the standby LSP was reoptimized
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: switchover
                    
                    	Path Protected Switchover Information
                    	**type**\:   :py:class:`Switchover <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection.Switchover>`
                    
                    .. attribute:: switchover_ready
                    
                    	Total times, Standby LSP ready for use
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: switchover_reason
                    
                    	Reason for last switchover
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: switchover_total
                    
                    	Number of times switchover occurred
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: time_of_switchover_sec
                    
                    	The date when the switchover was completed. This date is the number of seconds since Jan 1st 1970
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    	**units**\: second
                    
                    .. attribute:: valid_path_protection_path_option_exists
                    
                    	Flag to indicate whether tunnel has a path\-option which is valid for path\-protection
                    	**type**\:  bool
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.diversity_type = None
                        self.is_path_protect_configured = None
                        self.is_path_protect_switch_over_underway = None
                        self.path_protection_protected_by_id = None
                        self.reoptimization_time_remaining = None
                        self.standby_reoptimized_number = None
                        self.switchover = MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection.Switchover()
                        self.switchover.parent = self
                        self.switchover_ready = None
                        self.switchover_reason = None
                        self.switchover_total = None
                        self.time_of_switchover_sec = None
                        self.valid_path_protection_path_option_exists = None


                    class Switchover(object):
                        """
                        Path Protected Switchover Information
                        
                        .. attribute:: date_of_error_detection
                        
                        	The date when the error that caused the switchover was detected. This date is the number of seconds since Jan 1st 1970
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        .. attribute:: date_of_error_detection_millisec
                        
                        	The milliseconds offset of the date when the error that caused  the switchover was detected
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: from_lsp_id
                        
                        	The LSP ID from which the traffic was switched over
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: path_protection_switchover_event_index
                        
                        	The index number of the path protection switch over event
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: path_protection_switchover_reason
                        
                        	The reason that caused the path protection switchover
                        	**type**\:   :py:class:`TeP2MpS2LDeletionSubcauseEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeP2MpS2LDeletionSubcauseEnum>`
                        
                        .. attribute:: path_protection_tunnel_id
                        
                        	The ID of the tunnel that experienced switchover
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: switchover_duration_millisec
                        
                        	The time in milliseconds between the detection of the error and switching the traffic
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: millisecond
                        
                        .. attribute:: to_lsp_id
                        
                        	The LSP ID to which the traffic was switched over
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.date_of_error_detection = None
                            self.date_of_error_detection_millisec = None
                            self.from_lsp_id = None
                            self.path_protection_switchover_event_index = None
                            self.path_protection_switchover_reason = None
                            self.path_protection_tunnel_id = None
                            self.switchover_duration_millisec = None
                            self.to_lsp_id = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:path-protection/Cisco-IOS-XR-mpls-te-oper:switchover'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.date_of_error_detection is not None:
                                return True

                            if self.date_of_error_detection_millisec is not None:
                                return True

                            if self.from_lsp_id is not None:
                                return True

                            if self.path_protection_switchover_event_index is not None:
                                return True

                            if self.path_protection_switchover_reason is not None:
                                return True

                            if self.path_protection_tunnel_id is not None:
                                return True

                            if self.switchover_duration_millisec is not None:
                                return True

                            if self.to_lsp_id is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection.Switchover']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:path-protection'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.diversity_type is not None:
                            return True

                        if self.is_path_protect_configured is not None:
                            return True

                        if self.is_path_protect_switch_over_underway is not None:
                            return True

                        if self.path_protection_protected_by_id is not None:
                            return True

                        if self.reoptimization_time_remaining is not None:
                            return True

                        if self.standby_reoptimized_number is not None:
                            return True

                        if self.switchover is not None and self.switchover._has_data():
                            return True

                        if self.switchover_ready is not None:
                            return True

                        if self.switchover_reason is not None:
                            return True

                        if self.switchover_total is not None:
                            return True

                        if self.time_of_switchover_sec is not None:
                            return True

                        if self.valid_path_protection_path_option_exists is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection']['meta_info']


                class CurrentLsp(object):
                    """
                     Current LSP info
                    
                    .. attribute:: lsp_hop
                    
                    	Path used by LSP
                    	**type**\: list of    :py:class:`LspHop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop>`
                    
                    .. attribute:: lsp_local_label
                    
                    	Local label 
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_output_interface
                    
                    	Output interface of LSP
                    	**type**\:  str
                    
                    .. attribute:: lsp_output_label
                    
                    	Output label of the LSP
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_state
                    
                    	LSP State
                    	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                    
                    .. attribute:: lsp_uptime
                    
                    	LSP Uptime
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_protection_lsp_id
                    
                    	LSP ID 
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srlsp_outgoing_info
                    
                    	Segment\-routing iutgoing info of LSP
                    	**type**\: list of    :py:class:`SrlspOutgoingInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.SrlspOutgoingInfo>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.lsp_hop = YList()
                        self.lsp_hop.parent = self
                        self.lsp_hop.name = 'lsp_hop'
                        self.lsp_local_label = None
                        self.lsp_output_interface = None
                        self.lsp_output_label = None
                        self.lsp_state = None
                        self.lsp_uptime = None
                        self.path_protection_lsp_id = None
                        self.srlsp_outgoing_info = YList()
                        self.srlsp_outgoing_info.parent = self
                        self.srlsp_outgoing_info.name = 'srlsp_outgoing_info'


                    class SrlspOutgoingInfo(object):
                        """
                        Segment\-routing iutgoing info of LSP
                        
                        .. attribute:: lsp_output_interface
                        
                        	Output interface of LSP
                        	**type**\:  str
                        
                        .. attribute:: lsp_output_label
                        
                        	Output label of the LSP
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.lsp_output_interface = None
                            self.lsp_output_label = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:current-lsp/Cisco-IOS-XR-mpls-te-oper:srlsp-outgoing-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.lsp_output_interface is not None:
                                return True

                            if self.lsp_output_label is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.SrlspOutgoingInfo']['meta_info']


                    class LspHop(object):
                        """
                        Path used by LSP
                        
                        .. attribute:: ero_type
                        
                        	EROType
                        	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                        
                        .. attribute:: ipv4ero_sub_object
                        
                        	IPV4 ERO Sub Object
                        	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.Ipv4EroSubObject>`
                        
                        .. attribute:: unnumbered_ero_sub_object
                        
                        	Unnumbered ERO Sub Object
                        	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.UnnumberedEroSubObject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_type = None
                            self.ipv4ero_sub_object = MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.Ipv4EroSubObject()
                            self.ipv4ero_sub_object.parent = self
                            self.unnumbered_ero_sub_object = MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.UnnumberedEroSubObject()
                            self.unnumbered_ero_sub_object.parent = self


                        class Ipv4EroSubObject(object):
                            """
                            IPV4 ERO Sub Object
                            
                            .. attribute:: ero_address
                            
                            	The ERO IPV4 Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: prefix_length
                            
                            	ERO Prefix Length
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_address = None
                                self.is_strict_route = None
                                self.prefix_length = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:current-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_address is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.prefix_length is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.Ipv4EroSubObject']['meta_info']


                        class UnnumberedEroSubObject(object):
                            """
                            Unnumbered ERO Sub Object
                            
                            .. attribute:: ero_interface_id
                            
                            	The Interface ID in ERO
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: ero_router_id
                            
                            	The Router ID in ERO
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: status
                            
                            	Status of ERO
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_interface_id = None
                                self.ero_router_id = None
                                self.is_strict_route = None
                                self.status = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:current-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_interface_id is not None:
                                    return True

                                if self.ero_router_id is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.UnnumberedEroSubObject']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:current-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_type is not None:
                                return True

                            if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                return True

                            if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:current-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.lsp_hop is not None:
                            for child_ref in self.lsp_hop:
                                if child_ref._has_data():
                                    return True

                        if self.lsp_local_label is not None:
                            return True

                        if self.lsp_output_interface is not None:
                            return True

                        if self.lsp_output_label is not None:
                            return True

                        if self.lsp_state is not None:
                            return True

                        if self.lsp_uptime is not None:
                            return True

                        if self.path_protection_lsp_id is not None:
                            return True

                        if self.srlsp_outgoing_info is not None:
                            for child_ref in self.srlsp_outgoing_info:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp']['meta_info']


                class StandbyLsp(object):
                    """
                     Standby LSP info
                    
                    .. attribute:: lsp_hop
                    
                    	Path used by LSP
                    	**type**\: list of    :py:class:`LspHop <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop>`
                    
                    .. attribute:: lsp_local_label
                    
                    	Local label 
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_output_interface
                    
                    	Output interface of LSP
                    	**type**\:  str
                    
                    .. attribute:: lsp_output_label
                    
                    	Output label of the LSP
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: lsp_state
                    
                    	LSP State
                    	**type**\:   :py:class:`MplsTeTunnelStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelStateEnum>`
                    
                    .. attribute:: lsp_uptime
                    
                    	LSP Uptime
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_protection_lsp_id
                    
                    	LSP ID 
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srlsp_outgoing_info
                    
                    	Segment\-routing iutgoing info of LSP
                    	**type**\: list of    :py:class:`SrlspOutgoingInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.SrlspOutgoingInfo>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.lsp_hop = YList()
                        self.lsp_hop.parent = self
                        self.lsp_hop.name = 'lsp_hop'
                        self.lsp_local_label = None
                        self.lsp_output_interface = None
                        self.lsp_output_label = None
                        self.lsp_state = None
                        self.lsp_uptime = None
                        self.path_protection_lsp_id = None
                        self.srlsp_outgoing_info = YList()
                        self.srlsp_outgoing_info.parent = self
                        self.srlsp_outgoing_info.name = 'srlsp_outgoing_info'


                    class SrlspOutgoingInfo(object):
                        """
                        Segment\-routing iutgoing info of LSP
                        
                        .. attribute:: lsp_output_interface
                        
                        	Output interface of LSP
                        	**type**\:  str
                        
                        .. attribute:: lsp_output_label
                        
                        	Output label of the LSP
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.lsp_output_interface = None
                            self.lsp_output_label = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:standby-lsp/Cisco-IOS-XR-mpls-te-oper:srlsp-outgoing-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.lsp_output_interface is not None:
                                return True

                            if self.lsp_output_label is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.SrlspOutgoingInfo']['meta_info']


                    class LspHop(object):
                        """
                        Path used by LSP
                        
                        .. attribute:: ero_type
                        
                        	EROType
                        	**type**\:   :py:class:`RsvpMgmtEroSubobjEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjEnum>`
                        
                        .. attribute:: ipv4ero_sub_object
                        
                        	IPV4 ERO Sub Object
                        	**type**\:   :py:class:`Ipv4EroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.Ipv4EroSubObject>`
                        
                        .. attribute:: unnumbered_ero_sub_object
                        
                        	Unnumbered ERO Sub Object
                        	**type**\:   :py:class:`UnnumberedEroSubObject <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.UnnumberedEroSubObject>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ero_type = None
                            self.ipv4ero_sub_object = MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.Ipv4EroSubObject()
                            self.ipv4ero_sub_object.parent = self
                            self.unnumbered_ero_sub_object = MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.UnnumberedEroSubObject()
                            self.unnumbered_ero_sub_object.parent = self


                        class Ipv4EroSubObject(object):
                            """
                            IPV4 ERO Sub Object
                            
                            .. attribute:: ero_address
                            
                            	The ERO IPV4 Address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: prefix_length
                            
                            	ERO Prefix Length
                            	**type**\:  int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_address = None
                                self.is_strict_route = None
                                self.prefix_length = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:standby-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop/Cisco-IOS-XR-mpls-te-oper:ipv4ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_address is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.prefix_length is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.Ipv4EroSubObject']['meta_info']


                        class UnnumberedEroSubObject(object):
                            """
                            Unnumbered ERO Sub Object
                            
                            .. attribute:: ero_interface_id
                            
                            	The Interface ID in ERO
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: ero_router_id
                            
                            	The Router ID in ERO
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: is_strict_route
                            
                            	ERO Entry Is Strict
                            	**type**\:  bool
                            
                            .. attribute:: status
                            
                            	Status of ERO
                            	**type**\:   :py:class:`RsvpMgmtEroSubobjStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RsvpMgmtEroSubobjStatusEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.ero_interface_id = None
                                self.ero_router_id = None
                                self.is_strict_route = None
                                self.status = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:standby-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop/Cisco-IOS-XR-mpls-te-oper:unnumbered-ero-sub-object'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.ero_interface_id is not None:
                                    return True

                                if self.ero_router_id is not None:
                                    return True

                                if self.is_strict_route is not None:
                                    return True

                                if self.status is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.UnnumberedEroSubObject']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:standby-lsp/Cisco-IOS-XR-mpls-te-oper:lsp-hop'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ero_type is not None:
                                return True

                            if self.ipv4ero_sub_object is not None and self.ipv4ero_sub_object._has_data():
                                return True

                            if self.unnumbered_ero_sub_object is not None and self.unnumbered_ero_sub_object._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection/Cisco-IOS-XR-mpls-te-oper:standby-lsp'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.lsp_hop is not None:
                            for child_ref in self.lsp_hop:
                                if child_ref._has_data():
                                    return True

                        if self.lsp_local_label is not None:
                            return True

                        if self.lsp_output_interface is not None:
                            return True

                        if self.lsp_output_label is not None:
                            return True

                        if self.lsp_state is not None:
                            return True

                        if self.lsp_uptime is not None:
                            return True

                        if self.path_protection_lsp_id is not None:
                            return True

                        if self.srlsp_outgoing_info is not None:
                            for child_ref in self.srlsp_outgoing_info:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protection'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ctype is not None:
                        return True

                    if self.current_lsp is not None and self.current_lsp._has_data():
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.is_tunnel_up is not None:
                        return True

                    if self.path_protection is not None and self.path_protection._has_data():
                        return True

                    if self.source_address is not None:
                        return True

                    if self.standby_lsp is not None and self.standby_lsp._has_data():
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.tunnel_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels/Cisco-IOS-XR-mpls-te-oper:tunnel-path-protections'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tunnel_path_protection is not None:
                    for child_ref in self.tunnel_path_protection:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.Tunnels.TunnelPathProtections']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:tunnels'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.summary is not None and self.summary._has_data():
                return True

            if self.tunnel_auto_bandwidths is not None and self.tunnel_auto_bandwidths._has_data():
                return True

            if self.tunnel_flex_lsps is not None and self.tunnel_flex_lsps._has_data():
                return True

            if self.tunnel_path_protections is not None and self.tunnel_path_protections._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.Tunnels']['meta_info']


    class MaximumTunnels(object):
        """
        MPLS Traffic Engineering Tunnels
        
        .. attribute:: absolute_maximum
        
        	Absolute Maximum
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_auto_mesh
        
        	Current Autotunnel Mesh count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_autobackups
        
        	Current Autotunnel Backup count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_destination_count
        
        	Current Destination Count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_gmpls_uni
        
        	Current GMPLS\-UNI tunnel count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_maximum_auto_mesh
        
        	Current Maximum Autotunnel Mesh Allowed
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_maximum_autobackups
        
        	Current Maximum Autotunnel Backups Allowed
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_maximum_destinations
        
        	Current Maximum Destinations
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_maximum_gmpls_unitunnels
        
        	Current Maximum GMPLS\-UNI Tunnel Count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_maximum_p2mp_destnation_per_tunnel
        
        	Current Maximum P2MP Destinations Per Tunnel Count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_maximum_p2mp_tunnels
        
        	Current Maximum P2MP Tunnel Count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_maximum_tunnels
        
        	Current Maximum Tunnels
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_p2mp_destnation_per_tunnel_count
        
        	Current P2MP Destination per tunnel count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_p2mp_tunnel_count
        
        	Current P2MP tunnel count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: current_tunnel_count
        
        	Current tunnel count
        	**type**\:  int
        
        	**range:** 0..4294967295
        
        .. attribute:: is_auto_mesh_range_configured
        
        	TRUE if the automesh range is configured
        	**type**\:  bool
        
        .. attribute:: is_autobackup_range_configured
        
        	TRUE if the autobackup range is configured
        	**type**\:  bool
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.absolute_maximum = None
            self.current_auto_mesh = None
            self.current_autobackups = None
            self.current_destination_count = None
            self.current_gmpls_uni = None
            self.current_maximum_auto_mesh = None
            self.current_maximum_autobackups = None
            self.current_maximum_destinations = None
            self.current_maximum_gmpls_unitunnels = None
            self.current_maximum_p2mp_destnation_per_tunnel = None
            self.current_maximum_p2mp_tunnels = None
            self.current_maximum_tunnels = None
            self.current_p2mp_destnation_per_tunnel_count = None
            self.current_p2mp_tunnel_count = None
            self.current_tunnel_count = None
            self.is_auto_mesh_range_configured = None
            self.is_autobackup_range_configured = None

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:maximum-tunnels'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.absolute_maximum is not None:
                return True

            if self.current_auto_mesh is not None:
                return True

            if self.current_autobackups is not None:
                return True

            if self.current_destination_count is not None:
                return True

            if self.current_gmpls_uni is not None:
                return True

            if self.current_maximum_auto_mesh is not None:
                return True

            if self.current_maximum_autobackups is not None:
                return True

            if self.current_maximum_destinations is not None:
                return True

            if self.current_maximum_gmpls_unitunnels is not None:
                return True

            if self.current_maximum_p2mp_destnation_per_tunnel is not None:
                return True

            if self.current_maximum_p2mp_tunnels is not None:
                return True

            if self.current_maximum_tunnels is not None:
                return True

            if self.current_p2mp_destnation_per_tunnel_count is not None:
                return True

            if self.current_p2mp_tunnel_count is not None:
                return True

            if self.current_tunnel_count is not None:
                return True

            if self.is_auto_mesh_range_configured is not None:
                return True

            if self.is_autobackup_range_configured is not None:
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.MaximumTunnels']['meta_info']


    class PathProtection(object):
        """
        MPLS TE path protection info
        
        .. attribute:: switchover_log
        
        	MPLS TE path protection info
        	**type**\:   :py:class:`SwitchoverLog <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.PathProtection.SwitchoverLog>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.switchover_log = MplsTeStandby.PathProtection.SwitchoverLog()
            self.switchover_log.parent = self


        class SwitchoverLog(object):
            """
            MPLS TE path protection info
            
            .. attribute:: average_switchover_millisec
            
            	The average delay for a switchover in milliseconds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: millisecond
            
            .. attribute:: maximum_switchover_millisec
            
            	The maximum delay for a switchover in milliseconds
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: millisecond
            
            .. attribute:: path_protection_switchover_entry
            
            	The array of path protection switchover entries
            	**type**\: list of    :py:class:`PathProtectionSwitchoverEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.PathProtection.SwitchoverLog.PathProtectionSwitchoverEntry>`
            
            .. attribute:: path_protection_switchovers
            
            	Total number of path protection switchover events. This could be more than the entries in the array
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.average_switchover_millisec = None
                self.maximum_switchover_millisec = None
                self.path_protection_switchover_entry = YList()
                self.path_protection_switchover_entry.parent = self
                self.path_protection_switchover_entry.name = 'path_protection_switchover_entry'
                self.path_protection_switchovers = None


            class PathProtectionSwitchoverEntry(object):
                """
                The array of path protection switchover entries
                
                .. attribute:: date_of_error_detection
                
                	The date when the error that caused the switchover was detected. This date is the number of seconds since Jan 1st 1970
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: date_of_error_detection_millisec
                
                	The milliseconds offset of the date when the error that caused  the switchover was detected
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: millisecond
                
                .. attribute:: from_lsp_id
                
                	The LSP ID from which the traffic was switched over
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: path_protection_switchover_event_index
                
                	The index number of the path protection switch over event
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: path_protection_switchover_reason
                
                	The reason that caused the path protection switchover
                	**type**\:   :py:class:`TeP2MpS2LDeletionSubcauseEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeP2MpS2LDeletionSubcauseEnum>`
                
                .. attribute:: path_protection_tunnel_id
                
                	The ID of the tunnel that experienced switchover
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: switchover_duration_millisec
                
                	The time in milliseconds between the detection of the error and switching the traffic
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: millisecond
                
                .. attribute:: to_lsp_id
                
                	The LSP ID to which the traffic was switched over
                	**type**\:  int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.date_of_error_detection = None
                    self.date_of_error_detection_millisec = None
                    self.from_lsp_id = None
                    self.path_protection_switchover_event_index = None
                    self.path_protection_switchover_reason = None
                    self.path_protection_tunnel_id = None
                    self.switchover_duration_millisec = None
                    self.to_lsp_id = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:path-protection/Cisco-IOS-XR-mpls-te-oper:switchover-log/Cisco-IOS-XR-mpls-te-oper:path-protection-switchover-entry'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.date_of_error_detection is not None:
                        return True

                    if self.date_of_error_detection_millisec is not None:
                        return True

                    if self.from_lsp_id is not None:
                        return True

                    if self.path_protection_switchover_event_index is not None:
                        return True

                    if self.path_protection_switchover_reason is not None:
                        return True

                    if self.path_protection_tunnel_id is not None:
                        return True

                    if self.switchover_duration_millisec is not None:
                        return True

                    if self.to_lsp_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.PathProtection.SwitchoverLog.PathProtectionSwitchoverEntry']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:path-protection/Cisco-IOS-XR-mpls-te-oper:switchover-log'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.average_switchover_millisec is not None:
                    return True

                if self.maximum_switchover_millisec is not None:
                    return True

                if self.path_protection_switchover_entry is not None:
                    for child_ref in self.path_protection_switchover_entry:
                        if child_ref._has_data():
                            return True

                if self.path_protection_switchovers is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.PathProtection.SwitchoverLog']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:path-protection'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.switchover_log is not None and self.switchover_log._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.PathProtection']['meta_info']


    class FibNextHopLabelRoutes(object):
        """
        MPLS TE FIB nexthop label route database
        
        .. attribute:: fib_next_hop_label_route
        
        	MPLS TE FIB nexthop label route
        	**type**\: list of    :py:class:`FibNextHopLabelRoute <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.FibNextHopLabelRoutes.FibNextHopLabelRoute>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.fib_next_hop_label_route = YList()
            self.fib_next_hop_label_route.parent = self
            self.fib_next_hop_label_route.name = 'fib_next_hop_label_route'


        class FibNextHopLabelRoute(object):
            """
            MPLS TE FIB nexthop label route
            
            .. attribute:: label  <key>
            
            	MPLS Label
            	**type**\:  int
            
            	**range:** 0..1048575
            
            .. attribute:: create_time
            
            	Create Time
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: expire_time
            
            	Expire Time
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: is_notified
            
            	Is Notified
            	**type**\:  bool
            
            .. attribute:: is_registered
            
            	Is Registered
            	**type**\:  bool
            
            .. attribute:: is_stale
            
            	Is Stale
            	**type**\:  bool
            
            .. attribute:: last_update_time
            
            	Last Update Time
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: last_used_time
            
            	Last Used Time
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: next_hop_path
            
            	Next Hop Paths
            	**type**\: list of    :py:class:`NextHopPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.FibNextHopLabelRoutes.FibNextHopLabelRoute.NextHopPath>`
            
            .. attribute:: prefix_addr
            
            	Deprecated \- replaced by TargetAddress
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: route_version
            
            	Route version
            	**type**\:  int
            
            	**range:** 0..18446744073709551615
            
            .. attribute:: target_address
            
            	Next Hop Target Address
            	**type**\:   :py:class:`TargetAddress <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.FibNextHopLabelRoutes.FibNextHopLabelRoute.TargetAddress>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.label = None
                self.create_time = None
                self.expire_time = None
                self.is_notified = None
                self.is_registered = None
                self.is_stale = None
                self.last_update_time = None
                self.last_used_time = None
                self.next_hop_path = YList()
                self.next_hop_path.parent = self
                self.next_hop_path.name = 'next_hop_path'
                self.prefix_addr = None
                self.route_version = None
                self.target_address = MplsTeStandby.FibNextHopLabelRoutes.FibNextHopLabelRoute.TargetAddress()
                self.target_address.parent = self


            class TargetAddress(object):
                """
                Next Hop Target Address
                
                .. attribute:: ip_address
                
                	IPv4 Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: label
                
                	MPLS Label
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: type
                
                	type
                	**type**\:   :py:class:`TeTargetAddrEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeTargetAddrEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ip_address = None
                    self.label = None
                    self.type = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:target-address'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ip_address is not None:
                        return True

                    if self.label is not None:
                        return True

                    if self.type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.FibNextHopLabelRoutes.FibNextHopLabelRoute.TargetAddress']['meta_info']


            class NextHopPath(object):
                """
                Next Hop Paths
                
                .. attribute:: backup_path_id
                
                	Backup Path Identifier
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: interface
                
                	Outgoing Interface
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: label_stack
                
                	Outgoing Label Stack
                	**type**\:  list of int
                
                	**range:** 0..4294967295
                
                .. attribute:: next_hop_address
                
                	Next Hop Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: path_id
                
                	Path ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: pure_backup
                
                	Pure Backup
                	**type**\:  bool
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.backup_path_id = None
                    self.interface = None
                    self.label_stack = YLeafList()
                    self.label_stack.parent = self
                    self.label_stack.name = 'label_stack'
                    self.next_hop_address = None
                    self.path_id = None
                    self.pure_backup = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:next-hop-path'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.backup_path_id is not None:
                        return True

                    if self.interface is not None:
                        return True

                    if self.label_stack is not None:
                        for child in self.label_stack:
                            if child is not None:
                                return True

                    if self.next_hop_address is not None:
                        return True

                    if self.path_id is not None:
                        return True

                    if self.pure_backup is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.FibNextHopLabelRoutes.FibNextHopLabelRoute.NextHopPath']['meta_info']

            @property
            def _common_path(self):
                if self.label is None:
                    raise YPYModelError('Key property label is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:fib-next-hop-label-routes/Cisco-IOS-XR-mpls-te-oper:fib-next-hop-label-route[Cisco-IOS-XR-mpls-te-oper:label = ' + str(self.label) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.label is not None:
                    return True

                if self.create_time is not None:
                    return True

                if self.expire_time is not None:
                    return True

                if self.is_notified is not None:
                    return True

                if self.is_registered is not None:
                    return True

                if self.is_stale is not None:
                    return True

                if self.last_update_time is not None:
                    return True

                if self.last_used_time is not None:
                    return True

                if self.next_hop_path is not None:
                    for child_ref in self.next_hop_path:
                        if child_ref._has_data():
                            return True

                if self.prefix_addr is not None:
                    return True

                if self.route_version is not None:
                    return True

                if self.target_address is not None and self.target_address._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.FibNextHopLabelRoutes.FibNextHopLabelRoute']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:fib-next-hop-label-routes'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.fib_next_hop_label_route is not None:
                for child_ref in self.fib_next_hop_label_route:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.FibNextHopLabelRoutes']['meta_info']


    class P2Mp(object):
        """
        P2MP Information
        
        .. attribute:: collaborator_timers
        
        	TE Collaborator timer status
        	**type**\:   :py:class:`CollaboratorTimers <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.CollaboratorTimers>`
        
        .. attribute:: forwarding_output_label_rewrites
        
        	forwarding\-adjacency P2MP Information
        	**type**\:   :py:class:`ForwardingOutputLabelRewrites <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites>`
        
        .. attribute:: tunnel_rewrites
        
        	forwarding\-adjacency P2MP Tunnel RW
        	**type**\:   :py:class:`TunnelRewrites <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.TunnelRewrites>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.collaborator_timers = MplsTeStandby.P2Mp.CollaboratorTimers()
            self.collaborator_timers.parent = self
            self.forwarding_output_label_rewrites = MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites()
            self.forwarding_output_label_rewrites.parent = self
            self.tunnel_rewrites = MplsTeStandby.P2Mp.TunnelRewrites()
            self.tunnel_rewrites.parent = self


        class TunnelRewrites(object):
            """
            forwarding\-adjacency P2MP Tunnel RW
            
            .. attribute:: tunnel_rewrite
            
            	Display only P2MP Information
            	**type**\: list of    :py:class:`TunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tunnel_rewrite = YList()
                self.tunnel_rewrite.parent = self
                self.tunnel_rewrite.name = 'tunnel_rewrite'


            class TunnelRewrite(object):
                """
                Display only P2MP Information
                
                .. attribute:: ctype  <key>
                
                	Ctype
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: lsp_id  <key>
                
                	LSP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: tunnel_id  <key>
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: failed_rewrite
                
                	Failed rewrite details
                	**type**\:   :py:class:`FailedRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite>`
                
                .. attribute:: is_segment_routing
                
                	TRUE if the s2l path is Segment\-Routing
                	**type**\:  bool
                
                .. attribute:: pending_rewrite
                
                	Pending rewrite details
                	**type**\:   :py:class:`PendingRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite>`
                
                .. attribute:: successful_rewrite
                
                	Successful rewrite details
                	**type**\:   :py:class:`SuccessfulRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite>`
                
                .. attribute:: tunnel_interface
                
                	Tunnel interface name
                	**type**\:  str
                
                .. attribute:: tunnel_signal_name
                
                	Tunnel signaled\-name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ctype = None
                    self.lsp_id = None
                    self.tunnel_id = None
                    self.failed_rewrite = MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite()
                    self.failed_rewrite.parent = self
                    self.is_segment_routing = None
                    self.pending_rewrite = MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite()
                    self.pending_rewrite.parent = self
                    self.successful_rewrite = MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite()
                    self.successful_rewrite.parent = self
                    self.tunnel_interface = None
                    self.tunnel_signal_name = None


                class SuccessfulRewrite(object):
                    """
                    Successful rewrite details
                    
                    .. attribute:: timestamp
                    
                    	Time stamp of the entry
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tunnel_rewrite
                    
                    	Union of p2p and p2mp tun rewrite data
                    	**type**\:   :py:class:`TunnelRewrite_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.timestamp = None
                        self.tunnel_rewrite = MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_()
                        self.tunnel_rewrite.parent = self


                    class TunnelRewrite_(object):
                        """
                        Union of p2p and p2mp tun rewrite data
                        
                        .. attribute:: fec_ctype
                        
                        	FEC CType
                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                        
                        .. attribute:: p2mp_tunnel_rewrite
                        
                        	Tunnel rewrite data specific to P2MP
                        	**type**\:   :py:class:`P2MpTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2MpTunnelRewrite>`
                        
                        .. attribute:: p2p_tunnel_rewrite
                        
                        	Tunnel rewrite data specific to P2P
                        	**type**\:   :py:class:`P2PTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_ctype = None
                            self.p2mp_tunnel_rewrite = MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2MpTunnelRewrite()
                            self.p2mp_tunnel_rewrite.parent = self
                            self.p2p_tunnel_rewrite = MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite()
                            self.p2p_tunnel_rewrite.parent = self


                        class P2PTunnelRewrite(object):
                            """
                            Tunnel rewrite data specific to P2P
                            
                            .. attribute:: backup_active
                            
                            	FRR is active on the backup tunnel
                            	**type**\:  bool
                            
                            .. attribute:: backup_tunnel_name
                            
                            	Backup tunnel name
                            	**type**\:  str
                            
                            .. attribute:: backup_tunnel_rewrite
                            
                            	Properties of the S2L's backup for tunnel rewrite
                            	**type**\:   :py:class:`BackupTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite>`
                            
                            .. attribute:: destination_address
                            
                            	Destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: extended_tunnel_id
                            
                            	Extended Tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: local_label
                            
                            	Local label of the tunnel rewrite
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: original_input_interface
                            
                            	Input interface of the S2Ls
                            	**type**\:  str
                            
                            .. attribute:: output_interface_name
                            
                            	The output interface of the S2Ls
                            	**type**\:  str
                            
                            .. attribute:: previous_hop_address
                            
                            	Previous hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: primary_s2l
                            
                            	Properties of the primary S2L of tunnel rewrite
                            	**type**\:   :py:class:`PrimaryS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L>`
                            
                            .. attribute:: source_pe
                            
                            	source address of the tunnel
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID for this rewrite data
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.backup_active = None
                                self.backup_tunnel_name = None
                                self.backup_tunnel_rewrite = MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite()
                                self.backup_tunnel_rewrite.parent = self
                                self.destination_address = None
                                self.extended_tunnel_id = None
                                self.local_label = None
                                self.original_input_interface = None
                                self.output_interface_name = None
                                self.previous_hop_address = None
                                self.primary_s2l = MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L()
                                self.primary_s2l.parent = self
                                self.source_pe = None
                                self.tunnel_id = None


                            class PrimaryS2L(object):
                                """
                                Properties of the primary S2L of tunnel rewrite
                                
                                .. attribute:: bandwidth_accounting_requested
                                
                                	Bandwidth accounting requested with this entry
                                	**type**\:  bool
                                
                                .. attribute:: next_hop_address
                                
                                	Next hop address associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: out_label
                                
                                	Output label associated with the entry
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: parent_interface_name
                                
                                	Interface name of the parent intf
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: physica_interface_name
                                
                                	Physical interface associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: sr_label_stack
                                
                                	Segment\-Routing labels stack
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tunnel_interface_name
                                
                                	Interface handle of the associated tunnel
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth_accounting_requested = None
                                    self.next_hop_address = None
                                    self.out_label = None
                                    self.parent_interface_name = None
                                    self.physica_interface_name = None
                                    self.sr_label_stack = YLeafList()
                                    self.sr_label_stack.parent = self
                                    self.sr_label_stack.name = 'sr_label_stack'
                                    self.tunnel_interface_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:primary-s2l'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth_accounting_requested is not None:
                                        return True

                                    if self.next_hop_address is not None:
                                        return True

                                    if self.out_label is not None:
                                        return True

                                    if self.parent_interface_name is not None:
                                        return True

                                    if self.physica_interface_name is not None:
                                        return True

                                    if self.sr_label_stack is not None:
                                        for child in self.sr_label_stack:
                                            if child is not None:
                                                return True

                                    if self.tunnel_interface_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L']['meta_info']


                            class BackupTunnelRewrite(object):
                                """
                                Properties of the S2L's backup for tunnel
                                rewrite
                                
                                .. attribute:: bandwidth_accounting_requested
                                
                                	Bandwidth accounting requested with this entry
                                	**type**\:  bool
                                
                                .. attribute:: next_hop_address
                                
                                	Next hop address associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: out_label
                                
                                	Output label associated with the entry
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: parent_interface_name
                                
                                	Interface name of the parent intf
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: physica_interface_name
                                
                                	Physical interface associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: sr_label_stack
                                
                                	Segment\-Routing labels stack
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tunnel_interface_name
                                
                                	Interface handle of the associated tunnel
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth_accounting_requested = None
                                    self.next_hop_address = None
                                    self.out_label = None
                                    self.parent_interface_name = None
                                    self.physica_interface_name = None
                                    self.sr_label_stack = YLeafList()
                                    self.sr_label_stack.parent = self
                                    self.sr_label_stack.name = 'sr_label_stack'
                                    self.tunnel_interface_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:backup-tunnel-rewrite'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth_accounting_requested is not None:
                                        return True

                                    if self.next_hop_address is not None:
                                        return True

                                    if self.out_label is not None:
                                        return True

                                    if self.parent_interface_name is not None:
                                        return True

                                    if self.physica_interface_name is not None:
                                        return True

                                    if self.sr_label_stack is not None:
                                        for child in self.sr_label_stack:
                                            if child is not None:
                                                return True

                                    if self.tunnel_interface_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:p2p-tunnel-rewrite'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.backup_active is not None:
                                    return True

                                if self.backup_tunnel_name is not None:
                                    return True

                                if self.backup_tunnel_rewrite is not None and self.backup_tunnel_rewrite._has_data():
                                    return True

                                if self.destination_address is not None:
                                    return True

                                if self.extended_tunnel_id is not None:
                                    return True

                                if self.local_label is not None:
                                    return True

                                if self.original_input_interface is not None:
                                    return True

                                if self.output_interface_name is not None:
                                    return True

                                if self.previous_hop_address is not None:
                                    return True

                                if self.primary_s2l is not None and self.primary_s2l._has_data():
                                    return True

                                if self.source_pe is not None:
                                    return True

                                if self.tunnel_id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info']


                        class P2MpTunnelRewrite(object):
                            """
                            Tunnel rewrite data specific to P2MP
                            
                            .. attribute:: local_label
                            
                            	Local Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.local_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:p2mp-tunnel-rewrite'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.local_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2MpTunnelRewrite']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel-rewrite'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_ctype is not None:
                                return True

                            if self.p2mp_tunnel_rewrite is not None and self.p2mp_tunnel_rewrite._has_data():
                                return True

                            if self.p2p_tunnel_rewrite is not None and self.p2p_tunnel_rewrite._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:successful-rewrite'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.timestamp is not None:
                            return True

                        if self.tunnel_rewrite is not None and self.tunnel_rewrite._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite']['meta_info']


                class FailedRewrite(object):
                    """
                    Failed rewrite details
                    
                    .. attribute:: timestamp
                    
                    	Time stamp of the entry
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tunnel_rewrite
                    
                    	Union of p2p and p2mp tun rewrite data
                    	**type**\:   :py:class:`TunnelRewrite_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.timestamp = None
                        self.tunnel_rewrite = MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_()
                        self.tunnel_rewrite.parent = self


                    class TunnelRewrite_(object):
                        """
                        Union of p2p and p2mp tun rewrite data
                        
                        .. attribute:: fec_ctype
                        
                        	FEC CType
                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                        
                        .. attribute:: p2mp_tunnel_rewrite
                        
                        	Tunnel rewrite data specific to P2MP
                        	**type**\:   :py:class:`P2MpTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2MpTunnelRewrite>`
                        
                        .. attribute:: p2p_tunnel_rewrite
                        
                        	Tunnel rewrite data specific to P2P
                        	**type**\:   :py:class:`P2PTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_ctype = None
                            self.p2mp_tunnel_rewrite = MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2MpTunnelRewrite()
                            self.p2mp_tunnel_rewrite.parent = self
                            self.p2p_tunnel_rewrite = MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite()
                            self.p2p_tunnel_rewrite.parent = self


                        class P2PTunnelRewrite(object):
                            """
                            Tunnel rewrite data specific to P2P
                            
                            .. attribute:: backup_active
                            
                            	FRR is active on the backup tunnel
                            	**type**\:  bool
                            
                            .. attribute:: backup_tunnel_name
                            
                            	Backup tunnel name
                            	**type**\:  str
                            
                            .. attribute:: backup_tunnel_rewrite
                            
                            	Properties of the S2L's backup for tunnel rewrite
                            	**type**\:   :py:class:`BackupTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite>`
                            
                            .. attribute:: destination_address
                            
                            	Destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: extended_tunnel_id
                            
                            	Extended Tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: local_label
                            
                            	Local label of the tunnel rewrite
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: original_input_interface
                            
                            	Input interface of the S2Ls
                            	**type**\:  str
                            
                            .. attribute:: output_interface_name
                            
                            	The output interface of the S2Ls
                            	**type**\:  str
                            
                            .. attribute:: previous_hop_address
                            
                            	Previous hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: primary_s2l
                            
                            	Properties of the primary S2L of tunnel rewrite
                            	**type**\:   :py:class:`PrimaryS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L>`
                            
                            .. attribute:: source_pe
                            
                            	source address of the tunnel
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID for this rewrite data
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.backup_active = None
                                self.backup_tunnel_name = None
                                self.backup_tunnel_rewrite = MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite()
                                self.backup_tunnel_rewrite.parent = self
                                self.destination_address = None
                                self.extended_tunnel_id = None
                                self.local_label = None
                                self.original_input_interface = None
                                self.output_interface_name = None
                                self.previous_hop_address = None
                                self.primary_s2l = MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L()
                                self.primary_s2l.parent = self
                                self.source_pe = None
                                self.tunnel_id = None


                            class PrimaryS2L(object):
                                """
                                Properties of the primary S2L of tunnel rewrite
                                
                                .. attribute:: bandwidth_accounting_requested
                                
                                	Bandwidth accounting requested with this entry
                                	**type**\:  bool
                                
                                .. attribute:: next_hop_address
                                
                                	Next hop address associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: out_label
                                
                                	Output label associated with the entry
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: parent_interface_name
                                
                                	Interface name of the parent intf
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: physica_interface_name
                                
                                	Physical interface associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: sr_label_stack
                                
                                	Segment\-Routing labels stack
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tunnel_interface_name
                                
                                	Interface handle of the associated tunnel
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth_accounting_requested = None
                                    self.next_hop_address = None
                                    self.out_label = None
                                    self.parent_interface_name = None
                                    self.physica_interface_name = None
                                    self.sr_label_stack = YLeafList()
                                    self.sr_label_stack.parent = self
                                    self.sr_label_stack.name = 'sr_label_stack'
                                    self.tunnel_interface_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:primary-s2l'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth_accounting_requested is not None:
                                        return True

                                    if self.next_hop_address is not None:
                                        return True

                                    if self.out_label is not None:
                                        return True

                                    if self.parent_interface_name is not None:
                                        return True

                                    if self.physica_interface_name is not None:
                                        return True

                                    if self.sr_label_stack is not None:
                                        for child in self.sr_label_stack:
                                            if child is not None:
                                                return True

                                    if self.tunnel_interface_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L']['meta_info']


                            class BackupTunnelRewrite(object):
                                """
                                Properties of the S2L's backup for tunnel
                                rewrite
                                
                                .. attribute:: bandwidth_accounting_requested
                                
                                	Bandwidth accounting requested with this entry
                                	**type**\:  bool
                                
                                .. attribute:: next_hop_address
                                
                                	Next hop address associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: out_label
                                
                                	Output label associated with the entry
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: parent_interface_name
                                
                                	Interface name of the parent intf
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: physica_interface_name
                                
                                	Physical interface associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: sr_label_stack
                                
                                	Segment\-Routing labels stack
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tunnel_interface_name
                                
                                	Interface handle of the associated tunnel
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth_accounting_requested = None
                                    self.next_hop_address = None
                                    self.out_label = None
                                    self.parent_interface_name = None
                                    self.physica_interface_name = None
                                    self.sr_label_stack = YLeafList()
                                    self.sr_label_stack.parent = self
                                    self.sr_label_stack.name = 'sr_label_stack'
                                    self.tunnel_interface_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:backup-tunnel-rewrite'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth_accounting_requested is not None:
                                        return True

                                    if self.next_hop_address is not None:
                                        return True

                                    if self.out_label is not None:
                                        return True

                                    if self.parent_interface_name is not None:
                                        return True

                                    if self.physica_interface_name is not None:
                                        return True

                                    if self.sr_label_stack is not None:
                                        for child in self.sr_label_stack:
                                            if child is not None:
                                                return True

                                    if self.tunnel_interface_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:p2p-tunnel-rewrite'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.backup_active is not None:
                                    return True

                                if self.backup_tunnel_name is not None:
                                    return True

                                if self.backup_tunnel_rewrite is not None and self.backup_tunnel_rewrite._has_data():
                                    return True

                                if self.destination_address is not None:
                                    return True

                                if self.extended_tunnel_id is not None:
                                    return True

                                if self.local_label is not None:
                                    return True

                                if self.original_input_interface is not None:
                                    return True

                                if self.output_interface_name is not None:
                                    return True

                                if self.previous_hop_address is not None:
                                    return True

                                if self.primary_s2l is not None and self.primary_s2l._has_data():
                                    return True

                                if self.source_pe is not None:
                                    return True

                                if self.tunnel_id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info']


                        class P2MpTunnelRewrite(object):
                            """
                            Tunnel rewrite data specific to P2MP
                            
                            .. attribute:: local_label
                            
                            	Local Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.local_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:p2mp-tunnel-rewrite'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.local_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2MpTunnelRewrite']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel-rewrite'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_ctype is not None:
                                return True

                            if self.p2mp_tunnel_rewrite is not None and self.p2mp_tunnel_rewrite._has_data():
                                return True

                            if self.p2p_tunnel_rewrite is not None and self.p2p_tunnel_rewrite._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:failed-rewrite'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.timestamp is not None:
                            return True

                        if self.tunnel_rewrite is not None and self.tunnel_rewrite._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite']['meta_info']


                class PendingRewrite(object):
                    """
                    Pending rewrite details
                    
                    .. attribute:: timestamp
                    
                    	Time stamp of the entry
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tunnel_rewrite
                    
                    	Union of p2p and p2mp tun rewrite data
                    	**type**\:   :py:class:`TunnelRewrite_ <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.timestamp = None
                        self.tunnel_rewrite = MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_()
                        self.tunnel_rewrite.parent = self


                    class TunnelRewrite_(object):
                        """
                        Union of p2p and p2mp tun rewrite data
                        
                        .. attribute:: fec_ctype
                        
                        	FEC CType
                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                        
                        .. attribute:: p2mp_tunnel_rewrite
                        
                        	Tunnel rewrite data specific to P2MP
                        	**type**\:   :py:class:`P2MpTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2MpTunnelRewrite>`
                        
                        .. attribute:: p2p_tunnel_rewrite
                        
                        	Tunnel rewrite data specific to P2P
                        	**type**\:   :py:class:`P2PTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_ctype = None
                            self.p2mp_tunnel_rewrite = MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2MpTunnelRewrite()
                            self.p2mp_tunnel_rewrite.parent = self
                            self.p2p_tunnel_rewrite = MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite()
                            self.p2p_tunnel_rewrite.parent = self


                        class P2PTunnelRewrite(object):
                            """
                            Tunnel rewrite data specific to P2P
                            
                            .. attribute:: backup_active
                            
                            	FRR is active on the backup tunnel
                            	**type**\:  bool
                            
                            .. attribute:: backup_tunnel_name
                            
                            	Backup tunnel name
                            	**type**\:  str
                            
                            .. attribute:: backup_tunnel_rewrite
                            
                            	Properties of the S2L's backup for tunnel rewrite
                            	**type**\:   :py:class:`BackupTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite>`
                            
                            .. attribute:: destination_address
                            
                            	Destination
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: extended_tunnel_id
                            
                            	Extended Tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: local_label
                            
                            	Local label of the tunnel rewrite
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: original_input_interface
                            
                            	Input interface of the S2Ls
                            	**type**\:  str
                            
                            .. attribute:: output_interface_name
                            
                            	The output interface of the S2Ls
                            	**type**\:  str
                            
                            .. attribute:: previous_hop_address
                            
                            	Previous hop
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: primary_s2l
                            
                            	Properties of the primary S2L of tunnel rewrite
                            	**type**\:   :py:class:`PrimaryS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L>`
                            
                            .. attribute:: source_pe
                            
                            	source address of the tunnel
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: tunnel_id
                            
                            	Tunnel ID for this rewrite data
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.backup_active = None
                                self.backup_tunnel_name = None
                                self.backup_tunnel_rewrite = MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite()
                                self.backup_tunnel_rewrite.parent = self
                                self.destination_address = None
                                self.extended_tunnel_id = None
                                self.local_label = None
                                self.original_input_interface = None
                                self.output_interface_name = None
                                self.previous_hop_address = None
                                self.primary_s2l = MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L()
                                self.primary_s2l.parent = self
                                self.source_pe = None
                                self.tunnel_id = None


                            class PrimaryS2L(object):
                                """
                                Properties of the primary S2L of tunnel rewrite
                                
                                .. attribute:: bandwidth_accounting_requested
                                
                                	Bandwidth accounting requested with this entry
                                	**type**\:  bool
                                
                                .. attribute:: next_hop_address
                                
                                	Next hop address associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: out_label
                                
                                	Output label associated with the entry
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: parent_interface_name
                                
                                	Interface name of the parent intf
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: physica_interface_name
                                
                                	Physical interface associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: sr_label_stack
                                
                                	Segment\-Routing labels stack
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tunnel_interface_name
                                
                                	Interface handle of the associated tunnel
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth_accounting_requested = None
                                    self.next_hop_address = None
                                    self.out_label = None
                                    self.parent_interface_name = None
                                    self.physica_interface_name = None
                                    self.sr_label_stack = YLeafList()
                                    self.sr_label_stack.parent = self
                                    self.sr_label_stack.name = 'sr_label_stack'
                                    self.tunnel_interface_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:primary-s2l'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth_accounting_requested is not None:
                                        return True

                                    if self.next_hop_address is not None:
                                        return True

                                    if self.out_label is not None:
                                        return True

                                    if self.parent_interface_name is not None:
                                        return True

                                    if self.physica_interface_name is not None:
                                        return True

                                    if self.sr_label_stack is not None:
                                        for child in self.sr_label_stack:
                                            if child is not None:
                                                return True

                                    if self.tunnel_interface_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L']['meta_info']


                            class BackupTunnelRewrite(object):
                                """
                                Properties of the S2L's backup for tunnel
                                rewrite
                                
                                .. attribute:: bandwidth_accounting_requested
                                
                                	Bandwidth accounting requested with this entry
                                	**type**\:  bool
                                
                                .. attribute:: next_hop_address
                                
                                	Next hop address associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: out_label
                                
                                	Output label associated with the entry
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: parent_interface_name
                                
                                	Interface name of the parent intf
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: physica_interface_name
                                
                                	Physical interface associated with the entry
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                .. attribute:: sr_label_stack
                                
                                	Segment\-Routing labels stack
                                	**type**\:  list of int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tunnel_interface_name
                                
                                	Interface handle of the associated tunnel
                                	**type**\:  str
                                
                                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.bandwidth_accounting_requested = None
                                    self.next_hop_address = None
                                    self.out_label = None
                                    self.parent_interface_name = None
                                    self.physica_interface_name = None
                                    self.sr_label_stack = YLeafList()
                                    self.sr_label_stack.parent = self
                                    self.sr_label_stack.name = 'sr_label_stack'
                                    self.tunnel_interface_name = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:backup-tunnel-rewrite'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.bandwidth_accounting_requested is not None:
                                        return True

                                    if self.next_hop_address is not None:
                                        return True

                                    if self.out_label is not None:
                                        return True

                                    if self.parent_interface_name is not None:
                                        return True

                                    if self.physica_interface_name is not None:
                                        return True

                                    if self.sr_label_stack is not None:
                                        for child in self.sr_label_stack:
                                            if child is not None:
                                                return True

                                    if self.tunnel_interface_name is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:p2p-tunnel-rewrite'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.backup_active is not None:
                                    return True

                                if self.backup_tunnel_name is not None:
                                    return True

                                if self.backup_tunnel_rewrite is not None and self.backup_tunnel_rewrite._has_data():
                                    return True

                                if self.destination_address is not None:
                                    return True

                                if self.extended_tunnel_id is not None:
                                    return True

                                if self.local_label is not None:
                                    return True

                                if self.original_input_interface is not None:
                                    return True

                                if self.output_interface_name is not None:
                                    return True

                                if self.previous_hop_address is not None:
                                    return True

                                if self.primary_s2l is not None and self.primary_s2l._has_data():
                                    return True

                                if self.source_pe is not None:
                                    return True

                                if self.tunnel_id is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info']


                        class P2MpTunnelRewrite(object):
                            """
                            Tunnel rewrite data specific to P2MP
                            
                            .. attribute:: local_label
                            
                            	Local Label
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.local_label = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:p2mp-tunnel-rewrite'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.local_label is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2MpTunnelRewrite']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel-rewrite'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_ctype is not None:
                                return True

                            if self.p2mp_tunnel_rewrite is not None and self.p2mp_tunnel_rewrite._has_data():
                                return True

                            if self.p2p_tunnel_rewrite is not None and self.p2p_tunnel_rewrite._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:pending-rewrite'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.timestamp is not None:
                            return True

                        if self.tunnel_rewrite is not None and self.tunnel_rewrite._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite']['meta_info']

                @property
                def _common_path(self):
                    if self.ctype is None:
                        raise YPYModelError('Key property ctype is None')
                    if self.lsp_id is None:
                        raise YPYModelError('Key property lsp_id is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:p2mp/Cisco-IOS-XR-mpls-te-oper:tunnel-rewrites/Cisco-IOS-XR-mpls-te-oper:tunnel-rewrite[Cisco-IOS-XR-mpls-te-oper:ctype = ' + str(self.ctype) + '][Cisco-IOS-XR-mpls-te-oper:lsp-id = ' + str(self.lsp_id) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ctype is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.failed_rewrite is not None and self.failed_rewrite._has_data():
                        return True

                    if self.is_segment_routing is not None:
                        return True

                    if self.pending_rewrite is not None and self.pending_rewrite._has_data():
                        return True

                    if self.successful_rewrite is not None and self.successful_rewrite._has_data():
                        return True

                    if self.tunnel_interface is not None:
                        return True

                    if self.tunnel_signal_name is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:p2mp/Cisco-IOS-XR-mpls-te-oper:tunnel-rewrites'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tunnel_rewrite is not None:
                    for child_ref in self.tunnel_rewrite:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.P2Mp.TunnelRewrites']['meta_info']


        class CollaboratorTimers(object):
            """
            TE Collaborator timer status
            
            .. attribute:: p2mp_timer
            
            	Description of all P2MP timers
            	**type**\: list of    :py:class:`P2MpTimer <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.CollaboratorTimers.P2MpTimer>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.p2mp_timer = YList()
                self.p2mp_timer.parent = self
                self.p2mp_timer.name = 'p2mp_timer'


            class P2MpTimer(object):
                """
                Description of all P2MP timers
                
                .. attribute:: duration
                
                	The expiry delay in seconds
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: expiry_time
                
                	Date when the timer last expired in seconds
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: is_running
                
                	True if the timer is running
                	**type**\:  bool
                
                .. attribute:: start_time
                
                	Date when timer was last started in seconds
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: stop_time
                
                	Date when the timer was last stopped in seconds
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: second
                
                .. attribute:: timer_name
                
                	Timer Name
                	**type**\:  str
                
                .. attribute:: timer_type
                
                	Timer Type
                	**type**\:   :py:class:`MplsTeP2MpTimerEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeP2MpTimerEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.duration = None
                    self.expiry_time = None
                    self.is_running = None
                    self.start_time = None
                    self.stop_time = None
                    self.timer_name = None
                    self.timer_type = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:p2mp/Cisco-IOS-XR-mpls-te-oper:collaborator-timers/Cisco-IOS-XR-mpls-te-oper:p2mp-timer'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.duration is not None:
                        return True

                    if self.expiry_time is not None:
                        return True

                    if self.is_running is not None:
                        return True

                    if self.start_time is not None:
                        return True

                    if self.stop_time is not None:
                        return True

                    if self.timer_name is not None:
                        return True

                    if self.timer_type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.P2Mp.CollaboratorTimers.P2MpTimer']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:p2mp/Cisco-IOS-XR-mpls-te-oper:collaborator-timers'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.p2mp_timer is not None:
                    for child_ref in self.p2mp_timer:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.P2Mp.CollaboratorTimers']['meta_info']


        class ForwardingOutputLabelRewrites(object):
            """
            forwarding\-adjacency P2MP Information
            
            .. attribute:: forwarding_output_label_rewrite
            
            	Display only P2MP Information
            	**type**\: list of    :py:class:`ForwardingOutputLabelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.forwarding_output_label_rewrite = YList()
                self.forwarding_output_label_rewrite.parent = self
                self.forwarding_output_label_rewrite.name = 'forwarding_output_label_rewrite'


            class ForwardingOutputLabelRewrite(object):
                """
                Display only P2MP Information
                
                .. attribute:: ctype  <key>
                
                	Ctype
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: destination_address  <key>
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id  <key>
                
                	extended tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lsp_id  <key>
                
                	LSP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: next_hop_address  <key>
                
                	Next Hop
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: p2mp_id  <key>
                
                	P2MP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: previous_hop_address  <key>
                
                	Prev Hop
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: source_address  <key>
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id  <key>
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: backup_tunnel_name
                
                	Backup tunnel name
                	**type**\:  str
                
                .. attribute:: is_segment_routing
                
                	TRUE if the s2l path is Segment\-Routing
                	**type**\:  bool
                
                .. attribute:: original_input_interface
                
                	Input interface of the S2Ls
                	**type**\:  str
                
                .. attribute:: output_interface_name
                
                	The output interface of the S2Ls
                	**type**\:  str
                
                .. attribute:: s2l
                
                	Unique identifiers for the S2L sharing the rewrite
                	**type**\: list of    :py:class:`S2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2L>`
                
                .. attribute:: s2l_output_rewrite
                
                	Output rewrite shared between S2Ls
                	**type**\:   :py:class:`S2LOutputRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite>`
                
                .. attribute:: s2lsr_path
                
                	Segment\-Routing Paths
                	**type**\: list of    :py:class:`S2LsrPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LsrPath>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.ctype = None
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.lsp_id = None
                    self.next_hop_address = None
                    self.p2mp_id = None
                    self.previous_hop_address = None
                    self.source_address = None
                    self.tunnel_id = None
                    self.backup_tunnel_name = None
                    self.is_segment_routing = None
                    self.original_input_interface = None
                    self.output_interface_name = None
                    self.s2l = YList()
                    self.s2l.parent = self
                    self.s2l.name = 's2l'
                    self.s2l_output_rewrite = MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite()
                    self.s2l_output_rewrite.parent = self
                    self.s2lsr_path = YList()
                    self.s2lsr_path.parent = self
                    self.s2lsr_path.name = 's2lsr_path'


                class S2LOutputRewrite(object):
                    """
                    Output rewrite shared between S2Ls
                    
                    .. attribute:: failed_rewrite
                    
                    	Failed rewrite details
                    	**type**\:   :py:class:`FailedRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite>`
                    
                    .. attribute:: pending_rewrite
                    
                    	Pending rewrite details
                    	**type**\:   :py:class:`PendingRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite>`
                    
                    .. attribute:: subfamily
                    
                    	Subfamily identifiers
                    	**type**\:   :py:class:`Subfamily <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily>`
                    
                    .. attribute:: successful_rewrite
                    
                    	Successful rewrite details
                    	**type**\:   :py:class:`SuccessfulRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.failed_rewrite = MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite()
                        self.failed_rewrite.parent = self
                        self.pending_rewrite = MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite()
                        self.pending_rewrite.parent = self
                        self.subfamily = MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily()
                        self.subfamily.parent = self
                        self.successful_rewrite = MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite()
                        self.successful_rewrite.parent = self


                    class Subfamily(object):
                        """
                        Subfamily identifiers
                        
                        .. attribute:: lsp_fec
                        
                        	LSP FEC
                        	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec>`
                        
                        .. attribute:: next_hop_address
                        
                        	Next hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: previous_hop_address
                        
                        	Previous hop address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.lsp_fec = MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec()
                            self.lsp_fec.parent = self
                            self.next_hop_address = None
                            self.previous_hop_address = None


                        class LspFec(object):
                            """
                            LSP FEC
                            
                            .. attribute:: fec_destination_info
                            
                            	Destination or P2MP ID
                            	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec.FecDestinationInfo>`
                            
                            .. attribute:: fec_extended_tunnel_id
                            
                            	Extended tunnel ID
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_lsp_id
                            
                            	LSP ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_source
                            
                            	Tunnel source address
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: fec_tunnel_id
                            
                            	Tunnel ID
                            	**type**\:  int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: fec_vrf
                            
                            	VRF; currently only for GMPLS tunnels
                            	**type**\:  str
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fec_destination_info = MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec.FecDestinationInfo()
                                self.fec_destination_info.parent = self
                                self.fec_extended_tunnel_id = None
                                self.fec_lsp_id = None
                                self.fec_source = None
                                self.fec_tunnel_id = None
                                self.fec_vrf = None


                            class FecDestinationInfo(object):
                                """
                                Destination or P2MP ID
                                
                                .. attribute:: fec_ctype
                                
                                	FEC CType
                                	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                                
                                .. attribute:: fec_destination_p2mp_id
                                
                                	P2MP ID
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: p2p_lsp_destination
                                
                                	P2P LSP destination
                                	**type**\:  str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.fec_ctype = None
                                    self.fec_destination_p2mp_id = None
                                    self.p2p_lsp_destination = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.fec_ctype is not None:
                                        return True

                                    if self.fec_destination_p2mp_id is not None:
                                        return True

                                    if self.p2p_lsp_destination is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec.FecDestinationInfo']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                                    return True

                                if self.fec_extended_tunnel_id is not None:
                                    return True

                                if self.fec_lsp_id is not None:
                                    return True

                                if self.fec_source is not None:
                                    return True

                                if self.fec_tunnel_id is not None:
                                    return True

                                if self.fec_vrf is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:subfamily'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.lsp_fec is not None and self.lsp_fec._has_data():
                                return True

                            if self.next_hop_address is not None:
                                return True

                            if self.previous_hop_address is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily']['meta_info']


                    class SuccessfulRewrite(object):
                        """
                        Successful rewrite details
                        
                        .. attribute:: backup_active
                        
                        	Backup is active
                        	**type**\:  bool
                        
                        .. attribute:: backup_tunnel_rewrite
                        
                        	Properties of the S2L's backup tunnel rewrite
                        	**type**\:   :py:class:`BackupTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.BackupTunnelRewrite>`
                        
                        .. attribute:: explicit_null
                        
                        	Imposition of explicit NULL
                        	**type**\:   :py:class:`TeS2LOutputRwExplicitNullEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LOutputRwExplicitNullEnum>`
                        
                        .. attribute:: label
                        
                        	Local label of the rewrite
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: out_rewrite_role
                        
                        	Role of the associated S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: primary_s2l
                        
                        	Properties of the S2L rewrite
                        	**type**\:   :py:class:`PrimaryS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.PrimaryS2L>`
                        
                        .. attribute:: protocol_transported
                        
                        	Protocol transported in the S2L
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_source
                        
                        	Source of the S2L
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: timestamp
                        
                        	Time stamp of the entry (secs since 1/1/70)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.backup_active = None
                            self.backup_tunnel_rewrite = MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.BackupTunnelRewrite()
                            self.backup_tunnel_rewrite.parent = self
                            self.explicit_null = None
                            self.label = None
                            self.out_rewrite_role = None
                            self.primary_s2l = MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.PrimaryS2L()
                            self.primary_s2l.parent = self
                            self.protocol_transported = None
                            self.s2l_source = None
                            self.timestamp = None


                        class PrimaryS2L(object):
                            """
                            Properties of the S2L rewrite
                            
                            .. attribute:: bandwidth_accounting_requested
                            
                            	Bandwidth accounting requested with this entry
                            	**type**\:  bool
                            
                            .. attribute:: next_hop_address
                            
                            	Next hop address associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: out_label
                            
                            	Output label associated with the entry
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: parent_interface_name
                            
                            	Interface name of the parent intf
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: physica_interface_name
                            
                            	Physical interface associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: sr_label_stack
                            
                            	Segment\-Routing labels stack
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tunnel_interface_name
                            
                            	Interface handle of the associated tunnel
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bandwidth_accounting_requested = None
                                self.next_hop_address = None
                                self.out_label = None
                                self.parent_interface_name = None
                                self.physica_interface_name = None
                                self.sr_label_stack = YLeafList()
                                self.sr_label_stack.parent = self
                                self.sr_label_stack.name = 'sr_label_stack'
                                self.tunnel_interface_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:primary-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bandwidth_accounting_requested is not None:
                                    return True

                                if self.next_hop_address is not None:
                                    return True

                                if self.out_label is not None:
                                    return True

                                if self.parent_interface_name is not None:
                                    return True

                                if self.physica_interface_name is not None:
                                    return True

                                if self.sr_label_stack is not None:
                                    for child in self.sr_label_stack:
                                        if child is not None:
                                            return True

                                if self.tunnel_interface_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.PrimaryS2L']['meta_info']


                        class BackupTunnelRewrite(object):
                            """
                            Properties of the S2L's backup tunnel rewrite
                            
                            .. attribute:: bandwidth_accounting_requested
                            
                            	Bandwidth accounting requested with this entry
                            	**type**\:  bool
                            
                            .. attribute:: next_hop_address
                            
                            	Next hop address associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: out_label
                            
                            	Output label associated with the entry
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: parent_interface_name
                            
                            	Interface name of the parent intf
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: physica_interface_name
                            
                            	Physical interface associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: sr_label_stack
                            
                            	Segment\-Routing labels stack
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tunnel_interface_name
                            
                            	Interface handle of the associated tunnel
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bandwidth_accounting_requested = None
                                self.next_hop_address = None
                                self.out_label = None
                                self.parent_interface_name = None
                                self.physica_interface_name = None
                                self.sr_label_stack = YLeafList()
                                self.sr_label_stack.parent = self
                                self.sr_label_stack.name = 'sr_label_stack'
                                self.tunnel_interface_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:backup-tunnel-rewrite'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bandwidth_accounting_requested is not None:
                                    return True

                                if self.next_hop_address is not None:
                                    return True

                                if self.out_label is not None:
                                    return True

                                if self.parent_interface_name is not None:
                                    return True

                                if self.physica_interface_name is not None:
                                    return True

                                if self.sr_label_stack is not None:
                                    for child in self.sr_label_stack:
                                        if child is not None:
                                            return True

                                if self.tunnel_interface_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.BackupTunnelRewrite']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:successful-rewrite'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.backup_active is not None:
                                return True

                            if self.backup_tunnel_rewrite is not None and self.backup_tunnel_rewrite._has_data():
                                return True

                            if self.explicit_null is not None:
                                return True

                            if self.label is not None:
                                return True

                            if self.out_rewrite_role is not None:
                                return True

                            if self.primary_s2l is not None and self.primary_s2l._has_data():
                                return True

                            if self.protocol_transported is not None:
                                return True

                            if self.s2l_source is not None:
                                return True

                            if self.timestamp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite']['meta_info']


                    class FailedRewrite(object):
                        """
                        Failed rewrite details
                        
                        .. attribute:: backup_active
                        
                        	Backup is active
                        	**type**\:  bool
                        
                        .. attribute:: backup_tunnel_rewrite
                        
                        	Properties of the S2L's backup tunnel rewrite
                        	**type**\:   :py:class:`BackupTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.BackupTunnelRewrite>`
                        
                        .. attribute:: explicit_null
                        
                        	Imposition of explicit NULL
                        	**type**\:   :py:class:`TeS2LOutputRwExplicitNullEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LOutputRwExplicitNullEnum>`
                        
                        .. attribute:: label
                        
                        	Local label of the rewrite
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: out_rewrite_role
                        
                        	Role of the associated S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: primary_s2l
                        
                        	Properties of the S2L rewrite
                        	**type**\:   :py:class:`PrimaryS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.PrimaryS2L>`
                        
                        .. attribute:: protocol_transported
                        
                        	Protocol transported in the S2L
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_source
                        
                        	Source of the S2L
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: timestamp
                        
                        	Time stamp of the entry (secs since 1/1/70)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.backup_active = None
                            self.backup_tunnel_rewrite = MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.BackupTunnelRewrite()
                            self.backup_tunnel_rewrite.parent = self
                            self.explicit_null = None
                            self.label = None
                            self.out_rewrite_role = None
                            self.primary_s2l = MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.PrimaryS2L()
                            self.primary_s2l.parent = self
                            self.protocol_transported = None
                            self.s2l_source = None
                            self.timestamp = None


                        class PrimaryS2L(object):
                            """
                            Properties of the S2L rewrite
                            
                            .. attribute:: bandwidth_accounting_requested
                            
                            	Bandwidth accounting requested with this entry
                            	**type**\:  bool
                            
                            .. attribute:: next_hop_address
                            
                            	Next hop address associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: out_label
                            
                            	Output label associated with the entry
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: parent_interface_name
                            
                            	Interface name of the parent intf
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: physica_interface_name
                            
                            	Physical interface associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: sr_label_stack
                            
                            	Segment\-Routing labels stack
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tunnel_interface_name
                            
                            	Interface handle of the associated tunnel
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bandwidth_accounting_requested = None
                                self.next_hop_address = None
                                self.out_label = None
                                self.parent_interface_name = None
                                self.physica_interface_name = None
                                self.sr_label_stack = YLeafList()
                                self.sr_label_stack.parent = self
                                self.sr_label_stack.name = 'sr_label_stack'
                                self.tunnel_interface_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:primary-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bandwidth_accounting_requested is not None:
                                    return True

                                if self.next_hop_address is not None:
                                    return True

                                if self.out_label is not None:
                                    return True

                                if self.parent_interface_name is not None:
                                    return True

                                if self.physica_interface_name is not None:
                                    return True

                                if self.sr_label_stack is not None:
                                    for child in self.sr_label_stack:
                                        if child is not None:
                                            return True

                                if self.tunnel_interface_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.PrimaryS2L']['meta_info']


                        class BackupTunnelRewrite(object):
                            """
                            Properties of the S2L's backup tunnel rewrite
                            
                            .. attribute:: bandwidth_accounting_requested
                            
                            	Bandwidth accounting requested with this entry
                            	**type**\:  bool
                            
                            .. attribute:: next_hop_address
                            
                            	Next hop address associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: out_label
                            
                            	Output label associated with the entry
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: parent_interface_name
                            
                            	Interface name of the parent intf
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: physica_interface_name
                            
                            	Physical interface associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: sr_label_stack
                            
                            	Segment\-Routing labels stack
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tunnel_interface_name
                            
                            	Interface handle of the associated tunnel
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bandwidth_accounting_requested = None
                                self.next_hop_address = None
                                self.out_label = None
                                self.parent_interface_name = None
                                self.physica_interface_name = None
                                self.sr_label_stack = YLeafList()
                                self.sr_label_stack.parent = self
                                self.sr_label_stack.name = 'sr_label_stack'
                                self.tunnel_interface_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:backup-tunnel-rewrite'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bandwidth_accounting_requested is not None:
                                    return True

                                if self.next_hop_address is not None:
                                    return True

                                if self.out_label is not None:
                                    return True

                                if self.parent_interface_name is not None:
                                    return True

                                if self.physica_interface_name is not None:
                                    return True

                                if self.sr_label_stack is not None:
                                    for child in self.sr_label_stack:
                                        if child is not None:
                                            return True

                                if self.tunnel_interface_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.BackupTunnelRewrite']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:failed-rewrite'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.backup_active is not None:
                                return True

                            if self.backup_tunnel_rewrite is not None and self.backup_tunnel_rewrite._has_data():
                                return True

                            if self.explicit_null is not None:
                                return True

                            if self.label is not None:
                                return True

                            if self.out_rewrite_role is not None:
                                return True

                            if self.primary_s2l is not None and self.primary_s2l._has_data():
                                return True

                            if self.protocol_transported is not None:
                                return True

                            if self.s2l_source is not None:
                                return True

                            if self.timestamp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite']['meta_info']


                    class PendingRewrite(object):
                        """
                        Pending rewrite details
                        
                        .. attribute:: backup_active
                        
                        	Backup is active
                        	**type**\:  bool
                        
                        .. attribute:: backup_tunnel_rewrite
                        
                        	Properties of the S2L's backup tunnel rewrite
                        	**type**\:   :py:class:`BackupTunnelRewrite <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.BackupTunnelRewrite>`
                        
                        .. attribute:: explicit_null
                        
                        	Imposition of explicit NULL
                        	**type**\:   :py:class:`TeS2LOutputRwExplicitNullEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeS2LOutputRwExplicitNullEnum>`
                        
                        .. attribute:: label
                        
                        	Local label of the rewrite
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: out_rewrite_role
                        
                        	Role of the associated S2L
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: primary_s2l
                        
                        	Properties of the S2L rewrite
                        	**type**\:   :py:class:`PrimaryS2L <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.PrimaryS2L>`
                        
                        .. attribute:: protocol_transported
                        
                        	Protocol transported in the S2L
                        	**type**\:  int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: s2l_source
                        
                        	Source of the S2L
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: timestamp
                        
                        	Time stamp of the entry (secs since 1/1/70)
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        	**units**\: second
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.backup_active = None
                            self.backup_tunnel_rewrite = MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.BackupTunnelRewrite()
                            self.backup_tunnel_rewrite.parent = self
                            self.explicit_null = None
                            self.label = None
                            self.out_rewrite_role = None
                            self.primary_s2l = MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.PrimaryS2L()
                            self.primary_s2l.parent = self
                            self.protocol_transported = None
                            self.s2l_source = None
                            self.timestamp = None


                        class PrimaryS2L(object):
                            """
                            Properties of the S2L rewrite
                            
                            .. attribute:: bandwidth_accounting_requested
                            
                            	Bandwidth accounting requested with this entry
                            	**type**\:  bool
                            
                            .. attribute:: next_hop_address
                            
                            	Next hop address associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: out_label
                            
                            	Output label associated with the entry
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: parent_interface_name
                            
                            	Interface name of the parent intf
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: physica_interface_name
                            
                            	Physical interface associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: sr_label_stack
                            
                            	Segment\-Routing labels stack
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tunnel_interface_name
                            
                            	Interface handle of the associated tunnel
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bandwidth_accounting_requested = None
                                self.next_hop_address = None
                                self.out_label = None
                                self.parent_interface_name = None
                                self.physica_interface_name = None
                                self.sr_label_stack = YLeafList()
                                self.sr_label_stack.parent = self
                                self.sr_label_stack.name = 'sr_label_stack'
                                self.tunnel_interface_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:primary-s2l'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bandwidth_accounting_requested is not None:
                                    return True

                                if self.next_hop_address is not None:
                                    return True

                                if self.out_label is not None:
                                    return True

                                if self.parent_interface_name is not None:
                                    return True

                                if self.physica_interface_name is not None:
                                    return True

                                if self.sr_label_stack is not None:
                                    for child in self.sr_label_stack:
                                        if child is not None:
                                            return True

                                if self.tunnel_interface_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.PrimaryS2L']['meta_info']


                        class BackupTunnelRewrite(object):
                            """
                            Properties of the S2L's backup tunnel rewrite
                            
                            .. attribute:: bandwidth_accounting_requested
                            
                            	Bandwidth accounting requested with this entry
                            	**type**\:  bool
                            
                            .. attribute:: next_hop_address
                            
                            	Next hop address associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: out_label
                            
                            	Output label associated with the entry
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: parent_interface_name
                            
                            	Interface name of the parent intf
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: physica_interface_name
                            
                            	Physical interface associated with the entry
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            .. attribute:: sr_label_stack
                            
                            	Segment\-Routing labels stack
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tunnel_interface_name
                            
                            	Interface handle of the associated tunnel
                            	**type**\:  str
                            
                            	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.bandwidth_accounting_requested = None
                                self.next_hop_address = None
                                self.out_label = None
                                self.parent_interface_name = None
                                self.physica_interface_name = None
                                self.sr_label_stack = YLeafList()
                                self.sr_label_stack.parent = self
                                self.sr_label_stack.name = 'sr_label_stack'
                                self.tunnel_interface_name = None

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:backup-tunnel-rewrite'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.bandwidth_accounting_requested is not None:
                                    return True

                                if self.next_hop_address is not None:
                                    return True

                                if self.out_label is not None:
                                    return True

                                if self.parent_interface_name is not None:
                                    return True

                                if self.physica_interface_name is not None:
                                    return True

                                if self.sr_label_stack is not None:
                                    for child in self.sr_label_stack:
                                        if child is not None:
                                            return True

                                if self.tunnel_interface_name is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.BackupTunnelRewrite']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:pending-rewrite'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.backup_active is not None:
                                return True

                            if self.backup_tunnel_rewrite is not None and self.backup_tunnel_rewrite._has_data():
                                return True

                            if self.explicit_null is not None:
                                return True

                            if self.label is not None:
                                return True

                            if self.out_rewrite_role is not None:
                                return True

                            if self.primary_s2l is not None and self.primary_s2l._has_data():
                                return True

                            if self.protocol_transported is not None:
                                return True

                            if self.s2l_source is not None:
                                return True

                            if self.timestamp is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l-output-rewrite'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.failed_rewrite is not None and self.failed_rewrite._has_data():
                            return True

                        if self.pending_rewrite is not None and self.pending_rewrite._has_data():
                            return True

                        if self.subfamily is not None and self.subfamily._has_data():
                            return True

                        if self.successful_rewrite is not None and self.successful_rewrite._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite']['meta_info']


                class S2L(object):
                    """
                    Unique identifiers for the S2L sharing the
                    rewrite
                    
                    .. attribute:: destination_address
                    
                    	Destination
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: sub_group_id
                    
                    	S2L Sub\-Group ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: sub_group_original_id
                    
                    	S2L Sub\-Group Originator ID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.destination_address = None
                        self.sub_group_id = None
                        self.sub_group_original_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2l'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.destination_address is not None:
                            return True

                        if self.sub_group_id is not None:
                            return True

                        if self.sub_group_original_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2L']['meta_info']


                class S2LsrPath(object):
                    """
                    Segment\-Routing Paths
                    
                    .. attribute:: backup_path_id
                    
                    	Backup Path Identifier
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: is_backup
                    
                    	True if path is backup
                    	**type**\:  bool
                    
                    .. attribute:: is_primary
                    
                    	True if path is primary
                    	**type**\:  bool
                    
                    .. attribute:: next_hop
                    
                    	Next hop
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: outgoing_interface
                    
                    	Outgoing Interface Name
                    	**type**\:  str
                    
                    .. attribute:: outgoing_labels_stack
                    
                    	Outgoing Labels Stack
                    	**type**\:  list of int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: path_id
                    
                    	Path Identifier
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.backup_path_id = None
                        self.is_backup = None
                        self.is_primary = None
                        self.next_hop = None
                        self.outgoing_interface = None
                        self.outgoing_labels_stack = YLeafList()
                        self.outgoing_labels_stack.parent = self
                        self.outgoing_labels_stack.name = 'outgoing_labels_stack'
                        self.path_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:s2lsr-path'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.backup_path_id is not None:
                            return True

                        if self.is_backup is not None:
                            return True

                        if self.is_primary is not None:
                            return True

                        if self.next_hop is not None:
                            return True

                        if self.outgoing_interface is not None:
                            return True

                        if self.outgoing_labels_stack is not None:
                            for child in self.outgoing_labels_stack:
                                if child is not None:
                                    return True

                        if self.path_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LsrPath']['meta_info']

                @property
                def _common_path(self):
                    if self.ctype is None:
                        raise YPYModelError('Key property ctype is None')
                    if self.destination_address is None:
                        raise YPYModelError('Key property destination_address is None')
                    if self.extended_tunnel_id is None:
                        raise YPYModelError('Key property extended_tunnel_id is None')
                    if self.lsp_id is None:
                        raise YPYModelError('Key property lsp_id is None')
                    if self.next_hop_address is None:
                        raise YPYModelError('Key property next_hop_address is None')
                    if self.p2mp_id is None:
                        raise YPYModelError('Key property p2mp_id is None')
                    if self.previous_hop_address is None:
                        raise YPYModelError('Key property previous_hop_address is None')
                    if self.source_address is None:
                        raise YPYModelError('Key property source_address is None')
                    if self.tunnel_id is None:
                        raise YPYModelError('Key property tunnel_id is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:p2mp/Cisco-IOS-XR-mpls-te-oper:forwarding-output-label-rewrites/Cisco-IOS-XR-mpls-te-oper:forwarding-output-label-rewrite[Cisco-IOS-XR-mpls-te-oper:ctype = ' + str(self.ctype) + '][Cisco-IOS-XR-mpls-te-oper:destination-address = ' + str(self.destination_address) + '][Cisco-IOS-XR-mpls-te-oper:extended-tunnel-id = ' + str(self.extended_tunnel_id) + '][Cisco-IOS-XR-mpls-te-oper:lsp-id = ' + str(self.lsp_id) + '][Cisco-IOS-XR-mpls-te-oper:next-hop-address = ' + str(self.next_hop_address) + '][Cisco-IOS-XR-mpls-te-oper:p2mp-id = ' + str(self.p2mp_id) + '][Cisco-IOS-XR-mpls-te-oper:previous-hop-address = ' + str(self.previous_hop_address) + '][Cisco-IOS-XR-mpls-te-oper:source-address = ' + str(self.source_address) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-id = ' + str(self.tunnel_id) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.ctype is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.next_hop_address is not None:
                        return True

                    if self.p2mp_id is not None:
                        return True

                    if self.previous_hop_address is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    if self.backup_tunnel_name is not None:
                        return True

                    if self.is_segment_routing is not None:
                        return True

                    if self.original_input_interface is not None:
                        return True

                    if self.output_interface_name is not None:
                        return True

                    if self.s2l is not None:
                        for child_ref in self.s2l:
                            if child_ref._has_data():
                                return True

                    if self.s2l_output_rewrite is not None and self.s2l_output_rewrite._has_data():
                        return True

                    if self.s2lsr_path is not None:
                        for child_ref in self.s2lsr_path:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:p2mp/Cisco-IOS-XR-mpls-te-oper:forwarding-output-label-rewrites'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.forwarding_output_label_rewrite is not None:
                    for child_ref in self.forwarding_output_label_rewrite:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:p2mp'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.collaborator_timers is not None and self.collaborator_timers._has_data():
                return True

            if self.forwarding_output_label_rewrites is not None and self.forwarding_output_label_rewrites._has_data():
                return True

            if self.tunnel_rewrites is not None and self.tunnel_rewrites._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.P2Mp']['meta_info']


    class OpenConfig(object):
        """
        OpenConfig MPLS TE operational data
        
        .. attribute:: lsp_counters
        
        	Table of LSP Counters
        	**type**\:   :py:class:`LspCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.OpenConfig.LspCounters>`
        
        .. attribute:: lsp_states
        
        	Table of LSP State Info
        	**type**\:   :py:class:`LspStates <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.OpenConfig.LspStates>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.lsp_counters = MplsTeStandby.OpenConfig.LspCounters()
            self.lsp_counters.parent = self
            self.lsp_states = MplsTeStandby.OpenConfig.LspStates()
            self.lsp_states.parent = self


        class LspStates(object):
            """
            Table of LSP State Info
            
            .. attribute:: lsp_state
            
            	MPLS TE LSP State Info
            	**type**\: list of    :py:class:`LspState <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.OpenConfig.LspStates.LspState>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.lsp_state = YList()
                self.lsp_state.parent = self
                self.lsp_state.name = 'lsp_state'


            class LspState(object):
                """
                MPLS TE LSP State Info
                
                .. attribute:: tunnel_name  <key>
                
                	Tunnel Name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: tunnel_type  <key>
                
                	Tunnel Type
                	**type**\:   :py:class:`OcMplsTeTunnelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.OcMplsTeTunnelEnum>`
                
                .. attribute:: admin_status
                
                	Admin Status
                	**type**\:   :py:class:`LspAdminStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.LspAdminStatusEnum>`
                
                .. attribute:: description
                
                	Description
                	**type**\:  str
                
                .. attribute:: hold_priority
                
                	Hold priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: local_id
                
                	Local ID \- TBD
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: metric
                
                	Metric type
                	**type**\:   :py:class:`OcMplsTeMetricEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.OcMplsTeMetricEnum>`
                
                .. attribute:: name
                
                	LSP Name
                	**type**\:  str
                
                .. attribute:: oper_status
                
                	Operational Status
                	**type**\:   :py:class:`LspOperStatusEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.LspOperStatusEnum>`
                
                .. attribute:: protection_style_requested
                
                	Protection Style Requested
                	**type**\:   :py:class:`MplsProtectionEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsProtectionEnum>`
                
                .. attribute:: reoptimize_timer
                
                	frequency of reoptimization
                	**type**\:  int
                
                	**range:** 0..65535
                
                .. attribute:: role
                
                	Role
                	**type**\:   :py:class:`MplsTeLspRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeLspRoleEnum>`
                
                .. attribute:: setup_priority
                
                	Setup priority
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: signaling_protocol
                
                	Signaling Protocol
                	**type**\:   :py:class:`MplsTeProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeProtocolEnum>`
                
                .. attribute:: soft_preemption
                
                	Soft Preemption
                	**type**\:  bool
                
                .. attribute:: source
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: type
                
                	LSP Type
                	**type**\:   :py:class:`OcMplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.OcMplsTeLspEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.tunnel_name = None
                    self.tunnel_type = None
                    self.admin_status = None
                    self.description = None
                    self.hold_priority = None
                    self.local_id = None
                    self.metric = None
                    self.name = None
                    self.oper_status = None
                    self.protection_style_requested = None
                    self.reoptimize_timer = None
                    self.role = None
                    self.setup_priority = None
                    self.signaling_protocol = None
                    self.soft_preemption = None
                    self.source = None
                    self.type = None

                @property
                def _common_path(self):
                    if self.tunnel_name is None:
                        raise YPYModelError('Key property tunnel_name is None')
                    if self.tunnel_type is None:
                        raise YPYModelError('Key property tunnel_type is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:open-config/Cisco-IOS-XR-mpls-te-oper:lsp-states/Cisco-IOS-XR-mpls-te-oper:lsp-state[Cisco-IOS-XR-mpls-te-oper:tunnel-name = ' + str(self.tunnel_name) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-type = ' + str(self.tunnel_type) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.tunnel_name is not None:
                        return True

                    if self.tunnel_type is not None:
                        return True

                    if self.admin_status is not None:
                        return True

                    if self.description is not None:
                        return True

                    if self.hold_priority is not None:
                        return True

                    if self.local_id is not None:
                        return True

                    if self.metric is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.oper_status is not None:
                        return True

                    if self.protection_style_requested is not None:
                        return True

                    if self.reoptimize_timer is not None:
                        return True

                    if self.role is not None:
                        return True

                    if self.setup_priority is not None:
                        return True

                    if self.signaling_protocol is not None:
                        return True

                    if self.soft_preemption is not None:
                        return True

                    if self.source is not None:
                        return True

                    if self.type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.OpenConfig.LspStates.LspState']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:open-config/Cisco-IOS-XR-mpls-te-oper:lsp-states'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.lsp_state is not None:
                    for child_ref in self.lsp_state:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.OpenConfig.LspStates']['meta_info']


        class LspCounters(object):
            """
            Table of LSP Counters
            
            .. attribute:: lsp_counter
            
            	MPLS TE LSP Counters
            	**type**\: list of    :py:class:`LspCounter <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.OpenConfig.LspCounters.LspCounter>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.lsp_counter = YList()
                self.lsp_counter.parent = self
                self.lsp_counter.name = 'lsp_counter'


            class LspCounter(object):
                """
                MPLS TE LSP Counters
                
                .. attribute:: tunnel_name  <key>
                
                	Tunnel Name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: tunnel_type  <key>
                
                	Tunnel Type
                	**type**\:   :py:class:`OcMplsTeTunnelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.OcMplsTeTunnelEnum>`
                
                .. attribute:: bytes
                
                	Number of bytes forwarded over the lsp
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                	**units**\: byte
                
                .. attribute:: current_path_time
                
                	Timestamp of LSP switched onto current path
                	**type**\:  str
                
                .. attribute:: name
                
                	LSP Name
                	**type**\:  str
                
                .. attribute:: next_reoptimization_time
                
                	Timestamp of next scheduled reoptmiziation
                	**type**\:  str
                
                .. attribute:: online_time
                
                	Timestamp of LSP oper state up
                	**type**\:  str
                
                .. attribute:: packets
                
                	Number of packets forwarded over the lsp
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: path_changes
                
                	Number of path changes for the lsp
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: state_changes
                
                	Number of state changes for the lsp
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                .. attribute:: type
                
                	LSP Type
                	**type**\:   :py:class:`OcMplsTeLspEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.OcMplsTeLspEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.tunnel_name = None
                    self.tunnel_type = None
                    self.bytes = None
                    self.current_path_time = None
                    self.name = None
                    self.next_reoptimization_time = None
                    self.online_time = None
                    self.packets = None
                    self.path_changes = None
                    self.state_changes = None
                    self.type = None

                @property
                def _common_path(self):
                    if self.tunnel_name is None:
                        raise YPYModelError('Key property tunnel_name is None')
                    if self.tunnel_type is None:
                        raise YPYModelError('Key property tunnel_type is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:open-config/Cisco-IOS-XR-mpls-te-oper:lsp-counters/Cisco-IOS-XR-mpls-te-oper:lsp-counter[Cisco-IOS-XR-mpls-te-oper:tunnel-name = ' + str(self.tunnel_name) + '][Cisco-IOS-XR-mpls-te-oper:tunnel-type = ' + str(self.tunnel_type) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.tunnel_name is not None:
                        return True

                    if self.tunnel_type is not None:
                        return True

                    if self.bytes is not None:
                        return True

                    if self.current_path_time is not None:
                        return True

                    if self.name is not None:
                        return True

                    if self.next_reoptimization_time is not None:
                        return True

                    if self.online_time is not None:
                        return True

                    if self.packets is not None:
                        return True

                    if self.path_changes is not None:
                        return True

                    if self.state_changes is not None:
                        return True

                    if self.type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.OpenConfig.LspCounters.LspCounter']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:open-config/Cisco-IOS-XR-mpls-te-oper:lsp-counters'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.lsp_counter is not None:
                    for child_ref in self.lsp_counter:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.OpenConfig.LspCounters']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:open-config'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.lsp_counters is not None and self.lsp_counters._has_data():
                return True

            if self.lsp_states is not None and self.lsp_states._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.OpenConfig']['meta_info']


    class LspOutOfResources(object):
        """
        LSP OOR information
        
        .. attribute:: summary
        
        	LSP OOR Summary information
        	**type**\:   :py:class:`Summary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.LspOutOfResources.Summary>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.summary = MplsTeStandby.LspOutOfResources.Summary()
            self.summary.parent = self


        class Summary(object):
            """
            LSP OOR Summary information
            
            .. attribute:: lsp_oor_green_recovery_time
            
            	Time Remaining in Green Recovery State (seconds)
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            	**units**\: second
            
            .. attribute:: lsp_oor_state
            
            	The current LSP OOR state
            	**type**\:   :py:class:`LspOorStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.LspOorStateEnum>`
            
            .. attribute:: lsp_oor_state_xr
            
            	Array of LSP OOR info per state
            	**type**\: list of    :py:class:`LspOorStateXr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.LspOutOfResources.Summary.LspOorStateXr>`
            
            .. attribute:: lsp_oor_timestamp
            
            	Timestamp when the OOR state last changed
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: transit_lsp_total_count
            
            	Number of all transit LSPs on the router
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: transit_lsp_unprotected_count
            
            	Number of unprotected transit LSPs on the router
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.lsp_oor_green_recovery_time = None
                self.lsp_oor_state = None
                self.lsp_oor_state_xr = YList()
                self.lsp_oor_state_xr.parent = self
                self.lsp_oor_state_xr.name = 'lsp_oor_state_xr'
                self.lsp_oor_timestamp = None
                self.transit_lsp_total_count = None
                self.transit_lsp_unprotected_count = None


            class LspOorStateXr(object):
                """
                Array of LSP OOR info per state
                
                .. attribute:: accept_reopt
                
                	Make\-before\-break is allowed for LSPs reoptimizing over the same link in the LSP OOR state
                	**type**\:  bool
                
                .. attribute:: available_bw_percentage
                
                	The flooded percentage of available bandwidth advertized when the link is in this LSP OOR state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: percentage
                
                .. attribute:: lsp_oor_state
                
                	The LSP\-OOR state that this information belongs to
                	**type**\:   :py:class:`LspOorStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.LspOorStateEnum>`
                
                .. attribute:: minimum_lsp_bandwidth
                
                	Minimum LSP bandwidth so the LSP is admitted when the link is in this LSP OOR state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: statistics
                
                	LSP OOR Statistics
                	**type**\:   :py:class:`Statistics <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.LspOutOfResources.Summary.LspOorStateXr.Statistics>`
                
                .. attribute:: te_metric_penalty
                
                	The TE metric penalty when the link is in this LSP OOR state
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: threshold_transit_all
                
                	The number of transit LSPs that triggers OOR state transition
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: threshold_transit_unprotected
                
                	The number of unprotected transit LSPs that triggers OOR state transition
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: transition_duration
                
                	Recovery in minutes after the green LSP OOR state is entered
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                	**units**\: minute
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.accept_reopt = None
                    self.available_bw_percentage = None
                    self.lsp_oor_state = None
                    self.minimum_lsp_bandwidth = None
                    self.statistics = MplsTeStandby.LspOutOfResources.Summary.LspOorStateXr.Statistics()
                    self.statistics.parent = self
                    self.te_metric_penalty = None
                    self.threshold_transit_all = None
                    self.threshold_transit_unprotected = None
                    self.transition_duration = None


                class Statistics(object):
                    """
                    LSP OOR Statistics
                    
                    .. attribute:: accepted_ls_ps_number
                    
                    	Number of LSPs that were accepted in this state
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: accepted_reopt_ls_ps_number
                    
                    	Number of Reoptimize LSPs that were accepted in this state
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rejected_ls_ps_number
                    
                    	Number of LSPs that were rejected in this state
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: rejected_reopt_ls_ps_number
                    
                    	Number of Reoptimize LSPs that were rejected in this state
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: transitions
                    
                    	Number of transitions to this state
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.accepted_ls_ps_number = None
                        self.accepted_reopt_ls_ps_number = None
                        self.rejected_ls_ps_number = None
                        self.rejected_reopt_ls_ps_number = None
                        self.transitions = None

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:lsp-out-of-resources/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:lsp-oor-state-xr/Cisco-IOS-XR-mpls-te-oper:statistics'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.accepted_ls_ps_number is not None:
                            return True

                        if self.accepted_reopt_ls_ps_number is not None:
                            return True

                        if self.rejected_ls_ps_number is not None:
                            return True

                        if self.rejected_reopt_ls_ps_number is not None:
                            return True

                        if self.transitions is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.LspOutOfResources.Summary.LspOorStateXr.Statistics']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:lsp-out-of-resources/Cisco-IOS-XR-mpls-te-oper:summary/Cisco-IOS-XR-mpls-te-oper:lsp-oor-state-xr'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.accept_reopt is not None:
                        return True

                    if self.available_bw_percentage is not None:
                        return True

                    if self.lsp_oor_state is not None:
                        return True

                    if self.minimum_lsp_bandwidth is not None:
                        return True

                    if self.statistics is not None and self.statistics._has_data():
                        return True

                    if self.te_metric_penalty is not None:
                        return True

                    if self.threshold_transit_all is not None:
                        return True

                    if self.threshold_transit_unprotected is not None:
                        return True

                    if self.transition_duration is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.LspOutOfResources.Summary.LspOorStateXr']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:lsp-out-of-resources/Cisco-IOS-XR-mpls-te-oper:summary'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.lsp_oor_green_recovery_time is not None:
                    return True

                if self.lsp_oor_state is not None:
                    return True

                if self.lsp_oor_state_xr is not None:
                    for child_ref in self.lsp_oor_state_xr:
                        if child_ref._has_data():
                            return True

                if self.lsp_oor_timestamp is not None:
                    return True

                if self.transit_lsp_total_count is not None:
                    return True

                if self.transit_lsp_unprotected_count is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.LspOutOfResources.Summary']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:lsp-out-of-resources'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.summary is not None and self.summary._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.LspOutOfResources']['meta_info']


    class Bfd(object):
        """
        MPLS TE BFD Oper Info
        
        .. attribute:: counters
        
        	MPLS TE BFD Counters
        	**type**\:   :py:class:`Counters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Bfd.Counters>`
        
        .. attribute:: head_infos
        
        	MPLS TE Head BFD Over LSP Table
        	**type**\:   :py:class:`HeadInfos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Bfd.HeadInfos>`
        
        .. attribute:: links
        
        	MPLS TE BFD Info
        	**type**\:   :py:class:`Links <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Bfd.Links>`
        
        .. attribute:: summary
        
        	MPLS TE BFD Summary
        	**type**\:   :py:class:`Summary <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Bfd.Summary>`
        
        .. attribute:: tail_infos
        
        	MPLS TE Tail BFD Over LSP Table
        	**type**\:   :py:class:`TailInfos <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Bfd.TailInfos>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.counters = MplsTeStandby.Bfd.Counters()
            self.counters.parent = self
            self.head_infos = MplsTeStandby.Bfd.HeadInfos()
            self.head_infos.parent = self
            self.links = MplsTeStandby.Bfd.Links()
            self.links.parent = self
            self.summary = MplsTeStandby.Bfd.Summary()
            self.summary.parent = self
            self.tail_infos = MplsTeStandby.Bfd.TailInfos()
            self.tail_infos.parent = self


        class HeadInfos(object):
            """
            MPLS TE Head BFD Over LSP Table
            
            .. attribute:: head_info
            
            	MPLS TE Head End BFD Over LSP Info
            	**type**\: list of    :py:class:`HeadInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Bfd.HeadInfos.HeadInfo>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.head_info = YList()
                self.head_info.parent = self
                self.head_info.name = 'head_info'


            class HeadInfo(object):
                """
                MPLS TE Head End BFD Over LSP Info
                
                .. attribute:: tunnel_name  <key>
                
                	Tunnel Name
                	**type**\:  str
                
                	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
                
                .. attribute:: current_lspbfd_info
                
                	Current LSP BFD Info
                	**type**\:   :py:class:`CurrentLspbfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Bfd.HeadInfos.HeadInfo.CurrentLspbfdInfo>`
                
                .. attribute:: destination_address
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lspbfd_type
                
                	LSP BFD type
                	**type**\:   :py:class:`TeVifBfdEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeVifBfdEnum>`
                
                .. attribute:: reoptimized_lspbfd_info
                
                	Reoptimized LSP BFD Info
                	**type**\:   :py:class:`ReoptimizedLspbfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Bfd.HeadInfos.HeadInfo.ReoptimizedLspbfdInfo>`
                
                .. attribute:: standby_lspbfd_info
                
                	Standby LSP BFD Info
                	**type**\:   :py:class:`StandbyLspbfdInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Bfd.HeadInfos.HeadInfo.StandbyLspbfdInfo>`
                
                .. attribute:: tunnel_name_xr
                
                	Tunnel name
                	**type**\:  str
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.tunnel_name = None
                    self.current_lspbfd_info = MplsTeStandby.Bfd.HeadInfos.HeadInfo.CurrentLspbfdInfo()
                    self.current_lspbfd_info.parent = self
                    self.destination_address = None
                    self.lspbfd_type = None
                    self.reoptimized_lspbfd_info = MplsTeStandby.Bfd.HeadInfos.HeadInfo.ReoptimizedLspbfdInfo()
                    self.reoptimized_lspbfd_info.parent = self
                    self.standby_lspbfd_info = MplsTeStandby.Bfd.HeadInfos.HeadInfo.StandbyLspbfdInfo()
                    self.standby_lspbfd_info.parent = self
                    self.tunnel_name_xr = None


                class CurrentLspbfdInfo(object):
                    """
                    Current LSP BFD Info
                    
                    .. attribute:: bfd_session_state
                    
                    	BFD Session State
                    	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                    
                    .. attribute:: lsp_id
                    
                    	LSP ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bfd_session_state = None
                        self.lsp_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:current-lspbfd-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bfd_session_state is not None:
                            return True

                        if self.lsp_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Bfd.HeadInfos.HeadInfo.CurrentLspbfdInfo']['meta_info']


                class StandbyLspbfdInfo(object):
                    """
                    Standby LSP BFD Info
                    
                    .. attribute:: bfd_session_state
                    
                    	BFD Session State
                    	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                    
                    .. attribute:: lsp_id
                    
                    	LSP ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bfd_session_state = None
                        self.lsp_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:standby-lspbfd-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bfd_session_state is not None:
                            return True

                        if self.lsp_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Bfd.HeadInfos.HeadInfo.StandbyLspbfdInfo']['meta_info']


                class ReoptimizedLspbfdInfo(object):
                    """
                    Reoptimized LSP BFD Info
                    
                    .. attribute:: bfd_session_state
                    
                    	BFD Session State
                    	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                    
                    .. attribute:: lsp_id
                    
                    	LSP ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bfd_session_state = None
                        self.lsp_id = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:reoptimized-lspbfd-info'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bfd_session_state is not None:
                            return True

                        if self.lsp_id is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Bfd.HeadInfos.HeadInfo.ReoptimizedLspbfdInfo']['meta_info']

                @property
                def _common_path(self):
                    if self.tunnel_name is None:
                        raise YPYModelError('Key property tunnel_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:head-infos/Cisco-IOS-XR-mpls-te-oper:head-info[Cisco-IOS-XR-mpls-te-oper:tunnel-name = ' + str(self.tunnel_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.tunnel_name is not None:
                        return True

                    if self.current_lspbfd_info is not None and self.current_lspbfd_info._has_data():
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.lspbfd_type is not None:
                        return True

                    if self.reoptimized_lspbfd_info is not None and self.reoptimized_lspbfd_info._has_data():
                        return True

                    if self.standby_lspbfd_info is not None and self.standby_lspbfd_info._has_data():
                        return True

                    if self.tunnel_name_xr is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Bfd.HeadInfos.HeadInfo']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:head-infos'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.head_info is not None:
                    for child_ref in self.head_info:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.Bfd.HeadInfos']['meta_info']


        class Links(object):
            """
            MPLS TE BFD Info
            
            .. attribute:: link
            
            	MPLS TE BFD Info
            	**type**\: list of    :py:class:`Link <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Bfd.Links.Link>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.link = YList()
                self.link.parent = self
                self.link.name = 'link'


            class Link(object):
                """
                MPLS TE BFD Info
                
                .. attribute:: interface_name  <key>
                
                	Interface name
                	**type**\:  str
                
                	**pattern:** (([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){3,4}\\d+\\.\\d+)\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]\*\\d+))\|(([a\-zA\-Z0\-9\_]\*\\d+/){2}([a\-zA\-Z0\-9\_]+))\|([a\-zA\-Z0\-9\_\-]\*\\d+)\|([a\-zA\-Z0\-9\_\-]\*\\d+\\.\\d+)\|(mpls)\|(dwdm)
                
                .. attribute:: neighbor
                
                	Neighbors of the specified link id
                	**type**\: list of    :py:class:`Neighbor <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Bfd.Links.Link.Neighbor>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.interface_name = None
                    self.neighbor = YList()
                    self.neighbor.parent = self
                    self.neighbor.name = 'neighbor'


                class Neighbor(object):
                    """
                    Neighbors of the specified link id
                    
                    .. attribute:: is_bfd_up
                    
                    	TRUE if the BFD session is Up on this link
                    	**type**\:  bool
                    
                    .. attribute:: neighbor_address
                    
                    	The neighbor's IP address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.is_bfd_up = None
                        self.neighbor_address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:neighbor'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.is_bfd_up is not None:
                            return True

                        if self.neighbor_address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Bfd.Links.Link.Neighbor']['meta_info']

                @property
                def _common_path(self):
                    if self.interface_name is None:
                        raise YPYModelError('Key property interface_name is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:links/Cisco-IOS-XR-mpls-te-oper:link[Cisco-IOS-XR-mpls-te-oper:interface-name = ' + str(self.interface_name) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.interface_name is not None:
                        return True

                    if self.neighbor is not None:
                        for child_ref in self.neighbor:
                            if child_ref._has_data():
                                return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Bfd.Links.Link']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:links'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.link is not None:
                    for child_ref in self.link:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.Bfd.Links']['meta_info']


        class TailInfos(object):
            """
            MPLS TE Tail BFD Over LSP Table
            
            .. attribute:: tail_info
            
            	MPLS TE Tail End BFD Over LSP Info
            	**type**\: list of    :py:class:`TailInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Bfd.TailInfos.TailInfo>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.tail_info = YList()
                self.tail_info.parent = self
                self.tail_info.name = 'tail_info'


            class TailInfo(object):
                """
                MPLS TE Tail End BFD Over LSP Info
                
                .. attribute:: bfd_session_state
                
                	BFD Session State
                	**type**\:   :py:class:`TeBfdLspSessionStateEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeBfdLspSessionStateEnum>`
                
                .. attribute:: ctype
                
                	Ctype
                	**type**\:   :py:class:`CtypeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.CtypeEnum>`
                
                .. attribute:: destination_address
                
                	Destination Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: extended_tunnel_id
                
                	Extended Tunnel ID
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: lsp_fec
                
                	FEC for the LSP
                	**type**\:   :py:class:`LspFec <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Bfd.TailInfos.TailInfo.LspFec>`
                
                .. attribute:: lsp_id
                
                	LSP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: p2mp_id
                
                	P2MP ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: signaled_name
                
                	Signaled Name
                	**type**\:  str
                
                .. attribute:: source_address
                
                	Source Address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: tunnel_id
                
                	Tunnel ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.bfd_session_state = None
                    self.ctype = None
                    self.destination_address = None
                    self.extended_tunnel_id = None
                    self.lsp_fec = MplsTeStandby.Bfd.TailInfos.TailInfo.LspFec()
                    self.lsp_fec.parent = self
                    self.lsp_id = None
                    self.p2mp_id = None
                    self.signaled_name = None
                    self.source_address = None
                    self.tunnel_id = None


                class LspFec(object):
                    """
                    FEC for the LSP
                    
                    .. attribute:: fec_destination_info
                    
                    	Destination or P2MP ID
                    	**type**\:   :py:class:`FecDestinationInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Bfd.TailInfos.TailInfo.LspFec.FecDestinationInfo>`
                    
                    .. attribute:: fec_extended_tunnel_id
                    
                    	Extended tunnel ID
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: fec_lsp_id
                    
                    	LSP ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: fec_source
                    
                    	Tunnel source address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: fec_tunnel_id
                    
                    	Tunnel ID
                    	**type**\:  int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: fec_vrf
                    
                    	VRF; currently only for GMPLS tunnels
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.fec_destination_info = MplsTeStandby.Bfd.TailInfos.TailInfo.LspFec.FecDestinationInfo()
                        self.fec_destination_info.parent = self
                        self.fec_extended_tunnel_id = None
                        self.fec_lsp_id = None
                        self.fec_source = None
                        self.fec_tunnel_id = None
                        self.fec_vrf = None


                    class FecDestinationInfo(object):
                        """
                        Destination or P2MP ID
                        
                        .. attribute:: fec_ctype
                        
                        	FEC CType
                        	**type**\:   :py:class:`MplsLibCEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsLibCEnum>`
                        
                        .. attribute:: fec_destination_p2mp_id
                        
                        	P2MP ID
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: p2p_lsp_destination
                        
                        	P2P LSP destination
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.fec_ctype = None
                            self.fec_destination_p2mp_id = None
                            self.p2p_lsp_destination = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:tail-infos/Cisco-IOS-XR-mpls-te-oper:tail-info/Cisco-IOS-XR-mpls-te-oper:lsp-fec/Cisco-IOS-XR-mpls-te-oper:fec-destination-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.fec_ctype is not None:
                                return True

                            if self.fec_destination_p2mp_id is not None:
                                return True

                            if self.p2p_lsp_destination is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Bfd.TailInfos.TailInfo.LspFec.FecDestinationInfo']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:tail-infos/Cisco-IOS-XR-mpls-te-oper:tail-info/Cisco-IOS-XR-mpls-te-oper:lsp-fec'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.fec_destination_info is not None and self.fec_destination_info._has_data():
                            return True

                        if self.fec_extended_tunnel_id is not None:
                            return True

                        if self.fec_lsp_id is not None:
                            return True

                        if self.fec_source is not None:
                            return True

                        if self.fec_tunnel_id is not None:
                            return True

                        if self.fec_vrf is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Bfd.TailInfos.TailInfo.LspFec']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:tail-infos/Cisco-IOS-XR-mpls-te-oper:tail-info'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.bfd_session_state is not None:
                        return True

                    if self.ctype is not None:
                        return True

                    if self.destination_address is not None:
                        return True

                    if self.extended_tunnel_id is not None:
                        return True

                    if self.lsp_fec is not None and self.lsp_fec._has_data():
                        return True

                    if self.lsp_id is not None:
                        return True

                    if self.p2mp_id is not None:
                        return True

                    if self.signaled_name is not None:
                        return True

                    if self.source_address is not None:
                        return True

                    if self.tunnel_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Bfd.TailInfos.TailInfo']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:tail-infos'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.tail_info is not None:
                    for child_ref in self.tail_info:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.Bfd.TailInfos']['meta_info']


        class Summary(object):
            """
            MPLS TE BFD Summary
            
            .. attribute:: head_lsp_count_sbfd_session_created
            
            	Number of head end LSP with SBFD session created
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: head_lsp_count_sbfd_up
            
            	Number of head end LSP with SBFD session in up state
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: head_lsp_count_session_created
            
            	Number of head end LSP with BFD session created
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: head_lsp_count_up
            
            	Number of head end LSP with BFD session in up state
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: link_count_bfd_enabled
            
            	Number of link with BFD enabled
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: link_count_session_created
            
            	Number of link with BFD session created
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: link_count_session_up
            
            	Number of link with BFD session in state Up
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: tail_lsp_count_session_created
            
            	Number of tail end LSP with BFD session created
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: tail_lsp_count_session_up
            
            	Number of tail end LSP with BFD session in up state
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: tunnel_count_bfd_enabled
            
            	Number of tunnel interface with BFD enabled
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: tunnel_count_sbfd_enabled
            
            	Number of tunnel interface with SBFD enabled
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: tunnel_count_sbfd_session_up
            
            	Number of tunnel with SBFD session in up state
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: tunnel_count_session_up
            
            	Number of tunnel with BFD session in up state
            	**type**\:  int
            
            	**range:** 0..65535
            
            .. attribute:: tunnel_count_total
            
            	Total number of tunnel interface
            	**type**\:  int
            
            	**range:** 0..65535
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.head_lsp_count_sbfd_session_created = None
                self.head_lsp_count_sbfd_up = None
                self.head_lsp_count_session_created = None
                self.head_lsp_count_up = None
                self.link_count_bfd_enabled = None
                self.link_count_session_created = None
                self.link_count_session_up = None
                self.tail_lsp_count_session_created = None
                self.tail_lsp_count_session_up = None
                self.tunnel_count_bfd_enabled = None
                self.tunnel_count_sbfd_enabled = None
                self.tunnel_count_sbfd_session_up = None
                self.tunnel_count_session_up = None
                self.tunnel_count_total = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:summary'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.head_lsp_count_sbfd_session_created is not None:
                    return True

                if self.head_lsp_count_sbfd_up is not None:
                    return True

                if self.head_lsp_count_session_created is not None:
                    return True

                if self.head_lsp_count_up is not None:
                    return True

                if self.link_count_bfd_enabled is not None:
                    return True

                if self.link_count_session_created is not None:
                    return True

                if self.link_count_session_up is not None:
                    return True

                if self.tail_lsp_count_session_created is not None:
                    return True

                if self.tail_lsp_count_session_up is not None:
                    return True

                if self.tunnel_count_bfd_enabled is not None:
                    return True

                if self.tunnel_count_sbfd_enabled is not None:
                    return True

                if self.tunnel_count_sbfd_session_up is not None:
                    return True

                if self.tunnel_count_session_up is not None:
                    return True

                if self.tunnel_count_total is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.Bfd.Summary']['meta_info']


        class Counters(object):
            """
            MPLS TE BFD Counters
            
            .. attribute:: bf_do_lm_counters
            
            	BFD over Links Cumulative Counters
            	**type**\:   :py:class:`BfDoLmCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Bfd.Counters.BfDoLmCounters>`
            
            .. attribute:: bfd_over_lsp_head_counters
            
            	BFD over Head\-end LSPs Cumulative Counters
            	**type**\:   :py:class:`BfdOverLspHeadCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Bfd.Counters.BfdOverLspHeadCounters>`
            
            .. attribute:: bfd_over_lsp_tail_counters
            
            	BFD over Tail\-end LSPs Cumulative Counters
            	**type**\:   :py:class:`BfdOverLspTailCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Bfd.Counters.BfdOverLspTailCounters>`
            
            .. attribute:: last_cleared_timestamp
            
            	The timestamp when these stats are cleared relative to Jan 1, 1970
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            .. attribute:: sbfd_over_lsp_head_counters
            
            	SBFD over Head\-end LSPs Cumulative Counters
            	**type**\:   :py:class:`SbfdOverLspHeadCounters <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Bfd.Counters.SbfdOverLspHeadCounters>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.bf_do_lm_counters = MplsTeStandby.Bfd.Counters.BfDoLmCounters()
                self.bf_do_lm_counters.parent = self
                self.bfd_over_lsp_head_counters = MplsTeStandby.Bfd.Counters.BfdOverLspHeadCounters()
                self.bfd_over_lsp_head_counters.parent = self
                self.bfd_over_lsp_tail_counters = MplsTeStandby.Bfd.Counters.BfdOverLspTailCounters()
                self.bfd_over_lsp_tail_counters.parent = self
                self.last_cleared_timestamp = None
                self.sbfd_over_lsp_head_counters = MplsTeStandby.Bfd.Counters.SbfdOverLspHeadCounters()
                self.sbfd_over_lsp_head_counters.parent = self


            class BfdOverLspHeadCounters(object):
                """
                BFD over Head\-end LSPs Cumulative Counters
                
                .. attribute:: session_admin_down_events
                
                	The number of BFDOverLSP session admin down events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_create_events
                
                	The number of BFDOverLSP session create events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_create_timeout_events
                
                	The number of BFDOverLSP session create timeout events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_creation_failed_events
                
                	The number of BFDOverLSP session creation failed events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_down_events
                
                	The number of BFDOverLSP session down events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_gracefully_delete_events
                
                	The number of BFDOverLSP session gracefully delete events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_non_gracefully_delete_events
                
                	The number of BFDOverLSP session non gracefully delete events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_replay_events
                
                	The number of BFDOverLSP session replay events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_up_events
                
                	The number of BFDOverLSP session up events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.session_admin_down_events = None
                    self.session_create_events = None
                    self.session_create_timeout_events = None
                    self.session_creation_failed_events = None
                    self.session_down_events = None
                    self.session_gracefully_delete_events = None
                    self.session_non_gracefully_delete_events = None
                    self.session_replay_events = None
                    self.session_up_events = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:counters/Cisco-IOS-XR-mpls-te-oper:bfd-over-lsp-head-counters'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.session_admin_down_events is not None:
                        return True

                    if self.session_create_events is not None:
                        return True

                    if self.session_create_timeout_events is not None:
                        return True

                    if self.session_creation_failed_events is not None:
                        return True

                    if self.session_down_events is not None:
                        return True

                    if self.session_gracefully_delete_events is not None:
                        return True

                    if self.session_non_gracefully_delete_events is not None:
                        return True

                    if self.session_replay_events is not None:
                        return True

                    if self.session_up_events is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Bfd.Counters.BfdOverLspHeadCounters']['meta_info']


            class SbfdOverLspHeadCounters(object):
                """
                SBFD over Head\-end LSPs Cumulative Counters
                
                .. attribute:: session_admin_down_events
                
                	The number of BFDOverLSP session admin down events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_create_events
                
                	The number of BFDOverLSP session create events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_create_timeout_events
                
                	The number of BFDOverLSP session create timeout events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_creation_failed_events
                
                	The number of BFDOverLSP session creation failed events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_down_events
                
                	The number of BFDOverLSP session down events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_gracefully_delete_events
                
                	The number of BFDOverLSP session gracefully delete events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_non_gracefully_delete_events
                
                	The number of BFDOverLSP session non gracefully delete events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_replay_events
                
                	The number of BFDOverLSP session replay events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_up_events
                
                	The number of BFDOverLSP session up events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.session_admin_down_events = None
                    self.session_create_events = None
                    self.session_create_timeout_events = None
                    self.session_creation_failed_events = None
                    self.session_down_events = None
                    self.session_gracefully_delete_events = None
                    self.session_non_gracefully_delete_events = None
                    self.session_replay_events = None
                    self.session_up_events = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:counters/Cisco-IOS-XR-mpls-te-oper:sbfd-over-lsp-head-counters'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.session_admin_down_events is not None:
                        return True

                    if self.session_create_events is not None:
                        return True

                    if self.session_create_timeout_events is not None:
                        return True

                    if self.session_creation_failed_events is not None:
                        return True

                    if self.session_down_events is not None:
                        return True

                    if self.session_gracefully_delete_events is not None:
                        return True

                    if self.session_non_gracefully_delete_events is not None:
                        return True

                    if self.session_replay_events is not None:
                        return True

                    if self.session_up_events is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Bfd.Counters.SbfdOverLspHeadCounters']['meta_info']


            class BfdOverLspTailCounters(object):
                """
                BFD over Tail\-end LSPs Cumulative Counters
                
                .. attribute:: session_admin_down_events
                
                	The number of BFDOverLM session admin down events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_create_events
                
                	The number of BFDOverLM session create events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_creation_failed_events
                
                	The number of BFDOverLM session creation failed events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_down_events
                
                	The number of BFDOverLM session down events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_gracefully_delete_events
                
                	The number of BFDOverLM session gracefully delete events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_non_gracefully_delete_events
                
                	The number of BFDOverLM session non gracefully delete events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_replay_events
                
                	The number of BFDOverLSP session replay events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_up_events
                
                	The number of BFDOverLM session up events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.session_admin_down_events = None
                    self.session_create_events = None
                    self.session_creation_failed_events = None
                    self.session_down_events = None
                    self.session_gracefully_delete_events = None
                    self.session_non_gracefully_delete_events = None
                    self.session_replay_events = None
                    self.session_up_events = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:counters/Cisco-IOS-XR-mpls-te-oper:bfd-over-lsp-tail-counters'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.session_admin_down_events is not None:
                        return True

                    if self.session_create_events is not None:
                        return True

                    if self.session_creation_failed_events is not None:
                        return True

                    if self.session_down_events is not None:
                        return True

                    if self.session_gracefully_delete_events is not None:
                        return True

                    if self.session_non_gracefully_delete_events is not None:
                        return True

                    if self.session_replay_events is not None:
                        return True

                    if self.session_up_events is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Bfd.Counters.BfdOverLspTailCounters']['meta_info']


            class BfDoLmCounters(object):
                """
                BFD over Links Cumulative Counters
                
                .. attribute:: session_admin_down_events
                
                	The number of BFDOverLM session admin down events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_create_events
                
                	The number of BFDOverLM session create events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_creation_failed_events
                
                	The number of BFDOverLM session creation failed events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_down_events
                
                	The number of BFDOverLM session down events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_gracefully_delete_events
                
                	The number of BFDOverLM session gracefully delete events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_non_gracefully_delete_events
                
                	The number of BFDOverLM session non gracefully delete events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_replay_events
                
                	The number of BFDOverLSP session replay events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: session_up_events
                
                	The number of BFDOverLM session up events
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.session_admin_down_events = None
                    self.session_create_events = None
                    self.session_creation_failed_events = None
                    self.session_down_events = None
                    self.session_gracefully_delete_events = None
                    self.session_non_gracefully_delete_events = None
                    self.session_replay_events = None
                    self.session_up_events = None

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:counters/Cisco-IOS-XR-mpls-te-oper:bf-do-lm-counters'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.session_admin_down_events is not None:
                        return True

                    if self.session_create_events is not None:
                        return True

                    if self.session_creation_failed_events is not None:
                        return True

                    if self.session_down_events is not None:
                        return True

                    if self.session_gracefully_delete_events is not None:
                        return True

                    if self.session_non_gracefully_delete_events is not None:
                        return True

                    if self.session_replay_events is not None:
                        return True

                    if self.session_up_events is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Bfd.Counters.BfDoLmCounters']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:bfd/Cisco-IOS-XR-mpls-te-oper:counters'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.bf_do_lm_counters is not None and self.bf_do_lm_counters._has_data():
                    return True

                if self.bfd_over_lsp_head_counters is not None and self.bfd_over_lsp_head_counters._has_data():
                    return True

                if self.bfd_over_lsp_tail_counters is not None and self.bfd_over_lsp_tail_counters._has_data():
                    return True

                if self.last_cleared_timestamp is not None:
                    return True

                if self.sbfd_over_lsp_head_counters is not None and self.sbfd_over_lsp_head_counters._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.Bfd.Counters']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:bfd'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.counters is not None and self.counters._has_data():
                return True

            if self.head_infos is not None and self.head_infos._has_data():
                return True

            if self.links is not None and self.links._has_data():
                return True

            if self.summary is not None and self.summary._has_data():
                return True

            if self.tail_infos is not None and self.tail_infos._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.Bfd']['meta_info']


    class Nsr(object):
        """
        MPLS TE NSR information
        
        .. attribute:: detail
        
        	MPLS TE NSR Status information
        	**type**\:   :py:class:`Detail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Detail>`
        
        .. attribute:: status
        
        	MPLS TE NSR Status information
        	**type**\:   :py:class:`Status <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Status>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.detail = MplsTeStandby.Nsr.Detail()
            self.detail.parent = self
            self.status = MplsTeStandby.Nsr.Status()
            self.status.parent = self


        class Status(object):
            """
            MPLS TE NSR Status information
            
            .. attribute:: role
            
            	Process role
            	**type**\:   :py:class:`TeProcRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProcRoleEnum>`
            
            .. attribute:: sync_status_information
            
            	Sync information for the NSR and ISSU
            	**type**\:   :py:class:`SyncStatusInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Status.SyncStatusInformation>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.role = None
                self.sync_status_information = MplsTeStandby.Nsr.Status.SyncStatusInformation()
                self.sync_status_information.parent = self


            class SyncStatusInformation(object):
                """
                Sync information for the NSR and ISSU
                
                .. attribute:: master_sync_information
                
                	Master sync information
                	**type**\:   :py:class:`MasterSyncInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation>`
                
                .. attribute:: slave_sync_information
                
                	Slave sync information
                	**type**\:   :py:class:`SlaveSyncInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation>`
                
                .. attribute:: sync_show_type
                
                	SyncShowType
                	**type**\:   :py:class:`TeSyncStatusShowEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncStatusShowEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.master_sync_information = MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation()
                    self.master_sync_information.parent = self
                    self.slave_sync_information = MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation()
                    self.slave_sync_information.parent = self
                    self.sync_show_type = None


                class SlaveSyncInformation(object):
                    """
                    Slave sync information
                    
                    .. attribute:: idt
                    
                    	Sync status IDT information
                    	**type**\:   :py:class:`Idt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt>`
                    
                    .. attribute:: insync_sub_ls_ps
                    
                    	Sub\-LSPs in sync
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: insync_tunnels
                    
                    	Tunnels in sync
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pending_sub_ls_ps
                    
                    	Sub\-LSPs in sync pending
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pending_tunnels
                    
                    	Tunnels in sync pending
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l_pending
                    
                    	Pending sub\-LSPs details
                    	**type**\: list of    :py:class:`S2LPending <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending>`
                    
                    .. attribute:: vif_pending
                    
                    	Pending tunnels details
                    	**type**\: list of    :py:class:`VifPending <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.VifPending>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.idt = MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt()
                        self.idt.parent = self
                        self.insync_sub_ls_ps = None
                        self.insync_tunnels = None
                        self.pending_sub_ls_ps = None
                        self.pending_tunnels = None
                        self.s2l_pending = YList()
                        self.s2l_pending.parent = self
                        self.s2l_pending.name = 's2l_pending'
                        self.vif_pending = YList()
                        self.vif_pending.parent = self
                        self.vif_pending.name = 'vif_pending'


                    class Idt(object):
                        """
                        Sync status IDT information
                        
                        .. attribute:: current_idt_info
                        
                        	Current IDT information
                        	**type**\:   :py:class:`CurrentIdtInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo>`
                        
                        .. attribute:: previous_idt_status
                        
                        	Previous IDT information
                        	**type**\:   :py:class:`PreviousIdtStatus <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.current_idt_info = MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo()
                            self.current_idt_info.parent = self
                            self.previous_idt_status = MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus()
                            self.previous_idt_status.parent = self


                        class CurrentIdtInfo(object):
                            """
                            Current IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:current-idt-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo']['meta_info']


                        class PreviousIdtStatus(object):
                            """
                            Previous IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:previous-idt-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.current_idt_info is not None and self.current_idt_info._has_data():
                                return True

                            if self.previous_idt_status is not None and self.previous_idt_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']


                    class VifPending(object):
                        """
                        Pending tunnels details
                        
                        .. attribute:: pending_reason
                        
                        	Pending reason
                        	**type**\:   :py:class:`TeSyncPendingReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncPendingReasonEnum>`
                        
                        .. attribute:: tunnel_name
                        
                        	Tunnel name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.pending_reason = None
                            self.tunnel_name = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:vif-pending'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.pending_reason is not None:
                                return True

                            if self.tunnel_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.VifPending']['meta_info']


                    class S2LPending(object):
                        """
                        Pending sub\-LSPs details
                        
                        .. attribute:: pending_reason
                        
                        	Pending reason
                        	**type**\:   :py:class:`TeSyncPendingReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncPendingReasonEnum>`
                        
                        .. attribute:: s2l_role
                        
                        	S2L role
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: signaled_name
                        
                        	Signaled name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.pending_reason = None
                            self.s2l_role = None
                            self.signaled_name = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:s2l-pending'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.pending_reason is not None:
                                return True

                            if self.s2l_role is not None:
                                return True

                            if self.signaled_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.idt is not None and self.idt._has_data():
                            return True

                        if self.insync_sub_ls_ps is not None:
                            return True

                        if self.insync_tunnels is not None:
                            return True

                        if self.pending_sub_ls_ps is not None:
                            return True

                        if self.pending_tunnels is not None:
                            return True

                        if self.s2l_pending is not None:
                            for child_ref in self.s2l_pending:
                                if child_ref._has_data():
                                    return True

                        if self.vif_pending is not None:
                            for child_ref in self.vif_pending:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation']['meta_info']


                class MasterSyncInformation(object):
                    """
                    Master sync information
                    
                    .. attribute:: idt
                    
                    	Sync status IDT information
                    	**type**\:   :py:class:`Idt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.idt = MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt()
                        self.idt.parent = self


                    class Idt(object):
                        """
                        Sync status IDT information
                        
                        .. attribute:: current_idt_info
                        
                        	Current IDT information
                        	**type**\:   :py:class:`CurrentIdtInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo>`
                        
                        .. attribute:: previous_idt_status
                        
                        	Previous IDT information
                        	**type**\:   :py:class:`PreviousIdtStatus <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.current_idt_info = MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo()
                            self.current_idt_info.parent = self
                            self.previous_idt_status = MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus()
                            self.previous_idt_status.parent = self


                        class CurrentIdtInfo(object):
                            """
                            Current IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:current-idt-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo']['meta_info']


                        class PreviousIdtStatus(object):
                            """
                            Previous IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:previous-idt-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.current_idt_info is not None and self.current_idt_info._has_data():
                                return True

                            if self.previous_idt_status is not None and self.previous_idt_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.idt is not None and self.idt._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status/Cisco-IOS-XR-mpls-te-oper:sync-status-information'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.master_sync_information is not None and self.master_sync_information._has_data():
                        return True

                    if self.slave_sync_information is not None and self.slave_sync_information._has_data():
                        return True

                    if self.sync_show_type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:status'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.role is not None:
                    return True

                if self.sync_status_information is not None and self.sync_status_information._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.Nsr.Status']['meta_info']


        class Detail(object):
            """
            MPLS TE NSR Status information
            
            .. attribute:: role
            
            	Process role
            	**type**\:   :py:class:`TeProcRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeProcRoleEnum>`
            
            .. attribute:: sync_status_information
            
            	Sync information for the NSR and ISSU
            	**type**\:   :py:class:`SyncStatusInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Detail.SyncStatusInformation>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.role = None
                self.sync_status_information = MplsTeStandby.Nsr.Detail.SyncStatusInformation()
                self.sync_status_information.parent = self


            class SyncStatusInformation(object):
                """
                Sync information for the NSR and ISSU
                
                .. attribute:: master_sync_information
                
                	Master sync information
                	**type**\:   :py:class:`MasterSyncInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation>`
                
                .. attribute:: slave_sync_information
                
                	Slave sync information
                	**type**\:   :py:class:`SlaveSyncInformation <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation>`
                
                .. attribute:: sync_show_type
                
                	SyncShowType
                	**type**\:   :py:class:`TeSyncStatusShowEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncStatusShowEnum>`
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.master_sync_information = MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation()
                    self.master_sync_information.parent = self
                    self.slave_sync_information = MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation()
                    self.slave_sync_information.parent = self
                    self.sync_show_type = None


                class SlaveSyncInformation(object):
                    """
                    Slave sync information
                    
                    .. attribute:: idt
                    
                    	Sync status IDT information
                    	**type**\:   :py:class:`Idt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt>`
                    
                    .. attribute:: insync_sub_ls_ps
                    
                    	Sub\-LSPs in sync
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: insync_tunnels
                    
                    	Tunnels in sync
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pending_sub_ls_ps
                    
                    	Sub\-LSPs in sync pending
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: pending_tunnels
                    
                    	Tunnels in sync pending
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: s2l_pending
                    
                    	Pending sub\-LSPs details
                    	**type**\: list of    :py:class:`S2LPending <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending>`
                    
                    .. attribute:: vif_pending
                    
                    	Pending tunnels details
                    	**type**\: list of    :py:class:`VifPending <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.idt = MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt()
                        self.idt.parent = self
                        self.insync_sub_ls_ps = None
                        self.insync_tunnels = None
                        self.pending_sub_ls_ps = None
                        self.pending_tunnels = None
                        self.s2l_pending = YList()
                        self.s2l_pending.parent = self
                        self.s2l_pending.name = 's2l_pending'
                        self.vif_pending = YList()
                        self.vif_pending.parent = self
                        self.vif_pending.name = 'vif_pending'


                    class Idt(object):
                        """
                        Sync status IDT information
                        
                        .. attribute:: current_idt_info
                        
                        	Current IDT information
                        	**type**\:   :py:class:`CurrentIdtInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo>`
                        
                        .. attribute:: previous_idt_status
                        
                        	Previous IDT information
                        	**type**\:   :py:class:`PreviousIdtStatus <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.current_idt_info = MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo()
                            self.current_idt_info.parent = self
                            self.previous_idt_status = MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus()
                            self.previous_idt_status.parent = self


                        class CurrentIdtInfo(object):
                            """
                            Current IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:current-idt-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo']['meta_info']


                        class PreviousIdtStatus(object):
                            """
                            Previous IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:previous-idt-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:idt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.current_idt_info is not None and self.current_idt_info._has_data():
                                return True

                            if self.previous_idt_status is not None and self.previous_idt_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']


                    class VifPending(object):
                        """
                        Pending tunnels details
                        
                        .. attribute:: pending_reason
                        
                        	Pending reason
                        	**type**\:   :py:class:`TeSyncPendingReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncPendingReasonEnum>`
                        
                        .. attribute:: tunnel_name
                        
                        	Tunnel name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.pending_reason = None
                            self.tunnel_name = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:vif-pending'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.pending_reason is not None:
                                return True

                            if self.tunnel_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending']['meta_info']


                    class S2LPending(object):
                        """
                        Pending sub\-LSPs details
                        
                        .. attribute:: pending_reason
                        
                        	Pending reason
                        	**type**\:   :py:class:`TeSyncPendingReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncPendingReasonEnum>`
                        
                        .. attribute:: s2l_role
                        
                        	S2L role
                        	**type**\:   :py:class:`MplsTeTunnelRoleEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeTunnelRoleEnum>`
                        
                        .. attribute:: signaled_name
                        
                        	Signaled name
                        	**type**\:  str
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.pending_reason = None
                            self.s2l_role = None
                            self.signaled_name = None

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information/Cisco-IOS-XR-mpls-te-oper:s2l-pending'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.pending_reason is not None:
                                return True

                            if self.s2l_role is not None:
                                return True

                            if self.signaled_name is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:slave-sync-information'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.idt is not None and self.idt._has_data():
                            return True

                        if self.insync_sub_ls_ps is not None:
                            return True

                        if self.insync_tunnels is not None:
                            return True

                        if self.pending_sub_ls_ps is not None:
                            return True

                        if self.pending_tunnels is not None:
                            return True

                        if self.s2l_pending is not None:
                            for child_ref in self.s2l_pending:
                                if child_ref._has_data():
                                    return True

                        if self.vif_pending is not None:
                            for child_ref in self.vif_pending:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation']['meta_info']


                class MasterSyncInformation(object):
                    """
                    Master sync information
                    
                    .. attribute:: idt
                    
                    	Sync status IDT information
                    	**type**\:   :py:class:`Idt <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.idt = MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt()
                        self.idt.parent = self


                    class Idt(object):
                        """
                        Sync status IDT information
                        
                        .. attribute:: current_idt_info
                        
                        	Current IDT information
                        	**type**\:   :py:class:`CurrentIdtInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo>`
                        
                        .. attribute:: previous_idt_status
                        
                        	Previous IDT information
                        	**type**\:   :py:class:`PreviousIdtStatus <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus>`
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.current_idt_info = MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo()
                            self.current_idt_info.parent = self
                            self.previous_idt_status = MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus()
                            self.previous_idt_status.parent = self


                        class CurrentIdtInfo(object):
                            """
                            Current IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:current-idt-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo']['meta_info']


                        class PreviousIdtStatus(object):
                            """
                            Previous IDT information
                            
                            .. attribute:: declare_time
                            
                            	Declare ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_end_time
                            
                            	IDT end timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: idt_start_time
                            
                            	IDT start timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            .. attribute:: is_ready_status
                            
                            	Ready status
                            	**type**\:  bool
                            
                            .. attribute:: reason
                            
                            	Not ready reason
                            	**type**\:   :py:class:`TeSyncNotReadyReasonEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeSyncNotReadyReasonEnum>`
                            
                            .. attribute:: withdraw_time
                            
                            	Withdraw ready timestampe in seconds
                            	**type**\:  int
                            
                            	**range:** 0..4294967295
                            
                            	**units**\: second
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.declare_time = None
                                self.idt_end_time = None
                                self.idt_start_time = None
                                self.is_ready_status = None
                                self.reason = None
                                self.withdraw_time = None

                            @property
                            def _common_path(self):

                                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt/Cisco-IOS-XR-mpls-te-oper:previous-idt-status'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.declare_time is not None:
                                    return True

                                if self.idt_end_time is not None:
                                    return True

                                if self.idt_start_time is not None:
                                    return True

                                if self.is_ready_status is not None:
                                    return True

                                if self.reason is not None:
                                    return True

                                if self.withdraw_time is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus']['meta_info']

                        @property
                        def _common_path(self):

                            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information/Cisco-IOS-XR-mpls-te-oper:idt'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.current_idt_info is not None and self.current_idt_info._has_data():
                                return True

                            if self.previous_idt_status is not None and self.previous_idt_status._has_data():
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']

                    @property
                    def _common_path(self):

                        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information/Cisco-IOS-XR-mpls-te-oper:master-sync-information'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.idt is not None and self.idt._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation']['meta_info']

                @property
                def _common_path(self):

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail/Cisco-IOS-XR-mpls-te-oper:sync-status-information'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.master_sync_information is not None and self.master_sync_information._has_data():
                        return True

                    if self.slave_sync_information is not None and self.slave_sync_information._has_data():
                        return True

                    if self.sync_show_type is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr/Cisco-IOS-XR-mpls-te-oper:detail'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.role is not None:
                    return True

                if self.sync_status_information is not None and self.sync_status_information._has_data():
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.Nsr.Detail']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:nsr'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.detail is not None and self.detail._has_data():
                return True

            if self.status is not None and self.status._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.Nsr']['meta_info']


    class AutoTunnelServices(object):
        """
        MPLS TE Auto Tunnel Services
        
        .. attribute:: sr_policy_entries
        
        	MPLS TE SR Policy Context table 
        	**type**\:   :py:class:`SrPolicyEntries <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnelServices.SrPolicyEntries>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.sr_policy_entries = MplsTeStandby.AutoTunnelServices.SrPolicyEntries()
            self.sr_policy_entries.parent = self


        class SrPolicyEntries(object):
            """
            MPLS TE SR Policy Context table 
            
            .. attribute:: sr_policy_entry
            
            	MPLS TE SR Policy information
            	**type**\: list of    :py:class:`SrPolicyEntry <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry>`
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.sr_policy_entry = YList()
                self.sr_policy_entry.parent = self
                self.sr_policy_entry.name = 'sr_policy_entry'


            class SrPolicyEntry(object):
                """
                MPLS TE SR Policy information
                
                .. attribute:: client_id  <key>
                
                	Client ID
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: color  <key>
                
                	Color
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: distinguisher  <key>
                
                	SR Policy Distinguisher Value
                	**type**\:  int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: end_point  <key>
                
                	End Point
                	**type**\: one of the below types:
                
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                
                ----
                	**type**\:  str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                
                ----
                .. attribute:: allocated_binding_sid
                
                	Allocated Binding SID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: binding_sid_context_id
                
                	Binding SID Context ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: binding_sid_request_pending
                
                	Binding SID Request Pending
                	**type**\:  bool
                
                .. attribute:: client_id_xr
                
                	Client ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: client_name
                
                	Client Name
                	**type**\:  str
                
                .. attribute:: color_xr
                
                	Color
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: creation_time
                
                	SR policy structure creation timestamp (clocktime in nsecs)
                	**type**\:  int
                
                	**range:** 0..18446744073709551615
                
                	**units**\: nanosecond
                
                .. attribute:: distinguisher_xr
                
                	SR Policy Distinguisher value
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: end_point_xr
                
                	End Point
                	**type**\:   :py:class:`EndPointXr <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.EndPointXr>`
                
                .. attribute:: explicit_path
                
                	Explicit Paths
                	**type**\: list of    :py:class:`ExplicitPath <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath>`
                
                .. attribute:: ipv6_caps
                
                	IPv6 Capsulation
                	**type**\:  bool
                
                .. attribute:: is_stale
                
                	Is Stale
                	**type**\:  bool
                
                .. attribute:: is_synced
                
                	Is Synced
                	**type**\:  bool
                
                .. attribute:: notify_state_is_active
                
                	Notify State Is Active
                	**type**\:  bool
                
                .. attribute:: notify_time
                
                	Notify Time
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: policy_active
                
                	Policy Active
                	**type**\:  bool
                
                .. attribute:: requested_binding_sid
                
                	Requested Binding SID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: rewrite_done
                
                	Rewrite Done
                	**type**\:  bool
                
                .. attribute:: rewrite_request_pending
                
                	Rewrite Requeste Pending
                	**type**\:  bool
                
                .. attribute:: sr_policy_id
                
                	SR Policy ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.client_id = None
                    self.color = None
                    self.distinguisher = None
                    self.end_point = None
                    self.allocated_binding_sid = None
                    self.binding_sid_context_id = None
                    self.binding_sid_request_pending = None
                    self.client_id_xr = None
                    self.client_name = None
                    self.color_xr = None
                    self.creation_time = None
                    self.distinguisher_xr = None
                    self.end_point_xr = MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.EndPointXr()
                    self.end_point_xr.parent = self
                    self.explicit_path = YList()
                    self.explicit_path.parent = self
                    self.explicit_path.name = 'explicit_path'
                    self.ipv6_caps = None
                    self.is_stale = None
                    self.is_synced = None
                    self.notify_state_is_active = None
                    self.notify_time = None
                    self.policy_active = None
                    self.requested_binding_sid = None
                    self.rewrite_done = None
                    self.rewrite_request_pending = None
                    self.sr_policy_id = None


                class EndPointXr(object):
                    """
                    End Point
                    
                    .. attribute:: address_family_type
                    
                    	AddressFamilyType
                    	**type**\:   :py:class:`MplsTeAfiEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeAfiEnum>`
                    
                    .. attribute:: ipv4_address
                    
                    	IPv4 Address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: ipv6_address
                    
                    	IPv6 Address
                    	**type**\:  str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.address_family_type = None
                        self.ipv4_address = None
                        self.ipv6_address = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:end-point-xr'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.address_family_type is not None:
                            return True

                        if self.ipv4_address is not None:
                            return True

                        if self.ipv6_address is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.EndPointXr']['meta_info']


                class ExplicitPath(object):
                    """
                    Explicit Paths
                    
                    .. attribute:: context_id
                    
                    	Explicit Path Context ID
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: hops
                    
                    	Path Hops
                    	**type**\: list of    :py:class:`Hops <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.Hops>`
                    
                    .. attribute:: is_stale
                    
                    	Is Stale
                    	**type**\:  bool
                    
                    .. attribute:: is_synced
                    
                    	Is Synced
                    	**type**\:  bool
                    
                    .. attribute:: path_weight
                    
                    	Path Weight
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: programmed_in_fib
                    
                    	Programmed in FIB
                    	**type**\:  bool
                    
                    .. attribute:: tunnel_info
                    
                    	Auto tunnel info
                    	**type**\:   :py:class:`TunnelInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.TunnelInfo>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.context_id = None
                        self.hops = YList()
                        self.hops.parent = self
                        self.hops.name = 'hops'
                        self.is_stale = None
                        self.is_synced = None
                        self.path_weight = None
                        self.programmed_in_fib = None
                        self.tunnel_info = MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.TunnelInfo()
                        self.tunnel_info.parent = self


                    class TunnelInfo(object):
                        """
                        Auto tunnel info
                        
                        .. attribute:: ipv6_caps
                        
                        	IPv6 Capsulation
                        	**type**\:  bool
                        
                        .. attribute:: tunnel_id
                        
                        	Tunnel ID
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: tunnel_up
                        
                        	Tunnel Up
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.ipv6_caps = None
                            self.tunnel_id = None
                            self.tunnel_up = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:tunnel-info'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.ipv6_caps is not None:
                                return True

                            if self.tunnel_id is not None:
                                return True

                            if self.tunnel_up is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.TunnelInfo']['meta_info']


                    class Hops(object):
                        """
                        Path Hops
                        
                        .. attribute:: hop_type
                        
                        	Hop Type
                        	**type**\:   :py:class:`TeAutoTunExpPathHopEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAutoTunExpPathHopEnum>`
                        
                        .. attribute:: ipv4_address
                        
                        	IPv4 Address
                        	**type**\:  str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mpls_label
                        
                        	MPLS Label
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.hop_type = None
                            self.ipv4_address = None
                            self.mpls_label = None

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:hops'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.hop_type is not None:
                                return True

                            if self.ipv4_address is not None:
                                return True

                            if self.mpls_label is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.Hops']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:explicit-path'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.context_id is not None:
                            return True

                        if self.hops is not None:
                            for child_ref in self.hops:
                                if child_ref._has_data():
                                    return True

                        if self.is_stale is not None:
                            return True

                        if self.is_synced is not None:
                            return True

                        if self.path_weight is not None:
                            return True

                        if self.programmed_in_fib is not None:
                            return True

                        if self.tunnel_info is not None and self.tunnel_info._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath']['meta_info']

                @property
                def _common_path(self):
                    if self.client_id is None:
                        raise YPYModelError('Key property client_id is None')
                    if self.color is None:
                        raise YPYModelError('Key property color is None')
                    if self.distinguisher is None:
                        raise YPYModelError('Key property distinguisher is None')
                    if self.end_point is None:
                        raise YPYModelError('Key property end_point is None')

                    return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel-services/Cisco-IOS-XR-mpls-te-oper:sr-policy-entries/Cisco-IOS-XR-mpls-te-oper:sr-policy-entry[Cisco-IOS-XR-mpls-te-oper:client-id = ' + str(self.client_id) + '][Cisco-IOS-XR-mpls-te-oper:color = ' + str(self.color) + '][Cisco-IOS-XR-mpls-te-oper:distinguisher = ' + str(self.distinguisher) + '][Cisco-IOS-XR-mpls-te-oper:end-point = ' + str(self.end_point) + ']'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.client_id is not None:
                        return True

                    if self.color is not None:
                        return True

                    if self.distinguisher is not None:
                        return True

                    if self.end_point is not None:
                        return True

                    if self.allocated_binding_sid is not None:
                        return True

                    if self.binding_sid_context_id is not None:
                        return True

                    if self.binding_sid_request_pending is not None:
                        return True

                    if self.client_id_xr is not None:
                        return True

                    if self.client_name is not None:
                        return True

                    if self.color_xr is not None:
                        return True

                    if self.creation_time is not None:
                        return True

                    if self.distinguisher_xr is not None:
                        return True

                    if self.end_point_xr is not None and self.end_point_xr._has_data():
                        return True

                    if self.explicit_path is not None:
                        for child_ref in self.explicit_path:
                            if child_ref._has_data():
                                return True

                    if self.ipv6_caps is not None:
                        return True

                    if self.is_stale is not None:
                        return True

                    if self.is_synced is not None:
                        return True

                    if self.notify_state_is_active is not None:
                        return True

                    if self.notify_time is not None:
                        return True

                    if self.policy_active is not None:
                        return True

                    if self.requested_binding_sid is not None:
                        return True

                    if self.rewrite_done is not None:
                        return True

                    if self.rewrite_request_pending is not None:
                        return True

                    if self.sr_policy_id is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry']['meta_info']

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel-services/Cisco-IOS-XR-mpls-te-oper:sr-policy-entries'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.sr_policy_entry is not None:
                    for child_ref in self.sr_policy_entry:
                        if child_ref._has_data():
                            return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.AutoTunnelServices.SrPolicyEntries']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:auto-tunnel-services'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.sr_policy_entries is not None and self.sr_policy_entries._has_data():
                return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.AutoTunnelServices']['meta_info']


    class AffinityMap(object):
        """
        Affinity name to value mapping
        
        .. attribute:: affinity_map_array
        
        	Affinity map array
        	**type**\: list of    :py:class:`AffinityMapArray <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.AffinityMap.AffinityMapArray>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.affinity_map_array = YList()
            self.affinity_map_array.parent = self
            self.affinity_map_array.name = 'affinity_map_array'


        class AffinityMapArray(object):
            """
            Affinity map array
            
            .. attribute:: affinity_bit_position
            
            	Affinity bit position
            	**type**\:  int
            
            	**range:** 0..255
            
            .. attribute:: affinity_extended_value
            
            	EAG value
            	**type**\:  list of int
            
            	**range:** 0..4294967295
            
            .. attribute:: affinity_name
            
            	Affinity name
            	**type**\:  str
            
            .. attribute:: affinity_table_id
            
            	Affinity table id
            	**type**\:   :py:class:`TeAffinityTableEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeAffinityTableEnum>`
            
            .. attribute:: affinity_value
            
            	Affinity value
            	**type**\:  int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.affinity_bit_position = None
                self.affinity_extended_value = YLeafList()
                self.affinity_extended_value.parent = self
                self.affinity_extended_value.name = 'affinity_extended_value'
                self.affinity_name = None
                self.affinity_table_id = None
                self.affinity_value = None

            @property
            def _common_path(self):

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:affinity-map/Cisco-IOS-XR-mpls-te-oper:affinity-map-array'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.affinity_bit_position is not None:
                    return True

                if self.affinity_extended_value is not None:
                    for child in self.affinity_extended_value:
                        if child is not None:
                            return True

                if self.affinity_name is not None:
                    return True

                if self.affinity_table_id is not None:
                    return True

                if self.affinity_value is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.AffinityMap.AffinityMapArray']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:affinity-map'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.affinity_map_array is not None:
                for child_ref in self.affinity_map_array:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.AffinityMap']['meta_info']


    class TopologyBriefs(object):
        """
        MPLS\-TE topology brief table
        
        .. attribute:: topology_brief
        
        	A node in MPLS\-TE topoogy brief table
        	**type**\: list of    :py:class:`TopologyBrief <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyBriefs.TopologyBrief>`
        
        

        """

        _prefix = 'mpls-te-oper'
        _revision = '2015-11-09'

        def __init__(self):
            self.parent = None
            self.topology_brief = YList()
            self.topology_brief.parent = self
            self.topology_brief.name = 'topology_brief'


        class TopologyBrief(object):
            """
            A node in MPLS\-TE topoogy brief table
            
            .. attribute:: area  <key>
            
            	IGP area
            	**type**\:  int
            
            	**range:** \-2147483648..2147483647
            
            .. attribute:: igp_id  <key>
            
            	IGP instance
            	**type**\:  str
            
            	**pattern:** [\\w\\\-\\.\:,\_@#%$\\+=\\\|;]+
            
            .. attribute:: igp_node_id  <key>
            
            	IGP Node ID
            	**type**\:  str
            
            .. attribute:: protocol  <key>
            
            	IGP protocol type
            	**type**\:   :py:class:`MplsTeIgpProtocolEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeIgpProtocolEnum>`
            
            .. attribute:: topology_node_type  <key>
            
            	Node type
            	**type**\:   :py:class:`MplsTeNodeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeNodeEnum>`
            
            .. attribute:: topology_node_link
            
            	This node's link information
            	**type**\: list of    :py:class:`TopologyNodeLink <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink>`
            
            .. attribute:: topology_node_overloaded
            
            	Flag to indicate whether this node is overloaded
            	**type**\:  bool
            
            .. attribute:: topology_node_sid_and_srbg
            
            	This node's SID and SRBG information
            	**type**\:   :py:class:`TopologyNodeSidAndSrbg <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeSidAndSrbg>`
            
            .. attribute:: topology_node_te_router_id
            
            	The node's TE router\-id. Not set for network nodes
            	**type**\:  str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            

            """

            _prefix = 'mpls-te-oper'
            _revision = '2015-11-09'

            def __init__(self):
                self.parent = None
                self.area = None
                self.igp_id = None
                self.igp_node_id = None
                self.protocol = None
                self.topology_node_type = None
                self.topology_node_link = YList()
                self.topology_node_link.parent = self
                self.topology_node_link.name = 'topology_node_link'
                self.topology_node_overloaded = None
                self.topology_node_sid_and_srbg = MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeSidAndSrbg()
                self.topology_node_sid_and_srbg.parent = self
                self.topology_node_te_router_id = None


            class TopologyNodeSidAndSrbg(object):
                """
                This node's SID and SRBG information
                
                .. attribute:: segment_id
                
                	Segment\-Routing Node\-SID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: segment_id_local_absolute_value
                
                	Node\-SID local absolute value
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: srgb_size
                
                	Segment\-Routing global block size
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: srgb_start
                
                	Segment\-Routring global block start value
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.segment_id = None
                    self.segment_id_local_absolute_value = None
                    self.srgb_size = None
                    self.srgb_start = None

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-node-sid-and-srbg'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.segment_id is not None:
                        return True

                    if self.segment_id_local_absolute_value is not None:
                        return True

                    if self.srgb_size is not None:
                        return True

                    if self.srgb_start is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeSidAndSrbg']['meta_info']


            class TopologyNodeLink(object):
                """
                This node's link information
                
                .. attribute:: adjacency_sid
                
                	Adjacency SIDs assigned for adjacency nodes
                	**type**\: list of    :py:class:`AdjacencySid <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.AdjacencySid>`
                
                .. attribute:: odu_link_capabilities
                
                	ODU Link Capabilities
                	**type**\:   :py:class:`OduLinkCapabilities <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities>`
                
                .. attribute:: shared_risk_link_group
                
                	The link's shared risk link groups
                	**type**\: list of    :py:class:`SharedRiskLinkGroup <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.SharedRiskLinkGroup>`
                
                .. attribute:: topology_link_affinity_bits
                
                	Deprecated
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_bandwidth
                
                	Bandwidth information for this link
                	**type**\:   :py:class:`TopologyLinkBandwidth <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth>`
                
                .. attribute:: topology_link_bandwidth_model
                
                	The link's topology bandwidth model
                	**type**\:   :py:class:`IgpteLibBwModelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpteLibBwModelEnum>`
                
                .. attribute:: topology_link_encoding
                
                	The link's encoding
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: topology_link_extended_affinity_bit
                
                	The link's affinity bits (colors)
                	**type**\:  list of int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_fragment_id
                
                	Neighbor's link version counter
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_igp_metric
                
                	The link's IGP metric
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_interface_address
                
                	Link's local interface address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: topology_link_interface_id
                
                	Link's local interface ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_neighbor_address
                
                	Link's neighbor interface address
                	**type**\:  str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: topology_link_neighbor_generation
                
                	Neighbor's link version counter
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_neighbor_id
                
                	Link's neighbor interface ID
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_neighbor_node_id
                
                	Node id of neighbor
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_neighbor_system_id
                
                	System id of neighbor
                	**type**\:  str
                
                .. attribute:: topology_link_switching_capability
                
                	The link's switching capability
                	**type**\:  int
                
                	**range:** 0..255
                
                .. attribute:: topology_link_te_metric
                
                	The link's TE metric
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                .. attribute:: topology_link_type
                
                	Link type
                	**type**\:   :py:class:`IgpSubnetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpSubnetEnum>`
                
                .. attribute:: topology_link_uni_delay
                
                	Unidirectional Link Delay in micro\-sec
                	**type**\:  int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'mpls-te-oper'
                _revision = '2015-11-09'

                def __init__(self):
                    self.parent = None
                    self.adjacency_sid = YList()
                    self.adjacency_sid.parent = self
                    self.adjacency_sid.name = 'adjacency_sid'
                    self.odu_link_capabilities = MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities()
                    self.odu_link_capabilities.parent = self
                    self.shared_risk_link_group = YList()
                    self.shared_risk_link_group.parent = self
                    self.shared_risk_link_group.name = 'shared_risk_link_group'
                    self.topology_link_affinity_bits = None
                    self.topology_link_bandwidth = MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth()
                    self.topology_link_bandwidth.parent = self
                    self.topology_link_bandwidth_model = None
                    self.topology_link_encoding = None
                    self.topology_link_extended_affinity_bit = YLeafList()
                    self.topology_link_extended_affinity_bit.parent = self
                    self.topology_link_extended_affinity_bit.name = 'topology_link_extended_affinity_bit'
                    self.topology_link_fragment_id = None
                    self.topology_link_igp_metric = None
                    self.topology_link_interface_address = None
                    self.topology_link_interface_id = None
                    self.topology_link_neighbor_address = None
                    self.topology_link_neighbor_generation = None
                    self.topology_link_neighbor_id = None
                    self.topology_link_neighbor_node_id = None
                    self.topology_link_neighbor_system_id = None
                    self.topology_link_switching_capability = None
                    self.topology_link_te_metric = None
                    self.topology_link_type = None
                    self.topology_link_uni_delay = None


                class TopologyLinkBandwidth(object):
                    """
                    Bandwidth information for this link
                    
                    .. attribute:: bandwidth_migration_mode
                    
                    	BandwidthMigrationMode
                    	**type**\:   :py:class:`RrrDsteMigrationModeEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.RrrDsteMigrationModeEnum>`
                    
                    .. attribute:: topology_link_bandwidth_prestandard
                    
                    	Pre\-standard bandwidth information for this link
                    	**type**\:   :py:class:`TopologyLinkBandwidthPrestandard <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard>`
                    
                    .. attribute:: topology_link_bandwidth_standard
                    
                    	IETF\-standard bandwidth information for this link
                    	**type**\:   :py:class:`TopologyLinkBandwidthStandard <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.bandwidth_migration_mode = None
                        self.topology_link_bandwidth_prestandard = MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard()
                        self.topology_link_bandwidth_prestandard.parent = self
                        self.topology_link_bandwidth_standard = MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard()
                        self.topology_link_bandwidth_standard.parent = self


                    class TopologyLinkBandwidthPrestandard(object):
                        """
                        Pre\-standard bandwidth information for this link
                        
                        .. attribute:: topology_link_prestandard_bandwidth_detail
                        
                        	Detailed bandwidth information for this link
                        	**type**\:   :py:class:`TopologyLinkPrestandardBandwidthDetail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail>`
                        
                        .. attribute:: topology_link_prestandard_bandwidth_physical
                        
                        	The link's physical bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: topology_link_prestandard_bandwidth_reservation_global
                        
                        	The link's reservable global bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: topology_link_prestandard_bandwidth_reservation_subpool
                        
                        	The link's reservable subpool bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.topology_link_prestandard_bandwidth_detail = MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail()
                            self.topology_link_prestandard_bandwidth_detail.parent = self
                            self.topology_link_prestandard_bandwidth_physical = None
                            self.topology_link_prestandard_bandwidth_reservation_global = None
                            self.topology_link_prestandard_bandwidth_reservation_subpool = None


                        class TopologyLinkPrestandardBandwidthDetail(object):
                            """
                            Detailed bandwidth information for this link
                            
                            .. attribute:: topology_link_prestandard_bandwidth_allocated
                            
                            	Link's allocated bandwidth at priority levels (priority 0 to priority 7)
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: topology_link_prestandard_bandwidth_available_global
                            
                            	Link's available global\-pool bandwidth at priority levels (priority 0 to priority 7)
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: topology_link_prestandard_bandwidth_available_subpool
                            
                            	Link's available sub\-pool bandwidth at priority levels (priority 0 to priority 7)
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.topology_link_prestandard_bandwidth_allocated = YLeafList()
                                self.topology_link_prestandard_bandwidth_allocated.parent = self
                                self.topology_link_prestandard_bandwidth_allocated.name = 'topology_link_prestandard_bandwidth_allocated'
                                self.topology_link_prestandard_bandwidth_available_global = YLeafList()
                                self.topology_link_prestandard_bandwidth_available_global.parent = self
                                self.topology_link_prestandard_bandwidth_available_global.name = 'topology_link_prestandard_bandwidth_available_global'
                                self.topology_link_prestandard_bandwidth_available_subpool = YLeafList()
                                self.topology_link_prestandard_bandwidth_available_subpool.parent = self
                                self.topology_link_prestandard_bandwidth_available_subpool.name = 'topology_link_prestandard_bandwidth_available_subpool'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-link-prestandard-bandwidth-detail'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.topology_link_prestandard_bandwidth_allocated is not None:
                                    for child in self.topology_link_prestandard_bandwidth_allocated:
                                        if child is not None:
                                            return True

                                if self.topology_link_prestandard_bandwidth_available_global is not None:
                                    for child in self.topology_link_prestandard_bandwidth_available_global:
                                        if child is not None:
                                            return True

                                if self.topology_link_prestandard_bandwidth_available_subpool is not None:
                                    for child in self.topology_link_prestandard_bandwidth_available_subpool:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-link-bandwidth-prestandard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.topology_link_prestandard_bandwidth_detail is not None and self.topology_link_prestandard_bandwidth_detail._has_data():
                                return True

                            if self.topology_link_prestandard_bandwidth_physical is not None:
                                return True

                            if self.topology_link_prestandard_bandwidth_reservation_global is not None:
                                return True

                            if self.topology_link_prestandard_bandwidth_reservation_subpool is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard']['meta_info']


                    class TopologyLinkBandwidthStandard(object):
                        """
                        IETF\-standard bandwidth information for this
                        link
                        
                        .. attribute:: topo_link_std_bw_detail
                        
                        	Detailed bandwidth information for this link
                        	**type**\:   :py:class:`TopoLinkStdBwDetail <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail>`
                        
                        .. attribute:: topo_link_std_bw_physical
                        
                        	The link's physical bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: topo_link_std_bw_res_max
                        
                        	The link's maximum reservable bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: topo_link_std_bw_res_pool0
                        
                        	The link's reservable BC0 bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: topo_link_std_bw_res_pool1
                        
                        	The link's reservable BC1 bandwidth
                        	**type**\:  int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.topo_link_std_bw_detail = MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail()
                            self.topo_link_std_bw_detail.parent = self
                            self.topo_link_std_bw_physical = None
                            self.topo_link_std_bw_res_max = None
                            self.topo_link_std_bw_res_pool0 = None
                            self.topo_link_std_bw_res_pool1 = None


                        class TopoLinkStdBwDetail(object):
                            """
                            Detailed bandwidth information for this link
                            
                            .. attribute:: topo_link_std_bw_allocated
                            
                            	Link's allocated bandwidth per class
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: topo_link_std_bw_available
                            
                            	Link's available bandwidth per class
                            	**type**\:  list of int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.topo_link_std_bw_allocated = YLeafList()
                                self.topo_link_std_bw_allocated.parent = self
                                self.topo_link_std_bw_allocated.name = 'topo_link_std_bw_allocated'
                                self.topo_link_std_bw_available = YLeafList()
                                self.topo_link_std_bw_available.parent = self
                                self.topo_link_std_bw_available.name = 'topo_link_std_bw_available'

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topo-link-std-bw-detail'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.topo_link_std_bw_allocated is not None:
                                    for child in self.topo_link_std_bw_allocated:
                                        if child is not None:
                                            return True

                                if self.topo_link_std_bw_available is not None:
                                    for child in self.topo_link_std_bw_available:
                                        if child is not None:
                                            return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-link-bandwidth-standard'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.topo_link_std_bw_detail is not None and self.topo_link_std_bw_detail._has_data():
                                return True

                            if self.topo_link_std_bw_physical is not None:
                                return True

                            if self.topo_link_std_bw_res_max is not None:
                                return True

                            if self.topo_link_std_bw_res_pool0 is not None:
                                return True

                            if self.topo_link_std_bw_res_pool1 is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-link-bandwidth'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.bandwidth_migration_mode is not None:
                            return True

                        if self.topology_link_bandwidth_prestandard is not None and self.topology_link_bandwidth_prestandard._has_data():
                            return True

                        if self.topology_link_bandwidth_standard is not None and self.topology_link_bandwidth_standard._has_data():
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth']['meta_info']


                class OduLinkCapabilities(object):
                    """
                    ODU Link Capabilities
                    
                    .. attribute:: max_lsp_bandwidth
                    
                    	Max LSP Bandwidth per priority in kbit/s
                    	**type**\:  list of int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: odu_capability
                    
                    	ODU Capabilities of Link
                    	**type**\: list of    :py:class:`OduCapability <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability>`
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.max_lsp_bandwidth = YLeafList()
                        self.max_lsp_bandwidth.parent = self
                        self.max_lsp_bandwidth.name = 'max_lsp_bandwidth'
                        self.odu_capability = YList()
                        self.odu_capability.parent = self
                        self.odu_capability.name = 'odu_capability'


                    class OduCapability(object):
                        """
                        ODU Capabilities of Link
                        
                        .. attribute:: bandwidth_info
                        
                        	Bandwidth related info for this ODU level
                        	**type**\:   :py:class:`BandwidthInfo <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo>`
                        
                        .. attribute:: lcas_capable
                        
                        	True if link LCAS capable for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: signal_type
                        
                        	Signal Type
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage1
                        
                        	ODU Type at stage 1, Not Set for HO ODU
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage2
                        
                        	ODU Type at stage 2, Not Set for single stage mulitplexing
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage3
                        
                        	ODU Type at stage 3, Not set up to two levels of multiplexing
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: stage4
                        
                        	ODU Type at stage 4, Not set up to three levels of multiplexing
                        	**type**\:   :py:class:`TeOduLevelEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduLevelEnum>`
                        
                        .. attribute:: switchable
                        
                        	True if link is switchable for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: terminable
                        
                        	True if link is terminable for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: tsg1p25
                        
                        	True if link supports 1.25G TSG for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: tsg2p5
                        
                        	True if link supports 2.5G TSG for this ODU level
                        	**type**\:  bool
                        
                        .. attribute:: vcat_capable
                        
                        	True if link VCAT capable for this ODU level
                        	**type**\:  bool
                        
                        

                        """

                        _prefix = 'mpls-te-oper'
                        _revision = '2015-11-09'

                        def __init__(self):
                            self.parent = None
                            self.bandwidth_info = MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo()
                            self.bandwidth_info.parent = self
                            self.lcas_capable = None
                            self.signal_type = None
                            self.stage1 = None
                            self.stage2 = None
                            self.stage3 = None
                            self.stage4 = None
                            self.switchable = None
                            self.terminable = None
                            self.tsg1p25 = None
                            self.tsg2p5 = None
                            self.vcat_capable = None


                        class BandwidthInfo(object):
                            """
                            Bandwidth related info for this ODU level
                            
                            .. attribute:: fixed
                            
                            	ODU capability for Fixed ODUs
                            	**type**\:   :py:class:`Fixed <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed>`
                            
                            .. attribute:: flex
                            
                            	ODU capability for Flex ODUs
                            	**type**\:   :py:class:`Flex <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex>`
                            
                            .. attribute:: type
                            
                            	type
                            	**type**\:   :py:class:`TeOduCapabilityEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.TeOduCapabilityEnum>`
                            
                            

                            """

                            _prefix = 'mpls-te-oper'
                            _revision = '2015-11-09'

                            def __init__(self):
                                self.parent = None
                                self.fixed = MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed()
                                self.fixed.parent = self
                                self.flex = MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex()
                                self.flex.parent = self
                                self.type = None


                            class Fixed(object):
                                """
                                ODU capability for Fixed ODUs
                                
                                .. attribute:: maximum_od_us
                                
                                	Maximum Number of ODUs of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                .. attribute:: unreserved_od_us
                                
                                	Maximum Number of ODUs of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.maximum_od_us = None
                                    self.unreserved_od_us = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:fixed'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.maximum_od_us is not None:
                                        return True

                                    if self.unreserved_od_us is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed']['meta_info']


                            class Flex(object):
                                """
                                ODU capability for Flex ODUs
                                
                                .. attribute:: max_bandwidth
                                
                                	Max kbps Bandwidth of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: max_lsp_bandwidth
                                
                                	Per LSP Max kbps Bandwidth of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                .. attribute:: unreserved_bandwidth
                                
                                	Unreserved kbps Bandwidth of this level possible on this link
                                	**type**\:  int
                                
                                	**range:** 0..4294967295
                                
                                	**units**\: kbit/s
                                
                                

                                """

                                _prefix = 'mpls-te-oper'
                                _revision = '2015-11-09'

                                def __init__(self):
                                    self.parent = None
                                    self.max_bandwidth = None
                                    self.max_lsp_bandwidth = None
                                    self.unreserved_bandwidth = None

                                @property
                                def _common_path(self):
                                    if self.parent is None:
                                        raise YPYModelError('parent is not set . Cannot derive path.')

                                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:flex'

                                def is_config(self):
                                    ''' Returns True if this instance represents config data else returns False '''
                                    return False

                                def _has_data(self):
                                    if not self.is_config():
                                        return False
                                    if self.max_bandwidth is not None:
                                        return True

                                    if self.max_lsp_bandwidth is not None:
                                        return True

                                    if self.unreserved_bandwidth is not None:
                                        return True

                                    return False

                                @staticmethod
                                def _meta_info():
                                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                    return meta._meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex']['meta_info']

                            @property
                            def _common_path(self):
                                if self.parent is None:
                                    raise YPYModelError('parent is not set . Cannot derive path.')

                                return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:bandwidth-info'

                            def is_config(self):
                                ''' Returns True if this instance represents config data else returns False '''
                                return False

                            def _has_data(self):
                                if not self.is_config():
                                    return False
                                if self.fixed is not None and self.fixed._has_data():
                                    return True

                                if self.flex is not None and self.flex._has_data():
                                    return True

                                if self.type is not None:
                                    return True

                                return False

                            @staticmethod
                            def _meta_info():
                                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                                return meta._meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info']

                        @property
                        def _common_path(self):
                            if self.parent is None:
                                raise YPYModelError('parent is not set . Cannot derive path.')

                            return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-capability'

                        def is_config(self):
                            ''' Returns True if this instance represents config data else returns False '''
                            return False

                        def _has_data(self):
                            if not self.is_config():
                                return False
                            if self.bandwidth_info is not None and self.bandwidth_info._has_data():
                                return True

                            if self.lcas_capable is not None:
                                return True

                            if self.signal_type is not None:
                                return True

                            if self.stage1 is not None:
                                return True

                            if self.stage2 is not None:
                                return True

                            if self.stage3 is not None:
                                return True

                            if self.stage4 is not None:
                                return True

                            if self.switchable is not None:
                                return True

                            if self.terminable is not None:
                                return True

                            if self.tsg1p25 is not None:
                                return True

                            if self.tsg2p5 is not None:
                                return True

                            if self.vcat_capable is not None:
                                return True

                            return False

                        @staticmethod
                        def _meta_info():
                            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                            return meta._meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability']['meta_info']

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:odu-link-capabilities'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.max_lsp_bandwidth is not None:
                            for child in self.max_lsp_bandwidth:
                                if child is not None:
                                    return True

                        if self.odu_capability is not None:
                            for child_ref in self.odu_capability:
                                if child_ref._has_data():
                                    return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities']['meta_info']


                class SharedRiskLinkGroup(object):
                    """
                    The link's shared risk link groups
                    
                    .. attribute:: shared_risk_group
                    
                    	SRLG number
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: srlg_name
                    
                    	SRLG name
                    	**type**\:  str
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.shared_risk_group = None
                        self.srlg_name = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:shared-risk-link-group'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.shared_risk_group is not None:
                            return True

                        if self.srlg_name is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.SharedRiskLinkGroup']['meta_info']


                class AdjacencySid(object):
                    """
                    Adjacency SIDs assigned for adjacency nodes
                    
                    .. attribute:: adjacency_sid
                    
                    	The adjacency SID assigned for the topology node
                    	**type**\:  int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: flag_b
                    
                    	IGP Flag B
                    	**type**\:  bool
                    
                    .. attribute:: flag_f
                    
                    	IGP Flag F
                    	**type**\:  bool
                    
                    .. attribute:: flag_l
                    
                    	IGP Flag L
                    	**type**\:  bool
                    
                    .. attribute:: flag_s
                    
                    	IGP Flag S
                    	**type**\:  bool
                    
                    .. attribute:: flag_v
                    
                    	IGP Flag V
                    	**type**\:  bool
                    
                    .. attribute:: link_type
                    
                    	Link Type
                    	**type**\:   :py:class:`IgpSubnetEnum <ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper.IgpSubnetEnum>`
                    
                    .. attribute:: local_addr
                    
                    	Local Address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: nbr_node_igpid
                    
                    	The neighbor node's IGP ID
                    	**type**\:  str
                    
                    .. attribute:: nbr_node_te_router_id
                    
                    	The neigbor node's TE router\-id
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: remote_addr
                    
                    	Remote Address
                    	**type**\:  str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'mpls-te-oper'
                    _revision = '2015-11-09'

                    def __init__(self):
                        self.parent = None
                        self.adjacency_sid = None
                        self.flag_b = None
                        self.flag_f = None
                        self.flag_l = None
                        self.flag_s = None
                        self.flag_v = None
                        self.link_type = None
                        self.local_addr = None
                        self.nbr_node_igpid = None
                        self.nbr_node_te_router_id = None
                        self.remote_addr = None

                    @property
                    def _common_path(self):
                        if self.parent is None:
                            raise YPYModelError('parent is not set . Cannot derive path.')

                        return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:adjacency-sid'

                    def is_config(self):
                        ''' Returns True if this instance represents config data else returns False '''
                        return False

                    def _has_data(self):
                        if not self.is_config():
                            return False
                        if self.adjacency_sid is not None:
                            return True

                        if self.flag_b is not None:
                            return True

                        if self.flag_f is not None:
                            return True

                        if self.flag_l is not None:
                            return True

                        if self.flag_s is not None:
                            return True

                        if self.flag_v is not None:
                            return True

                        if self.link_type is not None:
                            return True

                        if self.local_addr is not None:
                            return True

                        if self.nbr_node_igpid is not None:
                            return True

                        if self.nbr_node_te_router_id is not None:
                            return True

                        if self.remote_addr is not None:
                            return True

                        return False

                    @staticmethod
                    def _meta_info():
                        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                        return meta._meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.AdjacencySid']['meta_info']

                @property
                def _common_path(self):
                    if self.parent is None:
                        raise YPYModelError('parent is not set . Cannot derive path.')

                    return self.parent._common_path +'/Cisco-IOS-XR-mpls-te-oper:topology-node-link'

                def is_config(self):
                    ''' Returns True if this instance represents config data else returns False '''
                    return False

                def _has_data(self):
                    if not self.is_config():
                        return False
                    if self.adjacency_sid is not None:
                        for child_ref in self.adjacency_sid:
                            if child_ref._has_data():
                                return True

                    if self.odu_link_capabilities is not None and self.odu_link_capabilities._has_data():
                        return True

                    if self.shared_risk_link_group is not None:
                        for child_ref in self.shared_risk_link_group:
                            if child_ref._has_data():
                                return True

                    if self.topology_link_affinity_bits is not None:
                        return True

                    if self.topology_link_bandwidth is not None and self.topology_link_bandwidth._has_data():
                        return True

                    if self.topology_link_bandwidth_model is not None:
                        return True

                    if self.topology_link_encoding is not None:
                        return True

                    if self.topology_link_extended_affinity_bit is not None:
                        for child in self.topology_link_extended_affinity_bit:
                            if child is not None:
                                return True

                    if self.topology_link_fragment_id is not None:
                        return True

                    if self.topology_link_igp_metric is not None:
                        return True

                    if self.topology_link_interface_address is not None:
                        return True

                    if self.topology_link_interface_id is not None:
                        return True

                    if self.topology_link_neighbor_address is not None:
                        return True

                    if self.topology_link_neighbor_generation is not None:
                        return True

                    if self.topology_link_neighbor_id is not None:
                        return True

                    if self.topology_link_neighbor_node_id is not None:
                        return True

                    if self.topology_link_neighbor_system_id is not None:
                        return True

                    if self.topology_link_switching_capability is not None:
                        return True

                    if self.topology_link_te_metric is not None:
                        return True

                    if self.topology_link_type is not None:
                        return True

                    if self.topology_link_uni_delay is not None:
                        return True

                    return False

                @staticmethod
                def _meta_info():
                    from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                    return meta._meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink']['meta_info']

            @property
            def _common_path(self):
                if self.area is None:
                    raise YPYModelError('Key property area is None')
                if self.igp_id is None:
                    raise YPYModelError('Key property igp_id is None')
                if self.igp_node_id is None:
                    raise YPYModelError('Key property igp_node_id is None')
                if self.protocol is None:
                    raise YPYModelError('Key property protocol is None')
                if self.topology_node_type is None:
                    raise YPYModelError('Key property topology_node_type is None')

                return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology-briefs/Cisco-IOS-XR-mpls-te-oper:topology-brief[Cisco-IOS-XR-mpls-te-oper:area = ' + str(self.area) + '][Cisco-IOS-XR-mpls-te-oper:igp-id = ' + str(self.igp_id) + '][Cisco-IOS-XR-mpls-te-oper:igp-node-id = ' + str(self.igp_node_id) + '][Cisco-IOS-XR-mpls-te-oper:protocol = ' + str(self.protocol) + '][Cisco-IOS-XR-mpls-te-oper:topology-node-type = ' + str(self.topology_node_type) + ']'

            def is_config(self):
                ''' Returns True if this instance represents config data else returns False '''
                return False

            def _has_data(self):
                if not self.is_config():
                    return False
                if self.area is not None:
                    return True

                if self.igp_id is not None:
                    return True

                if self.igp_node_id is not None:
                    return True

                if self.protocol is not None:
                    return True

                if self.topology_node_type is not None:
                    return True

                if self.topology_node_link is not None:
                    for child_ref in self.topology_node_link:
                        if child_ref._has_data():
                            return True

                if self.topology_node_overloaded is not None:
                    return True

                if self.topology_node_sid_and_srbg is not None and self.topology_node_sid_and_srbg._has_data():
                    return True

                if self.topology_node_te_router_id is not None:
                    return True

                return False

            @staticmethod
            def _meta_info():
                from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
                return meta._meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief']['meta_info']

        @property
        def _common_path(self):

            return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby/Cisco-IOS-XR-mpls-te-oper:topology-briefs'

        def is_config(self):
            ''' Returns True if this instance represents config data else returns False '''
            return False

        def _has_data(self):
            if not self.is_config():
                return False
            if self.topology_brief is not None:
                for child_ref in self.topology_brief:
                    if child_ref._has_data():
                        return True

            return False

        @staticmethod
        def _meta_info():
            from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
            return meta._meta_table['MplsTeStandby.TopologyBriefs']['meta_info']

    @property
    def _common_path(self):

        return '/Cisco-IOS-XR-mpls-te-oper:mpls-te-standby'

    def is_config(self):
        ''' Returns True if this instance represents config data else returns False '''
        return False

    def _has_data(self):
        if not self.is_config():
            return False
        if self.affinity_map is not None and self.affinity_map._has_data():
            return True

        if self.announce_tunnels_info is not None and self.announce_tunnels_info._has_data():
            return True

        if self.attribute_sets is not None and self.attribute_sets._has_data():
            return True

        if self.auto_tunnel is not None and self.auto_tunnel._has_data():
            return True

        if self.auto_tunnel_services is not None and self.auto_tunnel_services._has_data():
            return True

        if self.bfd is not None and self.bfd._has_data():
            return True

        if self.collaborator_timers is not None and self.collaborator_timers._has_data():
            return True

        if self.diff_serv_te_classes is not None and self.diff_serv_te_classes._has_data():
            return True

        if self.fast_reroute is not None and self.fast_reroute._has_data():
            return True

        if self.fib_next_hop_label_routes is not None and self.fib_next_hop_label_routes._has_data():
            return True

        if self.forwarding_adjacency_destinations is not None and self.forwarding_adjacency_destinations._has_data():
            return True

        if self.hardware_out_of_resources is not None and self.hardware_out_of_resources._has_data():
            return True

        if self.igp_area_briefs is not None and self.igp_area_briefs._has_data():
            return True

        if self.igp_areas is not None and self.igp_areas._has_data():
            return True

        if self.issu is not None and self.issu._has_data():
            return True

        if self.lsp_out_of_resources is not None and self.lsp_out_of_resources._has_data():
            return True

        if self.maximum_tunnels is not None and self.maximum_tunnels._has_data():
            return True

        if self.nsr is not None and self.nsr._has_data():
            return True

        if self.open_config is not None and self.open_config._has_data():
            return True

        if self.p2mp is not None and self.p2mp._has_data():
            return True

        if self.p2p_p2mp_tunnel is not None and self.p2p_p2mp_tunnel._has_data():
            return True

        if self.path_protection is not None and self.path_protection._has_data():
            return True

        if self.signalling_counters is not None and self.signalling_counters._has_data():
            return True

        if self.soft_preemption is not None and self.soft_preemption._has_data():
            return True

        if self.topology is not None and self.topology._has_data():
            return True

        if self.topology_briefs is not None and self.topology_briefs._has_data():
            return True

        if self.topology_nodes is not None and self.topology_nodes._has_data():
            return True

        if self.tunnels is not None and self.tunnels._has_data():
            return True

        if self.wrap_protection is not None and self.wrap_protection._has_data():
            return True

        return False

    @staticmethod
    def _meta_info():
        from ydk.models.cisco_ios_xr._meta import _Cisco_IOS_XR_mpls_te_oper as meta
        return meta._meta_table['MplsTeStandby']['meta_info']


